#
# This code was generated by Enunciate.
# http://enunciate.codehaus.org/
#
require 'json'

# adding necessary json serialization methods to standard classes.
class Object
  def to_jaxb_json_hash
    return self
  end
  def self.from_json o
    return o
  end
end

class String
  def self.from_json o
    return o
  end
end

class Boolean
  def self.from_json o
    return o
  end
end

class Numeric
  def self.from_json o
    return o
  end
end

class Time
  #json time is represented as number of milliseconds since epoch
  def to_jaxb_json_hash
    return (to_i * 1000) + (usec / 1000)
  end
  def self.from_json o
    if o.nil?
      return nil
    else
      return Time.at(o / 1000, (o % 1000) * 1000)
    end
  end
end

class Array
  def to_jaxb_json_hash
    a = Array.new
    each { | _item | a.push _item.to_jaxb_json_hash }
    return a
  end
end


module Org

module Sonatype

module Nexus

module Rest

module Model

  # Remote authentication tokens used in remote authentications
against HTTP Proxies and/or protected remote repositories.
  class AuthenticationSettings 

    # A username to be used in authentication.
    attr_accessor :username
    # A password to be used in authentication.
    attr_accessor :password
    # The Windows NT Lan Manager to use for authentication.
    attr_accessor :ntlmHost
    # The Windows NT Lan Manager Domain to use for authentication.
    attr_accessor :ntlmDomain

    # the json hash for this AuthenticationSettings
    def to_jaxb_json_hash
      _h = {}
      _h['username'] = username.to_jaxb_json_hash unless username.nil?
      _h['password'] = password.to_jaxb_json_hash unless password.nil?
      _h['ntlmHost'] = ntlmHost.to_jaxb_json_hash unless ntlmHost.nil?
      _h['ntlmDomain'] = ntlmDomain.to_jaxb_json_hash unless ntlmDomain.nil?
      return _h
    end

    # the json (string form) for this AuthenticationSettings
    def to_json
      to_jaxb_json_hash.to_json
    end

    #initializes this AuthenticationSettings with a json hash
    def init_jaxb_json_hash(_o)
      @username = String.from_json(_o['username']) unless _o['username'].nil?
      @password = String.from_json(_o['password']) unless _o['password'].nil?
      @ntlmHost = String.from_json(_o['ntlmHost']) unless _o['ntlmHost'].nil?
      @ntlmDomain = String.from_json(_o['ntlmDomain']) unless _o['ntlmDomain'].nil?
    end

    # constructs a AuthenticationSettings from a (parsed) JSON hash
    def self.from_json(o)
      if o.nil?
        return nil
      else
        inst = new
        inst.init_jaxb_json_hash o
        return inst
      end
    end
  end

end

end

end

end

end

module Org

module Sonatype

module Nexus

module Rest

module Model

  # A Nexus configuration item, and the url needed to retrieve the
configuration details.
  class ConfigurationsListResource 

    # The url that can be accessed to retrieve details about the
configuration.
    attr_accessor :resourceURI
    # The name of the configuration item.
    attr_accessor :name

    # the json hash for this ConfigurationsListResource
    def to_jaxb_json_hash
      _h = {}
      _h['resourceURI'] = resourceURI.to_jaxb_json_hash unless resourceURI.nil?
      _h['name'] = name.to_jaxb_json_hash unless name.nil?
      return _h
    end

    # the json (string form) for this ConfigurationsListResource
    def to_json
      to_jaxb_json_hash.to_json
    end

    #initializes this ConfigurationsListResource with a json hash
    def init_jaxb_json_hash(_o)
      @resourceURI = String.from_json(_o['resourceURI']) unless _o['resourceURI'].nil?
      @name = String.from_json(_o['name']) unless _o['name'].nil?
    end

    # constructs a ConfigurationsListResource from a (parsed) JSON hash
    def self.from_json(o)
      if o.nil?
        return nil
      else
        inst = new
        inst.init_jaxb_json_hash o
        return inst
      end
    end
  end

end

end

end

end

end

module Org

module Sonatype

module Nexus

module Rest

module Model

  # Details about the requested item, that should be useful in
finding how the item was retrieved.
  class ContentListDescribeResource 

    # The original request url used to access the resource.
    attr_accessor :requestUrl
    # The number of milliseconds that passed while retrieving the
item.
    attr_accessor :processingTimeMillis
    # A set of request parameters for the item.
    attr_accessor :request
    # A set of response parameters for the item.
    attr_accessor :response

    # the json hash for this ContentListDescribeResource
    def to_jaxb_json_hash
      _h = {}
      _h['requestUrl'] = requestUrl.to_jaxb_json_hash unless requestUrl.nil?
      _h['processingTimeMillis'] = processingTimeMillis.to_jaxb_json_hash unless processingTimeMillis.nil?
      _h['request'] = request.to_jaxb_json_hash unless request.nil?
      _h['response'] = response.to_jaxb_json_hash unless response.nil?
      return _h
    end

    # the json (string form) for this ContentListDescribeResource
    def to_json
      to_jaxb_json_hash.to_json
    end

    #initializes this ContentListDescribeResource with a json hash
    def init_jaxb_json_hash(_o)
      @requestUrl = String.from_json(_o['requestUrl']) unless _o['requestUrl'].nil?
      @processingTimeMillis = Bignum.from_json(_o['processingTimeMillis']) unless _o['processingTimeMillis'].nil?
      @request = Org::Sonatype::Nexus::Rest::Model::ContentListDescribeRequestResource.from_json(_o['request']) unless _o['request'].nil?
      @response = Org::Sonatype::Nexus::Rest::Model::ContentListDescribeResponseResource.from_json(_o['response']) unless _o['response'].nil?
    end

    # constructs a ContentListDescribeResource from a (parsed) JSON hash
    def self.from_json(o)
      if o.nil?
        return nil
      else
        inst = new
        inst.init_jaxb_json_hash o
        return inst
      end
    end
  end

end

end

end

end

end

module Org

module Sonatype

module Nexus

module Rest

module Model

  # A set of response parameters that were sent back with response.
  class ContentListDescribeResponseResource 

    # States the type of item that was returned (or NONE if not
found).
    attr_accessor :responseType
    # The classname of the returned item.
    attr_accessor :responseActualClass
    # The path of the item in the repository.
    attr_accessor :responsePath
    # A string that uniquely defines this item in the system (or
'virtual' if this is an item from a virtual repository).
    attr_accessor :responseUid
    # The id of the repository this item was retrieved from (or
null if this is an item from a virtual repository).
    attr_accessor :originatingRepositoryId
    # The name of the repository this item was retrieved from (or
null if this is an item from a virtual repository).
    attr_accessor :originatingRepositoryName
    # The main facet (Repository implementation) of the repository
this item was retrieved from (or null if this is an item
from a virtual repository).
    attr_accessor :originatingRepositoryMainFacet
    # Field processedRepositoriesList.
    attr_accessor :processedRepositoriesList
    # Field appliedMappings.
    attr_accessor :appliedMappings
    # Field properties.
    attr_accessor :properties
    # Field attributes.
    attr_accessor :attributes
    # Field sources.
    attr_accessor :sources

    # the json hash for this ContentListDescribeResponseResource
    def to_jaxb_json_hash
      _h = {}
      _h['responseType'] = responseType.to_jaxb_json_hash unless responseType.nil?
      _h['responseActualClass'] = responseActualClass.to_jaxb_json_hash unless responseActualClass.nil?
      _h['responsePath'] = responsePath.to_jaxb_json_hash unless responsePath.nil?
      _h['responseUid'] = responseUid.to_jaxb_json_hash unless responseUid.nil?
      _h['originatingRepositoryId'] = originatingRepositoryId.to_jaxb_json_hash unless originatingRepositoryId.nil?
      _h['originatingRepositoryName'] = originatingRepositoryName.to_jaxb_json_hash unless originatingRepositoryName.nil?
      _h['originatingRepositoryMainFacet'] = originatingRepositoryMainFacet.to_jaxb_json_hash unless originatingRepositoryMainFacet.nil?
      if !processedRepositoriesList.nil?
        _ha = Array.new
        processedRepositoriesList.each { | _item | _ha.push _item.to_jaxb_json_hash }
        _h['processedRepositoriesList'] = _ha
      end
      if !appliedMappings.nil?
        _ha = Array.new
        appliedMappings.each { | _item | _ha.push _item.to_jaxb_json_hash }
        _h['appliedMappings'] = _ha
      end
      if !properties.nil?
        _ha = Array.new
        properties.each { | _item | _ha.push _item.to_jaxb_json_hash }
        _h['properties'] = _ha
      end
      if !attributes.nil?
        _ha = Array.new
        attributes.each { | _item | _ha.push _item.to_jaxb_json_hash }
        _h['attributes'] = _ha
      end
      if !sources.nil?
        _ha = Array.new
        sources.each { | _item | _ha.push _item.to_jaxb_json_hash }
        _h['sources'] = _ha
      end
      return _h
    end

    # the json (string form) for this ContentListDescribeResponseResource
    def to_json
      to_jaxb_json_hash.to_json
    end

    #initializes this ContentListDescribeResponseResource with a json hash
    def init_jaxb_json_hash(_o)
      @responseType = String.from_json(_o['responseType']) unless _o['responseType'].nil?
      @responseActualClass = String.from_json(_o['responseActualClass']) unless _o['responseActualClass'].nil?
      @responsePath = String.from_json(_o['responsePath']) unless _o['responsePath'].nil?
      @responseUid = String.from_json(_o['responseUid']) unless _o['responseUid'].nil?
      @originatingRepositoryId = String.from_json(_o['originatingRepositoryId']) unless _o['originatingRepositoryId'].nil?
      @originatingRepositoryName = String.from_json(_o['originatingRepositoryName']) unless _o['originatingRepositoryName'].nil?
      @originatingRepositoryMainFacet = String.from_json(_o['originatingRepositoryMainFacet']) unless _o['originatingRepositoryMainFacet'].nil?
      if !_o['processedRepositoriesList'].nil?
        @processedRepositoriesList = Array.new
        _oa = _o['processedRepositoriesList']
        _oa.each { | _item | @processedRepositoriesList.push String.from_json(_item) }
      end
      if !_o['appliedMappings'].nil?
        @appliedMappings = Array.new
        _oa = _o['appliedMappings']
        _oa.each { | _item | @appliedMappings.push String.from_json(_item) }
      end
      if !_o['properties'].nil?
        @properties = Array.new
        _oa = _o['properties']
        _oa.each { | _item | @properties.push String.from_json(_item) }
      end
      if !_o['attributes'].nil?
        @attributes = Array.new
        _oa = _o['attributes']
        _oa.each { | _item | @attributes.push String.from_json(_item) }
      end
      if !_o['sources'].nil?
        @sources = Array.new
        _oa = _o['sources']
        _oa.each { | _item | @sources.push String.from_json(_item) }
      end
    end

    # constructs a ContentListDescribeResponseResource from a (parsed) JSON hash
    def self.from_json(o)
      if o.nil?
        return nil
      else
        inst = new
        inst.init_jaxb_json_hash o
        return inst
      end
    end
  end

end

end

end

end

end

module Org

module Sonatype

module Nexus

module Rest

module Model

  # A Content Item definition, including all data needed to properly
access the item, and understand the item.
  class ContentListResource 

    # The URI that can be used to directly access this item in the
future.
    attr_accessor :resourceURI
    # The relative path in relation to the root of the repository.
    attr_accessor :relativePath
    # A name of the content item.
    attr_accessor :text
    # Flag that states whether the content item is a file item (if
true), otherwise it is a folder item, and can use the
resourceURI to retrieve the contained content.
    attr_accessor :leaf
    # Timestamp the item was last modified.
    attr_accessor :lastModified
    # Size of the item on the disk.
    attr_accessor :sizeOnDisk

    # the json hash for this ContentListResource
    def to_jaxb_json_hash
      _h = {}
      _h['resourceURI'] = resourceURI.to_jaxb_json_hash unless resourceURI.nil?
      _h['relativePath'] = relativePath.to_jaxb_json_hash unless relativePath.nil?
      _h['text'] = text.to_jaxb_json_hash unless text.nil?
      _h['leaf'] = leaf.to_jaxb_json_hash unless leaf.nil?
      _h['lastModified'] = lastModified.to_jaxb_json_hash unless lastModified.nil?
      _h['sizeOnDisk'] = sizeOnDisk.to_jaxb_json_hash unless sizeOnDisk.nil?
      return _h
    end

    # the json (string form) for this ContentListResource
    def to_json
      to_jaxb_json_hash.to_json
    end

    #initializes this ContentListResource with a json hash
    def init_jaxb_json_hash(_o)
      @resourceURI = String.from_json(_o['resourceURI']) unless _o['resourceURI'].nil?
      @relativePath = String.from_json(_o['relativePath']) unless _o['relativePath'].nil?
      @text = String.from_json(_o['text']) unless _o['text'].nil?
      @leaf = Boolean.from_json(_o['leaf']) unless _o['leaf'].nil?
      @lastModified = Time.from_json(_o['lastModified']) unless _o['lastModified'].nil?
      @sizeOnDisk = Bignum.from_json(_o['sizeOnDisk']) unless _o['sizeOnDisk'].nil?
    end

    # constructs a ContentListResource from a (parsed) JSON hash
    def self.from_json(o)
      if o.nil?
        return nil
      else
        inst = new
        inst.init_jaxb_json_hash o
        return inst
      end
    end
  end

end

end

end

end

end

module Org

module Sonatype

module Nexus

module Rest

module Model

  # Details required to generate an error report.
  class ErrorReportRequestDTO 

    # The title of the error report.
    attr_accessor :title
    # A detailed explanation of the error report.
    attr_accessor :description
    # If true will overwrite currect error report settings with
the credentials provided.
    attr_accessor :saveErrorReportingSettings
    # The error report settings.
    attr_accessor :errorReportingSettings

    # the json hash for this ErrorReportRequestDTO
    def to_jaxb_json_hash
      _h = {}
      _h['title'] = title.to_jaxb_json_hash unless title.nil?
      _h['description'] = description.to_jaxb_json_hash unless description.nil?
      _h['saveErrorReportingSettings'] = saveErrorReportingSettings.to_jaxb_json_hash unless saveErrorReportingSettings.nil?
      _h['errorReportingSettings'] = errorReportingSettings.to_jaxb_json_hash unless errorReportingSettings.nil?
      return _h
    end

    # the json (string form) for this ErrorReportRequestDTO
    def to_json
      to_jaxb_json_hash.to_json
    end

    #initializes this ErrorReportRequestDTO with a json hash
    def init_jaxb_json_hash(_o)
      @title = String.from_json(_o['title']) unless _o['title'].nil?
      @description = String.from_json(_o['description']) unless _o['description'].nil?
      @saveErrorReportingSettings = Boolean.from_json(_o['saveErrorReportingSettings']) unless _o['saveErrorReportingSettings'].nil?
      @errorReportingSettings = Org::Sonatype::Nexus::Rest::Model::ErrorReportingSettings.from_json(_o['errorReportingSettings']) unless _o['errorReportingSettings'].nil?
    end

    # constructs a ErrorReportRequestDTO from a (parsed) JSON hash
    def self.from_json(o)
      if o.nil?
        return nil
      else
        inst = new
        inst.init_jaxb_json_hash o
        return inst
      end
    end
  end

end

end

end

end

end

module Org

module Sonatype

module Nexus

module Rest

module Model

  # The response data that is returned after generating an error
report.
  class ErrorReportResponseDTO 

    # The JIRA server URL for the error report that was created.
    attr_accessor :jiraUrl

    # the json hash for this ErrorReportResponseDTO
    def to_jaxb_json_hash
      _h = {}
      _h['jiraUrl'] = jiraUrl.to_jaxb_json_hash unless jiraUrl.nil?
      return _h
    end

    # the json (string form) for this ErrorReportResponseDTO
    def to_json
      to_jaxb_json_hash.to_json
    end

    #initializes this ErrorReportResponseDTO with a json hash
    def init_jaxb_json_hash(_o)
      @jiraUrl = String.from_json(_o['jiraUrl']) unless _o['jiraUrl'].nil?
    end

    # constructs a ErrorReportResponseDTO from a (parsed) JSON hash
    def self.from_json(o)
      if o.nil?
        return nil
      else
        inst = new
        inst.init_jaxb_json_hash o
        return inst
      end
    end
  end

end

end

end

end

end

module Org

module Sonatype

module Nexus

module Rest

module Model

  # Details about an RSS Feed that Nexus supplies.
  class FeedListResource 

    # The URL that must be used to retrieve the feed data.
    attr_accessor :resourceURI
    # The name of the feed.
    attr_accessor :name

    # the json hash for this FeedListResource
    def to_jaxb_json_hash
      _h = {}
      _h['resourceURI'] = resourceURI.to_jaxb_json_hash unless resourceURI.nil?
      _h['name'] = name.to_jaxb_json_hash unless name.nil?
      return _h
    end

    # the json (string form) for this FeedListResource
    def to_json
      to_jaxb_json_hash.to_json
    end

    #initializes this FeedListResource with a json hash
    def init_jaxb_json_hash(_o)
      @resourceURI = String.from_json(_o['resourceURI']) unless _o['resourceURI'].nil?
      @name = String.from_json(_o['name']) unless _o['name'].nil?
    end

    # constructs a FeedListResource from a (parsed) JSON hash
    def self.from_json(o)
      if o.nil?
        return nil
      else
        inst = new
        inst.init_jaxb_json_hash o
        return inst
      end
    end
  end

end

end

end

end

end

module Org

module Sonatype

module Nexus

module Rest

module Model

  # An item that contains details about a global configuration item,
including the url required to retrieve the configuration
details.
  class GlobalConfigurationListResource 

    # The url that can be GET requested to retrieve the details of
the global configuration.
    attr_accessor :resourceURI
    # The name of the global configuration.
    attr_accessor :name

    # the json hash for this GlobalConfigurationListResource
    def to_jaxb_json_hash
      _h = {}
      _h['resourceURI'] = resourceURI.to_jaxb_json_hash unless resourceURI.nil?
      _h['name'] = name.to_jaxb_json_hash unless name.nil?
      return _h
    end

    # the json (string form) for this GlobalConfigurationListResource
    def to_json
      to_jaxb_json_hash.to_json
    end

    #initializes this GlobalConfigurationListResource with a json hash
    def init_jaxb_json_hash(_o)
      @resourceURI = String.from_json(_o['resourceURI']) unless _o['resourceURI'].nil?
      @name = String.from_json(_o['name']) unless _o['name'].nil?
    end

    # constructs a GlobalConfigurationListResource from a (parsed) JSON hash
    def self.from_json(o)
      if o.nil?
        return nil
      else
        inst = new
        inst.init_jaxb_json_hash o
        return inst
      end
    end
  end

end

end

end

end

end

module Org

module Sonatype

module Nexus

module Rest

module Model

  # List of all global configuration items in Nexus.
  class GlobalConfigurationResource 

    # Flag that determines if security is enabled, if false, there
will be no authc/authz checks performed on any requests to
the systme.
    attr_accessor :securityEnabled
    # Flag that, if true, will allow anonymous access while
security is enabled.
    attr_accessor :securityAnonymousAccessEnabled
    # The username to use for anonymous access (so that
roles/privileges can be applied to the anonymous access
users).
    attr_accessor :securityAnonymousUsername
    # The password to use for anonymous access.
    attr_accessor :securityAnonymousPassword
    # Field securityRealms.
    attr_accessor :securityRealms
    # Global remote connection settings.
    attr_accessor :globalConnectionSettings
    # System notification settings.
    attr_accessor :systemNotificationSettings
    # SMTP settings for email notifications that Nexus generates.
    attr_accessor :smtpSettings
    # Global HTTP Proxy Settings (will be applied to all
repositories by default).
    attr_accessor :globalHttpProxySettings
    # Rest API configuration parameters.
    attr_accessor :globalRestApiSettings
    # Error reporting configuration parameters.
    attr_accessor :errorReportingSettings

    # the json hash for this GlobalConfigurationResource
    def to_jaxb_json_hash
      _h = {}
      _h['securityEnabled'] = securityEnabled.to_jaxb_json_hash unless securityEnabled.nil?
      _h['securityAnonymousAccessEnabled'] = securityAnonymousAccessEnabled.to_jaxb_json_hash unless securityAnonymousAccessEnabled.nil?
      _h['securityAnonymousUsername'] = securityAnonymousUsername.to_jaxb_json_hash unless securityAnonymousUsername.nil?
      _h['securityAnonymousPassword'] = securityAnonymousPassword.to_jaxb_json_hash unless securityAnonymousPassword.nil?
      if !securityRealms.nil?
        _ha = Array.new
        securityRealms.each { | _item | _ha.push _item.to_jaxb_json_hash }
        _h['securityRealms'] = _ha
      end
      _h['globalConnectionSettings'] = globalConnectionSettings.to_jaxb_json_hash unless globalConnectionSettings.nil?
      _h['systemNotificationSettings'] = systemNotificationSettings.to_jaxb_json_hash unless systemNotificationSettings.nil?
      _h['smtpSettings'] = smtpSettings.to_jaxb_json_hash unless smtpSettings.nil?
      _h['globalHttpProxySettings'] = globalHttpProxySettings.to_jaxb_json_hash unless globalHttpProxySettings.nil?
      _h['globalRestApiSettings'] = globalRestApiSettings.to_jaxb_json_hash unless globalRestApiSettings.nil?
      _h['errorReportingSettings'] = errorReportingSettings.to_jaxb_json_hash unless errorReportingSettings.nil?
      return _h
    end

    # the json (string form) for this GlobalConfigurationResource
    def to_json
      to_jaxb_json_hash.to_json
    end

    #initializes this GlobalConfigurationResource with a json hash
    def init_jaxb_json_hash(_o)
      @securityEnabled = Boolean.from_json(_o['securityEnabled']) unless _o['securityEnabled'].nil?
      @securityAnonymousAccessEnabled = Boolean.from_json(_o['securityAnonymousAccessEnabled']) unless _o['securityAnonymousAccessEnabled'].nil?
      @securityAnonymousUsername = String.from_json(_o['securityAnonymousUsername']) unless _o['securityAnonymousUsername'].nil?
      @securityAnonymousPassword = String.from_json(_o['securityAnonymousPassword']) unless _o['securityAnonymousPassword'].nil?
      if !_o['securityRealms'].nil?
        @securityRealms = Array.new
        _oa = _o['securityRealms']
        _oa.each { | _item | @securityRealms.push String.from_json(_item) }
      end
      @globalConnectionSettings = Org::Sonatype::Nexus::Rest::Model::RemoteConnectionSettings.from_json(_o['globalConnectionSettings']) unless _o['globalConnectionSettings'].nil?
      @systemNotificationSettings = Org::Sonatype::Nexus::Rest::Model::SystemNotificationSettings.from_json(_o['systemNotificationSettings']) unless _o['systemNotificationSettings'].nil?
      @smtpSettings = Org::Sonatype::Nexus::Rest::Model::SmtpSettings.from_json(_o['smtpSettings']) unless _o['smtpSettings'].nil?
      @globalHttpProxySettings = Org::Sonatype::Nexus::Rest::Model::RemoteHttpProxySettings.from_json(_o['globalHttpProxySettings']) unless _o['globalHttpProxySettings'].nil?
      @globalRestApiSettings = Org::Sonatype::Nexus::Rest::Model::RestApiSettings.from_json(_o['globalRestApiSettings']) unless _o['globalRestApiSettings'].nil?
      @errorReportingSettings = Org::Sonatype::Nexus::Rest::Model::ErrorReportingSettings.from_json(_o['errorReportingSettings']) unless _o['errorReportingSettings'].nil?
    end

    # constructs a GlobalConfigurationResource from a (parsed) JSON hash
    def self.from_json(o)
      if o.nil?
        return nil
      else
        inst = new
        inst.init_jaxb_json_hash o
        return inst
      end
    end
  end

end

end

end

end

end

module Org

module Sonatype

module Nexus

module Rest

module Model

  # Set of parameters that describe how logging is configured.
  class LogConfigResource 

    # The root logger level (i.e. DEBUG, INFO, etc.).
    attr_accessor :rootLoggerLevel
    # The appenders that the root logger will use.
    attr_accessor :rootLoggerAppenders
    # Where the file will be stored.
    attr_accessor :fileAppenderLocation
    # The pattern used to write to the file.
    attr_accessor :fileAppenderPattern

    # the json hash for this LogConfigResource
    def to_jaxb_json_hash
      _h = {}
      _h['rootLoggerLevel'] = rootLoggerLevel.to_jaxb_json_hash unless rootLoggerLevel.nil?
      _h['rootLoggerAppenders'] = rootLoggerAppenders.to_jaxb_json_hash unless rootLoggerAppenders.nil?
      _h['fileAppenderLocation'] = fileAppenderLocation.to_jaxb_json_hash unless fileAppenderLocation.nil?
      _h['fileAppenderPattern'] = fileAppenderPattern.to_jaxb_json_hash unless fileAppenderPattern.nil?
      return _h
    end

    # the json (string form) for this LogConfigResource
    def to_json
      to_jaxb_json_hash.to_json
    end

    #initializes this LogConfigResource with a json hash
    def init_jaxb_json_hash(_o)
      @rootLoggerLevel = String.from_json(_o['rootLoggerLevel']) unless _o['rootLoggerLevel'].nil?
      @rootLoggerAppenders = String.from_json(_o['rootLoggerAppenders']) unless _o['rootLoggerAppenders'].nil?
      @fileAppenderLocation = String.from_json(_o['fileAppenderLocation']) unless _o['fileAppenderLocation'].nil?
      @fileAppenderPattern = String.from_json(_o['fileAppenderPattern']) unless _o['fileAppenderPattern'].nil?
    end

    # constructs a LogConfigResource from a (parsed) JSON hash
    def self.from_json(o)
      if o.nil?
        return nil
      else
        inst = new
        inst.init_jaxb_json_hash o
        return inst
      end
    end
  end

end

end

end

end

end

module Org

module Sonatype

module Nexus

module Rest

module Model

  # Details to retrieve a log file from the Nexus server.
  class LogsListResource 

    # The url that can be GET requested to retrieve the log file
content.
    attr_accessor :resourceURI
    # The name of the file.
    attr_accessor :name
    # The size of the file.
    attr_accessor :size
    # MIME type of the file.
    attr_accessor :mimeType

    # the json hash for this LogsListResource
    def to_jaxb_json_hash
      _h = {}
      _h['resourceURI'] = resourceURI.to_jaxb_json_hash unless resourceURI.nil?
      _h['name'] = name.to_jaxb_json_hash unless name.nil?
      _h['size'] = size.to_jaxb_json_hash unless size.nil?
      _h['mimeType'] = mimeType.to_jaxb_json_hash unless mimeType.nil?
      return _h
    end

    # the json (string form) for this LogsListResource
    def to_json
      to_jaxb_json_hash.to_json
    end

    #initializes this LogsListResource with a json hash
    def init_jaxb_json_hash(_o)
      @resourceURI = String.from_json(_o['resourceURI']) unless _o['resourceURI'].nil?
      @name = String.from_json(_o['name']) unless _o['name'].nil?
      @size = Bignum.from_json(_o['size']) unless _o['size'].nil?
      @mimeType = String.from_json(_o['mimeType']) unless _o['mimeType'].nil?
    end

    # constructs a LogsListResource from a (parsed) JSON hash
    def self.from_json(o)
      if o.nil?
        return nil
      else
        inst = new
        inst.init_jaxb_json_hash o
        return inst
      end
    end
  end

end

end

end

end

end

module Org

module Sonatype

module Nexus

module Rest

module Model

  # Repository mirror configuration.
  class MirrorResource 

    # The id of the repository mirror.
    attr_accessor :id
    # The url of the repository mirror.
    attr_accessor :url

    # the json hash for this MirrorResource
    def to_jaxb_json_hash
      _h = {}
      _h['id'] = id.to_jaxb_json_hash unless id.nil?
      _h['url'] = url.to_jaxb_json_hash unless url.nil?
      return _h
    end

    # the json (string form) for this MirrorResource
    def to_json
      to_jaxb_json_hash.to_json
    end

    #initializes this MirrorResource with a json hash
    def init_jaxb_json_hash(_o)
      @id = String.from_json(_o['id']) unless _o['id'].nil?
      @url = String.from_json(_o['url']) unless _o['url'].nil?
    end

    # constructs a MirrorResource from a (parsed) JSON hash
    def self.from_json(o)
      if o.nil?
        return nil
      else
        inst = new
        inst.init_jaxb_json_hash o
        return inst
      end
    end
  end

end

end

end

end

end

module Org

module Sonatype

module Nexus

module Rest

module Model

  # Connection parameters to allow Nexus to report errors to the
Sonatype JIRA server.
  class ErrorReportingSettings 

    # Username of a valid jira account (if empty will use the
default error reporting username).
    attr_accessor :jiraUsername
    # Password of a valid jira account (if empty will use the
default error reporting password).
    attr_accessor :jiraPassword
    # Flag that states whether to use the global proxy
configuration in Nexus.
    attr_accessor :useGlobalProxy
    # Flag if Nexus should automatically report any problem found.
    attr_accessor :reportErrorsAutomatically

    # the json hash for this ErrorReportingSettings
    def to_jaxb_json_hash
      _h = {}
      _h['jiraUsername'] = jiraUsername.to_jaxb_json_hash unless jiraUsername.nil?
      _h['jiraPassword'] = jiraPassword.to_jaxb_json_hash unless jiraPassword.nil?
      _h['useGlobalProxy'] = useGlobalProxy.to_jaxb_json_hash unless useGlobalProxy.nil?
      _h['reportErrorsAutomatically'] = reportErrorsAutomatically.to_jaxb_json_hash unless reportErrorsAutomatically.nil?
      return _h
    end

    # the json (string form) for this ErrorReportingSettings
    def to_json
      to_jaxb_json_hash.to_json
    end

    #initializes this ErrorReportingSettings with a json hash
    def init_jaxb_json_hash(_o)
      @jiraUsername = String.from_json(_o['jiraUsername']) unless _o['jiraUsername'].nil?
      @jiraPassword = String.from_json(_o['jiraPassword']) unless _o['jiraPassword'].nil?
      @useGlobalProxy = Boolean.from_json(_o['useGlobalProxy']) unless _o['useGlobalProxy'].nil?
      @reportErrorsAutomatically = Boolean.from_json(_o['reportErrorsAutomatically']) unless _o['reportErrorsAutomatically'].nil?
    end

    # constructs a ErrorReportingSettings from a (parsed) JSON hash
    def self.from_json(o)
      if o.nil?
        return nil
      else
        inst = new
        inst.init_jaxb_json_hash o
        return inst
      end
    end
  end

end

end

end

end

end

module Org

module Sonatype

module Nexus

module Rest

module Model

  # REST Response object received after generating an error report,
contains the typical 'data' parameter, which is the error report
response item.
  class ErrorReportResponse 

    # The error report response object.
    attr_accessor :data

    # the json hash for this ErrorReportResponse
    def to_jaxb_json_hash
      _h = {}
      _h['data'] = data.to_jaxb_json_hash unless data.nil?
      return _h
    end

    # the json (string form) for this ErrorReportResponse
    def to_json
      to_jaxb_json_hash.to_json
    end

    #initializes this ErrorReportResponse with a json hash
    def init_jaxb_json_hash(_o)
      @data = Org::Sonatype::Nexus::Rest::Model::ErrorReportResponseDTO.from_json(_o['data']) unless _o['data'].nil?
    end

    # constructs a ErrorReportResponse from a (parsed) JSON hash
    def self.from_json(o)
      if o.nil?
        return nil
      else
        inst = new
        inst.init_jaxb_json_hash o
        return inst
      end
    end
  end

end

end

end

end

end

module Org

module Sonatype

module Nexus

module Rest

module Model

  # Contains a list of items stored in the NFC.
  class NFCResource 

    # Field nfcContents.
    attr_accessor :nfcContents

    # the json hash for this NFCResource
    def to_jaxb_json_hash
      _h = {}
      if !nfcContents.nil?
        _ha = Array.new
        nfcContents.each { | _item | _ha.push _item.to_jaxb_json_hash }
        _h['nfcContents'] = _ha
      end
      return _h
    end

    # the json (string form) for this NFCResource
    def to_json
      to_jaxb_json_hash.to_json
    end

    #initializes this NFCResource with a json hash
    def init_jaxb_json_hash(_o)
      if !_o['nfcContents'].nil?
        @nfcContents = Array.new
        _oa = _o['nfcContents']
        _oa.each { | _item | @nfcContents.push Org::Sonatype::Nexus::Rest::Model::NFCRepositoryResource.from_json(_item) }
      end
    end

    # constructs a NFCResource from a (parsed) JSON hash
    def self.from_json(o)
      if o.nil?
        return nil
      else
        inst = new
        inst.init_jaxb_json_hash o
        return inst
      end
    end
  end

end

end

end

end

end

module Org

module Sonatype

module Nexus

module Rest

module Model

  # NFC Statistics.
  class NFCStats 

    # The number of paths stored in the NFC.
    attr_accessor :size
    # The number of checks against this NFC that have found matches
    attr_accessor :hits
    # The number of checks against this NFC that have not found
matches.
    attr_accessor :misses

    # the json hash for this NFCStats
    def to_jaxb_json_hash
      _h = {}
      _h['size'] = size.to_jaxb_json_hash unless size.nil?
      _h['hits'] = hits.to_jaxb_json_hash unless hits.nil?
      _h['misses'] = misses.to_jaxb_json_hash unless misses.nil?
      return _h
    end

    # the json (string form) for this NFCStats
    def to_json
      to_jaxb_json_hash.to_json
    end

    #initializes this NFCStats with a json hash
    def init_jaxb_json_hash(_o)
      @size = Bignum.from_json(_o['size']) unless _o['size'].nil?
      @hits = Bignum.from_json(_o['hits']) unless _o['hits'].nil?
      @misses = Bignum.from_json(_o['misses']) unless _o['misses'].nil?
    end

    # constructs a NFCStats from a (parsed) JSON hash
    def self.from_json(o)
      if o.nil?
        return nil
      else
        inst = new
        inst.init_jaxb_json_hash o
        return inst
      end
    end
  end

end

end

end

end

end

module Org

module Sonatype

module Nexus

module Rest

module Model

  # Repository type definition.
  class NexusRepositoryTypeListResource 

    # The repository provider.
    attr_accessor :provider
    # The repository provider role.
    attr_accessor :providerRole
    # The repository format.
    attr_accessor :format
    # The repository type description.
    attr_accessor :description

    # the json hash for this NexusRepositoryTypeListResource
    def to_jaxb_json_hash
      _h = {}
      _h['provider'] = provider.to_jaxb_json_hash unless provider.nil?
      _h['providerRole'] = providerRole.to_jaxb_json_hash unless providerRole.nil?
      _h['format'] = format.to_jaxb_json_hash unless format.nil?
      _h['description'] = description.to_jaxb_json_hash unless description.nil?
      return _h
    end

    # the json (string form) for this NexusRepositoryTypeListResource
    def to_json
      to_jaxb_json_hash.to_json
    end

    #initializes this NexusRepositoryTypeListResource with a json hash
    def init_jaxb_json_hash(_o)
      @provider = String.from_json(_o['provider']) unless _o['provider'].nil?
      @providerRole = String.from_json(_o['providerRole']) unless _o['providerRole'].nil?
      @format = String.from_json(_o['format']) unless _o['format'].nil?
      @description = String.from_json(_o['description']) unless _o['description'].nil?
    end

    # constructs a NexusRepositoryTypeListResource from a (parsed) JSON hash
    def self.from_json(o)
      if o.nil?
        return nil
      else
        inst = new
        inst.init_jaxb_json_hash o
        return inst
      end
    end
  end

end

end

end

end

end

module Org

module Sonatype

module Nexus

module Rest

module Model

  # Class NexusResponse.
  class NexusResponse 


    # the json hash for this NexusResponse
    def to_jaxb_json_hash
      _h = {}
      return _h
    end

    # the json (string form) for this NexusResponse
    def to_json
      to_jaxb_json_hash.to_json
    end

    #initializes this NexusResponse with a json hash
    def init_jaxb_json_hash(_o)
    end

    # constructs a NexusResponse from a (parsed) JSON hash
    def self.from_json(o)
      if o.nil?
        return nil
      else
        inst = new
        inst.init_jaxb_json_hash o
        return inst
      end
    end
  end

end

end

end

end

end

module Org

module Sonatype

module Nexus

module Rest

module Model

  # REST Response object for a list of plexus components, contains
the typical 'data' parameter, which is the plexus components.
  class PlexusComponentListResourceResponse 

    # Field data.
    attr_accessor :data

    # the json hash for this PlexusComponentListResourceResponse
    def to_jaxb_json_hash
      _h = {}
      if !data.nil?
        _ha = Array.new
        data.each { | _item | _ha.push _item.to_jaxb_json_hash }
        _h['data'] = _ha
      end
      return _h
    end

    # the json (string form) for this PlexusComponentListResourceResponse
    def to_json
      to_jaxb_json_hash.to_json
    end

    #initializes this PlexusComponentListResourceResponse with a json hash
    def init_jaxb_json_hash(_o)
      if !_o['data'].nil?
        @data = Array.new
        _oa = _o['data']
        _oa.each { | _item | @data.push Org::Sonatype::Nexus::Rest::Model::PlexusComponentListResource.from_json(_item) }
      end
    end

    # constructs a PlexusComponentListResourceResponse from a (parsed) JSON hash
    def self.from_json(o)
      if o.nil?
        return nil
      else
        inst = new
        inst.init_jaxb_json_hash o
        return inst
      end
    end
  end

end

end

end

end

end

module Org

module Sonatype

module Nexus

module Rest

module Model

  # REST response object to persist a privilege.
  class PrivilegeResourceRequest 

    # Privilege details.
    attr_accessor :data

    # the json hash for this PrivilegeResourceRequest
    def to_jaxb_json_hash
      _h = {}
      _h['data'] = data.to_jaxb_json_hash unless data.nil?
      return _h
    end

    # the json (string form) for this PrivilegeResourceRequest
    def to_json
      to_jaxb_json_hash.to_json
    end

    #initializes this PrivilegeResourceRequest with a json hash
    def init_jaxb_json_hash(_o)
      @data = Org::Sonatype::Nexus::Rest::Model::PrivilegeResource.from_json(_o['data']) unless _o['data'].nil?
    end

    # constructs a PrivilegeResourceRequest from a (parsed) JSON hash
    def self.from_json(o)
      if o.nil?
        return nil
      else
        inst = new
        inst.init_jaxb_json_hash o
        return inst
      end
    end
  end

end

end

end

end

end

module Org

module Sonatype

module Nexus

module Rest

module Model

  # The HTTP Proxy defines proxies used to access the internet.
  class RemoteHttpProxySettings 

    # The proxy hostname.
    attr_accessor :proxyHostname
    # The proxy port.
    attr_accessor :proxyPort
    # Authentication used to connect with proxy server.
    attr_accessor :authentication
    # Field nonProxyHosts.
    attr_accessor :nonProxyHosts

    # the json hash for this RemoteHttpProxySettings
    def to_jaxb_json_hash
      _h = {}
      _h['proxyHostname'] = proxyHostname.to_jaxb_json_hash unless proxyHostname.nil?
      _h['proxyPort'] = proxyPort.to_jaxb_json_hash unless proxyPort.nil?
      _h['authentication'] = authentication.to_jaxb_json_hash unless authentication.nil?
      if !nonProxyHosts.nil?
        _ha = Array.new
        nonProxyHosts.each { | _item | _ha.push _item.to_jaxb_json_hash }
        _h['nonProxyHosts'] = _ha
      end
      return _h
    end

    # the json (string form) for this RemoteHttpProxySettings
    def to_json
      to_jaxb_json_hash.to_json
    end

    #initializes this RemoteHttpProxySettings with a json hash
    def init_jaxb_json_hash(_o)
      @proxyHostname = String.from_json(_o['proxyHostname']) unless _o['proxyHostname'].nil?
      @proxyPort = Fixnum.from_json(_o['proxyPort']) unless _o['proxyPort'].nil?
      @authentication = Org::Sonatype::Nexus::Rest::Model::AuthenticationSettings.from_json(_o['authentication']) unless _o['authentication'].nil?
      if !_o['nonProxyHosts'].nil?
        @nonProxyHosts = Array.new
        _oa = _o['nonProxyHosts']
        _oa.each { | _item | @nonProxyHosts.push String.from_json(_item) }
      end
    end

    # constructs a RemoteHttpProxySettings from a (parsed) JSON hash
    def self.from_json(o)
      if o.nil?
        return nil
      else
        inst = new
        inst.init_jaxb_json_hash o
        return inst
      end
    end
  end

end

end

end

end

end

module Org

module Sonatype

module Nexus

module Rest

module Model

  # Repository content class definition.
  class RepositoryContentClassListResource 

    # The content class.
    attr_accessor :contentClass
    # The name of the content class.
    attr_accessor :name

    # the json hash for this RepositoryContentClassListResource
    def to_jaxb_json_hash
      _h = {}
      _h['contentClass'] = contentClass.to_jaxb_json_hash unless contentClass.nil?
      _h['name'] = name.to_jaxb_json_hash unless name.nil?
      return _h
    end

    # the json (string form) for this RepositoryContentClassListResource
    def to_json
      to_jaxb_json_hash.to_json
    end

    #initializes this RepositoryContentClassListResource with a json hash
    def init_jaxb_json_hash(_o)
      @contentClass = String.from_json(_o['contentClass']) unless _o['contentClass'].nil?
      @name = String.from_json(_o['name']) unless _o['name'].nil?
    end

    # constructs a RepositoryContentClassListResource from a (parsed) JSON hash
    def self.from_json(o)
      if o.nil?
        return nil
      else
        inst = new
        inst.init_jaxb_json_hash o
        return inst
      end
    end
  end

end

end

end

end

end

module Org

module Sonatype

module Nexus

module Rest

module Model

  # Details of a repository that shadow another repository.
  class RepositoryDependentStatusResource 

    # The shadow repository id.
    attr_accessor :id
    # The shadow repository type.
    attr_accessor :repoType
    # The shadow repository format.
    attr_accessor :format
    # The shadow repository local status.
    attr_accessor :localStatus

    # the json hash for this RepositoryDependentStatusResource
    def to_jaxb_json_hash
      _h = {}
      _h['id'] = id.to_jaxb_json_hash unless id.nil?
      _h['repoType'] = repoType.to_jaxb_json_hash unless repoType.nil?
      _h['format'] = format.to_jaxb_json_hash unless format.nil?
      _h['localStatus'] = localStatus.to_jaxb_json_hash unless localStatus.nil?
      return _h
    end

    # the json (string form) for this RepositoryDependentStatusResource
    def to_json
      to_jaxb_json_hash.to_json
    end

    #initializes this RepositoryDependentStatusResource with a json hash
    def init_jaxb_json_hash(_o)
      @id = String.from_json(_o['id']) unless _o['id'].nil?
      @repoType = String.from_json(_o['repoType']) unless _o['repoType'].nil?
      @format = String.from_json(_o['format']) unless _o['format'].nil?
      @localStatus = String.from_json(_o['localStatus']) unless _o['localStatus'].nil?
    end

    # constructs a RepositoryDependentStatusResource from a (parsed) JSON hash
    def self.from_json(o)
      if o.nil?
        return nil
      else
        inst = new
        inst.init_jaxb_json_hash o
        return inst
      end
    end
  end

end

end

end

end

end

module Org

module Sonatype

module Nexus

module Rest

module Model

  # The basic set of details of a repository group.
  class RepositoryGroupListResource 

    # URL used to manage the repository group.
    attr_accessor :resourceURI
    # URL used to manage content of the repository group.
    attr_accessor :contentResourceURI
    # The id of the repository group.
    attr_accessor :id
    # The name of the repository group.
    attr_accessor :name
    # The format of the repository group.
    attr_accessor :format
    # Flag that states if the repository group is available over
the content resource.
    attr_accessor :exposed

    # the json hash for this RepositoryGroupListResource
    def to_jaxb_json_hash
      _h = {}
      _h['resourceURI'] = resourceURI.to_jaxb_json_hash unless resourceURI.nil?
      _h['contentResourceURI'] = contentResourceURI.to_jaxb_json_hash unless contentResourceURI.nil?
      _h['id'] = id.to_jaxb_json_hash unless id.nil?
      _h['name'] = name.to_jaxb_json_hash unless name.nil?
      _h['format'] = format.to_jaxb_json_hash unless format.nil?
      _h['exposed'] = exposed.to_jaxb_json_hash unless exposed.nil?
      return _h
    end

    # the json (string form) for this RepositoryGroupListResource
    def to_json
      to_jaxb_json_hash.to_json
    end

    #initializes this RepositoryGroupListResource with a json hash
    def init_jaxb_json_hash(_o)
      @resourceURI = String.from_json(_o['resourceURI']) unless _o['resourceURI'].nil?
      @contentResourceURI = String.from_json(_o['contentResourceURI']) unless _o['contentResourceURI'].nil?
      @id = String.from_json(_o['id']) unless _o['id'].nil?
      @name = String.from_json(_o['name']) unless _o['name'].nil?
      @format = String.from_json(_o['format']) unless _o['format'].nil?
      @exposed = Boolean.from_json(_o['exposed']) unless _o['exposed'].nil?
    end

    # constructs a RepositoryGroupListResource from a (parsed) JSON hash
    def self.from_json(o)
      if o.nil?
        return nil
      else
        inst = new
        inst.init_jaxb_json_hash o
        return inst
      end
    end
  end

end

end

end

end

end

module Org

module Sonatype

module Nexus

module Rest

module Model

  # A repository that is contained within a group.
  class RepositoryGroupMemberRepository 

    # The repository id.
    attr_accessor :id
    # The repository name.
    attr_accessor :name
    # The URL used to manage the repository.
    attr_accessor :resourceURI

    # the json hash for this RepositoryGroupMemberRepository
    def to_jaxb_json_hash
      _h = {}
      _h['id'] = id.to_jaxb_json_hash unless id.nil?
      _h['name'] = name.to_jaxb_json_hash unless name.nil?
      _h['resourceURI'] = resourceURI.to_jaxb_json_hash unless resourceURI.nil?
      return _h
    end

    # the json (string form) for this RepositoryGroupMemberRepository
    def to_json
      to_jaxb_json_hash.to_json
    end

    #initializes this RepositoryGroupMemberRepository with a json hash
    def init_jaxb_json_hash(_o)
      @id = String.from_json(_o['id']) unless _o['id'].nil?
      @name = String.from_json(_o['name']) unless _o['name'].nil?
      @resourceURI = String.from_json(_o['resourceURI']) unless _o['resourceURI'].nil?
    end

    # constructs a RepositoryGroupMemberRepository from a (parsed) JSON hash
    def self.from_json(o)
      if o.nil?
        return nil
      else
        inst = new
        inst.init_jaxb_json_hash o
        return inst
      end
    end
  end

end

end

end

end

end

module Org

module Sonatype

module Nexus

module Rest

module Model

  # Repository general details.
  class RepositoryListResource 

    # URI used to manage the repository.
    attr_accessor :resourceURI
    # URI used to access repository over /content URL (as maven
would do for example).
    attr_accessor :contentResourceURI
    # The id of the repository.
    attr_accessor :id
    # The name of the repository.
    attr_accessor :name
    # The type of the repository.
    attr_accessor :repoType
    # The policy of the repository.
    attr_accessor :repoPolicy
    # The repository provider.
    attr_accessor :provider
    # The role of the repository (classname).
    attr_accessor :providerRole
    # The format of the repository.
    attr_accessor :format
    # Flag that states if the repository is manageable by the user.
    attr_accessor :userManaged
    # Flag that states if the repository is exposed over the
content url.
    attr_accessor :exposed
    # The URL where the repository storage is on server.
    attr_accessor :effectiveLocalStorageUrl
    # The remote URI of the repository.
    attr_accessor :remoteUri

    # the json hash for this RepositoryListResource
    def to_jaxb_json_hash
      _h = {}
      _h['resourceURI'] = resourceURI.to_jaxb_json_hash unless resourceURI.nil?
      _h['contentResourceURI'] = contentResourceURI.to_jaxb_json_hash unless contentResourceURI.nil?
      _h['id'] = id.to_jaxb_json_hash unless id.nil?
      _h['name'] = name.to_jaxb_json_hash unless name.nil?
      _h['repoType'] = repoType.to_jaxb_json_hash unless repoType.nil?
      _h['repoPolicy'] = repoPolicy.to_jaxb_json_hash unless repoPolicy.nil?
      _h['provider'] = provider.to_jaxb_json_hash unless provider.nil?
      _h['providerRole'] = providerRole.to_jaxb_json_hash unless providerRole.nil?
      _h['format'] = format.to_jaxb_json_hash unless format.nil?
      _h['userManaged'] = userManaged.to_jaxb_json_hash unless userManaged.nil?
      _h['exposed'] = exposed.to_jaxb_json_hash unless exposed.nil?
      _h['effectiveLocalStorageUrl'] = effectiveLocalStorageUrl.to_jaxb_json_hash unless effectiveLocalStorageUrl.nil?
      _h['remoteUri'] = remoteUri.to_jaxb_json_hash unless remoteUri.nil?
      return _h
    end

    # the json (string form) for this RepositoryListResource
    def to_json
      to_jaxb_json_hash.to_json
    end

    #initializes this RepositoryListResource with a json hash
    def init_jaxb_json_hash(_o)
      @resourceURI = String.from_json(_o['resourceURI']) unless _o['resourceURI'].nil?
      @contentResourceURI = String.from_json(_o['contentResourceURI']) unless _o['contentResourceURI'].nil?
      @id = String.from_json(_o['id']) unless _o['id'].nil?
      @name = String.from_json(_o['name']) unless _o['name'].nil?
      @repoType = String.from_json(_o['repoType']) unless _o['repoType'].nil?
      @repoPolicy = String.from_json(_o['repoPolicy']) unless _o['repoPolicy'].nil?
      @provider = String.from_json(_o['provider']) unless _o['provider'].nil?
      @providerRole = String.from_json(_o['providerRole']) unless _o['providerRole'].nil?
      @format = String.from_json(_o['format']) unless _o['format'].nil?
      @userManaged = Boolean.from_json(_o['userManaged']) unless _o['userManaged'].nil?
      @exposed = Boolean.from_json(_o['exposed']) unless _o['exposed'].nil?
      @effectiveLocalStorageUrl = String.from_json(_o['effectiveLocalStorageUrl']) unless _o['effectiveLocalStorageUrl'].nil?
      @remoteUri = String.from_json(_o['remoteUri']) unless _o['remoteUri'].nil?
    end

    # constructs a RepositoryListResource from a (parsed) JSON hash
    def self.from_json(o)
      if o.nil?
        return nil
      else
        inst = new
        inst.init_jaxb_json_hash o
        return inst
      end
    end
  end

end

end

end

end

end

module Org

module Sonatype

module Nexus

module Rest

module Model

  # Details about the repository.
  class RepositoryMetaResource 

    # The repository id.
    attr_accessor :id
    # The repository type.
    attr_accessor :repoType
    # The repository format.
    attr_accessor :format
    # The size on disk the repository consumes.
    attr_accessor :sizeOnDisk
    # The size available on disk where the repository is located.
    attr_accessor :freeSpaceOnDisk
    # The number of files held in the repository.
    attr_accessor :fileCountInRepository
    # The number of requested paths that are currently in the not
found cache.
    attr_accessor :notFoundCacheSize
    # The number of checks against the not found cache that have
succeeded (and thus saved a remote check).
    attr_accessor :notFoundCacheHits
    # The number of checks against the not found cache that have
failed (and thus required a remote check).
    attr_accessor :notFoundCacheMisses
    # The number of errors reported by local storage.
    attr_accessor :localStorageErrorsCount
    # The number of errors reported by remote storage.
    attr_accessor :remoteStorageErrorsCount
    # Field groups.
    attr_accessor :groups

    # the json hash for this RepositoryMetaResource
    def to_jaxb_json_hash
      _h = {}
      _h['id'] = id.to_jaxb_json_hash unless id.nil?
      _h['repoType'] = repoType.to_jaxb_json_hash unless repoType.nil?
      _h['format'] = format.to_jaxb_json_hash unless format.nil?
      _h['sizeOnDisk'] = sizeOnDisk.to_jaxb_json_hash unless sizeOnDisk.nil?
      _h['freeSpaceOnDisk'] = freeSpaceOnDisk.to_jaxb_json_hash unless freeSpaceOnDisk.nil?
      _h['fileCountInRepository'] = fileCountInRepository.to_jaxb_json_hash unless fileCountInRepository.nil?
      _h['notFoundCacheSize'] = notFoundCacheSize.to_jaxb_json_hash unless notFoundCacheSize.nil?
      _h['notFoundCacheHits'] = notFoundCacheHits.to_jaxb_json_hash unless notFoundCacheHits.nil?
      _h['notFoundCacheMisses'] = notFoundCacheMisses.to_jaxb_json_hash unless notFoundCacheMisses.nil?
      _h['localStorageErrorsCount'] = localStorageErrorsCount.to_jaxb_json_hash unless localStorageErrorsCount.nil?
      _h['remoteStorageErrorsCount'] = remoteStorageErrorsCount.to_jaxb_json_hash unless remoteStorageErrorsCount.nil?
      if !groups.nil?
        _ha = Array.new
        groups.each { | _item | _ha.push _item.to_jaxb_json_hash }
        _h['groups'] = _ha
      end
      return _h
    end

    # the json (string form) for this RepositoryMetaResource
    def to_json
      to_jaxb_json_hash.to_json
    end

    #initializes this RepositoryMetaResource with a json hash
    def init_jaxb_json_hash(_o)
      @id = String.from_json(_o['id']) unless _o['id'].nil?
      @repoType = String.from_json(_o['repoType']) unless _o['repoType'].nil?
      @format = String.from_json(_o['format']) unless _o['format'].nil?
      @sizeOnDisk = Bignum.from_json(_o['sizeOnDisk']) unless _o['sizeOnDisk'].nil?
      @freeSpaceOnDisk = Bignum.from_json(_o['freeSpaceOnDisk']) unless _o['freeSpaceOnDisk'].nil?
      @fileCountInRepository = Bignum.from_json(_o['fileCountInRepository']) unless _o['fileCountInRepository'].nil?
      @notFoundCacheSize = Bignum.from_json(_o['notFoundCacheSize']) unless _o['notFoundCacheSize'].nil?
      @notFoundCacheHits = Bignum.from_json(_o['notFoundCacheHits']) unless _o['notFoundCacheHits'].nil?
      @notFoundCacheMisses = Bignum.from_json(_o['notFoundCacheMisses']) unless _o['notFoundCacheMisses'].nil?
      @localStorageErrorsCount = Fixnum.from_json(_o['localStorageErrorsCount']) unless _o['localStorageErrorsCount'].nil?
      @remoteStorageErrorsCount = Fixnum.from_json(_o['remoteStorageErrorsCount']) unless _o['remoteStorageErrorsCount'].nil?
      if !_o['groups'].nil?
        @groups = Array.new
        _oa = _o['groups']
        _oa.each { | _item | @groups.push String.from_json(_item) }
      end
    end

    # constructs a RepositoryMetaResource from a (parsed) JSON hash
    def self.from_json(o)
      if o.nil?
        return nil
      else
        inst = new
        inst.init_jaxb_json_hash o
        return inst
      end
    end
  end

end

end

end

end

end

module Org

module Sonatype

module Nexus

module Rest

module Model

  # The repository base object, this could be extended by a new
object if new fields are required.
  class RepositoryBaseResource 

    # The URL to access the content resource of the repository.
    attr_accessor :contentResourceURI
    # The id of the repository.
    attr_accessor :id
    # The name of the repository.
    attr_accessor :name
    # The provider of the repository (i.e. maven, p2, obr, etc.).
    attr_accessor :provider
    # The role of the repository (i.e. Repository,
GroupRepository, etc.).
    attr_accessor :providerRole
    # The format of the repository.
    attr_accessor :format
    # The type of the repository.
    attr_accessor :repoType
    # Flag that states whether the repository should be available
over the content resource.
    attr_accessor :exposed

    # the json hash for this RepositoryBaseResource
    def to_jaxb_json_hash
      _h = {}
      _h['contentResourceURI'] = contentResourceURI.to_jaxb_json_hash unless contentResourceURI.nil?
      _h['id'] = id.to_jaxb_json_hash unless id.nil?
      _h['name'] = name.to_jaxb_json_hash unless name.nil?
      _h['provider'] = provider.to_jaxb_json_hash unless provider.nil?
      _h['providerRole'] = providerRole.to_jaxb_json_hash unless providerRole.nil?
      _h['format'] = format.to_jaxb_json_hash unless format.nil?
      _h['repoType'] = repoType.to_jaxb_json_hash unless repoType.nil?
      _h['exposed'] = exposed.to_jaxb_json_hash unless exposed.nil?
      return _h
    end

    # the json (string form) for this RepositoryBaseResource
    def to_json
      to_jaxb_json_hash.to_json
    end

    #initializes this RepositoryBaseResource with a json hash
    def init_jaxb_json_hash(_o)
      @contentResourceURI = String.from_json(_o['contentResourceURI']) unless _o['contentResourceURI'].nil?
      @id = String.from_json(_o['id']) unless _o['id'].nil?
      @name = String.from_json(_o['name']) unless _o['name'].nil?
      @provider = String.from_json(_o['provider']) unless _o['provider'].nil?
      @providerRole = String.from_json(_o['providerRole']) unless _o['providerRole'].nil?
      @format = String.from_json(_o['format']) unless _o['format'].nil?
      @repoType = String.from_json(_o['repoType']) unless _o['repoType'].nil?
      @exposed = Boolean.from_json(_o['exposed']) unless _o['exposed'].nil?
    end

    # constructs a RepositoryBaseResource from a (parsed) JSON hash
    def self.from_json(o)
      if o.nil?
        return nil
      else
        inst = new
        inst.init_jaxb_json_hash o
        return inst
      end
    end
  end

end

end

end

end

end

module Org

module Sonatype

module Nexus

module Rest

module Model

  # A repository route basic set of details, for display in lists
(full details can be retrieved using the resourceURI).
  class RepositoryRouteListResource 

    # The URL used to manage this repository route.
    attr_accessor :resourceURI
    # The group this route is attached to.
    attr_accessor :groupId
    # The type of rule (inclusive, exclusive, etc.).
    attr_accessor :ruleType
    # The pattern associated to this route.
    attr_accessor :pattern
    # Field repositories.
    attr_accessor :repositories

    # the json hash for this RepositoryRouteListResource
    def to_jaxb_json_hash
      _h = {}
      _h['resourceURI'] = resourceURI.to_jaxb_json_hash unless resourceURI.nil?
      _h['groupId'] = groupId.to_jaxb_json_hash unless groupId.nil?
      _h['ruleType'] = ruleType.to_jaxb_json_hash unless ruleType.nil?
      _h['pattern'] = pattern.to_jaxb_json_hash unless pattern.nil?
      if !repositories.nil?
        _ha = Array.new
        repositories.each { | _item | _ha.push _item.to_jaxb_json_hash }
        _h['repositories'] = _ha
      end
      return _h
    end

    # the json (string form) for this RepositoryRouteListResource
    def to_json
      to_jaxb_json_hash.to_json
    end

    #initializes this RepositoryRouteListResource with a json hash
    def init_jaxb_json_hash(_o)
      @resourceURI = String.from_json(_o['resourceURI']) unless _o['resourceURI'].nil?
      @groupId = String.from_json(_o['groupId']) unless _o['groupId'].nil?
      @ruleType = String.from_json(_o['ruleType']) unless _o['ruleType'].nil?
      @pattern = String.from_json(_o['pattern']) unless _o['pattern'].nil?
      if !_o['repositories'].nil?
        @repositories = Array.new
        _oa = _o['repositories']
        _oa.each { | _item | @repositories.push Org::Sonatype::Nexus::Rest::Model::RepositoryRouteMemberRepository.from_json(_item) }
      end
    end

    # constructs a RepositoryRouteListResource from a (parsed) JSON hash
    def self.from_json(o)
      if o.nil?
        return nil
      else
        inst = new
        inst.init_jaxb_json_hash o
        return inst
      end
    end
  end

end

end

end

end

end

module Org

module Sonatype

module Nexus

module Rest

module Model

  # Class RepositoryRouteResource.
  class RepositoryRouteResource 

    # The id of the repository route.
    attr_accessor :id
    # The group id that the route is applied on.
    attr_accessor :groupId
    # The rule type of the route (inclusive, exclusive, etc.).
    attr_accessor :ruleType
    # The regex pattern that will be matched to see if route is
applied to request.
    attr_accessor :pattern
    # Field repositories.
    attr_accessor :repositories

    # the json hash for this RepositoryRouteResource
    def to_jaxb_json_hash
      _h = {}
      _h['id'] = id.to_jaxb_json_hash unless id.nil?
      _h['groupId'] = groupId.to_jaxb_json_hash unless groupId.nil?
      _h['ruleType'] = ruleType.to_jaxb_json_hash unless ruleType.nil?
      _h['pattern'] = pattern.to_jaxb_json_hash unless pattern.nil?
      if !repositories.nil?
        _ha = Array.new
        repositories.each { | _item | _ha.push _item.to_jaxb_json_hash }
        _h['repositories'] = _ha
      end
      return _h
    end

    # the json (string form) for this RepositoryRouteResource
    def to_json
      to_jaxb_json_hash.to_json
    end

    #initializes this RepositoryRouteResource with a json hash
    def init_jaxb_json_hash(_o)
      @id = String.from_json(_o['id']) unless _o['id'].nil?
      @groupId = String.from_json(_o['groupId']) unless _o['groupId'].nil?
      @ruleType = String.from_json(_o['ruleType']) unless _o['ruleType'].nil?
      @pattern = String.from_json(_o['pattern']) unless _o['pattern'].nil?
      if !_o['repositories'].nil?
        @repositories = Array.new
        _oa = _o['repositories']
        _oa.each { | _item | @repositories.push Org::Sonatype::Nexus::Rest::Model::RepositoryRouteMemberRepository.from_json(_item) }
      end
    end

    # constructs a RepositoryRouteResource from a (parsed) JSON hash
    def self.from_json(o)
      if o.nil?
        return nil
      else
        inst = new
        inst.init_jaxb_json_hash o
        return inst
      end
    end
  end

end

end

end

end

end

module Org

module Sonatype

module Nexus

module Rest

module Model

  # Some general details and status of the repostiory.
  class RepositoryStatusListResource 

    # The URI that can be used to manage the repository.
    attr_accessor :resourceURI
    # The id of the repository.
    attr_accessor :id
    # The name of the repository.
    attr_accessor :name
    # The type of repository.
    attr_accessor :repoType
    # The repository policy.
    attr_accessor :repoPolicy
    # The repository format.
    attr_accessor :format
    # The repository status object.
    attr_accessor :status

    # the json hash for this RepositoryStatusListResource
    def to_jaxb_json_hash
      _h = {}
      _h['resourceURI'] = resourceURI.to_jaxb_json_hash unless resourceURI.nil?
      _h['id'] = id.to_jaxb_json_hash unless id.nil?
      _h['name'] = name.to_jaxb_json_hash unless name.nil?
      _h['repoType'] = repoType.to_jaxb_json_hash unless repoType.nil?
      _h['repoPolicy'] = repoPolicy.to_jaxb_json_hash unless repoPolicy.nil?
      _h['format'] = format.to_jaxb_json_hash unless format.nil?
      _h['status'] = status.to_jaxb_json_hash unless status.nil?
      return _h
    end

    # the json (string form) for this RepositoryStatusListResource
    def to_json
      to_jaxb_json_hash.to_json
    end

    #initializes this RepositoryStatusListResource with a json hash
    def init_jaxb_json_hash(_o)
      @resourceURI = String.from_json(_o['resourceURI']) unless _o['resourceURI'].nil?
      @id = String.from_json(_o['id']) unless _o['id'].nil?
      @name = String.from_json(_o['name']) unless _o['name'].nil?
      @repoType = String.from_json(_o['repoType']) unless _o['repoType'].nil?
      @repoPolicy = String.from_json(_o['repoPolicy']) unless _o['repoPolicy'].nil?
      @format = String.from_json(_o['format']) unless _o['format'].nil?
      @status = Org::Sonatype::Nexus::Rest::Model::RepositoryStatusResource.from_json(_o['status']) unless _o['status'].nil?
    end

    # constructs a RepositoryStatusListResource from a (parsed) JSON hash
    def self.from_json(o)
      if o.nil?
        return nil
      else
        inst = new
        inst.init_jaxb_json_hash o
        return inst
      end
    end
  end

end

end

end

end

end

module Org

module Sonatype

module Nexus

module Rest

module Model

  # Repository status parameters.
  class RepositoryStatusResource 

    # The id of the repository.
    attr_accessor :id
    # The type of the repository.
    attr_accessor :repoType
    # The format of the repository.
    attr_accessor :format
    # The local status of the repository (user blocked for example)
    attr_accessor :localStatus
    # The remote status of the repository (unreachable for example)
    attr_accessor :remoteStatus
    # The repository proxy mode (allow, blocked, etc.).
    attr_accessor :proxyMode
    # Field dependentRepos.
    attr_accessor :dependentRepos

    # the json hash for this RepositoryStatusResource
    def to_jaxb_json_hash
      _h = {}
      _h['id'] = id.to_jaxb_json_hash unless id.nil?
      _h['repoType'] = repoType.to_jaxb_json_hash unless repoType.nil?
      _h['format'] = format.to_jaxb_json_hash unless format.nil?
      _h['localStatus'] = localStatus.to_jaxb_json_hash unless localStatus.nil?
      _h['remoteStatus'] = remoteStatus.to_jaxb_json_hash unless remoteStatus.nil?
      _h['proxyMode'] = proxyMode.to_jaxb_json_hash unless proxyMode.nil?
      if !dependentRepos.nil?
        _ha = Array.new
        dependentRepos.each { | _item | _ha.push _item.to_jaxb_json_hash }
        _h['dependentRepos'] = _ha
      end
      return _h
    end

    # the json (string form) for this RepositoryStatusResource
    def to_json
      to_jaxb_json_hash.to_json
    end

    #initializes this RepositoryStatusResource with a json hash
    def init_jaxb_json_hash(_o)
      @id = String.from_json(_o['id']) unless _o['id'].nil?
      @repoType = String.from_json(_o['repoType']) unless _o['repoType'].nil?
      @format = String.from_json(_o['format']) unless _o['format'].nil?
      @localStatus = String.from_json(_o['localStatus']) unless _o['localStatus'].nil?
      @remoteStatus = String.from_json(_o['remoteStatus']) unless _o['remoteStatus'].nil?
      @proxyMode = String.from_json(_o['proxyMode']) unless _o['proxyMode'].nil?
      if !_o['dependentRepos'].nil?
        @dependentRepos = Array.new
        _oa = _o['dependentRepos']
        _oa.each { | _item | @dependentRepos.push Org::Sonatype::Nexus::Rest::Model::RepositoryDependentStatusResource.from_json(_item) }
      end
    end

    # constructs a RepositoryStatusResource from a (parsed) JSON hash
    def self.from_json(o)
      if o.nil?
        return nil
      else
        inst = new
        inst.init_jaxb_json_hash o
        return inst
      end
    end
  end

end

end

end

end

end

module Org

module Sonatype

module Nexus

module Rest

module Model

  # The repository target list details.
  class RepositoryTargetListResource 

    # URL that can be used to manage the repository target.
    attr_accessor :resourceURI
    # The id of the repository target.
    attr_accessor :id
    # The name of the repository target.
    attr_accessor :name
    # The content class of the repository target.
    attr_accessor :contentClass

    # the json hash for this RepositoryTargetListResource
    def to_jaxb_json_hash
      _h = {}
      _h['resourceURI'] = resourceURI.to_jaxb_json_hash unless resourceURI.nil?
      _h['id'] = id.to_jaxb_json_hash unless id.nil?
      _h['name'] = name.to_jaxb_json_hash unless name.nil?
      _h['contentClass'] = contentClass.to_jaxb_json_hash unless contentClass.nil?
      return _h
    end

    # the json (string form) for this RepositoryTargetListResource
    def to_json
      to_jaxb_json_hash.to_json
    end

    #initializes this RepositoryTargetListResource with a json hash
    def init_jaxb_json_hash(_o)
      @resourceURI = String.from_json(_o['resourceURI']) unless _o['resourceURI'].nil?
      @id = String.from_json(_o['id']) unless _o['id'].nil?
      @name = String.from_json(_o['name']) unless _o['name'].nil?
      @contentClass = String.from_json(_o['contentClass']) unless _o['contentClass'].nil?
    end

    # constructs a RepositoryTargetListResource from a (parsed) JSON hash
    def self.from_json(o)
      if o.nil?
        return nil
      else
        inst = new
        inst.init_jaxb_json_hash o
        return inst
      end
    end
  end

end

end

end

end

end

module Org

module Sonatype

module Nexus

module Rest

module Model

  # The repository target configuration.
  class RepositoryTargetResource 

    # The URL used to manage the repository target.
    attr_accessor :resourceURI
    # The id of the repository target.
    attr_accessor :id
    # The name of the repository target.
    attr_accessor :name
    # The content class of the repository target.
    attr_accessor :contentClass
    # Field patterns.
    attr_accessor :patterns

    # the json hash for this RepositoryTargetResource
    def to_jaxb_json_hash
      _h = {}
      _h['resourceURI'] = resourceURI.to_jaxb_json_hash unless resourceURI.nil?
      _h['id'] = id.to_jaxb_json_hash unless id.nil?
      _h['name'] = name.to_jaxb_json_hash unless name.nil?
      _h['contentClass'] = contentClass.to_jaxb_json_hash unless contentClass.nil?
      if !patterns.nil?
        _ha = Array.new
        patterns.each { | _item | _ha.push _item.to_jaxb_json_hash }
        _h['patterns'] = _ha
      end
      return _h
    end

    # the json (string form) for this RepositoryTargetResource
    def to_json
      to_jaxb_json_hash.to_json
    end

    #initializes this RepositoryTargetResource with a json hash
    def init_jaxb_json_hash(_o)
      @resourceURI = String.from_json(_o['resourceURI']) unless _o['resourceURI'].nil?
      @id = String.from_json(_o['id']) unless _o['id'].nil?
      @name = String.from_json(_o['name']) unless _o['name'].nil?
      @contentClass = String.from_json(_o['contentClass']) unless _o['contentClass'].nil?
      if !_o['patterns'].nil?
        @patterns = Array.new
        _oa = _o['patterns']
        _oa.each { | _item | @patterns.push String.from_json(_item) }
      end
    end

    # constructs a RepositoryTargetResource from a (parsed) JSON hash
    def self.from_json(o)
      if o.nil?
        return nil
      else
        inst = new
        inst.init_jaxb_json_hash o
        return inst
      end
    end
  end

end

end

end

end

end

module Org

module Sonatype

module Nexus

module Rest

module Model

  # The rest api configuration settings.
  class RestApiSettings 

    # Flag that states whether to forcefully set the baseUrl
defined in rest responses.
    attr_accessor :forceBaseUrl
    # The baseUrl of the nexus server.
    attr_accessor :baseUrl

    # the json hash for this RestApiSettings
    def to_jaxb_json_hash
      _h = {}
      _h['forceBaseUrl'] = forceBaseUrl.to_jaxb_json_hash unless forceBaseUrl.nil?
      _h['baseUrl'] = baseUrl.to_jaxb_json_hash unless baseUrl.nil?
      return _h
    end

    # the json (string form) for this RestApiSettings
    def to_json
      to_jaxb_json_hash.to_json
    end

    #initializes this RestApiSettings with a json hash
    def init_jaxb_json_hash(_o)
      @forceBaseUrl = Boolean.from_json(_o['forceBaseUrl']) unless _o['forceBaseUrl'].nil?
      @baseUrl = String.from_json(_o['baseUrl']) unless _o['baseUrl'].nil?
    end

    # constructs a RestApiSettings from a (parsed) JSON hash
    def self.from_json(o)
      if o.nil?
        return nil
      else
        inst = new
        inst.init_jaxb_json_hash o
        return inst
      end
    end
  end

end

end

end

end

end

module Org

module Sonatype

module Nexus

module Rest

module Model

  # Scheduled service list item details.
  class ScheduledServiceListResource 

    # The URL that can be used to manage the scheduled service.
    attr_accessor :resourceURI
    # The id of the scheduled service.
    attr_accessor :id
    # Flag that states if the service is enabled.
    attr_accessor :enabled
    # The name of the scheduled service.
    attr_accessor :name
    # The type id of the scheduled service.
    attr_accessor :typeId
    # The type name of the scheduled service.
    attr_accessor :typeName
    # The status of the scheduled service (running, broken, etc.).
    attr_accessor :status
    # The type of schedule the service is run on (monthly, daily,
etc.).
    attr_accessor :schedule
    # The next time the scheduled service will run.
    attr_accessor :nextRunTime
    # The last time the scheduled service ran.
    attr_accessor :lastRunTime
    # The result of the last service run.
    attr_accessor :lastRunResult
    # The date the service was created.
    attr_accessor :created

    # the json hash for this ScheduledServiceListResource
    def to_jaxb_json_hash
      _h = {}
      _h['resourceURI'] = resourceURI.to_jaxb_json_hash unless resourceURI.nil?
      _h['id'] = id.to_jaxb_json_hash unless id.nil?
      _h['enabled'] = enabled.to_jaxb_json_hash unless enabled.nil?
      _h['name'] = name.to_jaxb_json_hash unless name.nil?
      _h['typeId'] = typeId.to_jaxb_json_hash unless typeId.nil?
      _h['typeName'] = typeName.to_jaxb_json_hash unless typeName.nil?
      _h['status'] = status.to_jaxb_json_hash unless status.nil?
      _h['schedule'] = schedule.to_jaxb_json_hash unless schedule.nil?
      _h['nextRunTime'] = nextRunTime.to_jaxb_json_hash unless nextRunTime.nil?
      _h['lastRunTime'] = lastRunTime.to_jaxb_json_hash unless lastRunTime.nil?
      _h['lastRunResult'] = lastRunResult.to_jaxb_json_hash unless lastRunResult.nil?
      _h['created'] = created.to_jaxb_json_hash unless created.nil?
      return _h
    end

    # the json (string form) for this ScheduledServiceListResource
    def to_json
      to_jaxb_json_hash.to_json
    end

    #initializes this ScheduledServiceListResource with a json hash
    def init_jaxb_json_hash(_o)
      @resourceURI = String.from_json(_o['resourceURI']) unless _o['resourceURI'].nil?
      @id = String.from_json(_o['id']) unless _o['id'].nil?
      @enabled = Boolean.from_json(_o['enabled']) unless _o['enabled'].nil?
      @name = String.from_json(_o['name']) unless _o['name'].nil?
      @typeId = String.from_json(_o['typeId']) unless _o['typeId'].nil?
      @typeName = String.from_json(_o['typeName']) unless _o['typeName'].nil?
      @status = String.from_json(_o['status']) unless _o['status'].nil?
      @schedule = String.from_json(_o['schedule']) unless _o['schedule'].nil?
      @nextRunTime = String.from_json(_o['nextRunTime']) unless _o['nextRunTime'].nil?
      @lastRunTime = String.from_json(_o['lastRunTime']) unless _o['lastRunTime'].nil?
      @lastRunResult = String.from_json(_o['lastRunResult']) unless _o['lastRunResult'].nil?
      @created = String.from_json(_o['created']) unless _o['created'].nil?
    end

    # constructs a ScheduledServiceListResource from a (parsed) JSON hash
    def self.from_json(o)
      if o.nil?
        return nil
      else
        inst = new
        inst.init_jaxb_json_hash o
        return inst
      end
    end
  end

end

end

end

end

end

module Org

module Sonatype

module Nexus

module Rest

module Model

  # A configuration property for a scheduled service.
  class ScheduledServicePropertyResource 

    # The id of the property.
    attr_accessor :id
    # The value of the property.
    attr_accessor :value

    # the json hash for this ScheduledServicePropertyResource
    def to_jaxb_json_hash
      _h = {}
      _h['id'] = id.to_jaxb_json_hash unless id.nil?
      _h['value'] = value.to_jaxb_json_hash unless value.nil?
      return _h
    end

    # the json (string form) for this ScheduledServicePropertyResource
    def to_json
      to_jaxb_json_hash.to_json
    end

    #initializes this ScheduledServicePropertyResource with a json hash
    def init_jaxb_json_hash(_o)
      @id = String.from_json(_o['id']) unless _o['id'].nil?
      @value = String.from_json(_o['value']) unless _o['value'].nil?
    end

    # constructs a ScheduledServicePropertyResource from a (parsed) JSON hash
    def self.from_json(o)
      if o.nil?
        return nil
      else
        inst = new
        inst.init_jaxb_json_hash o
        return inst
      end
    end
  end

end

end

end

end

end

module Org

module Sonatype

module Nexus

module Rest

module Model

  # Scheduled service status details.
  class ScheduledServiceResourceStatus 

    # The scheduled service configuration.
    attr_accessor :resource
    # The URL used to managed the scheduled service.
    attr_accessor :resourceURI
    # The status of the scheduled service.
    attr_accessor :status
    # The next time the scheduled service will run.
    attr_accessor :nextRunTime
    # The last time the scheduled service ran.
    attr_accessor :lastRunTime
    # The result of the last service run.
    attr_accessor :lastRunResult
    # The date the service was created.
    attr_accessor :created

    # the json hash for this ScheduledServiceResourceStatus
    def to_jaxb_json_hash
      _h = {}
      _h['resource'] = resource.to_jaxb_json_hash unless resource.nil?
      _h['resourceURI'] = resourceURI.to_jaxb_json_hash unless resourceURI.nil?
      _h['status'] = status.to_jaxb_json_hash unless status.nil?
      _h['nextRunTime'] = nextRunTime.to_jaxb_json_hash unless nextRunTime.nil?
      _h['lastRunTime'] = lastRunTime.to_jaxb_json_hash unless lastRunTime.nil?
      _h['lastRunResult'] = lastRunResult.to_jaxb_json_hash unless lastRunResult.nil?
      _h['created'] = created.to_jaxb_json_hash unless created.nil?
      return _h
    end

    # the json (string form) for this ScheduledServiceResourceStatus
    def to_json
      to_jaxb_json_hash.to_json
    end

    #initializes this ScheduledServiceResourceStatus with a json hash
    def init_jaxb_json_hash(_o)
      @resource = Org::Sonatype::Nexus::Rest::Model::ScheduledServiceBaseResource.from_json(_o['resource']) unless _o['resource'].nil?
      @resourceURI = String.from_json(_o['resourceURI']) unless _o['resourceURI'].nil?
      @status = String.from_json(_o['status']) unless _o['status'].nil?
      @nextRunTime = String.from_json(_o['nextRunTime']) unless _o['nextRunTime'].nil?
      @lastRunTime = String.from_json(_o['lastRunTime']) unless _o['lastRunTime'].nil?
      @lastRunResult = String.from_json(_o['lastRunResult']) unless _o['lastRunResult'].nil?
      @created = String.from_json(_o['created']) unless _o['created'].nil?
    end

    # constructs a ScheduledServiceResourceStatus from a (parsed) JSON hash
    def self.from_json(o)
      if o.nil?
        return nil
      else
        inst = new
        inst.init_jaxb_json_hash o
        return inst
      end
    end
  end

end

end

end

end

end

module Org

module Sonatype

module Nexus

module Rest

module Model

  # Property that helps configure a scheduled service.
  class ScheduledServiceTypePropertyResource 

    # The id of the property.
    attr_accessor :id
    # The name of the property.
    attr_accessor :name
    # The type of the property (string, date, checkbox, etc.).
    attr_accessor :type
    # The help text for the property.
    attr_accessor :helpText
    # Flag that states if the property is required to be set.
    attr_accessor :required
    # Regular expression validation for the value of the property.
    attr_accessor :regexValidation

    # the json hash for this ScheduledServiceTypePropertyResource
    def to_jaxb_json_hash
      _h = {}
      _h['id'] = id.to_jaxb_json_hash unless id.nil?
      _h['name'] = name.to_jaxb_json_hash unless name.nil?
      _h['type'] = type.to_jaxb_json_hash unless type.nil?
      _h['helpText'] = helpText.to_jaxb_json_hash unless helpText.nil?
      _h['required'] = required.to_jaxb_json_hash unless required.nil?
      _h['regexValidation'] = regexValidation.to_jaxb_json_hash unless regexValidation.nil?
      return _h
    end

    # the json (string form) for this ScheduledServiceTypePropertyResource
    def to_json
      to_jaxb_json_hash.to_json
    end

    #initializes this ScheduledServiceTypePropertyResource with a json hash
    def init_jaxb_json_hash(_o)
      @id = String.from_json(_o['id']) unless _o['id'].nil?
      @name = String.from_json(_o['name']) unless _o['name'].nil?
      @type = String.from_json(_o['type']) unless _o['type'].nil?
      @helpText = String.from_json(_o['helpText']) unless _o['helpText'].nil?
      @required = Boolean.from_json(_o['required']) unless _o['required'].nil?
      @regexValidation = String.from_json(_o['regexValidation']) unless _o['regexValidation'].nil?
    end

    # constructs a ScheduledServiceTypePropertyResource from a (parsed) JSON hash
    def self.from_json(o)
      if o.nil?
        return nil
      else
        inst = new
        inst.init_jaxb_json_hash o
        return inst
      end
    end
  end

end

end

end

end

end

module Org

module Sonatype

module Nexus

module Rest

module Model

  # Scheduled service type, which you can create a scheduled task
against.
  class ScheduledServiceTypeResource 

    # The id of the service type.
    attr_accessor :id
    # The name of the service type.
    attr_accessor :name
    # Field properties.
    attr_accessor :properties

    # the json hash for this ScheduledServiceTypeResource
    def to_jaxb_json_hash
      _h = {}
      _h['id'] = id.to_jaxb_json_hash unless id.nil?
      _h['name'] = name.to_jaxb_json_hash unless name.nil?
      if !properties.nil?
        _ha = Array.new
        properties.each { | _item | _ha.push _item.to_jaxb_json_hash }
        _h['properties'] = _ha
      end
      return _h
    end

    # the json (string form) for this ScheduledServiceTypeResource
    def to_json
      to_jaxb_json_hash.to_json
    end

    #initializes this ScheduledServiceTypeResource with a json hash
    def init_jaxb_json_hash(_o)
      @id = String.from_json(_o['id']) unless _o['id'].nil?
      @name = String.from_json(_o['name']) unless _o['name'].nil?
      if !_o['properties'].nil?
        @properties = Array.new
        _oa = _o['properties']
        _oa.each { | _item | @properties.push Org::Sonatype::Nexus::Rest::Model::ScheduledServiceTypePropertyResource.from_json(_item) }
      end
    end

    # constructs a ScheduledServiceTypeResource from a (parsed) JSON hash
    def self.from_json(o)
      if o.nil?
        return nil
      else
        inst = new
        inst.init_jaxb_json_hash o
        return inst
      end
    end
  end

end

end

end

end

end

module Org

module Sonatype

module Nexus

module Rest

module Model

  # The smtp settings request.
  class SmtpSettingsResource 

    # Test email address to send a validation mail to.
    attr_accessor :testEmail
    # The smtp host.
    attr_accessor :host
    # The smtp port.
    attr_accessor :port
    # The smtp username.
    attr_accessor :username
    # The smtp password.
    attr_accessor :password
    # The email address that nexus will send emails from.
    attr_accessor :systemEmailAddress
    # Flag that states whether to use SSL.
    attr_accessor :sslEnabled
    # Flag that states whether to use TLS.
    attr_accessor :tlsEnabled

    # the json hash for this SmtpSettingsResource
    def to_jaxb_json_hash
      _h = {}
      _h['testEmail'] = testEmail.to_jaxb_json_hash unless testEmail.nil?
      _h['host'] = host.to_jaxb_json_hash unless host.nil?
      _h['port'] = port.to_jaxb_json_hash unless port.nil?
      _h['username'] = username.to_jaxb_json_hash unless username.nil?
      _h['password'] = password.to_jaxb_json_hash unless password.nil?
      _h['systemEmailAddress'] = systemEmailAddress.to_jaxb_json_hash unless systemEmailAddress.nil?
      _h['sslEnabled'] = sslEnabled.to_jaxb_json_hash unless sslEnabled.nil?
      _h['tlsEnabled'] = tlsEnabled.to_jaxb_json_hash unless tlsEnabled.nil?
      return _h
    end

    # the json (string form) for this SmtpSettingsResource
    def to_json
      to_jaxb_json_hash.to_json
    end

    #initializes this SmtpSettingsResource with a json hash
    def init_jaxb_json_hash(_o)
      @testEmail = String.from_json(_o['testEmail']) unless _o['testEmail'].nil?
      @host = String.from_json(_o['host']) unless _o['host'].nil?
      @port = Fixnum.from_json(_o['port']) unless _o['port'].nil?
      @username = String.from_json(_o['username']) unless _o['username'].nil?
      @password = String.from_json(_o['password']) unless _o['password'].nil?
      @systemEmailAddress = String.from_json(_o['systemEmailAddress']) unless _o['systemEmailAddress'].nil?
      @sslEnabled = Boolean.from_json(_o['sslEnabled']) unless _o['sslEnabled'].nil?
      @tlsEnabled = Boolean.from_json(_o['tlsEnabled']) unless _o['tlsEnabled'].nil?
    end

    # constructs a SmtpSettingsResource from a (parsed) JSON hash
    def self.from_json(o)
      if o.nil?
        return nil
      else
        inst = new
        inst.init_jaxb_json_hash o
        return inst
      end
    end
  end

end

end

end

end

end

module Org

module Sonatype

module Nexus

module Rest

module Model

  # Configuration validation status.
  class StatusConfigurationValidationResponse 

    # Flag that states if the nexus configuration is valid.
    attr_accessor :valid
    # Flag that states if nexus had to modify the nexus
configuration.
    attr_accessor :modified
    # Field validationErrors.
    attr_accessor :validationErrors
    # Field validationWarnings.
    attr_accessor :validationWarnings

    # the json hash for this StatusConfigurationValidationResponse
    def to_jaxb_json_hash
      _h = {}
      _h['valid'] = valid.to_jaxb_json_hash unless valid.nil?
      _h['modified'] = modified.to_jaxb_json_hash unless modified.nil?
      if !validationErrors.nil?
        _ha = Array.new
        validationErrors.each { | _item | _ha.push _item.to_jaxb_json_hash }
        _h['validationErrors'] = _ha
      end
      if !validationWarnings.nil?
        _ha = Array.new
        validationWarnings.each { | _item | _ha.push _item.to_jaxb_json_hash }
        _h['validationWarnings'] = _ha
      end
      return _h
    end

    # the json (string form) for this StatusConfigurationValidationResponse
    def to_json
      to_jaxb_json_hash.to_json
    end

    #initializes this StatusConfigurationValidationResponse with a json hash
    def init_jaxb_json_hash(_o)
      @valid = Boolean.from_json(_o['valid']) unless _o['valid'].nil?
      @modified = Boolean.from_json(_o['modified']) unless _o['modified'].nil?
      if !_o['validationErrors'].nil?
        @validationErrors = Array.new
        _oa = _o['validationErrors']
        _oa.each { | _item | @validationErrors.push String.from_json(_item) }
      end
      if !_o['validationWarnings'].nil?
        @validationWarnings = Array.new
        _oa = _o['validationWarnings']
        _oa.each { | _item | @validationWarnings.push String.from_json(_item) }
      end
    end

    # constructs a StatusConfigurationValidationResponse from a (parsed) JSON hash
    def self.from_json(o)
      if o.nil?
        return nil
      else
        inst = new
        inst.init_jaxb_json_hash o
        return inst
      end
    end
  end

end

end

end

end

end

module Org

module Sonatype

module Nexus

module Rest

module Model

  # Nexus status details.
  class StatusResource 

    # The application name.
    attr_accessor :appName
    # The formatted application name (html formatting).
    attr_accessor :formattedAppName
    # The version of the nexus instance.
    attr_accessor :version
    # The version of the core nexus instance.
    attr_accessor :apiVersion
    # The long version of the nexus edition (i.e. Open Source or
Professional).
    attr_accessor :editionLong
    # The short version of the nexus edition (i.e. OSS or PRO).
    attr_accessor :editionShort
    # The state of the nexus instance.
    attr_accessor :state
    # The operation mode of the nexus instance.
    attr_accessor :operationMode
    # The date the instance was first initialized.
    attr_accessor :initializedAt
    # The date the instance was last started.
    attr_accessor :startedAt
    # The last time the nexus configuration was updated.
    attr_accessor :lastConfigChange
    # Flag that states if this is the first time nexus was started.
    attr_accessor :firstStart
    # Flag that states if the nexus instance has been upgraded.
    attr_accessor :instanceUpgraded
    # Flag that states if the nexus configuration has been upgraded
    attr_accessor :configurationUpgraded
    # Configuration validation status.
    attr_accessor :configurationValidationResponse
    # Errors occuring during nexus startup.
    attr_accessor :errorCause
    # Permissions that are available to the current user.
    attr_accessor :clientPermissions
    # The base url of the nexus instance.
    attr_accessor :baseUrl

    # the json hash for this StatusResource
    def to_jaxb_json_hash
      _h = {}
      _h['appName'] = appName.to_jaxb_json_hash unless appName.nil?
      _h['formattedAppName'] = formattedAppName.to_jaxb_json_hash unless formattedAppName.nil?
      _h['version'] = version.to_jaxb_json_hash unless version.nil?
      _h['apiVersion'] = apiVersion.to_jaxb_json_hash unless apiVersion.nil?
      _h['editionLong'] = editionLong.to_jaxb_json_hash unless editionLong.nil?
      _h['editionShort'] = editionShort.to_jaxb_json_hash unless editionShort.nil?
      _h['state'] = state.to_jaxb_json_hash unless state.nil?
      _h['operationMode'] = operationMode.to_jaxb_json_hash unless operationMode.nil?
      _h['initializedAt'] = initializedAt.to_jaxb_json_hash unless initializedAt.nil?
      _h['startedAt'] = startedAt.to_jaxb_json_hash unless startedAt.nil?
      _h['lastConfigChange'] = lastConfigChange.to_jaxb_json_hash unless lastConfigChange.nil?
      _h['firstStart'] = firstStart.to_jaxb_json_hash unless firstStart.nil?
      _h['instanceUpgraded'] = instanceUpgraded.to_jaxb_json_hash unless instanceUpgraded.nil?
      _h['configurationUpgraded'] = configurationUpgraded.to_jaxb_json_hash unless configurationUpgraded.nil?
      _h['configurationValidationResponse'] = configurationValidationResponse.to_jaxb_json_hash unless configurationValidationResponse.nil?
      _h['errorCause'] = errorCause.to_jaxb_json_hash unless errorCause.nil?
      _h['clientPermissions'] = clientPermissions.to_jaxb_json_hash unless clientPermissions.nil?
      _h['baseUrl'] = baseUrl.to_jaxb_json_hash unless baseUrl.nil?
      return _h
    end

    # the json (string form) for this StatusResource
    def to_json
      to_jaxb_json_hash.to_json
    end

    #initializes this StatusResource with a json hash
    def init_jaxb_json_hash(_o)
      @appName = String.from_json(_o['appName']) unless _o['appName'].nil?
      @formattedAppName = String.from_json(_o['formattedAppName']) unless _o['formattedAppName'].nil?
      @version = String.from_json(_o['version']) unless _o['version'].nil?
      @apiVersion = String.from_json(_o['apiVersion']) unless _o['apiVersion'].nil?
      @editionLong = String.from_json(_o['editionLong']) unless _o['editionLong'].nil?
      @editionShort = String.from_json(_o['editionShort']) unless _o['editionShort'].nil?
      @state = String.from_json(_o['state']) unless _o['state'].nil?
      @operationMode = String.from_json(_o['operationMode']) unless _o['operationMode'].nil?
      @initializedAt = Time.from_json(_o['initializedAt']) unless _o['initializedAt'].nil?
      @startedAt = Time.from_json(_o['startedAt']) unless _o['startedAt'].nil?
      @lastConfigChange = Time.from_json(_o['lastConfigChange']) unless _o['lastConfigChange'].nil?
      @firstStart = Boolean.from_json(_o['firstStart']) unless _o['firstStart'].nil?
      @instanceUpgraded = Boolean.from_json(_o['instanceUpgraded']) unless _o['instanceUpgraded'].nil?
      @configurationUpgraded = Boolean.from_json(_o['configurationUpgraded']) unless _o['configurationUpgraded'].nil?
      @configurationValidationResponse = Org::Sonatype::Nexus::Rest::Model::StatusConfigurationValidationResponse.from_json(_o['configurationValidationResponse']) unless _o['configurationValidationResponse'].nil?
      @errorCause = String.from_json(_o['errorCause']) unless _o['errorCause'].nil?
      @clientPermissions = Org::Sonatype::Nexus::Rest::Model::NexusAuthenticationClientPermissions.from_json(_o['clientPermissions']) unless _o['clientPermissions'].nil?
      @baseUrl = String.from_json(_o['baseUrl']) unless _o['baseUrl'].nil?
    end

    # constructs a StatusResource from a (parsed) JSON hash
    def self.from_json(o)
      if o.nil?
        return nil
      else
        inst = new
        inst.init_jaxb_json_hash o
        return inst
      end
    end
  end

end

end

end

end

end

module Org

module Sonatype

module Nexus

module Rest

module Model

  # Details about the nexus wastebasket.
  class WastebasketResource 

    # The size of the contents in the wastebasket.
    attr_accessor :size
    # The number of items in the wastebasket.
    attr_accessor :itemCount

    # the json hash for this WastebasketResource
    def to_jaxb_json_hash
      _h = {}
      _h['size'] = size.to_jaxb_json_hash unless size.nil?
      _h['itemCount'] = itemCount.to_jaxb_json_hash unless itemCount.nil?
      return _h
    end

    # the json (string form) for this WastebasketResource
    def to_json
      to_jaxb_json_hash.to_json
    end

    #initializes this WastebasketResource with a json hash
    def init_jaxb_json_hash(_o)
      @size = Bignum.from_json(_o['size']) unless _o['size'].nil?
      @itemCount = Bignum.from_json(_o['itemCount']) unless _o['itemCount'].nil?
    end

    # constructs a WastebasketResource from a (parsed) JSON hash
    def self.from_json(o)
      if o.nil?
        return nil
      else
        inst = new
        inst.init_jaxb_json_hash o
        return inst
      end
    end
  end

end

end

end

end

end

module Org

module Sonatype

module Security

module Rest

module Model

  # 
  class AuthenticationClientPermissions 

    # (no documentation provided)
    attr_accessor :loggedInUserSource
    # (no documentation provided)
    attr_accessor :permissions
    # (no documentation provided)
    attr_accessor :loggedIn
    # (no documentation provided)
    attr_accessor :loggedInUsername

    # the json hash for this AuthenticationClientPermissions
    def to_jaxb_json_hash
      _h = {}
      _h['loggedInUserSource'] = loggedInUserSource.to_jaxb_json_hash unless loggedInUserSource.nil?
      if !permissions.nil?
        _ha = Array.new
        permissions.each { | _item | _ha.push _item.to_jaxb_json_hash }
        _h['permissions'] = _ha
      end
      _h['loggedIn'] = loggedIn.to_jaxb_json_hash unless loggedIn.nil?
      _h['loggedInUsername'] = loggedInUsername.to_jaxb_json_hash unless loggedInUsername.nil?
      return _h
    end

    # the json (string form) for this AuthenticationClientPermissions
    def to_json
      to_jaxb_json_hash.to_json
    end

    #initializes this AuthenticationClientPermissions with a json hash
    def init_jaxb_json_hash(_o)
      @loggedInUserSource = String.from_json(_o['loggedInUserSource']) unless _o['loggedInUserSource'].nil?
      if !_o['permissions'].nil?
        @permissions = Array.new
        _oa = _o['permissions']
        _oa.each { | _item | @permissions.push Org::Sonatype::Security::Rest::Model::ClientPermission.from_json(_item) }
      end
      @loggedIn = Boolean.from_json(_o['loggedIn']) unless _o['loggedIn'].nil?
      @loggedInUsername = String.from_json(_o['loggedInUsername']) unless _o['loggedInUsername'].nil?
    end

    # constructs a AuthenticationClientPermissions from a (parsed) JSON hash
    def self.from_json(o)
      if o.nil?
        return nil
      else
        inst = new
        inst.init_jaxb_json_hash o
        return inst
      end
    end
  end

end

end

end

end

end

module Org

module Sonatype

module Security

module Rest

module Model

  # 
  class ClientPermission 

    # (no documentation provided)
    attr_accessor :id
    # (no documentation provided)
    attr_accessor :value

    # the json hash for this ClientPermission
    def to_jaxb_json_hash
      _h = {}
      _h['id'] = id.to_jaxb_json_hash unless id.nil?
      _h['value'] = value.to_jaxb_json_hash unless value.nil?
      return _h
    end

    # the json (string form) for this ClientPermission
    def to_json
      to_jaxb_json_hash.to_json
    end

    #initializes this ClientPermission with a json hash
    def init_jaxb_json_hash(_o)
      @id = String.from_json(_o['id']) unless _o['id'].nil?
      @value = Fixnum.from_json(_o['value']) unless _o['value'].nil?
    end

    # constructs a ClientPermission from a (parsed) JSON hash
    def self.from_json(o)
      if o.nil?
        return nil
      else
        inst = new
        inst.init_jaxb_json_hash o
        return inst
      end
    end
  end

end

end

end

end

end

module Org

module Sonatype

module Nexus

module Rest

module Model

  # The notification settings tell nexus who to notify when
certain events occur (such as a proxy repository being
auto-blocked).
  class SystemNotificationSettings 

    # Flag that states whether to enable notifications.
    attr_accessor :enabled
    # Comma seperated list of email addresses to notify.
    attr_accessor :emailAddresses
    # Field roles.
    attr_accessor :roles

    # the json hash for this SystemNotificationSettings
    def to_jaxb_json_hash
      _h = {}
      _h['enabled'] = enabled.to_jaxb_json_hash unless enabled.nil?
      _h['emailAddresses'] = emailAddresses.to_jaxb_json_hash unless emailAddresses.nil?
      if !roles.nil?
        _ha = Array.new
        roles.each { | _item | _ha.push _item.to_jaxb_json_hash }
        _h['roles'] = _ha
      end
      return _h
    end

    # the json (string form) for this SystemNotificationSettings
    def to_json
      to_jaxb_json_hash.to_json
    end

    #initializes this SystemNotificationSettings with a json hash
    def init_jaxb_json_hash(_o)
      @enabled = Boolean.from_json(_o['enabled']) unless _o['enabled'].nil?
      @emailAddresses = String.from_json(_o['emailAddresses']) unless _o['emailAddresses'].nil?
      if !_o['roles'].nil?
        @roles = Array.new
        _oa = _o['roles']
        _oa.each { | _item | @roles.push String.from_json(_item) }
      end
    end

    # constructs a SystemNotificationSettings from a (parsed) JSON hash
    def self.from_json(o)
      if o.nil?
        return nil
      else
        inst = new
        inst.init_jaxb_json_hash o
        return inst
      end
    end
  end

end

end

end

end

end

module Org

module Sonatype

module Nexus

module Rest

module Model

  # The connections settings for an smtp server.
  class SmtpSettings 

    # The smtp host.
    attr_accessor :host
    # The smtp port.
    attr_accessor :port
    # The smtp server username.
    attr_accessor :username
    # The smtp server password.
    attr_accessor :password
    # The email address that emails will be sent from.
    attr_accessor :systemEmailAddress
    # Flag that states whether to use ssl.
    attr_accessor :sslEnabled
    # Flag that states whether to use tls.
    attr_accessor :tlsEnabled

    # the json hash for this SmtpSettings
    def to_jaxb_json_hash
      _h = {}
      _h['host'] = host.to_jaxb_json_hash unless host.nil?
      _h['port'] = port.to_jaxb_json_hash unless port.nil?
      _h['username'] = username.to_jaxb_json_hash unless username.nil?
      _h['password'] = password.to_jaxb_json_hash unless password.nil?
      _h['systemEmailAddress'] = systemEmailAddress.to_jaxb_json_hash unless systemEmailAddress.nil?
      _h['sslEnabled'] = sslEnabled.to_jaxb_json_hash unless sslEnabled.nil?
      _h['tlsEnabled'] = tlsEnabled.to_jaxb_json_hash unless tlsEnabled.nil?
      return _h
    end

    # the json (string form) for this SmtpSettings
    def to_json
      to_jaxb_json_hash.to_json
    end

    #initializes this SmtpSettings with a json hash
    def init_jaxb_json_hash(_o)
      @host = String.from_json(_o['host']) unless _o['host'].nil?
      @port = Fixnum.from_json(_o['port']) unless _o['port'].nil?
      @username = String.from_json(_o['username']) unless _o['username'].nil?
      @password = String.from_json(_o['password']) unless _o['password'].nil?
      @systemEmailAddress = String.from_json(_o['systemEmailAddress']) unless _o['systemEmailAddress'].nil?
      @sslEnabled = Boolean.from_json(_o['sslEnabled']) unless _o['sslEnabled'].nil?
      @tlsEnabled = Boolean.from_json(_o['tlsEnabled']) unless _o['tlsEnabled'].nil?
    end

    # constructs a SmtpSettings from a (parsed) JSON hash
    def self.from_json(o)
      if o.nil?
        return nil
      else
        inst = new
        inst.init_jaxb_json_hash o
        return inst
      end
    end
  end

end

end

end

end

end

module Org

module Sonatype

module Nexus

module Rest

module Model

  # The scheduled service configuration.
  class ScheduledServiceBaseResource 

    # The id of the service.
    attr_accessor :id
    # The name of the service.
    attr_accessor :name
    # Flag that states if the service is enabled.
    attr_accessor :enabled
    # The type id of the service.
    attr_accessor :typeId
    # The email to send notifications to if the service fails.
    attr_accessor :alertEmail
    # The schedule the service is run on.
    attr_accessor :schedule
    # Field properties.
    attr_accessor :properties

    # the json hash for this ScheduledServiceBaseResource
    def to_jaxb_json_hash
      _h = {}
      _h['id'] = id.to_jaxb_json_hash unless id.nil?
      _h['name'] = name.to_jaxb_json_hash unless name.nil?
      _h['enabled'] = enabled.to_jaxb_json_hash unless enabled.nil?
      _h['typeId'] = typeId.to_jaxb_json_hash unless typeId.nil?
      _h['alertEmail'] = alertEmail.to_jaxb_json_hash unless alertEmail.nil?
      _h['schedule'] = schedule.to_jaxb_json_hash unless schedule.nil?
      if !properties.nil?
        _ha = Array.new
        properties.each { | _item | _ha.push _item.to_jaxb_json_hash }
        _h['properties'] = _ha
      end
      return _h
    end

    # the json (string form) for this ScheduledServiceBaseResource
    def to_json
      to_jaxb_json_hash.to_json
    end

    #initializes this ScheduledServiceBaseResource with a json hash
    def init_jaxb_json_hash(_o)
      @id = String.from_json(_o['id']) unless _o['id'].nil?
      @name = String.from_json(_o['name']) unless _o['name'].nil?
      @enabled = Boolean.from_json(_o['enabled']) unless _o['enabled'].nil?
      @typeId = String.from_json(_o['typeId']) unless _o['typeId'].nil?
      @alertEmail = String.from_json(_o['alertEmail']) unless _o['alertEmail'].nil?
      @schedule = String.from_json(_o['schedule']) unless _o['schedule'].nil?
      if !_o['properties'].nil?
        @properties = Array.new
        _oa = _o['properties']
        _oa.each { | _item | @properties.push Org::Sonatype::Nexus::Rest::Model::ScheduledServicePropertyResource.from_json(_item) }
      end
    end

    # constructs a ScheduledServiceBaseResource from a (parsed) JSON hash
    def self.from_json(o)
      if o.nil?
        return nil
      else
        inst = new
        inst.init_jaxb_json_hash o
        return inst
      end
    end
  end

end

end

end

end

end

module Org

module Sonatype

module Nexus

module Rest

module Model

  # Repository details in a repository route.
  class RepositoryRouteMemberRepository 

    # The repository id.
    attr_accessor :id
    # The repository name.
    attr_accessor :name
    # The URL that can be used to manage the repository.
    attr_accessor :resourceURI

    # the json hash for this RepositoryRouteMemberRepository
    def to_jaxb_json_hash
      _h = {}
      _h['id'] = id.to_jaxb_json_hash unless id.nil?
      _h['name'] = name.to_jaxb_json_hash unless name.nil?
      _h['resourceURI'] = resourceURI.to_jaxb_json_hash unless resourceURI.nil?
      return _h
    end

    # the json (string form) for this RepositoryRouteMemberRepository
    def to_json
      to_jaxb_json_hash.to_json
    end

    #initializes this RepositoryRouteMemberRepository with a json hash
    def init_jaxb_json_hash(_o)
      @id = String.from_json(_o['id']) unless _o['id'].nil?
      @name = String.from_json(_o['name']) unless _o['name'].nil?
      @resourceURI = String.from_json(_o['resourceURI']) unless _o['resourceURI'].nil?
    end

    # constructs a RepositoryRouteMemberRepository from a (parsed) JSON hash
    def self.from_json(o)
      if o.nil?
        return nil
      else
        inst = new
        inst.init_jaxb_json_hash o
        return inst
      end
    end
  end

end

end

end

end

end

module Org

module Sonatype

module Nexus

module Rest

module Model

  # The connections settings defines common connection
properties, like retries count and timeouts.
  class RemoteConnectionSettings 

    # Connection timeout in milliseconds.
    attr_accessor :connectionTimeout
    # The retry count before remote connection is declared
unsuccesful.
    attr_accessor :retrievalRetryCount
    # Query string that is appended to remote requests.
    attr_accessor :queryString
    # User agent string that is used to customize Nexus user agent
string user for remote HTTP requests.
    attr_accessor :userAgentString

    # the json hash for this RemoteConnectionSettings
    def to_jaxb_json_hash
      _h = {}
      _h['connectionTimeout'] = connectionTimeout.to_jaxb_json_hash unless connectionTimeout.nil?
      _h['retrievalRetryCount'] = retrievalRetryCount.to_jaxb_json_hash unless retrievalRetryCount.nil?
      _h['queryString'] = queryString.to_jaxb_json_hash unless queryString.nil?
      _h['userAgentString'] = userAgentString.to_jaxb_json_hash unless userAgentString.nil?
      return _h
    end

    # the json (string form) for this RemoteConnectionSettings
    def to_json
      to_jaxb_json_hash.to_json
    end

    #initializes this RemoteConnectionSettings with a json hash
    def init_jaxb_json_hash(_o)
      @connectionTimeout = Fixnum.from_json(_o['connectionTimeout']) unless _o['connectionTimeout'].nil?
      @retrievalRetryCount = Fixnum.from_json(_o['retrievalRetryCount']) unless _o['retrievalRetryCount'].nil?
      @queryString = String.from_json(_o['queryString']) unless _o['queryString'].nil?
      @userAgentString = String.from_json(_o['userAgentString']) unless _o['userAgentString'].nil?
    end

    # constructs a RemoteConnectionSettings from a (parsed) JSON hash
    def self.from_json(o)
      if o.nil?
        return nil
      else
        inst = new
        inst.init_jaxb_json_hash o
        return inst
      end
    end
  end

end

end

end

end

end

module Org

module Sonatype

module Nexus

module Rest

module Model

  # Privilege details.
  class PrivilegeResource 

    # The name of the privilege.
    attr_accessor :name
    # The type of the privilege.
    attr_accessor :type
    # The description of the privilege.
    attr_accessor :description
    # Field method.
    attr_accessor :method
    # Target id for the privilege.
    attr_accessor :repositoryTargetId
    # Repository id of the privilege.
    attr_accessor :repositoryId
    # Group id of the privilege.
    attr_accessor :repositoryGroupId

    # the json hash for this PrivilegeResource
    def to_jaxb_json_hash
      _h = {}
      _h['name'] = name.to_jaxb_json_hash unless name.nil?
      _h['type'] = type.to_jaxb_json_hash unless type.nil?
      _h['description'] = description.to_jaxb_json_hash unless description.nil?
      if !method.nil?
        _ha = Array.new
        method.each { | _item | _ha.push _item.to_jaxb_json_hash }
        _h['methods'] = _ha
      end
      _h['repositoryTargetId'] = repositoryTargetId.to_jaxb_json_hash unless repositoryTargetId.nil?
      _h['repositoryId'] = repositoryId.to_jaxb_json_hash unless repositoryId.nil?
      _h['repositoryGroupId'] = repositoryGroupId.to_jaxb_json_hash unless repositoryGroupId.nil?
      return _h
    end

    # the json (string form) for this PrivilegeResource
    def to_json
      to_jaxb_json_hash.to_json
    end

    #initializes this PrivilegeResource with a json hash
    def init_jaxb_json_hash(_o)
      @name = String.from_json(_o['name']) unless _o['name'].nil?
      @type = String.from_json(_o['type']) unless _o['type'].nil?
      @description = String.from_json(_o['description']) unless _o['description'].nil?
      if !_o['methods'].nil?
        @method = Array.new
        _oa = _o['methods']
        _oa.each { | _item | @method.push String.from_json(_item) }
      end
      @repositoryTargetId = String.from_json(_o['repositoryTargetId']) unless _o['repositoryTargetId'].nil?
      @repositoryId = String.from_json(_o['repositoryId']) unless _o['repositoryId'].nil?
      @repositoryGroupId = String.from_json(_o['repositoryGroupId']) unless _o['repositoryGroupId'].nil?
    end

    # constructs a PrivilegeResource from a (parsed) JSON hash
    def self.from_json(o)
      if o.nil?
        return nil
      else
        inst = new
        inst.init_jaxb_json_hash o
        return inst
      end
    end
  end

end

end

end

end

end

module Org

module Sonatype

module Nexus

module Rest

module Model

  # Plexus component details.
  class PlexusComponentListResource 

    # The plexus role hint of the component.
    attr_accessor :roleHint
    # The plexus description of the component.
    attr_accessor :description

    # the json hash for this PlexusComponentListResource
    def to_jaxb_json_hash
      _h = {}
      _h['roleHint'] = roleHint.to_jaxb_json_hash unless roleHint.nil?
      _h['description'] = description.to_jaxb_json_hash unless description.nil?
      return _h
    end

    # the json (string form) for this PlexusComponentListResource
    def to_json
      to_jaxb_json_hash.to_json
    end

    #initializes this PlexusComponentListResource with a json hash
    def init_jaxb_json_hash(_o)
      @roleHint = String.from_json(_o['roleHint']) unless _o['roleHint'].nil?
      @description = String.from_json(_o['description']) unless _o['description'].nil?
    end

    # constructs a PlexusComponentListResource from a (parsed) JSON hash
    def self.from_json(o)
      if o.nil?
        return nil
      else
        inst = new
        inst.init_jaxb_json_hash o
        return inst
      end
    end
  end

end

end

end

end

end

module Org

module Sonatype

module Nexus

module Rest

module Model

  # REST Response object for a list of repository types, contains
the typical 'data' parameter, which is the repository types.
  class NexusRepositoryTypeListResourceResponse 

    # Field data.
    attr_accessor :data

    # the json hash for this NexusRepositoryTypeListResourceResponse
    def to_jaxb_json_hash
      _h = {}
      if !data.nil?
        _ha = Array.new
        data.each { | _item | _ha.push _item.to_jaxb_json_hash }
        _h['data'] = _ha
      end
      return _h
    end

    # the json (string form) for this NexusRepositoryTypeListResourceResponse
    def to_json
      to_jaxb_json_hash.to_json
    end

    #initializes this NexusRepositoryTypeListResourceResponse with a json hash
    def init_jaxb_json_hash(_o)
      if !_o['data'].nil?
        @data = Array.new
        _oa = _o['data']
        _oa.each { | _item | @data.push Org::Sonatype::Nexus::Rest::Model::NexusRepositoryTypeListResource.from_json(_item) }
      end
    end

    # constructs a NexusRepositoryTypeListResourceResponse from a (parsed) JSON hash
    def self.from_json(o)
      if o.nil?
        return nil
      else
        inst = new
        inst.init_jaxb_json_hash o
        return inst
      end
    end
  end

end

end

end

end

end

module Org

module Sonatype

module Nexus

module Rest

module Model

  # Details about NFC usage for a repository.
  class NFCRepositoryResource 

    # The repository id that the nfc details are for.
    attr_accessor :repositoryId
    # NFC statistics.
    attr_accessor :nfcStats
    # Field nfcPaths.
    attr_accessor :nfcPaths

    # the json hash for this NFCRepositoryResource
    def to_jaxb_json_hash
      _h = {}
      _h['repositoryId'] = repositoryId.to_jaxb_json_hash unless repositoryId.nil?
      _h['nfcStats'] = nfcStats.to_jaxb_json_hash unless nfcStats.nil?
      if !nfcPaths.nil?
        _ha = Array.new
        nfcPaths.each { | _item | _ha.push _item.to_jaxb_json_hash }
        _h['nfcPaths'] = _ha
      end
      return _h
    end

    # the json (string form) for this NFCRepositoryResource
    def to_json
      to_jaxb_json_hash.to_json
    end

    #initializes this NFCRepositoryResource with a json hash
    def init_jaxb_json_hash(_o)
      @repositoryId = String.from_json(_o['repositoryId']) unless _o['repositoryId'].nil?
      @nfcStats = Org::Sonatype::Nexus::Rest::Model::NFCStats.from_json(_o['nfcStats']) unless _o['nfcStats'].nil?
      if !_o['nfcPaths'].nil?
        @nfcPaths = Array.new
        _oa = _o['nfcPaths']
        _oa.each { | _item | @nfcPaths.push String.from_json(_item) }
      end
    end

    # constructs a NFCRepositoryResource from a (parsed) JSON hash
    def self.from_json(o)
      if o.nil?
        return nil
      else
        inst = new
        inst.init_jaxb_json_hash o
        return inst
      end
    end
  end

end

end

end

end

end

module Org

module Sonatype

module Nexus

module Rest

module Model

  # REST Request object for generating an error report, contains the
typical 'data' parameter, which is an error report item.
  class ErrorReportRequest 

    # The error report object.
    attr_accessor :data

    # the json hash for this ErrorReportRequest
    def to_jaxb_json_hash
      _h = {}
      _h['data'] = data.to_jaxb_json_hash unless data.nil?
      return _h
    end

    # the json (string form) for this ErrorReportRequest
    def to_json
      to_jaxb_json_hash.to_json
    end

    #initializes this ErrorReportRequest with a json hash
    def init_jaxb_json_hash(_o)
      @data = Org::Sonatype::Nexus::Rest::Model::ErrorReportRequestDTO.from_json(_o['data']) unless _o['data'].nil?
    end

    # constructs a ErrorReportRequest from a (parsed) JSON hash
    def self.from_json(o)
      if o.nil?
        return nil
      else
        inst = new
        inst.init_jaxb_json_hash o
        return inst
      end
    end
  end

end

end

end

end

end

module Org

module Sonatype

module Nexus

module Rest

module Model

  # A set of request parameters that were used to retrieve the item.
  class ContentListDescribeRequestResource 

    # The request url that initially generated this request.
    attr_accessor :requestUrl
    # The path on the server that was requested.
    attr_accessor :requestPath
    # Field requestContext.
    attr_accessor :requestContext

    # the json hash for this ContentListDescribeRequestResource
    def to_jaxb_json_hash
      _h = {}
      _h['requestUrl'] = requestUrl.to_jaxb_json_hash unless requestUrl.nil?
      _h['requestPath'] = requestPath.to_jaxb_json_hash unless requestPath.nil?
      if !requestContext.nil?
        _ha = Array.new
        requestContext.each { | _item | _ha.push _item.to_jaxb_json_hash }
        _h['requestContext'] = _ha
      end
      return _h
    end

    # the json (string form) for this ContentListDescribeRequestResource
    def to_json
      to_jaxb_json_hash.to_json
    end

    #initializes this ContentListDescribeRequestResource with a json hash
    def init_jaxb_json_hash(_o)
      @requestUrl = String.from_json(_o['requestUrl']) unless _o['requestUrl'].nil?
      @requestPath = String.from_json(_o['requestPath']) unless _o['requestPath'].nil?
      if !_o['requestContext'].nil?
        @requestContext = Array.new
        _oa = _o['requestContext']
        _oa.each { | _item | @requestContext.push String.from_json(_item) }
      end
    end

    # constructs a ContentListDescribeRequestResource from a (parsed) JSON hash
    def self.from_json(o)
      if o.nil?
        return nil
      else
        inst = new
        inst.init_jaxb_json_hash o
        return inst
      end
    end
  end

end

end

end

end

end

module Org

module Sonatype

module Nexus

module Rest

module Model

  # REST Response object received after requesting an artifact
resolve, contains the typical 'data' parameter, which is the
artifact resolve details.
  class ArtifactResolveResourceResponse 

    # The artifact details requested.
    attr_accessor :data

    # the json hash for this ArtifactResolveResourceResponse
    def to_jaxb_json_hash
      _h = {}
      _h['data'] = data.to_jaxb_json_hash unless data.nil?
      return _h
    end

    # the json (string form) for this ArtifactResolveResourceResponse
    def to_json
      to_jaxb_json_hash.to_json
    end

    #initializes this ArtifactResolveResourceResponse with a json hash
    def init_jaxb_json_hash(_o)
      @data = Org::Sonatype::Nexus::Rest::Model::ArtifactResolveResource.from_json(_o['data']) unless _o['data'].nil?
    end

    # constructs a ArtifactResolveResourceResponse from a (parsed) JSON hash
    def self.from_json(o)
      if o.nil?
        return nil
      else
        inst = new
        inst.init_jaxb_json_hash o
        return inst
      end
    end
  end

end

end

end

end

end

module Org

module Sonatype

module Nexus

module Rest

module Model

  # A resource which contains full maven details of the requested
artifact.
  class ArtifactResolveResource 

    # The groupId of the requested artifact.
    attr_accessor :groupId
    # The artifactId of the requested artifact.
    attr_accessor :artifactId
    # The version of the requested artifact.
    attr_accessor :version
    # The base version of the requested artifact.
    attr_accessor :baseVersion
    # The classifier of the requested artifact.
    attr_accessor :classifier
    # The file extension of the requested artifact.
    attr_accessor :extension
    # Flag that states if requested artifact is a snapshot.
    attr_accessor :snapshot
    # The build number of the snapshot version of the requested
artifact.
    attr_accessor :snapshotBuildNumber
    # The timestamp portion of the snapshot version of the
requested artifact.
    attr_accessor :snapshotTimeStamp
    # The filename of the requested artifact.
    attr_accessor :fileName
    # The sha1 hash of the requested artifact.
    attr_accessor :sha1
    # The path in the repository of the requested artifact.
    attr_accessor :repositoryPath

    # the json hash for this ArtifactResolveResource
    def to_jaxb_json_hash
      _h = {}
      _h['groupId'] = groupId.to_jaxb_json_hash unless groupId.nil?
      _h['artifactId'] = artifactId.to_jaxb_json_hash unless artifactId.nil?
      _h['version'] = version.to_jaxb_json_hash unless version.nil?
      _h['baseVersion'] = baseVersion.to_jaxb_json_hash unless baseVersion.nil?
      _h['classifier'] = classifier.to_jaxb_json_hash unless classifier.nil?
      _h['extension'] = extension.to_jaxb_json_hash unless extension.nil?
      _h['snapshot'] = snapshot.to_jaxb_json_hash unless snapshot.nil?
      _h['snapshotBuildNumber'] = snapshotBuildNumber.to_jaxb_json_hash unless snapshotBuildNumber.nil?
      _h['snapshotTimeStamp'] = snapshotTimeStamp.to_jaxb_json_hash unless snapshotTimeStamp.nil?
      _h['fileName'] = fileName.to_jaxb_json_hash unless fileName.nil?
      _h['sha1'] = sha1.to_jaxb_json_hash unless sha1.nil?
      _h['repositoryPath'] = repositoryPath.to_jaxb_json_hash unless repositoryPath.nil?
      return _h
    end

    # the json (string form) for this ArtifactResolveResource
    def to_json
      to_jaxb_json_hash.to_json
    end

    #initializes this ArtifactResolveResource with a json hash
    def init_jaxb_json_hash(_o)
      @groupId = String.from_json(_o['groupId']) unless _o['groupId'].nil?
      @artifactId = String.from_json(_o['artifactId']) unless _o['artifactId'].nil?
      @version = String.from_json(_o['version']) unless _o['version'].nil?
      @baseVersion = String.from_json(_o['baseVersion']) unless _o['baseVersion'].nil?
      @classifier = String.from_json(_o['classifier']) unless _o['classifier'].nil?
      @extension = String.from_json(_o['extension']) unless _o['extension'].nil?
      @snapshot = Boolean.from_json(_o['snapshot']) unless _o['snapshot'].nil?
      @snapshotBuildNumber = Bignum.from_json(_o['snapshotBuildNumber']) unless _o['snapshotBuildNumber'].nil?
      @snapshotTimeStamp = Bignum.from_json(_o['snapshotTimeStamp']) unless _o['snapshotTimeStamp'].nil?
      @fileName = String.from_json(_o['fileName']) unless _o['fileName'].nil?
      @sha1 = String.from_json(_o['sha1']) unless _o['sha1'].nil?
      @repositoryPath = String.from_json(_o['repositoryPath']) unless _o['repositoryPath'].nil?
    end

    # constructs a ArtifactResolveResource from a (parsed) JSON hash
    def self.from_json(o)
      if o.nil?
        return nil
      else
        inst = new
        inst.init_jaxb_json_hash o
        return inst
      end
    end
  end

end

end

end

end

end

module Org

module Sonatype

module Nexus

module Rest

module Model

  # REST Response object for a log list resource request, contains
the typical 'data' parameter, which is a list of the log items
requested.
  class LogsListResourceResponse < Org::Sonatype::Nexus::Rest::Model::NexusResponse 

    # Field data.
    attr_accessor :data

    # the json hash for this LogsListResourceResponse
    def to_jaxb_json_hash
      _h = super
      if !data.nil?
        _ha = Array.new
        data.each { | _item | _ha.push _item.to_jaxb_json_hash }
        _h['data'] = _ha
      end
      return _h
    end

    #initializes this LogsListResourceResponse with a json hash
    def init_jaxb_json_hash(_o)
      super _o
      if !_o['data'].nil?
        @data = Array.new
        _oa = _o['data']
        _oa.each { | _item | @data.push Org::Sonatype::Nexus::Rest::Model::LogsListResource.from_json(_item) }
      end
    end

    # constructs a LogsListResourceResponse from a (parsed) JSON hash
    def self.from_json(o)
      if o.nil?
        return nil
      else
        inst = new
        inst.init_jaxb_json_hash o
        return inst
      end
    end
  end

end

end

end

end

end

module Org

module Sonatype

module Nexus

module Rest

module Model

  # REST Response object for a list of mirrors associated with a
repository, contains the typical 'data' parameter, which is the
list of mirrors.
  class MirrorResourceListResponse < Org::Sonatype::Nexus::Rest::Model::NexusResponse 

    # Field data.
    attr_accessor :data

    # the json hash for this MirrorResourceListResponse
    def to_jaxb_json_hash
      _h = super
      if !data.nil?
        _ha = Array.new
        data.each { | _item | _ha.push _item.to_jaxb_json_hash }
        _h['data'] = _ha
      end
      return _h
    end

    #initializes this MirrorResourceListResponse with a json hash
    def init_jaxb_json_hash(_o)
      super _o
      if !_o['data'].nil?
        @data = Array.new
        _oa = _o['data']
        _oa.each { | _item | @data.push Org::Sonatype::Nexus::Rest::Model::MirrorResource.from_json(_item) }
      end
    end

    # constructs a MirrorResourceListResponse from a (parsed) JSON hash
    def self.from_json(o)
      if o.nil?
        return nil
      else
        inst = new
        inst.init_jaxb_json_hash o
        return inst
      end
    end
  end

end

end

end

end

end

module Org

module Sonatype

module Nexus

module Rest

module Model

  # The set of items that define the repository group (extends
repository base resource).
  class RepositoryGroupResource < Org::Sonatype::Nexus::Rest::Model::RepositoryBaseResource 

    # Field repositories.
    attr_accessor :repositories

    # the json hash for this RepositoryGroupResource
    def to_jaxb_json_hash
      _h = super
      if !repositories.nil?
        _ha = Array.new
        repositories.each { | _item | _ha.push _item.to_jaxb_json_hash }
        _h['repositories'] = _ha
      end
      return _h
    end

    #initializes this RepositoryGroupResource with a json hash
    def init_jaxb_json_hash(_o)
      super _o
      if !_o['repositories'].nil?
        @repositories = Array.new
        _oa = _o['repositories']
        _oa.each { | _item | @repositories.push Org::Sonatype::Nexus::Rest::Model::RepositoryGroupMemberRepository.from_json(_item) }
      end
    end

    # constructs a RepositoryGroupResource from a (parsed) JSON hash
    def self.from_json(o)
      if o.nil?
        return nil
      else
        inst = new
        inst.init_jaxb_json_hash o
        return inst
      end
    end
  end

end

end

end

end

end

module Org

module Sonatype

module Nexus

module Rest

module Model

  # REST Response object for a repository group request, contains
the typical 'data' parameter, which is the repository group
object.
  class RepositoryGroupResourceResponse < Org::Sonatype::Nexus::Rest::Model::NexusResponse 

    # The repository group object.
    attr_accessor :data

    # the json hash for this RepositoryGroupResourceResponse
    def to_jaxb_json_hash
      _h = super
      _h['data'] = data.to_jaxb_json_hash unless data.nil?
      return _h
    end

    #initializes this RepositoryGroupResourceResponse with a json hash
    def init_jaxb_json_hash(_o)
      super _o
      @data = Org::Sonatype::Nexus::Rest::Model::RepositoryGroupResource.from_json(_o['data']) unless _o['data'].nil?
    end

    # constructs a RepositoryGroupResourceResponse from a (parsed) JSON hash
    def self.from_json(o)
      if o.nil?
        return nil
      else
        inst = new
        inst.init_jaxb_json_hash o
        return inst
      end
    end
  end

end

end

end

end

end

module Org

module Sonatype

module Nexus

module Rest

module Model

  # REST Response object for a repository metadata request, contains
the typical 'data' parameter, which is the repository metadata
object.
  class RepositoryMetaResourceResponse < Org::Sonatype::Nexus::Rest::Model::NexusResponse 

    # The repository metadata parameters.
    attr_accessor :data

    # the json hash for this RepositoryMetaResourceResponse
    def to_jaxb_json_hash
      _h = super
      _h['data'] = data.to_jaxb_json_hash unless data.nil?
      return _h
    end

    #initializes this RepositoryMetaResourceResponse with a json hash
    def init_jaxb_json_hash(_o)
      super _o
      @data = Org::Sonatype::Nexus::Rest::Model::RepositoryMetaResource.from_json(_o['data']) unless _o['data'].nil?
    end

    # constructs a RepositoryMetaResourceResponse from a (parsed) JSON hash
    def self.from_json(o)
      if o.nil?
        return nil
      else
        inst = new
        inst.init_jaxb_json_hash o
        return inst
      end
    end
  end

end

end

end

end

end

module Org

module Sonatype

module Nexus

module Rest

module Model

  # REST Response object for a repository route list request,
contains the typical 'data' parameter, which is the list of
repository route objects.
  class RepositoryRouteListResourceResponse < Org::Sonatype::Nexus::Rest::Model::NexusResponse 

    # Field data.
    attr_accessor :data

    # the json hash for this RepositoryRouteListResourceResponse
    def to_jaxb_json_hash
      _h = super
      if !data.nil?
        _ha = Array.new
        data.each { | _item | _ha.push _item.to_jaxb_json_hash }
        _h['data'] = _ha
      end
      return _h
    end

    #initializes this RepositoryRouteListResourceResponse with a json hash
    def init_jaxb_json_hash(_o)
      super _o
      if !_o['data'].nil?
        @data = Array.new
        _oa = _o['data']
        _oa.each { | _item | @data.push Org::Sonatype::Nexus::Rest::Model::RepositoryRouteListResource.from_json(_item) }
      end
    end

    # constructs a RepositoryRouteListResourceResponse from a (parsed) JSON hash
    def self.from_json(o)
      if o.nil?
        return nil
      else
        inst = new
        inst.init_jaxb_json_hash o
        return inst
      end
    end
  end

end

end

end

end

end

module Org

module Sonatype

module Nexus

module Rest

module Model

  # REST Response object for a repository status list request,
contains the typical 'data' parameter, which is the list of
repository status objects.
  class RepositoryStatusListResourceResponse < Org::Sonatype::Nexus::Rest::Model::NexusResponse 

    # Field data.
    attr_accessor :data

    # the json hash for this RepositoryStatusListResourceResponse
    def to_jaxb_json_hash
      _h = super
      if !data.nil?
        _ha = Array.new
        data.each { | _item | _ha.push _item.to_jaxb_json_hash }
        _h['data'] = _ha
      end
      return _h
    end

    #initializes this RepositoryStatusListResourceResponse with a json hash
    def init_jaxb_json_hash(_o)
      super _o
      if !_o['data'].nil?
        @data = Array.new
        _oa = _o['data']
        _oa.each { | _item | @data.push Org::Sonatype::Nexus::Rest::Model::RepositoryStatusListResource.from_json(_item) }
      end
    end

    # constructs a RepositoryStatusListResourceResponse from a (parsed) JSON hash
    def self.from_json(o)
      if o.nil?
        return nil
      else
        inst = new
        inst.init_jaxb_json_hash o
        return inst
      end
    end
  end

end

end

end

end

end

module Org

module Sonatype

module Nexus

module Rest

module Model

  # REST Response object for a list of repository targets, contains
the typical 'data' parameter, which is the list of repository
targets.
  class RepositoryTargetListResourceResponse < Org::Sonatype::Nexus::Rest::Model::NexusResponse 

    # Field data.
    attr_accessor :data

    # the json hash for this RepositoryTargetListResourceResponse
    def to_jaxb_json_hash
      _h = super
      if !data.nil?
        _ha = Array.new
        data.each { | _item | _ha.push _item.to_jaxb_json_hash }
        _h['data'] = _ha
      end
      return _h
    end

    #initializes this RepositoryTargetListResourceResponse with a json hash
    def init_jaxb_json_hash(_o)
      super _o
      if !_o['data'].nil?
        @data = Array.new
        _oa = _o['data']
        _oa.each { | _item | @data.push Org::Sonatype::Nexus::Rest::Model::RepositoryTargetListResource.from_json(_item) }
      end
    end

    # constructs a RepositoryTargetListResourceResponse from a (parsed) JSON hash
    def self.from_json(o)
      if o.nil?
        return nil
      else
        inst = new
        inst.init_jaxb_json_hash o
        return inst
      end
    end
  end

end

end

end

end

end

module Org

module Sonatype

module Nexus

module Rest

module Model

  # REST Response object for a scheduled service configuration
request, contains the typical 'data' parameter, which is the
scheduled service configuration.
  class ScheduledServiceResourceResponse < Org::Sonatype::Nexus::Rest::Model::NexusResponse 

    # The scheduled service configuration.
    attr_accessor :data

    # the json hash for this ScheduledServiceResourceResponse
    def to_jaxb_json_hash
      _h = super
      _h['data'] = data.to_jaxb_json_hash unless data.nil?
      return _h
    end

    #initializes this ScheduledServiceResourceResponse with a json hash
    def init_jaxb_json_hash(_o)
      super _o
      @data = Org::Sonatype::Nexus::Rest::Model::ScheduledServiceBaseResource.from_json(_o['data']) unless _o['data'].nil?
    end

    # constructs a ScheduledServiceResourceResponse from a (parsed) JSON hash
    def self.from_json(o)
      if o.nil?
        return nil
      else
        inst = new
        inst.init_jaxb_json_hash o
        return inst
      end
    end
  end

end

end

end

end

end

module Org

module Sonatype

module Nexus

module Rest

module Model

  # REST Response object for the nexus status, contains the typical
'data' parameter, which is the nexus status.
  class StatusResourceResponse < Org::Sonatype::Nexus::Rest::Model::NexusResponse 

    # Nexus status details.
    attr_accessor :data

    # the json hash for this StatusResourceResponse
    def to_jaxb_json_hash
      _h = super
      _h['data'] = data.to_jaxb_json_hash unless data.nil?
      return _h
    end

    #initializes this StatusResourceResponse with a json hash
    def init_jaxb_json_hash(_o)
      super _o
      @data = Org::Sonatype::Nexus::Rest::Model::StatusResource.from_json(_o['data']) unless _o['data'].nil?
    end

    # constructs a StatusResourceResponse from a (parsed) JSON hash
    def self.from_json(o)
      if o.nil?
        return nil
      else
        inst = new
        inst.init_jaxb_json_hash o
        return inst
      end
    end
  end

end

end

end

end

end

module Org

module Sonatype

module Nexus

module Rest

module Model

  # REST Response object for the nexus wastebasket info, contains
the typical 'data' parameter, which is the nexus wastebasket
info.
  class WastebasketResourceResponse < Org::Sonatype::Nexus::Rest::Model::NexusResponse 

    # The wastebasket information.
    attr_accessor :data

    # the json hash for this WastebasketResourceResponse
    def to_jaxb_json_hash
      _h = super
      _h['data'] = data.to_jaxb_json_hash unless data.nil?
      return _h
    end

    #initializes this WastebasketResourceResponse with a json hash
    def init_jaxb_json_hash(_o)
      super _o
      @data = Org::Sonatype::Nexus::Rest::Model::WastebasketResource.from_json(_o['data']) unless _o['data'].nil?
    end

    # constructs a WastebasketResourceResponse from a (parsed) JSON hash
    def self.from_json(o)
      if o.nil?
        return nil
      else
        inst = new
        inst.init_jaxb_json_hash o
        return inst
      end
    end
  end

end

end

end

end

end

module Org

module Sonatype

module Nexus

module Rest

module Model

  # REST Request object for validating the nexus smtp settings,
contains the typical 'data' parameter, which is the nexus stmp
configuration.
  class SmtpSettingsResourceRequest < Org::Sonatype::Nexus::Rest::Model::NexusResponse 

    # The nexus smtp configuration.
    attr_accessor :data

    # the json hash for this SmtpSettingsResourceRequest
    def to_jaxb_json_hash
      _h = super
      _h['data'] = data.to_jaxb_json_hash unless data.nil?
      return _h
    end

    #initializes this SmtpSettingsResourceRequest with a json hash
    def init_jaxb_json_hash(_o)
      super _o
      @data = Org::Sonatype::Nexus::Rest::Model::SmtpSettingsResource.from_json(_o['data']) unless _o['data'].nil?
    end

    # constructs a SmtpSettingsResourceRequest from a (parsed) JSON hash
    def self.from_json(o)
      if o.nil?
        return nil
      else
        inst = new
        inst.init_jaxb_json_hash o
        return inst
      end
    end
  end

end

end

end

end

end

module Org

module Sonatype

module Nexus

module Rest

module Model

  # REST Response object for a scheduled service type list request,
contains the typical 'data' parameter, which is the scheduled
service type details.
  class ScheduledServiceTypeResourceResponse < Org::Sonatype::Nexus::Rest::Model::NexusResponse 

    # Field data.
    attr_accessor :data

    # the json hash for this ScheduledServiceTypeResourceResponse
    def to_jaxb_json_hash
      _h = super
      if !data.nil?
        _ha = Array.new
        data.each { | _item | _ha.push _item.to_jaxb_json_hash }
        _h['data'] = _ha
      end
      return _h
    end

    #initializes this ScheduledServiceTypeResourceResponse with a json hash
    def init_jaxb_json_hash(_o)
      super _o
      if !_o['data'].nil?
        @data = Array.new
        _oa = _o['data']
        _oa.each { | _item | @data.push Org::Sonatype::Nexus::Rest::Model::ScheduledServiceTypeResource.from_json(_item) }
      end
    end

    # constructs a ScheduledServiceTypeResourceResponse from a (parsed) JSON hash
    def self.from_json(o)
      if o.nil?
        return nil
      else
        inst = new
        inst.init_jaxb_json_hash o
        return inst
      end
    end
  end

end

end

end

end

end

module Org

module Sonatype

module Nexus

module Rest

module Model

  # REST Response object for a scheduled service status request,
contains the typical 'data' parameter, which is the scheduled
service status.
  class ScheduledServiceResourceStatusResponse < Org::Sonatype::Nexus::Rest::Model::NexusResponse 

    # The scheduled service status details.
    attr_accessor :data

    # the json hash for this ScheduledServiceResourceStatusResponse
    def to_jaxb_json_hash
      _h = super
      _h['data'] = data.to_jaxb_json_hash unless data.nil?
      return _h
    end

    #initializes this ScheduledServiceResourceStatusResponse with a json hash
    def init_jaxb_json_hash(_o)
      super _o
      @data = Org::Sonatype::Nexus::Rest::Model::ScheduledServiceResourceStatus.from_json(_o['data']) unless _o['data'].nil?
    end

    # constructs a ScheduledServiceResourceStatusResponse from a (parsed) JSON hash
    def self.from_json(o)
      if o.nil?
        return nil
      else
        inst = new
        inst.init_jaxb_json_hash o
        return inst
      end
    end
  end

end

end

end

end

end

module Org

module Sonatype

module Nexus

module Rest

module Model

  # REST Response object for a list of scheduled service items,
contains the typical 'data' parameter, which is the list of
scheduled services..
  class ScheduledServiceListResourceResponse < Org::Sonatype::Nexus::Rest::Model::NexusResponse 

    # Field data.
    attr_accessor :data

    # the json hash for this ScheduledServiceListResourceResponse
    def to_jaxb_json_hash
      _h = super
      if !data.nil?
        _ha = Array.new
        data.each { | _item | _ha.push _item.to_jaxb_json_hash }
        _h['data'] = _ha
      end
      return _h
    end

    #initializes this ScheduledServiceListResourceResponse with a json hash
    def init_jaxb_json_hash(_o)
      super _o
      if !_o['data'].nil?
        @data = Array.new
        _oa = _o['data']
        _oa.each { | _item | @data.push Org::Sonatype::Nexus::Rest::Model::ScheduledServiceListResource.from_json(_item) }
      end
    end

    # constructs a ScheduledServiceListResourceResponse from a (parsed) JSON hash
    def self.from_json(o)
      if o.nil?
        return nil
      else
        inst = new
        inst.init_jaxb_json_hash o
        return inst
      end
    end
  end

end

end

end

end

end

module Org

module Sonatype

module Nexus

module Rest

module Model

  # REST Response object for a repository target, contains the
typical 'data' parameter, which is the repository target.
  class RepositoryTargetResourceResponse < Org::Sonatype::Nexus::Rest::Model::NexusResponse 

    # The repository target details.
    attr_accessor :data

    # the json hash for this RepositoryTargetResourceResponse
    def to_jaxb_json_hash
      _h = super
      _h['data'] = data.to_jaxb_json_hash unless data.nil?
      return _h
    end

    #initializes this RepositoryTargetResourceResponse with a json hash
    def init_jaxb_json_hash(_o)
      super _o
      @data = Org::Sonatype::Nexus::Rest::Model::RepositoryTargetResource.from_json(_o['data']) unless _o['data'].nil?
    end

    # constructs a RepositoryTargetResourceResponse from a (parsed) JSON hash
    def self.from_json(o)
      if o.nil?
        return nil
      else
        inst = new
        inst.init_jaxb_json_hash o
        return inst
      end
    end
  end

end

end

end

end

end

module Org

module Sonatype

module Nexus

module Rest

module Model

  # REST Response object for a repository status request, contains
the typical 'data' parameter, which is the repository status
objects.
  class RepositoryStatusResourceResponse < Org::Sonatype::Nexus::Rest::Model::NexusResponse 

    # Repository status details.
    attr_accessor :data

    # the json hash for this RepositoryStatusResourceResponse
    def to_jaxb_json_hash
      _h = super
      _h['data'] = data.to_jaxb_json_hash unless data.nil?
      return _h
    end

    #initializes this RepositoryStatusResourceResponse with a json hash
    def init_jaxb_json_hash(_o)
      super _o
      @data = Org::Sonatype::Nexus::Rest::Model::RepositoryStatusResource.from_json(_o['data']) unless _o['data'].nil?
    end

    # constructs a RepositoryStatusResourceResponse from a (parsed) JSON hash
    def self.from_json(o)
      if o.nil?
        return nil
      else
        inst = new
        inst.init_jaxb_json_hash o
        return inst
      end
    end
  end

end

end

end

end

end

module Org

module Sonatype

module Nexus

module Rest

module Model

  # REST Response object for a repository route request, contains
the typical 'data' parameter, which is the repository route
object.
  class RepositoryRouteResourceResponse < Org::Sonatype::Nexus::Rest::Model::NexusResponse 

    # Repository Route details.
    attr_accessor :data

    # the json hash for this RepositoryRouteResourceResponse
    def to_jaxb_json_hash
      _h = super
      _h['data'] = data.to_jaxb_json_hash unless data.nil?
      return _h
    end

    #initializes this RepositoryRouteResourceResponse with a json hash
    def init_jaxb_json_hash(_o)
      super _o
      @data = Org::Sonatype::Nexus::Rest::Model::RepositoryRouteResource.from_json(_o['data']) unless _o['data'].nil?
    end

    # constructs a RepositoryRouteResourceResponse from a (parsed) JSON hash
    def self.from_json(o)
      if o.nil?
        return nil
      else
        inst = new
        inst.init_jaxb_json_hash o
        return inst
      end
    end
  end

end

end

end

end

end

module Org

module Sonatype

module Nexus

module Rest

module Model

  # REST Response object for a repository request, contains the
typical 'data' parameter, which is the repository object.
  class RepositoryResourceResponse < Org::Sonatype::Nexus::Rest::Model::NexusResponse 

    # The repository object.
    attr_accessor :data

    # the json hash for this RepositoryResourceResponse
    def to_jaxb_json_hash
      _h = super
      _h['data'] = data.to_jaxb_json_hash unless data.nil?
      return _h
    end

    #initializes this RepositoryResourceResponse with a json hash
    def init_jaxb_json_hash(_o)
      super _o
      @data = Org::Sonatype::Nexus::Rest::Model::RepositoryBaseResource.from_json(_o['data']) unless _o['data'].nil?
    end

    # constructs a RepositoryResourceResponse from a (parsed) JSON hash
    def self.from_json(o)
      if o.nil?
        return nil
      else
        inst = new
        inst.init_jaxb_json_hash o
        return inst
      end
    end
  end

end

end

end

end

end

module Org

module Sonatype

module Nexus

module Rest

module Model

  # REST Response object for a repository list request, contains the
typical 'data' parameter, which is the list of repository
objects.
  class RepositoryListResourceResponse < Org::Sonatype::Nexus::Rest::Model::NexusResponse 

    # Field data.
    attr_accessor :data

    # the json hash for this RepositoryListResourceResponse
    def to_jaxb_json_hash
      _h = super
      if !data.nil?
        _ha = Array.new
        data.each { | _item | _ha.push _item.to_jaxb_json_hash }
        _h['data'] = _ha
      end
      return _h
    end

    #initializes this RepositoryListResourceResponse with a json hash
    def init_jaxb_json_hash(_o)
      super _o
      if !_o['data'].nil?
        @data = Array.new
        _oa = _o['data']
        _oa.each { | _item | @data.push Org::Sonatype::Nexus::Rest::Model::RepositoryListResource.from_json(_item) }
      end
    end

    # constructs a RepositoryListResourceResponse from a (parsed) JSON hash
    def self.from_json(o)
      if o.nil?
        return nil
      else
        inst = new
        inst.init_jaxb_json_hash o
        return inst
      end
    end
  end

end

end

end

end

end

module Org

module Sonatype

module Nexus

module Rest

module Model

  # REST Response object for a repository group list request,
contains the typical 'data' parameter, which is the list of
repository group objects.
  class RepositoryGroupListResourceResponse < Org::Sonatype::Nexus::Rest::Model::NexusResponse 

    # Field data.
    attr_accessor :data

    # the json hash for this RepositoryGroupListResourceResponse
    def to_jaxb_json_hash
      _h = super
      if !data.nil?
        _ha = Array.new
        data.each { | _item | _ha.push _item.to_jaxb_json_hash }
        _h['data'] = _ha
      end
      return _h
    end

    #initializes this RepositoryGroupListResourceResponse with a json hash
    def init_jaxb_json_hash(_o)
      super _o
      if !_o['data'].nil?
        @data = Array.new
        _oa = _o['data']
        _oa.each { | _item | @data.push Org::Sonatype::Nexus::Rest::Model::RepositoryGroupListResource.from_json(_item) }
      end
    end

    # constructs a RepositoryGroupListResourceResponse from a (parsed) JSON hash
    def self.from_json(o)
      if o.nil?
        return nil
      else
        inst = new
        inst.init_jaxb_json_hash o
        return inst
      end
    end
  end

end

end

end

end

end

module Org

module Sonatype

module Nexus

module Rest

module Model

  # REST Response object for a list of repository content classes,
contains the typical 'data' parameter, which is the repository
content class list.
  class RepositoryContentClassListResourceResponse < Org::Sonatype::Nexus::Rest::Model::NexusResponse 

    # Field data.
    attr_accessor :data

    # the json hash for this RepositoryContentClassListResourceResponse
    def to_jaxb_json_hash
      _h = super
      if !data.nil?
        _ha = Array.new
        data.each { | _item | _ha.push _item.to_jaxb_json_hash }
        _h['data'] = _ha
      end
      return _h
    end

    #initializes this RepositoryContentClassListResourceResponse with a json hash
    def init_jaxb_json_hash(_o)
      super _o
      if !_o['data'].nil?
        @data = Array.new
        _oa = _o['data']
        _oa.each { | _item | @data.push Org::Sonatype::Nexus::Rest::Model::RepositoryContentClassListResource.from_json(_item) }
      end
    end

    # constructs a RepositoryContentClassListResourceResponse from a (parsed) JSON hash
    def self.from_json(o)
      if o.nil?
        return nil
      else
        inst = new
        inst.init_jaxb_json_hash o
        return inst
      end
    end
  end

end

end

end

end

end

module Org

module Sonatype

module Nexus

module Rest

module Model

  # Repository mirror status.
  class MirrorStatusResource < Org::Sonatype::Nexus::Rest::Model::MirrorResource 

    # The status of the mirror.
    attr_accessor :status

    # the json hash for this MirrorStatusResource
    def to_jaxb_json_hash
      _h = super
      _h['status'] = status.to_jaxb_json_hash unless status.nil?
      return _h
    end

    #initializes this MirrorStatusResource with a json hash
    def init_jaxb_json_hash(_o)
      super _o
      @status = String.from_json(_o['status']) unless _o['status'].nil?
    end

    # constructs a MirrorStatusResource from a (parsed) JSON hash
    def self.from_json(o)
      if o.nil?
        return nil
      else
        inst = new
        inst.init_jaxb_json_hash o
        return inst
      end
    end
  end

end

end

end

end

end

module Org

module Sonatype

module Nexus

module Rest

module Model

  # REST Response object for an NFC resource item, contains the
typical 'data' parameter, which is the NFC resource item.
  class NFCResourceResponse < Org::Sonatype::Nexus::Rest::Model::NexusResponse 

    # An object which contains the contents of the NFC.
    attr_accessor :data

    # the json hash for this NFCResourceResponse
    def to_jaxb_json_hash
      _h = super
      _h['data'] = data.to_jaxb_json_hash unless data.nil?
      return _h
    end

    #initializes this NFCResourceResponse with a json hash
    def init_jaxb_json_hash(_o)
      super _o
      @data = Org::Sonatype::Nexus::Rest::Model::NFCResource.from_json(_o['data']) unless _o['data'].nil?
    end

    # constructs a NFCResourceResponse from a (parsed) JSON hash
    def self.from_json(o)
      if o.nil?
        return nil
      else
        inst = new
        inst.init_jaxb_json_hash o
        return inst
      end
    end
  end

end

end

end

end

end

module Org

module Sonatype

module Nexus

module Rest

module Model

  # Permissions that are granted to the user.
  class NexusAuthenticationClientPermissions < Org::Sonatype::Security::Rest::Model::AuthenticationClientPermissions 


    # the json hash for this NexusAuthenticationClientPermissions
    def to_jaxb_json_hash
      _h = super
      return _h
    end

    #initializes this NexusAuthenticationClientPermissions with a json hash
    def init_jaxb_json_hash(_o)
      super _o
    end

    # constructs a NexusAuthenticationClientPermissions from a (parsed) JSON hash
    def self.from_json(o)
      if o.nil?
        return nil
      else
        inst = new
        inst.init_jaxb_json_hash o
        return inst
      end
    end
  end

end

end

end

end

end

module Org

module Sonatype

module Nexus

module Rest

module Model

  # REST Response object for a list of mirror statuses associated
with a repository, contains the typical 'data' parameter, which
is the list of mirrors statuses.
  class MirrorStatusResourceListResponse < Org::Sonatype::Nexus::Rest::Model::NexusResponse 

    # Field data.
    attr_accessor :data

    # the json hash for this MirrorStatusResourceListResponse
    def to_jaxb_json_hash
      _h = super
      if !data.nil?
        _ha = Array.new
        data.each { | _item | _ha.push _item.to_jaxb_json_hash }
        _h['data'] = _ha
      end
      return _h
    end

    #initializes this MirrorStatusResourceListResponse with a json hash
    def init_jaxb_json_hash(_o)
      super _o
      if !_o['data'].nil?
        @data = Array.new
        _oa = _o['data']
        _oa.each { | _item | @data.push Org::Sonatype::Nexus::Rest::Model::MirrorStatusResource.from_json(_item) }
      end
    end

    # constructs a MirrorStatusResourceListResponse from a (parsed) JSON hash
    def self.from_json(o)
      if o.nil?
        return nil
      else
        inst = new
        inst.init_jaxb_json_hash o
        return inst
      end
    end
  end

end

end

end

end

end

module Org

module Sonatype

module Nexus

module Rest

module Model

  # REST Request object to persist list of mirrors associated with a
repository, contains the typical 'data' parameter, which is the
list of mirrors.
  class MirrorResourceListRequest < Org::Sonatype::Nexus::Rest::Model::NexusResponse 

    # Field data.
    attr_accessor :data

    # the json hash for this MirrorResourceListRequest
    def to_jaxb_json_hash
      _h = super
      if !data.nil?
        _ha = Array.new
        data.each { | _item | _ha.push _item.to_jaxb_json_hash }
        _h['data'] = _ha
      end
      return _h
    end

    #initializes this MirrorResourceListRequest with a json hash
    def init_jaxb_json_hash(_o)
      super _o
      if !_o['data'].nil?
        @data = Array.new
        _oa = _o['data']
        _oa.each { | _item | @data.push Org::Sonatype::Nexus::Rest::Model::MirrorResource.from_json(_item) }
      end
    end

    # constructs a MirrorResourceListRequest from a (parsed) JSON hash
    def self.from_json(o)
      if o.nil?
        return nil
      else
        inst = new
        inst.init_jaxb_json_hash o
        return inst
      end
    end
  end

end

end

end

end

end

module Org

module Sonatype

module Nexus

module Rest

module Model

  # REST Response object for the log config request, contains the
typical 'data' parameter, which is the log configuration.
  class LogConfigResourceResponse < Org::Sonatype::Nexus::Rest::Model::NexusResponse 

    # The log configuration parameters.
    attr_accessor :data

    # the json hash for this LogConfigResourceResponse
    def to_jaxb_json_hash
      _h = super
      _h['data'] = data.to_jaxb_json_hash unless data.nil?
      return _h
    end

    #initializes this LogConfigResourceResponse with a json hash
    def init_jaxb_json_hash(_o)
      super _o
      @data = Org::Sonatype::Nexus::Rest::Model::LogConfigResource.from_json(_o['data']) unless _o['data'].nil?
    end

    # constructs a LogConfigResourceResponse from a (parsed) JSON hash
    def self.from_json(o)
      if o.nil?
        return nil
      else
        inst = new
        inst.init_jaxb_json_hash o
        return inst
      end
    end
  end

end

end

end

end

end

module Org

module Sonatype

module Nexus

module Rest

module Model

  # REST Response object for a list of Nexus feed items, contains
the typical 'data' parameter, which is a list of the feed items.
  class FeedListResourceResponse < Org::Sonatype::Nexus::Rest::Model::NexusResponse 

    # Field data.
    attr_accessor :data

    # the json hash for this FeedListResourceResponse
    def to_jaxb_json_hash
      _h = super
      if !data.nil?
        _ha = Array.new
        data.each { | _item | _ha.push _item.to_jaxb_json_hash }
        _h['data'] = _ha
      end
      return _h
    end

    #initializes this FeedListResourceResponse with a json hash
    def init_jaxb_json_hash(_o)
      super _o
      if !_o['data'].nil?
        @data = Array.new
        _oa = _o['data']
        _oa.each { | _item | @data.push Org::Sonatype::Nexus::Rest::Model::FeedListResource.from_json(_item) }
      end
    end

    # constructs a FeedListResourceResponse from a (parsed) JSON hash
    def self.from_json(o)
      if o.nil?
        return nil
      else
        inst = new
        inst.init_jaxb_json_hash o
        return inst
      end
    end
  end

end

end

end

end

end

module Org

module Sonatype

module Nexus

module Rest

module Model

  # REST Response object for a global configuration list request,
contains the typical 'data' parameter, which is a list of the
global configuration items requested.
  class GlobalConfigurationListResourceResponse < Org::Sonatype::Nexus::Rest::Model::NexusResponse 

    # Field data.
    attr_accessor :data

    # the json hash for this GlobalConfigurationListResourceResponse
    def to_jaxb_json_hash
      _h = super
      if !data.nil?
        _ha = Array.new
        data.each { | _item | _ha.push _item.to_jaxb_json_hash }
        _h['data'] = _ha
      end
      return _h
    end

    #initializes this GlobalConfigurationListResourceResponse with a json hash
    def init_jaxb_json_hash(_o)
      super _o
      if !_o['data'].nil?
        @data = Array.new
        _oa = _o['data']
        _oa.each { | _item | @data.push Org::Sonatype::Nexus::Rest::Model::GlobalConfigurationListResource.from_json(_item) }
      end
    end

    # constructs a GlobalConfigurationListResourceResponse from a (parsed) JSON hash
    def self.from_json(o)
      if o.nil?
        return nil
      else
        inst = new
        inst.init_jaxb_json_hash o
        return inst
      end
    end
  end

end

end

end

end

end

module Org

module Sonatype

module Nexus

module Rest

module Model

  # REST Response object for a global configuration request,
contains the typical 'data' parameter, which is the global
configuration item requested.
  class GlobalConfigurationResourceResponse < Org::Sonatype::Nexus::Rest::Model::NexusResponse 

    # The global configuration details.
    attr_accessor :data

    # the json hash for this GlobalConfigurationResourceResponse
    def to_jaxb_json_hash
      _h = super
      _h['data'] = data.to_jaxb_json_hash unless data.nil?
      return _h
    end

    #initializes this GlobalConfigurationResourceResponse with a json hash
    def init_jaxb_json_hash(_o)
      super _o
      @data = Org::Sonatype::Nexus::Rest::Model::GlobalConfigurationResource.from_json(_o['data']) unless _o['data'].nil?
    end

    # constructs a GlobalConfigurationResourceResponse from a (parsed) JSON hash
    def self.from_json(o)
      if o.nil?
        return nil
      else
        inst = new
        inst.init_jaxb_json_hash o
        return inst
      end
    end
  end

end

end

end

end

end

module Org

module Sonatype

module Nexus

module Rest

module Model

  # REST Response object for a content resource request, contains
the typical 'data' parameter, which is a list of the content
items requested.
  class ContentListResourceResponse < Org::Sonatype::Nexus::Rest::Model::NexusResponse 

    # Field data.
    attr_accessor :data

    # the json hash for this ContentListResourceResponse
    def to_jaxb_json_hash
      _h = super
      if !data.nil?
        _ha = Array.new
        data.each { | _item | _ha.push _item.to_jaxb_json_hash }
        _h['data'] = _ha
      end
      return _h
    end

    #initializes this ContentListResourceResponse with a json hash
    def init_jaxb_json_hash(_o)
      super _o
      if !_o['data'].nil?
        @data = Array.new
        _oa = _o['data']
        _oa.each { | _item | @data.push Org::Sonatype::Nexus::Rest::Model::ContentListResource.from_json(_item) }
      end
    end

    # constructs a ContentListResourceResponse from a (parsed) JSON hash
    def self.from_json(o)
      if o.nil?
        return nil
      else
        inst = new
        inst.init_jaxb_json_hash o
        return inst
      end
    end
  end

end

end

end

end

end

module Org

module Sonatype

module Nexus

module Rest

module Model

  # REST Response object for a content resource request, contains
the typical 'data' parameter, which is a list of the content
items requested.
  class ContentListDescribeResourceResponse < Org::Sonatype::Nexus::Rest::Model::NexusResponse 

    # List of describe items, that will contain useful information
about the retrieved data.
    attr_accessor :data

    # the json hash for this ContentListDescribeResourceResponse
    def to_jaxb_json_hash
      _h = super
      _h['data'] = data.to_jaxb_json_hash unless data.nil?
      return _h
    end

    #initializes this ContentListDescribeResourceResponse with a json hash
    def init_jaxb_json_hash(_o)
      super _o
      @data = Org::Sonatype::Nexus::Rest::Model::ContentListDescribeResource.from_json(_o['data']) unless _o['data'].nil?
    end

    # constructs a ContentListDescribeResourceResponse from a (parsed) JSON hash
    def self.from_json(o)
      if o.nil?
        return nil
      else
        inst = new
        inst.init_jaxb_json_hash o
        return inst
      end
    end
  end

end

end

end

end

end

module Org

module Sonatype

module Nexus

module Rest

module Model

  # REST Response object for a list of Nexus configuration objects,
contains the typical 'data' parameter, which is a list of the
configuration items.
  class ConfigurationsListResourceResponse < Org::Sonatype::Nexus::Rest::Model::NexusResponse 

    # Field data.
    attr_accessor :data

    # the json hash for this ConfigurationsListResourceResponse
    def to_jaxb_json_hash
      _h = super
      if !data.nil?
        _ha = Array.new
        data.each { | _item | _ha.push _item.to_jaxb_json_hash }
        _h['data'] = _ha
      end
      return _h
    end

    #initializes this ConfigurationsListResourceResponse with a json hash
    def init_jaxb_json_hash(_o)
      super _o
      if !_o['data'].nil?
        @data = Array.new
        _oa = _o['data']
        _oa.each { | _item | @data.push Org::Sonatype::Nexus::Rest::Model::ConfigurationsListResource.from_json(_item) }
      end
    end

    # constructs a ConfigurationsListResourceResponse from a (parsed) JSON hash
    def self.from_json(o)
      if o.nil?
        return nil
      else
        inst = new
        inst.init_jaxb_json_hash o
        return inst
      end
    end
  end

end

end

end

end

end
