//
// This code was generated by Enunciate.
// http://enunciate.codehaus.org/
//
#include <time.h>
#include <string.h>
#include <stdlib.h>
#include <libxml/xmlwriter.h>
#include <libxml/xmlreader.h>

#ifndef DEBUG_ENUNCIATE
#define DEBUG_ENUNCIATE 0
#endif

#ifndef ENUNCIATE_C_UTILITIES
#define ENUNCIATE_C_UTILITIES

/**
 * A basic xml node, used when (de)serializing unknown or "any" xml type.
 * We can't use the libxml xmlNodePtr because we can't reliably "free" it.
 */
struct xmlBasicNode {
  /**
   * The (local) name of the node.
   */
  xmlChar *name;

  /**
   * The namespace of the node.
   */
  xmlChar *ns;

  /**
   * The namespace prefix of the node.
   */
  xmlChar *prefix;

  /**
   * The (text) value of the node.
   */
  xmlChar *value;

  /**
   * The child elements of the node.
   */
  struct xmlBasicNode *child_elements;

  /**
   * The attributes of the node.
   */
  struct xmlBasicNode *attributes;

  /**
   * The next sibling (for a list of nodes).
   */
  struct xmlBasicNode *sibling;
};

/*******************xml utilities************************************/

static int xmlTextReaderAdvanceToNextStartOrEndElement(xmlTextReaderPtr reader) {
  int status = xmlTextReaderRead(reader);
  while (status && xmlTextReaderNodeType(reader) != XML_READER_TYPE_ELEMENT && xmlTextReaderNodeType(reader) != XML_READER_TYPE_END_ELEMENT) {
    status = xmlTextReaderRead(reader);
  }
  return status;
}

static int xmlTextReaderSkipElement(xmlTextReaderPtr reader) {
  int status = xmlTextReaderNext(reader);
  while (status && xmlTextReaderNodeType(reader) != XML_READER_TYPE_ELEMENT && xmlTextReaderNodeType(reader) != XML_READER_TYPE_END_ELEMENT) {
    status = xmlTextReaderRead(reader);
  }
  return status;
}

static xmlChar *xmlTextReaderReadEntireNodeValue(xmlTextReaderPtr reader) {
  xmlChar *buffer = calloc(1, sizeof(xmlChar));
  const xmlChar *snippet;
  int status;
  if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ATTRIBUTE) {
    return xmlTextReaderValue(reader);
  }
  else if (xmlTextReaderIsEmptyElement(reader) == 0) {
    status = xmlTextReaderRead(reader);
    while (status && (xmlTextReaderNodeType(reader) == XML_READER_TYPE_TEXT || xmlTextReaderNodeType(reader) == XML_READER_TYPE_CDATA || xmlTextReaderNodeType(reader) == XML_READER_TYPE_ENTITY_REFERENCE)) {
      snippet = xmlTextReaderConstValue(reader);
      buffer = realloc(buffer, (xmlStrlen(buffer) + xmlStrlen(snippet) + 1) * sizeof(xmlChar));
      xmlStrcat(buffer, snippet);
      status = xmlTextReaderRead(reader);
    }
  }
  return buffer;
}

/*******************base 64 utilities************************************/

/*
 * Base64 Translation Table as described in RFC1113.
 *
 * This code was graciously ripped from http://base64.sourceforge.net
 */
static const char cb64[]="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/";

/*
 * Base64 Translation Table to decode (created by author)
 *
 * This code was graciously ripped from http://base64.sourceforge.net
 */
static const char cd64[]="|$$$}rstuvwxyz{$$$$$$$>?@ABCDEFGHIJKLMNOPQRSTUVW$$$$$$XYZ[\\]^_`abcdefghijklmnopq";

/*
 * encode 3 8-bit binary bytes as 4 '6-bit' characters
 *
 * This code was graciously ripped from http://base64.sourceforge.net
 *
 * @param in the block to encode
 * @param out the block to encode to
 * @param len the length of the 'in' block.
 */
static void _encode_base64_block(unsigned char in[3], unsigned char out[4], int len) {
  out[0] = cb64[ in[0] >> 2 ];
  out[1] = cb64[ ((in[0] & 0x03) << 4) | ((in[1] & 0xf0) >> 4) ];
  out[2] = (unsigned char) (len > 1 ? cb64[ ((in[1] & 0x0f) << 2) | ((in[2] & 0xc0) >> 6) ] : '=');
  out[3] = (unsigned char) (len > 2 ? cb64[ in[2] & 0x3f ] : '=');
}

/*
 * decode 4 '6-bit' characters into 3 8-bit binary bytes
 *
 * This code was graciously ripped from http://base64.sourceforge.net
 */
static void _decode_base64_block( unsigned char in[4], unsigned char out[3] )
{
    out[ 0 ] = (unsigned char ) (in[0] << 2 | in[1] >> 4);
    out[ 1 ] = (unsigned char ) (in[1] << 4 | in[2] >> 2);
    out[ 2 ] = (unsigned char ) (((in[2] << 6) & 0xc0) | in[3]);
}

/*
 * base64 encode a stream adding padding and line breaks as per spec.
 *
 * This code was graciously ripped from http://base64.sourceforge.net
 *
 * @param instream The stream to encode.
 * @param insize The size of the stream to encode.
 * @return The encoded string.
 */
xmlChar *_encode_base64(unsigned char *instream, int insize) {
  unsigned char in[3];
  unsigned char out[4];
  xmlChar *encoded;
  int i, in_index = 0, out_index = 0, blocklen;

  if (insize == 0) {
    return BAD_CAST "\0";
  }

  encoded = calloc(((insize / 3) * 4) + 10, sizeof(xmlChar));
  while (in_index <= insize) {
    blocklen = 0;
    for (i = 0; i < 3; i++) {
      in[i] = instream[in_index++];
      if (in_index <= insize) {
        blocklen++;
      }
      else {
        in[i] = 0;
      }
    }
    if (blocklen) {
      _encode_base64_block(in, out, blocklen);
      for( i = 0; i < 4; i++ ) {
        encoded[out_index++] = out[i];
      }
    }
  }

  return encoded;
}

/*
 * Decode a base64 encoded stream discarding padding, line breaks and noise
 *
 * This code was graciously ripped from http://base64.sourceforge.net
 *
 * @param invalue The string to decode.
 * @param outsize Holder for the length of the returned data.
 * @return The decoded data.
 */
unsigned char *_decode_base64( const xmlChar *invalue, int *outsize ) {
  xmlChar in[4];
  unsigned char out[3], v;
  int i, in_index = 0, out_index = 0, blocklen;
  unsigned char *outstream;

  if (invalue == NULL) {
    return NULL;
  }

  outstream = calloc(((xmlStrlen(invalue) / 4) * 3) + 1, sizeof(unsigned char));
  while (invalue[in_index] != '\0') {
    for (blocklen = 0, i = 0; i < 4 && invalue[in_index]; i++) {
      v = 0;
      while (invalue[in_index] != '\0' && v == 0) {
        v = (unsigned char) invalue[in_index++];
        v = (unsigned char) ((v < 43 || v > 122) ? 0 : cd64[ v - 43 ]);
        if (v) {
          v = (unsigned char) ((v == '$') ? 0 : v - 61);
        }
      }

      if (invalue[in_index] != '\0') {
        blocklen++;
        if (v) {
          in[i] = (unsigned char) (v - 1);
        }
      }
      else {
        in[i] = 0;
      }
    }

    if (blocklen) {
      _decode_base64_block( in, out );
      for( i = 0; i < blocklen - 1; i++ ) {
        outstream[out_index++] = out[i];
      }
    }
  }

  if (outsize != NULL) {
    *outsize = out_index;
  }

  return outstream;
}

#endif /* ENUNCIATE_C_UTILITIES */

#ifndef BASIC_XML_FUNCTIONS_Xs
#define BASIC_XML_FUNCTIONS_Xs

/*******************xs:boolean************************************/

/**
 * Read a boolean value from the reader.
 *
 * @param reader The reader (pointing at a node with a value).
 * @return pointer to 1 if "true" was read. pointer to 0 otherwise.
 */
static int *xmlTextReaderReadXsBooleanType(xmlTextReaderPtr reader) {
  xmlChar *nodeValue = xmlTextReaderReadEntireNodeValue(reader);
  int *value = malloc(sizeof(int));
  *value = (xmlStrcmp(BAD_CAST "true", nodeValue) == 0) ? 1 : 0;
  free(nodeValue);
  return value;
}

/**
 * Write a boolean value to the writer.
 *
 * @param writer The writer.
 * @param value The value to be written.
 * @return the bytes written (may be 0 because of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteXsBooleanType(xmlTextWriterPtr writer, int *value) {
  if (*value) {
    return xmlTextWriterWriteString(writer, BAD_CAST "false");
  }
  else {
    return xmlTextWriterWriteString(writer, BAD_CAST "true");
  }
}

/**
 * Frees a boolean type from memory.
 *
 * @param value The value to free.
 */
static void freeXsBooleanType(int *value) {
  //no-op
}

/*******************xs:byte************************************/

/**
 * Read a byte value from the reader.
 *
 * @param reader The reader (pointing at a node with a value).
 * @return pointer to the byte.
 */
static unsigned char *xmlTextReaderReadXsByteType(xmlTextReaderPtr reader) {
  xmlChar *nodeValue = xmlTextReaderReadEntireNodeValue(reader);
  unsigned char *value = malloc(sizeof(unsigned char));
  *value = (unsigned char) atoi((char *) nodeValue);
  free(nodeValue);
  return value;
}

/**
 * Write a byte value to the writer.
 *
 * @param writer The writer.
 * @param value The value to be written.
 * @return the bytes written (may be 0 because of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteXsByteType(xmlTextWriterPtr writer, unsigned char *value) {
  return xmlTextWriterWriteFormatString(writer, "%i", *value);
}

/**
 * Frees a byte type from memory.
 *
 * @param value The value to free.
 */
static void freeXsByteType(unsigned char *value) {
  //no-op
}

/*******************xs:double************************************/

/**
 * Read a double value from the reader.
 *
 * @param reader The reader (pointing at a node with a value).
 * @return pointer to the double.
 */
static double *xmlTextReaderReadXsDoubleType(xmlTextReaderPtr reader) {
  xmlChar *nodeValue = xmlTextReaderReadEntireNodeValue(reader);
  double *value = malloc(sizeof(double));
  *value = atof((char *) nodeValue);
  free(nodeValue);
  return value;
}

/**
 * Write a double value to the writer.
 *
 * @param writer The writer.
 * @param value The value to be written.
 * @return the bytes written (may be 0 because of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteXsDoubleType(xmlTextWriterPtr writer, double *value) {
  return xmlTextWriterWriteFormatString(writer, "%f", *value);
}

/**
 * Frees a double type from memory.
 *
 * @param value The value to free.
 */
static void freeXsDoubleType(double *value) {
  //no-op
}

/*******************xs:float************************************/

/**
 * Read a float value from the reader.
 *
 * @param reader The reader (pointing at a node with a value).
 * @return pointer to the float.
 */
static float *xmlTextReaderReadXsFloatType(xmlTextReaderPtr reader) {
  xmlChar *nodeValue = xmlTextReaderReadEntireNodeValue(reader);
  float *value = malloc(sizeof(float));
  *value = atof((char *)nodeValue);
  free(nodeValue);
  return value;
}

/**
 * Write a float value to the writer.
 *
 * @param writer The writer.
 * @param value The value to be written.
 * @return the bytes written (may be 0 because of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteXsFloatType(xmlTextWriterPtr writer, float *value) {
  return xmlTextWriterWriteFormatString(writer, "%f", *value);
}

/**
 * Frees a float type from memory.
 *
 * @param value The value to free.
 */
static void freeXsFloatType(float *value) {
  //no-op
}

/*******************xs:int************************************/

/**
 * Read a int value from the reader.
 *
 * @param reader The reader (pointing at a node with a value).
 * @param value The value to be written.
 * @return pointer to the int.
 */
static int *xmlTextReaderReadXsIntType(xmlTextReaderPtr reader) {
  xmlChar *nodeValue = xmlTextReaderReadEntireNodeValue(reader);
  int *value = malloc(sizeof(int));
  *value = atoi((char *)nodeValue);
  free(nodeValue);
  return value;
}

/**
 * Write a int value to the writer.
 *
 * @param writer The writer.
 * @param value The value to be written.
 * @return the bytes written (may be 0 because of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteXsIntType(xmlTextWriterPtr writer, int *value) {
  return xmlTextWriterWriteFormatString(writer, "%i", *value);
}

/**
 * Frees a int type from memory.
 *
 * @param value The value to free.
 */
static void freeXsIntType(int *value) {
  //no-op
}

/*******************xs:long************************************/

/**
 * Read a long value from the reader.
 *
 * @param reader The reader (pointing at a node with a value).
 * @return pointer to the long.
 */
static long *xmlTextReaderReadXsLongType(xmlTextReaderPtr reader) {
  xmlChar *nodeValue = xmlTextReaderReadEntireNodeValue(reader);
  long *value = malloc(sizeof(long));
  *value = atol((char *)nodeValue);
  free(nodeValue);
  return value;
}

/**
 * Write a long value to the writer.
 *
 * @param writer The writer.
 * @param value The value to be written.
 * @return the bytes written (may be 0 because of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteXsLongType(xmlTextWriterPtr writer, long *value) {
  return xmlTextWriterWriteFormatString(writer, "%ld", *value);
}

/**
 * Frees a long type from memory.
 *
 * @param value The value to free.
 */
static void freeXsLongType(long *value) {
  //no-op
}

/*******************xs:short************************************/

/**
 * Read a short value from the reader.
 *
 * @param reader The reader (pointing at a node with a value).
 * @return pointer to the short.
 */
static short *xmlTextReaderReadXsShortType(xmlTextReaderPtr reader) {
  xmlChar *nodeValue = xmlTextReaderReadEntireNodeValue(reader);
  short *value = malloc(sizeof(short));
  *value = atoi((char *)nodeValue);
  return value;
}

/**
 * Write a short value to the writer.
 *
 * @param writer The writer.
 * @param value The value to be written.
 * @return the bytes written (may be 0 because of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteXsShortType(xmlTextWriterPtr writer, short *value) {
  return xmlTextWriterWriteFormatString(writer, "%hi", *value);
}

/**
 * Frees a short type from memory.
 *
 * @param value The value to free.
 */
static void freeXsShortType(short *value) {
  //no-op
}

/*******************xs:string************************************/

/**
 * Read a string value from the reader.
 *
 * @param reader The reader (pointing at a node with a value).
 * @return pointer to the string.
 */
static xmlChar *xmlTextReaderReadXsStringType(xmlTextReaderPtr reader) {
  return xmlTextReaderReadEntireNodeValue(reader);
}

/**
 * Write a string value to the writer.
 *
 * @param writer The writer.
 * @param value The value to be written.
 * @return the bytes written (may be 0 because of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteXsStringType(xmlTextWriterPtr writer, xmlChar *value) {
  return xmlTextWriterWriteString(writer, value);
}

/**
 * Frees a string type from memory.
 *
 * @param value The value to free.
 */
static void freeXsStringType(xmlChar *value) {
  //no-op
}

/*******************xs:ID************************************/

/**
 * Read a ID value from the reader.
 *
 * @param reader The reader (pointing at a node with a value).
 * @return pointer to the ID.
 */
static xmlChar *xmlTextReaderReadXsIDType(xmlTextReaderPtr reader) {
  return xmlTextReaderReadXsStringType(reader);
}

/**
 * Write a ID value to the writer.
 *
 * @param writer The writer.
 * @param value The value to be written.
 * @return the bytes written (may be 0 because of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteXsIDType(xmlTextWriterPtr writer, xmlChar *value) {
  return xmlTextWriterWriteString(writer, value);
}

/**
 * Frees a ID type from memory.
 *
 * @param value The value to free.
 */
static void freeXsIDType(xmlChar *value) {
  freeXsStringType(value);
}

/*******************xs:IDREF************************************/

/**
 * Read a IDREF value from the reader.
 *
 * @param reader The reader (pointing at a node with a value).
 * @return pointer to the IDREF.
 */
static xmlChar *xmlTextReaderReadXsIDREFType(xmlTextReaderPtr reader) {
  return xmlTextReaderReadXsStringType(reader);
}

/**
 * Write a IDREF value to the writer.
 *
 * @param writer The writer.
 * @param value The value to be written.
 * @return the bytes written (may be 0 because of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteXsIDREFType(xmlTextWriterPtr writer, xmlChar *value) {
  return xmlTextWriterWriteString(writer, value);
}

/**
 * Frees a IDREF type from memory.
 *
 * @param value The value to free.
 */
static void freeXsIDREFType(xmlChar *value) {
  freeXsStringType(value);
}

/*******************xs:integer************************************/

/**
 * Read a (big) integer value from the reader.
 *
 * @param reader The reader (pointing at a node with a value).
 * @return pointer to the integer.
 */
static xmlChar *xmlTextReaderReadXsIntegerType(xmlTextReaderPtr reader) {
  return xmlTextReaderReadXsStringType(reader);
}

/**
 * Write a integer value to the writer.
 *
 * @param writer The writer.
 * @param value The value to be written.
 * @return the bytes written (may be 0 because of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteXsIntegerType(xmlTextWriterPtr writer, xmlChar *value) {
  return xmlTextWriterWriteString(writer, value);
}

/**
 * Frees a integer type from memory.
 *
 * @param value The value to free.
 */
static void freeXsIntegerType(xmlChar *value) {
  freeXsStringType(value);
}

/*******************xs:decimal************************************/

/**
 * Read a (big) decimal value from the reader.
 *
 * @param reader The reader (pointing at a node with a value).
 * @return pointer to the decimal.
 */
static xmlChar *xmlTextReaderReadXsDecimalType(xmlTextReaderPtr reader) {
  return xmlTextReaderReadXsStringType(reader);
}

/**
 * Write a decimal value to the writer.
 *
 * @param writer The writer.
 * @param value The value to be written.
 * @return the bytes written (may be 0 because of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteXsDecimalType(xmlTextWriterPtr writer, xmlChar *value) {
  return xmlTextWriterWriteString(writer, value);
}

/**
 * Frees a decimal type from memory.
 *
 * @param value The value to free.
 */
static void freeXsDecimalType(xmlChar *value) {
  freeXsStringType(value);
}

/*******************xs:duration************************************/

/**
 * Read a duration value from the reader.
 *
 * @param reader The reader (pointing at a node with a value).
 * @return pointer to the duration.
 */
static xmlChar *xmlTextReaderReadXsDurationType(xmlTextReaderPtr reader) {
  return xmlTextReaderReadXsStringType(reader);
}

/**
 * Write a duration value to the writer.
 *
 * @param writer The writer.
 * @param value The value to be written.
 * @return the bytes written (may be 0 because of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteXsDurationType(xmlTextWriterPtr writer, xmlChar *value) {
  return xmlTextWriterWriteString(writer, value);
}

/**
 * Frees a duration type from memory.
 *
 * @param value The value to free.
 */
static void freeXsDurationType(xmlChar *value) {
  freeXsStringType(value);
}

/*******************xs:QName************************************/

/**
 * Read a QName value from the reader.
 *
 * @param reader The reader (pointing at a node with a value).
 * @return pointer to the QName.
 */
static xmlChar *xmlTextReaderReadXsQNameType(xmlTextReaderPtr reader) {
  return xmlTextReaderReadXsStringType(reader);
}

/**
 * Write a QName value to the writer.
 *
 * @param writer The writer.
 * @param value The value to be written.
 * @return the bytes written (may be 0 because of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteXsQNameType(xmlTextWriterPtr writer, xmlChar *value) {
  return xmlTextWriterWriteString(writer, value);
}

/**
 * Frees a QName type from memory.
 *
 * @param value The value to free.
 */
static void freeXsQNameType(xmlChar *value) {
  freeXsStringType(value);
}

/*******************xs:anyURI************************************/

/**
 * Read a anyURI value from the reader.
 *
 * @param reader The reader (pointing at a node with a value).
 * @return pointer to the anyURI.
 */
static xmlChar *xmlTextReaderReadXsAnyURIType(xmlTextReaderPtr reader) {
  return xmlTextReaderReadXsStringType(reader);
}

/**
 * Write a anyURI value to the writer.
 *
 * @param writer The writer.
 * @param value The value to be written.
 * @return the bytes written (may be 0 because of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteXsAnyURIType(xmlTextWriterPtr writer, xmlChar *value) {
  return xmlTextWriterWriteString(writer, value);
}

/**
 * Frees a anyURI type from memory.
 *
 * @param value The value to free.
 */
static void freeXsAnyURIType(xmlChar *value) {
  freeXsStringType(value);
}

/*******************xs:dateTime************************************/

/**
 * Read a dateTime value from the reader.
 *
 * @param reader The reader (pointing at a node with a value).
 * @return pointer to the dateTime.
 */
static struct tm *xmlTextReaderReadXsDateTimeType(xmlTextReaderPtr reader) {
  struct tm * time = calloc(1, sizeof(struct tm));
  xmlChar *timevalue = xmlTextReaderReadEntireNodeValue(reader);
  int success = 0, index = 0, token_index = 0, len = xmlStrlen(timevalue), offset_hours = 0, offset_min = 0;
  char token[len];

  //date time format: yyyy-mm-ddThh:MM:ss+oo:oo
  //go to first '-' character.
  token_index = 0;
  while (index < len && timevalue[index] != '-') {
    token[token_index++] = timevalue[index++];
  }
  token[token_index] = '\n';
  time->tm_year = atoi(token) - 1900;
  if (token_index > 0) {
    success++; //assume 'year' was successfully read.
    index++;
  }

  //go to next '-' character.
  token_index = 0;
  while (index < len && timevalue[index] != '-') {
    token[token_index++] = timevalue[index++];
  }
  token[token_index] = '\n';
  time->tm_mon = atoi(token) - 1;
  if (token_index > 0) {
    success++; //assume 'month' was successfully read.
    index++;
  }

  //go to 'T' character.
  token_index = 0;
  while (index < len && timevalue[index] != 'T') {
    token[token_index++] = timevalue[index++];
  }
  token[token_index] = '\n';
  time->tm_mday = atoi(token);
  if (token_index > 0) {
    success++; //assume 'day' was successfully read.
    index++;
  }

  //go to ':' character.
  token_index = 0;
  while (index < len && timevalue[index] != ':') {
    token[token_index++] = timevalue[index++];
  }
  token[token_index] = '\n';
  time->tm_hour = atoi(token);
  if (token_index > 0) {
    success++; //assume 'hour' was successfully read.
    index++;
  }

  //go to ':' character.
  token_index = 0;
  while (index < len && timevalue[index] != ':') {
    token[token_index++] = timevalue[index++];
  }
  token[token_index] = '\n';
  time->tm_min = atoi(token);
  if (token_index > 0) {
    success++; //assume 'minutes' was successfully read.
    index++;
  }

  //go to '+' or '-' character.
  token_index = 0;
  while (index < len && timevalue[index] != '+' && timevalue[index] != '-') {
    token[token_index++] = timevalue[index++];
  }
  token[token_index] = '\n';
  time->tm_sec = atof(token);
  if (token_index > 0) {
    success++; //assume 'seconds' was successfully read.
    if (timevalue[index] == '+') {
      index++;
    }
  }

  //go to ':' character.
  token_index = 0;
  while (index < len && timevalue[index] != ':') {
    token[token_index++] = timevalue[index++];
  }
  token[token_index] = '\n';
  offset_hours = atoi(token);
  if (token_index > 0) {
    success++; //assume gmt offset hours was successfully read.
    index++;
  }

  //go to end.
  token_index = 0;
  while (index < len) {
    token[token_index++] = timevalue[index++];
  }
  token[token_index] = '\n';
  offset_min = atoi(token);
  if (token_index > 0) {
    success++; //assume gmt offset minutes was successfully read.
    index++;
  }
  time->tm_gmtoff = ((offset_hours * 60) + offset_min) * 60;

  free(timevalue);
  return time;
}

/**
 * Write a dateTime value to the writer.
 *
 * @param writer The writer.
 * @param value The value to be written.
 * @return the bytes written (may be 0 because of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteXsDateTimeType(xmlTextWriterPtr writer, struct tm *value) {
  return xmlTextWriterWriteFormatString(writer, "%04i-%02i-%02iT%02i:%02i:%02i.000%+03i:%02i", value->tm_year + 1900, value->tm_mon + 1, value->tm_mday, value->tm_hour, value->tm_min, value->tm_sec, (int) (value->tm_gmtoff / 3600), (int) ((value->tm_gmtoff / 60) % 60));
}

/**
 * Frees a dateTime type from memory.
 *
 * @param value The value to free.
 */
static void freeXsDateTimeType(struct tm *value) {
  //no-op
}

/*******************xs:time************************************/

/**
 * Read a time value from the reader.
 *
 * @param reader The reader (pointing at a node with a value).
 * @return pointer to the time.
 */
static struct tm *xmlTextReaderReadXsTimeType(xmlTextReaderPtr reader) {
  struct tm * time = calloc(1, sizeof(struct tm));
  xmlChar *timevalue = xmlTextReaderReadEntireNodeValue(reader);
  int success = 0, index = 0, token_index = 0, len = xmlStrlen(timevalue), offset_hours = 0, offset_min = 0;
  char token[len];

  //date time format: hh:MM:ss+oo:oo
  //go to ':' character.
  token_index = 0;
  while (index < len && timevalue[index] != ':') {
    token[token_index++] = timevalue[index++];
  }
  token[token_index] = '\n';
  time->tm_hour = atoi(token);
  if (token_index > 0) {
    success++; //assume 'hour' was successfully read.
    index++;
  }

  //go to ':' character.
  token_index = 0;
  while (index < len && timevalue[index] != ':') {
    token[token_index++] = timevalue[index++];
  }
  token[token_index] = '\n';
  time->tm_min = atoi(token);
  if (token_index > 0) {
    success++; //assume 'minutes' was successfully read.
    index++;
  }

  //go to '+' or '-' character.
  token_index = 0;
  while (index < len && timevalue[index] != '+' && timevalue[index] != '-') {
    token[token_index++] = timevalue[index++];
  }
  token[token_index] = '\n';
  time->tm_sec = atof(token);
  if (token_index > 0) {
    success++; //assume 'seconds' was successfully read.
    if (timevalue[index] == '+') {
      index++;
    }
  }

  //go to ':' character.
  token_index = 0;
  while (index < len && timevalue[index] != ':') {
    token[token_index++] = timevalue[index++];
  }
  token[token_index] = '\n';
  offset_hours = atoi(token);
  if (token_index > 0) {
    success++; //assume gmt offset hours was successfully read.
    index++;
  }

  //go to end.
  token_index = 0;
  while (index < len) {
    token[token_index++] = timevalue[index++];
  }
  token[token_index] = '\n';
  offset_min = atoi(token);
  if (token_index > 0) {
    success++; //assume gmt offset minutes was successfully read.
    index++;
  }
  time->tm_gmtoff = ((offset_hours * 60) + offset_min) * 60;

  free(timevalue);
  return time;
}

/**
 * Write a time value to the writer.
 *
 * @param writer The writer.
 * @param value The value to be written.
 * @return the bytes written (may be 0 because of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteXsTimeType(xmlTextWriterPtr writer, struct tm *value) {
  return xmlTextWriterWriteFormatString(writer, "%02i:%02i:%02i.000%+03i:%02i", value->tm_hour, value->tm_min, value->tm_sec, (int) (value->tm_gmtoff / 3600), (int) ((value->tm_gmtoff / 60) % 60));
}

/**
 * Frees a time type from memory.
 *
 * @param value The value to free.
 */
static void freeXsTimeType(struct tm *value) {
  //no-op
}

/*******************xs:date************************************/

/**
 * Read a date value from the reader.
 *
 * @param reader The reader (pointing at a node with a value).
 * @return pointer to the date.
 */
static struct tm *xmlTextReaderReadXsDateType(xmlTextReaderPtr reader) {
  struct tm * time = calloc(1, sizeof(struct tm));
  xmlChar *timevalue = xmlTextReaderReadEntireNodeValue(reader);
  int success = 0, index = 0, token_index = 0, len = xmlStrlen(timevalue), offset_hours = 0, offset_min = 0;
  char token[len];

  //date time format: yyyy-mm-dd+oo:oo
  //go to first '-' character.
  token_index = 0;
  while (index < len && timevalue[index] != '-') {
    token[token_index++] = timevalue[index++];
  }
  token[token_index] = '\n';
  time->tm_year = atoi(token) - 1900;
  if (token_index > 0) {
    success++; //assume 'year' was successfully read.
    index++;
  }

  //go to next '-' character.
  token_index = 0;
  while (index < len && timevalue[index] != '-') {
    token[token_index++] = timevalue[index++];
  }
  token[token_index] = '\n';
  time->tm_mon = atoi(token) - 1;
  if (token_index > 0) {
    success++; //assume 'month' was successfully read.
    index++;
  }

  //go to '+' or '-' character.
  token_index = 0;
  while (index < len && timevalue[index] != '+' && timevalue[index] != '-') {
    token[token_index++] = timevalue[index++];
  }
  token[token_index] = '\n';
  time->tm_sec = atof(token);
  if (token_index > 0) {
    success++; //assume 'seconds' was successfully read.
    if (timevalue[index] == '+') {
      index++;
    }
  }

  //go to ':' character.
  token_index = 0;
  while (index < len && timevalue[index] != ':') {
    token[token_index++] = timevalue[index++];
  }
  token[token_index] = '\n';
  offset_hours = atoi(token);
  if (token_index > 0) {
    success++; //assume gmt offset hours was successfully read.
    index++;
  }

  //go to end.
  token_index = 0;
  while (index < len) {
    token[token_index++] = timevalue[index++];
  }
  token[token_index] = '\n';
  offset_min = atoi(token);
  if (token_index > 0) {
    success++; //assume gmt offset minutes was successfully read.
    index++;
  }
  time->tm_gmtoff = ((offset_hours * 60) + offset_min) * 60;

  free(timevalue);
  return time;
}

/**
 * Write a date value to the writer.
 *
 * @param writer The writer.
 * @param value The value to be written.
 * @return the bytes written (may be 0 because of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteXsDateType(xmlTextWriterPtr writer, struct tm *value) {
  return xmlTextWriterWriteFormatString(writer, "%04i-%02i-%02i%+03i:%02i", value->tm_year + 1900, value->tm_mon + 1, value->tm_mday, (int) (value->tm_gmtoff / 3600), (int) ((value->tm_gmtoff / 60) % 60));
}

/**
 * Frees a date type from memory.
 *
 * @param value The value to free.
 */
static void freeXsDateType(struct tm *value) {
  //no-op
}

/*******************xs:anyType************************************/

/**
 * Frees a anyType type from memory.
 *
 * @param node The node to free.
 */
static void freeXsAnyTypeType(struct xmlBasicNode *node) {
  if (node->attributes != NULL) {
    freeXsAnyTypeType(node->attributes);
  }
  if (node->value != NULL) {
    free(node->value);
  }
  if (node->child_elements != NULL) {
    freeXsAnyTypeType(node->child_elements);
  }
  if (node->name != NULL) {
    free(node->name);
  }
  if (node->prefix != NULL) {
    free(node->prefix);
  }
  if (node->ns != NULL) {
    free(node->ns);
  }
  if (node->sibling != NULL) {
    freeXsAnyTypeType(node->sibling);
    free(node->sibling);
  }
}

/**
 * Read a anyType value from the reader.
 *
 * @param reader The reader (pointing at a node with a value).
 * @return pointer to the anyType., or NULL if error.
 */
static struct xmlBasicNode *xmlTextReaderReadXsAnyTypeType(xmlTextReaderPtr reader) {
  struct xmlBasicNode *child, *next, *node = calloc(1, sizeof(struct xmlBasicNode));
  int status, depth = xmlTextReaderDepth(reader);
  const xmlChar *text;

  node->name = xmlTextReaderLocalName(reader);
  node->ns = xmlTextReaderNamespaceUri(reader);
  node->prefix = xmlTextReaderPrefix(reader);

  if (xmlTextReaderHasAttributes(reader)) {
    child = NULL;
    while (xmlTextReaderMoveToNextAttribute(reader)) {
      next = calloc(1, sizeof(struct xmlBasicNode));
      if (child == NULL) {
        node->attributes = next;
      }
      else {
        child->sibling = next;
      }
      child = next;
      child->name = xmlTextReaderLocalName(reader);
      child->ns = xmlTextReaderNamespaceUri(reader);
      child->prefix = xmlTextReaderPrefix(reader);
      child->value = xmlTextReaderValue(reader);
    }

    status = xmlTextReaderMoveToElement(reader);
    if (status < 1) {
      //panic: unable to return to the element node.
      freeXsAnyTypeType(node);
      free(node);
      return NULL;
    }
  }

  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    status = xmlTextReaderRead(reader);
    while (status == 1 && xmlTextReaderDepth(reader) > depth) {
      switch (xmlTextReaderNodeType(reader)) {
        case XML_READER_TYPE_ELEMENT:
          child = xmlTextReaderReadXsAnyTypeType(reader);
          if (child == NULL) {
            //panic: xml read error
            freeXsAnyTypeType(node);
            free(node);
            return NULL;
          }

          next = node->child_elements;
          if (next == NULL) {
            node->child_elements = child;
          }
          else {
            while (1) {
              if (next->sibling == NULL) {
                next->sibling = child;
                break;
              }
              next = next->sibling;
            }
          }

          break;
        case XML_READER_TYPE_TEXT:
        case XML_READER_TYPE_CDATA:
          text = xmlTextReaderConstValue(reader);
          node->value = xmlStrncat(node->value, text, xmlStrlen(text));
          break;
        default:
          //skip anything else.
          break;
      }

      status = xmlTextReaderRead(reader);
    }

    if (status < 1) {
      //panic: xml read error
      freeXsAnyTypeType(node);
      free(node);
      return NULL;
    }
  }

  return node;
}

/**
 * Write a anyType value to the writer.
 *
 * @param writer The writer.
 * @param node The node to be written.
 * @return the bytes written (may be 0 because of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteXsAnyTypeType(xmlTextWriterPtr writer, struct xmlBasicNode *node) {
  int status;
  int totalBytes = 0;
  struct xmlBasicNode *next;

  status = xmlTextWriterStartElementNS(writer, node->prefix, node->name, node->ns);
  if (status < 0) {
    return status;
  }
  totalBytes += status;

  next = node->attributes;
  while (next != NULL) {
    status = xmlTextWriterWriteAttributeNS(writer, next->prefix, next->name, next->ns, next->value);
    if (status < 0) {
      return status;
    }
    totalBytes += status;
    next = next->sibling;
  }

  if (node->value != NULL) {
    status = xmlTextWriterWriteString(writer, node->value);
    if (status < 0) {
      //panic: xml write error
      return status;
    }
    totalBytes += status;
  }

  next = node->child_elements;
  while (next != NULL) {
    status = xmlTextWriterWriteXsAnyTypeType(writer, next);
    if (status < 0) {
      return status;
    }
    totalBytes += status;
    next = next->sibling;
  }

  status = xmlTextWriterEndElement(writer);
  if (status < 0) {
    return status;
  }
  totalBytes += status;

  return totalBytes;
}

/**
 * Read a anyType element value from the reader.
 *
 * @param reader The reader (pointing at a node with a value).
 * @return pointer to the anyType., or NULL if error.
 */
static struct xmlBasicNode *xmlTextReaderReadXsAnyTypeElement(xmlTextReaderPtr reader) {
  return xmlTextReaderReadXsAnyTypeType(reader);
}

/**
 * Write a anyType element value to the writer.
 *
 * @param writer The writer.
 * @param node The node to be written.
 * @return the bytes written (may be 0 because of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteXsAnyTypeElement(xmlTextWriterPtr writer, struct xmlBasicNode *node) {
  return xmlTextWriterWriteXsAnyTypeType(writer, node);
}

/**
 * Write a anyType element value to the writer.
 *
 * @param writer The writer.
 * @param node The node to be written.
 * @return the bytes written (may be 0 because of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteXsAnyTypeElementNS(xmlTextWriterPtr writer, struct xmlBasicNode *node, int writeNamespaces) {
  return xmlTextWriterWriteXsAnyTypeType(writer, node);
}

/**
 * Free a anyType element value.
 *
 * @param node The node.
 */
static void freeXsAnyTypeElement(struct xmlBasicNode *node) {
  freeXsAnyTypeType(node);
}

/*******************xs:anySimpleType************************************/

/**
 * Frees a anyType type from memory.
 *
 * @param node The node to free.
 */
static void freeXsAnySimpleTypeType(struct xmlBasicNode *node) {
  freeXsAnyTypeType(node);
}

/**
 * Read a anyType value from the reader.
 *
 * @param reader The reader (pointing at a node with a value).
 * @return pointer to the anyType., or NULL if error.
 */
static struct xmlBasicNode *xmlTextReaderReadXsAnySimpleTypeType(xmlTextReaderPtr reader) {
  struct xmlBasicNode *node = calloc(1, sizeof(struct xmlBasicNode));

  node->name = xmlTextReaderLocalName(reader);
  node->ns = xmlTextReaderNamespaceUri(reader);
  node->prefix = xmlTextReaderPrefix(reader);
  node->value = xmlTextReaderReadEntireNodeValue(reader);

  return node;
}

/**
 * Write a anyType value to the writer.
 *
 * @param writer The writer.
 * @param node The node to be written.
 * @return the bytes written (may be 0 because of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteXsAnySimpleTypeType(xmlTextWriterPtr writer, struct xmlBasicNode *node) {
  if (node->value != NULL) {
    return xmlTextWriterWriteXsStringType(writer, node->value);
  }

  return 0;
}

#endif /* BASIC_XML_FUNCTIONS_Xs */

#ifndef DEF_nexus_rest_api_ns0_artifact_resolve_resource_H
#define DEF_nexus_rest_api_ns0_artifact_resolve_resource_H

/**
 *  A resource which contains full maven details of the requested
 artifact.
 
 @version $Revision$ $Date$

 */
struct nexus_rest_api_ns0_artifact_resolve_resource {


  /**
   * The groupId of the requested artifact.
   */
  xmlChar *groupId;

  /**
   * The artifactId of the requested artifact.
   */
  xmlChar *artifactId;

  /**
   * The version of the requested artifact.
   */
  xmlChar *version;

  /**
   * The base version of the requested artifact.
   */
  xmlChar *baseVersion;

  /**
   * The classifier of the requested artifact.
   */
  xmlChar *classifier;

  /**
   * The file extension of the requested artifact.
   */
  xmlChar *extension;

  /**
   * Flag that states if requested artifact is a snapshot.
   */
  int snapshot;

  /**
   * The build number of the snapshot version of the requested
artifact.
   */
  long snapshotBuildNumber;

  /**
   * The timestamp portion of the snapshot version of the
requested artifact.
   */
  long snapshotTimeStamp;

  /**
   * The filename of the requested artifact.
   */
  xmlChar *fileName;

  /**
   * The sha1 hash of the requested artifact.
   */
  xmlChar *sha1;

  /**
   * The path in the repository of the requested artifact.
   */
  xmlChar *repositoryPath;
};

/**
 * Reads a ArtifactResolveResource from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The ArtifactResolveResource, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_artifact_resolve_resource *xmlTextReaderReadNs0Artifact_resolve_resourceType(xmlTextReaderPtr reader);

/**
 * Writes a ArtifactResolveResource to XML.
 *
 * @param writer The XML writer.
 * @param _artifactResolveResource The ArtifactResolveResource to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Artifact_resolve_resourceType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_artifact_resolve_resource *_artifactResolveResource);

/**
 * Frees the elements of a ArtifactResolveResource.
 *
 * @param _artifactResolveResource The ArtifactResolveResource to free.
 */
static void freeNs0Artifact_resolve_resourceType(struct nexus_rest_api_ns0_artifact_resolve_resource *_artifactResolveResource);

#endif /* DEF_nexus_rest_api_ns0_artifact_resolve_resource_H */
#ifndef DEF_nexus_rest_api_ns0_artifactResolveResourceResponse_H
#define DEF_nexus_rest_api_ns0_artifactResolveResourceResponse_H

/**
 *  REST Response object received after requesting an artifact
 resolve, contains the typical 'data' parameter, which is the
 artifact resolve details.
 
 @version $Revision$ $Date$

 */
struct nexus_rest_api_ns0_artifactResolveResourceResponse {


  /**
   * The artifact details requested.
   */
  struct nexus_rest_api_ns0_artifact_resolve_resource *data;
};

/**
 * Reads a ArtifactResolveResourceResponse element from XML. The element to be read is "artifact-resolution", and
 * it is assumed that the reader is pointing to the XML document (not the element).
 *
 * @param reader The XML reader.
 * @return The ArtifactResolveResourceResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_artifactResolveResourceResponse *xml_read_nexus_rest_api_ns0_artifactResolveResourceResponse(xmlTextReaderPtr reader);

/**
 * Writes a ArtifactResolveResourceResponse to XML under element name "artifact-resolution".
 *
 * @param writer The XML writer.
 * @param _artifactResolveResourceResponse The ArtifactResolveResourceResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
int xml_write_nexus_rest_api_ns0_artifactResolveResourceResponse(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_artifactResolveResourceResponse *_artifactResolveResourceResponse);

/**
 * Frees a ArtifactResolveResourceResponse.
 *
 * @param _artifactResolveResourceResponse The ArtifactResolveResourceResponse to free.
 */
void free_nexus_rest_api_ns0_artifactResolveResourceResponse(struct nexus_rest_api_ns0_artifactResolveResourceResponse *_artifactResolveResourceResponse);

/**
 * Reads a ArtifactResolveResourceResponse element from XML. The element to be read is "artifact-resolution", and
 * it is assumed that the reader is already pointing to the element.
 *
 * @param reader The XML reader.
 * @return The ArtifactResolveResourceResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_artifactResolveResourceResponse *xmlTextReaderReadNs0Artifact_resolutionElement(xmlTextReaderPtr reader);

/**
 * Writes a ArtifactResolveResourceResponse to XML under element name "artifact-resolution".
 * Does NOT write the namespace prefixes.
 *
 * @param writer The XML writer.
 * @param _artifactResolveResourceResponse The ArtifactResolveResourceResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Artifact_resolutionElement(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_artifactResolveResourceResponse *_artifactResolveResourceResponse);

/**
 * Writes a ArtifactResolveResourceResponse to XML under element name "artifact-resolution".
 *
 * @param writer The XML writer.
 * @param _artifactResolveResourceResponse The ArtifactResolveResourceResponse to write.
 * @param writeNamespaces Whether to write the namespace prefixes.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Artifact_resolutionElementNS(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_artifactResolveResourceResponse *_artifactResolveResourceResponse, int writeNamespaces);

/**
 * Frees the children of a ArtifactResolveResourceResponse.
 *
 * @param _artifactResolveResourceResponse The ArtifactResolveResourceResponse whose children are to be free.
 */
static void freeNs0Artifact_resolutionElement(struct nexus_rest_api_ns0_artifactResolveResourceResponse *_artifactResolveResourceResponse);

/**
 * Reads a ArtifactResolveResourceResponse from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The ArtifactResolveResourceResponse, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_artifactResolveResourceResponse *xmlTextReaderReadNs0ArtifactResolveResourceResponseType(xmlTextReaderPtr reader);

/**
 * Writes a ArtifactResolveResourceResponse to XML.
 *
 * @param writer The XML writer.
 * @param _artifactResolveResourceResponse The ArtifactResolveResourceResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0ArtifactResolveResourceResponseType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_artifactResolveResourceResponse *_artifactResolveResourceResponse);

/**
 * Frees the elements of a ArtifactResolveResourceResponse.
 *
 * @param _artifactResolveResourceResponse The ArtifactResolveResourceResponse to free.
 */
static void freeNs0ArtifactResolveResourceResponseType(struct nexus_rest_api_ns0_artifactResolveResourceResponse *_artifactResolveResourceResponse);

#endif /* DEF_nexus_rest_api_ns0_artifactResolveResourceResponse_H */
#ifndef DEF_nexus_rest_api_ns0_authentication_settings_H
#define DEF_nexus_rest_api_ns0_authentication_settings_H

/**
 *  Remote authentication tokens used in remote authentications
 against HTTP Proxies and/or protected remote repositories.
 
 @version $Revision$ $Date$

 */
struct nexus_rest_api_ns0_authentication_settings {


  /**
   * A username to be used in authentication.
   */
  xmlChar *username;

  /**
   * A password to be used in authentication.
   */
  xmlChar *password;

  /**
   * The Windows NT Lan Manager to use for authentication.
   */
  xmlChar *ntlmHost;

  /**
   * The Windows NT Lan Manager Domain to use for authentication.
   */
  xmlChar *ntlmDomain;
};

/**
 * Reads a AuthenticationSettings from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The AuthenticationSettings, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_authentication_settings *xmlTextReaderReadNs0Authentication_settingsType(xmlTextReaderPtr reader);

/**
 * Writes a AuthenticationSettings to XML.
 *
 * @param writer The XML writer.
 * @param _authenticationSettings The AuthenticationSettings to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Authentication_settingsType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_authentication_settings *_authenticationSettings);

/**
 * Frees the elements of a AuthenticationSettings.
 *
 * @param _authenticationSettings The AuthenticationSettings to free.
 */
static void freeNs0Authentication_settingsType(struct nexus_rest_api_ns0_authentication_settings *_authenticationSettings);

#endif /* DEF_nexus_rest_api_ns0_authentication_settings_H */
#ifndef DEF_nexus_rest_api_ns0_configs_list_item_H
#define DEF_nexus_rest_api_ns0_configs_list_item_H

/**
 *  A Nexus configuration item, and the url needed to retrieve the
 configuration details.
 
 @version $Revision$ $Date$

 */
struct nexus_rest_api_ns0_configs_list_item {


  /**
   * The url that can be accessed to retrieve details about the
configuration.
   */
  xmlChar *resourceURI;

  /**
   * The name of the configuration item.
   */
  xmlChar *name;
};

/**
 * Reads a ConfigurationsListResource from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The ConfigurationsListResource, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_configs_list_item *xmlTextReaderReadNs0Configs_list_itemType(xmlTextReaderPtr reader);

/**
 * Writes a ConfigurationsListResource to XML.
 *
 * @param writer The XML writer.
 * @param _configurationsListResource The ConfigurationsListResource to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Configs_list_itemType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_configs_list_item *_configurationsListResource);

/**
 * Frees the elements of a ConfigurationsListResource.
 *
 * @param _configurationsListResource The ConfigurationsListResource to free.
 */
static void freeNs0Configs_list_itemType(struct nexus_rest_api_ns0_configs_list_item *_configurationsListResource);

#endif /* DEF_nexus_rest_api_ns0_configs_list_item_H */
#ifndef DEF_nexus_rest_api_ns0_configurationsListResourceResponse_H
#define DEF_nexus_rest_api_ns0_configurationsListResourceResponse_H

/**
 *  REST Response object for a list of Nexus configuration objects,
 contains the typical 'data' parameter, which is a list of the
 configuration items.
 
 @version $Revision$ $Date$

 */
struct nexus_rest_api_ns0_configurationsListResourceResponse {


  /**
   * Field data.
   */
  struct nexus_rest_api_ns0_configs_list_item *data;

  /**
   * Size of the data array.
   */
  int _sizeof_data;
};

/**
 * Reads a ConfigurationsListResourceResponse element from XML. The element to be read is "configs-list", and
 * it is assumed that the reader is pointing to the XML document (not the element).
 *
 * @param reader The XML reader.
 * @return The ConfigurationsListResourceResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_configurationsListResourceResponse *xml_read_nexus_rest_api_ns0_configurationsListResourceResponse(xmlTextReaderPtr reader);

/**
 * Writes a ConfigurationsListResourceResponse to XML under element name "configs-list".
 *
 * @param writer The XML writer.
 * @param _configurationsListResourceResponse The ConfigurationsListResourceResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
int xml_write_nexus_rest_api_ns0_configurationsListResourceResponse(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_configurationsListResourceResponse *_configurationsListResourceResponse);

/**
 * Frees a ConfigurationsListResourceResponse.
 *
 * @param _configurationsListResourceResponse The ConfigurationsListResourceResponse to free.
 */
void free_nexus_rest_api_ns0_configurationsListResourceResponse(struct nexus_rest_api_ns0_configurationsListResourceResponse *_configurationsListResourceResponse);

/**
 * Reads a ConfigurationsListResourceResponse element from XML. The element to be read is "configs-list", and
 * it is assumed that the reader is already pointing to the element.
 *
 * @param reader The XML reader.
 * @return The ConfigurationsListResourceResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_configurationsListResourceResponse *xmlTextReaderReadNs0Configs_listElement(xmlTextReaderPtr reader);

/**
 * Writes a ConfigurationsListResourceResponse to XML under element name "configs-list".
 * Does NOT write the namespace prefixes.
 *
 * @param writer The XML writer.
 * @param _configurationsListResourceResponse The ConfigurationsListResourceResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Configs_listElement(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_configurationsListResourceResponse *_configurationsListResourceResponse);

/**
 * Writes a ConfigurationsListResourceResponse to XML under element name "configs-list".
 *
 * @param writer The XML writer.
 * @param _configurationsListResourceResponse The ConfigurationsListResourceResponse to write.
 * @param writeNamespaces Whether to write the namespace prefixes.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Configs_listElementNS(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_configurationsListResourceResponse *_configurationsListResourceResponse, int writeNamespaces);

/**
 * Frees the children of a ConfigurationsListResourceResponse.
 *
 * @param _configurationsListResourceResponse The ConfigurationsListResourceResponse whose children are to be free.
 */
static void freeNs0Configs_listElement(struct nexus_rest_api_ns0_configurationsListResourceResponse *_configurationsListResourceResponse);

/**
 * Reads a ConfigurationsListResourceResponse from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The ConfigurationsListResourceResponse, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_configurationsListResourceResponse *xmlTextReaderReadNs0ConfigurationsListResourceResponseType(xmlTextReaderPtr reader);

/**
 * Writes a ConfigurationsListResourceResponse to XML.
 *
 * @param writer The XML writer.
 * @param _configurationsListResourceResponse The ConfigurationsListResourceResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0ConfigurationsListResourceResponseType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_configurationsListResourceResponse *_configurationsListResourceResponse);

/**
 * Frees the elements of a ConfigurationsListResourceResponse.
 *
 * @param _configurationsListResourceResponse The ConfigurationsListResourceResponse to free.
 */
static void freeNs0ConfigurationsListResourceResponseType(struct nexus_rest_api_ns0_configurationsListResourceResponse *_configurationsListResourceResponse);

#endif /* DEF_nexus_rest_api_ns0_configurationsListResourceResponse_H */
#ifndef DEF_nexus_rest_api_ns0_content_list_describe_request_resource_H
#define DEF_nexus_rest_api_ns0_content_list_describe_request_resource_H

/**
 *  A set of request parameters that were used to retrieve the item.
 
 @version $Revision$ $Date$

 */
struct nexus_rest_api_ns0_content_list_describe_request_resource {


  /**
   * The request url that initially generated this request.
   */
  xmlChar *requestUrl;

  /**
   * The path on the server that was requested.
   */
  xmlChar *requestPath;

  /**
   * Field requestContext.
   */
  xmlChar *requestContext;

  /**
   * Size of the requestContext array.
   */
  int _sizeof_requestContext;
};

/**
 * Reads a ContentListDescribeRequestResource from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The ContentListDescribeRequestResource, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_content_list_describe_request_resource *xmlTextReaderReadNs0Content_list_describe_request_resourceType(xmlTextReaderPtr reader);

/**
 * Writes a ContentListDescribeRequestResource to XML.
 *
 * @param writer The XML writer.
 * @param _contentListDescribeRequestResource The ContentListDescribeRequestResource to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Content_list_describe_request_resourceType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_content_list_describe_request_resource *_contentListDescribeRequestResource);

/**
 * Frees the elements of a ContentListDescribeRequestResource.
 *
 * @param _contentListDescribeRequestResource The ContentListDescribeRequestResource to free.
 */
static void freeNs0Content_list_describe_request_resourceType(struct nexus_rest_api_ns0_content_list_describe_request_resource *_contentListDescribeRequestResource);

#endif /* DEF_nexus_rest_api_ns0_content_list_describe_request_resource_H */
#ifndef DEF_nexus_rest_api_ns0_content_list_describe_resource_H
#define DEF_nexus_rest_api_ns0_content_list_describe_resource_H

/**
 *  Details about the requested item, that should be useful in
 finding how the item was retrieved.
 
 @version $Revision$ $Date$

 */
struct nexus_rest_api_ns0_content_list_describe_resource {


  /**
   * The original request url used to access the resource.
   */
  xmlChar *requestUrl;

  /**
   * The number of milliseconds that passed while retrieving the
item.
   */
  long processingTimeMillis;

  /**
   * A set of request parameters for the item.
   */
  struct nexus_rest_api_ns0_content_list_describe_request_resource *request;

  /**
   * A set of response parameters for the item.
   */
  struct nexus_rest_api_ns0_content_list_describe_response_resource *response;
};

/**
 * Reads a ContentListDescribeResource from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The ContentListDescribeResource, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_content_list_describe_resource *xmlTextReaderReadNs0Content_list_describe_resourceType(xmlTextReaderPtr reader);

/**
 * Writes a ContentListDescribeResource to XML.
 *
 * @param writer The XML writer.
 * @param _contentListDescribeResource The ContentListDescribeResource to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Content_list_describe_resourceType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_content_list_describe_resource *_contentListDescribeResource);

/**
 * Frees the elements of a ContentListDescribeResource.
 *
 * @param _contentListDescribeResource The ContentListDescribeResource to free.
 */
static void freeNs0Content_list_describe_resourceType(struct nexus_rest_api_ns0_content_list_describe_resource *_contentListDescribeResource);

#endif /* DEF_nexus_rest_api_ns0_content_list_describe_resource_H */
#ifndef DEF_nexus_rest_api_ns0_contentListDescribeResourceResponse_H
#define DEF_nexus_rest_api_ns0_contentListDescribeResourceResponse_H

/**
 *  REST Response object for a content resource request, contains
 the typical 'data' parameter, which is a list of the content
 items requested.
 
 @version $Revision$ $Date$

 */
struct nexus_rest_api_ns0_contentListDescribeResourceResponse {


  /**
   * List of describe items, that will contain useful information
about the retrieved data.
   */
  struct nexus_rest_api_ns0_content_list_describe_resource *data;
};

/**
 * Reads a ContentListDescribeResourceResponse element from XML. The element to be read is "contentDescribe", and
 * it is assumed that the reader is pointing to the XML document (not the element).
 *
 * @param reader The XML reader.
 * @return The ContentListDescribeResourceResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_contentListDescribeResourceResponse *xml_read_nexus_rest_api_ns0_contentListDescribeResourceResponse(xmlTextReaderPtr reader);

/**
 * Writes a ContentListDescribeResourceResponse to XML under element name "contentDescribe".
 *
 * @param writer The XML writer.
 * @param _contentListDescribeResourceResponse The ContentListDescribeResourceResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
int xml_write_nexus_rest_api_ns0_contentListDescribeResourceResponse(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_contentListDescribeResourceResponse *_contentListDescribeResourceResponse);

/**
 * Frees a ContentListDescribeResourceResponse.
 *
 * @param _contentListDescribeResourceResponse The ContentListDescribeResourceResponse to free.
 */
void free_nexus_rest_api_ns0_contentListDescribeResourceResponse(struct nexus_rest_api_ns0_contentListDescribeResourceResponse *_contentListDescribeResourceResponse);

/**
 * Reads a ContentListDescribeResourceResponse element from XML. The element to be read is "contentDescribe", and
 * it is assumed that the reader is already pointing to the element.
 *
 * @param reader The XML reader.
 * @return The ContentListDescribeResourceResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_contentListDescribeResourceResponse *xmlTextReaderReadNs0ContentDescribeElement(xmlTextReaderPtr reader);

/**
 * Writes a ContentListDescribeResourceResponse to XML under element name "contentDescribe".
 * Does NOT write the namespace prefixes.
 *
 * @param writer The XML writer.
 * @param _contentListDescribeResourceResponse The ContentListDescribeResourceResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0ContentDescribeElement(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_contentListDescribeResourceResponse *_contentListDescribeResourceResponse);

/**
 * Writes a ContentListDescribeResourceResponse to XML under element name "contentDescribe".
 *
 * @param writer The XML writer.
 * @param _contentListDescribeResourceResponse The ContentListDescribeResourceResponse to write.
 * @param writeNamespaces Whether to write the namespace prefixes.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0ContentDescribeElementNS(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_contentListDescribeResourceResponse *_contentListDescribeResourceResponse, int writeNamespaces);

/**
 * Frees the children of a ContentListDescribeResourceResponse.
 *
 * @param _contentListDescribeResourceResponse The ContentListDescribeResourceResponse whose children are to be free.
 */
static void freeNs0ContentDescribeElement(struct nexus_rest_api_ns0_contentListDescribeResourceResponse *_contentListDescribeResourceResponse);

/**
 * Reads a ContentListDescribeResourceResponse from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The ContentListDescribeResourceResponse, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_contentListDescribeResourceResponse *xmlTextReaderReadNs0ContentListDescribeResourceResponseType(xmlTextReaderPtr reader);

/**
 * Writes a ContentListDescribeResourceResponse to XML.
 *
 * @param writer The XML writer.
 * @param _contentListDescribeResourceResponse The ContentListDescribeResourceResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0ContentListDescribeResourceResponseType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_contentListDescribeResourceResponse *_contentListDescribeResourceResponse);

/**
 * Frees the elements of a ContentListDescribeResourceResponse.
 *
 * @param _contentListDescribeResourceResponse The ContentListDescribeResourceResponse to free.
 */
static void freeNs0ContentListDescribeResourceResponseType(struct nexus_rest_api_ns0_contentListDescribeResourceResponse *_contentListDescribeResourceResponse);

#endif /* DEF_nexus_rest_api_ns0_contentListDescribeResourceResponse_H */
#ifndef DEF_nexus_rest_api_ns0_content_list_describe_response_resource_H
#define DEF_nexus_rest_api_ns0_content_list_describe_response_resource_H

/**
 *  A set of response parameters that were sent back with response.
 
 @version $Revision$ $Date$

 */
struct nexus_rest_api_ns0_content_list_describe_response_resource {


  /**
   * States the type of item that was returned (or NONE if not
found).
   */
  xmlChar *responseType;

  /**
   * The classname of the returned item.
   */
  xmlChar *responseActualClass;

  /**
   * The path of the item in the repository.
   */
  xmlChar *responsePath;

  /**
   * A string that uniquely defines this item in the system (or
'virtual' if this is an item from a virtual repository).
   */
  xmlChar *responseUid;

  /**
   * The id of the repository this item was retrieved from (or
null if this is an item from a virtual repository).
   */
  xmlChar *originatingRepositoryId;

  /**
   * The name of the repository this item was retrieved from (or
null if this is an item from a virtual repository).
   */
  xmlChar *originatingRepositoryName;

  /**
   * The main facet (Repository implementation) of the repository
this item was retrieved from (or null if this is an item
from a virtual repository).
   */
  xmlChar *originatingRepositoryMainFacet;

  /**
   * Field processedRepositoriesList.
   */
  xmlChar *processedRepositoriesList;

  /**
   * Size of the processedRepositoriesList array.
   */
  int _sizeof_processedRepositoriesList;

  /**
   * Field appliedMappings.
   */
  xmlChar *appliedMappings;

  /**
   * Size of the appliedMappings array.
   */
  int _sizeof_appliedMappings;

  /**
   * Field properties.
   */
  xmlChar *properties;

  /**
   * Size of the properties array.
   */
  int _sizeof_properties;

  /**
   * Field attributes.
   */
  xmlChar *attributes;

  /**
   * Size of the attributes array.
   */
  int _sizeof_attributes;

  /**
   * Field sources.
   */
  xmlChar *sources;

  /**
   * Size of the sources array.
   */
  int _sizeof_sources;
};

/**
 * Reads a ContentListDescribeResponseResource from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The ContentListDescribeResponseResource, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_content_list_describe_response_resource *xmlTextReaderReadNs0Content_list_describe_response_resourceType(xmlTextReaderPtr reader);

/**
 * Writes a ContentListDescribeResponseResource to XML.
 *
 * @param writer The XML writer.
 * @param _contentListDescribeResponseResource The ContentListDescribeResponseResource to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Content_list_describe_response_resourceType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_content_list_describe_response_resource *_contentListDescribeResponseResource);

/**
 * Frees the elements of a ContentListDescribeResponseResource.
 *
 * @param _contentListDescribeResponseResource The ContentListDescribeResponseResource to free.
 */
static void freeNs0Content_list_describe_response_resourceType(struct nexus_rest_api_ns0_content_list_describe_response_resource *_contentListDescribeResponseResource);

#endif /* DEF_nexus_rest_api_ns0_content_list_describe_response_resource_H */
#ifndef DEF_nexus_rest_api_ns0_content_list_resource_H
#define DEF_nexus_rest_api_ns0_content_list_resource_H

/**
 *  A Content Item definition, including all data needed to properly
 access the item, and understand the item.
 
 @version $Revision$ $Date$

 */
struct nexus_rest_api_ns0_content_list_resource {


  /**
   * The URI that can be used to directly access this item in the
future.
   */
  xmlChar *resourceURI;

  /**
   * The relative path in relation to the root of the repository.
   */
  xmlChar *relativePath;

  /**
   * A name of the content item.
   */
  xmlChar *text;

  /**
   * Flag that states whether the content item is a file item (if
true), otherwise it is a folder item, and can use the
resourceURI to retrieve the contained content.
   */
  int leaf;

  /**
   * Timestamp the item was last modified.
   */
  struct tm *lastModified;

  /**
   * Size of the item on the disk.
   */
  long sizeOnDisk;
};

/**
 * Reads a ContentListResource from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The ContentListResource, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_content_list_resource *xmlTextReaderReadNs0Content_list_resourceType(xmlTextReaderPtr reader);

/**
 * Writes a ContentListResource to XML.
 *
 * @param writer The XML writer.
 * @param _contentListResource The ContentListResource to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Content_list_resourceType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_content_list_resource *_contentListResource);

/**
 * Frees the elements of a ContentListResource.
 *
 * @param _contentListResource The ContentListResource to free.
 */
static void freeNs0Content_list_resourceType(struct nexus_rest_api_ns0_content_list_resource *_contentListResource);

#endif /* DEF_nexus_rest_api_ns0_content_list_resource_H */
#ifndef DEF_nexus_rest_api_ns0_contentListResourceResponse_H
#define DEF_nexus_rest_api_ns0_contentListResourceResponse_H

/**
 *  REST Response object for a content resource request, contains
 the typical 'data' parameter, which is a list of the content
 items requested.
 
 @version $Revision$ $Date$

 */
struct nexus_rest_api_ns0_contentListResourceResponse {


  /**
   * Field data.
   */
  struct nexus_rest_api_ns0_content_list_resource *data;

  /**
   * Size of the data array.
   */
  int _sizeof_data;
};

/**
 * Reads a ContentListResourceResponse element from XML. The element to be read is "content", and
 * it is assumed that the reader is pointing to the XML document (not the element).
 *
 * @param reader The XML reader.
 * @return The ContentListResourceResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_contentListResourceResponse *xml_read_nexus_rest_api_ns0_contentListResourceResponse(xmlTextReaderPtr reader);

/**
 * Writes a ContentListResourceResponse to XML under element name "content".
 *
 * @param writer The XML writer.
 * @param _contentListResourceResponse The ContentListResourceResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
int xml_write_nexus_rest_api_ns0_contentListResourceResponse(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_contentListResourceResponse *_contentListResourceResponse);

/**
 * Frees a ContentListResourceResponse.
 *
 * @param _contentListResourceResponse The ContentListResourceResponse to free.
 */
void free_nexus_rest_api_ns0_contentListResourceResponse(struct nexus_rest_api_ns0_contentListResourceResponse *_contentListResourceResponse);

/**
 * Reads a ContentListResourceResponse element from XML. The element to be read is "content", and
 * it is assumed that the reader is already pointing to the element.
 *
 * @param reader The XML reader.
 * @return The ContentListResourceResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_contentListResourceResponse *xmlTextReaderReadNs0ContentElement(xmlTextReaderPtr reader);

/**
 * Writes a ContentListResourceResponse to XML under element name "content".
 * Does NOT write the namespace prefixes.
 *
 * @param writer The XML writer.
 * @param _contentListResourceResponse The ContentListResourceResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0ContentElement(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_contentListResourceResponse *_contentListResourceResponse);

/**
 * Writes a ContentListResourceResponse to XML under element name "content".
 *
 * @param writer The XML writer.
 * @param _contentListResourceResponse The ContentListResourceResponse to write.
 * @param writeNamespaces Whether to write the namespace prefixes.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0ContentElementNS(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_contentListResourceResponse *_contentListResourceResponse, int writeNamespaces);

/**
 * Frees the children of a ContentListResourceResponse.
 *
 * @param _contentListResourceResponse The ContentListResourceResponse whose children are to be free.
 */
static void freeNs0ContentElement(struct nexus_rest_api_ns0_contentListResourceResponse *_contentListResourceResponse);

/**
 * Reads a ContentListResourceResponse from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The ContentListResourceResponse, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_contentListResourceResponse *xmlTextReaderReadNs0ContentListResourceResponseType(xmlTextReaderPtr reader);

/**
 * Writes a ContentListResourceResponse to XML.
 *
 * @param writer The XML writer.
 * @param _contentListResourceResponse The ContentListResourceResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0ContentListResourceResponseType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_contentListResourceResponse *_contentListResourceResponse);

/**
 * Frees the elements of a ContentListResourceResponse.
 *
 * @param _contentListResourceResponse The ContentListResourceResponse to free.
 */
static void freeNs0ContentListResourceResponseType(struct nexus_rest_api_ns0_contentListResourceResponse *_contentListResourceResponse);

#endif /* DEF_nexus_rest_api_ns0_contentListResourceResponse_H */
#ifndef DEF_nexus_rest_api_ns0_errorReportRequest_H
#define DEF_nexus_rest_api_ns0_errorReportRequest_H

/**
 *  REST Request object for generating an error report, contains the
 typical 'data' parameter, which is an error report item.
 
 @version $Revision$ $Date$

 */
struct nexus_rest_api_ns0_errorReportRequest {


  /**
   * The error report object.
   */
  struct nexus_rest_api_ns0_error_report_request_dto *data;
};

/**
 * Reads a ErrorReportRequest element from XML. The element to be read is "error-report-request", and
 * it is assumed that the reader is pointing to the XML document (not the element).
 *
 * @param reader The XML reader.
 * @return The ErrorReportRequest, or NULL in case of error.
 */
struct nexus_rest_api_ns0_errorReportRequest *xml_read_nexus_rest_api_ns0_errorReportRequest(xmlTextReaderPtr reader);

/**
 * Writes a ErrorReportRequest to XML under element name "error-report-request".
 *
 * @param writer The XML writer.
 * @param _errorReportRequest The ErrorReportRequest to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
int xml_write_nexus_rest_api_ns0_errorReportRequest(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_errorReportRequest *_errorReportRequest);

/**
 * Frees a ErrorReportRequest.
 *
 * @param _errorReportRequest The ErrorReportRequest to free.
 */
void free_nexus_rest_api_ns0_errorReportRequest(struct nexus_rest_api_ns0_errorReportRequest *_errorReportRequest);

/**
 * Reads a ErrorReportRequest element from XML. The element to be read is "error-report-request", and
 * it is assumed that the reader is already pointing to the element.
 *
 * @param reader The XML reader.
 * @return The ErrorReportRequest, or NULL in case of error.
 */
struct nexus_rest_api_ns0_errorReportRequest *xmlTextReaderReadNs0Error_report_requestElement(xmlTextReaderPtr reader);

/**
 * Writes a ErrorReportRequest to XML under element name "error-report-request".
 * Does NOT write the namespace prefixes.
 *
 * @param writer The XML writer.
 * @param _errorReportRequest The ErrorReportRequest to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Error_report_requestElement(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_errorReportRequest *_errorReportRequest);

/**
 * Writes a ErrorReportRequest to XML under element name "error-report-request".
 *
 * @param writer The XML writer.
 * @param _errorReportRequest The ErrorReportRequest to write.
 * @param writeNamespaces Whether to write the namespace prefixes.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Error_report_requestElementNS(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_errorReportRequest *_errorReportRequest, int writeNamespaces);

/**
 * Frees the children of a ErrorReportRequest.
 *
 * @param _errorReportRequest The ErrorReportRequest whose children are to be free.
 */
static void freeNs0Error_report_requestElement(struct nexus_rest_api_ns0_errorReportRequest *_errorReportRequest);

/**
 * Reads a ErrorReportRequest from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The ErrorReportRequest, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_errorReportRequest *xmlTextReaderReadNs0ErrorReportRequestType(xmlTextReaderPtr reader);

/**
 * Writes a ErrorReportRequest to XML.
 *
 * @param writer The XML writer.
 * @param _errorReportRequest The ErrorReportRequest to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0ErrorReportRequestType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_errorReportRequest *_errorReportRequest);

/**
 * Frees the elements of a ErrorReportRequest.
 *
 * @param _errorReportRequest The ErrorReportRequest to free.
 */
static void freeNs0ErrorReportRequestType(struct nexus_rest_api_ns0_errorReportRequest *_errorReportRequest);

#endif /* DEF_nexus_rest_api_ns0_errorReportRequest_H */
#ifndef DEF_nexus_rest_api_ns0_error_report_request_dto_H
#define DEF_nexus_rest_api_ns0_error_report_request_dto_H

/**
 *  Details required to generate an error report.
 
 @version $Revision$ $Date$

 */
struct nexus_rest_api_ns0_error_report_request_dto {


  /**
   * The title of the error report.
   */
  xmlChar *title;

  /**
   * A detailed explanation of the error report.
   */
  xmlChar *description;

  /**
   * If true will overwrite currect error report settings with
the credentials provided.
   */
  int saveErrorReportingSettings;

  /**
   * The error report settings.
   */
  struct nexus_rest_api_ns0_error_reporting_settings *errorReportingSettings;
};

/**
 * Reads a ErrorReportRequestDTO from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The ErrorReportRequestDTO, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_error_report_request_dto *xmlTextReaderReadNs0Error_report_request_dtoType(xmlTextReaderPtr reader);

/**
 * Writes a ErrorReportRequestDTO to XML.
 *
 * @param writer The XML writer.
 * @param _errorReportRequestDTO The ErrorReportRequestDTO to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Error_report_request_dtoType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_error_report_request_dto *_errorReportRequestDTO);

/**
 * Frees the elements of a ErrorReportRequestDTO.
 *
 * @param _errorReportRequestDTO The ErrorReportRequestDTO to free.
 */
static void freeNs0Error_report_request_dtoType(struct nexus_rest_api_ns0_error_report_request_dto *_errorReportRequestDTO);

#endif /* DEF_nexus_rest_api_ns0_error_report_request_dto_H */
#ifndef DEF_nexus_rest_api_ns0_errorReportResponse_H
#define DEF_nexus_rest_api_ns0_errorReportResponse_H

/**
 *  REST Response object received after generating an error report,
 contains the typical 'data' parameter, which is the error report
 response item.
 
 @version $Revision$ $Date$

 */
struct nexus_rest_api_ns0_errorReportResponse {


  /**
   * The error report response object.
   */
  struct nexus_rest_api_ns0_error_report_response_dto *data;
};

/**
 * Reads a ErrorReportResponse element from XML. The element to be read is "error-report-response", and
 * it is assumed that the reader is pointing to the XML document (not the element).
 *
 * @param reader The XML reader.
 * @return The ErrorReportResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_errorReportResponse *xml_read_nexus_rest_api_ns0_errorReportResponse(xmlTextReaderPtr reader);

/**
 * Writes a ErrorReportResponse to XML under element name "error-report-response".
 *
 * @param writer The XML writer.
 * @param _errorReportResponse The ErrorReportResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
int xml_write_nexus_rest_api_ns0_errorReportResponse(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_errorReportResponse *_errorReportResponse);

/**
 * Frees a ErrorReportResponse.
 *
 * @param _errorReportResponse The ErrorReportResponse to free.
 */
void free_nexus_rest_api_ns0_errorReportResponse(struct nexus_rest_api_ns0_errorReportResponse *_errorReportResponse);

/**
 * Reads a ErrorReportResponse element from XML. The element to be read is "error-report-response", and
 * it is assumed that the reader is already pointing to the element.
 *
 * @param reader The XML reader.
 * @return The ErrorReportResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_errorReportResponse *xmlTextReaderReadNs0Error_report_responseElement(xmlTextReaderPtr reader);

/**
 * Writes a ErrorReportResponse to XML under element name "error-report-response".
 * Does NOT write the namespace prefixes.
 *
 * @param writer The XML writer.
 * @param _errorReportResponse The ErrorReportResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Error_report_responseElement(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_errorReportResponse *_errorReportResponse);

/**
 * Writes a ErrorReportResponse to XML under element name "error-report-response".
 *
 * @param writer The XML writer.
 * @param _errorReportResponse The ErrorReportResponse to write.
 * @param writeNamespaces Whether to write the namespace prefixes.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Error_report_responseElementNS(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_errorReportResponse *_errorReportResponse, int writeNamespaces);

/**
 * Frees the children of a ErrorReportResponse.
 *
 * @param _errorReportResponse The ErrorReportResponse whose children are to be free.
 */
static void freeNs0Error_report_responseElement(struct nexus_rest_api_ns0_errorReportResponse *_errorReportResponse);

/**
 * Reads a ErrorReportResponse from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The ErrorReportResponse, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_errorReportResponse *xmlTextReaderReadNs0ErrorReportResponseType(xmlTextReaderPtr reader);

/**
 * Writes a ErrorReportResponse to XML.
 *
 * @param writer The XML writer.
 * @param _errorReportResponse The ErrorReportResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0ErrorReportResponseType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_errorReportResponse *_errorReportResponse);

/**
 * Frees the elements of a ErrorReportResponse.
 *
 * @param _errorReportResponse The ErrorReportResponse to free.
 */
static void freeNs0ErrorReportResponseType(struct nexus_rest_api_ns0_errorReportResponse *_errorReportResponse);

#endif /* DEF_nexus_rest_api_ns0_errorReportResponse_H */
#ifndef DEF_nexus_rest_api_ns0_error_report_response_dto_H
#define DEF_nexus_rest_api_ns0_error_report_response_dto_H

/**
 *  The response data that is returned after generating an error
 report.
 
 @version $Revision$ $Date$

 */
struct nexus_rest_api_ns0_error_report_response_dto {


  /**
   * The JIRA server URL for the error report that was created.
   */
  xmlChar *jiraUrl;
};

/**
 * Reads a ErrorReportResponseDTO from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The ErrorReportResponseDTO, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_error_report_response_dto *xmlTextReaderReadNs0Error_report_response_dtoType(xmlTextReaderPtr reader);

/**
 * Writes a ErrorReportResponseDTO to XML.
 *
 * @param writer The XML writer.
 * @param _errorReportResponseDTO The ErrorReportResponseDTO to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Error_report_response_dtoType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_error_report_response_dto *_errorReportResponseDTO);

/**
 * Frees the elements of a ErrorReportResponseDTO.
 *
 * @param _errorReportResponseDTO The ErrorReportResponseDTO to free.
 */
static void freeNs0Error_report_response_dtoType(struct nexus_rest_api_ns0_error_report_response_dto *_errorReportResponseDTO);

#endif /* DEF_nexus_rest_api_ns0_error_report_response_dto_H */
#ifndef DEF_nexus_rest_api_ns0_error_reporting_settings_H
#define DEF_nexus_rest_api_ns0_error_reporting_settings_H

/**
 *  Connection parameters to allow Nexus to report errors to the
 Sonatype JIRA server.
 
 @version $Revision$ $Date$

 */
struct nexus_rest_api_ns0_error_reporting_settings {


  /**
   * Username of a valid jira account (if empty will use the
default error reporting username).
   */
  xmlChar *jiraUsername;

  /**
   * Password of a valid jira account (if empty will use the
default error reporting password).
   */
  xmlChar *jiraPassword;

  /**
   * Flag that states whether to use the global proxy
configuration in Nexus.
   */
  int useGlobalProxy;

  /**
   * Flag if Nexus should automatically report any problem found.
   */
  int reportErrorsAutomatically;
};

/**
 * Reads a ErrorReportingSettings from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The ErrorReportingSettings, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_error_reporting_settings *xmlTextReaderReadNs0Error_reporting_settingsType(xmlTextReaderPtr reader);

/**
 * Writes a ErrorReportingSettings to XML.
 *
 * @param writer The XML writer.
 * @param _errorReportingSettings The ErrorReportingSettings to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Error_reporting_settingsType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_error_reporting_settings *_errorReportingSettings);

/**
 * Frees the elements of a ErrorReportingSettings.
 *
 * @param _errorReportingSettings The ErrorReportingSettings to free.
 */
static void freeNs0Error_reporting_settingsType(struct nexus_rest_api_ns0_error_reporting_settings *_errorReportingSettings);

#endif /* DEF_nexus_rest_api_ns0_error_reporting_settings_H */
#ifndef DEF_nexus_rest_api_ns0_feed_list_resource_H
#define DEF_nexus_rest_api_ns0_feed_list_resource_H

/**
 *  Details about an RSS Feed that Nexus supplies.
 
 @version $Revision$ $Date$

 */
struct nexus_rest_api_ns0_feed_list_resource {


  /**
   * The URL that must be used to retrieve the feed data.
   */
  xmlChar *resourceURI;

  /**
   * The name of the feed.
   */
  xmlChar *name;
};

/**
 * Reads a FeedListResource from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The FeedListResource, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_feed_list_resource *xmlTextReaderReadNs0Feed_list_resourceType(xmlTextReaderPtr reader);

/**
 * Writes a FeedListResource to XML.
 *
 * @param writer The XML writer.
 * @param _feedListResource The FeedListResource to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Feed_list_resourceType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_feed_list_resource *_feedListResource);

/**
 * Frees the elements of a FeedListResource.
 *
 * @param _feedListResource The FeedListResource to free.
 */
static void freeNs0Feed_list_resourceType(struct nexus_rest_api_ns0_feed_list_resource *_feedListResource);

#endif /* DEF_nexus_rest_api_ns0_feed_list_resource_H */
#ifndef DEF_nexus_rest_api_ns0_feedListResourceResponse_H
#define DEF_nexus_rest_api_ns0_feedListResourceResponse_H

/**
 *  REST Response object for a list of Nexus feed items, contains
 the typical 'data' parameter, which is a list of the feed items.
 
 @version $Revision$ $Date$

 */
struct nexus_rest_api_ns0_feedListResourceResponse {


  /**
   * Field data.
   */
  struct nexus_rest_api_ns0_feed_list_resource *data;

  /**
   * Size of the data array.
   */
  int _sizeof_data;
};

/**
 * Reads a FeedListResourceResponse element from XML. The element to be read is "feeds-list", and
 * it is assumed that the reader is pointing to the XML document (not the element).
 *
 * @param reader The XML reader.
 * @return The FeedListResourceResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_feedListResourceResponse *xml_read_nexus_rest_api_ns0_feedListResourceResponse(xmlTextReaderPtr reader);

/**
 * Writes a FeedListResourceResponse to XML under element name "feeds-list".
 *
 * @param writer The XML writer.
 * @param _feedListResourceResponse The FeedListResourceResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
int xml_write_nexus_rest_api_ns0_feedListResourceResponse(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_feedListResourceResponse *_feedListResourceResponse);

/**
 * Frees a FeedListResourceResponse.
 *
 * @param _feedListResourceResponse The FeedListResourceResponse to free.
 */
void free_nexus_rest_api_ns0_feedListResourceResponse(struct nexus_rest_api_ns0_feedListResourceResponse *_feedListResourceResponse);

/**
 * Reads a FeedListResourceResponse element from XML. The element to be read is "feeds-list", and
 * it is assumed that the reader is already pointing to the element.
 *
 * @param reader The XML reader.
 * @return The FeedListResourceResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_feedListResourceResponse *xmlTextReaderReadNs0Feeds_listElement(xmlTextReaderPtr reader);

/**
 * Writes a FeedListResourceResponse to XML under element name "feeds-list".
 * Does NOT write the namespace prefixes.
 *
 * @param writer The XML writer.
 * @param _feedListResourceResponse The FeedListResourceResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Feeds_listElement(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_feedListResourceResponse *_feedListResourceResponse);

/**
 * Writes a FeedListResourceResponse to XML under element name "feeds-list".
 *
 * @param writer The XML writer.
 * @param _feedListResourceResponse The FeedListResourceResponse to write.
 * @param writeNamespaces Whether to write the namespace prefixes.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Feeds_listElementNS(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_feedListResourceResponse *_feedListResourceResponse, int writeNamespaces);

/**
 * Frees the children of a FeedListResourceResponse.
 *
 * @param _feedListResourceResponse The FeedListResourceResponse whose children are to be free.
 */
static void freeNs0Feeds_listElement(struct nexus_rest_api_ns0_feedListResourceResponse *_feedListResourceResponse);

/**
 * Reads a FeedListResourceResponse from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The FeedListResourceResponse, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_feedListResourceResponse *xmlTextReaderReadNs0FeedListResourceResponseType(xmlTextReaderPtr reader);

/**
 * Writes a FeedListResourceResponse to XML.
 *
 * @param writer The XML writer.
 * @param _feedListResourceResponse The FeedListResourceResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0FeedListResourceResponseType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_feedListResourceResponse *_feedListResourceResponse);

/**
 * Frees the elements of a FeedListResourceResponse.
 *
 * @param _feedListResourceResponse The FeedListResourceResponse to free.
 */
static void freeNs0FeedListResourceResponseType(struct nexus_rest_api_ns0_feedListResourceResponse *_feedListResourceResponse);

#endif /* DEF_nexus_rest_api_ns0_feedListResourceResponse_H */
#ifndef DEF_nexus_rest_api_ns0_global_configuration_list_item_H
#define DEF_nexus_rest_api_ns0_global_configuration_list_item_H

/**
 *  An item that contains details about a global configuration item,
 including the url required to retrieve the configuration
 details.
 
 @version $Revision$ $Date$

 */
struct nexus_rest_api_ns0_global_configuration_list_item {


  /**
   * The url that can be GET requested to retrieve the details of
the global configuration.
   */
  xmlChar *resourceURI;

  /**
   * The name of the global configuration.
   */
  xmlChar *name;
};

/**
 * Reads a GlobalConfigurationListResource from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The GlobalConfigurationListResource, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_global_configuration_list_item *xmlTextReaderReadNs0Global_configuration_list_itemType(xmlTextReaderPtr reader);

/**
 * Writes a GlobalConfigurationListResource to XML.
 *
 * @param writer The XML writer.
 * @param _globalConfigurationListResource The GlobalConfigurationListResource to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Global_configuration_list_itemType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_global_configuration_list_item *_globalConfigurationListResource);

/**
 * Frees the elements of a GlobalConfigurationListResource.
 *
 * @param _globalConfigurationListResource The GlobalConfigurationListResource to free.
 */
static void freeNs0Global_configuration_list_itemType(struct nexus_rest_api_ns0_global_configuration_list_item *_globalConfigurationListResource);

#endif /* DEF_nexus_rest_api_ns0_global_configuration_list_item_H */
#ifndef DEF_nexus_rest_api_ns0_globalConfigurationListResourceResponse_H
#define DEF_nexus_rest_api_ns0_globalConfigurationListResourceResponse_H

/**
 *  REST Response object for a global configuration list request,
 contains the typical 'data' parameter, which is a list of the
 global configuration items requested.
 
 @version $Revision$ $Date$

 */
struct nexus_rest_api_ns0_globalConfigurationListResourceResponse {


  /**
   * Field data.
   */
  struct nexus_rest_api_ns0_global_configuration_list_item *data;

  /**
   * Size of the data array.
   */
  int _sizeof_data;
};

/**
 * Reads a GlobalConfigurationListResourceResponse element from XML. The element to be read is "global-settings-list", and
 * it is assumed that the reader is pointing to the XML document (not the element).
 *
 * @param reader The XML reader.
 * @return The GlobalConfigurationListResourceResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_globalConfigurationListResourceResponse *xml_read_nexus_rest_api_ns0_globalConfigurationListResourceResponse(xmlTextReaderPtr reader);

/**
 * Writes a GlobalConfigurationListResourceResponse to XML under element name "global-settings-list".
 *
 * @param writer The XML writer.
 * @param _globalConfigurationListResourceResponse The GlobalConfigurationListResourceResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
int xml_write_nexus_rest_api_ns0_globalConfigurationListResourceResponse(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_globalConfigurationListResourceResponse *_globalConfigurationListResourceResponse);

/**
 * Frees a GlobalConfigurationListResourceResponse.
 *
 * @param _globalConfigurationListResourceResponse The GlobalConfigurationListResourceResponse to free.
 */
void free_nexus_rest_api_ns0_globalConfigurationListResourceResponse(struct nexus_rest_api_ns0_globalConfigurationListResourceResponse *_globalConfigurationListResourceResponse);

/**
 * Reads a GlobalConfigurationListResourceResponse element from XML. The element to be read is "global-settings-list", and
 * it is assumed that the reader is already pointing to the element.
 *
 * @param reader The XML reader.
 * @return The GlobalConfigurationListResourceResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_globalConfigurationListResourceResponse *xmlTextReaderReadNs0Global_settings_listElement(xmlTextReaderPtr reader);

/**
 * Writes a GlobalConfigurationListResourceResponse to XML under element name "global-settings-list".
 * Does NOT write the namespace prefixes.
 *
 * @param writer The XML writer.
 * @param _globalConfigurationListResourceResponse The GlobalConfigurationListResourceResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Global_settings_listElement(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_globalConfigurationListResourceResponse *_globalConfigurationListResourceResponse);

/**
 * Writes a GlobalConfigurationListResourceResponse to XML under element name "global-settings-list".
 *
 * @param writer The XML writer.
 * @param _globalConfigurationListResourceResponse The GlobalConfigurationListResourceResponse to write.
 * @param writeNamespaces Whether to write the namespace prefixes.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Global_settings_listElementNS(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_globalConfigurationListResourceResponse *_globalConfigurationListResourceResponse, int writeNamespaces);

/**
 * Frees the children of a GlobalConfigurationListResourceResponse.
 *
 * @param _globalConfigurationListResourceResponse The GlobalConfigurationListResourceResponse whose children are to be free.
 */
static void freeNs0Global_settings_listElement(struct nexus_rest_api_ns0_globalConfigurationListResourceResponse *_globalConfigurationListResourceResponse);

/**
 * Reads a GlobalConfigurationListResourceResponse from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The GlobalConfigurationListResourceResponse, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_globalConfigurationListResourceResponse *xmlTextReaderReadNs0GlobalConfigurationListResourceResponseType(xmlTextReaderPtr reader);

/**
 * Writes a GlobalConfigurationListResourceResponse to XML.
 *
 * @param writer The XML writer.
 * @param _globalConfigurationListResourceResponse The GlobalConfigurationListResourceResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0GlobalConfigurationListResourceResponseType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_globalConfigurationListResourceResponse *_globalConfigurationListResourceResponse);

/**
 * Frees the elements of a GlobalConfigurationListResourceResponse.
 *
 * @param _globalConfigurationListResourceResponse The GlobalConfigurationListResourceResponse to free.
 */
static void freeNs0GlobalConfigurationListResourceResponseType(struct nexus_rest_api_ns0_globalConfigurationListResourceResponse *_globalConfigurationListResourceResponse);

#endif /* DEF_nexus_rest_api_ns0_globalConfigurationListResourceResponse_H */
#ifndef DEF_nexus_rest_api_ns0_global_settings_item_H
#define DEF_nexus_rest_api_ns0_global_settings_item_H

/**
 *  List of all global configuration items in Nexus.
 
 @version $Revision$ $Date$

 */
struct nexus_rest_api_ns0_global_settings_item {


  /**
   * Flag that determines if security is enabled, if false, there
will be no authc/authz checks performed on any requests to
the systme.
   */
  int securityEnabled;

  /**
   * Flag that, if true, will allow anonymous access while
security is enabled.
   */
  int securityAnonymousAccessEnabled;

  /**
   * The username to use for anonymous access (so that
roles/privileges can be applied to the anonymous access
users).
   */
  xmlChar *securityAnonymousUsername;

  /**
   * The password to use for anonymous access.
   */
  xmlChar *securityAnonymousPassword;

  /**
   * Field securityRealms.
   */
  xmlChar *securityRealms;

  /**
   * Size of the securityRealms array.
   */
  int _sizeof_securityRealms;

  /**
   * Global remote connection settings.
   */
  struct nexus_rest_api_ns0_remote_connection_settings *globalConnectionSettings;

  /**
   * System notification settings.
   */
  struct nexus_rest_api_ns0_system_notification_settings *systemNotificationSettings;

  /**
   * SMTP settings for email notifications that Nexus generates.
   */
  struct nexus_rest_api_ns0_smtp_settings *smtpSettings;

  /**
   * Global HTTP Proxy Settings (will be applied to all
repositories by default).
   */
  struct nexus_rest_api_ns0_remote_http_proxy_settings *globalHttpProxySettings;

  /**
   * Rest API configuration parameters.
   */
  struct nexus_rest_api_ns0_rest_api_settings *globalRestApiSettings;

  /**
   * Error reporting configuration parameters.
   */
  struct nexus_rest_api_ns0_error_reporting_settings *errorReportingSettings;
};

/**
 * Reads a GlobalConfigurationResource from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The GlobalConfigurationResource, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_global_settings_item *xmlTextReaderReadNs0Global_settings_itemType(xmlTextReaderPtr reader);

/**
 * Writes a GlobalConfigurationResource to XML.
 *
 * @param writer The XML writer.
 * @param _globalConfigurationResource The GlobalConfigurationResource to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Global_settings_itemType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_global_settings_item *_globalConfigurationResource);

/**
 * Frees the elements of a GlobalConfigurationResource.
 *
 * @param _globalConfigurationResource The GlobalConfigurationResource to free.
 */
static void freeNs0Global_settings_itemType(struct nexus_rest_api_ns0_global_settings_item *_globalConfigurationResource);

#endif /* DEF_nexus_rest_api_ns0_global_settings_item_H */
#ifndef DEF_nexus_rest_api_ns0_globalConfigurationResourceResponse_H
#define DEF_nexus_rest_api_ns0_globalConfigurationResourceResponse_H

/**
 *  REST Response object for a global configuration request,
 contains the typical 'data' parameter, which is the global
 configuration item requested.
 
 @version $Revision$ $Date$

 */
struct nexus_rest_api_ns0_globalConfigurationResourceResponse {


  /**
   * The global configuration details.
   */
  struct nexus_rest_api_ns0_global_settings_item *data;
};

/**
 * Reads a GlobalConfigurationResourceResponse element from XML. The element to be read is "global-settings", and
 * it is assumed that the reader is pointing to the XML document (not the element).
 *
 * @param reader The XML reader.
 * @return The GlobalConfigurationResourceResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_globalConfigurationResourceResponse *xml_read_nexus_rest_api_ns0_globalConfigurationResourceResponse(xmlTextReaderPtr reader);

/**
 * Writes a GlobalConfigurationResourceResponse to XML under element name "global-settings".
 *
 * @param writer The XML writer.
 * @param _globalConfigurationResourceResponse The GlobalConfigurationResourceResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
int xml_write_nexus_rest_api_ns0_globalConfigurationResourceResponse(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_globalConfigurationResourceResponse *_globalConfigurationResourceResponse);

/**
 * Frees a GlobalConfigurationResourceResponse.
 *
 * @param _globalConfigurationResourceResponse The GlobalConfigurationResourceResponse to free.
 */
void free_nexus_rest_api_ns0_globalConfigurationResourceResponse(struct nexus_rest_api_ns0_globalConfigurationResourceResponse *_globalConfigurationResourceResponse);

/**
 * Reads a GlobalConfigurationResourceResponse element from XML. The element to be read is "global-settings", and
 * it is assumed that the reader is already pointing to the element.
 *
 * @param reader The XML reader.
 * @return The GlobalConfigurationResourceResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_globalConfigurationResourceResponse *xmlTextReaderReadNs0Global_settingsElement(xmlTextReaderPtr reader);

/**
 * Writes a GlobalConfigurationResourceResponse to XML under element name "global-settings".
 * Does NOT write the namespace prefixes.
 *
 * @param writer The XML writer.
 * @param _globalConfigurationResourceResponse The GlobalConfigurationResourceResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Global_settingsElement(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_globalConfigurationResourceResponse *_globalConfigurationResourceResponse);

/**
 * Writes a GlobalConfigurationResourceResponse to XML under element name "global-settings".
 *
 * @param writer The XML writer.
 * @param _globalConfigurationResourceResponse The GlobalConfigurationResourceResponse to write.
 * @param writeNamespaces Whether to write the namespace prefixes.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Global_settingsElementNS(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_globalConfigurationResourceResponse *_globalConfigurationResourceResponse, int writeNamespaces);

/**
 * Frees the children of a GlobalConfigurationResourceResponse.
 *
 * @param _globalConfigurationResourceResponse The GlobalConfigurationResourceResponse whose children are to be free.
 */
static void freeNs0Global_settingsElement(struct nexus_rest_api_ns0_globalConfigurationResourceResponse *_globalConfigurationResourceResponse);

/**
 * Reads a GlobalConfigurationResourceResponse from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The GlobalConfigurationResourceResponse, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_globalConfigurationResourceResponse *xmlTextReaderReadNs0GlobalConfigurationResourceResponseType(xmlTextReaderPtr reader);

/**
 * Writes a GlobalConfigurationResourceResponse to XML.
 *
 * @param writer The XML writer.
 * @param _globalConfigurationResourceResponse The GlobalConfigurationResourceResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0GlobalConfigurationResourceResponseType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_globalConfigurationResourceResponse *_globalConfigurationResourceResponse);

/**
 * Frees the elements of a GlobalConfigurationResourceResponse.
 *
 * @param _globalConfigurationResourceResponse The GlobalConfigurationResourceResponse to free.
 */
static void freeNs0GlobalConfigurationResourceResponseType(struct nexus_rest_api_ns0_globalConfigurationResourceResponse *_globalConfigurationResourceResponse);

#endif /* DEF_nexus_rest_api_ns0_globalConfigurationResourceResponse_H */
#ifndef DEF_nexus_rest_api_ns0_log_config_resource_H
#define DEF_nexus_rest_api_ns0_log_config_resource_H

/**
 *  Set of parameters that describe how logging is configured.
 
 @version $Revision$ $Date$

 */
struct nexus_rest_api_ns0_log_config_resource {


  /**
   * The root logger level (i.e. DEBUG, INFO, etc.).
   */
  xmlChar *rootLoggerLevel;

  /**
   * The appenders that the root logger will use.
   */
  xmlChar *rootLoggerAppenders;

  /**
   * Where the file will be stored.
   */
  xmlChar *fileAppenderLocation;

  /**
   * The pattern used to write to the file.
   */
  xmlChar *fileAppenderPattern;
};

/**
 * Reads a LogConfigResource from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The LogConfigResource, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_log_config_resource *xmlTextReaderReadNs0Log_config_resourceType(xmlTextReaderPtr reader);

/**
 * Writes a LogConfigResource to XML.
 *
 * @param writer The XML writer.
 * @param _logConfigResource The LogConfigResource to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Log_config_resourceType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_log_config_resource *_logConfigResource);

/**
 * Frees the elements of a LogConfigResource.
 *
 * @param _logConfigResource The LogConfigResource to free.
 */
static void freeNs0Log_config_resourceType(struct nexus_rest_api_ns0_log_config_resource *_logConfigResource);

#endif /* DEF_nexus_rest_api_ns0_log_config_resource_H */
#ifndef DEF_nexus_rest_api_ns0_logConfigResourceResponse_H
#define DEF_nexus_rest_api_ns0_logConfigResourceResponse_H

/**
 *  REST Response object for the log config request, contains the
 typical 'data' parameter, which is the log configuration.
 
 @version $Revision$ $Date$

 */
struct nexus_rest_api_ns0_logConfigResourceResponse {


  /**
   * The log configuration parameters.
   */
  struct nexus_rest_api_ns0_log_config_resource *data;
};

/**
 * Reads a LogConfigResourceResponse element from XML. The element to be read is "log-config", and
 * it is assumed that the reader is pointing to the XML document (not the element).
 *
 * @param reader The XML reader.
 * @return The LogConfigResourceResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_logConfigResourceResponse *xml_read_nexus_rest_api_ns0_logConfigResourceResponse(xmlTextReaderPtr reader);

/**
 * Writes a LogConfigResourceResponse to XML under element name "log-config".
 *
 * @param writer The XML writer.
 * @param _logConfigResourceResponse The LogConfigResourceResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
int xml_write_nexus_rest_api_ns0_logConfigResourceResponse(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_logConfigResourceResponse *_logConfigResourceResponse);

/**
 * Frees a LogConfigResourceResponse.
 *
 * @param _logConfigResourceResponse The LogConfigResourceResponse to free.
 */
void free_nexus_rest_api_ns0_logConfigResourceResponse(struct nexus_rest_api_ns0_logConfigResourceResponse *_logConfigResourceResponse);

/**
 * Reads a LogConfigResourceResponse element from XML. The element to be read is "log-config", and
 * it is assumed that the reader is already pointing to the element.
 *
 * @param reader The XML reader.
 * @return The LogConfigResourceResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_logConfigResourceResponse *xmlTextReaderReadNs0Log_configElement(xmlTextReaderPtr reader);

/**
 * Writes a LogConfigResourceResponse to XML under element name "log-config".
 * Does NOT write the namespace prefixes.
 *
 * @param writer The XML writer.
 * @param _logConfigResourceResponse The LogConfigResourceResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Log_configElement(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_logConfigResourceResponse *_logConfigResourceResponse);

/**
 * Writes a LogConfigResourceResponse to XML under element name "log-config".
 *
 * @param writer The XML writer.
 * @param _logConfigResourceResponse The LogConfigResourceResponse to write.
 * @param writeNamespaces Whether to write the namespace prefixes.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Log_configElementNS(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_logConfigResourceResponse *_logConfigResourceResponse, int writeNamespaces);

/**
 * Frees the children of a LogConfigResourceResponse.
 *
 * @param _logConfigResourceResponse The LogConfigResourceResponse whose children are to be free.
 */
static void freeNs0Log_configElement(struct nexus_rest_api_ns0_logConfigResourceResponse *_logConfigResourceResponse);

/**
 * Reads a LogConfigResourceResponse from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The LogConfigResourceResponse, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_logConfigResourceResponse *xmlTextReaderReadNs0LogConfigResourceResponseType(xmlTextReaderPtr reader);

/**
 * Writes a LogConfigResourceResponse to XML.
 *
 * @param writer The XML writer.
 * @param _logConfigResourceResponse The LogConfigResourceResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0LogConfigResourceResponseType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_logConfigResourceResponse *_logConfigResourceResponse);

/**
 * Frees the elements of a LogConfigResourceResponse.
 *
 * @param _logConfigResourceResponse The LogConfigResourceResponse to free.
 */
static void freeNs0LogConfigResourceResponseType(struct nexus_rest_api_ns0_logConfigResourceResponse *_logConfigResourceResponse);

#endif /* DEF_nexus_rest_api_ns0_logConfigResourceResponse_H */
#ifndef DEF_nexus_rest_api_ns0_logs_list_resource_H
#define DEF_nexus_rest_api_ns0_logs_list_resource_H

/**
 *  Details to retrieve a log file from the Nexus server.
 
 @version $Revision$ $Date$

 */
struct nexus_rest_api_ns0_logs_list_resource {


  /**
   * The url that can be GET requested to retrieve the log file
content.
   */
  xmlChar *resourceURI;

  /**
   * The name of the file.
   */
  xmlChar *name;

  /**
   * The size of the file.
   */
  long size;

  /**
   * MIME type of the file.
   */
  xmlChar *mimeType;
};

/**
 * Reads a LogsListResource from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The LogsListResource, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_logs_list_resource *xmlTextReaderReadNs0Logs_list_resourceType(xmlTextReaderPtr reader);

/**
 * Writes a LogsListResource to XML.
 *
 * @param writer The XML writer.
 * @param _logsListResource The LogsListResource to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Logs_list_resourceType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_logs_list_resource *_logsListResource);

/**
 * Frees the elements of a LogsListResource.
 *
 * @param _logsListResource The LogsListResource to free.
 */
static void freeNs0Logs_list_resourceType(struct nexus_rest_api_ns0_logs_list_resource *_logsListResource);

#endif /* DEF_nexus_rest_api_ns0_logs_list_resource_H */
#ifndef DEF_nexus_rest_api_ns0_logsListResourceResponse_H
#define DEF_nexus_rest_api_ns0_logsListResourceResponse_H

/**
 *  REST Response object for a log list resource request, contains
 the typical 'data' parameter, which is a list of the log items
 requested.
 
 @version $Revision$ $Date$

 */
struct nexus_rest_api_ns0_logsListResourceResponse {


  /**
   * Field data.
   */
  struct nexus_rest_api_ns0_logs_list_resource *data;

  /**
   * Size of the data array.
   */
  int _sizeof_data;
};

/**
 * Reads a LogsListResourceResponse element from XML. The element to be read is "logs-list", and
 * it is assumed that the reader is pointing to the XML document (not the element).
 *
 * @param reader The XML reader.
 * @return The LogsListResourceResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_logsListResourceResponse *xml_read_nexus_rest_api_ns0_logsListResourceResponse(xmlTextReaderPtr reader);

/**
 * Writes a LogsListResourceResponse to XML under element name "logs-list".
 *
 * @param writer The XML writer.
 * @param _logsListResourceResponse The LogsListResourceResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
int xml_write_nexus_rest_api_ns0_logsListResourceResponse(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_logsListResourceResponse *_logsListResourceResponse);

/**
 * Frees a LogsListResourceResponse.
 *
 * @param _logsListResourceResponse The LogsListResourceResponse to free.
 */
void free_nexus_rest_api_ns0_logsListResourceResponse(struct nexus_rest_api_ns0_logsListResourceResponse *_logsListResourceResponse);

/**
 * Reads a LogsListResourceResponse element from XML. The element to be read is "logs-list", and
 * it is assumed that the reader is already pointing to the element.
 *
 * @param reader The XML reader.
 * @return The LogsListResourceResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_logsListResourceResponse *xmlTextReaderReadNs0Logs_listElement(xmlTextReaderPtr reader);

/**
 * Writes a LogsListResourceResponse to XML under element name "logs-list".
 * Does NOT write the namespace prefixes.
 *
 * @param writer The XML writer.
 * @param _logsListResourceResponse The LogsListResourceResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Logs_listElement(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_logsListResourceResponse *_logsListResourceResponse);

/**
 * Writes a LogsListResourceResponse to XML under element name "logs-list".
 *
 * @param writer The XML writer.
 * @param _logsListResourceResponse The LogsListResourceResponse to write.
 * @param writeNamespaces Whether to write the namespace prefixes.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Logs_listElementNS(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_logsListResourceResponse *_logsListResourceResponse, int writeNamespaces);

/**
 * Frees the children of a LogsListResourceResponse.
 *
 * @param _logsListResourceResponse The LogsListResourceResponse whose children are to be free.
 */
static void freeNs0Logs_listElement(struct nexus_rest_api_ns0_logsListResourceResponse *_logsListResourceResponse);

/**
 * Reads a LogsListResourceResponse from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The LogsListResourceResponse, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_logsListResourceResponse *xmlTextReaderReadNs0LogsListResourceResponseType(xmlTextReaderPtr reader);

/**
 * Writes a LogsListResourceResponse to XML.
 *
 * @param writer The XML writer.
 * @param _logsListResourceResponse The LogsListResourceResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0LogsListResourceResponseType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_logsListResourceResponse *_logsListResourceResponse);

/**
 * Frees the elements of a LogsListResourceResponse.
 *
 * @param _logsListResourceResponse The LogsListResourceResponse to free.
 */
static void freeNs0LogsListResourceResponseType(struct nexus_rest_api_ns0_logsListResourceResponse *_logsListResourceResponse);

#endif /* DEF_nexus_rest_api_ns0_logsListResourceResponse_H */
#ifndef DEF_nexus_rest_api_ns0_mirror_resource_H
#define DEF_nexus_rest_api_ns0_mirror_resource_H

/**
 *  Repository mirror configuration.
 
 @version $Revision$ $Date$

 */
struct nexus_rest_api_ns0_mirror_resource {


  /**
   * The id of the repository mirror.
   */
  xmlChar *id;

  /**
   * The url of the repository mirror.
   */
  xmlChar *url;
};

/**
 * Reads a MirrorResource from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The MirrorResource, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_mirror_resource *xmlTextReaderReadNs0Mirror_resourceType(xmlTextReaderPtr reader);

/**
 * Writes a MirrorResource to XML.
 *
 * @param writer The XML writer.
 * @param _mirrorResource The MirrorResource to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Mirror_resourceType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_mirror_resource *_mirrorResource);

/**
 * Frees the elements of a MirrorResource.
 *
 * @param _mirrorResource The MirrorResource to free.
 */
static void freeNs0Mirror_resourceType(struct nexus_rest_api_ns0_mirror_resource *_mirrorResource);

#endif /* DEF_nexus_rest_api_ns0_mirror_resource_H */
#ifndef DEF_nexus_rest_api_ns0_mirrorResourceListRequest_H
#define DEF_nexus_rest_api_ns0_mirrorResourceListRequest_H

/**
 *  REST Request object to persist list of mirrors associated with a
 repository, contains the typical 'data' parameter, which is the
 list of mirrors.
 
 @version $Revision$ $Date$

 */
struct nexus_rest_api_ns0_mirrorResourceListRequest {


  /**
   * Field data.
   */
  struct nexus_rest_api_ns0_mirror_resource *data;

  /**
   * Size of the data array.
   */
  int _sizeof_data;
};

/**
 * Reads a MirrorResourceListRequest element from XML. The element to be read is "mirror-list-request", and
 * it is assumed that the reader is pointing to the XML document (not the element).
 *
 * @param reader The XML reader.
 * @return The MirrorResourceListRequest, or NULL in case of error.
 */
struct nexus_rest_api_ns0_mirrorResourceListRequest *xml_read_nexus_rest_api_ns0_mirrorResourceListRequest(xmlTextReaderPtr reader);

/**
 * Writes a MirrorResourceListRequest to XML under element name "mirror-list-request".
 *
 * @param writer The XML writer.
 * @param _mirrorResourceListRequest The MirrorResourceListRequest to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
int xml_write_nexus_rest_api_ns0_mirrorResourceListRequest(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_mirrorResourceListRequest *_mirrorResourceListRequest);

/**
 * Frees a MirrorResourceListRequest.
 *
 * @param _mirrorResourceListRequest The MirrorResourceListRequest to free.
 */
void free_nexus_rest_api_ns0_mirrorResourceListRequest(struct nexus_rest_api_ns0_mirrorResourceListRequest *_mirrorResourceListRequest);

/**
 * Reads a MirrorResourceListRequest element from XML. The element to be read is "mirror-list-request", and
 * it is assumed that the reader is already pointing to the element.
 *
 * @param reader The XML reader.
 * @return The MirrorResourceListRequest, or NULL in case of error.
 */
struct nexus_rest_api_ns0_mirrorResourceListRequest *xmlTextReaderReadNs0Mirror_list_requestElement(xmlTextReaderPtr reader);

/**
 * Writes a MirrorResourceListRequest to XML under element name "mirror-list-request".
 * Does NOT write the namespace prefixes.
 *
 * @param writer The XML writer.
 * @param _mirrorResourceListRequest The MirrorResourceListRequest to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Mirror_list_requestElement(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_mirrorResourceListRequest *_mirrorResourceListRequest);

/**
 * Writes a MirrorResourceListRequest to XML under element name "mirror-list-request".
 *
 * @param writer The XML writer.
 * @param _mirrorResourceListRequest The MirrorResourceListRequest to write.
 * @param writeNamespaces Whether to write the namespace prefixes.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Mirror_list_requestElementNS(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_mirrorResourceListRequest *_mirrorResourceListRequest, int writeNamespaces);

/**
 * Frees the children of a MirrorResourceListRequest.
 *
 * @param _mirrorResourceListRequest The MirrorResourceListRequest whose children are to be free.
 */
static void freeNs0Mirror_list_requestElement(struct nexus_rest_api_ns0_mirrorResourceListRequest *_mirrorResourceListRequest);

/**
 * Reads a MirrorResourceListRequest from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The MirrorResourceListRequest, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_mirrorResourceListRequest *xmlTextReaderReadNs0MirrorResourceListRequestType(xmlTextReaderPtr reader);

/**
 * Writes a MirrorResourceListRequest to XML.
 *
 * @param writer The XML writer.
 * @param _mirrorResourceListRequest The MirrorResourceListRequest to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0MirrorResourceListRequestType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_mirrorResourceListRequest *_mirrorResourceListRequest);

/**
 * Frees the elements of a MirrorResourceListRequest.
 *
 * @param _mirrorResourceListRequest The MirrorResourceListRequest to free.
 */
static void freeNs0MirrorResourceListRequestType(struct nexus_rest_api_ns0_mirrorResourceListRequest *_mirrorResourceListRequest);

#endif /* DEF_nexus_rest_api_ns0_mirrorResourceListRequest_H */
#ifndef DEF_nexus_rest_api_ns0_mirrorResourceListResponse_H
#define DEF_nexus_rest_api_ns0_mirrorResourceListResponse_H

/**
 *  REST Response object for a list of mirrors associated with a
 repository, contains the typical 'data' parameter, which is the
 list of mirrors.
 
 @version $Revision$ $Date$

 */
struct nexus_rest_api_ns0_mirrorResourceListResponse {


  /**
   * Field data.
   */
  struct nexus_rest_api_ns0_mirror_resource *data;

  /**
   * Size of the data array.
   */
  int _sizeof_data;
};

/**
 * Reads a MirrorResourceListResponse element from XML. The element to be read is "mirror-list-response", and
 * it is assumed that the reader is pointing to the XML document (not the element).
 *
 * @param reader The XML reader.
 * @return The MirrorResourceListResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_mirrorResourceListResponse *xml_read_nexus_rest_api_ns0_mirrorResourceListResponse(xmlTextReaderPtr reader);

/**
 * Writes a MirrorResourceListResponse to XML under element name "mirror-list-response".
 *
 * @param writer The XML writer.
 * @param _mirrorResourceListResponse The MirrorResourceListResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
int xml_write_nexus_rest_api_ns0_mirrorResourceListResponse(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_mirrorResourceListResponse *_mirrorResourceListResponse);

/**
 * Frees a MirrorResourceListResponse.
 *
 * @param _mirrorResourceListResponse The MirrorResourceListResponse to free.
 */
void free_nexus_rest_api_ns0_mirrorResourceListResponse(struct nexus_rest_api_ns0_mirrorResourceListResponse *_mirrorResourceListResponse);

/**
 * Reads a MirrorResourceListResponse element from XML. The element to be read is "mirror-list-response", and
 * it is assumed that the reader is already pointing to the element.
 *
 * @param reader The XML reader.
 * @return The MirrorResourceListResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_mirrorResourceListResponse *xmlTextReaderReadNs0Mirror_list_responseElement(xmlTextReaderPtr reader);

/**
 * Writes a MirrorResourceListResponse to XML under element name "mirror-list-response".
 * Does NOT write the namespace prefixes.
 *
 * @param writer The XML writer.
 * @param _mirrorResourceListResponse The MirrorResourceListResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Mirror_list_responseElement(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_mirrorResourceListResponse *_mirrorResourceListResponse);

/**
 * Writes a MirrorResourceListResponse to XML under element name "mirror-list-response".
 *
 * @param writer The XML writer.
 * @param _mirrorResourceListResponse The MirrorResourceListResponse to write.
 * @param writeNamespaces Whether to write the namespace prefixes.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Mirror_list_responseElementNS(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_mirrorResourceListResponse *_mirrorResourceListResponse, int writeNamespaces);

/**
 * Frees the children of a MirrorResourceListResponse.
 *
 * @param _mirrorResourceListResponse The MirrorResourceListResponse whose children are to be free.
 */
static void freeNs0Mirror_list_responseElement(struct nexus_rest_api_ns0_mirrorResourceListResponse *_mirrorResourceListResponse);

/**
 * Reads a MirrorResourceListResponse from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The MirrorResourceListResponse, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_mirrorResourceListResponse *xmlTextReaderReadNs0MirrorResourceListResponseType(xmlTextReaderPtr reader);

/**
 * Writes a MirrorResourceListResponse to XML.
 *
 * @param writer The XML writer.
 * @param _mirrorResourceListResponse The MirrorResourceListResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0MirrorResourceListResponseType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_mirrorResourceListResponse *_mirrorResourceListResponse);

/**
 * Frees the elements of a MirrorResourceListResponse.
 *
 * @param _mirrorResourceListResponse The MirrorResourceListResponse to free.
 */
static void freeNs0MirrorResourceListResponseType(struct nexus_rest_api_ns0_mirrorResourceListResponse *_mirrorResourceListResponse);

#endif /* DEF_nexus_rest_api_ns0_mirrorResourceListResponse_H */
#ifndef DEF_nexus_rest_api_ns0_mirror_status_resource_H
#define DEF_nexus_rest_api_ns0_mirror_status_resource_H

/**
 *  Repository mirror status.
 
 @version $Revision$ $Date$

 */
struct nexus_rest_api_ns0_mirror_status_resource {


  /**
   * The id of the repository mirror.
   */
  xmlChar *id;

  /**
   * The url of the repository mirror.
   */
  xmlChar *url;

  /**
   * The status of the mirror.
   */
  xmlChar *status;
};

/**
 * Reads a MirrorStatusResource from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The MirrorStatusResource, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_mirror_status_resource *xmlTextReaderReadNs0Mirror_status_resourceType(xmlTextReaderPtr reader);

/**
 * Writes a MirrorStatusResource to XML.
 *
 * @param writer The XML writer.
 * @param _mirrorStatusResource The MirrorStatusResource to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Mirror_status_resourceType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_mirror_status_resource *_mirrorStatusResource);

/**
 * Frees the elements of a MirrorStatusResource.
 *
 * @param _mirrorStatusResource The MirrorStatusResource to free.
 */
static void freeNs0Mirror_status_resourceType(struct nexus_rest_api_ns0_mirror_status_resource *_mirrorStatusResource);

#endif /* DEF_nexus_rest_api_ns0_mirror_status_resource_H */
#ifndef DEF_nexus_rest_api_ns0_mirrorStatusResourceListResponse_H
#define DEF_nexus_rest_api_ns0_mirrorStatusResourceListResponse_H

/**
 *  REST Response object for a list of mirror statuses associated
 with a repository, contains the typical 'data' parameter, which
 is the list of mirrors statuses.
 
 @version $Revision$ $Date$

 */
struct nexus_rest_api_ns0_mirrorStatusResourceListResponse {


  /**
   * Field data.
   */
  struct nexus_rest_api_ns0_mirror_status_resource *data;

  /**
   * Size of the data array.
   */
  int _sizeof_data;
};

/**
 * Reads a MirrorStatusResourceListResponse element from XML. The element to be read is "mirror-status-list-response", and
 * it is assumed that the reader is pointing to the XML document (not the element).
 *
 * @param reader The XML reader.
 * @return The MirrorStatusResourceListResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_mirrorStatusResourceListResponse *xml_read_nexus_rest_api_ns0_mirrorStatusResourceListResponse(xmlTextReaderPtr reader);

/**
 * Writes a MirrorStatusResourceListResponse to XML under element name "mirror-status-list-response".
 *
 * @param writer The XML writer.
 * @param _mirrorStatusResourceListResponse The MirrorStatusResourceListResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
int xml_write_nexus_rest_api_ns0_mirrorStatusResourceListResponse(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_mirrorStatusResourceListResponse *_mirrorStatusResourceListResponse);

/**
 * Frees a MirrorStatusResourceListResponse.
 *
 * @param _mirrorStatusResourceListResponse The MirrorStatusResourceListResponse to free.
 */
void free_nexus_rest_api_ns0_mirrorStatusResourceListResponse(struct nexus_rest_api_ns0_mirrorStatusResourceListResponse *_mirrorStatusResourceListResponse);

/**
 * Reads a MirrorStatusResourceListResponse element from XML. The element to be read is "mirror-status-list-response", and
 * it is assumed that the reader is already pointing to the element.
 *
 * @param reader The XML reader.
 * @return The MirrorStatusResourceListResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_mirrorStatusResourceListResponse *xmlTextReaderReadNs0Mirror_status_list_responseElement(xmlTextReaderPtr reader);

/**
 * Writes a MirrorStatusResourceListResponse to XML under element name "mirror-status-list-response".
 * Does NOT write the namespace prefixes.
 *
 * @param writer The XML writer.
 * @param _mirrorStatusResourceListResponse The MirrorStatusResourceListResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Mirror_status_list_responseElement(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_mirrorStatusResourceListResponse *_mirrorStatusResourceListResponse);

/**
 * Writes a MirrorStatusResourceListResponse to XML under element name "mirror-status-list-response".
 *
 * @param writer The XML writer.
 * @param _mirrorStatusResourceListResponse The MirrorStatusResourceListResponse to write.
 * @param writeNamespaces Whether to write the namespace prefixes.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Mirror_status_list_responseElementNS(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_mirrorStatusResourceListResponse *_mirrorStatusResourceListResponse, int writeNamespaces);

/**
 * Frees the children of a MirrorStatusResourceListResponse.
 *
 * @param _mirrorStatusResourceListResponse The MirrorStatusResourceListResponse whose children are to be free.
 */
static void freeNs0Mirror_status_list_responseElement(struct nexus_rest_api_ns0_mirrorStatusResourceListResponse *_mirrorStatusResourceListResponse);

/**
 * Reads a MirrorStatusResourceListResponse from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The MirrorStatusResourceListResponse, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_mirrorStatusResourceListResponse *xmlTextReaderReadNs0MirrorStatusResourceListResponseType(xmlTextReaderPtr reader);

/**
 * Writes a MirrorStatusResourceListResponse to XML.
 *
 * @param writer The XML writer.
 * @param _mirrorStatusResourceListResponse The MirrorStatusResourceListResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0MirrorStatusResourceListResponseType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_mirrorStatusResourceListResponse *_mirrorStatusResourceListResponse);

/**
 * Frees the elements of a MirrorStatusResourceListResponse.
 *
 * @param _mirrorStatusResourceListResponse The MirrorStatusResourceListResponse to free.
 */
static void freeNs0MirrorStatusResourceListResponseType(struct nexus_rest_api_ns0_mirrorStatusResourceListResponse *_mirrorStatusResourceListResponse);

#endif /* DEF_nexus_rest_api_ns0_mirrorStatusResourceListResponse_H */
#ifndef DEF_nexus_rest_api_ns0_nfc_repository_resource_H
#define DEF_nexus_rest_api_ns0_nfc_repository_resource_H

/**
 *  Details about NFC usage for a repository.
 
 @version $Revision$ $Date$

 */
struct nexus_rest_api_ns0_nfc_repository_resource {


  /**
   * The repository id that the nfc details are for.
   */
  xmlChar *repositoryId;

  /**
   * NFC statistics.
   */
  struct nexus_rest_api_ns0_nfc_stats *nfcStats;

  /**
   * Field nfcPaths.
   */
  xmlChar *nfcPaths;

  /**
   * Size of the nfcPaths array.
   */
  int _sizeof_nfcPaths;
};

/**
 * Reads a NFCRepositoryResource from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The NFCRepositoryResource, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_nfc_repository_resource *xmlTextReaderReadNs0Nfc_repository_resourceType(xmlTextReaderPtr reader);

/**
 * Writes a NFCRepositoryResource to XML.
 *
 * @param writer The XML writer.
 * @param _nFCRepositoryResource The NFCRepositoryResource to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Nfc_repository_resourceType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_nfc_repository_resource *_nFCRepositoryResource);

/**
 * Frees the elements of a NFCRepositoryResource.
 *
 * @param _nFCRepositoryResource The NFCRepositoryResource to free.
 */
static void freeNs0Nfc_repository_resourceType(struct nexus_rest_api_ns0_nfc_repository_resource *_nFCRepositoryResource);

#endif /* DEF_nexus_rest_api_ns0_nfc_repository_resource_H */
#ifndef DEF_nexus_rest_api_ns0_nfc_resource_H
#define DEF_nexus_rest_api_ns0_nfc_resource_H

/**
 *  Contains a list of items stored in the NFC.
 
 @version $Revision$ $Date$

 */
struct nexus_rest_api_ns0_nfc_resource {


  /**
   * Field nfcContents.
   */
  struct nexus_rest_api_ns0_nfc_repository_resource *nfcContents;

  /**
   * Size of the nfcContents array.
   */
  int _sizeof_nfcContents;
};

/**
 * Reads a NFCResource from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The NFCResource, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_nfc_resource *xmlTextReaderReadNs0Nfc_resourceType(xmlTextReaderPtr reader);

/**
 * Writes a NFCResource to XML.
 *
 * @param writer The XML writer.
 * @param _nFCResource The NFCResource to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Nfc_resourceType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_nfc_resource *_nFCResource);

/**
 * Frees the elements of a NFCResource.
 *
 * @param _nFCResource The NFCResource to free.
 */
static void freeNs0Nfc_resourceType(struct nexus_rest_api_ns0_nfc_resource *_nFCResource);

#endif /* DEF_nexus_rest_api_ns0_nfc_resource_H */
#ifndef DEF_nexus_rest_api_ns0_NFCResourceResponse_H
#define DEF_nexus_rest_api_ns0_NFCResourceResponse_H

/**
 *  REST Response object for an NFC resource item, contains the
 typical 'data' parameter, which is the NFC resource item.
 
 @version $Revision$ $Date$

 */
struct nexus_rest_api_ns0_NFCResourceResponse {


  /**
   * An object which contains the contents of the NFC.
   */
  struct nexus_rest_api_ns0_nfc_resource *data;
};

/**
 * Reads a NFCResourceResponse element from XML. The element to be read is "nfc-info", and
 * it is assumed that the reader is pointing to the XML document (not the element).
 *
 * @param reader The XML reader.
 * @return The NFCResourceResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_NFCResourceResponse *xml_read_nexus_rest_api_ns0_NFCResourceResponse(xmlTextReaderPtr reader);

/**
 * Writes a NFCResourceResponse to XML under element name "nfc-info".
 *
 * @param writer The XML writer.
 * @param _nFCResourceResponse The NFCResourceResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
int xml_write_nexus_rest_api_ns0_NFCResourceResponse(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_NFCResourceResponse *_nFCResourceResponse);

/**
 * Frees a NFCResourceResponse.
 *
 * @param _nFCResourceResponse The NFCResourceResponse to free.
 */
void free_nexus_rest_api_ns0_NFCResourceResponse(struct nexus_rest_api_ns0_NFCResourceResponse *_nFCResourceResponse);

/**
 * Reads a NFCResourceResponse element from XML. The element to be read is "nfc-info", and
 * it is assumed that the reader is already pointing to the element.
 *
 * @param reader The XML reader.
 * @return The NFCResourceResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_NFCResourceResponse *xmlTextReaderReadNs0Nfc_infoElement(xmlTextReaderPtr reader);

/**
 * Writes a NFCResourceResponse to XML under element name "nfc-info".
 * Does NOT write the namespace prefixes.
 *
 * @param writer The XML writer.
 * @param _nFCResourceResponse The NFCResourceResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Nfc_infoElement(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_NFCResourceResponse *_nFCResourceResponse);

/**
 * Writes a NFCResourceResponse to XML under element name "nfc-info".
 *
 * @param writer The XML writer.
 * @param _nFCResourceResponse The NFCResourceResponse to write.
 * @param writeNamespaces Whether to write the namespace prefixes.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Nfc_infoElementNS(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_NFCResourceResponse *_nFCResourceResponse, int writeNamespaces);

/**
 * Frees the children of a NFCResourceResponse.
 *
 * @param _nFCResourceResponse The NFCResourceResponse whose children are to be free.
 */
static void freeNs0Nfc_infoElement(struct nexus_rest_api_ns0_NFCResourceResponse *_nFCResourceResponse);

/**
 * Reads a NFCResourceResponse from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The NFCResourceResponse, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_NFCResourceResponse *xmlTextReaderReadNs0NFCResourceResponseType(xmlTextReaderPtr reader);

/**
 * Writes a NFCResourceResponse to XML.
 *
 * @param writer The XML writer.
 * @param _nFCResourceResponse The NFCResourceResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0NFCResourceResponseType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_NFCResourceResponse *_nFCResourceResponse);

/**
 * Frees the elements of a NFCResourceResponse.
 *
 * @param _nFCResourceResponse The NFCResourceResponse to free.
 */
static void freeNs0NFCResourceResponseType(struct nexus_rest_api_ns0_NFCResourceResponse *_nFCResourceResponse);

#endif /* DEF_nexus_rest_api_ns0_NFCResourceResponse_H */
#ifndef DEF_nexus_rest_api_ns0_nfc_stats_H
#define DEF_nexus_rest_api_ns0_nfc_stats_H

/**
 *  NFC Statistics.
 
 @version $Revision$ $Date$

 */
struct nexus_rest_api_ns0_nfc_stats {


  /**
   * The number of paths stored in the NFC.
   */
  long size;

  /**
   * The number of checks against this NFC that have found matches
   */
  long hits;

  /**
   * The number of checks against this NFC that have not found
matches.
   */
  long misses;
};

/**
 * Reads a NFCStats from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The NFCStats, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_nfc_stats *xmlTextReaderReadNs0Nfc_statsType(xmlTextReaderPtr reader);

/**
 * Writes a NFCStats to XML.
 *
 * @param writer The XML writer.
 * @param _nFCStats The NFCStats to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Nfc_statsType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_nfc_stats *_nFCStats);

/**
 * Frees the elements of a NFCStats.
 *
 * @param _nFCStats The NFCStats to free.
 */
static void freeNs0Nfc_statsType(struct nexus_rest_api_ns0_nfc_stats *_nFCStats);

#endif /* DEF_nexus_rest_api_ns0_nfc_stats_H */
#ifndef DEF_nexus_rest_api_ns0_nexus_authentication_client_permissions_H
#define DEF_nexus_rest_api_ns0_nexus_authentication_client_permissions_H

/**
 *  Permissions that are granted to the user.
 
 @version $Revision$ $Date$

 */
struct nexus_rest_api_ns0_nexus_authentication_client_permissions {


  /**
   * (no documentation provided)
   */
  xmlChar *loggedInUserSource;

  /**
   * (no documentation provided)
   */
  struct nexus_rest_api_ns0_clientPermission *permissions;

  /**
   * Size of the permissions array.
   */
  int _sizeof_permissions;

  /**
   * (no documentation provided)
   */
  int loggedIn;

  /**
   * (no documentation provided)
   */
  xmlChar *loggedInUsername;
};

/**
 * Reads a NexusAuthenticationClientPermissions from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The NexusAuthenticationClientPermissions, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_nexus_authentication_client_permissions *xmlTextReaderReadNs0Nexus_authentication_client_permissionsType(xmlTextReaderPtr reader);

/**
 * Writes a NexusAuthenticationClientPermissions to XML.
 *
 * @param writer The XML writer.
 * @param _nexusAuthenticationClientPermissions The NexusAuthenticationClientPermissions to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Nexus_authentication_client_permissionsType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_nexus_authentication_client_permissions *_nexusAuthenticationClientPermissions);

/**
 * Frees the elements of a NexusAuthenticationClientPermissions.
 *
 * @param _nexusAuthenticationClientPermissions The NexusAuthenticationClientPermissions to free.
 */
static void freeNs0Nexus_authentication_client_permissionsType(struct nexus_rest_api_ns0_nexus_authentication_client_permissions *_nexusAuthenticationClientPermissions);

#endif /* DEF_nexus_rest_api_ns0_nexus_authentication_client_permissions_H */
#ifndef DEF_nexus_rest_api_ns0_nexus_repository_type_list_resource_H
#define DEF_nexus_rest_api_ns0_nexus_repository_type_list_resource_H

/**
 *  Repository type definition.
 
 @version $Revision$ $Date$

 */
struct nexus_rest_api_ns0_nexus_repository_type_list_resource {


  /**
   * The repository provider.
   */
  xmlChar *provider;

  /**
   * The repository provider role.
   */
  xmlChar *providerRole;

  /**
   * The repository format.
   */
  xmlChar *format;

  /**
   * The repository type description.
   */
  xmlChar *description;
};

/**
 * Reads a NexusRepositoryTypeListResource from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The NexusRepositoryTypeListResource, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_nexus_repository_type_list_resource *xmlTextReaderReadNs0Nexus_repository_type_list_resourceType(xmlTextReaderPtr reader);

/**
 * Writes a NexusRepositoryTypeListResource to XML.
 *
 * @param writer The XML writer.
 * @param _nexusRepositoryTypeListResource The NexusRepositoryTypeListResource to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Nexus_repository_type_list_resourceType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_nexus_repository_type_list_resource *_nexusRepositoryTypeListResource);

/**
 * Frees the elements of a NexusRepositoryTypeListResource.
 *
 * @param _nexusRepositoryTypeListResource The NexusRepositoryTypeListResource to free.
 */
static void freeNs0Nexus_repository_type_list_resourceType(struct nexus_rest_api_ns0_nexus_repository_type_list_resource *_nexusRepositoryTypeListResource);

#endif /* DEF_nexus_rest_api_ns0_nexus_repository_type_list_resource_H */
#ifndef DEF_nexus_rest_api_ns0_nexusRepositoryTypeListResourceResponse_H
#define DEF_nexus_rest_api_ns0_nexusRepositoryTypeListResourceResponse_H

/**
 *  REST Response object for a list of repository types, contains
 the typical 'data' parameter, which is the repository types.
 
 @version $Revision$ $Date$

 */
struct nexus_rest_api_ns0_nexusRepositoryTypeListResourceResponse {


  /**
   * Field data.
   */
  struct nexus_rest_api_ns0_nexus_repository_type_list_resource *data;

  /**
   * Size of the data array.
   */
  int _sizeof_data;
};

/**
 * Reads a NexusRepositoryTypeListResourceResponse element from XML. The element to be read is "repositoryTypes", and
 * it is assumed that the reader is pointing to the XML document (not the element).
 *
 * @param reader The XML reader.
 * @return The NexusRepositoryTypeListResourceResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_nexusRepositoryTypeListResourceResponse *xml_read_nexus_rest_api_ns0_nexusRepositoryTypeListResourceResponse(xmlTextReaderPtr reader);

/**
 * Writes a NexusRepositoryTypeListResourceResponse to XML under element name "repositoryTypes".
 *
 * @param writer The XML writer.
 * @param _nexusRepositoryTypeListResourceResponse The NexusRepositoryTypeListResourceResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
int xml_write_nexus_rest_api_ns0_nexusRepositoryTypeListResourceResponse(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_nexusRepositoryTypeListResourceResponse *_nexusRepositoryTypeListResourceResponse);

/**
 * Frees a NexusRepositoryTypeListResourceResponse.
 *
 * @param _nexusRepositoryTypeListResourceResponse The NexusRepositoryTypeListResourceResponse to free.
 */
void free_nexus_rest_api_ns0_nexusRepositoryTypeListResourceResponse(struct nexus_rest_api_ns0_nexusRepositoryTypeListResourceResponse *_nexusRepositoryTypeListResourceResponse);

/**
 * Reads a NexusRepositoryTypeListResourceResponse element from XML. The element to be read is "repositoryTypes", and
 * it is assumed that the reader is already pointing to the element.
 *
 * @param reader The XML reader.
 * @return The NexusRepositoryTypeListResourceResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_nexusRepositoryTypeListResourceResponse *xmlTextReaderReadNs0RepositoryTypesElement(xmlTextReaderPtr reader);

/**
 * Writes a NexusRepositoryTypeListResourceResponse to XML under element name "repositoryTypes".
 * Does NOT write the namespace prefixes.
 *
 * @param writer The XML writer.
 * @param _nexusRepositoryTypeListResourceResponse The NexusRepositoryTypeListResourceResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0RepositoryTypesElement(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_nexusRepositoryTypeListResourceResponse *_nexusRepositoryTypeListResourceResponse);

/**
 * Writes a NexusRepositoryTypeListResourceResponse to XML under element name "repositoryTypes".
 *
 * @param writer The XML writer.
 * @param _nexusRepositoryTypeListResourceResponse The NexusRepositoryTypeListResourceResponse to write.
 * @param writeNamespaces Whether to write the namespace prefixes.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0RepositoryTypesElementNS(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_nexusRepositoryTypeListResourceResponse *_nexusRepositoryTypeListResourceResponse, int writeNamespaces);

/**
 * Frees the children of a NexusRepositoryTypeListResourceResponse.
 *
 * @param _nexusRepositoryTypeListResourceResponse The NexusRepositoryTypeListResourceResponse whose children are to be free.
 */
static void freeNs0RepositoryTypesElement(struct nexus_rest_api_ns0_nexusRepositoryTypeListResourceResponse *_nexusRepositoryTypeListResourceResponse);

/**
 * Reads a NexusRepositoryTypeListResourceResponse from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The NexusRepositoryTypeListResourceResponse, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_nexusRepositoryTypeListResourceResponse *xmlTextReaderReadNs0NexusRepositoryTypeListResourceResponseType(xmlTextReaderPtr reader);

/**
 * Writes a NexusRepositoryTypeListResourceResponse to XML.
 *
 * @param writer The XML writer.
 * @param _nexusRepositoryTypeListResourceResponse The NexusRepositoryTypeListResourceResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0NexusRepositoryTypeListResourceResponseType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_nexusRepositoryTypeListResourceResponse *_nexusRepositoryTypeListResourceResponse);

/**
 * Frees the elements of a NexusRepositoryTypeListResourceResponse.
 *
 * @param _nexusRepositoryTypeListResourceResponse The NexusRepositoryTypeListResourceResponse to free.
 */
static void freeNs0NexusRepositoryTypeListResourceResponseType(struct nexus_rest_api_ns0_nexusRepositoryTypeListResourceResponse *_nexusRepositoryTypeListResourceResponse);

#endif /* DEF_nexus_rest_api_ns0_nexusRepositoryTypeListResourceResponse_H */
#ifndef DEF_nexus_rest_api_ns0_nexusResponse_H
#define DEF_nexus_rest_api_ns0_nexusResponse_H

/**
 *  Class NexusResponse.
 
 @version $Revision$ $Date$

 */
struct nexus_rest_api_ns0_nexusResponse {

};

/**
 * Reads a NexusResponse from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The NexusResponse, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_nexusResponse *xmlTextReaderReadNs0NexusResponseType(xmlTextReaderPtr reader);

/**
 * Writes a NexusResponse to XML.
 *
 * @param writer The XML writer.
 * @param _nexusResponse The NexusResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0NexusResponseType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_nexusResponse *_nexusResponse);

/**
 * Frees the elements of a NexusResponse.
 *
 * @param _nexusResponse The NexusResponse to free.
 */
static void freeNs0NexusResponseType(struct nexus_rest_api_ns0_nexusResponse *_nexusResponse);

#endif /* DEF_nexus_rest_api_ns0_nexusResponse_H */
#ifndef DEF_nexus_rest_api_ns0_plexus_component_list_resource_H
#define DEF_nexus_rest_api_ns0_plexus_component_list_resource_H

/**
 *  Plexus component details.
 
 @version $Revision$ $Date$

 */
struct nexus_rest_api_ns0_plexus_component_list_resource {


  /**
   * The plexus role hint of the component.
   */
  xmlChar *roleHint;

  /**
   * The plexus description of the component.
   */
  xmlChar *description;
};

/**
 * Reads a PlexusComponentListResource from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The PlexusComponentListResource, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_plexus_component_list_resource *xmlTextReaderReadNs0Plexus_component_list_resourceType(xmlTextReaderPtr reader);

/**
 * Writes a PlexusComponentListResource to XML.
 *
 * @param writer The XML writer.
 * @param _plexusComponentListResource The PlexusComponentListResource to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Plexus_component_list_resourceType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_plexus_component_list_resource *_plexusComponentListResource);

/**
 * Frees the elements of a PlexusComponentListResource.
 *
 * @param _plexusComponentListResource The PlexusComponentListResource to free.
 */
static void freeNs0Plexus_component_list_resourceType(struct nexus_rest_api_ns0_plexus_component_list_resource *_plexusComponentListResource);

#endif /* DEF_nexus_rest_api_ns0_plexus_component_list_resource_H */
#ifndef DEF_nexus_rest_api_ns0_plexusComponentListResourceResponse_H
#define DEF_nexus_rest_api_ns0_plexusComponentListResourceResponse_H

/**
 *  REST Response object for a list of plexus components, contains
 the typical 'data' parameter, which is the plexus components.
 
 @version $Revision$ $Date$

 */
struct nexus_rest_api_ns0_plexusComponentListResourceResponse {


  /**
   * Field data.
   */
  struct nexus_rest_api_ns0_plexus_component_list_resource *data;

  /**
   * Size of the data array.
   */
  int _sizeof_data;
};

/**
 * Reads a PlexusComponentListResourceResponse element from XML. The element to be read is "components-list", and
 * it is assumed that the reader is pointing to the XML document (not the element).
 *
 * @param reader The XML reader.
 * @return The PlexusComponentListResourceResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_plexusComponentListResourceResponse *xml_read_nexus_rest_api_ns0_plexusComponentListResourceResponse(xmlTextReaderPtr reader);

/**
 * Writes a PlexusComponentListResourceResponse to XML under element name "components-list".
 *
 * @param writer The XML writer.
 * @param _plexusComponentListResourceResponse The PlexusComponentListResourceResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
int xml_write_nexus_rest_api_ns0_plexusComponentListResourceResponse(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_plexusComponentListResourceResponse *_plexusComponentListResourceResponse);

/**
 * Frees a PlexusComponentListResourceResponse.
 *
 * @param _plexusComponentListResourceResponse The PlexusComponentListResourceResponse to free.
 */
void free_nexus_rest_api_ns0_plexusComponentListResourceResponse(struct nexus_rest_api_ns0_plexusComponentListResourceResponse *_plexusComponentListResourceResponse);

/**
 * Reads a PlexusComponentListResourceResponse element from XML. The element to be read is "components-list", and
 * it is assumed that the reader is already pointing to the element.
 *
 * @param reader The XML reader.
 * @return The PlexusComponentListResourceResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_plexusComponentListResourceResponse *xmlTextReaderReadNs0Components_listElement(xmlTextReaderPtr reader);

/**
 * Writes a PlexusComponentListResourceResponse to XML under element name "components-list".
 * Does NOT write the namespace prefixes.
 *
 * @param writer The XML writer.
 * @param _plexusComponentListResourceResponse The PlexusComponentListResourceResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Components_listElement(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_plexusComponentListResourceResponse *_plexusComponentListResourceResponse);

/**
 * Writes a PlexusComponentListResourceResponse to XML under element name "components-list".
 *
 * @param writer The XML writer.
 * @param _plexusComponentListResourceResponse The PlexusComponentListResourceResponse to write.
 * @param writeNamespaces Whether to write the namespace prefixes.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Components_listElementNS(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_plexusComponentListResourceResponse *_plexusComponentListResourceResponse, int writeNamespaces);

/**
 * Frees the children of a PlexusComponentListResourceResponse.
 *
 * @param _plexusComponentListResourceResponse The PlexusComponentListResourceResponse whose children are to be free.
 */
static void freeNs0Components_listElement(struct nexus_rest_api_ns0_plexusComponentListResourceResponse *_plexusComponentListResourceResponse);

/**
 * Reads a PlexusComponentListResourceResponse from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The PlexusComponentListResourceResponse, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_plexusComponentListResourceResponse *xmlTextReaderReadNs0PlexusComponentListResourceResponseType(xmlTextReaderPtr reader);

/**
 * Writes a PlexusComponentListResourceResponse to XML.
 *
 * @param writer The XML writer.
 * @param _plexusComponentListResourceResponse The PlexusComponentListResourceResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0PlexusComponentListResourceResponseType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_plexusComponentListResourceResponse *_plexusComponentListResourceResponse);

/**
 * Frees the elements of a PlexusComponentListResourceResponse.
 *
 * @param _plexusComponentListResourceResponse The PlexusComponentListResourceResponse to free.
 */
static void freeNs0PlexusComponentListResourceResponseType(struct nexus_rest_api_ns0_plexusComponentListResourceResponse *_plexusComponentListResourceResponse);

#endif /* DEF_nexus_rest_api_ns0_plexusComponentListResourceResponse_H */
#ifndef DEF_nexus_rest_api_ns0_privilege_H
#define DEF_nexus_rest_api_ns0_privilege_H

/**
 *  Privilege details.
 
 @version $Revision$ $Date$

 */
struct nexus_rest_api_ns0_privilege {


  /**
   * The name of the privilege.
   */
  xmlChar *name;

  /**
   * The type of the privilege.
   */
  xmlChar *type;

  /**
   * The description of the privilege.
   */
  xmlChar *description;

  /**
   * Field method.
   */
  xmlChar *method;

  /**
   * Size of the method array.
   */
  int _sizeof_method;

  /**
   * Target id for the privilege.
   */
  xmlChar *repositoryTargetId;

  /**
   * Repository id of the privilege.
   */
  xmlChar *repositoryId;

  /**
   * Group id of the privilege.
   */
  xmlChar *repositoryGroupId;
};

/**
 * Reads a PrivilegeResource from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The PrivilegeResource, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_privilege *xmlTextReaderReadNs0PrivilegeType(xmlTextReaderPtr reader);

/**
 * Writes a PrivilegeResource to XML.
 *
 * @param writer The XML writer.
 * @param _privilegeResource The PrivilegeResource to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0PrivilegeType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_privilege *_privilegeResource);

/**
 * Frees the elements of a PrivilegeResource.
 *
 * @param _privilegeResource The PrivilegeResource to free.
 */
static void freeNs0PrivilegeType(struct nexus_rest_api_ns0_privilege *_privilegeResource);

#endif /* DEF_nexus_rest_api_ns0_privilege_H */
#ifndef DEF_nexus_rest_api_ns0_privilegeResourceRequest_H
#define DEF_nexus_rest_api_ns0_privilegeResourceRequest_H

/**
 *  REST response object to persist a privilege.
 
 @version $Revision$ $Date$

 */
struct nexus_rest_api_ns0_privilegeResourceRequest {


  /**
   * Privilege details.
   */
  struct nexus_rest_api_ns0_privilege *data;
};

/**
 * Reads a PrivilegeResourceRequest element from XML. The element to be read is "privilege", and
 * it is assumed that the reader is pointing to the XML document (not the element).
 *
 * @param reader The XML reader.
 * @return The PrivilegeResourceRequest, or NULL in case of error.
 */
struct nexus_rest_api_ns0_privilegeResourceRequest *xml_read_nexus_rest_api_ns0_privilegeResourceRequest(xmlTextReaderPtr reader);

/**
 * Writes a PrivilegeResourceRequest to XML under element name "privilege".
 *
 * @param writer The XML writer.
 * @param _privilegeResourceRequest The PrivilegeResourceRequest to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
int xml_write_nexus_rest_api_ns0_privilegeResourceRequest(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_privilegeResourceRequest *_privilegeResourceRequest);

/**
 * Frees a PrivilegeResourceRequest.
 *
 * @param _privilegeResourceRequest The PrivilegeResourceRequest to free.
 */
void free_nexus_rest_api_ns0_privilegeResourceRequest(struct nexus_rest_api_ns0_privilegeResourceRequest *_privilegeResourceRequest);

/**
 * Reads a PrivilegeResourceRequest element from XML. The element to be read is "privilege", and
 * it is assumed that the reader is already pointing to the element.
 *
 * @param reader The XML reader.
 * @return The PrivilegeResourceRequest, or NULL in case of error.
 */
struct nexus_rest_api_ns0_privilegeResourceRequest *xmlTextReaderReadNs0PrivilegeElement(xmlTextReaderPtr reader);

/**
 * Writes a PrivilegeResourceRequest to XML under element name "privilege".
 * Does NOT write the namespace prefixes.
 *
 * @param writer The XML writer.
 * @param _privilegeResourceRequest The PrivilegeResourceRequest to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0PrivilegeElement(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_privilegeResourceRequest *_privilegeResourceRequest);

/**
 * Writes a PrivilegeResourceRequest to XML under element name "privilege".
 *
 * @param writer The XML writer.
 * @param _privilegeResourceRequest The PrivilegeResourceRequest to write.
 * @param writeNamespaces Whether to write the namespace prefixes.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0PrivilegeElementNS(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_privilegeResourceRequest *_privilegeResourceRequest, int writeNamespaces);

/**
 * Frees the children of a PrivilegeResourceRequest.
 *
 * @param _privilegeResourceRequest The PrivilegeResourceRequest whose children are to be free.
 */
static void freeNs0PrivilegeElement(struct nexus_rest_api_ns0_privilegeResourceRequest *_privilegeResourceRequest);

/**
 * Reads a PrivilegeResourceRequest from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The PrivilegeResourceRequest, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_privilegeResourceRequest *xmlTextReaderReadNs0PrivilegeResourceRequestType(xmlTextReaderPtr reader);

/**
 * Writes a PrivilegeResourceRequest to XML.
 *
 * @param writer The XML writer.
 * @param _privilegeResourceRequest The PrivilegeResourceRequest to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0PrivilegeResourceRequestType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_privilegeResourceRequest *_privilegeResourceRequest);

/**
 * Frees the elements of a PrivilegeResourceRequest.
 *
 * @param _privilegeResourceRequest The PrivilegeResourceRequest to free.
 */
static void freeNs0PrivilegeResourceRequestType(struct nexus_rest_api_ns0_privilegeResourceRequest *_privilegeResourceRequest);

#endif /* DEF_nexus_rest_api_ns0_privilegeResourceRequest_H */
#ifndef DEF_nexus_rest_api_ns0_remote_connection_settings_H
#define DEF_nexus_rest_api_ns0_remote_connection_settings_H

/**
 *  
         The connections settings defines common connection
 properties, like retries count and timeouts.
       
 
 @version $Revision$ $Date$

 */
struct nexus_rest_api_ns0_remote_connection_settings {


  /**
   * Connection timeout in milliseconds.
   */
  int connectionTimeout;

  /**
   * The retry count before remote connection is declared
unsuccesful.
   */
  int retrievalRetryCount;

  /**
   * Query string that is appended to remote requests.
   */
  xmlChar *queryString;

  /**
   * User agent string that is used to customize Nexus user agent
string user for remote HTTP requests.
   */
  xmlChar *userAgentString;
};

/**
 * Reads a RemoteConnectionSettings from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The RemoteConnectionSettings, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_remote_connection_settings *xmlTextReaderReadNs0Remote_connection_settingsType(xmlTextReaderPtr reader);

/**
 * Writes a RemoteConnectionSettings to XML.
 *
 * @param writer The XML writer.
 * @param _remoteConnectionSettings The RemoteConnectionSettings to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Remote_connection_settingsType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_remote_connection_settings *_remoteConnectionSettings);

/**
 * Frees the elements of a RemoteConnectionSettings.
 *
 * @param _remoteConnectionSettings The RemoteConnectionSettings to free.
 */
static void freeNs0Remote_connection_settingsType(struct nexus_rest_api_ns0_remote_connection_settings *_remoteConnectionSettings);

#endif /* DEF_nexus_rest_api_ns0_remote_connection_settings_H */
#ifndef DEF_nexus_rest_api_ns0_remote_http_proxy_settings_H
#define DEF_nexus_rest_api_ns0_remote_http_proxy_settings_H

/**
 *  The HTTP Proxy defines proxies used to access the internet.
 
 @version $Revision$ $Date$

 */
struct nexus_rest_api_ns0_remote_http_proxy_settings {


  /**
   * The proxy hostname.
   */
  xmlChar *proxyHostname;

  /**
   * The proxy port.
   */
  int proxyPort;

  /**
   * Authentication used to connect with proxy server.
   */
  struct nexus_rest_api_ns0_authentication_settings *authentication;

  /**
   * Field nonProxyHosts.
   */
  xmlChar *nonProxyHosts;

  /**
   * Size of the nonProxyHosts array.
   */
  int _sizeof_nonProxyHosts;
};

/**
 * Reads a RemoteHttpProxySettings from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The RemoteHttpProxySettings, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_remote_http_proxy_settings *xmlTextReaderReadNs0Remote_http_proxy_settingsType(xmlTextReaderPtr reader);

/**
 * Writes a RemoteHttpProxySettings to XML.
 *
 * @param writer The XML writer.
 * @param _remoteHttpProxySettings The RemoteHttpProxySettings to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Remote_http_proxy_settingsType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_remote_http_proxy_settings *_remoteHttpProxySettings);

/**
 * Frees the elements of a RemoteHttpProxySettings.
 *
 * @param _remoteHttpProxySettings The RemoteHttpProxySettings to free.
 */
static void freeNs0Remote_http_proxy_settingsType(struct nexus_rest_api_ns0_remote_http_proxy_settings *_remoteHttpProxySettings);

#endif /* DEF_nexus_rest_api_ns0_remote_http_proxy_settings_H */
#ifndef DEF_nexus_rest_api_ns0_base_repository_H
#define DEF_nexus_rest_api_ns0_base_repository_H

/**
 *  The repository base object, this could be extended by a new
 object if new fields are required.
 
 @version $Revision$ $Date$

 */
struct nexus_rest_api_ns0_base_repository {


  /**
   * The URL to access the content resource of the repository.
   */
  xmlChar *contentResourceURI;

  /**
   * The id of the repository.
   */
  xmlChar *id;

  /**
   * The name of the repository.
   */
  xmlChar *name;

  /**
   * The provider of the repository (i.e. maven, p2, obr, etc.).
   */
  xmlChar *provider;

  /**
   * The role of the repository (i.e. Repository,
GroupRepository, etc.).
   */
  xmlChar *providerRole;

  /**
   * The format of the repository.
   */
  xmlChar *format;

  /**
   * The type of the repository.
   */
  xmlChar *repoType;

  /**
   * Flag that states whether the repository should be available
over the content resource.
   */
  int exposed;
};

/**
 * Reads a RepositoryBaseResource from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The RepositoryBaseResource, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_base_repository *xmlTextReaderReadNs0Base_repositoryType(xmlTextReaderPtr reader);

/**
 * Writes a RepositoryBaseResource to XML.
 *
 * @param writer The XML writer.
 * @param _repositoryBaseResource The RepositoryBaseResource to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Base_repositoryType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_base_repository *_repositoryBaseResource);

/**
 * Frees the elements of a RepositoryBaseResource.
 *
 * @param _repositoryBaseResource The RepositoryBaseResource to free.
 */
static void freeNs0Base_repositoryType(struct nexus_rest_api_ns0_base_repository *_repositoryBaseResource);

#endif /* DEF_nexus_rest_api_ns0_base_repository_H */
#ifndef DEF_nexus_rest_api_ns0_repository_content_class_list_resource_H
#define DEF_nexus_rest_api_ns0_repository_content_class_list_resource_H

/**
 *  Repository content class definition.
 
 @version $Revision$ $Date$

 */
struct nexus_rest_api_ns0_repository_content_class_list_resource {


  /**
   * The content class.
   */
  xmlChar *contentClass;

  /**
   * The name of the content class.
   */
  xmlChar *name;
};

/**
 * Reads a RepositoryContentClassListResource from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The RepositoryContentClassListResource, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_repository_content_class_list_resource *xmlTextReaderReadNs0Repository_content_class_list_resourceType(xmlTextReaderPtr reader);

/**
 * Writes a RepositoryContentClassListResource to XML.
 *
 * @param writer The XML writer.
 * @param _repositoryContentClassListResource The RepositoryContentClassListResource to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Repository_content_class_list_resourceType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_repository_content_class_list_resource *_repositoryContentClassListResource);

/**
 * Frees the elements of a RepositoryContentClassListResource.
 *
 * @param _repositoryContentClassListResource The RepositoryContentClassListResource to free.
 */
static void freeNs0Repository_content_class_list_resourceType(struct nexus_rest_api_ns0_repository_content_class_list_resource *_repositoryContentClassListResource);

#endif /* DEF_nexus_rest_api_ns0_repository_content_class_list_resource_H */
#ifndef DEF_nexus_rest_api_ns0_repositoryContentClassListResourceResponse_H
#define DEF_nexus_rest_api_ns0_repositoryContentClassListResourceResponse_H

/**
 *  REST Response object for a list of repository content classes,
 contains the typical 'data' parameter, which is the repository
 content class list.
 
 @version $Revision$ $Date$

 */
struct nexus_rest_api_ns0_repositoryContentClassListResourceResponse {


  /**
   * Field data.
   */
  struct nexus_rest_api_ns0_repository_content_class_list_resource *data;

  /**
   * Size of the data array.
   */
  int _sizeof_data;
};

/**
 * Reads a RepositoryContentClassListResourceResponse element from XML. The element to be read is "repo-content-classes-list", and
 * it is assumed that the reader is pointing to the XML document (not the element).
 *
 * @param reader The XML reader.
 * @return The RepositoryContentClassListResourceResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_repositoryContentClassListResourceResponse *xml_read_nexus_rest_api_ns0_repositoryContentClassListResourceResponse(xmlTextReaderPtr reader);

/**
 * Writes a RepositoryContentClassListResourceResponse to XML under element name "repo-content-classes-list".
 *
 * @param writer The XML writer.
 * @param _repositoryContentClassListResourceResponse The RepositoryContentClassListResourceResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
int xml_write_nexus_rest_api_ns0_repositoryContentClassListResourceResponse(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_repositoryContentClassListResourceResponse *_repositoryContentClassListResourceResponse);

/**
 * Frees a RepositoryContentClassListResourceResponse.
 *
 * @param _repositoryContentClassListResourceResponse The RepositoryContentClassListResourceResponse to free.
 */
void free_nexus_rest_api_ns0_repositoryContentClassListResourceResponse(struct nexus_rest_api_ns0_repositoryContentClassListResourceResponse *_repositoryContentClassListResourceResponse);

/**
 * Reads a RepositoryContentClassListResourceResponse element from XML. The element to be read is "repo-content-classes-list", and
 * it is assumed that the reader is already pointing to the element.
 *
 * @param reader The XML reader.
 * @return The RepositoryContentClassListResourceResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_repositoryContentClassListResourceResponse *xmlTextReaderReadNs0Repo_content_classes_listElement(xmlTextReaderPtr reader);

/**
 * Writes a RepositoryContentClassListResourceResponse to XML under element name "repo-content-classes-list".
 * Does NOT write the namespace prefixes.
 *
 * @param writer The XML writer.
 * @param _repositoryContentClassListResourceResponse The RepositoryContentClassListResourceResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Repo_content_classes_listElement(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_repositoryContentClassListResourceResponse *_repositoryContentClassListResourceResponse);

/**
 * Writes a RepositoryContentClassListResourceResponse to XML under element name "repo-content-classes-list".
 *
 * @param writer The XML writer.
 * @param _repositoryContentClassListResourceResponse The RepositoryContentClassListResourceResponse to write.
 * @param writeNamespaces Whether to write the namespace prefixes.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Repo_content_classes_listElementNS(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_repositoryContentClassListResourceResponse *_repositoryContentClassListResourceResponse, int writeNamespaces);

/**
 * Frees the children of a RepositoryContentClassListResourceResponse.
 *
 * @param _repositoryContentClassListResourceResponse The RepositoryContentClassListResourceResponse whose children are to be free.
 */
static void freeNs0Repo_content_classes_listElement(struct nexus_rest_api_ns0_repositoryContentClassListResourceResponse *_repositoryContentClassListResourceResponse);

/**
 * Reads a RepositoryContentClassListResourceResponse from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The RepositoryContentClassListResourceResponse, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_repositoryContentClassListResourceResponse *xmlTextReaderReadNs0RepositoryContentClassListResourceResponseType(xmlTextReaderPtr reader);

/**
 * Writes a RepositoryContentClassListResourceResponse to XML.
 *
 * @param writer The XML writer.
 * @param _repositoryContentClassListResourceResponse The RepositoryContentClassListResourceResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0RepositoryContentClassListResourceResponseType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_repositoryContentClassListResourceResponse *_repositoryContentClassListResourceResponse);

/**
 * Frees the elements of a RepositoryContentClassListResourceResponse.
 *
 * @param _repositoryContentClassListResourceResponse The RepositoryContentClassListResourceResponse to free.
 */
static void freeNs0RepositoryContentClassListResourceResponseType(struct nexus_rest_api_ns0_repositoryContentClassListResourceResponse *_repositoryContentClassListResourceResponse);

#endif /* DEF_nexus_rest_api_ns0_repositoryContentClassListResourceResponse_H */
#ifndef DEF_nexus_rest_api_ns0_repository_dependent_status_H
#define DEF_nexus_rest_api_ns0_repository_dependent_status_H

/**
 *  Details of a repository that shadow another repository.
 
 @version $Revision$ $Date$

 */
struct nexus_rest_api_ns0_repository_dependent_status {


  /**
   * The shadow repository id.
   */
  xmlChar *id;

  /**
   * The shadow repository type.
   */
  xmlChar *repoType;

  /**
   * The shadow repository format.
   */
  xmlChar *format;

  /**
   * The shadow repository local status.
   */
  xmlChar *localStatus;
};

/**
 * Reads a RepositoryDependentStatusResource from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The RepositoryDependentStatusResource, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_repository_dependent_status *xmlTextReaderReadNs0Repository_dependent_statusType(xmlTextReaderPtr reader);

/**
 * Writes a RepositoryDependentStatusResource to XML.
 *
 * @param writer The XML writer.
 * @param _repositoryDependentStatusResource The RepositoryDependentStatusResource to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Repository_dependent_statusType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_repository_dependent_status *_repositoryDependentStatusResource);

/**
 * Frees the elements of a RepositoryDependentStatusResource.
 *
 * @param _repositoryDependentStatusResource The RepositoryDependentStatusResource to free.
 */
static void freeNs0Repository_dependent_statusType(struct nexus_rest_api_ns0_repository_dependent_status *_repositoryDependentStatusResource);

#endif /* DEF_nexus_rest_api_ns0_repository_dependent_status_H */
#ifndef DEF_nexus_rest_api_ns0_repository_group_list_resource_H
#define DEF_nexus_rest_api_ns0_repository_group_list_resource_H

/**
 *  The basic set of details of a repository group.
 
 @version $Revision$ $Date$

 */
struct nexus_rest_api_ns0_repository_group_list_resource {


  /**
   * URL used to manage the repository group.
   */
  xmlChar *resourceURI;

  /**
   * URL used to manage content of the repository group.
   */
  xmlChar *contentResourceURI;

  /**
   * The id of the repository group.
   */
  xmlChar *id;

  /**
   * The name of the repository group.
   */
  xmlChar *name;

  /**
   * The format of the repository group.
   */
  xmlChar *format;

  /**
   * Flag that states if the repository group is available over
the content resource.
   */
  int exposed;
};

/**
 * Reads a RepositoryGroupListResource from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The RepositoryGroupListResource, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_repository_group_list_resource *xmlTextReaderReadNs0Repository_group_list_resourceType(xmlTextReaderPtr reader);

/**
 * Writes a RepositoryGroupListResource to XML.
 *
 * @param writer The XML writer.
 * @param _repositoryGroupListResource The RepositoryGroupListResource to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Repository_group_list_resourceType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_repository_group_list_resource *_repositoryGroupListResource);

/**
 * Frees the elements of a RepositoryGroupListResource.
 *
 * @param _repositoryGroupListResource The RepositoryGroupListResource to free.
 */
static void freeNs0Repository_group_list_resourceType(struct nexus_rest_api_ns0_repository_group_list_resource *_repositoryGroupListResource);

#endif /* DEF_nexus_rest_api_ns0_repository_group_list_resource_H */
#ifndef DEF_nexus_rest_api_ns0_repositoryGroupListResourceResponse_H
#define DEF_nexus_rest_api_ns0_repositoryGroupListResourceResponse_H

/**
 *  REST Response object for a repository group list request,
 contains the typical 'data' parameter, which is the list of
 repository group objects.
 
 @version $Revision$ $Date$

 */
struct nexus_rest_api_ns0_repositoryGroupListResourceResponse {


  /**
   * Field data.
   */
  struct nexus_rest_api_ns0_repository_group_list_resource *data;

  /**
   * Size of the data array.
   */
  int _sizeof_data;
};

/**
 * Reads a RepositoryGroupListResourceResponse element from XML. The element to be read is "repo-group-list", and
 * it is assumed that the reader is pointing to the XML document (not the element).
 *
 * @param reader The XML reader.
 * @return The RepositoryGroupListResourceResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_repositoryGroupListResourceResponse *xml_read_nexus_rest_api_ns0_repositoryGroupListResourceResponse(xmlTextReaderPtr reader);

/**
 * Writes a RepositoryGroupListResourceResponse to XML under element name "repo-group-list".
 *
 * @param writer The XML writer.
 * @param _repositoryGroupListResourceResponse The RepositoryGroupListResourceResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
int xml_write_nexus_rest_api_ns0_repositoryGroupListResourceResponse(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_repositoryGroupListResourceResponse *_repositoryGroupListResourceResponse);

/**
 * Frees a RepositoryGroupListResourceResponse.
 *
 * @param _repositoryGroupListResourceResponse The RepositoryGroupListResourceResponse to free.
 */
void free_nexus_rest_api_ns0_repositoryGroupListResourceResponse(struct nexus_rest_api_ns0_repositoryGroupListResourceResponse *_repositoryGroupListResourceResponse);

/**
 * Reads a RepositoryGroupListResourceResponse element from XML. The element to be read is "repo-group-list", and
 * it is assumed that the reader is already pointing to the element.
 *
 * @param reader The XML reader.
 * @return The RepositoryGroupListResourceResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_repositoryGroupListResourceResponse *xmlTextReaderReadNs0Repo_group_listElement(xmlTextReaderPtr reader);

/**
 * Writes a RepositoryGroupListResourceResponse to XML under element name "repo-group-list".
 * Does NOT write the namespace prefixes.
 *
 * @param writer The XML writer.
 * @param _repositoryGroupListResourceResponse The RepositoryGroupListResourceResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Repo_group_listElement(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_repositoryGroupListResourceResponse *_repositoryGroupListResourceResponse);

/**
 * Writes a RepositoryGroupListResourceResponse to XML under element name "repo-group-list".
 *
 * @param writer The XML writer.
 * @param _repositoryGroupListResourceResponse The RepositoryGroupListResourceResponse to write.
 * @param writeNamespaces Whether to write the namespace prefixes.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Repo_group_listElementNS(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_repositoryGroupListResourceResponse *_repositoryGroupListResourceResponse, int writeNamespaces);

/**
 * Frees the children of a RepositoryGroupListResourceResponse.
 *
 * @param _repositoryGroupListResourceResponse The RepositoryGroupListResourceResponse whose children are to be free.
 */
static void freeNs0Repo_group_listElement(struct nexus_rest_api_ns0_repositoryGroupListResourceResponse *_repositoryGroupListResourceResponse);

/**
 * Reads a RepositoryGroupListResourceResponse from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The RepositoryGroupListResourceResponse, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_repositoryGroupListResourceResponse *xmlTextReaderReadNs0RepositoryGroupListResourceResponseType(xmlTextReaderPtr reader);

/**
 * Writes a RepositoryGroupListResourceResponse to XML.
 *
 * @param writer The XML writer.
 * @param _repositoryGroupListResourceResponse The RepositoryGroupListResourceResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0RepositoryGroupListResourceResponseType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_repositoryGroupListResourceResponse *_repositoryGroupListResourceResponse);

/**
 * Frees the elements of a RepositoryGroupListResourceResponse.
 *
 * @param _repositoryGroupListResourceResponse The RepositoryGroupListResourceResponse to free.
 */
static void freeNs0RepositoryGroupListResourceResponseType(struct nexus_rest_api_ns0_repositoryGroupListResourceResponse *_repositoryGroupListResourceResponse);

#endif /* DEF_nexus_rest_api_ns0_repositoryGroupListResourceResponse_H */
#ifndef DEF_nexus_rest_api_ns0_repository_group_member_repository_H
#define DEF_nexus_rest_api_ns0_repository_group_member_repository_H

/**
 *  A repository that is contained within a group.
 
 @version $Revision$ $Date$

 */
struct nexus_rest_api_ns0_repository_group_member_repository {


  /**
   * The repository id.
   */
  xmlChar *id;

  /**
   * The repository name.
   */
  xmlChar *name;

  /**
   * The URL used to manage the repository.
   */
  xmlChar *resourceURI;
};

/**
 * Reads a RepositoryGroupMemberRepository from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The RepositoryGroupMemberRepository, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_repository_group_member_repository *xmlTextReaderReadNs0Repository_group_member_repositoryType(xmlTextReaderPtr reader);

/**
 * Writes a RepositoryGroupMemberRepository to XML.
 *
 * @param writer The XML writer.
 * @param _repositoryGroupMemberRepository The RepositoryGroupMemberRepository to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Repository_group_member_repositoryType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_repository_group_member_repository *_repositoryGroupMemberRepository);

/**
 * Frees the elements of a RepositoryGroupMemberRepository.
 *
 * @param _repositoryGroupMemberRepository The RepositoryGroupMemberRepository to free.
 */
static void freeNs0Repository_group_member_repositoryType(struct nexus_rest_api_ns0_repository_group_member_repository *_repositoryGroupMemberRepository);

#endif /* DEF_nexus_rest_api_ns0_repository_group_member_repository_H */
#ifndef DEF_nexus_rest_api_ns0_repository_group_resource_H
#define DEF_nexus_rest_api_ns0_repository_group_resource_H

/**
 *  The set of items that define the repository group (extends
 repository base resource).
 
 @version $Revision$ $Date$

 */
struct nexus_rest_api_ns0_repository_group_resource {


  /**
   * The URL to access the content resource of the repository.
   */
  xmlChar *contentResourceURI;

  /**
   * The id of the repository.
   */
  xmlChar *id;

  /**
   * The name of the repository.
   */
  xmlChar *name;

  /**
   * The provider of the repository (i.e. maven, p2, obr, etc.).
   */
  xmlChar *provider;

  /**
   * The role of the repository (i.e. Repository,
GroupRepository, etc.).
   */
  xmlChar *providerRole;

  /**
   * The format of the repository.
   */
  xmlChar *format;

  /**
   * The type of the repository.
   */
  xmlChar *repoType;

  /**
   * Flag that states whether the repository should be available
over the content resource.
   */
  int exposed;

  /**
   * Field repositories.
   */
  struct nexus_rest_api_ns0_repository_group_member_repository *repositories;

  /**
   * Size of the repositories array.
   */
  int _sizeof_repositories;
};

/**
 * Reads a RepositoryGroupResource from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The RepositoryGroupResource, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_repository_group_resource *xmlTextReaderReadNs0Repository_group_resourceType(xmlTextReaderPtr reader);

/**
 * Writes a RepositoryGroupResource to XML.
 *
 * @param writer The XML writer.
 * @param _repositoryGroupResource The RepositoryGroupResource to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Repository_group_resourceType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_repository_group_resource *_repositoryGroupResource);

/**
 * Frees the elements of a RepositoryGroupResource.
 *
 * @param _repositoryGroupResource The RepositoryGroupResource to free.
 */
static void freeNs0Repository_group_resourceType(struct nexus_rest_api_ns0_repository_group_resource *_repositoryGroupResource);

#endif /* DEF_nexus_rest_api_ns0_repository_group_resource_H */
#ifndef DEF_nexus_rest_api_ns0_repositoryGroupResourceResponse_H
#define DEF_nexus_rest_api_ns0_repositoryGroupResourceResponse_H

/**
 *  REST Response object for a repository group request, contains
 the typical 'data' parameter, which is the repository group
 object.
 
 @version $Revision$ $Date$

 */
struct nexus_rest_api_ns0_repositoryGroupResourceResponse {


  /**
   * The repository group object.
   */
  struct nexus_rest_api_ns0_repository_group_resource *data;
};

/**
 * Reads a RepositoryGroupResourceResponse element from XML. The element to be read is "repo-group", and
 * it is assumed that the reader is pointing to the XML document (not the element).
 *
 * @param reader The XML reader.
 * @return The RepositoryGroupResourceResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_repositoryGroupResourceResponse *xml_read_nexus_rest_api_ns0_repositoryGroupResourceResponse(xmlTextReaderPtr reader);

/**
 * Writes a RepositoryGroupResourceResponse to XML under element name "repo-group".
 *
 * @param writer The XML writer.
 * @param _repositoryGroupResourceResponse The RepositoryGroupResourceResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
int xml_write_nexus_rest_api_ns0_repositoryGroupResourceResponse(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_repositoryGroupResourceResponse *_repositoryGroupResourceResponse);

/**
 * Frees a RepositoryGroupResourceResponse.
 *
 * @param _repositoryGroupResourceResponse The RepositoryGroupResourceResponse to free.
 */
void free_nexus_rest_api_ns0_repositoryGroupResourceResponse(struct nexus_rest_api_ns0_repositoryGroupResourceResponse *_repositoryGroupResourceResponse);

/**
 * Reads a RepositoryGroupResourceResponse element from XML. The element to be read is "repo-group", and
 * it is assumed that the reader is already pointing to the element.
 *
 * @param reader The XML reader.
 * @return The RepositoryGroupResourceResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_repositoryGroupResourceResponse *xmlTextReaderReadNs0Repo_groupElement(xmlTextReaderPtr reader);

/**
 * Writes a RepositoryGroupResourceResponse to XML under element name "repo-group".
 * Does NOT write the namespace prefixes.
 *
 * @param writer The XML writer.
 * @param _repositoryGroupResourceResponse The RepositoryGroupResourceResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Repo_groupElement(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_repositoryGroupResourceResponse *_repositoryGroupResourceResponse);

/**
 * Writes a RepositoryGroupResourceResponse to XML under element name "repo-group".
 *
 * @param writer The XML writer.
 * @param _repositoryGroupResourceResponse The RepositoryGroupResourceResponse to write.
 * @param writeNamespaces Whether to write the namespace prefixes.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Repo_groupElementNS(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_repositoryGroupResourceResponse *_repositoryGroupResourceResponse, int writeNamespaces);

/**
 * Frees the children of a RepositoryGroupResourceResponse.
 *
 * @param _repositoryGroupResourceResponse The RepositoryGroupResourceResponse whose children are to be free.
 */
static void freeNs0Repo_groupElement(struct nexus_rest_api_ns0_repositoryGroupResourceResponse *_repositoryGroupResourceResponse);

/**
 * Reads a RepositoryGroupResourceResponse from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The RepositoryGroupResourceResponse, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_repositoryGroupResourceResponse *xmlTextReaderReadNs0RepositoryGroupResourceResponseType(xmlTextReaderPtr reader);

/**
 * Writes a RepositoryGroupResourceResponse to XML.
 *
 * @param writer The XML writer.
 * @param _repositoryGroupResourceResponse The RepositoryGroupResourceResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0RepositoryGroupResourceResponseType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_repositoryGroupResourceResponse *_repositoryGroupResourceResponse);

/**
 * Frees the elements of a RepositoryGroupResourceResponse.
 *
 * @param _repositoryGroupResourceResponse The RepositoryGroupResourceResponse to free.
 */
static void freeNs0RepositoryGroupResourceResponseType(struct nexus_rest_api_ns0_repositoryGroupResourceResponse *_repositoryGroupResourceResponse);

#endif /* DEF_nexus_rest_api_ns0_repositoryGroupResourceResponse_H */
#ifndef DEF_nexus_rest_api_ns0_repositories_item_H
#define DEF_nexus_rest_api_ns0_repositories_item_H

/**
 *  Repository general details.
 
 @version $Revision$ $Date$

 */
struct nexus_rest_api_ns0_repositories_item {


  /**
   * URI used to manage the repository.
   */
  xmlChar *resourceURI;

  /**
   * URI used to access repository over /content URL (as maven
would do for example).
   */
  xmlChar *contentResourceURI;

  /**
   * The id of the repository.
   */
  xmlChar *id;

  /**
   * The name of the repository.
   */
  xmlChar *name;

  /**
   * The type of the repository.
   */
  xmlChar *repoType;

  /**
   * The policy of the repository.
   */
  xmlChar *repoPolicy;

  /**
   * The repository provider.
   */
  xmlChar *provider;

  /**
   * The role of the repository (classname).
   */
  xmlChar *providerRole;

  /**
   * The format of the repository.
   */
  xmlChar *format;

  /**
   * Flag that states if the repository is manageable by the user.
   */
  int userManaged;

  /**
   * Flag that states if the repository is exposed over the
content url.
   */
  int exposed;

  /**
   * The URL where the repository storage is on server.
   */
  xmlChar *effectiveLocalStorageUrl;

  /**
   * The remote URI of the repository.
   */
  xmlChar *remoteUri;
};

/**
 * Reads a RepositoryListResource from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The RepositoryListResource, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_repositories_item *xmlTextReaderReadNs0Repositories_itemType(xmlTextReaderPtr reader);

/**
 * Writes a RepositoryListResource to XML.
 *
 * @param writer The XML writer.
 * @param _repositoryListResource The RepositoryListResource to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Repositories_itemType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_repositories_item *_repositoryListResource);

/**
 * Frees the elements of a RepositoryListResource.
 *
 * @param _repositoryListResource The RepositoryListResource to free.
 */
static void freeNs0Repositories_itemType(struct nexus_rest_api_ns0_repositories_item *_repositoryListResource);

#endif /* DEF_nexus_rest_api_ns0_repositories_item_H */
#ifndef DEF_nexus_rest_api_ns0_repositoryListResourceResponse_H
#define DEF_nexus_rest_api_ns0_repositoryListResourceResponse_H

/**
 *  REST Response object for a repository list request, contains the
 typical 'data' parameter, which is the list of repository
 objects.
 
 @version $Revision$ $Date$

 */
struct nexus_rest_api_ns0_repositoryListResourceResponse {


  /**
   * Field data.
   */
  struct nexus_rest_api_ns0_repositories_item *data;

  /**
   * Size of the data array.
   */
  int _sizeof_data;
};

/**
 * Reads a RepositoryListResourceResponse element from XML. The element to be read is "repositories", and
 * it is assumed that the reader is pointing to the XML document (not the element).
 *
 * @param reader The XML reader.
 * @return The RepositoryListResourceResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_repositoryListResourceResponse *xml_read_nexus_rest_api_ns0_repositoryListResourceResponse(xmlTextReaderPtr reader);

/**
 * Writes a RepositoryListResourceResponse to XML under element name "repositories".
 *
 * @param writer The XML writer.
 * @param _repositoryListResourceResponse The RepositoryListResourceResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
int xml_write_nexus_rest_api_ns0_repositoryListResourceResponse(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_repositoryListResourceResponse *_repositoryListResourceResponse);

/**
 * Frees a RepositoryListResourceResponse.
 *
 * @param _repositoryListResourceResponse The RepositoryListResourceResponse to free.
 */
void free_nexus_rest_api_ns0_repositoryListResourceResponse(struct nexus_rest_api_ns0_repositoryListResourceResponse *_repositoryListResourceResponse);

/**
 * Reads a RepositoryListResourceResponse element from XML. The element to be read is "repositories", and
 * it is assumed that the reader is already pointing to the element.
 *
 * @param reader The XML reader.
 * @return The RepositoryListResourceResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_repositoryListResourceResponse *xmlTextReaderReadNs0RepositoriesElement(xmlTextReaderPtr reader);

/**
 * Writes a RepositoryListResourceResponse to XML under element name "repositories".
 * Does NOT write the namespace prefixes.
 *
 * @param writer The XML writer.
 * @param _repositoryListResourceResponse The RepositoryListResourceResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0RepositoriesElement(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_repositoryListResourceResponse *_repositoryListResourceResponse);

/**
 * Writes a RepositoryListResourceResponse to XML under element name "repositories".
 *
 * @param writer The XML writer.
 * @param _repositoryListResourceResponse The RepositoryListResourceResponse to write.
 * @param writeNamespaces Whether to write the namespace prefixes.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0RepositoriesElementNS(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_repositoryListResourceResponse *_repositoryListResourceResponse, int writeNamespaces);

/**
 * Frees the children of a RepositoryListResourceResponse.
 *
 * @param _repositoryListResourceResponse The RepositoryListResourceResponse whose children are to be free.
 */
static void freeNs0RepositoriesElement(struct nexus_rest_api_ns0_repositoryListResourceResponse *_repositoryListResourceResponse);

/**
 * Reads a RepositoryListResourceResponse from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The RepositoryListResourceResponse, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_repositoryListResourceResponse *xmlTextReaderReadNs0RepositoryListResourceResponseType(xmlTextReaderPtr reader);

/**
 * Writes a RepositoryListResourceResponse to XML.
 *
 * @param writer The XML writer.
 * @param _repositoryListResourceResponse The RepositoryListResourceResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0RepositoryListResourceResponseType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_repositoryListResourceResponse *_repositoryListResourceResponse);

/**
 * Frees the elements of a RepositoryListResourceResponse.
 *
 * @param _repositoryListResourceResponse The RepositoryListResourceResponse to free.
 */
static void freeNs0RepositoryListResourceResponseType(struct nexus_rest_api_ns0_repositoryListResourceResponse *_repositoryListResourceResponse);

#endif /* DEF_nexus_rest_api_ns0_repositoryListResourceResponse_H */
#ifndef DEF_nexus_rest_api_ns0_repository_meta_resource_H
#define DEF_nexus_rest_api_ns0_repository_meta_resource_H

/**
 *  Details about the repository.
 
 @version $Revision$ $Date$

 */
struct nexus_rest_api_ns0_repository_meta_resource {


  /**
   * The repository id.
   */
  xmlChar *id;

  /**
   * The repository type.
   */
  xmlChar *repoType;

  /**
   * The repository format.
   */
  xmlChar *format;

  /**
   * The size on disk the repository consumes.
   */
  long sizeOnDisk;

  /**
   * The size available on disk where the repository is located.
   */
  long freeSpaceOnDisk;

  /**
   * The number of files held in the repository.
   */
  long fileCountInRepository;

  /**
   * The number of requested paths that are currently in the not
found cache.
   */
  long notFoundCacheSize;

  /**
   * The number of checks against the not found cache that have
succeeded (and thus saved a remote check).
   */
  long notFoundCacheHits;

  /**
   * The number of checks against the not found cache that have
failed (and thus required a remote check).
   */
  long notFoundCacheMisses;

  /**
   * The number of errors reported by local storage.
   */
  int localStorageErrorsCount;

  /**
   * The number of errors reported by remote storage.
   */
  int remoteStorageErrorsCount;

  /**
   * Field groups.
   */
  xmlChar *groups;

  /**
   * Size of the groups array.
   */
  int _sizeof_groups;
};

/**
 * Reads a RepositoryMetaResource from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The RepositoryMetaResource, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_repository_meta_resource *xmlTextReaderReadNs0Repository_meta_resourceType(xmlTextReaderPtr reader);

/**
 * Writes a RepositoryMetaResource to XML.
 *
 * @param writer The XML writer.
 * @param _repositoryMetaResource The RepositoryMetaResource to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Repository_meta_resourceType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_repository_meta_resource *_repositoryMetaResource);

/**
 * Frees the elements of a RepositoryMetaResource.
 *
 * @param _repositoryMetaResource The RepositoryMetaResource to free.
 */
static void freeNs0Repository_meta_resourceType(struct nexus_rest_api_ns0_repository_meta_resource *_repositoryMetaResource);

#endif /* DEF_nexus_rest_api_ns0_repository_meta_resource_H */
#ifndef DEF_nexus_rest_api_ns0_repositoryMetaResourceResponse_H
#define DEF_nexus_rest_api_ns0_repositoryMetaResourceResponse_H

/**
 *  REST Response object for a repository metadata request, contains
 the typical 'data' parameter, which is the repository metadata
 object.
 
 @version $Revision$ $Date$

 */
struct nexus_rest_api_ns0_repositoryMetaResourceResponse {


  /**
   * The repository metadata parameters.
   */
  struct nexus_rest_api_ns0_repository_meta_resource *data;
};

/**
 * Reads a RepositoryMetaResourceResponse element from XML. The element to be read is "repository-meta-data", and
 * it is assumed that the reader is pointing to the XML document (not the element).
 *
 * @param reader The XML reader.
 * @return The RepositoryMetaResourceResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_repositoryMetaResourceResponse *xml_read_nexus_rest_api_ns0_repositoryMetaResourceResponse(xmlTextReaderPtr reader);

/**
 * Writes a RepositoryMetaResourceResponse to XML under element name "repository-meta-data".
 *
 * @param writer The XML writer.
 * @param _repositoryMetaResourceResponse The RepositoryMetaResourceResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
int xml_write_nexus_rest_api_ns0_repositoryMetaResourceResponse(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_repositoryMetaResourceResponse *_repositoryMetaResourceResponse);

/**
 * Frees a RepositoryMetaResourceResponse.
 *
 * @param _repositoryMetaResourceResponse The RepositoryMetaResourceResponse to free.
 */
void free_nexus_rest_api_ns0_repositoryMetaResourceResponse(struct nexus_rest_api_ns0_repositoryMetaResourceResponse *_repositoryMetaResourceResponse);

/**
 * Reads a RepositoryMetaResourceResponse element from XML. The element to be read is "repository-meta-data", and
 * it is assumed that the reader is already pointing to the element.
 *
 * @param reader The XML reader.
 * @return The RepositoryMetaResourceResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_repositoryMetaResourceResponse *xmlTextReaderReadNs0Repository_meta_dataElement(xmlTextReaderPtr reader);

/**
 * Writes a RepositoryMetaResourceResponse to XML under element name "repository-meta-data".
 * Does NOT write the namespace prefixes.
 *
 * @param writer The XML writer.
 * @param _repositoryMetaResourceResponse The RepositoryMetaResourceResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Repository_meta_dataElement(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_repositoryMetaResourceResponse *_repositoryMetaResourceResponse);

/**
 * Writes a RepositoryMetaResourceResponse to XML under element name "repository-meta-data".
 *
 * @param writer The XML writer.
 * @param _repositoryMetaResourceResponse The RepositoryMetaResourceResponse to write.
 * @param writeNamespaces Whether to write the namespace prefixes.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Repository_meta_dataElementNS(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_repositoryMetaResourceResponse *_repositoryMetaResourceResponse, int writeNamespaces);

/**
 * Frees the children of a RepositoryMetaResourceResponse.
 *
 * @param _repositoryMetaResourceResponse The RepositoryMetaResourceResponse whose children are to be free.
 */
static void freeNs0Repository_meta_dataElement(struct nexus_rest_api_ns0_repositoryMetaResourceResponse *_repositoryMetaResourceResponse);

/**
 * Reads a RepositoryMetaResourceResponse from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The RepositoryMetaResourceResponse, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_repositoryMetaResourceResponse *xmlTextReaderReadNs0RepositoryMetaResourceResponseType(xmlTextReaderPtr reader);

/**
 * Writes a RepositoryMetaResourceResponse to XML.
 *
 * @param writer The XML writer.
 * @param _repositoryMetaResourceResponse The RepositoryMetaResourceResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0RepositoryMetaResourceResponseType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_repositoryMetaResourceResponse *_repositoryMetaResourceResponse);

/**
 * Frees the elements of a RepositoryMetaResourceResponse.
 *
 * @param _repositoryMetaResourceResponse The RepositoryMetaResourceResponse to free.
 */
static void freeNs0RepositoryMetaResourceResponseType(struct nexus_rest_api_ns0_repositoryMetaResourceResponse *_repositoryMetaResourceResponse);

#endif /* DEF_nexus_rest_api_ns0_repositoryMetaResourceResponse_H */
#ifndef DEF_nexus_rest_api_ns0_repositoryResourceResponse_H
#define DEF_nexus_rest_api_ns0_repositoryResourceResponse_H

/**
 *  REST Response object for a repository request, contains the
 typical 'data' parameter, which is the repository object.
 
 @version $Revision$ $Date$

 */
struct nexus_rest_api_ns0_repositoryResourceResponse {


  /**
   * The repository object.
   */
  struct nexus_rest_api_ns0_base_repository *data;
};

/**
 * Reads a RepositoryResourceResponse element from XML. The element to be read is "repository", and
 * it is assumed that the reader is pointing to the XML document (not the element).
 *
 * @param reader The XML reader.
 * @return The RepositoryResourceResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_repositoryResourceResponse *xml_read_nexus_rest_api_ns0_repositoryResourceResponse(xmlTextReaderPtr reader);

/**
 * Writes a RepositoryResourceResponse to XML under element name "repository".
 *
 * @param writer The XML writer.
 * @param _repositoryResourceResponse The RepositoryResourceResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
int xml_write_nexus_rest_api_ns0_repositoryResourceResponse(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_repositoryResourceResponse *_repositoryResourceResponse);

/**
 * Frees a RepositoryResourceResponse.
 *
 * @param _repositoryResourceResponse The RepositoryResourceResponse to free.
 */
void free_nexus_rest_api_ns0_repositoryResourceResponse(struct nexus_rest_api_ns0_repositoryResourceResponse *_repositoryResourceResponse);

/**
 * Reads a RepositoryResourceResponse element from XML. The element to be read is "repository", and
 * it is assumed that the reader is already pointing to the element.
 *
 * @param reader The XML reader.
 * @return The RepositoryResourceResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_repositoryResourceResponse *xmlTextReaderReadNs0RepositoryElement(xmlTextReaderPtr reader);

/**
 * Writes a RepositoryResourceResponse to XML under element name "repository".
 * Does NOT write the namespace prefixes.
 *
 * @param writer The XML writer.
 * @param _repositoryResourceResponse The RepositoryResourceResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0RepositoryElement(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_repositoryResourceResponse *_repositoryResourceResponse);

/**
 * Writes a RepositoryResourceResponse to XML under element name "repository".
 *
 * @param writer The XML writer.
 * @param _repositoryResourceResponse The RepositoryResourceResponse to write.
 * @param writeNamespaces Whether to write the namespace prefixes.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0RepositoryElementNS(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_repositoryResourceResponse *_repositoryResourceResponse, int writeNamespaces);

/**
 * Frees the children of a RepositoryResourceResponse.
 *
 * @param _repositoryResourceResponse The RepositoryResourceResponse whose children are to be free.
 */
static void freeNs0RepositoryElement(struct nexus_rest_api_ns0_repositoryResourceResponse *_repositoryResourceResponse);

/**
 * Reads a RepositoryResourceResponse from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The RepositoryResourceResponse, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_repositoryResourceResponse *xmlTextReaderReadNs0RepositoryResourceResponseType(xmlTextReaderPtr reader);

/**
 * Writes a RepositoryResourceResponse to XML.
 *
 * @param writer The XML writer.
 * @param _repositoryResourceResponse The RepositoryResourceResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0RepositoryResourceResponseType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_repositoryResourceResponse *_repositoryResourceResponse);

/**
 * Frees the elements of a RepositoryResourceResponse.
 *
 * @param _repositoryResourceResponse The RepositoryResourceResponse to free.
 */
static void freeNs0RepositoryResourceResponseType(struct nexus_rest_api_ns0_repositoryResourceResponse *_repositoryResourceResponse);

#endif /* DEF_nexus_rest_api_ns0_repositoryResourceResponse_H */
#ifndef DEF_nexus_rest_api_ns0_repository_route_list_resource_H
#define DEF_nexus_rest_api_ns0_repository_route_list_resource_H

/**
 *  A repository route basic set of details, for display in lists
 (full details can be retrieved using the resourceURI).
 
 @version $Revision$ $Date$

 */
struct nexus_rest_api_ns0_repository_route_list_resource {


  /**
   * The URL used to manage this repository route.
   */
  xmlChar *resourceURI;

  /**
   * The group this route is attached to.
   */
  xmlChar *groupId;

  /**
   * The type of rule (inclusive, exclusive, etc.).
   */
  xmlChar *ruleType;

  /**
   * The pattern associated to this route.
   */
  xmlChar *pattern;

  /**
   * Field repositories.
   */
  struct nexus_rest_api_ns0_repository_route_member_repo *repositories;

  /**
   * Size of the repositories array.
   */
  int _sizeof_repositories;
};

/**
 * Reads a RepositoryRouteListResource from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The RepositoryRouteListResource, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_repository_route_list_resource *xmlTextReaderReadNs0Repository_route_list_resourceType(xmlTextReaderPtr reader);

/**
 * Writes a RepositoryRouteListResource to XML.
 *
 * @param writer The XML writer.
 * @param _repositoryRouteListResource The RepositoryRouteListResource to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Repository_route_list_resourceType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_repository_route_list_resource *_repositoryRouteListResource);

/**
 * Frees the elements of a RepositoryRouteListResource.
 *
 * @param _repositoryRouteListResource The RepositoryRouteListResource to free.
 */
static void freeNs0Repository_route_list_resourceType(struct nexus_rest_api_ns0_repository_route_list_resource *_repositoryRouteListResource);

#endif /* DEF_nexus_rest_api_ns0_repository_route_list_resource_H */
#ifndef DEF_nexus_rest_api_ns0_repositoryRouteListResourceResponse_H
#define DEF_nexus_rest_api_ns0_repositoryRouteListResourceResponse_H

/**
 *  REST Response object for a repository route list request,
 contains the typical 'data' parameter, which is the list of
 repository route objects.
 
 @version $Revision$ $Date$

 */
struct nexus_rest_api_ns0_repositoryRouteListResourceResponse {


  /**
   * Field data.
   */
  struct nexus_rest_api_ns0_repository_route_list_resource *data;

  /**
   * Size of the data array.
   */
  int _sizeof_data;
};

/**
 * Reads a RepositoryRouteListResourceResponse element from XML. The element to be read is "repo-routes-list", and
 * it is assumed that the reader is pointing to the XML document (not the element).
 *
 * @param reader The XML reader.
 * @return The RepositoryRouteListResourceResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_repositoryRouteListResourceResponse *xml_read_nexus_rest_api_ns0_repositoryRouteListResourceResponse(xmlTextReaderPtr reader);

/**
 * Writes a RepositoryRouteListResourceResponse to XML under element name "repo-routes-list".
 *
 * @param writer The XML writer.
 * @param _repositoryRouteListResourceResponse The RepositoryRouteListResourceResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
int xml_write_nexus_rest_api_ns0_repositoryRouteListResourceResponse(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_repositoryRouteListResourceResponse *_repositoryRouteListResourceResponse);

/**
 * Frees a RepositoryRouteListResourceResponse.
 *
 * @param _repositoryRouteListResourceResponse The RepositoryRouteListResourceResponse to free.
 */
void free_nexus_rest_api_ns0_repositoryRouteListResourceResponse(struct nexus_rest_api_ns0_repositoryRouteListResourceResponse *_repositoryRouteListResourceResponse);

/**
 * Reads a RepositoryRouteListResourceResponse element from XML. The element to be read is "repo-routes-list", and
 * it is assumed that the reader is already pointing to the element.
 *
 * @param reader The XML reader.
 * @return The RepositoryRouteListResourceResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_repositoryRouteListResourceResponse *xmlTextReaderReadNs0Repo_routes_listElement(xmlTextReaderPtr reader);

/**
 * Writes a RepositoryRouteListResourceResponse to XML under element name "repo-routes-list".
 * Does NOT write the namespace prefixes.
 *
 * @param writer The XML writer.
 * @param _repositoryRouteListResourceResponse The RepositoryRouteListResourceResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Repo_routes_listElement(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_repositoryRouteListResourceResponse *_repositoryRouteListResourceResponse);

/**
 * Writes a RepositoryRouteListResourceResponse to XML under element name "repo-routes-list".
 *
 * @param writer The XML writer.
 * @param _repositoryRouteListResourceResponse The RepositoryRouteListResourceResponse to write.
 * @param writeNamespaces Whether to write the namespace prefixes.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Repo_routes_listElementNS(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_repositoryRouteListResourceResponse *_repositoryRouteListResourceResponse, int writeNamespaces);

/**
 * Frees the children of a RepositoryRouteListResourceResponse.
 *
 * @param _repositoryRouteListResourceResponse The RepositoryRouteListResourceResponse whose children are to be free.
 */
static void freeNs0Repo_routes_listElement(struct nexus_rest_api_ns0_repositoryRouteListResourceResponse *_repositoryRouteListResourceResponse);

/**
 * Reads a RepositoryRouteListResourceResponse from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The RepositoryRouteListResourceResponse, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_repositoryRouteListResourceResponse *xmlTextReaderReadNs0RepositoryRouteListResourceResponseType(xmlTextReaderPtr reader);

/**
 * Writes a RepositoryRouteListResourceResponse to XML.
 *
 * @param writer The XML writer.
 * @param _repositoryRouteListResourceResponse The RepositoryRouteListResourceResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0RepositoryRouteListResourceResponseType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_repositoryRouteListResourceResponse *_repositoryRouteListResourceResponse);

/**
 * Frees the elements of a RepositoryRouteListResourceResponse.
 *
 * @param _repositoryRouteListResourceResponse The RepositoryRouteListResourceResponse to free.
 */
static void freeNs0RepositoryRouteListResourceResponseType(struct nexus_rest_api_ns0_repositoryRouteListResourceResponse *_repositoryRouteListResourceResponse);

#endif /* DEF_nexus_rest_api_ns0_repositoryRouteListResourceResponse_H */
#ifndef DEF_nexus_rest_api_ns0_repository_route_member_repo_H
#define DEF_nexus_rest_api_ns0_repository_route_member_repo_H

/**
 *  Repository details in a repository route.
 
 @version $Revision$ $Date$

 */
struct nexus_rest_api_ns0_repository_route_member_repo {


  /**
   * The repository id.
   */
  xmlChar *id;

  /**
   * The repository name.
   */
  xmlChar *name;

  /**
   * The URL that can be used to manage the repository.
   */
  xmlChar *resourceURI;
};

/**
 * Reads a RepositoryRouteMemberRepository from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The RepositoryRouteMemberRepository, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_repository_route_member_repo *xmlTextReaderReadNs0Repository_route_member_repoType(xmlTextReaderPtr reader);

/**
 * Writes a RepositoryRouteMemberRepository to XML.
 *
 * @param writer The XML writer.
 * @param _repositoryRouteMemberRepository The RepositoryRouteMemberRepository to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Repository_route_member_repoType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_repository_route_member_repo *_repositoryRouteMemberRepository);

/**
 * Frees the elements of a RepositoryRouteMemberRepository.
 *
 * @param _repositoryRouteMemberRepository The RepositoryRouteMemberRepository to free.
 */
static void freeNs0Repository_route_member_repoType(struct nexus_rest_api_ns0_repository_route_member_repo *_repositoryRouteMemberRepository);

#endif /* DEF_nexus_rest_api_ns0_repository_route_member_repo_H */
#ifndef DEF_nexus_rest_api_ns0_repository_route_resource_H
#define DEF_nexus_rest_api_ns0_repository_route_resource_H

/**
 *  Class RepositoryRouteResource.
 
 @version $Revision$ $Date$

 */
struct nexus_rest_api_ns0_repository_route_resource {


  /**
   * The id of the repository route.
   */
  xmlChar *id;

  /**
   * The group id that the route is applied on.
   */
  xmlChar *groupId;

  /**
   * The rule type of the route (inclusive, exclusive, etc.).
   */
  xmlChar *ruleType;

  /**
   * The regex pattern that will be matched to see if route is
applied to request.
   */
  xmlChar *pattern;

  /**
   * Field repositories.
   */
  struct nexus_rest_api_ns0_repository_route_member_repo *repositories;

  /**
   * Size of the repositories array.
   */
  int _sizeof_repositories;
};

/**
 * Reads a RepositoryRouteResource from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The RepositoryRouteResource, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_repository_route_resource *xmlTextReaderReadNs0Repository_route_resourceType(xmlTextReaderPtr reader);

/**
 * Writes a RepositoryRouteResource to XML.
 *
 * @param writer The XML writer.
 * @param _repositoryRouteResource The RepositoryRouteResource to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Repository_route_resourceType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_repository_route_resource *_repositoryRouteResource);

/**
 * Frees the elements of a RepositoryRouteResource.
 *
 * @param _repositoryRouteResource The RepositoryRouteResource to free.
 */
static void freeNs0Repository_route_resourceType(struct nexus_rest_api_ns0_repository_route_resource *_repositoryRouteResource);

#endif /* DEF_nexus_rest_api_ns0_repository_route_resource_H */
#ifndef DEF_nexus_rest_api_ns0_repositoryRouteResourceResponse_H
#define DEF_nexus_rest_api_ns0_repositoryRouteResourceResponse_H

/**
 *  REST Response object for a repository route request, contains
 the typical 'data' parameter, which is the repository route
 object.
 
 @version $Revision$ $Date$

 */
struct nexus_rest_api_ns0_repositoryRouteResourceResponse {


  /**
   * Repository Route details.
   */
  struct nexus_rest_api_ns0_repository_route_resource *data;
};

/**
 * Reads a RepositoryRouteResourceResponse element from XML. The element to be read is "repo-route", and
 * it is assumed that the reader is pointing to the XML document (not the element).
 *
 * @param reader The XML reader.
 * @return The RepositoryRouteResourceResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_repositoryRouteResourceResponse *xml_read_nexus_rest_api_ns0_repositoryRouteResourceResponse(xmlTextReaderPtr reader);

/**
 * Writes a RepositoryRouteResourceResponse to XML under element name "repo-route".
 *
 * @param writer The XML writer.
 * @param _repositoryRouteResourceResponse The RepositoryRouteResourceResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
int xml_write_nexus_rest_api_ns0_repositoryRouteResourceResponse(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_repositoryRouteResourceResponse *_repositoryRouteResourceResponse);

/**
 * Frees a RepositoryRouteResourceResponse.
 *
 * @param _repositoryRouteResourceResponse The RepositoryRouteResourceResponse to free.
 */
void free_nexus_rest_api_ns0_repositoryRouteResourceResponse(struct nexus_rest_api_ns0_repositoryRouteResourceResponse *_repositoryRouteResourceResponse);

/**
 * Reads a RepositoryRouteResourceResponse element from XML. The element to be read is "repo-route", and
 * it is assumed that the reader is already pointing to the element.
 *
 * @param reader The XML reader.
 * @return The RepositoryRouteResourceResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_repositoryRouteResourceResponse *xmlTextReaderReadNs0Repo_routeElement(xmlTextReaderPtr reader);

/**
 * Writes a RepositoryRouteResourceResponse to XML under element name "repo-route".
 * Does NOT write the namespace prefixes.
 *
 * @param writer The XML writer.
 * @param _repositoryRouteResourceResponse The RepositoryRouteResourceResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Repo_routeElement(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_repositoryRouteResourceResponse *_repositoryRouteResourceResponse);

/**
 * Writes a RepositoryRouteResourceResponse to XML under element name "repo-route".
 *
 * @param writer The XML writer.
 * @param _repositoryRouteResourceResponse The RepositoryRouteResourceResponse to write.
 * @param writeNamespaces Whether to write the namespace prefixes.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Repo_routeElementNS(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_repositoryRouteResourceResponse *_repositoryRouteResourceResponse, int writeNamespaces);

/**
 * Frees the children of a RepositoryRouteResourceResponse.
 *
 * @param _repositoryRouteResourceResponse The RepositoryRouteResourceResponse whose children are to be free.
 */
static void freeNs0Repo_routeElement(struct nexus_rest_api_ns0_repositoryRouteResourceResponse *_repositoryRouteResourceResponse);

/**
 * Reads a RepositoryRouteResourceResponse from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The RepositoryRouteResourceResponse, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_repositoryRouteResourceResponse *xmlTextReaderReadNs0RepositoryRouteResourceResponseType(xmlTextReaderPtr reader);

/**
 * Writes a RepositoryRouteResourceResponse to XML.
 *
 * @param writer The XML writer.
 * @param _repositoryRouteResourceResponse The RepositoryRouteResourceResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0RepositoryRouteResourceResponseType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_repositoryRouteResourceResponse *_repositoryRouteResourceResponse);

/**
 * Frees the elements of a RepositoryRouteResourceResponse.
 *
 * @param _repositoryRouteResourceResponse The RepositoryRouteResourceResponse to free.
 */
static void freeNs0RepositoryRouteResourceResponseType(struct nexus_rest_api_ns0_repositoryRouteResourceResponse *_repositoryRouteResourceResponse);

#endif /* DEF_nexus_rest_api_ns0_repositoryRouteResourceResponse_H */
#ifndef DEF_nexus_rest_api_ns0_repository_status_list_item_H
#define DEF_nexus_rest_api_ns0_repository_status_list_item_H

/**
 *  Some general details and status of the repostiory.
 
 @version $Revision$ $Date$

 */
struct nexus_rest_api_ns0_repository_status_list_item {


  /**
   * The URI that can be used to manage the repository.
   */
  xmlChar *resourceURI;

  /**
   * The id of the repository.
   */
  xmlChar *id;

  /**
   * The name of the repository.
   */
  xmlChar *name;

  /**
   * The type of repository.
   */
  xmlChar *repoType;

  /**
   * The repository policy.
   */
  xmlChar *repoPolicy;

  /**
   * The repository format.
   */
  xmlChar *format;

  /**
   * The repository status object.
   */
  struct nexus_rest_api_ns0_repository_status *status;
};

/**
 * Reads a RepositoryStatusListResource from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The RepositoryStatusListResource, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_repository_status_list_item *xmlTextReaderReadNs0Repository_status_list_itemType(xmlTextReaderPtr reader);

/**
 * Writes a RepositoryStatusListResource to XML.
 *
 * @param writer The XML writer.
 * @param _repositoryStatusListResource The RepositoryStatusListResource to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Repository_status_list_itemType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_repository_status_list_item *_repositoryStatusListResource);

/**
 * Frees the elements of a RepositoryStatusListResource.
 *
 * @param _repositoryStatusListResource The RepositoryStatusListResource to free.
 */
static void freeNs0Repository_status_list_itemType(struct nexus_rest_api_ns0_repository_status_list_item *_repositoryStatusListResource);

#endif /* DEF_nexus_rest_api_ns0_repository_status_list_item_H */
#ifndef DEF_nexus_rest_api_ns0_repositoryStatusListResourceResponse_H
#define DEF_nexus_rest_api_ns0_repositoryStatusListResourceResponse_H

/**
 *  REST Response object for a repository status list request,
 contains the typical 'data' parameter, which is the list of
 repository status objects.
 
 @version $Revision$ $Date$

 */
struct nexus_rest_api_ns0_repositoryStatusListResourceResponse {


  /**
   * Field data.
   */
  struct nexus_rest_api_ns0_repository_status_list_item *data;

  /**
   * Size of the data array.
   */
  int _sizeof_data;
};

/**
 * Reads a RepositoryStatusListResourceResponse element from XML. The element to be read is "repository-status-list", and
 * it is assumed that the reader is pointing to the XML document (not the element).
 *
 * @param reader The XML reader.
 * @return The RepositoryStatusListResourceResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_repositoryStatusListResourceResponse *xml_read_nexus_rest_api_ns0_repositoryStatusListResourceResponse(xmlTextReaderPtr reader);

/**
 * Writes a RepositoryStatusListResourceResponse to XML under element name "repository-status-list".
 *
 * @param writer The XML writer.
 * @param _repositoryStatusListResourceResponse The RepositoryStatusListResourceResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
int xml_write_nexus_rest_api_ns0_repositoryStatusListResourceResponse(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_repositoryStatusListResourceResponse *_repositoryStatusListResourceResponse);

/**
 * Frees a RepositoryStatusListResourceResponse.
 *
 * @param _repositoryStatusListResourceResponse The RepositoryStatusListResourceResponse to free.
 */
void free_nexus_rest_api_ns0_repositoryStatusListResourceResponse(struct nexus_rest_api_ns0_repositoryStatusListResourceResponse *_repositoryStatusListResourceResponse);

/**
 * Reads a RepositoryStatusListResourceResponse element from XML. The element to be read is "repository-status-list", and
 * it is assumed that the reader is already pointing to the element.
 *
 * @param reader The XML reader.
 * @return The RepositoryStatusListResourceResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_repositoryStatusListResourceResponse *xmlTextReaderReadNs0Repository_status_listElement(xmlTextReaderPtr reader);

/**
 * Writes a RepositoryStatusListResourceResponse to XML under element name "repository-status-list".
 * Does NOT write the namespace prefixes.
 *
 * @param writer The XML writer.
 * @param _repositoryStatusListResourceResponse The RepositoryStatusListResourceResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Repository_status_listElement(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_repositoryStatusListResourceResponse *_repositoryStatusListResourceResponse);

/**
 * Writes a RepositoryStatusListResourceResponse to XML under element name "repository-status-list".
 *
 * @param writer The XML writer.
 * @param _repositoryStatusListResourceResponse The RepositoryStatusListResourceResponse to write.
 * @param writeNamespaces Whether to write the namespace prefixes.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Repository_status_listElementNS(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_repositoryStatusListResourceResponse *_repositoryStatusListResourceResponse, int writeNamespaces);

/**
 * Frees the children of a RepositoryStatusListResourceResponse.
 *
 * @param _repositoryStatusListResourceResponse The RepositoryStatusListResourceResponse whose children are to be free.
 */
static void freeNs0Repository_status_listElement(struct nexus_rest_api_ns0_repositoryStatusListResourceResponse *_repositoryStatusListResourceResponse);

/**
 * Reads a RepositoryStatusListResourceResponse from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The RepositoryStatusListResourceResponse, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_repositoryStatusListResourceResponse *xmlTextReaderReadNs0RepositoryStatusListResourceResponseType(xmlTextReaderPtr reader);

/**
 * Writes a RepositoryStatusListResourceResponse to XML.
 *
 * @param writer The XML writer.
 * @param _repositoryStatusListResourceResponse The RepositoryStatusListResourceResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0RepositoryStatusListResourceResponseType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_repositoryStatusListResourceResponse *_repositoryStatusListResourceResponse);

/**
 * Frees the elements of a RepositoryStatusListResourceResponse.
 *
 * @param _repositoryStatusListResourceResponse The RepositoryStatusListResourceResponse to free.
 */
static void freeNs0RepositoryStatusListResourceResponseType(struct nexus_rest_api_ns0_repositoryStatusListResourceResponse *_repositoryStatusListResourceResponse);

#endif /* DEF_nexus_rest_api_ns0_repositoryStatusListResourceResponse_H */
#ifndef DEF_nexus_rest_api_ns0_repository_status_H
#define DEF_nexus_rest_api_ns0_repository_status_H

/**
 *  Repository status parameters.
 
 @version $Revision$ $Date$

 */
struct nexus_rest_api_ns0_repository_status {


  /**
   * The id of the repository.
   */
  xmlChar *id;

  /**
   * The type of the repository.
   */
  xmlChar *repoType;

  /**
   * The format of the repository.
   */
  xmlChar *format;

  /**
   * The local status of the repository (user blocked for example)
   */
  xmlChar *localStatus;

  /**
   * The remote status of the repository (unreachable for example)
   */
  xmlChar *remoteStatus;

  /**
   * The repository proxy mode (allow, blocked, etc.).
   */
  xmlChar *proxyMode;

  /**
   * Field dependentRepos.
   */
  struct nexus_rest_api_ns0_repository_dependent_status *dependentRepos;

  /**
   * Size of the dependentRepos array.
   */
  int _sizeof_dependentRepos;
};

/**
 * Reads a RepositoryStatusResource from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The RepositoryStatusResource, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_repository_status *xmlTextReaderReadNs0Repository_statusType(xmlTextReaderPtr reader);

/**
 * Writes a RepositoryStatusResource to XML.
 *
 * @param writer The XML writer.
 * @param _repositoryStatusResource The RepositoryStatusResource to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Repository_statusType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_repository_status *_repositoryStatusResource);

/**
 * Frees the elements of a RepositoryStatusResource.
 *
 * @param _repositoryStatusResource The RepositoryStatusResource to free.
 */
static void freeNs0Repository_statusType(struct nexus_rest_api_ns0_repository_status *_repositoryStatusResource);

#endif /* DEF_nexus_rest_api_ns0_repository_status_H */
#ifndef DEF_nexus_rest_api_ns0_repositoryStatusResourceResponse_H
#define DEF_nexus_rest_api_ns0_repositoryStatusResourceResponse_H

/**
 *  REST Response object for a repository status request, contains
 the typical 'data' parameter, which is the repository status
 objects.
 
 @version $Revision$ $Date$

 */
struct nexus_rest_api_ns0_repositoryStatusResourceResponse {


  /**
   * Repository status details.
   */
  struct nexus_rest_api_ns0_repository_status *data;
};

/**
 * Reads a RepositoryStatusResourceResponse element from XML. The element to be read is "repository-status", and
 * it is assumed that the reader is pointing to the XML document (not the element).
 *
 * @param reader The XML reader.
 * @return The RepositoryStatusResourceResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_repositoryStatusResourceResponse *xml_read_nexus_rest_api_ns0_repositoryStatusResourceResponse(xmlTextReaderPtr reader);

/**
 * Writes a RepositoryStatusResourceResponse to XML under element name "repository-status".
 *
 * @param writer The XML writer.
 * @param _repositoryStatusResourceResponse The RepositoryStatusResourceResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
int xml_write_nexus_rest_api_ns0_repositoryStatusResourceResponse(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_repositoryStatusResourceResponse *_repositoryStatusResourceResponse);

/**
 * Frees a RepositoryStatusResourceResponse.
 *
 * @param _repositoryStatusResourceResponse The RepositoryStatusResourceResponse to free.
 */
void free_nexus_rest_api_ns0_repositoryStatusResourceResponse(struct nexus_rest_api_ns0_repositoryStatusResourceResponse *_repositoryStatusResourceResponse);

/**
 * Reads a RepositoryStatusResourceResponse element from XML. The element to be read is "repository-status", and
 * it is assumed that the reader is already pointing to the element.
 *
 * @param reader The XML reader.
 * @return The RepositoryStatusResourceResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_repositoryStatusResourceResponse *xmlTextReaderReadNs0Repository_statusElement(xmlTextReaderPtr reader);

/**
 * Writes a RepositoryStatusResourceResponse to XML under element name "repository-status".
 * Does NOT write the namespace prefixes.
 *
 * @param writer The XML writer.
 * @param _repositoryStatusResourceResponse The RepositoryStatusResourceResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Repository_statusElement(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_repositoryStatusResourceResponse *_repositoryStatusResourceResponse);

/**
 * Writes a RepositoryStatusResourceResponse to XML under element name "repository-status".
 *
 * @param writer The XML writer.
 * @param _repositoryStatusResourceResponse The RepositoryStatusResourceResponse to write.
 * @param writeNamespaces Whether to write the namespace prefixes.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Repository_statusElementNS(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_repositoryStatusResourceResponse *_repositoryStatusResourceResponse, int writeNamespaces);

/**
 * Frees the children of a RepositoryStatusResourceResponse.
 *
 * @param _repositoryStatusResourceResponse The RepositoryStatusResourceResponse whose children are to be free.
 */
static void freeNs0Repository_statusElement(struct nexus_rest_api_ns0_repositoryStatusResourceResponse *_repositoryStatusResourceResponse);

/**
 * Reads a RepositoryStatusResourceResponse from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The RepositoryStatusResourceResponse, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_repositoryStatusResourceResponse *xmlTextReaderReadNs0RepositoryStatusResourceResponseType(xmlTextReaderPtr reader);

/**
 * Writes a RepositoryStatusResourceResponse to XML.
 *
 * @param writer The XML writer.
 * @param _repositoryStatusResourceResponse The RepositoryStatusResourceResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0RepositoryStatusResourceResponseType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_repositoryStatusResourceResponse *_repositoryStatusResourceResponse);

/**
 * Frees the elements of a RepositoryStatusResourceResponse.
 *
 * @param _repositoryStatusResourceResponse The RepositoryStatusResourceResponse to free.
 */
static void freeNs0RepositoryStatusResourceResponseType(struct nexus_rest_api_ns0_repositoryStatusResourceResponse *_repositoryStatusResourceResponse);

#endif /* DEF_nexus_rest_api_ns0_repositoryStatusResourceResponse_H */
#ifndef DEF_nexus_rest_api_ns0_repository_target_list_resource_H
#define DEF_nexus_rest_api_ns0_repository_target_list_resource_H

/**
 *  The repository target list details.
 
 @version $Revision$ $Date$

 */
struct nexus_rest_api_ns0_repository_target_list_resource {


  /**
   * URL that can be used to manage the repository target.
   */
  xmlChar *resourceURI;

  /**
   * The id of the repository target.
   */
  xmlChar *id;

  /**
   * The name of the repository target.
   */
  xmlChar *name;

  /**
   * The content class of the repository target.
   */
  xmlChar *contentClass;
};

/**
 * Reads a RepositoryTargetListResource from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The RepositoryTargetListResource, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_repository_target_list_resource *xmlTextReaderReadNs0Repository_target_list_resourceType(xmlTextReaderPtr reader);

/**
 * Writes a RepositoryTargetListResource to XML.
 *
 * @param writer The XML writer.
 * @param _repositoryTargetListResource The RepositoryTargetListResource to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Repository_target_list_resourceType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_repository_target_list_resource *_repositoryTargetListResource);

/**
 * Frees the elements of a RepositoryTargetListResource.
 *
 * @param _repositoryTargetListResource The RepositoryTargetListResource to free.
 */
static void freeNs0Repository_target_list_resourceType(struct nexus_rest_api_ns0_repository_target_list_resource *_repositoryTargetListResource);

#endif /* DEF_nexus_rest_api_ns0_repository_target_list_resource_H */
#ifndef DEF_nexus_rest_api_ns0_repositoryTargetListResourceResponse_H
#define DEF_nexus_rest_api_ns0_repositoryTargetListResourceResponse_H

/**
 *  REST Response object for a list of repository targets, contains
 the typical 'data' parameter, which is the list of repository
 targets.
 
 @version $Revision$ $Date$

 */
struct nexus_rest_api_ns0_repositoryTargetListResourceResponse {


  /**
   * Field data.
   */
  struct nexus_rest_api_ns0_repository_target_list_resource *data;

  /**
   * Size of the data array.
   */
  int _sizeof_data;
};

/**
 * Reads a RepositoryTargetListResourceResponse element from XML. The element to be read is "repo-targets-list", and
 * it is assumed that the reader is pointing to the XML document (not the element).
 *
 * @param reader The XML reader.
 * @return The RepositoryTargetListResourceResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_repositoryTargetListResourceResponse *xml_read_nexus_rest_api_ns0_repositoryTargetListResourceResponse(xmlTextReaderPtr reader);

/**
 * Writes a RepositoryTargetListResourceResponse to XML under element name "repo-targets-list".
 *
 * @param writer The XML writer.
 * @param _repositoryTargetListResourceResponse The RepositoryTargetListResourceResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
int xml_write_nexus_rest_api_ns0_repositoryTargetListResourceResponse(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_repositoryTargetListResourceResponse *_repositoryTargetListResourceResponse);

/**
 * Frees a RepositoryTargetListResourceResponse.
 *
 * @param _repositoryTargetListResourceResponse The RepositoryTargetListResourceResponse to free.
 */
void free_nexus_rest_api_ns0_repositoryTargetListResourceResponse(struct nexus_rest_api_ns0_repositoryTargetListResourceResponse *_repositoryTargetListResourceResponse);

/**
 * Reads a RepositoryTargetListResourceResponse element from XML. The element to be read is "repo-targets-list", and
 * it is assumed that the reader is already pointing to the element.
 *
 * @param reader The XML reader.
 * @return The RepositoryTargetListResourceResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_repositoryTargetListResourceResponse *xmlTextReaderReadNs0Repo_targets_listElement(xmlTextReaderPtr reader);

/**
 * Writes a RepositoryTargetListResourceResponse to XML under element name "repo-targets-list".
 * Does NOT write the namespace prefixes.
 *
 * @param writer The XML writer.
 * @param _repositoryTargetListResourceResponse The RepositoryTargetListResourceResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Repo_targets_listElement(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_repositoryTargetListResourceResponse *_repositoryTargetListResourceResponse);

/**
 * Writes a RepositoryTargetListResourceResponse to XML under element name "repo-targets-list".
 *
 * @param writer The XML writer.
 * @param _repositoryTargetListResourceResponse The RepositoryTargetListResourceResponse to write.
 * @param writeNamespaces Whether to write the namespace prefixes.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Repo_targets_listElementNS(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_repositoryTargetListResourceResponse *_repositoryTargetListResourceResponse, int writeNamespaces);

/**
 * Frees the children of a RepositoryTargetListResourceResponse.
 *
 * @param _repositoryTargetListResourceResponse The RepositoryTargetListResourceResponse whose children are to be free.
 */
static void freeNs0Repo_targets_listElement(struct nexus_rest_api_ns0_repositoryTargetListResourceResponse *_repositoryTargetListResourceResponse);

/**
 * Reads a RepositoryTargetListResourceResponse from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The RepositoryTargetListResourceResponse, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_repositoryTargetListResourceResponse *xmlTextReaderReadNs0RepositoryTargetListResourceResponseType(xmlTextReaderPtr reader);

/**
 * Writes a RepositoryTargetListResourceResponse to XML.
 *
 * @param writer The XML writer.
 * @param _repositoryTargetListResourceResponse The RepositoryTargetListResourceResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0RepositoryTargetListResourceResponseType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_repositoryTargetListResourceResponse *_repositoryTargetListResourceResponse);

/**
 * Frees the elements of a RepositoryTargetListResourceResponse.
 *
 * @param _repositoryTargetListResourceResponse The RepositoryTargetListResourceResponse to free.
 */
static void freeNs0RepositoryTargetListResourceResponseType(struct nexus_rest_api_ns0_repositoryTargetListResourceResponse *_repositoryTargetListResourceResponse);

#endif /* DEF_nexus_rest_api_ns0_repositoryTargetListResourceResponse_H */
#ifndef DEF_nexus_rest_api_ns0_repository_target_resource_H
#define DEF_nexus_rest_api_ns0_repository_target_resource_H

/**
 *  The repository target configuration.
 
 @version $Revision$ $Date$

 */
struct nexus_rest_api_ns0_repository_target_resource {


  /**
   * The URL used to manage the repository target.
   */
  xmlChar *resourceURI;

  /**
   * The id of the repository target.
   */
  xmlChar *id;

  /**
   * The name of the repository target.
   */
  xmlChar *name;

  /**
   * The content class of the repository target.
   */
  xmlChar *contentClass;

  /**
   * Field patterns.
   */
  xmlChar *patterns;

  /**
   * Size of the patterns array.
   */
  int _sizeof_patterns;
};

/**
 * Reads a RepositoryTargetResource from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The RepositoryTargetResource, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_repository_target_resource *xmlTextReaderReadNs0Repository_target_resourceType(xmlTextReaderPtr reader);

/**
 * Writes a RepositoryTargetResource to XML.
 *
 * @param writer The XML writer.
 * @param _repositoryTargetResource The RepositoryTargetResource to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Repository_target_resourceType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_repository_target_resource *_repositoryTargetResource);

/**
 * Frees the elements of a RepositoryTargetResource.
 *
 * @param _repositoryTargetResource The RepositoryTargetResource to free.
 */
static void freeNs0Repository_target_resourceType(struct nexus_rest_api_ns0_repository_target_resource *_repositoryTargetResource);

#endif /* DEF_nexus_rest_api_ns0_repository_target_resource_H */
#ifndef DEF_nexus_rest_api_ns0_repositoryTargetResourceResponse_H
#define DEF_nexus_rest_api_ns0_repositoryTargetResourceResponse_H

/**
 *  REST Response object for a repository target, contains the
 typical 'data' parameter, which is the repository target.
 
 @version $Revision$ $Date$

 */
struct nexus_rest_api_ns0_repositoryTargetResourceResponse {


  /**
   * The repository target details.
   */
  struct nexus_rest_api_ns0_repository_target_resource *data;
};

/**
 * Reads a RepositoryTargetResourceResponse element from XML. The element to be read is "repo-target", and
 * it is assumed that the reader is pointing to the XML document (not the element).
 *
 * @param reader The XML reader.
 * @return The RepositoryTargetResourceResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_repositoryTargetResourceResponse *xml_read_nexus_rest_api_ns0_repositoryTargetResourceResponse(xmlTextReaderPtr reader);

/**
 * Writes a RepositoryTargetResourceResponse to XML under element name "repo-target".
 *
 * @param writer The XML writer.
 * @param _repositoryTargetResourceResponse The RepositoryTargetResourceResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
int xml_write_nexus_rest_api_ns0_repositoryTargetResourceResponse(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_repositoryTargetResourceResponse *_repositoryTargetResourceResponse);

/**
 * Frees a RepositoryTargetResourceResponse.
 *
 * @param _repositoryTargetResourceResponse The RepositoryTargetResourceResponse to free.
 */
void free_nexus_rest_api_ns0_repositoryTargetResourceResponse(struct nexus_rest_api_ns0_repositoryTargetResourceResponse *_repositoryTargetResourceResponse);

/**
 * Reads a RepositoryTargetResourceResponse element from XML. The element to be read is "repo-target", and
 * it is assumed that the reader is already pointing to the element.
 *
 * @param reader The XML reader.
 * @return The RepositoryTargetResourceResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_repositoryTargetResourceResponse *xmlTextReaderReadNs0Repo_targetElement(xmlTextReaderPtr reader);

/**
 * Writes a RepositoryTargetResourceResponse to XML under element name "repo-target".
 * Does NOT write the namespace prefixes.
 *
 * @param writer The XML writer.
 * @param _repositoryTargetResourceResponse The RepositoryTargetResourceResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Repo_targetElement(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_repositoryTargetResourceResponse *_repositoryTargetResourceResponse);

/**
 * Writes a RepositoryTargetResourceResponse to XML under element name "repo-target".
 *
 * @param writer The XML writer.
 * @param _repositoryTargetResourceResponse The RepositoryTargetResourceResponse to write.
 * @param writeNamespaces Whether to write the namespace prefixes.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Repo_targetElementNS(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_repositoryTargetResourceResponse *_repositoryTargetResourceResponse, int writeNamespaces);

/**
 * Frees the children of a RepositoryTargetResourceResponse.
 *
 * @param _repositoryTargetResourceResponse The RepositoryTargetResourceResponse whose children are to be free.
 */
static void freeNs0Repo_targetElement(struct nexus_rest_api_ns0_repositoryTargetResourceResponse *_repositoryTargetResourceResponse);

/**
 * Reads a RepositoryTargetResourceResponse from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The RepositoryTargetResourceResponse, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_repositoryTargetResourceResponse *xmlTextReaderReadNs0RepositoryTargetResourceResponseType(xmlTextReaderPtr reader);

/**
 * Writes a RepositoryTargetResourceResponse to XML.
 *
 * @param writer The XML writer.
 * @param _repositoryTargetResourceResponse The RepositoryTargetResourceResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0RepositoryTargetResourceResponseType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_repositoryTargetResourceResponse *_repositoryTargetResourceResponse);

/**
 * Frees the elements of a RepositoryTargetResourceResponse.
 *
 * @param _repositoryTargetResourceResponse The RepositoryTargetResourceResponse to free.
 */
static void freeNs0RepositoryTargetResourceResponseType(struct nexus_rest_api_ns0_repositoryTargetResourceResponse *_repositoryTargetResourceResponse);

#endif /* DEF_nexus_rest_api_ns0_repositoryTargetResourceResponse_H */
#ifndef DEF_nexus_rest_api_ns0_rest_api_settings_H
#define DEF_nexus_rest_api_ns0_rest_api_settings_H

/**
 *  The rest api configuration settings.
 
 @version $Revision$ $Date$

 */
struct nexus_rest_api_ns0_rest_api_settings {


  /**
   * Flag that states whether to forcefully set the baseUrl
defined in rest responses.
   */
  int forceBaseUrl;

  /**
   * The baseUrl of the nexus server.
   */
  xmlChar *baseUrl;
};

/**
 * Reads a RestApiSettings from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The RestApiSettings, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_rest_api_settings *xmlTextReaderReadNs0Rest_api_settingsType(xmlTextReaderPtr reader);

/**
 * Writes a RestApiSettings to XML.
 *
 * @param writer The XML writer.
 * @param _restApiSettings The RestApiSettings to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Rest_api_settingsType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_rest_api_settings *_restApiSettings);

/**
 * Frees the elements of a RestApiSettings.
 *
 * @param _restApiSettings The RestApiSettings to free.
 */
static void freeNs0Rest_api_settingsType(struct nexus_rest_api_ns0_rest_api_settings *_restApiSettings);

#endif /* DEF_nexus_rest_api_ns0_rest_api_settings_H */
#ifndef DEF_nexus_rest_api_ns0_scheduled_service_base_resource_H
#define DEF_nexus_rest_api_ns0_scheduled_service_base_resource_H

/**
 *  The scheduled service configuration.
 
 @version $Revision$ $Date$

 */
struct nexus_rest_api_ns0_scheduled_service_base_resource {


  /**
   * The id of the service.
   */
  xmlChar *id;

  /**
   * The name of the service.
   */
  xmlChar *name;

  /**
   * Flag that states if the service is enabled.
   */
  int enabled;

  /**
   * The type id of the service.
   */
  xmlChar *typeId;

  /**
   * The email to send notifications to if the service fails.
   */
  xmlChar *alertEmail;

  /**
   * The schedule the service is run on.
   */
  xmlChar *schedule;

  /**
   * Field properties.
   */
  struct nexus_rest_api_ns0_scheduled_service_property_resource *properties;

  /**
   * Size of the properties array.
   */
  int _sizeof_properties;
};

/**
 * Reads a ScheduledServiceBaseResource from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The ScheduledServiceBaseResource, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_scheduled_service_base_resource *xmlTextReaderReadNs0Scheduled_service_base_resourceType(xmlTextReaderPtr reader);

/**
 * Writes a ScheduledServiceBaseResource to XML.
 *
 * @param writer The XML writer.
 * @param _scheduledServiceBaseResource The ScheduledServiceBaseResource to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Scheduled_service_base_resourceType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_scheduled_service_base_resource *_scheduledServiceBaseResource);

/**
 * Frees the elements of a ScheduledServiceBaseResource.
 *
 * @param _scheduledServiceBaseResource The ScheduledServiceBaseResource to free.
 */
static void freeNs0Scheduled_service_base_resourceType(struct nexus_rest_api_ns0_scheduled_service_base_resource *_scheduledServiceBaseResource);

#endif /* DEF_nexus_rest_api_ns0_scheduled_service_base_resource_H */
#ifndef DEF_nexus_rest_api_ns0_scheduled_service_list_resource_H
#define DEF_nexus_rest_api_ns0_scheduled_service_list_resource_H

/**
 *  Scheduled service list item details.
 
 @version $Revision$ $Date$

 */
struct nexus_rest_api_ns0_scheduled_service_list_resource {


  /**
   * The URL that can be used to manage the scheduled service.
   */
  xmlChar *resourceURI;

  /**
   * The id of the scheduled service.
   */
  xmlChar *id;

  /**
   * Flag that states if the service is enabled.
   */
  int enabled;

  /**
   * The name of the scheduled service.
   */
  xmlChar *name;

  /**
   * The type id of the scheduled service.
   */
  xmlChar *typeId;

  /**
   * The type name of the scheduled service.
   */
  xmlChar *typeName;

  /**
   * The status of the scheduled service (running, broken, etc.).
   */
  xmlChar *status;

  /**
   * The type of schedule the service is run on (monthly, daily,
etc.).
   */
  xmlChar *schedule;

  /**
   * The next time the scheduled service will run.
   */
  xmlChar *nextRunTime;

  /**
   * The last time the scheduled service ran.
   */
  xmlChar *lastRunTime;

  /**
   * The result of the last service run.
   */
  xmlChar *lastRunResult;

  /**
   * The date the service was created.
   */
  xmlChar *created;
};

/**
 * Reads a ScheduledServiceListResource from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The ScheduledServiceListResource, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_scheduled_service_list_resource *xmlTextReaderReadNs0Scheduled_service_list_resourceType(xmlTextReaderPtr reader);

/**
 * Writes a ScheduledServiceListResource to XML.
 *
 * @param writer The XML writer.
 * @param _scheduledServiceListResource The ScheduledServiceListResource to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Scheduled_service_list_resourceType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_scheduled_service_list_resource *_scheduledServiceListResource);

/**
 * Frees the elements of a ScheduledServiceListResource.
 *
 * @param _scheduledServiceListResource The ScheduledServiceListResource to free.
 */
static void freeNs0Scheduled_service_list_resourceType(struct nexus_rest_api_ns0_scheduled_service_list_resource *_scheduledServiceListResource);

#endif /* DEF_nexus_rest_api_ns0_scheduled_service_list_resource_H */
#ifndef DEF_nexus_rest_api_ns0_scheduledServiceListResourceResponse_H
#define DEF_nexus_rest_api_ns0_scheduledServiceListResourceResponse_H

/**
 *  REST Response object for a list of scheduled service items,
 contains the typical 'data' parameter, which is the list of
 scheduled services..
 
 @version $Revision$ $Date$

 */
struct nexus_rest_api_ns0_scheduledServiceListResourceResponse {


  /**
   * Field data.
   */
  struct nexus_rest_api_ns0_scheduled_service_list_resource *data;

  /**
   * Size of the data array.
   */
  int _sizeof_data;
};

/**
 * Reads a ScheduledServiceListResourceResponse element from XML. The element to be read is "schedules-list", and
 * it is assumed that the reader is pointing to the XML document (not the element).
 *
 * @param reader The XML reader.
 * @return The ScheduledServiceListResourceResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_scheduledServiceListResourceResponse *xml_read_nexus_rest_api_ns0_scheduledServiceListResourceResponse(xmlTextReaderPtr reader);

/**
 * Writes a ScheduledServiceListResourceResponse to XML under element name "schedules-list".
 *
 * @param writer The XML writer.
 * @param _scheduledServiceListResourceResponse The ScheduledServiceListResourceResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
int xml_write_nexus_rest_api_ns0_scheduledServiceListResourceResponse(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_scheduledServiceListResourceResponse *_scheduledServiceListResourceResponse);

/**
 * Frees a ScheduledServiceListResourceResponse.
 *
 * @param _scheduledServiceListResourceResponse The ScheduledServiceListResourceResponse to free.
 */
void free_nexus_rest_api_ns0_scheduledServiceListResourceResponse(struct nexus_rest_api_ns0_scheduledServiceListResourceResponse *_scheduledServiceListResourceResponse);

/**
 * Reads a ScheduledServiceListResourceResponse element from XML. The element to be read is "schedules-list", and
 * it is assumed that the reader is already pointing to the element.
 *
 * @param reader The XML reader.
 * @return The ScheduledServiceListResourceResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_scheduledServiceListResourceResponse *xmlTextReaderReadNs0Schedules_listElement(xmlTextReaderPtr reader);

/**
 * Writes a ScheduledServiceListResourceResponse to XML under element name "schedules-list".
 * Does NOT write the namespace prefixes.
 *
 * @param writer The XML writer.
 * @param _scheduledServiceListResourceResponse The ScheduledServiceListResourceResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Schedules_listElement(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_scheduledServiceListResourceResponse *_scheduledServiceListResourceResponse);

/**
 * Writes a ScheduledServiceListResourceResponse to XML under element name "schedules-list".
 *
 * @param writer The XML writer.
 * @param _scheduledServiceListResourceResponse The ScheduledServiceListResourceResponse to write.
 * @param writeNamespaces Whether to write the namespace prefixes.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Schedules_listElementNS(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_scheduledServiceListResourceResponse *_scheduledServiceListResourceResponse, int writeNamespaces);

/**
 * Frees the children of a ScheduledServiceListResourceResponse.
 *
 * @param _scheduledServiceListResourceResponse The ScheduledServiceListResourceResponse whose children are to be free.
 */
static void freeNs0Schedules_listElement(struct nexus_rest_api_ns0_scheduledServiceListResourceResponse *_scheduledServiceListResourceResponse);

/**
 * Reads a ScheduledServiceListResourceResponse from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The ScheduledServiceListResourceResponse, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_scheduledServiceListResourceResponse *xmlTextReaderReadNs0ScheduledServiceListResourceResponseType(xmlTextReaderPtr reader);

/**
 * Writes a ScheduledServiceListResourceResponse to XML.
 *
 * @param writer The XML writer.
 * @param _scheduledServiceListResourceResponse The ScheduledServiceListResourceResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0ScheduledServiceListResourceResponseType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_scheduledServiceListResourceResponse *_scheduledServiceListResourceResponse);

/**
 * Frees the elements of a ScheduledServiceListResourceResponse.
 *
 * @param _scheduledServiceListResourceResponse The ScheduledServiceListResourceResponse to free.
 */
static void freeNs0ScheduledServiceListResourceResponseType(struct nexus_rest_api_ns0_scheduledServiceListResourceResponse *_scheduledServiceListResourceResponse);

#endif /* DEF_nexus_rest_api_ns0_scheduledServiceListResourceResponse_H */
#ifndef DEF_nexus_rest_api_ns0_scheduled_service_property_resource_H
#define DEF_nexus_rest_api_ns0_scheduled_service_property_resource_H

/**
 *  A configuration property for a scheduled service.
 
 @version $Revision$ $Date$

 */
struct nexus_rest_api_ns0_scheduled_service_property_resource {


  /**
   * The id of the property.
   */
  xmlChar *id;

  /**
   * The value of the property.
   */
  xmlChar *value;
};

/**
 * Reads a ScheduledServicePropertyResource from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The ScheduledServicePropertyResource, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_scheduled_service_property_resource *xmlTextReaderReadNs0Scheduled_service_property_resourceType(xmlTextReaderPtr reader);

/**
 * Writes a ScheduledServicePropertyResource to XML.
 *
 * @param writer The XML writer.
 * @param _scheduledServicePropertyResource The ScheduledServicePropertyResource to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Scheduled_service_property_resourceType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_scheduled_service_property_resource *_scheduledServicePropertyResource);

/**
 * Frees the elements of a ScheduledServicePropertyResource.
 *
 * @param _scheduledServicePropertyResource The ScheduledServicePropertyResource to free.
 */
static void freeNs0Scheduled_service_property_resourceType(struct nexus_rest_api_ns0_scheduled_service_property_resource *_scheduledServicePropertyResource);

#endif /* DEF_nexus_rest_api_ns0_scheduled_service_property_resource_H */
#ifndef DEF_nexus_rest_api_ns0_scheduledServiceResourceResponse_H
#define DEF_nexus_rest_api_ns0_scheduledServiceResourceResponse_H

/**
 *  REST Response object for a scheduled service configuration
 request, contains the typical 'data' parameter, which is the
 scheduled service configuration.
 
 @version $Revision$ $Date$

 */
struct nexus_rest_api_ns0_scheduledServiceResourceResponse {


  /**
   * The scheduled service configuration.
   */
  struct nexus_rest_api_ns0_scheduled_service_base_resource *data;
};

/**
 * Reads a ScheduledServiceResourceResponse element from XML. The element to be read is "scheduled-task", and
 * it is assumed that the reader is pointing to the XML document (not the element).
 *
 * @param reader The XML reader.
 * @return The ScheduledServiceResourceResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_scheduledServiceResourceResponse *xml_read_nexus_rest_api_ns0_scheduledServiceResourceResponse(xmlTextReaderPtr reader);

/**
 * Writes a ScheduledServiceResourceResponse to XML under element name "scheduled-task".
 *
 * @param writer The XML writer.
 * @param _scheduledServiceResourceResponse The ScheduledServiceResourceResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
int xml_write_nexus_rest_api_ns0_scheduledServiceResourceResponse(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_scheduledServiceResourceResponse *_scheduledServiceResourceResponse);

/**
 * Frees a ScheduledServiceResourceResponse.
 *
 * @param _scheduledServiceResourceResponse The ScheduledServiceResourceResponse to free.
 */
void free_nexus_rest_api_ns0_scheduledServiceResourceResponse(struct nexus_rest_api_ns0_scheduledServiceResourceResponse *_scheduledServiceResourceResponse);

/**
 * Reads a ScheduledServiceResourceResponse element from XML. The element to be read is "scheduled-task", and
 * it is assumed that the reader is already pointing to the element.
 *
 * @param reader The XML reader.
 * @return The ScheduledServiceResourceResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_scheduledServiceResourceResponse *xmlTextReaderReadNs0Scheduled_taskElement(xmlTextReaderPtr reader);

/**
 * Writes a ScheduledServiceResourceResponse to XML under element name "scheduled-task".
 * Does NOT write the namespace prefixes.
 *
 * @param writer The XML writer.
 * @param _scheduledServiceResourceResponse The ScheduledServiceResourceResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Scheduled_taskElement(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_scheduledServiceResourceResponse *_scheduledServiceResourceResponse);

/**
 * Writes a ScheduledServiceResourceResponse to XML under element name "scheduled-task".
 *
 * @param writer The XML writer.
 * @param _scheduledServiceResourceResponse The ScheduledServiceResourceResponse to write.
 * @param writeNamespaces Whether to write the namespace prefixes.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Scheduled_taskElementNS(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_scheduledServiceResourceResponse *_scheduledServiceResourceResponse, int writeNamespaces);

/**
 * Frees the children of a ScheduledServiceResourceResponse.
 *
 * @param _scheduledServiceResourceResponse The ScheduledServiceResourceResponse whose children are to be free.
 */
static void freeNs0Scheduled_taskElement(struct nexus_rest_api_ns0_scheduledServiceResourceResponse *_scheduledServiceResourceResponse);

/**
 * Reads a ScheduledServiceResourceResponse from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The ScheduledServiceResourceResponse, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_scheduledServiceResourceResponse *xmlTextReaderReadNs0ScheduledServiceResourceResponseType(xmlTextReaderPtr reader);

/**
 * Writes a ScheduledServiceResourceResponse to XML.
 *
 * @param writer The XML writer.
 * @param _scheduledServiceResourceResponse The ScheduledServiceResourceResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0ScheduledServiceResourceResponseType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_scheduledServiceResourceResponse *_scheduledServiceResourceResponse);

/**
 * Frees the elements of a ScheduledServiceResourceResponse.
 *
 * @param _scheduledServiceResourceResponse The ScheduledServiceResourceResponse to free.
 */
static void freeNs0ScheduledServiceResourceResponseType(struct nexus_rest_api_ns0_scheduledServiceResourceResponse *_scheduledServiceResourceResponse);

#endif /* DEF_nexus_rest_api_ns0_scheduledServiceResourceResponse_H */
#ifndef DEF_nexus_rest_api_ns0_scheduled_service_resource_status_H
#define DEF_nexus_rest_api_ns0_scheduled_service_resource_status_H

/**
 *  Scheduled service status details.
 
 @version $Revision$ $Date$

 */
struct nexus_rest_api_ns0_scheduled_service_resource_status {


  /**
   * The scheduled service configuration.
   */
  struct nexus_rest_api_ns0_scheduled_service_base_resource *resource;

  /**
   * The URL used to managed the scheduled service.
   */
  xmlChar *resourceURI;

  /**
   * The status of the scheduled service.
   */
  xmlChar *status;

  /**
   * The next time the scheduled service will run.
   */
  xmlChar *nextRunTime;

  /**
   * The last time the scheduled service ran.
   */
  xmlChar *lastRunTime;

  /**
   * The result of the last service run.
   */
  xmlChar *lastRunResult;

  /**
   * The date the service was created.
   */
  xmlChar *created;
};

/**
 * Reads a ScheduledServiceResourceStatus from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The ScheduledServiceResourceStatus, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_scheduled_service_resource_status *xmlTextReaderReadNs0Scheduled_service_resource_statusType(xmlTextReaderPtr reader);

/**
 * Writes a ScheduledServiceResourceStatus to XML.
 *
 * @param writer The XML writer.
 * @param _scheduledServiceResourceStatus The ScheduledServiceResourceStatus to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Scheduled_service_resource_statusType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_scheduled_service_resource_status *_scheduledServiceResourceStatus);

/**
 * Frees the elements of a ScheduledServiceResourceStatus.
 *
 * @param _scheduledServiceResourceStatus The ScheduledServiceResourceStatus to free.
 */
static void freeNs0Scheduled_service_resource_statusType(struct nexus_rest_api_ns0_scheduled_service_resource_status *_scheduledServiceResourceStatus);

#endif /* DEF_nexus_rest_api_ns0_scheduled_service_resource_status_H */
#ifndef DEF_nexus_rest_api_ns0_scheduledServiceResourceStatusResponse_H
#define DEF_nexus_rest_api_ns0_scheduledServiceResourceStatusResponse_H

/**
 *  REST Response object for a scheduled service status request,
 contains the typical 'data' parameter, which is the scheduled
 service status.
 
 @version $Revision$ $Date$

 */
struct nexus_rest_api_ns0_scheduledServiceResourceStatusResponse {


  /**
   * The scheduled service status details.
   */
  struct nexus_rest_api_ns0_scheduled_service_resource_status *data;
};

/**
 * Reads a ScheduledServiceResourceStatusResponse element from XML. The element to be read is "schedule-service-status", and
 * it is assumed that the reader is pointing to the XML document (not the element).
 *
 * @param reader The XML reader.
 * @return The ScheduledServiceResourceStatusResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_scheduledServiceResourceStatusResponse *xml_read_nexus_rest_api_ns0_scheduledServiceResourceStatusResponse(xmlTextReaderPtr reader);

/**
 * Writes a ScheduledServiceResourceStatusResponse to XML under element name "schedule-service-status".
 *
 * @param writer The XML writer.
 * @param _scheduledServiceResourceStatusResponse The ScheduledServiceResourceStatusResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
int xml_write_nexus_rest_api_ns0_scheduledServiceResourceStatusResponse(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_scheduledServiceResourceStatusResponse *_scheduledServiceResourceStatusResponse);

/**
 * Frees a ScheduledServiceResourceStatusResponse.
 *
 * @param _scheduledServiceResourceStatusResponse The ScheduledServiceResourceStatusResponse to free.
 */
void free_nexus_rest_api_ns0_scheduledServiceResourceStatusResponse(struct nexus_rest_api_ns0_scheduledServiceResourceStatusResponse *_scheduledServiceResourceStatusResponse);

/**
 * Reads a ScheduledServiceResourceStatusResponse element from XML. The element to be read is "schedule-service-status", and
 * it is assumed that the reader is already pointing to the element.
 *
 * @param reader The XML reader.
 * @return The ScheduledServiceResourceStatusResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_scheduledServiceResourceStatusResponse *xmlTextReaderReadNs0Schedule_service_statusElement(xmlTextReaderPtr reader);

/**
 * Writes a ScheduledServiceResourceStatusResponse to XML under element name "schedule-service-status".
 * Does NOT write the namespace prefixes.
 *
 * @param writer The XML writer.
 * @param _scheduledServiceResourceStatusResponse The ScheduledServiceResourceStatusResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Schedule_service_statusElement(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_scheduledServiceResourceStatusResponse *_scheduledServiceResourceStatusResponse);

/**
 * Writes a ScheduledServiceResourceStatusResponse to XML under element name "schedule-service-status".
 *
 * @param writer The XML writer.
 * @param _scheduledServiceResourceStatusResponse The ScheduledServiceResourceStatusResponse to write.
 * @param writeNamespaces Whether to write the namespace prefixes.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Schedule_service_statusElementNS(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_scheduledServiceResourceStatusResponse *_scheduledServiceResourceStatusResponse, int writeNamespaces);

/**
 * Frees the children of a ScheduledServiceResourceStatusResponse.
 *
 * @param _scheduledServiceResourceStatusResponse The ScheduledServiceResourceStatusResponse whose children are to be free.
 */
static void freeNs0Schedule_service_statusElement(struct nexus_rest_api_ns0_scheduledServiceResourceStatusResponse *_scheduledServiceResourceStatusResponse);

/**
 * Reads a ScheduledServiceResourceStatusResponse from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The ScheduledServiceResourceStatusResponse, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_scheduledServiceResourceStatusResponse *xmlTextReaderReadNs0ScheduledServiceResourceStatusResponseType(xmlTextReaderPtr reader);

/**
 * Writes a ScheduledServiceResourceStatusResponse to XML.
 *
 * @param writer The XML writer.
 * @param _scheduledServiceResourceStatusResponse The ScheduledServiceResourceStatusResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0ScheduledServiceResourceStatusResponseType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_scheduledServiceResourceStatusResponse *_scheduledServiceResourceStatusResponse);

/**
 * Frees the elements of a ScheduledServiceResourceStatusResponse.
 *
 * @param _scheduledServiceResourceStatusResponse The ScheduledServiceResourceStatusResponse to free.
 */
static void freeNs0ScheduledServiceResourceStatusResponseType(struct nexus_rest_api_ns0_scheduledServiceResourceStatusResponse *_scheduledServiceResourceStatusResponse);

#endif /* DEF_nexus_rest_api_ns0_scheduledServiceResourceStatusResponse_H */
#ifndef DEF_nexus_rest_api_ns0_scheduled_service_type_property_resource_H
#define DEF_nexus_rest_api_ns0_scheduled_service_type_property_resource_H

/**
 *  Property that helps configure a scheduled service.
 
 @version $Revision$ $Date$

 */
struct nexus_rest_api_ns0_scheduled_service_type_property_resource {


  /**
   * The id of the property.
   */
  xmlChar *id;

  /**
   * The name of the property.
   */
  xmlChar *name;

  /**
   * The type of the property (string, date, checkbox, etc.).
   */
  xmlChar *type;

  /**
   * The help text for the property.
   */
  xmlChar *helpText;

  /**
   * Flag that states if the property is required to be set.
   */
  int required;

  /**
   * Regular expression validation for the value of the property.
   */
  xmlChar *regexValidation;
};

/**
 * Reads a ScheduledServiceTypePropertyResource from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The ScheduledServiceTypePropertyResource, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_scheduled_service_type_property_resource *xmlTextReaderReadNs0Scheduled_service_type_property_resourceType(xmlTextReaderPtr reader);

/**
 * Writes a ScheduledServiceTypePropertyResource to XML.
 *
 * @param writer The XML writer.
 * @param _scheduledServiceTypePropertyResource The ScheduledServiceTypePropertyResource to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Scheduled_service_type_property_resourceType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_scheduled_service_type_property_resource *_scheduledServiceTypePropertyResource);

/**
 * Frees the elements of a ScheduledServiceTypePropertyResource.
 *
 * @param _scheduledServiceTypePropertyResource The ScheduledServiceTypePropertyResource to free.
 */
static void freeNs0Scheduled_service_type_property_resourceType(struct nexus_rest_api_ns0_scheduled_service_type_property_resource *_scheduledServiceTypePropertyResource);

#endif /* DEF_nexus_rest_api_ns0_scheduled_service_type_property_resource_H */
#ifndef DEF_nexus_rest_api_ns0_scheduled_service_type_resource_H
#define DEF_nexus_rest_api_ns0_scheduled_service_type_resource_H

/**
 *  Scheduled service type, which you can create a scheduled task
 against.
 
 @version $Revision$ $Date$

 */
struct nexus_rest_api_ns0_scheduled_service_type_resource {


  /**
   * The id of the service type.
   */
  xmlChar *id;

  /**
   * The name of the service type.
   */
  xmlChar *name;

  /**
   * Field properties.
   */
  struct nexus_rest_api_ns0_scheduled_service_type_property_resource *properties;

  /**
   * Size of the properties array.
   */
  int _sizeof_properties;
};

/**
 * Reads a ScheduledServiceTypeResource from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The ScheduledServiceTypeResource, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_scheduled_service_type_resource *xmlTextReaderReadNs0Scheduled_service_type_resourceType(xmlTextReaderPtr reader);

/**
 * Writes a ScheduledServiceTypeResource to XML.
 *
 * @param writer The XML writer.
 * @param _scheduledServiceTypeResource The ScheduledServiceTypeResource to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Scheduled_service_type_resourceType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_scheduled_service_type_resource *_scheduledServiceTypeResource);

/**
 * Frees the elements of a ScheduledServiceTypeResource.
 *
 * @param _scheduledServiceTypeResource The ScheduledServiceTypeResource to free.
 */
static void freeNs0Scheduled_service_type_resourceType(struct nexus_rest_api_ns0_scheduled_service_type_resource *_scheduledServiceTypeResource);

#endif /* DEF_nexus_rest_api_ns0_scheduled_service_type_resource_H */
#ifndef DEF_nexus_rest_api_ns0_scheduledServiceTypeResourceResponse_H
#define DEF_nexus_rest_api_ns0_scheduledServiceTypeResourceResponse_H

/**
 *  REST Response object for a scheduled service type list request,
 contains the typical 'data' parameter, which is the scheduled
 service type details.
 
 @version $Revision$ $Date$

 */
struct nexus_rest_api_ns0_scheduledServiceTypeResourceResponse {


  /**
   * Field data.
   */
  struct nexus_rest_api_ns0_scheduled_service_type_resource *data;

  /**
   * Size of the data array.
   */
  int _sizeof_data;
};

/**
 * Reads a ScheduledServiceTypeResourceResponse element from XML. The element to be read is "schedule-types", and
 * it is assumed that the reader is pointing to the XML document (not the element).
 *
 * @param reader The XML reader.
 * @return The ScheduledServiceTypeResourceResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_scheduledServiceTypeResourceResponse *xml_read_nexus_rest_api_ns0_scheduledServiceTypeResourceResponse(xmlTextReaderPtr reader);

/**
 * Writes a ScheduledServiceTypeResourceResponse to XML under element name "schedule-types".
 *
 * @param writer The XML writer.
 * @param _scheduledServiceTypeResourceResponse The ScheduledServiceTypeResourceResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
int xml_write_nexus_rest_api_ns0_scheduledServiceTypeResourceResponse(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_scheduledServiceTypeResourceResponse *_scheduledServiceTypeResourceResponse);

/**
 * Frees a ScheduledServiceTypeResourceResponse.
 *
 * @param _scheduledServiceTypeResourceResponse The ScheduledServiceTypeResourceResponse to free.
 */
void free_nexus_rest_api_ns0_scheduledServiceTypeResourceResponse(struct nexus_rest_api_ns0_scheduledServiceTypeResourceResponse *_scheduledServiceTypeResourceResponse);

/**
 * Reads a ScheduledServiceTypeResourceResponse element from XML. The element to be read is "schedule-types", and
 * it is assumed that the reader is already pointing to the element.
 *
 * @param reader The XML reader.
 * @return The ScheduledServiceTypeResourceResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_scheduledServiceTypeResourceResponse *xmlTextReaderReadNs0Schedule_typesElement(xmlTextReaderPtr reader);

/**
 * Writes a ScheduledServiceTypeResourceResponse to XML under element name "schedule-types".
 * Does NOT write the namespace prefixes.
 *
 * @param writer The XML writer.
 * @param _scheduledServiceTypeResourceResponse The ScheduledServiceTypeResourceResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Schedule_typesElement(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_scheduledServiceTypeResourceResponse *_scheduledServiceTypeResourceResponse);

/**
 * Writes a ScheduledServiceTypeResourceResponse to XML under element name "schedule-types".
 *
 * @param writer The XML writer.
 * @param _scheduledServiceTypeResourceResponse The ScheduledServiceTypeResourceResponse to write.
 * @param writeNamespaces Whether to write the namespace prefixes.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Schedule_typesElementNS(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_scheduledServiceTypeResourceResponse *_scheduledServiceTypeResourceResponse, int writeNamespaces);

/**
 * Frees the children of a ScheduledServiceTypeResourceResponse.
 *
 * @param _scheduledServiceTypeResourceResponse The ScheduledServiceTypeResourceResponse whose children are to be free.
 */
static void freeNs0Schedule_typesElement(struct nexus_rest_api_ns0_scheduledServiceTypeResourceResponse *_scheduledServiceTypeResourceResponse);

/**
 * Reads a ScheduledServiceTypeResourceResponse from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The ScheduledServiceTypeResourceResponse, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_scheduledServiceTypeResourceResponse *xmlTextReaderReadNs0ScheduledServiceTypeResourceResponseType(xmlTextReaderPtr reader);

/**
 * Writes a ScheduledServiceTypeResourceResponse to XML.
 *
 * @param writer The XML writer.
 * @param _scheduledServiceTypeResourceResponse The ScheduledServiceTypeResourceResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0ScheduledServiceTypeResourceResponseType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_scheduledServiceTypeResourceResponse *_scheduledServiceTypeResourceResponse);

/**
 * Frees the elements of a ScheduledServiceTypeResourceResponse.
 *
 * @param _scheduledServiceTypeResourceResponse The ScheduledServiceTypeResourceResponse to free.
 */
static void freeNs0ScheduledServiceTypeResourceResponseType(struct nexus_rest_api_ns0_scheduledServiceTypeResourceResponse *_scheduledServiceTypeResourceResponse);

#endif /* DEF_nexus_rest_api_ns0_scheduledServiceTypeResourceResponse_H */
#ifndef DEF_nexus_rest_api_ns0_smtp_settings_H
#define DEF_nexus_rest_api_ns0_smtp_settings_H

/**
 *  The connections settings for an smtp server.
 
 @version $Revision$ $Date$

 */
struct nexus_rest_api_ns0_smtp_settings {


  /**
   * The smtp host.
   */
  xmlChar *host;

  /**
   * The smtp port.
   */
  int port;

  /**
   * The smtp server username.
   */
  xmlChar *username;

  /**
   * The smtp server password.
   */
  xmlChar *password;

  /**
   * The email address that emails will be sent from.
   */
  xmlChar *systemEmailAddress;

  /**
   * Flag that states whether to use ssl.
   */
  int sslEnabled;

  /**
   * Flag that states whether to use tls.
   */
  int tlsEnabled;
};

/**
 * Reads a SmtpSettings from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The SmtpSettings, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_smtp_settings *xmlTextReaderReadNs0Smtp_settingsType(xmlTextReaderPtr reader);

/**
 * Writes a SmtpSettings to XML.
 *
 * @param writer The XML writer.
 * @param _smtpSettings The SmtpSettings to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Smtp_settingsType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_smtp_settings *_smtpSettings);

/**
 * Frees the elements of a SmtpSettings.
 *
 * @param _smtpSettings The SmtpSettings to free.
 */
static void freeNs0Smtp_settingsType(struct nexus_rest_api_ns0_smtp_settings *_smtpSettings);

#endif /* DEF_nexus_rest_api_ns0_smtp_settings_H */
#ifndef DEF_nexus_rest_api_ns0_smtp_settings_resource_H
#define DEF_nexus_rest_api_ns0_smtp_settings_resource_H

/**
 *  The smtp settings request.
 
 @version $Revision$ $Date$

 */
struct nexus_rest_api_ns0_smtp_settings_resource {


  /**
   * Test email address to send a validation mail to.
   */
  xmlChar *testEmail;

  /**
   * The smtp host.
   */
  xmlChar *host;

  /**
   * The smtp port.
   */
  int port;

  /**
   * The smtp username.
   */
  xmlChar *username;

  /**
   * The smtp password.
   */
  xmlChar *password;

  /**
   * The email address that nexus will send emails from.
   */
  xmlChar *systemEmailAddress;

  /**
   * Flag that states whether to use SSL.
   */
  int sslEnabled;

  /**
   * Flag that states whether to use TLS.
   */
  int tlsEnabled;
};

/**
 * Reads a SmtpSettingsResource from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The SmtpSettingsResource, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_smtp_settings_resource *xmlTextReaderReadNs0Smtp_settings_resourceType(xmlTextReaderPtr reader);

/**
 * Writes a SmtpSettingsResource to XML.
 *
 * @param writer The XML writer.
 * @param _smtpSettingsResource The SmtpSettingsResource to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Smtp_settings_resourceType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_smtp_settings_resource *_smtpSettingsResource);

/**
 * Frees the elements of a SmtpSettingsResource.
 *
 * @param _smtpSettingsResource The SmtpSettingsResource to free.
 */
static void freeNs0Smtp_settings_resourceType(struct nexus_rest_api_ns0_smtp_settings_resource *_smtpSettingsResource);

#endif /* DEF_nexus_rest_api_ns0_smtp_settings_resource_H */
#ifndef DEF_nexus_rest_api_ns0_smtpSettingsResourceRequest_H
#define DEF_nexus_rest_api_ns0_smtpSettingsResourceRequest_H

/**
 *  REST Request object for validating the nexus smtp settings,
 contains the typical 'data' parameter, which is the nexus stmp
 configuration.
 
 @version $Revision$ $Date$

 */
struct nexus_rest_api_ns0_smtpSettingsResourceRequest {


  /**
   * The nexus smtp configuration.
   */
  struct nexus_rest_api_ns0_smtp_settings_resource *data;
};

/**
 * Reads a SmtpSettingsResourceRequest element from XML. The element to be read is "smtp-settings-request", and
 * it is assumed that the reader is pointing to the XML document (not the element).
 *
 * @param reader The XML reader.
 * @return The SmtpSettingsResourceRequest, or NULL in case of error.
 */
struct nexus_rest_api_ns0_smtpSettingsResourceRequest *xml_read_nexus_rest_api_ns0_smtpSettingsResourceRequest(xmlTextReaderPtr reader);

/**
 * Writes a SmtpSettingsResourceRequest to XML under element name "smtp-settings-request".
 *
 * @param writer The XML writer.
 * @param _smtpSettingsResourceRequest The SmtpSettingsResourceRequest to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
int xml_write_nexus_rest_api_ns0_smtpSettingsResourceRequest(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_smtpSettingsResourceRequest *_smtpSettingsResourceRequest);

/**
 * Frees a SmtpSettingsResourceRequest.
 *
 * @param _smtpSettingsResourceRequest The SmtpSettingsResourceRequest to free.
 */
void free_nexus_rest_api_ns0_smtpSettingsResourceRequest(struct nexus_rest_api_ns0_smtpSettingsResourceRequest *_smtpSettingsResourceRequest);

/**
 * Reads a SmtpSettingsResourceRequest element from XML. The element to be read is "smtp-settings-request", and
 * it is assumed that the reader is already pointing to the element.
 *
 * @param reader The XML reader.
 * @return The SmtpSettingsResourceRequest, or NULL in case of error.
 */
struct nexus_rest_api_ns0_smtpSettingsResourceRequest *xmlTextReaderReadNs0Smtp_settings_requestElement(xmlTextReaderPtr reader);

/**
 * Writes a SmtpSettingsResourceRequest to XML under element name "smtp-settings-request".
 * Does NOT write the namespace prefixes.
 *
 * @param writer The XML writer.
 * @param _smtpSettingsResourceRequest The SmtpSettingsResourceRequest to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Smtp_settings_requestElement(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_smtpSettingsResourceRequest *_smtpSettingsResourceRequest);

/**
 * Writes a SmtpSettingsResourceRequest to XML under element name "smtp-settings-request".
 *
 * @param writer The XML writer.
 * @param _smtpSettingsResourceRequest The SmtpSettingsResourceRequest to write.
 * @param writeNamespaces Whether to write the namespace prefixes.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Smtp_settings_requestElementNS(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_smtpSettingsResourceRequest *_smtpSettingsResourceRequest, int writeNamespaces);

/**
 * Frees the children of a SmtpSettingsResourceRequest.
 *
 * @param _smtpSettingsResourceRequest The SmtpSettingsResourceRequest whose children are to be free.
 */
static void freeNs0Smtp_settings_requestElement(struct nexus_rest_api_ns0_smtpSettingsResourceRequest *_smtpSettingsResourceRequest);

/**
 * Reads a SmtpSettingsResourceRequest from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The SmtpSettingsResourceRequest, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_smtpSettingsResourceRequest *xmlTextReaderReadNs0SmtpSettingsResourceRequestType(xmlTextReaderPtr reader);

/**
 * Writes a SmtpSettingsResourceRequest to XML.
 *
 * @param writer The XML writer.
 * @param _smtpSettingsResourceRequest The SmtpSettingsResourceRequest to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0SmtpSettingsResourceRequestType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_smtpSettingsResourceRequest *_smtpSettingsResourceRequest);

/**
 * Frees the elements of a SmtpSettingsResourceRequest.
 *
 * @param _smtpSettingsResourceRequest The SmtpSettingsResourceRequest to free.
 */
static void freeNs0SmtpSettingsResourceRequestType(struct nexus_rest_api_ns0_smtpSettingsResourceRequest *_smtpSettingsResourceRequest);

#endif /* DEF_nexus_rest_api_ns0_smtpSettingsResourceRequest_H */
#ifndef DEF_nexus_rest_api_ns0_status_configuration_validation_response_H
#define DEF_nexus_rest_api_ns0_status_configuration_validation_response_H

/**
 *  Configuration validation status.
 
 @version $Revision$ $Date$

 */
struct nexus_rest_api_ns0_status_configuration_validation_response {


  /**
   * Flag that states if the nexus configuration is valid.
   */
  int valid;

  /**
   * Flag that states if nexus had to modify the nexus
configuration.
   */
  int modified;

  /**
   * Field validationErrors.
   */
  xmlChar *validationErrors;

  /**
   * Size of the validationErrors array.
   */
  int _sizeof_validationErrors;

  /**
   * Field validationWarnings.
   */
  xmlChar *validationWarnings;

  /**
   * Size of the validationWarnings array.
   */
  int _sizeof_validationWarnings;
};

/**
 * Reads a StatusConfigurationValidationResponse from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The StatusConfigurationValidationResponse, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_status_configuration_validation_response *xmlTextReaderReadNs0Status_configuration_validation_responseType(xmlTextReaderPtr reader);

/**
 * Writes a StatusConfigurationValidationResponse to XML.
 *
 * @param writer The XML writer.
 * @param _statusConfigurationValidationResponse The StatusConfigurationValidationResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Status_configuration_validation_responseType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_status_configuration_validation_response *_statusConfigurationValidationResponse);

/**
 * Frees the elements of a StatusConfigurationValidationResponse.
 *
 * @param _statusConfigurationValidationResponse The StatusConfigurationValidationResponse to free.
 */
static void freeNs0Status_configuration_validation_responseType(struct nexus_rest_api_ns0_status_configuration_validation_response *_statusConfigurationValidationResponse);

#endif /* DEF_nexus_rest_api_ns0_status_configuration_validation_response_H */
#ifndef DEF_nexus_rest_api_ns0_status_resource_H
#define DEF_nexus_rest_api_ns0_status_resource_H

/**
 *  Nexus status details.
 
 @version $Revision$ $Date$

 */
struct nexus_rest_api_ns0_status_resource {


  /**
   * The application name.
   */
  xmlChar *appName;

  /**
   * The formatted application name (html formatting).
   */
  xmlChar *formattedAppName;

  /**
   * The version of the nexus instance.
   */
  xmlChar *version;

  /**
   * The version of the core nexus instance.
   */
  xmlChar *apiVersion;

  /**
   * The long version of the nexus edition (i.e. Open Source or
Professional).
   */
  xmlChar *editionLong;

  /**
   * The short version of the nexus edition (i.e. OSS or PRO).
   */
  xmlChar *editionShort;

  /**
   * The state of the nexus instance.
   */
  xmlChar *state;

  /**
   * The operation mode of the nexus instance.
   */
  xmlChar *operationMode;

  /**
   * The date the instance was first initialized.
   */
  struct tm *initializedAt;

  /**
   * The date the instance was last started.
   */
  struct tm *startedAt;

  /**
   * The last time the nexus configuration was updated.
   */
  struct tm *lastConfigChange;

  /**
   * Flag that states if this is the first time nexus was started.
   */
  int firstStart;

  /**
   * Flag that states if the nexus instance has been upgraded.
   */
  int instanceUpgraded;

  /**
   * Flag that states if the nexus configuration has been upgraded
   */
  int configurationUpgraded;

  /**
   * Configuration validation status.
   */
  struct nexus_rest_api_ns0_status_configuration_validation_response *configurationValidationResponse;

  /**
   * Errors occuring during nexus startup.
   */
  xmlChar *errorCause;

  /**
   * Permissions that are available to the current user.
   */
  struct nexus_rest_api_ns0_nexus_authentication_client_permissions *clientPermissions;

  /**
   * The base url of the nexus instance.
   */
  xmlChar *baseUrl;
};

/**
 * Reads a StatusResource from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The StatusResource, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_status_resource *xmlTextReaderReadNs0Status_resourceType(xmlTextReaderPtr reader);

/**
 * Writes a StatusResource to XML.
 *
 * @param writer The XML writer.
 * @param _statusResource The StatusResource to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Status_resourceType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_status_resource *_statusResource);

/**
 * Frees the elements of a StatusResource.
 *
 * @param _statusResource The StatusResource to free.
 */
static void freeNs0Status_resourceType(struct nexus_rest_api_ns0_status_resource *_statusResource);

#endif /* DEF_nexus_rest_api_ns0_status_resource_H */
#ifndef DEF_nexus_rest_api_ns0_statusResourceResponse_H
#define DEF_nexus_rest_api_ns0_statusResourceResponse_H

/**
 *  REST Response object for the nexus status, contains the typical
 'data' parameter, which is the nexus status.
 
 @version $Revision$ $Date$

 */
struct nexus_rest_api_ns0_statusResourceResponse {


  /**
   * Nexus status details.
   */
  struct nexus_rest_api_ns0_status_resource *data;
};

/**
 * Reads a StatusResourceResponse element from XML. The element to be read is "status", and
 * it is assumed that the reader is pointing to the XML document (not the element).
 *
 * @param reader The XML reader.
 * @return The StatusResourceResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_statusResourceResponse *xml_read_nexus_rest_api_ns0_statusResourceResponse(xmlTextReaderPtr reader);

/**
 * Writes a StatusResourceResponse to XML under element name "status".
 *
 * @param writer The XML writer.
 * @param _statusResourceResponse The StatusResourceResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
int xml_write_nexus_rest_api_ns0_statusResourceResponse(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_statusResourceResponse *_statusResourceResponse);

/**
 * Frees a StatusResourceResponse.
 *
 * @param _statusResourceResponse The StatusResourceResponse to free.
 */
void free_nexus_rest_api_ns0_statusResourceResponse(struct nexus_rest_api_ns0_statusResourceResponse *_statusResourceResponse);

/**
 * Reads a StatusResourceResponse element from XML. The element to be read is "status", and
 * it is assumed that the reader is already pointing to the element.
 *
 * @param reader The XML reader.
 * @return The StatusResourceResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_statusResourceResponse *xmlTextReaderReadNs0StatusElement(xmlTextReaderPtr reader);

/**
 * Writes a StatusResourceResponse to XML under element name "status".
 * Does NOT write the namespace prefixes.
 *
 * @param writer The XML writer.
 * @param _statusResourceResponse The StatusResourceResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0StatusElement(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_statusResourceResponse *_statusResourceResponse);

/**
 * Writes a StatusResourceResponse to XML under element name "status".
 *
 * @param writer The XML writer.
 * @param _statusResourceResponse The StatusResourceResponse to write.
 * @param writeNamespaces Whether to write the namespace prefixes.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0StatusElementNS(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_statusResourceResponse *_statusResourceResponse, int writeNamespaces);

/**
 * Frees the children of a StatusResourceResponse.
 *
 * @param _statusResourceResponse The StatusResourceResponse whose children are to be free.
 */
static void freeNs0StatusElement(struct nexus_rest_api_ns0_statusResourceResponse *_statusResourceResponse);

/**
 * Reads a StatusResourceResponse from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The StatusResourceResponse, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_statusResourceResponse *xmlTextReaderReadNs0StatusResourceResponseType(xmlTextReaderPtr reader);

/**
 * Writes a StatusResourceResponse to XML.
 *
 * @param writer The XML writer.
 * @param _statusResourceResponse The StatusResourceResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0StatusResourceResponseType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_statusResourceResponse *_statusResourceResponse);

/**
 * Frees the elements of a StatusResourceResponse.
 *
 * @param _statusResourceResponse The StatusResourceResponse to free.
 */
static void freeNs0StatusResourceResponseType(struct nexus_rest_api_ns0_statusResourceResponse *_statusResourceResponse);

#endif /* DEF_nexus_rest_api_ns0_statusResourceResponse_H */
#ifndef DEF_nexus_rest_api_ns0_system_notification_settings_H
#define DEF_nexus_rest_api_ns0_system_notification_settings_H

/**
 *  
         The notification settings tell nexus who to notify when
 certain events occur (such as a proxy repository being
 auto-blocked).
       
 
 @version $Revision$ $Date$

 */
struct nexus_rest_api_ns0_system_notification_settings {


  /**
   * Flag that states whether to enable notifications.
   */
  int enabled;

  /**
   * Comma seperated list of email addresses to notify.
   */
  xmlChar *emailAddresses;

  /**
   * Field roles.
   */
  xmlChar *roles;

  /**
   * Size of the roles array.
   */
  int _sizeof_roles;
};

/**
 * Reads a SystemNotificationSettings from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The SystemNotificationSettings, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_system_notification_settings *xmlTextReaderReadNs0System_notification_settingsType(xmlTextReaderPtr reader);

/**
 * Writes a SystemNotificationSettings to XML.
 *
 * @param writer The XML writer.
 * @param _systemNotificationSettings The SystemNotificationSettings to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0System_notification_settingsType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_system_notification_settings *_systemNotificationSettings);

/**
 * Frees the elements of a SystemNotificationSettings.
 *
 * @param _systemNotificationSettings The SystemNotificationSettings to free.
 */
static void freeNs0System_notification_settingsType(struct nexus_rest_api_ns0_system_notification_settings *_systemNotificationSettings);

#endif /* DEF_nexus_rest_api_ns0_system_notification_settings_H */
#ifndef DEF_nexus_rest_api_ns0_wastebasket_resource_H
#define DEF_nexus_rest_api_ns0_wastebasket_resource_H

/**
 *  Details about the nexus wastebasket.
 
 @version $Revision$ $Date$

 */
struct nexus_rest_api_ns0_wastebasket_resource {


  /**
   * The size of the contents in the wastebasket.
   */
  long size;

  /**
   * The number of items in the wastebasket.
   */
  long itemCount;
};

/**
 * Reads a WastebasketResource from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The WastebasketResource, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_wastebasket_resource *xmlTextReaderReadNs0Wastebasket_resourceType(xmlTextReaderPtr reader);

/**
 * Writes a WastebasketResource to XML.
 *
 * @param writer The XML writer.
 * @param _wastebasketResource The WastebasketResource to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0Wastebasket_resourceType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_wastebasket_resource *_wastebasketResource);

/**
 * Frees the elements of a WastebasketResource.
 *
 * @param _wastebasketResource The WastebasketResource to free.
 */
static void freeNs0Wastebasket_resourceType(struct nexus_rest_api_ns0_wastebasket_resource *_wastebasketResource);

#endif /* DEF_nexus_rest_api_ns0_wastebasket_resource_H */
#ifndef DEF_nexus_rest_api_ns0_wastebasketResourceResponse_H
#define DEF_nexus_rest_api_ns0_wastebasketResourceResponse_H

/**
 *  REST Response object for the nexus wastebasket info, contains
 the typical 'data' parameter, which is the nexus wastebasket
 info.
 
 @version $Revision$ $Date$

 */
struct nexus_rest_api_ns0_wastebasketResourceResponse {


  /**
   * The wastebasket information.
   */
  struct nexus_rest_api_ns0_wastebasket_resource *data;
};

/**
 * Reads a WastebasketResourceResponse element from XML. The element to be read is "wastebasket", and
 * it is assumed that the reader is pointing to the XML document (not the element).
 *
 * @param reader The XML reader.
 * @return The WastebasketResourceResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_wastebasketResourceResponse *xml_read_nexus_rest_api_ns0_wastebasketResourceResponse(xmlTextReaderPtr reader);

/**
 * Writes a WastebasketResourceResponse to XML under element name "wastebasket".
 *
 * @param writer The XML writer.
 * @param _wastebasketResourceResponse The WastebasketResourceResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
int xml_write_nexus_rest_api_ns0_wastebasketResourceResponse(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_wastebasketResourceResponse *_wastebasketResourceResponse);

/**
 * Frees a WastebasketResourceResponse.
 *
 * @param _wastebasketResourceResponse The WastebasketResourceResponse to free.
 */
void free_nexus_rest_api_ns0_wastebasketResourceResponse(struct nexus_rest_api_ns0_wastebasketResourceResponse *_wastebasketResourceResponse);

/**
 * Reads a WastebasketResourceResponse element from XML. The element to be read is "wastebasket", and
 * it is assumed that the reader is already pointing to the element.
 *
 * @param reader The XML reader.
 * @return The WastebasketResourceResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_wastebasketResourceResponse *xmlTextReaderReadNs0WastebasketElement(xmlTextReaderPtr reader);

/**
 * Writes a WastebasketResourceResponse to XML under element name "wastebasket".
 * Does NOT write the namespace prefixes.
 *
 * @param writer The XML writer.
 * @param _wastebasketResourceResponse The WastebasketResourceResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0WastebasketElement(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_wastebasketResourceResponse *_wastebasketResourceResponse);

/**
 * Writes a WastebasketResourceResponse to XML under element name "wastebasket".
 *
 * @param writer The XML writer.
 * @param _wastebasketResourceResponse The WastebasketResourceResponse to write.
 * @param writeNamespaces Whether to write the namespace prefixes.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0WastebasketElementNS(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_wastebasketResourceResponse *_wastebasketResourceResponse, int writeNamespaces);

/**
 * Frees the children of a WastebasketResourceResponse.
 *
 * @param _wastebasketResourceResponse The WastebasketResourceResponse whose children are to be free.
 */
static void freeNs0WastebasketElement(struct nexus_rest_api_ns0_wastebasketResourceResponse *_wastebasketResourceResponse);

/**
 * Reads a WastebasketResourceResponse from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The WastebasketResourceResponse, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_wastebasketResourceResponse *xmlTextReaderReadNs0WastebasketResourceResponseType(xmlTextReaderPtr reader);

/**
 * Writes a WastebasketResourceResponse to XML.
 *
 * @param writer The XML writer.
 * @param _wastebasketResourceResponse The WastebasketResourceResponse to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0WastebasketResourceResponseType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_wastebasketResourceResponse *_wastebasketResourceResponse);

/**
 * Frees the elements of a WastebasketResourceResponse.
 *
 * @param _wastebasketResourceResponse The WastebasketResourceResponse to free.
 */
static void freeNs0WastebasketResourceResponseType(struct nexus_rest_api_ns0_wastebasketResourceResponse *_wastebasketResourceResponse);

#endif /* DEF_nexus_rest_api_ns0_wastebasketResourceResponse_H */
#ifndef DEF_nexus_rest_api_ns0_authenticationClientPermissions_H
#define DEF_nexus_rest_api_ns0_authenticationClientPermissions_H

/**
 * (no documentation provided)
 */
struct nexus_rest_api_ns0_authenticationClientPermissions {


  /**
   * (no documentation provided)
   */
  xmlChar *loggedInUserSource;

  /**
   * (no documentation provided)
   */
  struct nexus_rest_api_ns0_clientPermission *permissions;

  /**
   * Size of the permissions array.
   */
  int _sizeof_permissions;

  /**
   * (no documentation provided)
   */
  int loggedIn;

  /**
   * (no documentation provided)
   */
  xmlChar *loggedInUsername;
};

/**
 * Reads a AuthenticationClientPermissions from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The AuthenticationClientPermissions, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_authenticationClientPermissions *xmlTextReaderReadNs0AuthenticationClientPermissionsType(xmlTextReaderPtr reader);

/**
 * Writes a AuthenticationClientPermissions to XML.
 *
 * @param writer The XML writer.
 * @param _authenticationClientPermissions The AuthenticationClientPermissions to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0AuthenticationClientPermissionsType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_authenticationClientPermissions *_authenticationClientPermissions);

/**
 * Frees the elements of a AuthenticationClientPermissions.
 *
 * @param _authenticationClientPermissions The AuthenticationClientPermissions to free.
 */
static void freeNs0AuthenticationClientPermissionsType(struct nexus_rest_api_ns0_authenticationClientPermissions *_authenticationClientPermissions);

#endif /* DEF_nexus_rest_api_ns0_authenticationClientPermissions_H */
#ifndef DEF_nexus_rest_api_ns0_clientPermission_H
#define DEF_nexus_rest_api_ns0_clientPermission_H

/**
 * (no documentation provided)
 */
struct nexus_rest_api_ns0_clientPermission {


  /**
   * (no documentation provided)
   */
  xmlChar *id;

  /**
   * (no documentation provided)
   */
  int value;
};

/**
 * Reads a ClientPermission from XML. The reader is assumed to be at the start element.
 *
 * @param reader The XML reader.
 * @return The ClientPermission, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_clientPermission *xmlTextReaderReadNs0ClientPermissionType(xmlTextReaderPtr reader);

/**
 * Writes a ClientPermission to XML.
 *
 * @param writer The XML writer.
 * @param _clientPermission The ClientPermission to write.
 * @return The bytes written (may be 0 in case of buffering) or -1 in case of error.
 */
static int xmlTextWriterWriteNs0ClientPermissionType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_clientPermission *_clientPermission);

/**
 * Frees the elements of a ClientPermission.
 *
 * @param _clientPermission The ClientPermission to free.
 */
static void freeNs0ClientPermissionType(struct nexus_rest_api_ns0_clientPermission *_clientPermission);

#endif /* DEF_nexus_rest_api_ns0_clientPermission_H */
#ifndef DEF_nexus_rest_api_ns0_artifact_resolve_resource_M
#define DEF_nexus_rest_api_ns0_artifact_resolve_resource_M

/**
 * Reads a ArtifactResolveResource from XML. The reader is assumed to be at the start element.
 *
 * @return the ArtifactResolveResource, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_artifact_resolve_resource *xmlTextReaderReadNs0Artifact_resolve_resourceType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct nexus_rest_api_ns0_artifact_resolve_resource *_artifactResolveResource = calloc(1, sizeof(struct nexus_rest_api_ns0_artifact_resolve_resource));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0Artifact_resolve_resourceType(_artifactResolveResource);
        free(_artifactResolveResource);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "groupId", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}groupId of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}groupId of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Artifact_resolve_resourceType(_artifactResolveResource);
          free(_artifactResolveResource);
          return NULL;
        }

        _artifactResolveResource->groupId = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "artifactId", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}artifactId of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}artifactId of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Artifact_resolve_resourceType(_artifactResolveResource);
          free(_artifactResolveResource);
          return NULL;
        }

        _artifactResolveResource->artifactId = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "version", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}version of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}version of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Artifact_resolve_resourceType(_artifactResolveResource);
          free(_artifactResolveResource);
          return NULL;
        }

        _artifactResolveResource->version = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "baseVersion", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}baseVersion of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}baseVersion of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Artifact_resolve_resourceType(_artifactResolveResource);
          free(_artifactResolveResource);
          return NULL;
        }

        _artifactResolveResource->baseVersion = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "classifier", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}classifier of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}classifier of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Artifact_resolve_resourceType(_artifactResolveResource);
          free(_artifactResolveResource);
          return NULL;
        }

        _artifactResolveResource->classifier = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "extension", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}extension of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}extension of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Artifact_resolve_resourceType(_artifactResolveResource);
          free(_artifactResolveResource);
          return NULL;
        }

        _artifactResolveResource->extension = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "snapshot", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}snapshot of type {http://www.w3.org/2001/XMLSchema}boolean.\n");
#endif
        _child_accessor = xmlTextReaderReadXsBooleanType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}snapshot of type {http://www.w3.org/2001/XMLSchema}boolean.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Artifact_resolve_resourceType(_artifactResolveResource);
          free(_artifactResolveResource);
          return NULL;
        }

        _artifactResolveResource->snapshot = *((int*)_child_accessor);
        free(_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "snapshotBuildNumber", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}snapshotBuildNumber of type {http://www.w3.org/2001/XMLSchema}long.\n");
#endif
        _child_accessor = xmlTextReaderReadXsLongType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}snapshotBuildNumber of type {http://www.w3.org/2001/XMLSchema}long.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Artifact_resolve_resourceType(_artifactResolveResource);
          free(_artifactResolveResource);
          return NULL;
        }

        _artifactResolveResource->snapshotBuildNumber = *((long*)_child_accessor);
        free(_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "snapshotTimeStamp", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}snapshotTimeStamp of type {http://www.w3.org/2001/XMLSchema}long.\n");
#endif
        _child_accessor = xmlTextReaderReadXsLongType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}snapshotTimeStamp of type {http://www.w3.org/2001/XMLSchema}long.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Artifact_resolve_resourceType(_artifactResolveResource);
          free(_artifactResolveResource);
          return NULL;
        }

        _artifactResolveResource->snapshotTimeStamp = *((long*)_child_accessor);
        free(_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "fileName", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}fileName of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}fileName of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Artifact_resolve_resourceType(_artifactResolveResource);
          free(_artifactResolveResource);
          return NULL;
        }

        _artifactResolveResource->fileName = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "sha1", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}sha1 of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}sha1 of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Artifact_resolve_resourceType(_artifactResolveResource);
          free(_artifactResolveResource);
          return NULL;
        }

        _artifactResolveResource->sha1 = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "repositoryPath", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}repositoryPath of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}repositoryPath of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Artifact_resolve_resourceType(_artifactResolveResource);
          free(_artifactResolveResource);
          return NULL;
        }

        _artifactResolveResource->repositoryPath = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}artifact-resolve-resource.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}artifact-resolve-resource. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _artifactResolveResource;
}

/**
 * Writes a ArtifactResolveResource to XML.
 *
 * @param writer The XML writer.
 * @param _artifactResolveResource The ArtifactResolveResource to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0Artifact_resolve_resourceType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_artifact_resolve_resource *_artifactResolveResource) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;
  if (_artifactResolveResource->groupId != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "groupId", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}groupId. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}groupId...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_artifactResolveResource->groupId));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}groupId. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}groupId. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_artifactResolveResource->artifactId != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "artifactId", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}artifactId. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}artifactId...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_artifactResolveResource->artifactId));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}artifactId. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}artifactId. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_artifactResolveResource->version != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "version", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}version. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}version...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_artifactResolveResource->version));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}version. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}version. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_artifactResolveResource->baseVersion != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "baseVersion", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}baseVersion. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}baseVersion...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_artifactResolveResource->baseVersion));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}baseVersion. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}baseVersion. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_artifactResolveResource->classifier != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "classifier", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}classifier. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}classifier...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_artifactResolveResource->classifier));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}classifier. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}classifier. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_artifactResolveResource->extension != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "extension", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}extension. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}extension...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_artifactResolveResource->extension));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}extension. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}extension. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (1) { //always write the primitive element.
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "snapshot", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}snapshot. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}boolean for element {}snapshot...\n", status);
#endif
    status = xmlTextWriterWriteXsBooleanType(writer, &(_artifactResolveResource->snapshot));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}boolean for element {}snapshot. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}snapshot. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (1) { //always write the primitive element.
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "snapshotBuildNumber", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}snapshotBuildNumber. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}long for element {}snapshotBuildNumber...\n", status);
#endif
    status = xmlTextWriterWriteXsLongType(writer, &(_artifactResolveResource->snapshotBuildNumber));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}long for element {}snapshotBuildNumber. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}snapshotBuildNumber. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (1) { //always write the primitive element.
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "snapshotTimeStamp", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}snapshotTimeStamp. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}long for element {}snapshotTimeStamp...\n", status);
#endif
    status = xmlTextWriterWriteXsLongType(writer, &(_artifactResolveResource->snapshotTimeStamp));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}long for element {}snapshotTimeStamp. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}snapshotTimeStamp. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_artifactResolveResource->fileName != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "fileName", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}fileName. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}fileName...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_artifactResolveResource->fileName));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}fileName. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}fileName. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_artifactResolveResource->sha1 != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "sha1", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}sha1. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}sha1...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_artifactResolveResource->sha1));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}sha1. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}sha1. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_artifactResolveResource->repositoryPath != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "repositoryPath", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}repositoryPath. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}repositoryPath...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_artifactResolveResource->repositoryPath));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}repositoryPath. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}repositoryPath. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a ArtifactResolveResource.
 *
 * @param _artifactResolveResource The ArtifactResolveResource to free.
 */
static void freeNs0Artifact_resolve_resourceType(struct nexus_rest_api_ns0_artifact_resolve_resource *_artifactResolveResource) {
  int i;
  if (_artifactResolveResource->groupId != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor groupId of type nexus_rest_api_ns0_artifact_resolve_resource...\n");
#endif
    freeXsStringType(_artifactResolveResource->groupId);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor groupId of type nexus_rest_api_ns0_artifact_resolve_resource...\n");
#endif
    free(_artifactResolveResource->groupId);
  }
  if (_artifactResolveResource->artifactId != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor artifactId of type nexus_rest_api_ns0_artifact_resolve_resource...\n");
#endif
    freeXsStringType(_artifactResolveResource->artifactId);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor artifactId of type nexus_rest_api_ns0_artifact_resolve_resource...\n");
#endif
    free(_artifactResolveResource->artifactId);
  }
  if (_artifactResolveResource->version != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor version of type nexus_rest_api_ns0_artifact_resolve_resource...\n");
#endif
    freeXsStringType(_artifactResolveResource->version);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor version of type nexus_rest_api_ns0_artifact_resolve_resource...\n");
#endif
    free(_artifactResolveResource->version);
  }
  if (_artifactResolveResource->baseVersion != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor baseVersion of type nexus_rest_api_ns0_artifact_resolve_resource...\n");
#endif
    freeXsStringType(_artifactResolveResource->baseVersion);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor baseVersion of type nexus_rest_api_ns0_artifact_resolve_resource...\n");
#endif
    free(_artifactResolveResource->baseVersion);
  }
  if (_artifactResolveResource->classifier != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor classifier of type nexus_rest_api_ns0_artifact_resolve_resource...\n");
#endif
    freeXsStringType(_artifactResolveResource->classifier);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor classifier of type nexus_rest_api_ns0_artifact_resolve_resource...\n");
#endif
    free(_artifactResolveResource->classifier);
  }
  if (_artifactResolveResource->extension != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor extension of type nexus_rest_api_ns0_artifact_resolve_resource...\n");
#endif
    freeXsStringType(_artifactResolveResource->extension);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor extension of type nexus_rest_api_ns0_artifact_resolve_resource...\n");
#endif
    free(_artifactResolveResource->extension);
  }
  if (_artifactResolveResource->fileName != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor fileName of type nexus_rest_api_ns0_artifact_resolve_resource...\n");
#endif
    freeXsStringType(_artifactResolveResource->fileName);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor fileName of type nexus_rest_api_ns0_artifact_resolve_resource...\n");
#endif
    free(_artifactResolveResource->fileName);
  }
  if (_artifactResolveResource->sha1 != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor sha1 of type nexus_rest_api_ns0_artifact_resolve_resource...\n");
#endif
    freeXsStringType(_artifactResolveResource->sha1);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor sha1 of type nexus_rest_api_ns0_artifact_resolve_resource...\n");
#endif
    free(_artifactResolveResource->sha1);
  }
  if (_artifactResolveResource->repositoryPath != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor repositoryPath of type nexus_rest_api_ns0_artifact_resolve_resource...\n");
#endif
    freeXsStringType(_artifactResolveResource->repositoryPath);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor repositoryPath of type nexus_rest_api_ns0_artifact_resolve_resource...\n");
#endif
    free(_artifactResolveResource->repositoryPath);
  }
}
#endif /* DEF_nexus_rest_api_ns0_artifact_resolve_resource_M */
#ifndef DEF_nexus_rest_api_ns0_artifactResolveResourceResponse_M
#define DEF_nexus_rest_api_ns0_artifactResolveResourceResponse_M

/**
 * Reads a ArtifactResolveResourceResponse element from XML. The element to be read is "artifact-resolution", and
 * it is assumed that the reader is pointing to the XML document (not the element).
 *
 * @param reader The XML reader.
 * @return The ArtifactResolveResourceResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_artifactResolveResourceResponse *xml_read_nexus_rest_api_ns0_artifactResolveResourceResponse(xmlTextReaderPtr reader) {
  int status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
  return xmlTextReaderReadNs0Artifact_resolutionElement(reader);
}

/**
 * Writes a ArtifactResolveResourceResponse to XML under element name "artifact-resolution".
 *
 * @param writer The XML writer.
 * @param _artifactResolveResourceResponse The ArtifactResolveResourceResponse to write.
 * @return 1 if successful, 0 otherwise.
 */
int xml_write_nexus_rest_api_ns0_artifactResolveResourceResponse(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_artifactResolveResourceResponse *_artifactResolveResourceResponse) {
  return xmlTextWriterWriteNs0Artifact_resolutionElementNS(writer, _artifactResolveResourceResponse, 1);
}

/**
 * Frees a ArtifactResolveResourceResponse.
 *
 * @param _artifactResolveResourceResponse The ArtifactResolveResourceResponse to free.
 */
void free_nexus_rest_api_ns0_artifactResolveResourceResponse(struct nexus_rest_api_ns0_artifactResolveResourceResponse *_artifactResolveResourceResponse) {
  freeNs0ArtifactResolveResourceResponseType(_artifactResolveResourceResponse);
  free(_artifactResolveResourceResponse);
}

/**
 * Reads a ArtifactResolveResourceResponse element from XML. The element to be read is "artifact-resolution", and
 * it is assumed that the reader is pointing to that element.
 *
 * @param reader The XML reader.
 * @return The ArtifactResolveResourceResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_artifactResolveResourceResponse *xmlTextReaderReadNs0Artifact_resolutionElement(xmlTextReaderPtr reader) {
  struct nexus_rest_api_ns0_artifactResolveResourceResponse *_artifactResolveResourceResponse = NULL;

  if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
    && xmlStrcmp(BAD_CAST "artifact-resolution", xmlTextReaderConstLocalName(reader)) == 0
    && xmlTextReaderConstNamespaceUri(reader) == NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Attempting to read root element {}artifact-resolution.\n");
#endif
    _artifactResolveResourceResponse = xmlTextReaderReadNs0ArtifactResolveResourceResponseType(reader);
  }
#if DEBUG_ENUNCIATE
  if (_artifactResolveResourceResponse == NULL) {
    if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
      printf("attempt to read {}artifact-resolution failed. current element: {}%s\n",  xmlTextReaderConstLocalName(reader));
    }
    else {
      printf("attempt to read {}artifact-resolution failed. current element: {%s}%s\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
    }
  }
#endif

  return _artifactResolveResourceResponse;
}

/**
 * Writes a ArtifactResolveResourceResponse to XML under element name "artifact-resolution".
 * Does NOT write the namespace prefixes.
 *
 * @param writer The XML writer.
 * @param _artifactResolveResourceResponse The ArtifactResolveResourceResponse to write.
 * @return 1 if successful, 0 otherwise.
 */
static int xmlTextWriterWriteNs0Artifact_resolutionElement(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_artifactResolveResourceResponse *_artifactResolveResourceResponse) {
  return xmlTextWriterWriteNs0Artifact_resolutionElementNS(writer, _artifactResolveResourceResponse, 0);
}

/**
 * Writes a ArtifactResolveResourceResponse to XML under element name "artifact-resolution".
 *
 * @param writer The XML writer.
 * @param _artifactResolveResourceResponse The ArtifactResolveResourceResponse to write.
 * @param writeNamespaces Whether to write the namespace prefixes.
 * @return 1 if successful, 0 otherwise.
 */
static int xmlTextWriterWriteNs0Artifact_resolutionElementNS(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_artifactResolveResourceResponse *_artifactResolveResourceResponse, int writeNamespaces) {
  int totalBytes = 0;
  int status;

  status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "artifact-resolution", NULL);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to write start element {}artifact-resolution. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

#if DEBUG_ENUNCIATE > 1
  printf("writing type {}artifactResolveResourceResponse for root element {}artifact-resolution...\n");
#endif
  status = xmlTextWriterWriteNs0ArtifactResolveResourceResponseType(writer, _artifactResolveResourceResponse);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to write type for start element {}artifact-resolution. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

  status = xmlTextWriterEndElement(writer);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to end element {}artifact-resolution. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

  return totalBytes;
}

/**
 * Frees the children of a ArtifactResolveResourceResponse.
 *
 * @param _artifactResolveResourceResponse The ArtifactResolveResourceResponse whose children are to be free.
 */
static void freeNs0Artifact_resolutionElement(struct nexus_rest_api_ns0_artifactResolveResourceResponse *_artifactResolveResourceResponse) {
  freeNs0ArtifactResolveResourceResponseType(_artifactResolveResourceResponse);
}

/**
 * Reads a ArtifactResolveResourceResponse from XML. The reader is assumed to be at the start element.
 *
 * @return the ArtifactResolveResourceResponse, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_artifactResolveResourceResponse *xmlTextReaderReadNs0ArtifactResolveResourceResponseType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct nexus_rest_api_ns0_artifactResolveResourceResponse *_artifactResolveResourceResponse = calloc(1, sizeof(struct nexus_rest_api_ns0_artifactResolveResourceResponse));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0ArtifactResolveResourceResponseType(_artifactResolveResourceResponse);
        free(_artifactResolveResourceResponse);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "data", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}data of type {}artifact-resolve-resource.\n");
#endif
        _child_accessor = xmlTextReaderReadNs0Artifact_resolve_resourceType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}data of type {}artifact-resolve-resource.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0ArtifactResolveResourceResponseType(_artifactResolveResourceResponse);
          free(_artifactResolveResourceResponse);
          return NULL;
        }

        _artifactResolveResourceResponse->data = ((struct nexus_rest_api_ns0_artifact_resolve_resource*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}artifactResolveResourceResponse.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}artifactResolveResourceResponse. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _artifactResolveResourceResponse;
}

/**
 * Writes a ArtifactResolveResourceResponse to XML.
 *
 * @param writer The XML writer.
 * @param _artifactResolveResourceResponse The ArtifactResolveResourceResponse to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0ArtifactResolveResourceResponseType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_artifactResolveResourceResponse *_artifactResolveResourceResponse) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;
  if (_artifactResolveResourceResponse->data != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "data", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {}artifact-resolve-resource for element {}data...\n", status);
#endif
    status = xmlTextWriterWriteNs0Artifact_resolve_resourceType(writer, (_artifactResolveResourceResponse->data));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {}artifact-resolve-resource for element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a ArtifactResolveResourceResponse.
 *
 * @param _artifactResolveResourceResponse The ArtifactResolveResourceResponse to free.
 */
static void freeNs0ArtifactResolveResourceResponseType(struct nexus_rest_api_ns0_artifactResolveResourceResponse *_artifactResolveResourceResponse) {
  int i;
  if (_artifactResolveResourceResponse->data != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor data of type nexus_rest_api_ns0_artifactResolveResourceResponse...\n");
#endif
    freeNs0Artifact_resolve_resourceType(_artifactResolveResourceResponse->data);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor data of type nexus_rest_api_ns0_artifactResolveResourceResponse...\n");
#endif
    free(_artifactResolveResourceResponse->data);
  }
}
#endif /* DEF_nexus_rest_api_ns0_artifactResolveResourceResponse_M */
#ifndef DEF_nexus_rest_api_ns0_authentication_settings_M
#define DEF_nexus_rest_api_ns0_authentication_settings_M

/**
 * Reads a AuthenticationSettings from XML. The reader is assumed to be at the start element.
 *
 * @return the AuthenticationSettings, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_authentication_settings *xmlTextReaderReadNs0Authentication_settingsType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct nexus_rest_api_ns0_authentication_settings *_authenticationSettings = calloc(1, sizeof(struct nexus_rest_api_ns0_authentication_settings));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0Authentication_settingsType(_authenticationSettings);
        free(_authenticationSettings);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "username", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}username of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}username of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Authentication_settingsType(_authenticationSettings);
          free(_authenticationSettings);
          return NULL;
        }

        _authenticationSettings->username = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "password", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}password of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}password of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Authentication_settingsType(_authenticationSettings);
          free(_authenticationSettings);
          return NULL;
        }

        _authenticationSettings->password = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "ntlmHost", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}ntlmHost of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}ntlmHost of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Authentication_settingsType(_authenticationSettings);
          free(_authenticationSettings);
          return NULL;
        }

        _authenticationSettings->ntlmHost = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "ntlmDomain", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}ntlmDomain of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}ntlmDomain of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Authentication_settingsType(_authenticationSettings);
          free(_authenticationSettings);
          return NULL;
        }

        _authenticationSettings->ntlmDomain = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}authentication-settings.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}authentication-settings. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _authenticationSettings;
}

/**
 * Writes a AuthenticationSettings to XML.
 *
 * @param writer The XML writer.
 * @param _authenticationSettings The AuthenticationSettings to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0Authentication_settingsType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_authentication_settings *_authenticationSettings) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;
  if (_authenticationSettings->username != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "username", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}username. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}username...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_authenticationSettings->username));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}username. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}username. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_authenticationSettings->password != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "password", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}password. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}password...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_authenticationSettings->password));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}password. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}password. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_authenticationSettings->ntlmHost != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "ntlmHost", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}ntlmHost. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}ntlmHost...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_authenticationSettings->ntlmHost));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}ntlmHost. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}ntlmHost. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_authenticationSettings->ntlmDomain != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "ntlmDomain", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}ntlmDomain. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}ntlmDomain...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_authenticationSettings->ntlmDomain));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}ntlmDomain. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}ntlmDomain. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a AuthenticationSettings.
 *
 * @param _authenticationSettings The AuthenticationSettings to free.
 */
static void freeNs0Authentication_settingsType(struct nexus_rest_api_ns0_authentication_settings *_authenticationSettings) {
  int i;
  if (_authenticationSettings->username != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor username of type nexus_rest_api_ns0_authentication_settings...\n");
#endif
    freeXsStringType(_authenticationSettings->username);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor username of type nexus_rest_api_ns0_authentication_settings...\n");
#endif
    free(_authenticationSettings->username);
  }
  if (_authenticationSettings->password != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor password of type nexus_rest_api_ns0_authentication_settings...\n");
#endif
    freeXsStringType(_authenticationSettings->password);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor password of type nexus_rest_api_ns0_authentication_settings...\n");
#endif
    free(_authenticationSettings->password);
  }
  if (_authenticationSettings->ntlmHost != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor ntlmHost of type nexus_rest_api_ns0_authentication_settings...\n");
#endif
    freeXsStringType(_authenticationSettings->ntlmHost);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor ntlmHost of type nexus_rest_api_ns0_authentication_settings...\n");
#endif
    free(_authenticationSettings->ntlmHost);
  }
  if (_authenticationSettings->ntlmDomain != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor ntlmDomain of type nexus_rest_api_ns0_authentication_settings...\n");
#endif
    freeXsStringType(_authenticationSettings->ntlmDomain);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor ntlmDomain of type nexus_rest_api_ns0_authentication_settings...\n");
#endif
    free(_authenticationSettings->ntlmDomain);
  }
}
#endif /* DEF_nexus_rest_api_ns0_authentication_settings_M */
#ifndef DEF_nexus_rest_api_ns0_configs_list_item_M
#define DEF_nexus_rest_api_ns0_configs_list_item_M

/**
 * Reads a ConfigurationsListResource from XML. The reader is assumed to be at the start element.
 *
 * @return the ConfigurationsListResource, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_configs_list_item *xmlTextReaderReadNs0Configs_list_itemType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct nexus_rest_api_ns0_configs_list_item *_configurationsListResource = calloc(1, sizeof(struct nexus_rest_api_ns0_configs_list_item));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0Configs_list_itemType(_configurationsListResource);
        free(_configurationsListResource);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "resourceURI", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}resourceURI of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}resourceURI of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Configs_list_itemType(_configurationsListResource);
          free(_configurationsListResource);
          return NULL;
        }

        _configurationsListResource->resourceURI = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "name", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}name of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}name of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Configs_list_itemType(_configurationsListResource);
          free(_configurationsListResource);
          return NULL;
        }

        _configurationsListResource->name = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}configs-list-item.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}configs-list-item. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _configurationsListResource;
}

/**
 * Writes a ConfigurationsListResource to XML.
 *
 * @param writer The XML writer.
 * @param _configurationsListResource The ConfigurationsListResource to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0Configs_list_itemType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_configs_list_item *_configurationsListResource) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;
  if (_configurationsListResource->resourceURI != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "resourceURI", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}resourceURI. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}resourceURI...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_configurationsListResource->resourceURI));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}resourceURI. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}resourceURI. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_configurationsListResource->name != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "name", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}name. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}name...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_configurationsListResource->name));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}name. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}name. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a ConfigurationsListResource.
 *
 * @param _configurationsListResource The ConfigurationsListResource to free.
 */
static void freeNs0Configs_list_itemType(struct nexus_rest_api_ns0_configs_list_item *_configurationsListResource) {
  int i;
  if (_configurationsListResource->resourceURI != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor resourceURI of type nexus_rest_api_ns0_configs_list_item...\n");
#endif
    freeXsStringType(_configurationsListResource->resourceURI);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor resourceURI of type nexus_rest_api_ns0_configs_list_item...\n");
#endif
    free(_configurationsListResource->resourceURI);
  }
  if (_configurationsListResource->name != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor name of type nexus_rest_api_ns0_configs_list_item...\n");
#endif
    freeXsStringType(_configurationsListResource->name);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor name of type nexus_rest_api_ns0_configs_list_item...\n");
#endif
    free(_configurationsListResource->name);
  }
}
#endif /* DEF_nexus_rest_api_ns0_configs_list_item_M */
#ifndef DEF_nexus_rest_api_ns0_configurationsListResourceResponse_M
#define DEF_nexus_rest_api_ns0_configurationsListResourceResponse_M

/**
 * Reads a ConfigurationsListResourceResponse element from XML. The element to be read is "configs-list", and
 * it is assumed that the reader is pointing to the XML document (not the element).
 *
 * @param reader The XML reader.
 * @return The ConfigurationsListResourceResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_configurationsListResourceResponse *xml_read_nexus_rest_api_ns0_configurationsListResourceResponse(xmlTextReaderPtr reader) {
  int status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
  return xmlTextReaderReadNs0Configs_listElement(reader);
}

/**
 * Writes a ConfigurationsListResourceResponse to XML under element name "configs-list".
 *
 * @param writer The XML writer.
 * @param _configurationsListResourceResponse The ConfigurationsListResourceResponse to write.
 * @return 1 if successful, 0 otherwise.
 */
int xml_write_nexus_rest_api_ns0_configurationsListResourceResponse(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_configurationsListResourceResponse *_configurationsListResourceResponse) {
  return xmlTextWriterWriteNs0Configs_listElementNS(writer, _configurationsListResourceResponse, 1);
}

/**
 * Frees a ConfigurationsListResourceResponse.
 *
 * @param _configurationsListResourceResponse The ConfigurationsListResourceResponse to free.
 */
void free_nexus_rest_api_ns0_configurationsListResourceResponse(struct nexus_rest_api_ns0_configurationsListResourceResponse *_configurationsListResourceResponse) {
  freeNs0ConfigurationsListResourceResponseType(_configurationsListResourceResponse);
  free(_configurationsListResourceResponse);
}

/**
 * Reads a ConfigurationsListResourceResponse element from XML. The element to be read is "configs-list", and
 * it is assumed that the reader is pointing to that element.
 *
 * @param reader The XML reader.
 * @return The ConfigurationsListResourceResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_configurationsListResourceResponse *xmlTextReaderReadNs0Configs_listElement(xmlTextReaderPtr reader) {
  struct nexus_rest_api_ns0_configurationsListResourceResponse *_configurationsListResourceResponse = NULL;

  if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
    && xmlStrcmp(BAD_CAST "configs-list", xmlTextReaderConstLocalName(reader)) == 0
    && xmlTextReaderConstNamespaceUri(reader) == NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Attempting to read root element {}configs-list.\n");
#endif
    _configurationsListResourceResponse = xmlTextReaderReadNs0ConfigurationsListResourceResponseType(reader);
  }
#if DEBUG_ENUNCIATE
  if (_configurationsListResourceResponse == NULL) {
    if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
      printf("attempt to read {}configs-list failed. current element: {}%s\n",  xmlTextReaderConstLocalName(reader));
    }
    else {
      printf("attempt to read {}configs-list failed. current element: {%s}%s\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
    }
  }
#endif

  return _configurationsListResourceResponse;
}

/**
 * Writes a ConfigurationsListResourceResponse to XML under element name "configs-list".
 * Does NOT write the namespace prefixes.
 *
 * @param writer The XML writer.
 * @param _configurationsListResourceResponse The ConfigurationsListResourceResponse to write.
 * @return 1 if successful, 0 otherwise.
 */
static int xmlTextWriterWriteNs0Configs_listElement(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_configurationsListResourceResponse *_configurationsListResourceResponse) {
  return xmlTextWriterWriteNs0Configs_listElementNS(writer, _configurationsListResourceResponse, 0);
}

/**
 * Writes a ConfigurationsListResourceResponse to XML under element name "configs-list".
 *
 * @param writer The XML writer.
 * @param _configurationsListResourceResponse The ConfigurationsListResourceResponse to write.
 * @param writeNamespaces Whether to write the namespace prefixes.
 * @return 1 if successful, 0 otherwise.
 */
static int xmlTextWriterWriteNs0Configs_listElementNS(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_configurationsListResourceResponse *_configurationsListResourceResponse, int writeNamespaces) {
  int totalBytes = 0;
  int status;

  status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "configs-list", NULL);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to write start element {}configs-list. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

#if DEBUG_ENUNCIATE > 1
  printf("writing type {}configurationsListResourceResponse for root element {}configs-list...\n");
#endif
  status = xmlTextWriterWriteNs0ConfigurationsListResourceResponseType(writer, _configurationsListResourceResponse);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to write type for start element {}configs-list. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

  status = xmlTextWriterEndElement(writer);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to end element {}configs-list. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

  return totalBytes;
}

/**
 * Frees the children of a ConfigurationsListResourceResponse.
 *
 * @param _configurationsListResourceResponse The ConfigurationsListResourceResponse whose children are to be free.
 */
static void freeNs0Configs_listElement(struct nexus_rest_api_ns0_configurationsListResourceResponse *_configurationsListResourceResponse) {
  freeNs0ConfigurationsListResourceResponseType(_configurationsListResourceResponse);
}

/**
 * Reads a ConfigurationsListResourceResponse from XML. The reader is assumed to be at the start element.
 *
 * @return the ConfigurationsListResourceResponse, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_configurationsListResourceResponse *xmlTextReaderReadNs0ConfigurationsListResourceResponseType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct nexus_rest_api_ns0_configurationsListResourceResponse *_configurationsListResourceResponse = calloc(1, sizeof(struct nexus_rest_api_ns0_configurationsListResourceResponse));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0ConfigurationsListResourceResponseType(_configurationsListResourceResponse);
        free(_configurationsListResourceResponse);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "data", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

        if (xmlTextReaderIsEmptyElement(reader) == 0) {
#if DEBUG_ENUNCIATE > 1
          printf("Unwrapping wrapper element {}data...\n");
#endif
          //start wrapper element "{}data"
          status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
          while (xmlTextReaderDepth(reader) > (depth + 1)) {
            if (status < 1) {
              //panic: XML read error.
#if DEBUG_ENUNCIATE
              printf("Failure to advance to next child element.\n");
#endif
              freeNs0ConfigurationsListResourceResponseType(_configurationsListResourceResponse);
              free(_configurationsListResourceResponse);
              return NULL;
            }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "configs-list-item", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}configs-list-item of type {}configs-list-item.\n");
#endif
        _child_accessor = xmlTextReaderReadNs0Configs_list_itemType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}configs-list-item of type {}configs-list-item.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0ConfigurationsListResourceResponseType(_configurationsListResourceResponse);
          free(_configurationsListResourceResponse);
          return NULL;
        }

        _configurationsListResourceResponse->data = realloc(_configurationsListResourceResponse->data, (_configurationsListResourceResponse->_sizeof_data + 1) * sizeof(struct nexus_rest_api_ns0_configs_list_item));
        memcpy(&(_configurationsListResourceResponse->data[_configurationsListResourceResponse->_sizeof_data++]), _child_accessor, sizeof(struct nexus_rest_api_ns0_configs_list_item));
        free(_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
          } // end "while in wrapper element" loop
        } //end "if empty element" clause

        if (status < 1) {
          //panic: XML read error.
#if DEBUG_ENUNCIATE
          printf("Failed to advance to end wrapper element {}data.\n");
#endif
          freeNs0ConfigurationsListResourceResponseType(_configurationsListResourceResponse);
          free(_configurationsListResourceResponse);
          return NULL;
        }
        else {
          //end wrapper element "{}data"
          status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
        }
      } // end "if wrapper element" clause
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}configurationsListResourceResponse.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}configurationsListResourceResponse. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _configurationsListResourceResponse;
}

/**
 * Writes a ConfigurationsListResourceResponse to XML.
 *
 * @param writer The XML writer.
 * @param _configurationsListResourceResponse The ConfigurationsListResourceResponse to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0ConfigurationsListResourceResponseType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_configurationsListResourceResponse *_configurationsListResourceResponse) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;

  if (_configurationsListResourceResponse->data != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "data", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  for (i = 0; i < _configurationsListResourceResponse->_sizeof_data; i++) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "configs-list-item", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}configs-list-item. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {}configs-list-item for element {}configs-list-item...\n", status);
#endif
    status = xmlTextWriterWriteNs0Configs_list_itemType(writer, &(_configurationsListResourceResponse->data[i]));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {}configs-list-item for element {}configs-list-item. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}configs-list-item. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  if (_configurationsListResourceResponse->data != NULL) {
    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a ConfigurationsListResourceResponse.
 *
 * @param _configurationsListResourceResponse The ConfigurationsListResourceResponse to free.
 */
static void freeNs0ConfigurationsListResourceResponseType(struct nexus_rest_api_ns0_configurationsListResourceResponse *_configurationsListResourceResponse) {
  int i;
  if (_configurationsListResourceResponse->data != NULL) {
    for (i = 0; i < _configurationsListResourceResponse->_sizeof_data; i++) {
#if DEBUG_ENUNCIATE > 1
      printf("Freeing accessor data[%i] of type nexus_rest_api_ns0_configurationsListResourceResponse...\n", i);
#endif
      freeNs0Configs_list_itemType(&(_configurationsListResourceResponse->data[i]));
    }
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor data of type nexus_rest_api_ns0_configurationsListResourceResponse...\n");
#endif
    free(_configurationsListResourceResponse->data);
  }
}
#endif /* DEF_nexus_rest_api_ns0_configurationsListResourceResponse_M */
#ifndef DEF_nexus_rest_api_ns0_content_list_describe_request_resource_M
#define DEF_nexus_rest_api_ns0_content_list_describe_request_resource_M

/**
 * Reads a ContentListDescribeRequestResource from XML. The reader is assumed to be at the start element.
 *
 * @return the ContentListDescribeRequestResource, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_content_list_describe_request_resource *xmlTextReaderReadNs0Content_list_describe_request_resourceType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct nexus_rest_api_ns0_content_list_describe_request_resource *_contentListDescribeRequestResource = calloc(1, sizeof(struct nexus_rest_api_ns0_content_list_describe_request_resource));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0Content_list_describe_request_resourceType(_contentListDescribeRequestResource);
        free(_contentListDescribeRequestResource);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "requestUrl", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}requestUrl of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}requestUrl of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Content_list_describe_request_resourceType(_contentListDescribeRequestResource);
          free(_contentListDescribeRequestResource);
          return NULL;
        }

        _contentListDescribeRequestResource->requestUrl = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "requestPath", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}requestPath of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}requestPath of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Content_list_describe_request_resourceType(_contentListDescribeRequestResource);
          free(_contentListDescribeRequestResource);
          return NULL;
        }

        _contentListDescribeRequestResource->requestPath = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "requestContext", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

        if (xmlTextReaderIsEmptyElement(reader) == 0) {
#if DEBUG_ENUNCIATE > 1
          printf("Unwrapping wrapper element {}requestContext...\n");
#endif
          //start wrapper element "{}requestContext"
          status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
          while (xmlTextReaderDepth(reader) > (depth + 1)) {
            if (status < 1) {
              //panic: XML read error.
#if DEBUG_ENUNCIATE
              printf("Failure to advance to next child element.\n");
#endif
              freeNs0Content_list_describe_request_resourceType(_contentListDescribeRequestResource);
              free(_contentListDescribeRequestResource);
              return NULL;
            }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "requestContextItem", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}requestContextItem of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}requestContextItem of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Content_list_describe_request_resourceType(_contentListDescribeRequestResource);
          free(_contentListDescribeRequestResource);
          return NULL;
        }

        _contentListDescribeRequestResource->requestContext = realloc(_contentListDescribeRequestResource->requestContext, (_contentListDescribeRequestResource->_sizeof_requestContext + 1) * sizeof(xmlChar));
        memcpy(&(_contentListDescribeRequestResource->requestContext[_contentListDescribeRequestResource->_sizeof_requestContext++]), _child_accessor, sizeof(xmlChar));
        free(_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
          } // end "while in wrapper element" loop
        } //end "if empty element" clause

        if (status < 1) {
          //panic: XML read error.
#if DEBUG_ENUNCIATE
          printf("Failed to advance to end wrapper element {}requestContext.\n");
#endif
          freeNs0Content_list_describe_request_resourceType(_contentListDescribeRequestResource);
          free(_contentListDescribeRequestResource);
          return NULL;
        }
        else {
          //end wrapper element "{}requestContext"
          status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
        }
      } // end "if wrapper element" clause
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}content-list-describe-request-resource.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}content-list-describe-request-resource. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _contentListDescribeRequestResource;
}

/**
 * Writes a ContentListDescribeRequestResource to XML.
 *
 * @param writer The XML writer.
 * @param _contentListDescribeRequestResource The ContentListDescribeRequestResource to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0Content_list_describe_request_resourceType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_content_list_describe_request_resource *_contentListDescribeRequestResource) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;
  if (_contentListDescribeRequestResource->requestUrl != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "requestUrl", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}requestUrl. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}requestUrl...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_contentListDescribeRequestResource->requestUrl));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}requestUrl. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}requestUrl. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_contentListDescribeRequestResource->requestPath != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "requestPath", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}requestPath. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}requestPath...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_contentListDescribeRequestResource->requestPath));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}requestPath. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}requestPath. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  if (_contentListDescribeRequestResource->requestContext != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "requestContext", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}requestContext. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  for (i = 0; i < _contentListDescribeRequestResource->_sizeof_requestContext; i++) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "requestContextItem", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}requestContextItem. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}requestContextItem...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, &(_contentListDescribeRequestResource->requestContext[i]));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}requestContextItem. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}requestContextItem. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  if (_contentListDescribeRequestResource->requestContext != NULL) {
    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}requestContext. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a ContentListDescribeRequestResource.
 *
 * @param _contentListDescribeRequestResource The ContentListDescribeRequestResource to free.
 */
static void freeNs0Content_list_describe_request_resourceType(struct nexus_rest_api_ns0_content_list_describe_request_resource *_contentListDescribeRequestResource) {
  int i;
  if (_contentListDescribeRequestResource->requestUrl != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor requestUrl of type nexus_rest_api_ns0_content_list_describe_request_resource...\n");
#endif
    freeXsStringType(_contentListDescribeRequestResource->requestUrl);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor requestUrl of type nexus_rest_api_ns0_content_list_describe_request_resource...\n");
#endif
    free(_contentListDescribeRequestResource->requestUrl);
  }
  if (_contentListDescribeRequestResource->requestPath != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor requestPath of type nexus_rest_api_ns0_content_list_describe_request_resource...\n");
#endif
    freeXsStringType(_contentListDescribeRequestResource->requestPath);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor requestPath of type nexus_rest_api_ns0_content_list_describe_request_resource...\n");
#endif
    free(_contentListDescribeRequestResource->requestPath);
  }
  if (_contentListDescribeRequestResource->requestContext != NULL) {
    for (i = 0; i < _contentListDescribeRequestResource->_sizeof_requestContext; i++) {
#if DEBUG_ENUNCIATE > 1
      printf("Freeing accessor requestContext[%i] of type nexus_rest_api_ns0_content_list_describe_request_resource...\n", i);
#endif
      freeXsStringType(&(_contentListDescribeRequestResource->requestContext[i]));
    }
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor requestContext of type nexus_rest_api_ns0_content_list_describe_request_resource...\n");
#endif
    free(_contentListDescribeRequestResource->requestContext);
  }
}
#endif /* DEF_nexus_rest_api_ns0_content_list_describe_request_resource_M */
#ifndef DEF_nexus_rest_api_ns0_content_list_describe_resource_M
#define DEF_nexus_rest_api_ns0_content_list_describe_resource_M

/**
 * Reads a ContentListDescribeResource from XML. The reader is assumed to be at the start element.
 *
 * @return the ContentListDescribeResource, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_content_list_describe_resource *xmlTextReaderReadNs0Content_list_describe_resourceType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct nexus_rest_api_ns0_content_list_describe_resource *_contentListDescribeResource = calloc(1, sizeof(struct nexus_rest_api_ns0_content_list_describe_resource));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0Content_list_describe_resourceType(_contentListDescribeResource);
        free(_contentListDescribeResource);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "requestUrl", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}requestUrl of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}requestUrl of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Content_list_describe_resourceType(_contentListDescribeResource);
          free(_contentListDescribeResource);
          return NULL;
        }

        _contentListDescribeResource->requestUrl = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "processingTimeMillis", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}processingTimeMillis of type {http://www.w3.org/2001/XMLSchema}long.\n");
#endif
        _child_accessor = xmlTextReaderReadXsLongType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}processingTimeMillis of type {http://www.w3.org/2001/XMLSchema}long.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Content_list_describe_resourceType(_contentListDescribeResource);
          free(_contentListDescribeResource);
          return NULL;
        }

        _contentListDescribeResource->processingTimeMillis = *((long*)_child_accessor);
        free(_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "request", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}request of type {}content-list-describe-request-resource.\n");
#endif
        _child_accessor = xmlTextReaderReadNs0Content_list_describe_request_resourceType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}request of type {}content-list-describe-request-resource.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Content_list_describe_resourceType(_contentListDescribeResource);
          free(_contentListDescribeResource);
          return NULL;
        }

        _contentListDescribeResource->request = ((struct nexus_rest_api_ns0_content_list_describe_request_resource*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "response", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}response of type {}content-list-describe-response-resource.\n");
#endif
        _child_accessor = xmlTextReaderReadNs0Content_list_describe_response_resourceType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}response of type {}content-list-describe-response-resource.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Content_list_describe_resourceType(_contentListDescribeResource);
          free(_contentListDescribeResource);
          return NULL;
        }

        _contentListDescribeResource->response = ((struct nexus_rest_api_ns0_content_list_describe_response_resource*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}content-list-describe-resource.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}content-list-describe-resource. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _contentListDescribeResource;
}

/**
 * Writes a ContentListDescribeResource to XML.
 *
 * @param writer The XML writer.
 * @param _contentListDescribeResource The ContentListDescribeResource to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0Content_list_describe_resourceType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_content_list_describe_resource *_contentListDescribeResource) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;
  if (_contentListDescribeResource->requestUrl != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "requestUrl", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}requestUrl. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}requestUrl...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_contentListDescribeResource->requestUrl));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}requestUrl. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}requestUrl. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (1) { //always write the primitive element.
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "processingTimeMillis", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}processingTimeMillis. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}long for element {}processingTimeMillis...\n", status);
#endif
    status = xmlTextWriterWriteXsLongType(writer, &(_contentListDescribeResource->processingTimeMillis));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}long for element {}processingTimeMillis. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}processingTimeMillis. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_contentListDescribeResource->request != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "request", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}request. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {}content-list-describe-request-resource for element {}request...\n", status);
#endif
    status = xmlTextWriterWriteNs0Content_list_describe_request_resourceType(writer, (_contentListDescribeResource->request));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {}content-list-describe-request-resource for element {}request. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}request. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_contentListDescribeResource->response != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "response", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}response. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {}content-list-describe-response-resource for element {}response...\n", status);
#endif
    status = xmlTextWriterWriteNs0Content_list_describe_response_resourceType(writer, (_contentListDescribeResource->response));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {}content-list-describe-response-resource for element {}response. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}response. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a ContentListDescribeResource.
 *
 * @param _contentListDescribeResource The ContentListDescribeResource to free.
 */
static void freeNs0Content_list_describe_resourceType(struct nexus_rest_api_ns0_content_list_describe_resource *_contentListDescribeResource) {
  int i;
  if (_contentListDescribeResource->requestUrl != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor requestUrl of type nexus_rest_api_ns0_content_list_describe_resource...\n");
#endif
    freeXsStringType(_contentListDescribeResource->requestUrl);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor requestUrl of type nexus_rest_api_ns0_content_list_describe_resource...\n");
#endif
    free(_contentListDescribeResource->requestUrl);
  }
  if (_contentListDescribeResource->request != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor request of type nexus_rest_api_ns0_content_list_describe_resource...\n");
#endif
    freeNs0Content_list_describe_request_resourceType(_contentListDescribeResource->request);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor request of type nexus_rest_api_ns0_content_list_describe_resource...\n");
#endif
    free(_contentListDescribeResource->request);
  }
  if (_contentListDescribeResource->response != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor response of type nexus_rest_api_ns0_content_list_describe_resource...\n");
#endif
    freeNs0Content_list_describe_response_resourceType(_contentListDescribeResource->response);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor response of type nexus_rest_api_ns0_content_list_describe_resource...\n");
#endif
    free(_contentListDescribeResource->response);
  }
}
#endif /* DEF_nexus_rest_api_ns0_content_list_describe_resource_M */
#ifndef DEF_nexus_rest_api_ns0_contentListDescribeResourceResponse_M
#define DEF_nexus_rest_api_ns0_contentListDescribeResourceResponse_M

/**
 * Reads a ContentListDescribeResourceResponse element from XML. The element to be read is "contentDescribe", and
 * it is assumed that the reader is pointing to the XML document (not the element).
 *
 * @param reader The XML reader.
 * @return The ContentListDescribeResourceResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_contentListDescribeResourceResponse *xml_read_nexus_rest_api_ns0_contentListDescribeResourceResponse(xmlTextReaderPtr reader) {
  int status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
  return xmlTextReaderReadNs0ContentDescribeElement(reader);
}

/**
 * Writes a ContentListDescribeResourceResponse to XML under element name "contentDescribe".
 *
 * @param writer The XML writer.
 * @param _contentListDescribeResourceResponse The ContentListDescribeResourceResponse to write.
 * @return 1 if successful, 0 otherwise.
 */
int xml_write_nexus_rest_api_ns0_contentListDescribeResourceResponse(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_contentListDescribeResourceResponse *_contentListDescribeResourceResponse) {
  return xmlTextWriterWriteNs0ContentDescribeElementNS(writer, _contentListDescribeResourceResponse, 1);
}

/**
 * Frees a ContentListDescribeResourceResponse.
 *
 * @param _contentListDescribeResourceResponse The ContentListDescribeResourceResponse to free.
 */
void free_nexus_rest_api_ns0_contentListDescribeResourceResponse(struct nexus_rest_api_ns0_contentListDescribeResourceResponse *_contentListDescribeResourceResponse) {
  freeNs0ContentListDescribeResourceResponseType(_contentListDescribeResourceResponse);
  free(_contentListDescribeResourceResponse);
}

/**
 * Reads a ContentListDescribeResourceResponse element from XML. The element to be read is "contentDescribe", and
 * it is assumed that the reader is pointing to that element.
 *
 * @param reader The XML reader.
 * @return The ContentListDescribeResourceResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_contentListDescribeResourceResponse *xmlTextReaderReadNs0ContentDescribeElement(xmlTextReaderPtr reader) {
  struct nexus_rest_api_ns0_contentListDescribeResourceResponse *_contentListDescribeResourceResponse = NULL;

  if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
    && xmlStrcmp(BAD_CAST "contentDescribe", xmlTextReaderConstLocalName(reader)) == 0
    && xmlTextReaderConstNamespaceUri(reader) == NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Attempting to read root element {}contentDescribe.\n");
#endif
    _contentListDescribeResourceResponse = xmlTextReaderReadNs0ContentListDescribeResourceResponseType(reader);
  }
#if DEBUG_ENUNCIATE
  if (_contentListDescribeResourceResponse == NULL) {
    if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
      printf("attempt to read {}contentDescribe failed. current element: {}%s\n",  xmlTextReaderConstLocalName(reader));
    }
    else {
      printf("attempt to read {}contentDescribe failed. current element: {%s}%s\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
    }
  }
#endif

  return _contentListDescribeResourceResponse;
}

/**
 * Writes a ContentListDescribeResourceResponse to XML under element name "contentDescribe".
 * Does NOT write the namespace prefixes.
 *
 * @param writer The XML writer.
 * @param _contentListDescribeResourceResponse The ContentListDescribeResourceResponse to write.
 * @return 1 if successful, 0 otherwise.
 */
static int xmlTextWriterWriteNs0ContentDescribeElement(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_contentListDescribeResourceResponse *_contentListDescribeResourceResponse) {
  return xmlTextWriterWriteNs0ContentDescribeElementNS(writer, _contentListDescribeResourceResponse, 0);
}

/**
 * Writes a ContentListDescribeResourceResponse to XML under element name "contentDescribe".
 *
 * @param writer The XML writer.
 * @param _contentListDescribeResourceResponse The ContentListDescribeResourceResponse to write.
 * @param writeNamespaces Whether to write the namespace prefixes.
 * @return 1 if successful, 0 otherwise.
 */
static int xmlTextWriterWriteNs0ContentDescribeElementNS(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_contentListDescribeResourceResponse *_contentListDescribeResourceResponse, int writeNamespaces) {
  int totalBytes = 0;
  int status;

  status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "contentDescribe", NULL);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to write start element {}contentDescribe. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

#if DEBUG_ENUNCIATE > 1
  printf("writing type {}contentListDescribeResourceResponse for root element {}contentDescribe...\n");
#endif
  status = xmlTextWriterWriteNs0ContentListDescribeResourceResponseType(writer, _contentListDescribeResourceResponse);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to write type for start element {}contentDescribe. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

  status = xmlTextWriterEndElement(writer);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to end element {}contentDescribe. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

  return totalBytes;
}

/**
 * Frees the children of a ContentListDescribeResourceResponse.
 *
 * @param _contentListDescribeResourceResponse The ContentListDescribeResourceResponse whose children are to be free.
 */
static void freeNs0ContentDescribeElement(struct nexus_rest_api_ns0_contentListDescribeResourceResponse *_contentListDescribeResourceResponse) {
  freeNs0ContentListDescribeResourceResponseType(_contentListDescribeResourceResponse);
}

/**
 * Reads a ContentListDescribeResourceResponse from XML. The reader is assumed to be at the start element.
 *
 * @return the ContentListDescribeResourceResponse, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_contentListDescribeResourceResponse *xmlTextReaderReadNs0ContentListDescribeResourceResponseType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct nexus_rest_api_ns0_contentListDescribeResourceResponse *_contentListDescribeResourceResponse = calloc(1, sizeof(struct nexus_rest_api_ns0_contentListDescribeResourceResponse));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0ContentListDescribeResourceResponseType(_contentListDescribeResourceResponse);
        free(_contentListDescribeResourceResponse);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "data", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}data of type {}content-list-describe-resource.\n");
#endif
        _child_accessor = xmlTextReaderReadNs0Content_list_describe_resourceType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}data of type {}content-list-describe-resource.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0ContentListDescribeResourceResponseType(_contentListDescribeResourceResponse);
          free(_contentListDescribeResourceResponse);
          return NULL;
        }

        _contentListDescribeResourceResponse->data = ((struct nexus_rest_api_ns0_content_list_describe_resource*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}contentListDescribeResourceResponse.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}contentListDescribeResourceResponse. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _contentListDescribeResourceResponse;
}

/**
 * Writes a ContentListDescribeResourceResponse to XML.
 *
 * @param writer The XML writer.
 * @param _contentListDescribeResourceResponse The ContentListDescribeResourceResponse to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0ContentListDescribeResourceResponseType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_contentListDescribeResourceResponse *_contentListDescribeResourceResponse) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;
  if (_contentListDescribeResourceResponse->data != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "data", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {}content-list-describe-resource for element {}data...\n", status);
#endif
    status = xmlTextWriterWriteNs0Content_list_describe_resourceType(writer, (_contentListDescribeResourceResponse->data));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {}content-list-describe-resource for element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a ContentListDescribeResourceResponse.
 *
 * @param _contentListDescribeResourceResponse The ContentListDescribeResourceResponse to free.
 */
static void freeNs0ContentListDescribeResourceResponseType(struct nexus_rest_api_ns0_contentListDescribeResourceResponse *_contentListDescribeResourceResponse) {
  int i;
  if (_contentListDescribeResourceResponse->data != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor data of type nexus_rest_api_ns0_contentListDescribeResourceResponse...\n");
#endif
    freeNs0Content_list_describe_resourceType(_contentListDescribeResourceResponse->data);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor data of type nexus_rest_api_ns0_contentListDescribeResourceResponse...\n");
#endif
    free(_contentListDescribeResourceResponse->data);
  }
}
#endif /* DEF_nexus_rest_api_ns0_contentListDescribeResourceResponse_M */
#ifndef DEF_nexus_rest_api_ns0_content_list_describe_response_resource_M
#define DEF_nexus_rest_api_ns0_content_list_describe_response_resource_M

/**
 * Reads a ContentListDescribeResponseResource from XML. The reader is assumed to be at the start element.
 *
 * @return the ContentListDescribeResponseResource, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_content_list_describe_response_resource *xmlTextReaderReadNs0Content_list_describe_response_resourceType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct nexus_rest_api_ns0_content_list_describe_response_resource *_contentListDescribeResponseResource = calloc(1, sizeof(struct nexus_rest_api_ns0_content_list_describe_response_resource));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0Content_list_describe_response_resourceType(_contentListDescribeResponseResource);
        free(_contentListDescribeResponseResource);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "responseType", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}responseType of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}responseType of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Content_list_describe_response_resourceType(_contentListDescribeResponseResource);
          free(_contentListDescribeResponseResource);
          return NULL;
        }

        _contentListDescribeResponseResource->responseType = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "responseActualClass", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}responseActualClass of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}responseActualClass of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Content_list_describe_response_resourceType(_contentListDescribeResponseResource);
          free(_contentListDescribeResponseResource);
          return NULL;
        }

        _contentListDescribeResponseResource->responseActualClass = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "responsePath", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}responsePath of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}responsePath of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Content_list_describe_response_resourceType(_contentListDescribeResponseResource);
          free(_contentListDescribeResponseResource);
          return NULL;
        }

        _contentListDescribeResponseResource->responsePath = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "responseUid", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}responseUid of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}responseUid of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Content_list_describe_response_resourceType(_contentListDescribeResponseResource);
          free(_contentListDescribeResponseResource);
          return NULL;
        }

        _contentListDescribeResponseResource->responseUid = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "originatingRepositoryId", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}originatingRepositoryId of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}originatingRepositoryId of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Content_list_describe_response_resourceType(_contentListDescribeResponseResource);
          free(_contentListDescribeResponseResource);
          return NULL;
        }

        _contentListDescribeResponseResource->originatingRepositoryId = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "originatingRepositoryName", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}originatingRepositoryName of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}originatingRepositoryName of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Content_list_describe_response_resourceType(_contentListDescribeResponseResource);
          free(_contentListDescribeResponseResource);
          return NULL;
        }

        _contentListDescribeResponseResource->originatingRepositoryName = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "originatingRepositoryMainFacet", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}originatingRepositoryMainFacet of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}originatingRepositoryMainFacet of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Content_list_describe_response_resourceType(_contentListDescribeResponseResource);
          free(_contentListDescribeResponseResource);
          return NULL;
        }

        _contentListDescribeResponseResource->originatingRepositoryMainFacet = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "processedRepositoriesList", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

        if (xmlTextReaderIsEmptyElement(reader) == 0) {
#if DEBUG_ENUNCIATE > 1
          printf("Unwrapping wrapper element {}processedRepositoriesList...\n");
#endif
          //start wrapper element "{}processedRepositoriesList"
          status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
          while (xmlTextReaderDepth(reader) > (depth + 1)) {
            if (status < 1) {
              //panic: XML read error.
#if DEBUG_ENUNCIATE
              printf("Failure to advance to next child element.\n");
#endif
              freeNs0Content_list_describe_response_resourceType(_contentListDescribeResponseResource);
              free(_contentListDescribeResponseResource);
              return NULL;
            }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "processedRepositoriesListItem", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}processedRepositoriesListItem of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}processedRepositoriesListItem of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Content_list_describe_response_resourceType(_contentListDescribeResponseResource);
          free(_contentListDescribeResponseResource);
          return NULL;
        }

        _contentListDescribeResponseResource->processedRepositoriesList = realloc(_contentListDescribeResponseResource->processedRepositoriesList, (_contentListDescribeResponseResource->_sizeof_processedRepositoriesList + 1) * sizeof(xmlChar));
        memcpy(&(_contentListDescribeResponseResource->processedRepositoriesList[_contentListDescribeResponseResource->_sizeof_processedRepositoriesList++]), _child_accessor, sizeof(xmlChar));
        free(_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
          } // end "while in wrapper element" loop
        } //end "if empty element" clause

        if (status < 1) {
          //panic: XML read error.
#if DEBUG_ENUNCIATE
          printf("Failed to advance to end wrapper element {}processedRepositoriesList.\n");
#endif
          freeNs0Content_list_describe_response_resourceType(_contentListDescribeResponseResource);
          free(_contentListDescribeResponseResource);
          return NULL;
        }
        else {
          //end wrapper element "{}processedRepositoriesList"
          status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
        }
      } // end "if wrapper element" clause
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "appliedMappings", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

        if (xmlTextReaderIsEmptyElement(reader) == 0) {
#if DEBUG_ENUNCIATE > 1
          printf("Unwrapping wrapper element {}appliedMappings...\n");
#endif
          //start wrapper element "{}appliedMappings"
          status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
          while (xmlTextReaderDepth(reader) > (depth + 1)) {
            if (status < 1) {
              //panic: XML read error.
#if DEBUG_ENUNCIATE
              printf("Failure to advance to next child element.\n");
#endif
              freeNs0Content_list_describe_response_resourceType(_contentListDescribeResponseResource);
              free(_contentListDescribeResponseResource);
              return NULL;
            }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "appliedMappingItem", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}appliedMappingItem of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}appliedMappingItem of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Content_list_describe_response_resourceType(_contentListDescribeResponseResource);
          free(_contentListDescribeResponseResource);
          return NULL;
        }

        _contentListDescribeResponseResource->appliedMappings = realloc(_contentListDescribeResponseResource->appliedMappings, (_contentListDescribeResponseResource->_sizeof_appliedMappings + 1) * sizeof(xmlChar));
        memcpy(&(_contentListDescribeResponseResource->appliedMappings[_contentListDescribeResponseResource->_sizeof_appliedMappings++]), _child_accessor, sizeof(xmlChar));
        free(_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
          } // end "while in wrapper element" loop
        } //end "if empty element" clause

        if (status < 1) {
          //panic: XML read error.
#if DEBUG_ENUNCIATE
          printf("Failed to advance to end wrapper element {}appliedMappings.\n");
#endif
          freeNs0Content_list_describe_response_resourceType(_contentListDescribeResponseResource);
          free(_contentListDescribeResponseResource);
          return NULL;
        }
        else {
          //end wrapper element "{}appliedMappings"
          status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
        }
      } // end "if wrapper element" clause
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "properties", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

        if (xmlTextReaderIsEmptyElement(reader) == 0) {
#if DEBUG_ENUNCIATE > 1
          printf("Unwrapping wrapper element {}properties...\n");
#endif
          //start wrapper element "{}properties"
          status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
          while (xmlTextReaderDepth(reader) > (depth + 1)) {
            if (status < 1) {
              //panic: XML read error.
#if DEBUG_ENUNCIATE
              printf("Failure to advance to next child element.\n");
#endif
              freeNs0Content_list_describe_response_resourceType(_contentListDescribeResponseResource);
              free(_contentListDescribeResponseResource);
              return NULL;
            }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "propertyItem", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}propertyItem of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}propertyItem of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Content_list_describe_response_resourceType(_contentListDescribeResponseResource);
          free(_contentListDescribeResponseResource);
          return NULL;
        }

        _contentListDescribeResponseResource->properties = realloc(_contentListDescribeResponseResource->properties, (_contentListDescribeResponseResource->_sizeof_properties + 1) * sizeof(xmlChar));
        memcpy(&(_contentListDescribeResponseResource->properties[_contentListDescribeResponseResource->_sizeof_properties++]), _child_accessor, sizeof(xmlChar));
        free(_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
          } // end "while in wrapper element" loop
        } //end "if empty element" clause

        if (status < 1) {
          //panic: XML read error.
#if DEBUG_ENUNCIATE
          printf("Failed to advance to end wrapper element {}properties.\n");
#endif
          freeNs0Content_list_describe_response_resourceType(_contentListDescribeResponseResource);
          free(_contentListDescribeResponseResource);
          return NULL;
        }
        else {
          //end wrapper element "{}properties"
          status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
        }
      } // end "if wrapper element" clause
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "attributes", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

        if (xmlTextReaderIsEmptyElement(reader) == 0) {
#if DEBUG_ENUNCIATE > 1
          printf("Unwrapping wrapper element {}attributes...\n");
#endif
          //start wrapper element "{}attributes"
          status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
          while (xmlTextReaderDepth(reader) > (depth + 1)) {
            if (status < 1) {
              //panic: XML read error.
#if DEBUG_ENUNCIATE
              printf("Failure to advance to next child element.\n");
#endif
              freeNs0Content_list_describe_response_resourceType(_contentListDescribeResponseResource);
              free(_contentListDescribeResponseResource);
              return NULL;
            }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "attributeItem", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}attributeItem of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}attributeItem of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Content_list_describe_response_resourceType(_contentListDescribeResponseResource);
          free(_contentListDescribeResponseResource);
          return NULL;
        }

        _contentListDescribeResponseResource->attributes = realloc(_contentListDescribeResponseResource->attributes, (_contentListDescribeResponseResource->_sizeof_attributes + 1) * sizeof(xmlChar));
        memcpy(&(_contentListDescribeResponseResource->attributes[_contentListDescribeResponseResource->_sizeof_attributes++]), _child_accessor, sizeof(xmlChar));
        free(_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
          } // end "while in wrapper element" loop
        } //end "if empty element" clause

        if (status < 1) {
          //panic: XML read error.
#if DEBUG_ENUNCIATE
          printf("Failed to advance to end wrapper element {}attributes.\n");
#endif
          freeNs0Content_list_describe_response_resourceType(_contentListDescribeResponseResource);
          free(_contentListDescribeResponseResource);
          return NULL;
        }
        else {
          //end wrapper element "{}attributes"
          status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
        }
      } // end "if wrapper element" clause
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "sources", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

        if (xmlTextReaderIsEmptyElement(reader) == 0) {
#if DEBUG_ENUNCIATE > 1
          printf("Unwrapping wrapper element {}sources...\n");
#endif
          //start wrapper element "{}sources"
          status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
          while (xmlTextReaderDepth(reader) > (depth + 1)) {
            if (status < 1) {
              //panic: XML read error.
#if DEBUG_ENUNCIATE
              printf("Failure to advance to next child element.\n");
#endif
              freeNs0Content_list_describe_response_resourceType(_contentListDescribeResponseResource);
              free(_contentListDescribeResponseResource);
              return NULL;
            }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "sourceItem", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}sourceItem of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}sourceItem of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Content_list_describe_response_resourceType(_contentListDescribeResponseResource);
          free(_contentListDescribeResponseResource);
          return NULL;
        }

        _contentListDescribeResponseResource->sources = realloc(_contentListDescribeResponseResource->sources, (_contentListDescribeResponseResource->_sizeof_sources + 1) * sizeof(xmlChar));
        memcpy(&(_contentListDescribeResponseResource->sources[_contentListDescribeResponseResource->_sizeof_sources++]), _child_accessor, sizeof(xmlChar));
        free(_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
          } // end "while in wrapper element" loop
        } //end "if empty element" clause

        if (status < 1) {
          //panic: XML read error.
#if DEBUG_ENUNCIATE
          printf("Failed to advance to end wrapper element {}sources.\n");
#endif
          freeNs0Content_list_describe_response_resourceType(_contentListDescribeResponseResource);
          free(_contentListDescribeResponseResource);
          return NULL;
        }
        else {
          //end wrapper element "{}sources"
          status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
        }
      } // end "if wrapper element" clause
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}content-list-describe-response-resource.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}content-list-describe-response-resource. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _contentListDescribeResponseResource;
}

/**
 * Writes a ContentListDescribeResponseResource to XML.
 *
 * @param writer The XML writer.
 * @param _contentListDescribeResponseResource The ContentListDescribeResponseResource to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0Content_list_describe_response_resourceType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_content_list_describe_response_resource *_contentListDescribeResponseResource) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;
  if (_contentListDescribeResponseResource->responseType != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "responseType", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}responseType. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}responseType...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_contentListDescribeResponseResource->responseType));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}responseType. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}responseType. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_contentListDescribeResponseResource->responseActualClass != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "responseActualClass", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}responseActualClass. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}responseActualClass...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_contentListDescribeResponseResource->responseActualClass));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}responseActualClass. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}responseActualClass. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_contentListDescribeResponseResource->responsePath != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "responsePath", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}responsePath. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}responsePath...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_contentListDescribeResponseResource->responsePath));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}responsePath. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}responsePath. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_contentListDescribeResponseResource->responseUid != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "responseUid", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}responseUid. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}responseUid...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_contentListDescribeResponseResource->responseUid));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}responseUid. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}responseUid. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_contentListDescribeResponseResource->originatingRepositoryId != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "originatingRepositoryId", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}originatingRepositoryId. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}originatingRepositoryId...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_contentListDescribeResponseResource->originatingRepositoryId));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}originatingRepositoryId. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}originatingRepositoryId. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_contentListDescribeResponseResource->originatingRepositoryName != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "originatingRepositoryName", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}originatingRepositoryName. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}originatingRepositoryName...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_contentListDescribeResponseResource->originatingRepositoryName));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}originatingRepositoryName. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}originatingRepositoryName. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_contentListDescribeResponseResource->originatingRepositoryMainFacet != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "originatingRepositoryMainFacet", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}originatingRepositoryMainFacet. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}originatingRepositoryMainFacet...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_contentListDescribeResponseResource->originatingRepositoryMainFacet));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}originatingRepositoryMainFacet. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}originatingRepositoryMainFacet. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  if (_contentListDescribeResponseResource->processedRepositoriesList != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "processedRepositoriesList", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}processedRepositoriesList. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  for (i = 0; i < _contentListDescribeResponseResource->_sizeof_processedRepositoriesList; i++) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "processedRepositoriesListItem", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}processedRepositoriesListItem. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}processedRepositoriesListItem...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, &(_contentListDescribeResponseResource->processedRepositoriesList[i]));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}processedRepositoriesListItem. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}processedRepositoriesListItem. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  if (_contentListDescribeResponseResource->processedRepositoriesList != NULL) {
    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}processedRepositoriesList. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  if (_contentListDescribeResponseResource->appliedMappings != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "appliedMappings", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}appliedMappings. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  for (i = 0; i < _contentListDescribeResponseResource->_sizeof_appliedMappings; i++) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "appliedMappingItem", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}appliedMappingItem. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}appliedMappingItem...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, &(_contentListDescribeResponseResource->appliedMappings[i]));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}appliedMappingItem. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}appliedMappingItem. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  if (_contentListDescribeResponseResource->appliedMappings != NULL) {
    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}appliedMappings. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  if (_contentListDescribeResponseResource->properties != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "properties", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}properties. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  for (i = 0; i < _contentListDescribeResponseResource->_sizeof_properties; i++) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "propertyItem", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}propertyItem. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}propertyItem...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, &(_contentListDescribeResponseResource->properties[i]));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}propertyItem. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}propertyItem. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  if (_contentListDescribeResponseResource->properties != NULL) {
    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}properties. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  if (_contentListDescribeResponseResource->attributes != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "attributes", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}attributes. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  for (i = 0; i < _contentListDescribeResponseResource->_sizeof_attributes; i++) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "attributeItem", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}attributeItem. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}attributeItem...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, &(_contentListDescribeResponseResource->attributes[i]));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}attributeItem. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}attributeItem. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  if (_contentListDescribeResponseResource->attributes != NULL) {
    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}attributes. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  if (_contentListDescribeResponseResource->sources != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "sources", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}sources. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  for (i = 0; i < _contentListDescribeResponseResource->_sizeof_sources; i++) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "sourceItem", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}sourceItem. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}sourceItem...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, &(_contentListDescribeResponseResource->sources[i]));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}sourceItem. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}sourceItem. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  if (_contentListDescribeResponseResource->sources != NULL) {
    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}sources. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a ContentListDescribeResponseResource.
 *
 * @param _contentListDescribeResponseResource The ContentListDescribeResponseResource to free.
 */
static void freeNs0Content_list_describe_response_resourceType(struct nexus_rest_api_ns0_content_list_describe_response_resource *_contentListDescribeResponseResource) {
  int i;
  if (_contentListDescribeResponseResource->responseType != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor responseType of type nexus_rest_api_ns0_content_list_describe_response_resource...\n");
#endif
    freeXsStringType(_contentListDescribeResponseResource->responseType);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor responseType of type nexus_rest_api_ns0_content_list_describe_response_resource...\n");
#endif
    free(_contentListDescribeResponseResource->responseType);
  }
  if (_contentListDescribeResponseResource->responseActualClass != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor responseActualClass of type nexus_rest_api_ns0_content_list_describe_response_resource...\n");
#endif
    freeXsStringType(_contentListDescribeResponseResource->responseActualClass);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor responseActualClass of type nexus_rest_api_ns0_content_list_describe_response_resource...\n");
#endif
    free(_contentListDescribeResponseResource->responseActualClass);
  }
  if (_contentListDescribeResponseResource->responsePath != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor responsePath of type nexus_rest_api_ns0_content_list_describe_response_resource...\n");
#endif
    freeXsStringType(_contentListDescribeResponseResource->responsePath);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor responsePath of type nexus_rest_api_ns0_content_list_describe_response_resource...\n");
#endif
    free(_contentListDescribeResponseResource->responsePath);
  }
  if (_contentListDescribeResponseResource->responseUid != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor responseUid of type nexus_rest_api_ns0_content_list_describe_response_resource...\n");
#endif
    freeXsStringType(_contentListDescribeResponseResource->responseUid);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor responseUid of type nexus_rest_api_ns0_content_list_describe_response_resource...\n");
#endif
    free(_contentListDescribeResponseResource->responseUid);
  }
  if (_contentListDescribeResponseResource->originatingRepositoryId != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor originatingRepositoryId of type nexus_rest_api_ns0_content_list_describe_response_resource...\n");
#endif
    freeXsStringType(_contentListDescribeResponseResource->originatingRepositoryId);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor originatingRepositoryId of type nexus_rest_api_ns0_content_list_describe_response_resource...\n");
#endif
    free(_contentListDescribeResponseResource->originatingRepositoryId);
  }
  if (_contentListDescribeResponseResource->originatingRepositoryName != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor originatingRepositoryName of type nexus_rest_api_ns0_content_list_describe_response_resource...\n");
#endif
    freeXsStringType(_contentListDescribeResponseResource->originatingRepositoryName);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor originatingRepositoryName of type nexus_rest_api_ns0_content_list_describe_response_resource...\n");
#endif
    free(_contentListDescribeResponseResource->originatingRepositoryName);
  }
  if (_contentListDescribeResponseResource->originatingRepositoryMainFacet != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor originatingRepositoryMainFacet of type nexus_rest_api_ns0_content_list_describe_response_resource...\n");
#endif
    freeXsStringType(_contentListDescribeResponseResource->originatingRepositoryMainFacet);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor originatingRepositoryMainFacet of type nexus_rest_api_ns0_content_list_describe_response_resource...\n");
#endif
    free(_contentListDescribeResponseResource->originatingRepositoryMainFacet);
  }
  if (_contentListDescribeResponseResource->processedRepositoriesList != NULL) {
    for (i = 0; i < _contentListDescribeResponseResource->_sizeof_processedRepositoriesList; i++) {
#if DEBUG_ENUNCIATE > 1
      printf("Freeing accessor processedRepositoriesList[%i] of type nexus_rest_api_ns0_content_list_describe_response_resource...\n", i);
#endif
      freeXsStringType(&(_contentListDescribeResponseResource->processedRepositoriesList[i]));
    }
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor processedRepositoriesList of type nexus_rest_api_ns0_content_list_describe_response_resource...\n");
#endif
    free(_contentListDescribeResponseResource->processedRepositoriesList);
  }
  if (_contentListDescribeResponseResource->appliedMappings != NULL) {
    for (i = 0; i < _contentListDescribeResponseResource->_sizeof_appliedMappings; i++) {
#if DEBUG_ENUNCIATE > 1
      printf("Freeing accessor appliedMappings[%i] of type nexus_rest_api_ns0_content_list_describe_response_resource...\n", i);
#endif
      freeXsStringType(&(_contentListDescribeResponseResource->appliedMappings[i]));
    }
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor appliedMappings of type nexus_rest_api_ns0_content_list_describe_response_resource...\n");
#endif
    free(_contentListDescribeResponseResource->appliedMappings);
  }
  if (_contentListDescribeResponseResource->properties != NULL) {
    for (i = 0; i < _contentListDescribeResponseResource->_sizeof_properties; i++) {
#if DEBUG_ENUNCIATE > 1
      printf("Freeing accessor properties[%i] of type nexus_rest_api_ns0_content_list_describe_response_resource...\n", i);
#endif
      freeXsStringType(&(_contentListDescribeResponseResource->properties[i]));
    }
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor properties of type nexus_rest_api_ns0_content_list_describe_response_resource...\n");
#endif
    free(_contentListDescribeResponseResource->properties);
  }
  if (_contentListDescribeResponseResource->attributes != NULL) {
    for (i = 0; i < _contentListDescribeResponseResource->_sizeof_attributes; i++) {
#if DEBUG_ENUNCIATE > 1
      printf("Freeing accessor attributes[%i] of type nexus_rest_api_ns0_content_list_describe_response_resource...\n", i);
#endif
      freeXsStringType(&(_contentListDescribeResponseResource->attributes[i]));
    }
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor attributes of type nexus_rest_api_ns0_content_list_describe_response_resource...\n");
#endif
    free(_contentListDescribeResponseResource->attributes);
  }
  if (_contentListDescribeResponseResource->sources != NULL) {
    for (i = 0; i < _contentListDescribeResponseResource->_sizeof_sources; i++) {
#if DEBUG_ENUNCIATE > 1
      printf("Freeing accessor sources[%i] of type nexus_rest_api_ns0_content_list_describe_response_resource...\n", i);
#endif
      freeXsStringType(&(_contentListDescribeResponseResource->sources[i]));
    }
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor sources of type nexus_rest_api_ns0_content_list_describe_response_resource...\n");
#endif
    free(_contentListDescribeResponseResource->sources);
  }
}
#endif /* DEF_nexus_rest_api_ns0_content_list_describe_response_resource_M */
#ifndef DEF_nexus_rest_api_ns0_content_list_resource_M
#define DEF_nexus_rest_api_ns0_content_list_resource_M

/**
 * Reads a ContentListResource from XML. The reader is assumed to be at the start element.
 *
 * @return the ContentListResource, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_content_list_resource *xmlTextReaderReadNs0Content_list_resourceType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct nexus_rest_api_ns0_content_list_resource *_contentListResource = calloc(1, sizeof(struct nexus_rest_api_ns0_content_list_resource));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0Content_list_resourceType(_contentListResource);
        free(_contentListResource);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "resourceURI", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}resourceURI of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}resourceURI of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Content_list_resourceType(_contentListResource);
          free(_contentListResource);
          return NULL;
        }

        _contentListResource->resourceURI = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "relativePath", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}relativePath of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}relativePath of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Content_list_resourceType(_contentListResource);
          free(_contentListResource);
          return NULL;
        }

        _contentListResource->relativePath = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "text", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}text of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}text of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Content_list_resourceType(_contentListResource);
          free(_contentListResource);
          return NULL;
        }

        _contentListResource->text = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "leaf", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}leaf of type {http://www.w3.org/2001/XMLSchema}boolean.\n");
#endif
        _child_accessor = xmlTextReaderReadXsBooleanType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}leaf of type {http://www.w3.org/2001/XMLSchema}boolean.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Content_list_resourceType(_contentListResource);
          free(_contentListResource);
          return NULL;
        }

        _contentListResource->leaf = *((int*)_child_accessor);
        free(_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "lastModified", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}lastModified of type {http://www.w3.org/2001/XMLSchema}dateTime.\n");
#endif
        _child_accessor = xmlTextReaderReadXsDateTimeType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}lastModified of type {http://www.w3.org/2001/XMLSchema}dateTime.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Content_list_resourceType(_contentListResource);
          free(_contentListResource);
          return NULL;
        }

        _contentListResource->lastModified = ((struct tm*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "sizeOnDisk", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}sizeOnDisk of type {http://www.w3.org/2001/XMLSchema}long.\n");
#endif
        _child_accessor = xmlTextReaderReadXsLongType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}sizeOnDisk of type {http://www.w3.org/2001/XMLSchema}long.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Content_list_resourceType(_contentListResource);
          free(_contentListResource);
          return NULL;
        }

        _contentListResource->sizeOnDisk = *((long*)_child_accessor);
        free(_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}content-list-resource.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}content-list-resource. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _contentListResource;
}

/**
 * Writes a ContentListResource to XML.
 *
 * @param writer The XML writer.
 * @param _contentListResource The ContentListResource to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0Content_list_resourceType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_content_list_resource *_contentListResource) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;
  if (_contentListResource->resourceURI != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "resourceURI", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}resourceURI. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}resourceURI...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_contentListResource->resourceURI));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}resourceURI. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}resourceURI. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_contentListResource->relativePath != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "relativePath", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}relativePath. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}relativePath...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_contentListResource->relativePath));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}relativePath. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}relativePath. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_contentListResource->text != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "text", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}text. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}text...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_contentListResource->text));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}text. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}text. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (1) { //always write the primitive element.
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "leaf", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}leaf. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}boolean for element {}leaf...\n", status);
#endif
    status = xmlTextWriterWriteXsBooleanType(writer, &(_contentListResource->leaf));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}boolean for element {}leaf. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}leaf. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_contentListResource->lastModified != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "lastModified", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}lastModified. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}dateTime for element {}lastModified...\n", status);
#endif
    status = xmlTextWriterWriteXsDateTimeType(writer, (_contentListResource->lastModified));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}dateTime for element {}lastModified. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}lastModified. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (1) { //always write the primitive element.
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "sizeOnDisk", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}sizeOnDisk. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}long for element {}sizeOnDisk...\n", status);
#endif
    status = xmlTextWriterWriteXsLongType(writer, &(_contentListResource->sizeOnDisk));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}long for element {}sizeOnDisk. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}sizeOnDisk. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a ContentListResource.
 *
 * @param _contentListResource The ContentListResource to free.
 */
static void freeNs0Content_list_resourceType(struct nexus_rest_api_ns0_content_list_resource *_contentListResource) {
  int i;
  if (_contentListResource->resourceURI != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor resourceURI of type nexus_rest_api_ns0_content_list_resource...\n");
#endif
    freeXsStringType(_contentListResource->resourceURI);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor resourceURI of type nexus_rest_api_ns0_content_list_resource...\n");
#endif
    free(_contentListResource->resourceURI);
  }
  if (_contentListResource->relativePath != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor relativePath of type nexus_rest_api_ns0_content_list_resource...\n");
#endif
    freeXsStringType(_contentListResource->relativePath);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor relativePath of type nexus_rest_api_ns0_content_list_resource...\n");
#endif
    free(_contentListResource->relativePath);
  }
  if (_contentListResource->text != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor text of type nexus_rest_api_ns0_content_list_resource...\n");
#endif
    freeXsStringType(_contentListResource->text);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor text of type nexus_rest_api_ns0_content_list_resource...\n");
#endif
    free(_contentListResource->text);
  }
  if (_contentListResource->lastModified != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor lastModified of type nexus_rest_api_ns0_content_list_resource...\n");
#endif
    freeXsDateTimeType(_contentListResource->lastModified);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor lastModified of type nexus_rest_api_ns0_content_list_resource...\n");
#endif
    free(_contentListResource->lastModified);
  }
}
#endif /* DEF_nexus_rest_api_ns0_content_list_resource_M */
#ifndef DEF_nexus_rest_api_ns0_contentListResourceResponse_M
#define DEF_nexus_rest_api_ns0_contentListResourceResponse_M

/**
 * Reads a ContentListResourceResponse element from XML. The element to be read is "content", and
 * it is assumed that the reader is pointing to the XML document (not the element).
 *
 * @param reader The XML reader.
 * @return The ContentListResourceResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_contentListResourceResponse *xml_read_nexus_rest_api_ns0_contentListResourceResponse(xmlTextReaderPtr reader) {
  int status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
  return xmlTextReaderReadNs0ContentElement(reader);
}

/**
 * Writes a ContentListResourceResponse to XML under element name "content".
 *
 * @param writer The XML writer.
 * @param _contentListResourceResponse The ContentListResourceResponse to write.
 * @return 1 if successful, 0 otherwise.
 */
int xml_write_nexus_rest_api_ns0_contentListResourceResponse(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_contentListResourceResponse *_contentListResourceResponse) {
  return xmlTextWriterWriteNs0ContentElementNS(writer, _contentListResourceResponse, 1);
}

/**
 * Frees a ContentListResourceResponse.
 *
 * @param _contentListResourceResponse The ContentListResourceResponse to free.
 */
void free_nexus_rest_api_ns0_contentListResourceResponse(struct nexus_rest_api_ns0_contentListResourceResponse *_contentListResourceResponse) {
  freeNs0ContentListResourceResponseType(_contentListResourceResponse);
  free(_contentListResourceResponse);
}

/**
 * Reads a ContentListResourceResponse element from XML. The element to be read is "content", and
 * it is assumed that the reader is pointing to that element.
 *
 * @param reader The XML reader.
 * @return The ContentListResourceResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_contentListResourceResponse *xmlTextReaderReadNs0ContentElement(xmlTextReaderPtr reader) {
  struct nexus_rest_api_ns0_contentListResourceResponse *_contentListResourceResponse = NULL;

  if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
    && xmlStrcmp(BAD_CAST "content", xmlTextReaderConstLocalName(reader)) == 0
    && xmlTextReaderConstNamespaceUri(reader) == NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Attempting to read root element {}content.\n");
#endif
    _contentListResourceResponse = xmlTextReaderReadNs0ContentListResourceResponseType(reader);
  }
#if DEBUG_ENUNCIATE
  if (_contentListResourceResponse == NULL) {
    if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
      printf("attempt to read {}content failed. current element: {}%s\n",  xmlTextReaderConstLocalName(reader));
    }
    else {
      printf("attempt to read {}content failed. current element: {%s}%s\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
    }
  }
#endif

  return _contentListResourceResponse;
}

/**
 * Writes a ContentListResourceResponse to XML under element name "content".
 * Does NOT write the namespace prefixes.
 *
 * @param writer The XML writer.
 * @param _contentListResourceResponse The ContentListResourceResponse to write.
 * @return 1 if successful, 0 otherwise.
 */
static int xmlTextWriterWriteNs0ContentElement(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_contentListResourceResponse *_contentListResourceResponse) {
  return xmlTextWriterWriteNs0ContentElementNS(writer, _contentListResourceResponse, 0);
}

/**
 * Writes a ContentListResourceResponse to XML under element name "content".
 *
 * @param writer The XML writer.
 * @param _contentListResourceResponse The ContentListResourceResponse to write.
 * @param writeNamespaces Whether to write the namespace prefixes.
 * @return 1 if successful, 0 otherwise.
 */
static int xmlTextWriterWriteNs0ContentElementNS(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_contentListResourceResponse *_contentListResourceResponse, int writeNamespaces) {
  int totalBytes = 0;
  int status;

  status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "content", NULL);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to write start element {}content. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

#if DEBUG_ENUNCIATE > 1
  printf("writing type {}contentListResourceResponse for root element {}content...\n");
#endif
  status = xmlTextWriterWriteNs0ContentListResourceResponseType(writer, _contentListResourceResponse);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to write type for start element {}content. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

  status = xmlTextWriterEndElement(writer);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to end element {}content. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

  return totalBytes;
}

/**
 * Frees the children of a ContentListResourceResponse.
 *
 * @param _contentListResourceResponse The ContentListResourceResponse whose children are to be free.
 */
static void freeNs0ContentElement(struct nexus_rest_api_ns0_contentListResourceResponse *_contentListResourceResponse) {
  freeNs0ContentListResourceResponseType(_contentListResourceResponse);
}

/**
 * Reads a ContentListResourceResponse from XML. The reader is assumed to be at the start element.
 *
 * @return the ContentListResourceResponse, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_contentListResourceResponse *xmlTextReaderReadNs0ContentListResourceResponseType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct nexus_rest_api_ns0_contentListResourceResponse *_contentListResourceResponse = calloc(1, sizeof(struct nexus_rest_api_ns0_contentListResourceResponse));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0ContentListResourceResponseType(_contentListResourceResponse);
        free(_contentListResourceResponse);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "data", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

        if (xmlTextReaderIsEmptyElement(reader) == 0) {
#if DEBUG_ENUNCIATE > 1
          printf("Unwrapping wrapper element {}data...\n");
#endif
          //start wrapper element "{}data"
          status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
          while (xmlTextReaderDepth(reader) > (depth + 1)) {
            if (status < 1) {
              //panic: XML read error.
#if DEBUG_ENUNCIATE
              printf("Failure to advance to next child element.\n");
#endif
              freeNs0ContentListResourceResponseType(_contentListResourceResponse);
              free(_contentListResourceResponse);
              return NULL;
            }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "content-item", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}content-item of type {}content-list-resource.\n");
#endif
        _child_accessor = xmlTextReaderReadNs0Content_list_resourceType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}content-item of type {}content-list-resource.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0ContentListResourceResponseType(_contentListResourceResponse);
          free(_contentListResourceResponse);
          return NULL;
        }

        _contentListResourceResponse->data = realloc(_contentListResourceResponse->data, (_contentListResourceResponse->_sizeof_data + 1) * sizeof(struct nexus_rest_api_ns0_content_list_resource));
        memcpy(&(_contentListResourceResponse->data[_contentListResourceResponse->_sizeof_data++]), _child_accessor, sizeof(struct nexus_rest_api_ns0_content_list_resource));
        free(_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
          } // end "while in wrapper element" loop
        } //end "if empty element" clause

        if (status < 1) {
          //panic: XML read error.
#if DEBUG_ENUNCIATE
          printf("Failed to advance to end wrapper element {}data.\n");
#endif
          freeNs0ContentListResourceResponseType(_contentListResourceResponse);
          free(_contentListResourceResponse);
          return NULL;
        }
        else {
          //end wrapper element "{}data"
          status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
        }
      } // end "if wrapper element" clause
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}contentListResourceResponse.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}contentListResourceResponse. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _contentListResourceResponse;
}

/**
 * Writes a ContentListResourceResponse to XML.
 *
 * @param writer The XML writer.
 * @param _contentListResourceResponse The ContentListResourceResponse to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0ContentListResourceResponseType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_contentListResourceResponse *_contentListResourceResponse) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;

  if (_contentListResourceResponse->data != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "data", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  for (i = 0; i < _contentListResourceResponse->_sizeof_data; i++) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "content-item", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}content-item. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {}content-list-resource for element {}content-item...\n", status);
#endif
    status = xmlTextWriterWriteNs0Content_list_resourceType(writer, &(_contentListResourceResponse->data[i]));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {}content-list-resource for element {}content-item. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}content-item. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  if (_contentListResourceResponse->data != NULL) {
    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a ContentListResourceResponse.
 *
 * @param _contentListResourceResponse The ContentListResourceResponse to free.
 */
static void freeNs0ContentListResourceResponseType(struct nexus_rest_api_ns0_contentListResourceResponse *_contentListResourceResponse) {
  int i;
  if (_contentListResourceResponse->data != NULL) {
    for (i = 0; i < _contentListResourceResponse->_sizeof_data; i++) {
#if DEBUG_ENUNCIATE > 1
      printf("Freeing accessor data[%i] of type nexus_rest_api_ns0_contentListResourceResponse...\n", i);
#endif
      freeNs0Content_list_resourceType(&(_contentListResourceResponse->data[i]));
    }
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor data of type nexus_rest_api_ns0_contentListResourceResponse...\n");
#endif
    free(_contentListResourceResponse->data);
  }
}
#endif /* DEF_nexus_rest_api_ns0_contentListResourceResponse_M */
#ifndef DEF_nexus_rest_api_ns0_errorReportRequest_M
#define DEF_nexus_rest_api_ns0_errorReportRequest_M

/**
 * Reads a ErrorReportRequest element from XML. The element to be read is "error-report-request", and
 * it is assumed that the reader is pointing to the XML document (not the element).
 *
 * @param reader The XML reader.
 * @return The ErrorReportRequest, or NULL in case of error.
 */
struct nexus_rest_api_ns0_errorReportRequest *xml_read_nexus_rest_api_ns0_errorReportRequest(xmlTextReaderPtr reader) {
  int status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
  return xmlTextReaderReadNs0Error_report_requestElement(reader);
}

/**
 * Writes a ErrorReportRequest to XML under element name "error-report-request".
 *
 * @param writer The XML writer.
 * @param _errorReportRequest The ErrorReportRequest to write.
 * @return 1 if successful, 0 otherwise.
 */
int xml_write_nexus_rest_api_ns0_errorReportRequest(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_errorReportRequest *_errorReportRequest) {
  return xmlTextWriterWriteNs0Error_report_requestElementNS(writer, _errorReportRequest, 1);
}

/**
 * Frees a ErrorReportRequest.
 *
 * @param _errorReportRequest The ErrorReportRequest to free.
 */
void free_nexus_rest_api_ns0_errorReportRequest(struct nexus_rest_api_ns0_errorReportRequest *_errorReportRequest) {
  freeNs0ErrorReportRequestType(_errorReportRequest);
  free(_errorReportRequest);
}

/**
 * Reads a ErrorReportRequest element from XML. The element to be read is "error-report-request", and
 * it is assumed that the reader is pointing to that element.
 *
 * @param reader The XML reader.
 * @return The ErrorReportRequest, or NULL in case of error.
 */
struct nexus_rest_api_ns0_errorReportRequest *xmlTextReaderReadNs0Error_report_requestElement(xmlTextReaderPtr reader) {
  struct nexus_rest_api_ns0_errorReportRequest *_errorReportRequest = NULL;

  if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
    && xmlStrcmp(BAD_CAST "error-report-request", xmlTextReaderConstLocalName(reader)) == 0
    && xmlTextReaderConstNamespaceUri(reader) == NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Attempting to read root element {}error-report-request.\n");
#endif
    _errorReportRequest = xmlTextReaderReadNs0ErrorReportRequestType(reader);
  }
#if DEBUG_ENUNCIATE
  if (_errorReportRequest == NULL) {
    if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
      printf("attempt to read {}error-report-request failed. current element: {}%s\n",  xmlTextReaderConstLocalName(reader));
    }
    else {
      printf("attempt to read {}error-report-request failed. current element: {%s}%s\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
    }
  }
#endif

  return _errorReportRequest;
}

/**
 * Writes a ErrorReportRequest to XML under element name "error-report-request".
 * Does NOT write the namespace prefixes.
 *
 * @param writer The XML writer.
 * @param _errorReportRequest The ErrorReportRequest to write.
 * @return 1 if successful, 0 otherwise.
 */
static int xmlTextWriterWriteNs0Error_report_requestElement(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_errorReportRequest *_errorReportRequest) {
  return xmlTextWriterWriteNs0Error_report_requestElementNS(writer, _errorReportRequest, 0);
}

/**
 * Writes a ErrorReportRequest to XML under element name "error-report-request".
 *
 * @param writer The XML writer.
 * @param _errorReportRequest The ErrorReportRequest to write.
 * @param writeNamespaces Whether to write the namespace prefixes.
 * @return 1 if successful, 0 otherwise.
 */
static int xmlTextWriterWriteNs0Error_report_requestElementNS(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_errorReportRequest *_errorReportRequest, int writeNamespaces) {
  int totalBytes = 0;
  int status;

  status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "error-report-request", NULL);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to write start element {}error-report-request. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

#if DEBUG_ENUNCIATE > 1
  printf("writing type {}errorReportRequest for root element {}error-report-request...\n");
#endif
  status = xmlTextWriterWriteNs0ErrorReportRequestType(writer, _errorReportRequest);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to write type for start element {}error-report-request. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

  status = xmlTextWriterEndElement(writer);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to end element {}error-report-request. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

  return totalBytes;
}

/**
 * Frees the children of a ErrorReportRequest.
 *
 * @param _errorReportRequest The ErrorReportRequest whose children are to be free.
 */
static void freeNs0Error_report_requestElement(struct nexus_rest_api_ns0_errorReportRequest *_errorReportRequest) {
  freeNs0ErrorReportRequestType(_errorReportRequest);
}

/**
 * Reads a ErrorReportRequest from XML. The reader is assumed to be at the start element.
 *
 * @return the ErrorReportRequest, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_errorReportRequest *xmlTextReaderReadNs0ErrorReportRequestType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct nexus_rest_api_ns0_errorReportRequest *_errorReportRequest = calloc(1, sizeof(struct nexus_rest_api_ns0_errorReportRequest));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0ErrorReportRequestType(_errorReportRequest);
        free(_errorReportRequest);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "data", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}data of type {}error-report-request-dto.\n");
#endif
        _child_accessor = xmlTextReaderReadNs0Error_report_request_dtoType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}data of type {}error-report-request-dto.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0ErrorReportRequestType(_errorReportRequest);
          free(_errorReportRequest);
          return NULL;
        }

        _errorReportRequest->data = ((struct nexus_rest_api_ns0_error_report_request_dto*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}errorReportRequest.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}errorReportRequest. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _errorReportRequest;
}

/**
 * Writes a ErrorReportRequest to XML.
 *
 * @param writer The XML writer.
 * @param _errorReportRequest The ErrorReportRequest to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0ErrorReportRequestType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_errorReportRequest *_errorReportRequest) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;
  if (_errorReportRequest->data != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "data", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {}error-report-request-dto for element {}data...\n", status);
#endif
    status = xmlTextWriterWriteNs0Error_report_request_dtoType(writer, (_errorReportRequest->data));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {}error-report-request-dto for element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a ErrorReportRequest.
 *
 * @param _errorReportRequest The ErrorReportRequest to free.
 */
static void freeNs0ErrorReportRequestType(struct nexus_rest_api_ns0_errorReportRequest *_errorReportRequest) {
  int i;
  if (_errorReportRequest->data != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor data of type nexus_rest_api_ns0_errorReportRequest...\n");
#endif
    freeNs0Error_report_request_dtoType(_errorReportRequest->data);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor data of type nexus_rest_api_ns0_errorReportRequest...\n");
#endif
    free(_errorReportRequest->data);
  }
}
#endif /* DEF_nexus_rest_api_ns0_errorReportRequest_M */
#ifndef DEF_nexus_rest_api_ns0_error_report_request_dto_M
#define DEF_nexus_rest_api_ns0_error_report_request_dto_M

/**
 * Reads a ErrorReportRequestDTO from XML. The reader is assumed to be at the start element.
 *
 * @return the ErrorReportRequestDTO, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_error_report_request_dto *xmlTextReaderReadNs0Error_report_request_dtoType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct nexus_rest_api_ns0_error_report_request_dto *_errorReportRequestDTO = calloc(1, sizeof(struct nexus_rest_api_ns0_error_report_request_dto));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0Error_report_request_dtoType(_errorReportRequestDTO);
        free(_errorReportRequestDTO);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "title", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}title of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}title of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Error_report_request_dtoType(_errorReportRequestDTO);
          free(_errorReportRequestDTO);
          return NULL;
        }

        _errorReportRequestDTO->title = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "description", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}description of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}description of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Error_report_request_dtoType(_errorReportRequestDTO);
          free(_errorReportRequestDTO);
          return NULL;
        }

        _errorReportRequestDTO->description = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "saveErrorReportingSettings", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}saveErrorReportingSettings of type {http://www.w3.org/2001/XMLSchema}boolean.\n");
#endif
        _child_accessor = xmlTextReaderReadXsBooleanType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}saveErrorReportingSettings of type {http://www.w3.org/2001/XMLSchema}boolean.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Error_report_request_dtoType(_errorReportRequestDTO);
          free(_errorReportRequestDTO);
          return NULL;
        }

        _errorReportRequestDTO->saveErrorReportingSettings = *((int*)_child_accessor);
        free(_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "errorReportingSettings", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}errorReportingSettings of type {}error-reporting-settings.\n");
#endif
        _child_accessor = xmlTextReaderReadNs0Error_reporting_settingsType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}errorReportingSettings of type {}error-reporting-settings.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Error_report_request_dtoType(_errorReportRequestDTO);
          free(_errorReportRequestDTO);
          return NULL;
        }

        _errorReportRequestDTO->errorReportingSettings = ((struct nexus_rest_api_ns0_error_reporting_settings*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}error-report-request-dto.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}error-report-request-dto. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _errorReportRequestDTO;
}

/**
 * Writes a ErrorReportRequestDTO to XML.
 *
 * @param writer The XML writer.
 * @param _errorReportRequestDTO The ErrorReportRequestDTO to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0Error_report_request_dtoType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_error_report_request_dto *_errorReportRequestDTO) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;
  if (_errorReportRequestDTO->title != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "title", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}title. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}title...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_errorReportRequestDTO->title));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}title. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}title. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_errorReportRequestDTO->description != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "description", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}description. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}description...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_errorReportRequestDTO->description));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}description. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}description. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (1) { //always write the primitive element.
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "saveErrorReportingSettings", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}saveErrorReportingSettings. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}boolean for element {}saveErrorReportingSettings...\n", status);
#endif
    status = xmlTextWriterWriteXsBooleanType(writer, &(_errorReportRequestDTO->saveErrorReportingSettings));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}boolean for element {}saveErrorReportingSettings. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}saveErrorReportingSettings. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_errorReportRequestDTO->errorReportingSettings != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "errorReportingSettings", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}errorReportingSettings. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {}error-reporting-settings for element {}errorReportingSettings...\n", status);
#endif
    status = xmlTextWriterWriteNs0Error_reporting_settingsType(writer, (_errorReportRequestDTO->errorReportingSettings));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {}error-reporting-settings for element {}errorReportingSettings. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}errorReportingSettings. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a ErrorReportRequestDTO.
 *
 * @param _errorReportRequestDTO The ErrorReportRequestDTO to free.
 */
static void freeNs0Error_report_request_dtoType(struct nexus_rest_api_ns0_error_report_request_dto *_errorReportRequestDTO) {
  int i;
  if (_errorReportRequestDTO->title != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor title of type nexus_rest_api_ns0_error_report_request_dto...\n");
#endif
    freeXsStringType(_errorReportRequestDTO->title);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor title of type nexus_rest_api_ns0_error_report_request_dto...\n");
#endif
    free(_errorReportRequestDTO->title);
  }
  if (_errorReportRequestDTO->description != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor description of type nexus_rest_api_ns0_error_report_request_dto...\n");
#endif
    freeXsStringType(_errorReportRequestDTO->description);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor description of type nexus_rest_api_ns0_error_report_request_dto...\n");
#endif
    free(_errorReportRequestDTO->description);
  }
  if (_errorReportRequestDTO->errorReportingSettings != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor errorReportingSettings of type nexus_rest_api_ns0_error_report_request_dto...\n");
#endif
    freeNs0Error_reporting_settingsType(_errorReportRequestDTO->errorReportingSettings);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor errorReportingSettings of type nexus_rest_api_ns0_error_report_request_dto...\n");
#endif
    free(_errorReportRequestDTO->errorReportingSettings);
  }
}
#endif /* DEF_nexus_rest_api_ns0_error_report_request_dto_M */
#ifndef DEF_nexus_rest_api_ns0_errorReportResponse_M
#define DEF_nexus_rest_api_ns0_errorReportResponse_M

/**
 * Reads a ErrorReportResponse element from XML. The element to be read is "error-report-response", and
 * it is assumed that the reader is pointing to the XML document (not the element).
 *
 * @param reader The XML reader.
 * @return The ErrorReportResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_errorReportResponse *xml_read_nexus_rest_api_ns0_errorReportResponse(xmlTextReaderPtr reader) {
  int status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
  return xmlTextReaderReadNs0Error_report_responseElement(reader);
}

/**
 * Writes a ErrorReportResponse to XML under element name "error-report-response".
 *
 * @param writer The XML writer.
 * @param _errorReportResponse The ErrorReportResponse to write.
 * @return 1 if successful, 0 otherwise.
 */
int xml_write_nexus_rest_api_ns0_errorReportResponse(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_errorReportResponse *_errorReportResponse) {
  return xmlTextWriterWriteNs0Error_report_responseElementNS(writer, _errorReportResponse, 1);
}

/**
 * Frees a ErrorReportResponse.
 *
 * @param _errorReportResponse The ErrorReportResponse to free.
 */
void free_nexus_rest_api_ns0_errorReportResponse(struct nexus_rest_api_ns0_errorReportResponse *_errorReportResponse) {
  freeNs0ErrorReportResponseType(_errorReportResponse);
  free(_errorReportResponse);
}

/**
 * Reads a ErrorReportResponse element from XML. The element to be read is "error-report-response", and
 * it is assumed that the reader is pointing to that element.
 *
 * @param reader The XML reader.
 * @return The ErrorReportResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_errorReportResponse *xmlTextReaderReadNs0Error_report_responseElement(xmlTextReaderPtr reader) {
  struct nexus_rest_api_ns0_errorReportResponse *_errorReportResponse = NULL;

  if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
    && xmlStrcmp(BAD_CAST "error-report-response", xmlTextReaderConstLocalName(reader)) == 0
    && xmlTextReaderConstNamespaceUri(reader) == NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Attempting to read root element {}error-report-response.\n");
#endif
    _errorReportResponse = xmlTextReaderReadNs0ErrorReportResponseType(reader);
  }
#if DEBUG_ENUNCIATE
  if (_errorReportResponse == NULL) {
    if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
      printf("attempt to read {}error-report-response failed. current element: {}%s\n",  xmlTextReaderConstLocalName(reader));
    }
    else {
      printf("attempt to read {}error-report-response failed. current element: {%s}%s\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
    }
  }
#endif

  return _errorReportResponse;
}

/**
 * Writes a ErrorReportResponse to XML under element name "error-report-response".
 * Does NOT write the namespace prefixes.
 *
 * @param writer The XML writer.
 * @param _errorReportResponse The ErrorReportResponse to write.
 * @return 1 if successful, 0 otherwise.
 */
static int xmlTextWriterWriteNs0Error_report_responseElement(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_errorReportResponse *_errorReportResponse) {
  return xmlTextWriterWriteNs0Error_report_responseElementNS(writer, _errorReportResponse, 0);
}

/**
 * Writes a ErrorReportResponse to XML under element name "error-report-response".
 *
 * @param writer The XML writer.
 * @param _errorReportResponse The ErrorReportResponse to write.
 * @param writeNamespaces Whether to write the namespace prefixes.
 * @return 1 if successful, 0 otherwise.
 */
static int xmlTextWriterWriteNs0Error_report_responseElementNS(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_errorReportResponse *_errorReportResponse, int writeNamespaces) {
  int totalBytes = 0;
  int status;

  status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "error-report-response", NULL);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to write start element {}error-report-response. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

#if DEBUG_ENUNCIATE > 1
  printf("writing type {}errorReportResponse for root element {}error-report-response...\n");
#endif
  status = xmlTextWriterWriteNs0ErrorReportResponseType(writer, _errorReportResponse);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to write type for start element {}error-report-response. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

  status = xmlTextWriterEndElement(writer);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to end element {}error-report-response. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

  return totalBytes;
}

/**
 * Frees the children of a ErrorReportResponse.
 *
 * @param _errorReportResponse The ErrorReportResponse whose children are to be free.
 */
static void freeNs0Error_report_responseElement(struct nexus_rest_api_ns0_errorReportResponse *_errorReportResponse) {
  freeNs0ErrorReportResponseType(_errorReportResponse);
}

/**
 * Reads a ErrorReportResponse from XML. The reader is assumed to be at the start element.
 *
 * @return the ErrorReportResponse, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_errorReportResponse *xmlTextReaderReadNs0ErrorReportResponseType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct nexus_rest_api_ns0_errorReportResponse *_errorReportResponse = calloc(1, sizeof(struct nexus_rest_api_ns0_errorReportResponse));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0ErrorReportResponseType(_errorReportResponse);
        free(_errorReportResponse);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "data", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}data of type {}error-report-response-dto.\n");
#endif
        _child_accessor = xmlTextReaderReadNs0Error_report_response_dtoType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}data of type {}error-report-response-dto.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0ErrorReportResponseType(_errorReportResponse);
          free(_errorReportResponse);
          return NULL;
        }

        _errorReportResponse->data = ((struct nexus_rest_api_ns0_error_report_response_dto*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}errorReportResponse.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}errorReportResponse. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _errorReportResponse;
}

/**
 * Writes a ErrorReportResponse to XML.
 *
 * @param writer The XML writer.
 * @param _errorReportResponse The ErrorReportResponse to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0ErrorReportResponseType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_errorReportResponse *_errorReportResponse) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;
  if (_errorReportResponse->data != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "data", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {}error-report-response-dto for element {}data...\n", status);
#endif
    status = xmlTextWriterWriteNs0Error_report_response_dtoType(writer, (_errorReportResponse->data));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {}error-report-response-dto for element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a ErrorReportResponse.
 *
 * @param _errorReportResponse The ErrorReportResponse to free.
 */
static void freeNs0ErrorReportResponseType(struct nexus_rest_api_ns0_errorReportResponse *_errorReportResponse) {
  int i;
  if (_errorReportResponse->data != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor data of type nexus_rest_api_ns0_errorReportResponse...\n");
#endif
    freeNs0Error_report_response_dtoType(_errorReportResponse->data);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor data of type nexus_rest_api_ns0_errorReportResponse...\n");
#endif
    free(_errorReportResponse->data);
  }
}
#endif /* DEF_nexus_rest_api_ns0_errorReportResponse_M */
#ifndef DEF_nexus_rest_api_ns0_error_report_response_dto_M
#define DEF_nexus_rest_api_ns0_error_report_response_dto_M

/**
 * Reads a ErrorReportResponseDTO from XML. The reader is assumed to be at the start element.
 *
 * @return the ErrorReportResponseDTO, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_error_report_response_dto *xmlTextReaderReadNs0Error_report_response_dtoType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct nexus_rest_api_ns0_error_report_response_dto *_errorReportResponseDTO = calloc(1, sizeof(struct nexus_rest_api_ns0_error_report_response_dto));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0Error_report_response_dtoType(_errorReportResponseDTO);
        free(_errorReportResponseDTO);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "jiraUrl", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}jiraUrl of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}jiraUrl of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Error_report_response_dtoType(_errorReportResponseDTO);
          free(_errorReportResponseDTO);
          return NULL;
        }

        _errorReportResponseDTO->jiraUrl = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}error-report-response-dto.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}error-report-response-dto. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _errorReportResponseDTO;
}

/**
 * Writes a ErrorReportResponseDTO to XML.
 *
 * @param writer The XML writer.
 * @param _errorReportResponseDTO The ErrorReportResponseDTO to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0Error_report_response_dtoType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_error_report_response_dto *_errorReportResponseDTO) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;
  if (_errorReportResponseDTO->jiraUrl != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "jiraUrl", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}jiraUrl. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}jiraUrl...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_errorReportResponseDTO->jiraUrl));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}jiraUrl. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}jiraUrl. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a ErrorReportResponseDTO.
 *
 * @param _errorReportResponseDTO The ErrorReportResponseDTO to free.
 */
static void freeNs0Error_report_response_dtoType(struct nexus_rest_api_ns0_error_report_response_dto *_errorReportResponseDTO) {
  int i;
  if (_errorReportResponseDTO->jiraUrl != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor jiraUrl of type nexus_rest_api_ns0_error_report_response_dto...\n");
#endif
    freeXsStringType(_errorReportResponseDTO->jiraUrl);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor jiraUrl of type nexus_rest_api_ns0_error_report_response_dto...\n");
#endif
    free(_errorReportResponseDTO->jiraUrl);
  }
}
#endif /* DEF_nexus_rest_api_ns0_error_report_response_dto_M */
#ifndef DEF_nexus_rest_api_ns0_error_reporting_settings_M
#define DEF_nexus_rest_api_ns0_error_reporting_settings_M

/**
 * Reads a ErrorReportingSettings from XML. The reader is assumed to be at the start element.
 *
 * @return the ErrorReportingSettings, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_error_reporting_settings *xmlTextReaderReadNs0Error_reporting_settingsType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct nexus_rest_api_ns0_error_reporting_settings *_errorReportingSettings = calloc(1, sizeof(struct nexus_rest_api_ns0_error_reporting_settings));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0Error_reporting_settingsType(_errorReportingSettings);
        free(_errorReportingSettings);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "jiraUsername", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}jiraUsername of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}jiraUsername of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Error_reporting_settingsType(_errorReportingSettings);
          free(_errorReportingSettings);
          return NULL;
        }

        _errorReportingSettings->jiraUsername = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "jiraPassword", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}jiraPassword of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}jiraPassword of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Error_reporting_settingsType(_errorReportingSettings);
          free(_errorReportingSettings);
          return NULL;
        }

        _errorReportingSettings->jiraPassword = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "useGlobalProxy", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}useGlobalProxy of type {http://www.w3.org/2001/XMLSchema}boolean.\n");
#endif
        _child_accessor = xmlTextReaderReadXsBooleanType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}useGlobalProxy of type {http://www.w3.org/2001/XMLSchema}boolean.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Error_reporting_settingsType(_errorReportingSettings);
          free(_errorReportingSettings);
          return NULL;
        }

        _errorReportingSettings->useGlobalProxy = *((int*)_child_accessor);
        free(_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "reportErrorsAutomatically", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}reportErrorsAutomatically of type {http://www.w3.org/2001/XMLSchema}boolean.\n");
#endif
        _child_accessor = xmlTextReaderReadXsBooleanType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}reportErrorsAutomatically of type {http://www.w3.org/2001/XMLSchema}boolean.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Error_reporting_settingsType(_errorReportingSettings);
          free(_errorReportingSettings);
          return NULL;
        }

        _errorReportingSettings->reportErrorsAutomatically = *((int*)_child_accessor);
        free(_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}error-reporting-settings.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}error-reporting-settings. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _errorReportingSettings;
}

/**
 * Writes a ErrorReportingSettings to XML.
 *
 * @param writer The XML writer.
 * @param _errorReportingSettings The ErrorReportingSettings to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0Error_reporting_settingsType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_error_reporting_settings *_errorReportingSettings) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;
  if (_errorReportingSettings->jiraUsername != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "jiraUsername", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}jiraUsername. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}jiraUsername...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_errorReportingSettings->jiraUsername));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}jiraUsername. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}jiraUsername. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_errorReportingSettings->jiraPassword != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "jiraPassword", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}jiraPassword. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}jiraPassword...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_errorReportingSettings->jiraPassword));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}jiraPassword. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}jiraPassword. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (1) { //always write the primitive element.
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "useGlobalProxy", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}useGlobalProxy. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}boolean for element {}useGlobalProxy...\n", status);
#endif
    status = xmlTextWriterWriteXsBooleanType(writer, &(_errorReportingSettings->useGlobalProxy));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}boolean for element {}useGlobalProxy. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}useGlobalProxy. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (1) { //always write the primitive element.
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "reportErrorsAutomatically", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}reportErrorsAutomatically. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}boolean for element {}reportErrorsAutomatically...\n", status);
#endif
    status = xmlTextWriterWriteXsBooleanType(writer, &(_errorReportingSettings->reportErrorsAutomatically));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}boolean for element {}reportErrorsAutomatically. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}reportErrorsAutomatically. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a ErrorReportingSettings.
 *
 * @param _errorReportingSettings The ErrorReportingSettings to free.
 */
static void freeNs0Error_reporting_settingsType(struct nexus_rest_api_ns0_error_reporting_settings *_errorReportingSettings) {
  int i;
  if (_errorReportingSettings->jiraUsername != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor jiraUsername of type nexus_rest_api_ns0_error_reporting_settings...\n");
#endif
    freeXsStringType(_errorReportingSettings->jiraUsername);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor jiraUsername of type nexus_rest_api_ns0_error_reporting_settings...\n");
#endif
    free(_errorReportingSettings->jiraUsername);
  }
  if (_errorReportingSettings->jiraPassword != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor jiraPassword of type nexus_rest_api_ns0_error_reporting_settings...\n");
#endif
    freeXsStringType(_errorReportingSettings->jiraPassword);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor jiraPassword of type nexus_rest_api_ns0_error_reporting_settings...\n");
#endif
    free(_errorReportingSettings->jiraPassword);
  }
}
#endif /* DEF_nexus_rest_api_ns0_error_reporting_settings_M */
#ifndef DEF_nexus_rest_api_ns0_feed_list_resource_M
#define DEF_nexus_rest_api_ns0_feed_list_resource_M

/**
 * Reads a FeedListResource from XML. The reader is assumed to be at the start element.
 *
 * @return the FeedListResource, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_feed_list_resource *xmlTextReaderReadNs0Feed_list_resourceType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct nexus_rest_api_ns0_feed_list_resource *_feedListResource = calloc(1, sizeof(struct nexus_rest_api_ns0_feed_list_resource));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0Feed_list_resourceType(_feedListResource);
        free(_feedListResource);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "resourceURI", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}resourceURI of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}resourceURI of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Feed_list_resourceType(_feedListResource);
          free(_feedListResource);
          return NULL;
        }

        _feedListResource->resourceURI = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "name", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}name of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}name of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Feed_list_resourceType(_feedListResource);
          free(_feedListResource);
          return NULL;
        }

        _feedListResource->name = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}feed-list-resource.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}feed-list-resource. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _feedListResource;
}

/**
 * Writes a FeedListResource to XML.
 *
 * @param writer The XML writer.
 * @param _feedListResource The FeedListResource to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0Feed_list_resourceType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_feed_list_resource *_feedListResource) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;
  if (_feedListResource->resourceURI != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "resourceURI", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}resourceURI. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}resourceURI...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_feedListResource->resourceURI));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}resourceURI. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}resourceURI. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_feedListResource->name != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "name", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}name. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}name...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_feedListResource->name));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}name. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}name. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a FeedListResource.
 *
 * @param _feedListResource The FeedListResource to free.
 */
static void freeNs0Feed_list_resourceType(struct nexus_rest_api_ns0_feed_list_resource *_feedListResource) {
  int i;
  if (_feedListResource->resourceURI != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor resourceURI of type nexus_rest_api_ns0_feed_list_resource...\n");
#endif
    freeXsStringType(_feedListResource->resourceURI);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor resourceURI of type nexus_rest_api_ns0_feed_list_resource...\n");
#endif
    free(_feedListResource->resourceURI);
  }
  if (_feedListResource->name != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor name of type nexus_rest_api_ns0_feed_list_resource...\n");
#endif
    freeXsStringType(_feedListResource->name);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor name of type nexus_rest_api_ns0_feed_list_resource...\n");
#endif
    free(_feedListResource->name);
  }
}
#endif /* DEF_nexus_rest_api_ns0_feed_list_resource_M */
#ifndef DEF_nexus_rest_api_ns0_feedListResourceResponse_M
#define DEF_nexus_rest_api_ns0_feedListResourceResponse_M

/**
 * Reads a FeedListResourceResponse element from XML. The element to be read is "feeds-list", and
 * it is assumed that the reader is pointing to the XML document (not the element).
 *
 * @param reader The XML reader.
 * @return The FeedListResourceResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_feedListResourceResponse *xml_read_nexus_rest_api_ns0_feedListResourceResponse(xmlTextReaderPtr reader) {
  int status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
  return xmlTextReaderReadNs0Feeds_listElement(reader);
}

/**
 * Writes a FeedListResourceResponse to XML under element name "feeds-list".
 *
 * @param writer The XML writer.
 * @param _feedListResourceResponse The FeedListResourceResponse to write.
 * @return 1 if successful, 0 otherwise.
 */
int xml_write_nexus_rest_api_ns0_feedListResourceResponse(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_feedListResourceResponse *_feedListResourceResponse) {
  return xmlTextWriterWriteNs0Feeds_listElementNS(writer, _feedListResourceResponse, 1);
}

/**
 * Frees a FeedListResourceResponse.
 *
 * @param _feedListResourceResponse The FeedListResourceResponse to free.
 */
void free_nexus_rest_api_ns0_feedListResourceResponse(struct nexus_rest_api_ns0_feedListResourceResponse *_feedListResourceResponse) {
  freeNs0FeedListResourceResponseType(_feedListResourceResponse);
  free(_feedListResourceResponse);
}

/**
 * Reads a FeedListResourceResponse element from XML. The element to be read is "feeds-list", and
 * it is assumed that the reader is pointing to that element.
 *
 * @param reader The XML reader.
 * @return The FeedListResourceResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_feedListResourceResponse *xmlTextReaderReadNs0Feeds_listElement(xmlTextReaderPtr reader) {
  struct nexus_rest_api_ns0_feedListResourceResponse *_feedListResourceResponse = NULL;

  if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
    && xmlStrcmp(BAD_CAST "feeds-list", xmlTextReaderConstLocalName(reader)) == 0
    && xmlTextReaderConstNamespaceUri(reader) == NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Attempting to read root element {}feeds-list.\n");
#endif
    _feedListResourceResponse = xmlTextReaderReadNs0FeedListResourceResponseType(reader);
  }
#if DEBUG_ENUNCIATE
  if (_feedListResourceResponse == NULL) {
    if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
      printf("attempt to read {}feeds-list failed. current element: {}%s\n",  xmlTextReaderConstLocalName(reader));
    }
    else {
      printf("attempt to read {}feeds-list failed. current element: {%s}%s\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
    }
  }
#endif

  return _feedListResourceResponse;
}

/**
 * Writes a FeedListResourceResponse to XML under element name "feeds-list".
 * Does NOT write the namespace prefixes.
 *
 * @param writer The XML writer.
 * @param _feedListResourceResponse The FeedListResourceResponse to write.
 * @return 1 if successful, 0 otherwise.
 */
static int xmlTextWriterWriteNs0Feeds_listElement(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_feedListResourceResponse *_feedListResourceResponse) {
  return xmlTextWriterWriteNs0Feeds_listElementNS(writer, _feedListResourceResponse, 0);
}

/**
 * Writes a FeedListResourceResponse to XML under element name "feeds-list".
 *
 * @param writer The XML writer.
 * @param _feedListResourceResponse The FeedListResourceResponse to write.
 * @param writeNamespaces Whether to write the namespace prefixes.
 * @return 1 if successful, 0 otherwise.
 */
static int xmlTextWriterWriteNs0Feeds_listElementNS(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_feedListResourceResponse *_feedListResourceResponse, int writeNamespaces) {
  int totalBytes = 0;
  int status;

  status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "feeds-list", NULL);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to write start element {}feeds-list. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

#if DEBUG_ENUNCIATE > 1
  printf("writing type {}feedListResourceResponse for root element {}feeds-list...\n");
#endif
  status = xmlTextWriterWriteNs0FeedListResourceResponseType(writer, _feedListResourceResponse);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to write type for start element {}feeds-list. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

  status = xmlTextWriterEndElement(writer);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to end element {}feeds-list. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

  return totalBytes;
}

/**
 * Frees the children of a FeedListResourceResponse.
 *
 * @param _feedListResourceResponse The FeedListResourceResponse whose children are to be free.
 */
static void freeNs0Feeds_listElement(struct nexus_rest_api_ns0_feedListResourceResponse *_feedListResourceResponse) {
  freeNs0FeedListResourceResponseType(_feedListResourceResponse);
}

/**
 * Reads a FeedListResourceResponse from XML. The reader is assumed to be at the start element.
 *
 * @return the FeedListResourceResponse, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_feedListResourceResponse *xmlTextReaderReadNs0FeedListResourceResponseType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct nexus_rest_api_ns0_feedListResourceResponse *_feedListResourceResponse = calloc(1, sizeof(struct nexus_rest_api_ns0_feedListResourceResponse));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0FeedListResourceResponseType(_feedListResourceResponse);
        free(_feedListResourceResponse);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "data", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

        if (xmlTextReaderIsEmptyElement(reader) == 0) {
#if DEBUG_ENUNCIATE > 1
          printf("Unwrapping wrapper element {}data...\n");
#endif
          //start wrapper element "{}data"
          status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
          while (xmlTextReaderDepth(reader) > (depth + 1)) {
            if (status < 1) {
              //panic: XML read error.
#if DEBUG_ENUNCIATE
              printf("Failure to advance to next child element.\n");
#endif
              freeNs0FeedListResourceResponseType(_feedListResourceResponse);
              free(_feedListResourceResponse);
              return NULL;
            }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "feeds-list-item", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}feeds-list-item of type {}feed-list-resource.\n");
#endif
        _child_accessor = xmlTextReaderReadNs0Feed_list_resourceType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}feeds-list-item of type {}feed-list-resource.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0FeedListResourceResponseType(_feedListResourceResponse);
          free(_feedListResourceResponse);
          return NULL;
        }

        _feedListResourceResponse->data = realloc(_feedListResourceResponse->data, (_feedListResourceResponse->_sizeof_data + 1) * sizeof(struct nexus_rest_api_ns0_feed_list_resource));
        memcpy(&(_feedListResourceResponse->data[_feedListResourceResponse->_sizeof_data++]), _child_accessor, sizeof(struct nexus_rest_api_ns0_feed_list_resource));
        free(_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
          } // end "while in wrapper element" loop
        } //end "if empty element" clause

        if (status < 1) {
          //panic: XML read error.
#if DEBUG_ENUNCIATE
          printf("Failed to advance to end wrapper element {}data.\n");
#endif
          freeNs0FeedListResourceResponseType(_feedListResourceResponse);
          free(_feedListResourceResponse);
          return NULL;
        }
        else {
          //end wrapper element "{}data"
          status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
        }
      } // end "if wrapper element" clause
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}feedListResourceResponse.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}feedListResourceResponse. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _feedListResourceResponse;
}

/**
 * Writes a FeedListResourceResponse to XML.
 *
 * @param writer The XML writer.
 * @param _feedListResourceResponse The FeedListResourceResponse to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0FeedListResourceResponseType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_feedListResourceResponse *_feedListResourceResponse) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;

  if (_feedListResourceResponse->data != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "data", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  for (i = 0; i < _feedListResourceResponse->_sizeof_data; i++) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "feeds-list-item", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}feeds-list-item. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {}feed-list-resource for element {}feeds-list-item...\n", status);
#endif
    status = xmlTextWriterWriteNs0Feed_list_resourceType(writer, &(_feedListResourceResponse->data[i]));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {}feed-list-resource for element {}feeds-list-item. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}feeds-list-item. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  if (_feedListResourceResponse->data != NULL) {
    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a FeedListResourceResponse.
 *
 * @param _feedListResourceResponse The FeedListResourceResponse to free.
 */
static void freeNs0FeedListResourceResponseType(struct nexus_rest_api_ns0_feedListResourceResponse *_feedListResourceResponse) {
  int i;
  if (_feedListResourceResponse->data != NULL) {
    for (i = 0; i < _feedListResourceResponse->_sizeof_data; i++) {
#if DEBUG_ENUNCIATE > 1
      printf("Freeing accessor data[%i] of type nexus_rest_api_ns0_feedListResourceResponse...\n", i);
#endif
      freeNs0Feed_list_resourceType(&(_feedListResourceResponse->data[i]));
    }
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor data of type nexus_rest_api_ns0_feedListResourceResponse...\n");
#endif
    free(_feedListResourceResponse->data);
  }
}
#endif /* DEF_nexus_rest_api_ns0_feedListResourceResponse_M */
#ifndef DEF_nexus_rest_api_ns0_global_configuration_list_item_M
#define DEF_nexus_rest_api_ns0_global_configuration_list_item_M

/**
 * Reads a GlobalConfigurationListResource from XML. The reader is assumed to be at the start element.
 *
 * @return the GlobalConfigurationListResource, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_global_configuration_list_item *xmlTextReaderReadNs0Global_configuration_list_itemType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct nexus_rest_api_ns0_global_configuration_list_item *_globalConfigurationListResource = calloc(1, sizeof(struct nexus_rest_api_ns0_global_configuration_list_item));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0Global_configuration_list_itemType(_globalConfigurationListResource);
        free(_globalConfigurationListResource);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "resourceURI", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}resourceURI of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}resourceURI of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Global_configuration_list_itemType(_globalConfigurationListResource);
          free(_globalConfigurationListResource);
          return NULL;
        }

        _globalConfigurationListResource->resourceURI = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "name", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}name of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}name of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Global_configuration_list_itemType(_globalConfigurationListResource);
          free(_globalConfigurationListResource);
          return NULL;
        }

        _globalConfigurationListResource->name = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}global-configuration-list-item.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}global-configuration-list-item. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _globalConfigurationListResource;
}

/**
 * Writes a GlobalConfigurationListResource to XML.
 *
 * @param writer The XML writer.
 * @param _globalConfigurationListResource The GlobalConfigurationListResource to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0Global_configuration_list_itemType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_global_configuration_list_item *_globalConfigurationListResource) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;
  if (_globalConfigurationListResource->resourceURI != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "resourceURI", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}resourceURI. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}resourceURI...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_globalConfigurationListResource->resourceURI));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}resourceURI. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}resourceURI. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_globalConfigurationListResource->name != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "name", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}name. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}name...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_globalConfigurationListResource->name));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}name. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}name. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a GlobalConfigurationListResource.
 *
 * @param _globalConfigurationListResource The GlobalConfigurationListResource to free.
 */
static void freeNs0Global_configuration_list_itemType(struct nexus_rest_api_ns0_global_configuration_list_item *_globalConfigurationListResource) {
  int i;
  if (_globalConfigurationListResource->resourceURI != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor resourceURI of type nexus_rest_api_ns0_global_configuration_list_item...\n");
#endif
    freeXsStringType(_globalConfigurationListResource->resourceURI);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor resourceURI of type nexus_rest_api_ns0_global_configuration_list_item...\n");
#endif
    free(_globalConfigurationListResource->resourceURI);
  }
  if (_globalConfigurationListResource->name != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor name of type nexus_rest_api_ns0_global_configuration_list_item...\n");
#endif
    freeXsStringType(_globalConfigurationListResource->name);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor name of type nexus_rest_api_ns0_global_configuration_list_item...\n");
#endif
    free(_globalConfigurationListResource->name);
  }
}
#endif /* DEF_nexus_rest_api_ns0_global_configuration_list_item_M */
#ifndef DEF_nexus_rest_api_ns0_globalConfigurationListResourceResponse_M
#define DEF_nexus_rest_api_ns0_globalConfigurationListResourceResponse_M

/**
 * Reads a GlobalConfigurationListResourceResponse element from XML. The element to be read is "global-settings-list", and
 * it is assumed that the reader is pointing to the XML document (not the element).
 *
 * @param reader The XML reader.
 * @return The GlobalConfigurationListResourceResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_globalConfigurationListResourceResponse *xml_read_nexus_rest_api_ns0_globalConfigurationListResourceResponse(xmlTextReaderPtr reader) {
  int status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
  return xmlTextReaderReadNs0Global_settings_listElement(reader);
}

/**
 * Writes a GlobalConfigurationListResourceResponse to XML under element name "global-settings-list".
 *
 * @param writer The XML writer.
 * @param _globalConfigurationListResourceResponse The GlobalConfigurationListResourceResponse to write.
 * @return 1 if successful, 0 otherwise.
 */
int xml_write_nexus_rest_api_ns0_globalConfigurationListResourceResponse(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_globalConfigurationListResourceResponse *_globalConfigurationListResourceResponse) {
  return xmlTextWriterWriteNs0Global_settings_listElementNS(writer, _globalConfigurationListResourceResponse, 1);
}

/**
 * Frees a GlobalConfigurationListResourceResponse.
 *
 * @param _globalConfigurationListResourceResponse The GlobalConfigurationListResourceResponse to free.
 */
void free_nexus_rest_api_ns0_globalConfigurationListResourceResponse(struct nexus_rest_api_ns0_globalConfigurationListResourceResponse *_globalConfigurationListResourceResponse) {
  freeNs0GlobalConfigurationListResourceResponseType(_globalConfigurationListResourceResponse);
  free(_globalConfigurationListResourceResponse);
}

/**
 * Reads a GlobalConfigurationListResourceResponse element from XML. The element to be read is "global-settings-list", and
 * it is assumed that the reader is pointing to that element.
 *
 * @param reader The XML reader.
 * @return The GlobalConfigurationListResourceResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_globalConfigurationListResourceResponse *xmlTextReaderReadNs0Global_settings_listElement(xmlTextReaderPtr reader) {
  struct nexus_rest_api_ns0_globalConfigurationListResourceResponse *_globalConfigurationListResourceResponse = NULL;

  if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
    && xmlStrcmp(BAD_CAST "global-settings-list", xmlTextReaderConstLocalName(reader)) == 0
    && xmlTextReaderConstNamespaceUri(reader) == NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Attempting to read root element {}global-settings-list.\n");
#endif
    _globalConfigurationListResourceResponse = xmlTextReaderReadNs0GlobalConfigurationListResourceResponseType(reader);
  }
#if DEBUG_ENUNCIATE
  if (_globalConfigurationListResourceResponse == NULL) {
    if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
      printf("attempt to read {}global-settings-list failed. current element: {}%s\n",  xmlTextReaderConstLocalName(reader));
    }
    else {
      printf("attempt to read {}global-settings-list failed. current element: {%s}%s\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
    }
  }
#endif

  return _globalConfigurationListResourceResponse;
}

/**
 * Writes a GlobalConfigurationListResourceResponse to XML under element name "global-settings-list".
 * Does NOT write the namespace prefixes.
 *
 * @param writer The XML writer.
 * @param _globalConfigurationListResourceResponse The GlobalConfigurationListResourceResponse to write.
 * @return 1 if successful, 0 otherwise.
 */
static int xmlTextWriterWriteNs0Global_settings_listElement(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_globalConfigurationListResourceResponse *_globalConfigurationListResourceResponse) {
  return xmlTextWriterWriteNs0Global_settings_listElementNS(writer, _globalConfigurationListResourceResponse, 0);
}

/**
 * Writes a GlobalConfigurationListResourceResponse to XML under element name "global-settings-list".
 *
 * @param writer The XML writer.
 * @param _globalConfigurationListResourceResponse The GlobalConfigurationListResourceResponse to write.
 * @param writeNamespaces Whether to write the namespace prefixes.
 * @return 1 if successful, 0 otherwise.
 */
static int xmlTextWriterWriteNs0Global_settings_listElementNS(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_globalConfigurationListResourceResponse *_globalConfigurationListResourceResponse, int writeNamespaces) {
  int totalBytes = 0;
  int status;

  status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "global-settings-list", NULL);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to write start element {}global-settings-list. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

#if DEBUG_ENUNCIATE > 1
  printf("writing type {}globalConfigurationListResourceResponse for root element {}global-settings-list...\n");
#endif
  status = xmlTextWriterWriteNs0GlobalConfigurationListResourceResponseType(writer, _globalConfigurationListResourceResponse);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to write type for start element {}global-settings-list. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

  status = xmlTextWriterEndElement(writer);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to end element {}global-settings-list. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

  return totalBytes;
}

/**
 * Frees the children of a GlobalConfigurationListResourceResponse.
 *
 * @param _globalConfigurationListResourceResponse The GlobalConfigurationListResourceResponse whose children are to be free.
 */
static void freeNs0Global_settings_listElement(struct nexus_rest_api_ns0_globalConfigurationListResourceResponse *_globalConfigurationListResourceResponse) {
  freeNs0GlobalConfigurationListResourceResponseType(_globalConfigurationListResourceResponse);
}

/**
 * Reads a GlobalConfigurationListResourceResponse from XML. The reader is assumed to be at the start element.
 *
 * @return the GlobalConfigurationListResourceResponse, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_globalConfigurationListResourceResponse *xmlTextReaderReadNs0GlobalConfigurationListResourceResponseType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct nexus_rest_api_ns0_globalConfigurationListResourceResponse *_globalConfigurationListResourceResponse = calloc(1, sizeof(struct nexus_rest_api_ns0_globalConfigurationListResourceResponse));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0GlobalConfigurationListResourceResponseType(_globalConfigurationListResourceResponse);
        free(_globalConfigurationListResourceResponse);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "data", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

        if (xmlTextReaderIsEmptyElement(reader) == 0) {
#if DEBUG_ENUNCIATE > 1
          printf("Unwrapping wrapper element {}data...\n");
#endif
          //start wrapper element "{}data"
          status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
          while (xmlTextReaderDepth(reader) > (depth + 1)) {
            if (status < 1) {
              //panic: XML read error.
#if DEBUG_ENUNCIATE
              printf("Failure to advance to next child element.\n");
#endif
              freeNs0GlobalConfigurationListResourceResponseType(_globalConfigurationListResourceResponse);
              free(_globalConfigurationListResourceResponse);
              return NULL;
            }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "global-settings-list-item", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}global-settings-list-item of type {}global-configuration-list-item.\n");
#endif
        _child_accessor = xmlTextReaderReadNs0Global_configuration_list_itemType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}global-settings-list-item of type {}global-configuration-list-item.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0GlobalConfigurationListResourceResponseType(_globalConfigurationListResourceResponse);
          free(_globalConfigurationListResourceResponse);
          return NULL;
        }

        _globalConfigurationListResourceResponse->data = realloc(_globalConfigurationListResourceResponse->data, (_globalConfigurationListResourceResponse->_sizeof_data + 1) * sizeof(struct nexus_rest_api_ns0_global_configuration_list_item));
        memcpy(&(_globalConfigurationListResourceResponse->data[_globalConfigurationListResourceResponse->_sizeof_data++]), _child_accessor, sizeof(struct nexus_rest_api_ns0_global_configuration_list_item));
        free(_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
          } // end "while in wrapper element" loop
        } //end "if empty element" clause

        if (status < 1) {
          //panic: XML read error.
#if DEBUG_ENUNCIATE
          printf("Failed to advance to end wrapper element {}data.\n");
#endif
          freeNs0GlobalConfigurationListResourceResponseType(_globalConfigurationListResourceResponse);
          free(_globalConfigurationListResourceResponse);
          return NULL;
        }
        else {
          //end wrapper element "{}data"
          status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
        }
      } // end "if wrapper element" clause
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}globalConfigurationListResourceResponse.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}globalConfigurationListResourceResponse. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _globalConfigurationListResourceResponse;
}

/**
 * Writes a GlobalConfigurationListResourceResponse to XML.
 *
 * @param writer The XML writer.
 * @param _globalConfigurationListResourceResponse The GlobalConfigurationListResourceResponse to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0GlobalConfigurationListResourceResponseType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_globalConfigurationListResourceResponse *_globalConfigurationListResourceResponse) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;

  if (_globalConfigurationListResourceResponse->data != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "data", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  for (i = 0; i < _globalConfigurationListResourceResponse->_sizeof_data; i++) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "global-settings-list-item", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}global-settings-list-item. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {}global-configuration-list-item for element {}global-settings-list-item...\n", status);
#endif
    status = xmlTextWriterWriteNs0Global_configuration_list_itemType(writer, &(_globalConfigurationListResourceResponse->data[i]));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {}global-configuration-list-item for element {}global-settings-list-item. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}global-settings-list-item. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  if (_globalConfigurationListResourceResponse->data != NULL) {
    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a GlobalConfigurationListResourceResponse.
 *
 * @param _globalConfigurationListResourceResponse The GlobalConfigurationListResourceResponse to free.
 */
static void freeNs0GlobalConfigurationListResourceResponseType(struct nexus_rest_api_ns0_globalConfigurationListResourceResponse *_globalConfigurationListResourceResponse) {
  int i;
  if (_globalConfigurationListResourceResponse->data != NULL) {
    for (i = 0; i < _globalConfigurationListResourceResponse->_sizeof_data; i++) {
#if DEBUG_ENUNCIATE > 1
      printf("Freeing accessor data[%i] of type nexus_rest_api_ns0_globalConfigurationListResourceResponse...\n", i);
#endif
      freeNs0Global_configuration_list_itemType(&(_globalConfigurationListResourceResponse->data[i]));
    }
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor data of type nexus_rest_api_ns0_globalConfigurationListResourceResponse...\n");
#endif
    free(_globalConfigurationListResourceResponse->data);
  }
}
#endif /* DEF_nexus_rest_api_ns0_globalConfigurationListResourceResponse_M */
#ifndef DEF_nexus_rest_api_ns0_global_settings_item_M
#define DEF_nexus_rest_api_ns0_global_settings_item_M

/**
 * Reads a GlobalConfigurationResource from XML. The reader is assumed to be at the start element.
 *
 * @return the GlobalConfigurationResource, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_global_settings_item *xmlTextReaderReadNs0Global_settings_itemType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct nexus_rest_api_ns0_global_settings_item *_globalConfigurationResource = calloc(1, sizeof(struct nexus_rest_api_ns0_global_settings_item));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0Global_settings_itemType(_globalConfigurationResource);
        free(_globalConfigurationResource);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "securityEnabled", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}securityEnabled of type {http://www.w3.org/2001/XMLSchema}boolean.\n");
#endif
        _child_accessor = xmlTextReaderReadXsBooleanType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}securityEnabled of type {http://www.w3.org/2001/XMLSchema}boolean.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Global_settings_itemType(_globalConfigurationResource);
          free(_globalConfigurationResource);
          return NULL;
        }

        _globalConfigurationResource->securityEnabled = *((int*)_child_accessor);
        free(_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "securityAnonymousAccessEnabled", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}securityAnonymousAccessEnabled of type {http://www.w3.org/2001/XMLSchema}boolean.\n");
#endif
        _child_accessor = xmlTextReaderReadXsBooleanType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}securityAnonymousAccessEnabled of type {http://www.w3.org/2001/XMLSchema}boolean.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Global_settings_itemType(_globalConfigurationResource);
          free(_globalConfigurationResource);
          return NULL;
        }

        _globalConfigurationResource->securityAnonymousAccessEnabled = *((int*)_child_accessor);
        free(_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "securityAnonymousUsername", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}securityAnonymousUsername of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}securityAnonymousUsername of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Global_settings_itemType(_globalConfigurationResource);
          free(_globalConfigurationResource);
          return NULL;
        }

        _globalConfigurationResource->securityAnonymousUsername = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "securityAnonymousPassword", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}securityAnonymousPassword of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}securityAnonymousPassword of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Global_settings_itemType(_globalConfigurationResource);
          free(_globalConfigurationResource);
          return NULL;
        }

        _globalConfigurationResource->securityAnonymousPassword = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "securityRealms", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

        if (xmlTextReaderIsEmptyElement(reader) == 0) {
#if DEBUG_ENUNCIATE > 1
          printf("Unwrapping wrapper element {}securityRealms...\n");
#endif
          //start wrapper element "{}securityRealms"
          status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
          while (xmlTextReaderDepth(reader) > (depth + 1)) {
            if (status < 1) {
              //panic: XML read error.
#if DEBUG_ENUNCIATE
              printf("Failure to advance to next child element.\n");
#endif
              freeNs0Global_settings_itemType(_globalConfigurationResource);
              free(_globalConfigurationResource);
              return NULL;
            }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "securityRealmItem", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}securityRealmItem of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}securityRealmItem of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Global_settings_itemType(_globalConfigurationResource);
          free(_globalConfigurationResource);
          return NULL;
        }

        _globalConfigurationResource->securityRealms = realloc(_globalConfigurationResource->securityRealms, (_globalConfigurationResource->_sizeof_securityRealms + 1) * sizeof(xmlChar));
        memcpy(&(_globalConfigurationResource->securityRealms[_globalConfigurationResource->_sizeof_securityRealms++]), _child_accessor, sizeof(xmlChar));
        free(_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
          } // end "while in wrapper element" loop
        } //end "if empty element" clause

        if (status < 1) {
          //panic: XML read error.
#if DEBUG_ENUNCIATE
          printf("Failed to advance to end wrapper element {}securityRealms.\n");
#endif
          freeNs0Global_settings_itemType(_globalConfigurationResource);
          free(_globalConfigurationResource);
          return NULL;
        }
        else {
          //end wrapper element "{}securityRealms"
          status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
        }
      } // end "if wrapper element" clause
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "globalConnectionSettings", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}globalConnectionSettings of type {}remote-connection-settings.\n");
#endif
        _child_accessor = xmlTextReaderReadNs0Remote_connection_settingsType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}globalConnectionSettings of type {}remote-connection-settings.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Global_settings_itemType(_globalConfigurationResource);
          free(_globalConfigurationResource);
          return NULL;
        }

        _globalConfigurationResource->globalConnectionSettings = ((struct nexus_rest_api_ns0_remote_connection_settings*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "systemNotificationSettings", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}systemNotificationSettings of type {}system-notification-settings.\n");
#endif
        _child_accessor = xmlTextReaderReadNs0System_notification_settingsType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}systemNotificationSettings of type {}system-notification-settings.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Global_settings_itemType(_globalConfigurationResource);
          free(_globalConfigurationResource);
          return NULL;
        }

        _globalConfigurationResource->systemNotificationSettings = ((struct nexus_rest_api_ns0_system_notification_settings*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "smtpSettings", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}smtpSettings of type {}smtp-settings.\n");
#endif
        _child_accessor = xmlTextReaderReadNs0Smtp_settingsType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}smtpSettings of type {}smtp-settings.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Global_settings_itemType(_globalConfigurationResource);
          free(_globalConfigurationResource);
          return NULL;
        }

        _globalConfigurationResource->smtpSettings = ((struct nexus_rest_api_ns0_smtp_settings*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "globalHttpProxySettings", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}globalHttpProxySettings of type {}remote-http-proxy-settings.\n");
#endif
        _child_accessor = xmlTextReaderReadNs0Remote_http_proxy_settingsType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}globalHttpProxySettings of type {}remote-http-proxy-settings.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Global_settings_itemType(_globalConfigurationResource);
          free(_globalConfigurationResource);
          return NULL;
        }

        _globalConfigurationResource->globalHttpProxySettings = ((struct nexus_rest_api_ns0_remote_http_proxy_settings*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "globalRestApiSettings", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}globalRestApiSettings of type {}rest-api-settings.\n");
#endif
        _child_accessor = xmlTextReaderReadNs0Rest_api_settingsType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}globalRestApiSettings of type {}rest-api-settings.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Global_settings_itemType(_globalConfigurationResource);
          free(_globalConfigurationResource);
          return NULL;
        }

        _globalConfigurationResource->globalRestApiSettings = ((struct nexus_rest_api_ns0_rest_api_settings*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "errorReportingSettings", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}errorReportingSettings of type {}error-reporting-settings.\n");
#endif
        _child_accessor = xmlTextReaderReadNs0Error_reporting_settingsType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}errorReportingSettings of type {}error-reporting-settings.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Global_settings_itemType(_globalConfigurationResource);
          free(_globalConfigurationResource);
          return NULL;
        }

        _globalConfigurationResource->errorReportingSettings = ((struct nexus_rest_api_ns0_error_reporting_settings*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}global-settings-item.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}global-settings-item. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _globalConfigurationResource;
}

/**
 * Writes a GlobalConfigurationResource to XML.
 *
 * @param writer The XML writer.
 * @param _globalConfigurationResource The GlobalConfigurationResource to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0Global_settings_itemType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_global_settings_item *_globalConfigurationResource) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;
  if (1) { //always write the primitive element.
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "securityEnabled", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}securityEnabled. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}boolean for element {}securityEnabled...\n", status);
#endif
    status = xmlTextWriterWriteXsBooleanType(writer, &(_globalConfigurationResource->securityEnabled));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}boolean for element {}securityEnabled. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}securityEnabled. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (1) { //always write the primitive element.
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "securityAnonymousAccessEnabled", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}securityAnonymousAccessEnabled. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}boolean for element {}securityAnonymousAccessEnabled...\n", status);
#endif
    status = xmlTextWriterWriteXsBooleanType(writer, &(_globalConfigurationResource->securityAnonymousAccessEnabled));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}boolean for element {}securityAnonymousAccessEnabled. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}securityAnonymousAccessEnabled. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_globalConfigurationResource->securityAnonymousUsername != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "securityAnonymousUsername", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}securityAnonymousUsername. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}securityAnonymousUsername...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_globalConfigurationResource->securityAnonymousUsername));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}securityAnonymousUsername. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}securityAnonymousUsername. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_globalConfigurationResource->securityAnonymousPassword != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "securityAnonymousPassword", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}securityAnonymousPassword. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}securityAnonymousPassword...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_globalConfigurationResource->securityAnonymousPassword));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}securityAnonymousPassword. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}securityAnonymousPassword. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  if (_globalConfigurationResource->securityRealms != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "securityRealms", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}securityRealms. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  for (i = 0; i < _globalConfigurationResource->_sizeof_securityRealms; i++) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "securityRealmItem", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}securityRealmItem. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}securityRealmItem...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, &(_globalConfigurationResource->securityRealms[i]));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}securityRealmItem. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}securityRealmItem. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  if (_globalConfigurationResource->securityRealms != NULL) {
    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}securityRealms. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_globalConfigurationResource->globalConnectionSettings != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "globalConnectionSettings", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}globalConnectionSettings. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {}remote-connection-settings for element {}globalConnectionSettings...\n", status);
#endif
    status = xmlTextWriterWriteNs0Remote_connection_settingsType(writer, (_globalConfigurationResource->globalConnectionSettings));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {}remote-connection-settings for element {}globalConnectionSettings. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}globalConnectionSettings. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_globalConfigurationResource->systemNotificationSettings != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "systemNotificationSettings", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}systemNotificationSettings. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {}system-notification-settings for element {}systemNotificationSettings...\n", status);
#endif
    status = xmlTextWriterWriteNs0System_notification_settingsType(writer, (_globalConfigurationResource->systemNotificationSettings));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {}system-notification-settings for element {}systemNotificationSettings. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}systemNotificationSettings. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_globalConfigurationResource->smtpSettings != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "smtpSettings", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}smtpSettings. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {}smtp-settings for element {}smtpSettings...\n", status);
#endif
    status = xmlTextWriterWriteNs0Smtp_settingsType(writer, (_globalConfigurationResource->smtpSettings));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {}smtp-settings for element {}smtpSettings. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}smtpSettings. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_globalConfigurationResource->globalHttpProxySettings != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "globalHttpProxySettings", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}globalHttpProxySettings. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {}remote-http-proxy-settings for element {}globalHttpProxySettings...\n", status);
#endif
    status = xmlTextWriterWriteNs0Remote_http_proxy_settingsType(writer, (_globalConfigurationResource->globalHttpProxySettings));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {}remote-http-proxy-settings for element {}globalHttpProxySettings. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}globalHttpProxySettings. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_globalConfigurationResource->globalRestApiSettings != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "globalRestApiSettings", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}globalRestApiSettings. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {}rest-api-settings for element {}globalRestApiSettings...\n", status);
#endif
    status = xmlTextWriterWriteNs0Rest_api_settingsType(writer, (_globalConfigurationResource->globalRestApiSettings));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {}rest-api-settings for element {}globalRestApiSettings. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}globalRestApiSettings. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_globalConfigurationResource->errorReportingSettings != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "errorReportingSettings", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}errorReportingSettings. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {}error-reporting-settings for element {}errorReportingSettings...\n", status);
#endif
    status = xmlTextWriterWriteNs0Error_reporting_settingsType(writer, (_globalConfigurationResource->errorReportingSettings));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {}error-reporting-settings for element {}errorReportingSettings. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}errorReportingSettings. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a GlobalConfigurationResource.
 *
 * @param _globalConfigurationResource The GlobalConfigurationResource to free.
 */
static void freeNs0Global_settings_itemType(struct nexus_rest_api_ns0_global_settings_item *_globalConfigurationResource) {
  int i;
  if (_globalConfigurationResource->securityAnonymousUsername != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor securityAnonymousUsername of type nexus_rest_api_ns0_global_settings_item...\n");
#endif
    freeXsStringType(_globalConfigurationResource->securityAnonymousUsername);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor securityAnonymousUsername of type nexus_rest_api_ns0_global_settings_item...\n");
#endif
    free(_globalConfigurationResource->securityAnonymousUsername);
  }
  if (_globalConfigurationResource->securityAnonymousPassword != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor securityAnonymousPassword of type nexus_rest_api_ns0_global_settings_item...\n");
#endif
    freeXsStringType(_globalConfigurationResource->securityAnonymousPassword);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor securityAnonymousPassword of type nexus_rest_api_ns0_global_settings_item...\n");
#endif
    free(_globalConfigurationResource->securityAnonymousPassword);
  }
  if (_globalConfigurationResource->securityRealms != NULL) {
    for (i = 0; i < _globalConfigurationResource->_sizeof_securityRealms; i++) {
#if DEBUG_ENUNCIATE > 1
      printf("Freeing accessor securityRealms[%i] of type nexus_rest_api_ns0_global_settings_item...\n", i);
#endif
      freeXsStringType(&(_globalConfigurationResource->securityRealms[i]));
    }
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor securityRealms of type nexus_rest_api_ns0_global_settings_item...\n");
#endif
    free(_globalConfigurationResource->securityRealms);
  }
  if (_globalConfigurationResource->globalConnectionSettings != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor globalConnectionSettings of type nexus_rest_api_ns0_global_settings_item...\n");
#endif
    freeNs0Remote_connection_settingsType(_globalConfigurationResource->globalConnectionSettings);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor globalConnectionSettings of type nexus_rest_api_ns0_global_settings_item...\n");
#endif
    free(_globalConfigurationResource->globalConnectionSettings);
  }
  if (_globalConfigurationResource->systemNotificationSettings != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor systemNotificationSettings of type nexus_rest_api_ns0_global_settings_item...\n");
#endif
    freeNs0System_notification_settingsType(_globalConfigurationResource->systemNotificationSettings);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor systemNotificationSettings of type nexus_rest_api_ns0_global_settings_item...\n");
#endif
    free(_globalConfigurationResource->systemNotificationSettings);
  }
  if (_globalConfigurationResource->smtpSettings != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor smtpSettings of type nexus_rest_api_ns0_global_settings_item...\n");
#endif
    freeNs0Smtp_settingsType(_globalConfigurationResource->smtpSettings);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor smtpSettings of type nexus_rest_api_ns0_global_settings_item...\n");
#endif
    free(_globalConfigurationResource->smtpSettings);
  }
  if (_globalConfigurationResource->globalHttpProxySettings != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor globalHttpProxySettings of type nexus_rest_api_ns0_global_settings_item...\n");
#endif
    freeNs0Remote_http_proxy_settingsType(_globalConfigurationResource->globalHttpProxySettings);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor globalHttpProxySettings of type nexus_rest_api_ns0_global_settings_item...\n");
#endif
    free(_globalConfigurationResource->globalHttpProxySettings);
  }
  if (_globalConfigurationResource->globalRestApiSettings != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor globalRestApiSettings of type nexus_rest_api_ns0_global_settings_item...\n");
#endif
    freeNs0Rest_api_settingsType(_globalConfigurationResource->globalRestApiSettings);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor globalRestApiSettings of type nexus_rest_api_ns0_global_settings_item...\n");
#endif
    free(_globalConfigurationResource->globalRestApiSettings);
  }
  if (_globalConfigurationResource->errorReportingSettings != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor errorReportingSettings of type nexus_rest_api_ns0_global_settings_item...\n");
#endif
    freeNs0Error_reporting_settingsType(_globalConfigurationResource->errorReportingSettings);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor errorReportingSettings of type nexus_rest_api_ns0_global_settings_item...\n");
#endif
    free(_globalConfigurationResource->errorReportingSettings);
  }
}
#endif /* DEF_nexus_rest_api_ns0_global_settings_item_M */
#ifndef DEF_nexus_rest_api_ns0_globalConfigurationResourceResponse_M
#define DEF_nexus_rest_api_ns0_globalConfigurationResourceResponse_M

/**
 * Reads a GlobalConfigurationResourceResponse element from XML. The element to be read is "global-settings", and
 * it is assumed that the reader is pointing to the XML document (not the element).
 *
 * @param reader The XML reader.
 * @return The GlobalConfigurationResourceResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_globalConfigurationResourceResponse *xml_read_nexus_rest_api_ns0_globalConfigurationResourceResponse(xmlTextReaderPtr reader) {
  int status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
  return xmlTextReaderReadNs0Global_settingsElement(reader);
}

/**
 * Writes a GlobalConfigurationResourceResponse to XML under element name "global-settings".
 *
 * @param writer The XML writer.
 * @param _globalConfigurationResourceResponse The GlobalConfigurationResourceResponse to write.
 * @return 1 if successful, 0 otherwise.
 */
int xml_write_nexus_rest_api_ns0_globalConfigurationResourceResponse(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_globalConfigurationResourceResponse *_globalConfigurationResourceResponse) {
  return xmlTextWriterWriteNs0Global_settingsElementNS(writer, _globalConfigurationResourceResponse, 1);
}

/**
 * Frees a GlobalConfigurationResourceResponse.
 *
 * @param _globalConfigurationResourceResponse The GlobalConfigurationResourceResponse to free.
 */
void free_nexus_rest_api_ns0_globalConfigurationResourceResponse(struct nexus_rest_api_ns0_globalConfigurationResourceResponse *_globalConfigurationResourceResponse) {
  freeNs0GlobalConfigurationResourceResponseType(_globalConfigurationResourceResponse);
  free(_globalConfigurationResourceResponse);
}

/**
 * Reads a GlobalConfigurationResourceResponse element from XML. The element to be read is "global-settings", and
 * it is assumed that the reader is pointing to that element.
 *
 * @param reader The XML reader.
 * @return The GlobalConfigurationResourceResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_globalConfigurationResourceResponse *xmlTextReaderReadNs0Global_settingsElement(xmlTextReaderPtr reader) {
  struct nexus_rest_api_ns0_globalConfigurationResourceResponse *_globalConfigurationResourceResponse = NULL;

  if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
    && xmlStrcmp(BAD_CAST "global-settings", xmlTextReaderConstLocalName(reader)) == 0
    && xmlTextReaderConstNamespaceUri(reader) == NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Attempting to read root element {}global-settings.\n");
#endif
    _globalConfigurationResourceResponse = xmlTextReaderReadNs0GlobalConfigurationResourceResponseType(reader);
  }
#if DEBUG_ENUNCIATE
  if (_globalConfigurationResourceResponse == NULL) {
    if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
      printf("attempt to read {}global-settings failed. current element: {}%s\n",  xmlTextReaderConstLocalName(reader));
    }
    else {
      printf("attempt to read {}global-settings failed. current element: {%s}%s\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
    }
  }
#endif

  return _globalConfigurationResourceResponse;
}

/**
 * Writes a GlobalConfigurationResourceResponse to XML under element name "global-settings".
 * Does NOT write the namespace prefixes.
 *
 * @param writer The XML writer.
 * @param _globalConfigurationResourceResponse The GlobalConfigurationResourceResponse to write.
 * @return 1 if successful, 0 otherwise.
 */
static int xmlTextWriterWriteNs0Global_settingsElement(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_globalConfigurationResourceResponse *_globalConfigurationResourceResponse) {
  return xmlTextWriterWriteNs0Global_settingsElementNS(writer, _globalConfigurationResourceResponse, 0);
}

/**
 * Writes a GlobalConfigurationResourceResponse to XML under element name "global-settings".
 *
 * @param writer The XML writer.
 * @param _globalConfigurationResourceResponse The GlobalConfigurationResourceResponse to write.
 * @param writeNamespaces Whether to write the namespace prefixes.
 * @return 1 if successful, 0 otherwise.
 */
static int xmlTextWriterWriteNs0Global_settingsElementNS(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_globalConfigurationResourceResponse *_globalConfigurationResourceResponse, int writeNamespaces) {
  int totalBytes = 0;
  int status;

  status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "global-settings", NULL);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to write start element {}global-settings. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

#if DEBUG_ENUNCIATE > 1
  printf("writing type {}globalConfigurationResourceResponse for root element {}global-settings...\n");
#endif
  status = xmlTextWriterWriteNs0GlobalConfigurationResourceResponseType(writer, _globalConfigurationResourceResponse);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to write type for start element {}global-settings. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

  status = xmlTextWriterEndElement(writer);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to end element {}global-settings. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

  return totalBytes;
}

/**
 * Frees the children of a GlobalConfigurationResourceResponse.
 *
 * @param _globalConfigurationResourceResponse The GlobalConfigurationResourceResponse whose children are to be free.
 */
static void freeNs0Global_settingsElement(struct nexus_rest_api_ns0_globalConfigurationResourceResponse *_globalConfigurationResourceResponse) {
  freeNs0GlobalConfigurationResourceResponseType(_globalConfigurationResourceResponse);
}

/**
 * Reads a GlobalConfigurationResourceResponse from XML. The reader is assumed to be at the start element.
 *
 * @return the GlobalConfigurationResourceResponse, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_globalConfigurationResourceResponse *xmlTextReaderReadNs0GlobalConfigurationResourceResponseType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct nexus_rest_api_ns0_globalConfigurationResourceResponse *_globalConfigurationResourceResponse = calloc(1, sizeof(struct nexus_rest_api_ns0_globalConfigurationResourceResponse));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0GlobalConfigurationResourceResponseType(_globalConfigurationResourceResponse);
        free(_globalConfigurationResourceResponse);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "data", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}data of type {}global-settings-item.\n");
#endif
        _child_accessor = xmlTextReaderReadNs0Global_settings_itemType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}data of type {}global-settings-item.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0GlobalConfigurationResourceResponseType(_globalConfigurationResourceResponse);
          free(_globalConfigurationResourceResponse);
          return NULL;
        }

        _globalConfigurationResourceResponse->data = ((struct nexus_rest_api_ns0_global_settings_item*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}globalConfigurationResourceResponse.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}globalConfigurationResourceResponse. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _globalConfigurationResourceResponse;
}

/**
 * Writes a GlobalConfigurationResourceResponse to XML.
 *
 * @param writer The XML writer.
 * @param _globalConfigurationResourceResponse The GlobalConfigurationResourceResponse to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0GlobalConfigurationResourceResponseType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_globalConfigurationResourceResponse *_globalConfigurationResourceResponse) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;
  if (_globalConfigurationResourceResponse->data != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "data", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {}global-settings-item for element {}data...\n", status);
#endif
    status = xmlTextWriterWriteNs0Global_settings_itemType(writer, (_globalConfigurationResourceResponse->data));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {}global-settings-item for element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a GlobalConfigurationResourceResponse.
 *
 * @param _globalConfigurationResourceResponse The GlobalConfigurationResourceResponse to free.
 */
static void freeNs0GlobalConfigurationResourceResponseType(struct nexus_rest_api_ns0_globalConfigurationResourceResponse *_globalConfigurationResourceResponse) {
  int i;
  if (_globalConfigurationResourceResponse->data != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor data of type nexus_rest_api_ns0_globalConfigurationResourceResponse...\n");
#endif
    freeNs0Global_settings_itemType(_globalConfigurationResourceResponse->data);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor data of type nexus_rest_api_ns0_globalConfigurationResourceResponse...\n");
#endif
    free(_globalConfigurationResourceResponse->data);
  }
}
#endif /* DEF_nexus_rest_api_ns0_globalConfigurationResourceResponse_M */
#ifndef DEF_nexus_rest_api_ns0_log_config_resource_M
#define DEF_nexus_rest_api_ns0_log_config_resource_M

/**
 * Reads a LogConfigResource from XML. The reader is assumed to be at the start element.
 *
 * @return the LogConfigResource, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_log_config_resource *xmlTextReaderReadNs0Log_config_resourceType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct nexus_rest_api_ns0_log_config_resource *_logConfigResource = calloc(1, sizeof(struct nexus_rest_api_ns0_log_config_resource));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0Log_config_resourceType(_logConfigResource);
        free(_logConfigResource);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "rootLoggerLevel", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}rootLoggerLevel of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}rootLoggerLevel of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Log_config_resourceType(_logConfigResource);
          free(_logConfigResource);
          return NULL;
        }

        _logConfigResource->rootLoggerLevel = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "rootLoggerAppenders", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}rootLoggerAppenders of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}rootLoggerAppenders of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Log_config_resourceType(_logConfigResource);
          free(_logConfigResource);
          return NULL;
        }

        _logConfigResource->rootLoggerAppenders = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "fileAppenderLocation", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}fileAppenderLocation of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}fileAppenderLocation of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Log_config_resourceType(_logConfigResource);
          free(_logConfigResource);
          return NULL;
        }

        _logConfigResource->fileAppenderLocation = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "fileAppenderPattern", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}fileAppenderPattern of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}fileAppenderPattern of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Log_config_resourceType(_logConfigResource);
          free(_logConfigResource);
          return NULL;
        }

        _logConfigResource->fileAppenderPattern = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}log-config-resource.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}log-config-resource. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _logConfigResource;
}

/**
 * Writes a LogConfigResource to XML.
 *
 * @param writer The XML writer.
 * @param _logConfigResource The LogConfigResource to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0Log_config_resourceType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_log_config_resource *_logConfigResource) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;
  if (_logConfigResource->rootLoggerLevel != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "rootLoggerLevel", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}rootLoggerLevel. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}rootLoggerLevel...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_logConfigResource->rootLoggerLevel));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}rootLoggerLevel. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}rootLoggerLevel. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_logConfigResource->rootLoggerAppenders != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "rootLoggerAppenders", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}rootLoggerAppenders. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}rootLoggerAppenders...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_logConfigResource->rootLoggerAppenders));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}rootLoggerAppenders. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}rootLoggerAppenders. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_logConfigResource->fileAppenderLocation != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "fileAppenderLocation", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}fileAppenderLocation. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}fileAppenderLocation...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_logConfigResource->fileAppenderLocation));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}fileAppenderLocation. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}fileAppenderLocation. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_logConfigResource->fileAppenderPattern != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "fileAppenderPattern", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}fileAppenderPattern. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}fileAppenderPattern...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_logConfigResource->fileAppenderPattern));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}fileAppenderPattern. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}fileAppenderPattern. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a LogConfigResource.
 *
 * @param _logConfigResource The LogConfigResource to free.
 */
static void freeNs0Log_config_resourceType(struct nexus_rest_api_ns0_log_config_resource *_logConfigResource) {
  int i;
  if (_logConfigResource->rootLoggerLevel != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor rootLoggerLevel of type nexus_rest_api_ns0_log_config_resource...\n");
#endif
    freeXsStringType(_logConfigResource->rootLoggerLevel);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor rootLoggerLevel of type nexus_rest_api_ns0_log_config_resource...\n");
#endif
    free(_logConfigResource->rootLoggerLevel);
  }
  if (_logConfigResource->rootLoggerAppenders != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor rootLoggerAppenders of type nexus_rest_api_ns0_log_config_resource...\n");
#endif
    freeXsStringType(_logConfigResource->rootLoggerAppenders);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor rootLoggerAppenders of type nexus_rest_api_ns0_log_config_resource...\n");
#endif
    free(_logConfigResource->rootLoggerAppenders);
  }
  if (_logConfigResource->fileAppenderLocation != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor fileAppenderLocation of type nexus_rest_api_ns0_log_config_resource...\n");
#endif
    freeXsStringType(_logConfigResource->fileAppenderLocation);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor fileAppenderLocation of type nexus_rest_api_ns0_log_config_resource...\n");
#endif
    free(_logConfigResource->fileAppenderLocation);
  }
  if (_logConfigResource->fileAppenderPattern != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor fileAppenderPattern of type nexus_rest_api_ns0_log_config_resource...\n");
#endif
    freeXsStringType(_logConfigResource->fileAppenderPattern);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor fileAppenderPattern of type nexus_rest_api_ns0_log_config_resource...\n");
#endif
    free(_logConfigResource->fileAppenderPattern);
  }
}
#endif /* DEF_nexus_rest_api_ns0_log_config_resource_M */
#ifndef DEF_nexus_rest_api_ns0_logConfigResourceResponse_M
#define DEF_nexus_rest_api_ns0_logConfigResourceResponse_M

/**
 * Reads a LogConfigResourceResponse element from XML. The element to be read is "log-config", and
 * it is assumed that the reader is pointing to the XML document (not the element).
 *
 * @param reader The XML reader.
 * @return The LogConfigResourceResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_logConfigResourceResponse *xml_read_nexus_rest_api_ns0_logConfigResourceResponse(xmlTextReaderPtr reader) {
  int status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
  return xmlTextReaderReadNs0Log_configElement(reader);
}

/**
 * Writes a LogConfigResourceResponse to XML under element name "log-config".
 *
 * @param writer The XML writer.
 * @param _logConfigResourceResponse The LogConfigResourceResponse to write.
 * @return 1 if successful, 0 otherwise.
 */
int xml_write_nexus_rest_api_ns0_logConfigResourceResponse(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_logConfigResourceResponse *_logConfigResourceResponse) {
  return xmlTextWriterWriteNs0Log_configElementNS(writer, _logConfigResourceResponse, 1);
}

/**
 * Frees a LogConfigResourceResponse.
 *
 * @param _logConfigResourceResponse The LogConfigResourceResponse to free.
 */
void free_nexus_rest_api_ns0_logConfigResourceResponse(struct nexus_rest_api_ns0_logConfigResourceResponse *_logConfigResourceResponse) {
  freeNs0LogConfigResourceResponseType(_logConfigResourceResponse);
  free(_logConfigResourceResponse);
}

/**
 * Reads a LogConfigResourceResponse element from XML. The element to be read is "log-config", and
 * it is assumed that the reader is pointing to that element.
 *
 * @param reader The XML reader.
 * @return The LogConfigResourceResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_logConfigResourceResponse *xmlTextReaderReadNs0Log_configElement(xmlTextReaderPtr reader) {
  struct nexus_rest_api_ns0_logConfigResourceResponse *_logConfigResourceResponse = NULL;

  if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
    && xmlStrcmp(BAD_CAST "log-config", xmlTextReaderConstLocalName(reader)) == 0
    && xmlTextReaderConstNamespaceUri(reader) == NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Attempting to read root element {}log-config.\n");
#endif
    _logConfigResourceResponse = xmlTextReaderReadNs0LogConfigResourceResponseType(reader);
  }
#if DEBUG_ENUNCIATE
  if (_logConfigResourceResponse == NULL) {
    if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
      printf("attempt to read {}log-config failed. current element: {}%s\n",  xmlTextReaderConstLocalName(reader));
    }
    else {
      printf("attempt to read {}log-config failed. current element: {%s}%s\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
    }
  }
#endif

  return _logConfigResourceResponse;
}

/**
 * Writes a LogConfigResourceResponse to XML under element name "log-config".
 * Does NOT write the namespace prefixes.
 *
 * @param writer The XML writer.
 * @param _logConfigResourceResponse The LogConfigResourceResponse to write.
 * @return 1 if successful, 0 otherwise.
 */
static int xmlTextWriterWriteNs0Log_configElement(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_logConfigResourceResponse *_logConfigResourceResponse) {
  return xmlTextWriterWriteNs0Log_configElementNS(writer, _logConfigResourceResponse, 0);
}

/**
 * Writes a LogConfigResourceResponse to XML under element name "log-config".
 *
 * @param writer The XML writer.
 * @param _logConfigResourceResponse The LogConfigResourceResponse to write.
 * @param writeNamespaces Whether to write the namespace prefixes.
 * @return 1 if successful, 0 otherwise.
 */
static int xmlTextWriterWriteNs0Log_configElementNS(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_logConfigResourceResponse *_logConfigResourceResponse, int writeNamespaces) {
  int totalBytes = 0;
  int status;

  status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "log-config", NULL);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to write start element {}log-config. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

#if DEBUG_ENUNCIATE > 1
  printf("writing type {}logConfigResourceResponse for root element {}log-config...\n");
#endif
  status = xmlTextWriterWriteNs0LogConfigResourceResponseType(writer, _logConfigResourceResponse);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to write type for start element {}log-config. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

  status = xmlTextWriterEndElement(writer);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to end element {}log-config. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

  return totalBytes;
}

/**
 * Frees the children of a LogConfigResourceResponse.
 *
 * @param _logConfigResourceResponse The LogConfigResourceResponse whose children are to be free.
 */
static void freeNs0Log_configElement(struct nexus_rest_api_ns0_logConfigResourceResponse *_logConfigResourceResponse) {
  freeNs0LogConfigResourceResponseType(_logConfigResourceResponse);
}

/**
 * Reads a LogConfigResourceResponse from XML. The reader is assumed to be at the start element.
 *
 * @return the LogConfigResourceResponse, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_logConfigResourceResponse *xmlTextReaderReadNs0LogConfigResourceResponseType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct nexus_rest_api_ns0_logConfigResourceResponse *_logConfigResourceResponse = calloc(1, sizeof(struct nexus_rest_api_ns0_logConfigResourceResponse));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0LogConfigResourceResponseType(_logConfigResourceResponse);
        free(_logConfigResourceResponse);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "data", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}data of type {}log-config-resource.\n");
#endif
        _child_accessor = xmlTextReaderReadNs0Log_config_resourceType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}data of type {}log-config-resource.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0LogConfigResourceResponseType(_logConfigResourceResponse);
          free(_logConfigResourceResponse);
          return NULL;
        }

        _logConfigResourceResponse->data = ((struct nexus_rest_api_ns0_log_config_resource*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}logConfigResourceResponse.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}logConfigResourceResponse. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _logConfigResourceResponse;
}

/**
 * Writes a LogConfigResourceResponse to XML.
 *
 * @param writer The XML writer.
 * @param _logConfigResourceResponse The LogConfigResourceResponse to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0LogConfigResourceResponseType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_logConfigResourceResponse *_logConfigResourceResponse) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;
  if (_logConfigResourceResponse->data != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "data", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {}log-config-resource for element {}data...\n", status);
#endif
    status = xmlTextWriterWriteNs0Log_config_resourceType(writer, (_logConfigResourceResponse->data));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {}log-config-resource for element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a LogConfigResourceResponse.
 *
 * @param _logConfigResourceResponse The LogConfigResourceResponse to free.
 */
static void freeNs0LogConfigResourceResponseType(struct nexus_rest_api_ns0_logConfigResourceResponse *_logConfigResourceResponse) {
  int i;
  if (_logConfigResourceResponse->data != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor data of type nexus_rest_api_ns0_logConfigResourceResponse...\n");
#endif
    freeNs0Log_config_resourceType(_logConfigResourceResponse->data);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor data of type nexus_rest_api_ns0_logConfigResourceResponse...\n");
#endif
    free(_logConfigResourceResponse->data);
  }
}
#endif /* DEF_nexus_rest_api_ns0_logConfigResourceResponse_M */
#ifndef DEF_nexus_rest_api_ns0_logs_list_resource_M
#define DEF_nexus_rest_api_ns0_logs_list_resource_M

/**
 * Reads a LogsListResource from XML. The reader is assumed to be at the start element.
 *
 * @return the LogsListResource, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_logs_list_resource *xmlTextReaderReadNs0Logs_list_resourceType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct nexus_rest_api_ns0_logs_list_resource *_logsListResource = calloc(1, sizeof(struct nexus_rest_api_ns0_logs_list_resource));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0Logs_list_resourceType(_logsListResource);
        free(_logsListResource);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "resourceURI", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}resourceURI of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}resourceURI of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Logs_list_resourceType(_logsListResource);
          free(_logsListResource);
          return NULL;
        }

        _logsListResource->resourceURI = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "name", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}name of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}name of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Logs_list_resourceType(_logsListResource);
          free(_logsListResource);
          return NULL;
        }

        _logsListResource->name = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "size", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}size of type {http://www.w3.org/2001/XMLSchema}long.\n");
#endif
        _child_accessor = xmlTextReaderReadXsLongType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}size of type {http://www.w3.org/2001/XMLSchema}long.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Logs_list_resourceType(_logsListResource);
          free(_logsListResource);
          return NULL;
        }

        _logsListResource->size = *((long*)_child_accessor);
        free(_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "mimeType", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}mimeType of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}mimeType of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Logs_list_resourceType(_logsListResource);
          free(_logsListResource);
          return NULL;
        }

        _logsListResource->mimeType = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}logs-list-resource.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}logs-list-resource. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _logsListResource;
}

/**
 * Writes a LogsListResource to XML.
 *
 * @param writer The XML writer.
 * @param _logsListResource The LogsListResource to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0Logs_list_resourceType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_logs_list_resource *_logsListResource) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;
  if (_logsListResource->resourceURI != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "resourceURI", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}resourceURI. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}resourceURI...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_logsListResource->resourceURI));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}resourceURI. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}resourceURI. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_logsListResource->name != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "name", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}name. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}name...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_logsListResource->name));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}name. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}name. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (1) { //always write the primitive element.
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "size", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}size. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}long for element {}size...\n", status);
#endif
    status = xmlTextWriterWriteXsLongType(writer, &(_logsListResource->size));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}long for element {}size. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}size. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_logsListResource->mimeType != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "mimeType", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}mimeType. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}mimeType...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_logsListResource->mimeType));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}mimeType. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}mimeType. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a LogsListResource.
 *
 * @param _logsListResource The LogsListResource to free.
 */
static void freeNs0Logs_list_resourceType(struct nexus_rest_api_ns0_logs_list_resource *_logsListResource) {
  int i;
  if (_logsListResource->resourceURI != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor resourceURI of type nexus_rest_api_ns0_logs_list_resource...\n");
#endif
    freeXsStringType(_logsListResource->resourceURI);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor resourceURI of type nexus_rest_api_ns0_logs_list_resource...\n");
#endif
    free(_logsListResource->resourceURI);
  }
  if (_logsListResource->name != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor name of type nexus_rest_api_ns0_logs_list_resource...\n");
#endif
    freeXsStringType(_logsListResource->name);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor name of type nexus_rest_api_ns0_logs_list_resource...\n");
#endif
    free(_logsListResource->name);
  }
  if (_logsListResource->mimeType != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor mimeType of type nexus_rest_api_ns0_logs_list_resource...\n");
#endif
    freeXsStringType(_logsListResource->mimeType);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor mimeType of type nexus_rest_api_ns0_logs_list_resource...\n");
#endif
    free(_logsListResource->mimeType);
  }
}
#endif /* DEF_nexus_rest_api_ns0_logs_list_resource_M */
#ifndef DEF_nexus_rest_api_ns0_logsListResourceResponse_M
#define DEF_nexus_rest_api_ns0_logsListResourceResponse_M

/**
 * Reads a LogsListResourceResponse element from XML. The element to be read is "logs-list", and
 * it is assumed that the reader is pointing to the XML document (not the element).
 *
 * @param reader The XML reader.
 * @return The LogsListResourceResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_logsListResourceResponse *xml_read_nexus_rest_api_ns0_logsListResourceResponse(xmlTextReaderPtr reader) {
  int status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
  return xmlTextReaderReadNs0Logs_listElement(reader);
}

/**
 * Writes a LogsListResourceResponse to XML under element name "logs-list".
 *
 * @param writer The XML writer.
 * @param _logsListResourceResponse The LogsListResourceResponse to write.
 * @return 1 if successful, 0 otherwise.
 */
int xml_write_nexus_rest_api_ns0_logsListResourceResponse(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_logsListResourceResponse *_logsListResourceResponse) {
  return xmlTextWriterWriteNs0Logs_listElementNS(writer, _logsListResourceResponse, 1);
}

/**
 * Frees a LogsListResourceResponse.
 *
 * @param _logsListResourceResponse The LogsListResourceResponse to free.
 */
void free_nexus_rest_api_ns0_logsListResourceResponse(struct nexus_rest_api_ns0_logsListResourceResponse *_logsListResourceResponse) {
  freeNs0LogsListResourceResponseType(_logsListResourceResponse);
  free(_logsListResourceResponse);
}

/**
 * Reads a LogsListResourceResponse element from XML. The element to be read is "logs-list", and
 * it is assumed that the reader is pointing to that element.
 *
 * @param reader The XML reader.
 * @return The LogsListResourceResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_logsListResourceResponse *xmlTextReaderReadNs0Logs_listElement(xmlTextReaderPtr reader) {
  struct nexus_rest_api_ns0_logsListResourceResponse *_logsListResourceResponse = NULL;

  if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
    && xmlStrcmp(BAD_CAST "logs-list", xmlTextReaderConstLocalName(reader)) == 0
    && xmlTextReaderConstNamespaceUri(reader) == NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Attempting to read root element {}logs-list.\n");
#endif
    _logsListResourceResponse = xmlTextReaderReadNs0LogsListResourceResponseType(reader);
  }
#if DEBUG_ENUNCIATE
  if (_logsListResourceResponse == NULL) {
    if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
      printf("attempt to read {}logs-list failed. current element: {}%s\n",  xmlTextReaderConstLocalName(reader));
    }
    else {
      printf("attempt to read {}logs-list failed. current element: {%s}%s\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
    }
  }
#endif

  return _logsListResourceResponse;
}

/**
 * Writes a LogsListResourceResponse to XML under element name "logs-list".
 * Does NOT write the namespace prefixes.
 *
 * @param writer The XML writer.
 * @param _logsListResourceResponse The LogsListResourceResponse to write.
 * @return 1 if successful, 0 otherwise.
 */
static int xmlTextWriterWriteNs0Logs_listElement(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_logsListResourceResponse *_logsListResourceResponse) {
  return xmlTextWriterWriteNs0Logs_listElementNS(writer, _logsListResourceResponse, 0);
}

/**
 * Writes a LogsListResourceResponse to XML under element name "logs-list".
 *
 * @param writer The XML writer.
 * @param _logsListResourceResponse The LogsListResourceResponse to write.
 * @param writeNamespaces Whether to write the namespace prefixes.
 * @return 1 if successful, 0 otherwise.
 */
static int xmlTextWriterWriteNs0Logs_listElementNS(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_logsListResourceResponse *_logsListResourceResponse, int writeNamespaces) {
  int totalBytes = 0;
  int status;

  status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "logs-list", NULL);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to write start element {}logs-list. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

#if DEBUG_ENUNCIATE > 1
  printf("writing type {}logsListResourceResponse for root element {}logs-list...\n");
#endif
  status = xmlTextWriterWriteNs0LogsListResourceResponseType(writer, _logsListResourceResponse);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to write type for start element {}logs-list. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

  status = xmlTextWriterEndElement(writer);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to end element {}logs-list. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

  return totalBytes;
}

/**
 * Frees the children of a LogsListResourceResponse.
 *
 * @param _logsListResourceResponse The LogsListResourceResponse whose children are to be free.
 */
static void freeNs0Logs_listElement(struct nexus_rest_api_ns0_logsListResourceResponse *_logsListResourceResponse) {
  freeNs0LogsListResourceResponseType(_logsListResourceResponse);
}

/**
 * Reads a LogsListResourceResponse from XML. The reader is assumed to be at the start element.
 *
 * @return the LogsListResourceResponse, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_logsListResourceResponse *xmlTextReaderReadNs0LogsListResourceResponseType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct nexus_rest_api_ns0_logsListResourceResponse *_logsListResourceResponse = calloc(1, sizeof(struct nexus_rest_api_ns0_logsListResourceResponse));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0LogsListResourceResponseType(_logsListResourceResponse);
        free(_logsListResourceResponse);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "data", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

        if (xmlTextReaderIsEmptyElement(reader) == 0) {
#if DEBUG_ENUNCIATE > 1
          printf("Unwrapping wrapper element {}data...\n");
#endif
          //start wrapper element "{}data"
          status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
          while (xmlTextReaderDepth(reader) > (depth + 1)) {
            if (status < 1) {
              //panic: XML read error.
#if DEBUG_ENUNCIATE
              printf("Failure to advance to next child element.\n");
#endif
              freeNs0LogsListResourceResponseType(_logsListResourceResponse);
              free(_logsListResourceResponse);
              return NULL;
            }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "logs-list-item", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}logs-list-item of type {}logs-list-resource.\n");
#endif
        _child_accessor = xmlTextReaderReadNs0Logs_list_resourceType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}logs-list-item of type {}logs-list-resource.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0LogsListResourceResponseType(_logsListResourceResponse);
          free(_logsListResourceResponse);
          return NULL;
        }

        _logsListResourceResponse->data = realloc(_logsListResourceResponse->data, (_logsListResourceResponse->_sizeof_data + 1) * sizeof(struct nexus_rest_api_ns0_logs_list_resource));
        memcpy(&(_logsListResourceResponse->data[_logsListResourceResponse->_sizeof_data++]), _child_accessor, sizeof(struct nexus_rest_api_ns0_logs_list_resource));
        free(_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
          } // end "while in wrapper element" loop
        } //end "if empty element" clause

        if (status < 1) {
          //panic: XML read error.
#if DEBUG_ENUNCIATE
          printf("Failed to advance to end wrapper element {}data.\n");
#endif
          freeNs0LogsListResourceResponseType(_logsListResourceResponse);
          free(_logsListResourceResponse);
          return NULL;
        }
        else {
          //end wrapper element "{}data"
          status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
        }
      } // end "if wrapper element" clause
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}logsListResourceResponse.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}logsListResourceResponse. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _logsListResourceResponse;
}

/**
 * Writes a LogsListResourceResponse to XML.
 *
 * @param writer The XML writer.
 * @param _logsListResourceResponse The LogsListResourceResponse to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0LogsListResourceResponseType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_logsListResourceResponse *_logsListResourceResponse) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;

  if (_logsListResourceResponse->data != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "data", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  for (i = 0; i < _logsListResourceResponse->_sizeof_data; i++) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "logs-list-item", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}logs-list-item. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {}logs-list-resource for element {}logs-list-item...\n", status);
#endif
    status = xmlTextWriterWriteNs0Logs_list_resourceType(writer, &(_logsListResourceResponse->data[i]));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {}logs-list-resource for element {}logs-list-item. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}logs-list-item. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  if (_logsListResourceResponse->data != NULL) {
    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a LogsListResourceResponse.
 *
 * @param _logsListResourceResponse The LogsListResourceResponse to free.
 */
static void freeNs0LogsListResourceResponseType(struct nexus_rest_api_ns0_logsListResourceResponse *_logsListResourceResponse) {
  int i;
  if (_logsListResourceResponse->data != NULL) {
    for (i = 0; i < _logsListResourceResponse->_sizeof_data; i++) {
#if DEBUG_ENUNCIATE > 1
      printf("Freeing accessor data[%i] of type nexus_rest_api_ns0_logsListResourceResponse...\n", i);
#endif
      freeNs0Logs_list_resourceType(&(_logsListResourceResponse->data[i]));
    }
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor data of type nexus_rest_api_ns0_logsListResourceResponse...\n");
#endif
    free(_logsListResourceResponse->data);
  }
}
#endif /* DEF_nexus_rest_api_ns0_logsListResourceResponse_M */
#ifndef DEF_nexus_rest_api_ns0_mirror_resource_M
#define DEF_nexus_rest_api_ns0_mirror_resource_M

/**
 * Reads a MirrorResource from XML. The reader is assumed to be at the start element.
 *
 * @return the MirrorResource, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_mirror_resource *xmlTextReaderReadNs0Mirror_resourceType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct nexus_rest_api_ns0_mirror_resource *_mirrorResource = calloc(1, sizeof(struct nexus_rest_api_ns0_mirror_resource));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0Mirror_resourceType(_mirrorResource);
        free(_mirrorResource);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "id", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}id of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}id of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Mirror_resourceType(_mirrorResource);
          free(_mirrorResource);
          return NULL;
        }

        _mirrorResource->id = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "url", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}url of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}url of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Mirror_resourceType(_mirrorResource);
          free(_mirrorResource);
          return NULL;
        }

        _mirrorResource->url = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}mirror-resource.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}mirror-resource. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _mirrorResource;
}

/**
 * Writes a MirrorResource to XML.
 *
 * @param writer The XML writer.
 * @param _mirrorResource The MirrorResource to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0Mirror_resourceType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_mirror_resource *_mirrorResource) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;
  if (_mirrorResource->id != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "id", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}id. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}id...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_mirrorResource->id));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}id. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}id. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_mirrorResource->url != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "url", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}url. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}url...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_mirrorResource->url));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}url. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}url. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a MirrorResource.
 *
 * @param _mirrorResource The MirrorResource to free.
 */
static void freeNs0Mirror_resourceType(struct nexus_rest_api_ns0_mirror_resource *_mirrorResource) {
  int i;
  if (_mirrorResource->id != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor id of type nexus_rest_api_ns0_mirror_resource...\n");
#endif
    freeXsStringType(_mirrorResource->id);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor id of type nexus_rest_api_ns0_mirror_resource...\n");
#endif
    free(_mirrorResource->id);
  }
  if (_mirrorResource->url != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor url of type nexus_rest_api_ns0_mirror_resource...\n");
#endif
    freeXsStringType(_mirrorResource->url);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor url of type nexus_rest_api_ns0_mirror_resource...\n");
#endif
    free(_mirrorResource->url);
  }
}
#endif /* DEF_nexus_rest_api_ns0_mirror_resource_M */
#ifndef DEF_nexus_rest_api_ns0_mirrorResourceListRequest_M
#define DEF_nexus_rest_api_ns0_mirrorResourceListRequest_M

/**
 * Reads a MirrorResourceListRequest element from XML. The element to be read is "mirror-list-request", and
 * it is assumed that the reader is pointing to the XML document (not the element).
 *
 * @param reader The XML reader.
 * @return The MirrorResourceListRequest, or NULL in case of error.
 */
struct nexus_rest_api_ns0_mirrorResourceListRequest *xml_read_nexus_rest_api_ns0_mirrorResourceListRequest(xmlTextReaderPtr reader) {
  int status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
  return xmlTextReaderReadNs0Mirror_list_requestElement(reader);
}

/**
 * Writes a MirrorResourceListRequest to XML under element name "mirror-list-request".
 *
 * @param writer The XML writer.
 * @param _mirrorResourceListRequest The MirrorResourceListRequest to write.
 * @return 1 if successful, 0 otherwise.
 */
int xml_write_nexus_rest_api_ns0_mirrorResourceListRequest(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_mirrorResourceListRequest *_mirrorResourceListRequest) {
  return xmlTextWriterWriteNs0Mirror_list_requestElementNS(writer, _mirrorResourceListRequest, 1);
}

/**
 * Frees a MirrorResourceListRequest.
 *
 * @param _mirrorResourceListRequest The MirrorResourceListRequest to free.
 */
void free_nexus_rest_api_ns0_mirrorResourceListRequest(struct nexus_rest_api_ns0_mirrorResourceListRequest *_mirrorResourceListRequest) {
  freeNs0MirrorResourceListRequestType(_mirrorResourceListRequest);
  free(_mirrorResourceListRequest);
}

/**
 * Reads a MirrorResourceListRequest element from XML. The element to be read is "mirror-list-request", and
 * it is assumed that the reader is pointing to that element.
 *
 * @param reader The XML reader.
 * @return The MirrorResourceListRequest, or NULL in case of error.
 */
struct nexus_rest_api_ns0_mirrorResourceListRequest *xmlTextReaderReadNs0Mirror_list_requestElement(xmlTextReaderPtr reader) {
  struct nexus_rest_api_ns0_mirrorResourceListRequest *_mirrorResourceListRequest = NULL;

  if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
    && xmlStrcmp(BAD_CAST "mirror-list-request", xmlTextReaderConstLocalName(reader)) == 0
    && xmlTextReaderConstNamespaceUri(reader) == NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Attempting to read root element {}mirror-list-request.\n");
#endif
    _mirrorResourceListRequest = xmlTextReaderReadNs0MirrorResourceListRequestType(reader);
  }
#if DEBUG_ENUNCIATE
  if (_mirrorResourceListRequest == NULL) {
    if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
      printf("attempt to read {}mirror-list-request failed. current element: {}%s\n",  xmlTextReaderConstLocalName(reader));
    }
    else {
      printf("attempt to read {}mirror-list-request failed. current element: {%s}%s\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
    }
  }
#endif

  return _mirrorResourceListRequest;
}

/**
 * Writes a MirrorResourceListRequest to XML under element name "mirror-list-request".
 * Does NOT write the namespace prefixes.
 *
 * @param writer The XML writer.
 * @param _mirrorResourceListRequest The MirrorResourceListRequest to write.
 * @return 1 if successful, 0 otherwise.
 */
static int xmlTextWriterWriteNs0Mirror_list_requestElement(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_mirrorResourceListRequest *_mirrorResourceListRequest) {
  return xmlTextWriterWriteNs0Mirror_list_requestElementNS(writer, _mirrorResourceListRequest, 0);
}

/**
 * Writes a MirrorResourceListRequest to XML under element name "mirror-list-request".
 *
 * @param writer The XML writer.
 * @param _mirrorResourceListRequest The MirrorResourceListRequest to write.
 * @param writeNamespaces Whether to write the namespace prefixes.
 * @return 1 if successful, 0 otherwise.
 */
static int xmlTextWriterWriteNs0Mirror_list_requestElementNS(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_mirrorResourceListRequest *_mirrorResourceListRequest, int writeNamespaces) {
  int totalBytes = 0;
  int status;

  status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "mirror-list-request", NULL);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to write start element {}mirror-list-request. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

#if DEBUG_ENUNCIATE > 1
  printf("writing type {}mirrorResourceListRequest for root element {}mirror-list-request...\n");
#endif
  status = xmlTextWriterWriteNs0MirrorResourceListRequestType(writer, _mirrorResourceListRequest);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to write type for start element {}mirror-list-request. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

  status = xmlTextWriterEndElement(writer);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to end element {}mirror-list-request. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

  return totalBytes;
}

/**
 * Frees the children of a MirrorResourceListRequest.
 *
 * @param _mirrorResourceListRequest The MirrorResourceListRequest whose children are to be free.
 */
static void freeNs0Mirror_list_requestElement(struct nexus_rest_api_ns0_mirrorResourceListRequest *_mirrorResourceListRequest) {
  freeNs0MirrorResourceListRequestType(_mirrorResourceListRequest);
}

/**
 * Reads a MirrorResourceListRequest from XML. The reader is assumed to be at the start element.
 *
 * @return the MirrorResourceListRequest, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_mirrorResourceListRequest *xmlTextReaderReadNs0MirrorResourceListRequestType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct nexus_rest_api_ns0_mirrorResourceListRequest *_mirrorResourceListRequest = calloc(1, sizeof(struct nexus_rest_api_ns0_mirrorResourceListRequest));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0MirrorResourceListRequestType(_mirrorResourceListRequest);
        free(_mirrorResourceListRequest);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "data", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

        if (xmlTextReaderIsEmptyElement(reader) == 0) {
#if DEBUG_ENUNCIATE > 1
          printf("Unwrapping wrapper element {}data...\n");
#endif
          //start wrapper element "{}data"
          status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
          while (xmlTextReaderDepth(reader) > (depth + 1)) {
            if (status < 1) {
              //panic: XML read error.
#if DEBUG_ENUNCIATE
              printf("Failure to advance to next child element.\n");
#endif
              freeNs0MirrorResourceListRequestType(_mirrorResourceListRequest);
              free(_mirrorResourceListRequest);
              return NULL;
            }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "mirrorResource", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}mirrorResource of type {}mirror-resource.\n");
#endif
        _child_accessor = xmlTextReaderReadNs0Mirror_resourceType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}mirrorResource of type {}mirror-resource.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0MirrorResourceListRequestType(_mirrorResourceListRequest);
          free(_mirrorResourceListRequest);
          return NULL;
        }

        _mirrorResourceListRequest->data = realloc(_mirrorResourceListRequest->data, (_mirrorResourceListRequest->_sizeof_data + 1) * sizeof(struct nexus_rest_api_ns0_mirror_resource));
        memcpy(&(_mirrorResourceListRequest->data[_mirrorResourceListRequest->_sizeof_data++]), _child_accessor, sizeof(struct nexus_rest_api_ns0_mirror_resource));
        free(_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
          } // end "while in wrapper element" loop
        } //end "if empty element" clause

        if (status < 1) {
          //panic: XML read error.
#if DEBUG_ENUNCIATE
          printf("Failed to advance to end wrapper element {}data.\n");
#endif
          freeNs0MirrorResourceListRequestType(_mirrorResourceListRequest);
          free(_mirrorResourceListRequest);
          return NULL;
        }
        else {
          //end wrapper element "{}data"
          status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
        }
      } // end "if wrapper element" clause
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}mirrorResourceListRequest.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}mirrorResourceListRequest. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _mirrorResourceListRequest;
}

/**
 * Writes a MirrorResourceListRequest to XML.
 *
 * @param writer The XML writer.
 * @param _mirrorResourceListRequest The MirrorResourceListRequest to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0MirrorResourceListRequestType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_mirrorResourceListRequest *_mirrorResourceListRequest) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;

  if (_mirrorResourceListRequest->data != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "data", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  for (i = 0; i < _mirrorResourceListRequest->_sizeof_data; i++) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "mirrorResource", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}mirrorResource. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {}mirror-resource for element {}mirrorResource...\n", status);
#endif
    status = xmlTextWriterWriteNs0Mirror_resourceType(writer, &(_mirrorResourceListRequest->data[i]));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {}mirror-resource for element {}mirrorResource. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}mirrorResource. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  if (_mirrorResourceListRequest->data != NULL) {
    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a MirrorResourceListRequest.
 *
 * @param _mirrorResourceListRequest The MirrorResourceListRequest to free.
 */
static void freeNs0MirrorResourceListRequestType(struct nexus_rest_api_ns0_mirrorResourceListRequest *_mirrorResourceListRequest) {
  int i;
  if (_mirrorResourceListRequest->data != NULL) {
    for (i = 0; i < _mirrorResourceListRequest->_sizeof_data; i++) {
#if DEBUG_ENUNCIATE > 1
      printf("Freeing accessor data[%i] of type nexus_rest_api_ns0_mirrorResourceListRequest...\n", i);
#endif
      freeNs0Mirror_resourceType(&(_mirrorResourceListRequest->data[i]));
    }
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor data of type nexus_rest_api_ns0_mirrorResourceListRequest...\n");
#endif
    free(_mirrorResourceListRequest->data);
  }
}
#endif /* DEF_nexus_rest_api_ns0_mirrorResourceListRequest_M */
#ifndef DEF_nexus_rest_api_ns0_mirrorResourceListResponse_M
#define DEF_nexus_rest_api_ns0_mirrorResourceListResponse_M

/**
 * Reads a MirrorResourceListResponse element from XML. The element to be read is "mirror-list-response", and
 * it is assumed that the reader is pointing to the XML document (not the element).
 *
 * @param reader The XML reader.
 * @return The MirrorResourceListResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_mirrorResourceListResponse *xml_read_nexus_rest_api_ns0_mirrorResourceListResponse(xmlTextReaderPtr reader) {
  int status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
  return xmlTextReaderReadNs0Mirror_list_responseElement(reader);
}

/**
 * Writes a MirrorResourceListResponse to XML under element name "mirror-list-response".
 *
 * @param writer The XML writer.
 * @param _mirrorResourceListResponse The MirrorResourceListResponse to write.
 * @return 1 if successful, 0 otherwise.
 */
int xml_write_nexus_rest_api_ns0_mirrorResourceListResponse(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_mirrorResourceListResponse *_mirrorResourceListResponse) {
  return xmlTextWriterWriteNs0Mirror_list_responseElementNS(writer, _mirrorResourceListResponse, 1);
}

/**
 * Frees a MirrorResourceListResponse.
 *
 * @param _mirrorResourceListResponse The MirrorResourceListResponse to free.
 */
void free_nexus_rest_api_ns0_mirrorResourceListResponse(struct nexus_rest_api_ns0_mirrorResourceListResponse *_mirrorResourceListResponse) {
  freeNs0MirrorResourceListResponseType(_mirrorResourceListResponse);
  free(_mirrorResourceListResponse);
}

/**
 * Reads a MirrorResourceListResponse element from XML. The element to be read is "mirror-list-response", and
 * it is assumed that the reader is pointing to that element.
 *
 * @param reader The XML reader.
 * @return The MirrorResourceListResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_mirrorResourceListResponse *xmlTextReaderReadNs0Mirror_list_responseElement(xmlTextReaderPtr reader) {
  struct nexus_rest_api_ns0_mirrorResourceListResponse *_mirrorResourceListResponse = NULL;

  if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
    && xmlStrcmp(BAD_CAST "mirror-list-response", xmlTextReaderConstLocalName(reader)) == 0
    && xmlTextReaderConstNamespaceUri(reader) == NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Attempting to read root element {}mirror-list-response.\n");
#endif
    _mirrorResourceListResponse = xmlTextReaderReadNs0MirrorResourceListResponseType(reader);
  }
#if DEBUG_ENUNCIATE
  if (_mirrorResourceListResponse == NULL) {
    if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
      printf("attempt to read {}mirror-list-response failed. current element: {}%s\n",  xmlTextReaderConstLocalName(reader));
    }
    else {
      printf("attempt to read {}mirror-list-response failed. current element: {%s}%s\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
    }
  }
#endif

  return _mirrorResourceListResponse;
}

/**
 * Writes a MirrorResourceListResponse to XML under element name "mirror-list-response".
 * Does NOT write the namespace prefixes.
 *
 * @param writer The XML writer.
 * @param _mirrorResourceListResponse The MirrorResourceListResponse to write.
 * @return 1 if successful, 0 otherwise.
 */
static int xmlTextWriterWriteNs0Mirror_list_responseElement(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_mirrorResourceListResponse *_mirrorResourceListResponse) {
  return xmlTextWriterWriteNs0Mirror_list_responseElementNS(writer, _mirrorResourceListResponse, 0);
}

/**
 * Writes a MirrorResourceListResponse to XML under element name "mirror-list-response".
 *
 * @param writer The XML writer.
 * @param _mirrorResourceListResponse The MirrorResourceListResponse to write.
 * @param writeNamespaces Whether to write the namespace prefixes.
 * @return 1 if successful, 0 otherwise.
 */
static int xmlTextWriterWriteNs0Mirror_list_responseElementNS(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_mirrorResourceListResponse *_mirrorResourceListResponse, int writeNamespaces) {
  int totalBytes = 0;
  int status;

  status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "mirror-list-response", NULL);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to write start element {}mirror-list-response. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

#if DEBUG_ENUNCIATE > 1
  printf("writing type {}mirrorResourceListResponse for root element {}mirror-list-response...\n");
#endif
  status = xmlTextWriterWriteNs0MirrorResourceListResponseType(writer, _mirrorResourceListResponse);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to write type for start element {}mirror-list-response. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

  status = xmlTextWriterEndElement(writer);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to end element {}mirror-list-response. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

  return totalBytes;
}

/**
 * Frees the children of a MirrorResourceListResponse.
 *
 * @param _mirrorResourceListResponse The MirrorResourceListResponse whose children are to be free.
 */
static void freeNs0Mirror_list_responseElement(struct nexus_rest_api_ns0_mirrorResourceListResponse *_mirrorResourceListResponse) {
  freeNs0MirrorResourceListResponseType(_mirrorResourceListResponse);
}

/**
 * Reads a MirrorResourceListResponse from XML. The reader is assumed to be at the start element.
 *
 * @return the MirrorResourceListResponse, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_mirrorResourceListResponse *xmlTextReaderReadNs0MirrorResourceListResponseType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct nexus_rest_api_ns0_mirrorResourceListResponse *_mirrorResourceListResponse = calloc(1, sizeof(struct nexus_rest_api_ns0_mirrorResourceListResponse));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0MirrorResourceListResponseType(_mirrorResourceListResponse);
        free(_mirrorResourceListResponse);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "data", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

        if (xmlTextReaderIsEmptyElement(reader) == 0) {
#if DEBUG_ENUNCIATE > 1
          printf("Unwrapping wrapper element {}data...\n");
#endif
          //start wrapper element "{}data"
          status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
          while (xmlTextReaderDepth(reader) > (depth + 1)) {
            if (status < 1) {
              //panic: XML read error.
#if DEBUG_ENUNCIATE
              printf("Failure to advance to next child element.\n");
#endif
              freeNs0MirrorResourceListResponseType(_mirrorResourceListResponse);
              free(_mirrorResourceListResponse);
              return NULL;
            }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "mirrorResource", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}mirrorResource of type {}mirror-resource.\n");
#endif
        _child_accessor = xmlTextReaderReadNs0Mirror_resourceType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}mirrorResource of type {}mirror-resource.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0MirrorResourceListResponseType(_mirrorResourceListResponse);
          free(_mirrorResourceListResponse);
          return NULL;
        }

        _mirrorResourceListResponse->data = realloc(_mirrorResourceListResponse->data, (_mirrorResourceListResponse->_sizeof_data + 1) * sizeof(struct nexus_rest_api_ns0_mirror_resource));
        memcpy(&(_mirrorResourceListResponse->data[_mirrorResourceListResponse->_sizeof_data++]), _child_accessor, sizeof(struct nexus_rest_api_ns0_mirror_resource));
        free(_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
          } // end "while in wrapper element" loop
        } //end "if empty element" clause

        if (status < 1) {
          //panic: XML read error.
#if DEBUG_ENUNCIATE
          printf("Failed to advance to end wrapper element {}data.\n");
#endif
          freeNs0MirrorResourceListResponseType(_mirrorResourceListResponse);
          free(_mirrorResourceListResponse);
          return NULL;
        }
        else {
          //end wrapper element "{}data"
          status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
        }
      } // end "if wrapper element" clause
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}mirrorResourceListResponse.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}mirrorResourceListResponse. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _mirrorResourceListResponse;
}

/**
 * Writes a MirrorResourceListResponse to XML.
 *
 * @param writer The XML writer.
 * @param _mirrorResourceListResponse The MirrorResourceListResponse to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0MirrorResourceListResponseType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_mirrorResourceListResponse *_mirrorResourceListResponse) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;

  if (_mirrorResourceListResponse->data != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "data", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  for (i = 0; i < _mirrorResourceListResponse->_sizeof_data; i++) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "mirrorResource", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}mirrorResource. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {}mirror-resource for element {}mirrorResource...\n", status);
#endif
    status = xmlTextWriterWriteNs0Mirror_resourceType(writer, &(_mirrorResourceListResponse->data[i]));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {}mirror-resource for element {}mirrorResource. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}mirrorResource. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  if (_mirrorResourceListResponse->data != NULL) {
    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a MirrorResourceListResponse.
 *
 * @param _mirrorResourceListResponse The MirrorResourceListResponse to free.
 */
static void freeNs0MirrorResourceListResponseType(struct nexus_rest_api_ns0_mirrorResourceListResponse *_mirrorResourceListResponse) {
  int i;
  if (_mirrorResourceListResponse->data != NULL) {
    for (i = 0; i < _mirrorResourceListResponse->_sizeof_data; i++) {
#if DEBUG_ENUNCIATE > 1
      printf("Freeing accessor data[%i] of type nexus_rest_api_ns0_mirrorResourceListResponse...\n", i);
#endif
      freeNs0Mirror_resourceType(&(_mirrorResourceListResponse->data[i]));
    }
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor data of type nexus_rest_api_ns0_mirrorResourceListResponse...\n");
#endif
    free(_mirrorResourceListResponse->data);
  }
}
#endif /* DEF_nexus_rest_api_ns0_mirrorResourceListResponse_M */
#ifndef DEF_nexus_rest_api_ns0_mirror_status_resource_M
#define DEF_nexus_rest_api_ns0_mirror_status_resource_M

/**
 * Reads a MirrorStatusResource from XML. The reader is assumed to be at the start element.
 *
 * @return the MirrorStatusResource, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_mirror_status_resource *xmlTextReaderReadNs0Mirror_status_resourceType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct nexus_rest_api_ns0_mirror_status_resource *_mirrorStatusResource = calloc(1, sizeof(struct nexus_rest_api_ns0_mirror_status_resource));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0Mirror_status_resourceType(_mirrorStatusResource);
        free(_mirrorStatusResource);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "id", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}id of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}id of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Mirror_status_resourceType(_mirrorStatusResource);
          free(_mirrorStatusResource);
          return NULL;
        }

        _mirrorStatusResource->id = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "url", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}url of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}url of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Mirror_status_resourceType(_mirrorStatusResource);
          free(_mirrorStatusResource);
          return NULL;
        }

        _mirrorStatusResource->url = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "status", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}status of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}status of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Mirror_status_resourceType(_mirrorStatusResource);
          free(_mirrorStatusResource);
          return NULL;
        }

        _mirrorStatusResource->status = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}mirror-status-resource.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}mirror-status-resource. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _mirrorStatusResource;
}

/**
 * Writes a MirrorStatusResource to XML.
 *
 * @param writer The XML writer.
 * @param _mirrorStatusResource The MirrorStatusResource to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0Mirror_status_resourceType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_mirror_status_resource *_mirrorStatusResource) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;
  if (_mirrorStatusResource->id != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "id", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}id. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}id...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_mirrorStatusResource->id));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}id. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}id. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_mirrorStatusResource->url != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "url", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}url. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}url...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_mirrorStatusResource->url));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}url. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}url. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_mirrorStatusResource->status != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "status", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}status. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}status...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_mirrorStatusResource->status));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}status. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}status. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a MirrorStatusResource.
 *
 * @param _mirrorStatusResource The MirrorStatusResource to free.
 */
static void freeNs0Mirror_status_resourceType(struct nexus_rest_api_ns0_mirror_status_resource *_mirrorStatusResource) {
  int i;
  if (_mirrorStatusResource->id != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor id of type nexus_rest_api_ns0_mirror_status_resource...\n");
#endif
    freeXsStringType(_mirrorStatusResource->id);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor id of type nexus_rest_api_ns0_mirror_status_resource...\n");
#endif
    free(_mirrorStatusResource->id);
  }
  if (_mirrorStatusResource->url != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor url of type nexus_rest_api_ns0_mirror_status_resource...\n");
#endif
    freeXsStringType(_mirrorStatusResource->url);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor url of type nexus_rest_api_ns0_mirror_status_resource...\n");
#endif
    free(_mirrorStatusResource->url);
  }
  if (_mirrorStatusResource->status != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor status of type nexus_rest_api_ns0_mirror_status_resource...\n");
#endif
    freeXsStringType(_mirrorStatusResource->status);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor status of type nexus_rest_api_ns0_mirror_status_resource...\n");
#endif
    free(_mirrorStatusResource->status);
  }
}
#endif /* DEF_nexus_rest_api_ns0_mirror_status_resource_M */
#ifndef DEF_nexus_rest_api_ns0_mirrorStatusResourceListResponse_M
#define DEF_nexus_rest_api_ns0_mirrorStatusResourceListResponse_M

/**
 * Reads a MirrorStatusResourceListResponse element from XML. The element to be read is "mirror-status-list-response", and
 * it is assumed that the reader is pointing to the XML document (not the element).
 *
 * @param reader The XML reader.
 * @return The MirrorStatusResourceListResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_mirrorStatusResourceListResponse *xml_read_nexus_rest_api_ns0_mirrorStatusResourceListResponse(xmlTextReaderPtr reader) {
  int status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
  return xmlTextReaderReadNs0Mirror_status_list_responseElement(reader);
}

/**
 * Writes a MirrorStatusResourceListResponse to XML under element name "mirror-status-list-response".
 *
 * @param writer The XML writer.
 * @param _mirrorStatusResourceListResponse The MirrorStatusResourceListResponse to write.
 * @return 1 if successful, 0 otherwise.
 */
int xml_write_nexus_rest_api_ns0_mirrorStatusResourceListResponse(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_mirrorStatusResourceListResponse *_mirrorStatusResourceListResponse) {
  return xmlTextWriterWriteNs0Mirror_status_list_responseElementNS(writer, _mirrorStatusResourceListResponse, 1);
}

/**
 * Frees a MirrorStatusResourceListResponse.
 *
 * @param _mirrorStatusResourceListResponse The MirrorStatusResourceListResponse to free.
 */
void free_nexus_rest_api_ns0_mirrorStatusResourceListResponse(struct nexus_rest_api_ns0_mirrorStatusResourceListResponse *_mirrorStatusResourceListResponse) {
  freeNs0MirrorStatusResourceListResponseType(_mirrorStatusResourceListResponse);
  free(_mirrorStatusResourceListResponse);
}

/**
 * Reads a MirrorStatusResourceListResponse element from XML. The element to be read is "mirror-status-list-response", and
 * it is assumed that the reader is pointing to that element.
 *
 * @param reader The XML reader.
 * @return The MirrorStatusResourceListResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_mirrorStatusResourceListResponse *xmlTextReaderReadNs0Mirror_status_list_responseElement(xmlTextReaderPtr reader) {
  struct nexus_rest_api_ns0_mirrorStatusResourceListResponse *_mirrorStatusResourceListResponse = NULL;

  if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
    && xmlStrcmp(BAD_CAST "mirror-status-list-response", xmlTextReaderConstLocalName(reader)) == 0
    && xmlTextReaderConstNamespaceUri(reader) == NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Attempting to read root element {}mirror-status-list-response.\n");
#endif
    _mirrorStatusResourceListResponse = xmlTextReaderReadNs0MirrorStatusResourceListResponseType(reader);
  }
#if DEBUG_ENUNCIATE
  if (_mirrorStatusResourceListResponse == NULL) {
    if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
      printf("attempt to read {}mirror-status-list-response failed. current element: {}%s\n",  xmlTextReaderConstLocalName(reader));
    }
    else {
      printf("attempt to read {}mirror-status-list-response failed. current element: {%s}%s\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
    }
  }
#endif

  return _mirrorStatusResourceListResponse;
}

/**
 * Writes a MirrorStatusResourceListResponse to XML under element name "mirror-status-list-response".
 * Does NOT write the namespace prefixes.
 *
 * @param writer The XML writer.
 * @param _mirrorStatusResourceListResponse The MirrorStatusResourceListResponse to write.
 * @return 1 if successful, 0 otherwise.
 */
static int xmlTextWriterWriteNs0Mirror_status_list_responseElement(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_mirrorStatusResourceListResponse *_mirrorStatusResourceListResponse) {
  return xmlTextWriterWriteNs0Mirror_status_list_responseElementNS(writer, _mirrorStatusResourceListResponse, 0);
}

/**
 * Writes a MirrorStatusResourceListResponse to XML under element name "mirror-status-list-response".
 *
 * @param writer The XML writer.
 * @param _mirrorStatusResourceListResponse The MirrorStatusResourceListResponse to write.
 * @param writeNamespaces Whether to write the namespace prefixes.
 * @return 1 if successful, 0 otherwise.
 */
static int xmlTextWriterWriteNs0Mirror_status_list_responseElementNS(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_mirrorStatusResourceListResponse *_mirrorStatusResourceListResponse, int writeNamespaces) {
  int totalBytes = 0;
  int status;

  status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "mirror-status-list-response", NULL);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to write start element {}mirror-status-list-response. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

#if DEBUG_ENUNCIATE > 1
  printf("writing type {}mirrorStatusResourceListResponse for root element {}mirror-status-list-response...\n");
#endif
  status = xmlTextWriterWriteNs0MirrorStatusResourceListResponseType(writer, _mirrorStatusResourceListResponse);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to write type for start element {}mirror-status-list-response. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

  status = xmlTextWriterEndElement(writer);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to end element {}mirror-status-list-response. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

  return totalBytes;
}

/**
 * Frees the children of a MirrorStatusResourceListResponse.
 *
 * @param _mirrorStatusResourceListResponse The MirrorStatusResourceListResponse whose children are to be free.
 */
static void freeNs0Mirror_status_list_responseElement(struct nexus_rest_api_ns0_mirrorStatusResourceListResponse *_mirrorStatusResourceListResponse) {
  freeNs0MirrorStatusResourceListResponseType(_mirrorStatusResourceListResponse);
}

/**
 * Reads a MirrorStatusResourceListResponse from XML. The reader is assumed to be at the start element.
 *
 * @return the MirrorStatusResourceListResponse, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_mirrorStatusResourceListResponse *xmlTextReaderReadNs0MirrorStatusResourceListResponseType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct nexus_rest_api_ns0_mirrorStatusResourceListResponse *_mirrorStatusResourceListResponse = calloc(1, sizeof(struct nexus_rest_api_ns0_mirrorStatusResourceListResponse));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0MirrorStatusResourceListResponseType(_mirrorStatusResourceListResponse);
        free(_mirrorStatusResourceListResponse);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "data", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

        if (xmlTextReaderIsEmptyElement(reader) == 0) {
#if DEBUG_ENUNCIATE > 1
          printf("Unwrapping wrapper element {}data...\n");
#endif
          //start wrapper element "{}data"
          status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
          while (xmlTextReaderDepth(reader) > (depth + 1)) {
            if (status < 1) {
              //panic: XML read error.
#if DEBUG_ENUNCIATE
              printf("Failure to advance to next child element.\n");
#endif
              freeNs0MirrorStatusResourceListResponseType(_mirrorStatusResourceListResponse);
              free(_mirrorStatusResourceListResponse);
              return NULL;
            }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "mirrorResource", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}mirrorResource of type {}mirror-status-resource.\n");
#endif
        _child_accessor = xmlTextReaderReadNs0Mirror_status_resourceType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}mirrorResource of type {}mirror-status-resource.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0MirrorStatusResourceListResponseType(_mirrorStatusResourceListResponse);
          free(_mirrorStatusResourceListResponse);
          return NULL;
        }

        _mirrorStatusResourceListResponse->data = realloc(_mirrorStatusResourceListResponse->data, (_mirrorStatusResourceListResponse->_sizeof_data + 1) * sizeof(struct nexus_rest_api_ns0_mirror_status_resource));
        memcpy(&(_mirrorStatusResourceListResponse->data[_mirrorStatusResourceListResponse->_sizeof_data++]), _child_accessor, sizeof(struct nexus_rest_api_ns0_mirror_status_resource));
        free(_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
          } // end "while in wrapper element" loop
        } //end "if empty element" clause

        if (status < 1) {
          //panic: XML read error.
#if DEBUG_ENUNCIATE
          printf("Failed to advance to end wrapper element {}data.\n");
#endif
          freeNs0MirrorStatusResourceListResponseType(_mirrorStatusResourceListResponse);
          free(_mirrorStatusResourceListResponse);
          return NULL;
        }
        else {
          //end wrapper element "{}data"
          status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
        }
      } // end "if wrapper element" clause
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}mirrorStatusResourceListResponse.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}mirrorStatusResourceListResponse. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _mirrorStatusResourceListResponse;
}

/**
 * Writes a MirrorStatusResourceListResponse to XML.
 *
 * @param writer The XML writer.
 * @param _mirrorStatusResourceListResponse The MirrorStatusResourceListResponse to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0MirrorStatusResourceListResponseType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_mirrorStatusResourceListResponse *_mirrorStatusResourceListResponse) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;

  if (_mirrorStatusResourceListResponse->data != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "data", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  for (i = 0; i < _mirrorStatusResourceListResponse->_sizeof_data; i++) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "mirrorResource", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}mirrorResource. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {}mirror-status-resource for element {}mirrorResource...\n", status);
#endif
    status = xmlTextWriterWriteNs0Mirror_status_resourceType(writer, &(_mirrorStatusResourceListResponse->data[i]));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {}mirror-status-resource for element {}mirrorResource. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}mirrorResource. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  if (_mirrorStatusResourceListResponse->data != NULL) {
    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a MirrorStatusResourceListResponse.
 *
 * @param _mirrorStatusResourceListResponse The MirrorStatusResourceListResponse to free.
 */
static void freeNs0MirrorStatusResourceListResponseType(struct nexus_rest_api_ns0_mirrorStatusResourceListResponse *_mirrorStatusResourceListResponse) {
  int i;
  if (_mirrorStatusResourceListResponse->data != NULL) {
    for (i = 0; i < _mirrorStatusResourceListResponse->_sizeof_data; i++) {
#if DEBUG_ENUNCIATE > 1
      printf("Freeing accessor data[%i] of type nexus_rest_api_ns0_mirrorStatusResourceListResponse...\n", i);
#endif
      freeNs0Mirror_status_resourceType(&(_mirrorStatusResourceListResponse->data[i]));
    }
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor data of type nexus_rest_api_ns0_mirrorStatusResourceListResponse...\n");
#endif
    free(_mirrorStatusResourceListResponse->data);
  }
}
#endif /* DEF_nexus_rest_api_ns0_mirrorStatusResourceListResponse_M */
#ifndef DEF_nexus_rest_api_ns0_nfc_repository_resource_M
#define DEF_nexus_rest_api_ns0_nfc_repository_resource_M

/**
 * Reads a NFCRepositoryResource from XML. The reader is assumed to be at the start element.
 *
 * @return the NFCRepositoryResource, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_nfc_repository_resource *xmlTextReaderReadNs0Nfc_repository_resourceType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct nexus_rest_api_ns0_nfc_repository_resource *_nFCRepositoryResource = calloc(1, sizeof(struct nexus_rest_api_ns0_nfc_repository_resource));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0Nfc_repository_resourceType(_nFCRepositoryResource);
        free(_nFCRepositoryResource);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "repositoryId", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}repositoryId of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}repositoryId of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Nfc_repository_resourceType(_nFCRepositoryResource);
          free(_nFCRepositoryResource);
          return NULL;
        }

        _nFCRepositoryResource->repositoryId = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "nfcStats", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}nfcStats of type {}nfc-stats.\n");
#endif
        _child_accessor = xmlTextReaderReadNs0Nfc_statsType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}nfcStats of type {}nfc-stats.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Nfc_repository_resourceType(_nFCRepositoryResource);
          free(_nFCRepositoryResource);
          return NULL;
        }

        _nFCRepositoryResource->nfcStats = ((struct nexus_rest_api_ns0_nfc_stats*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "nfcPaths", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

        if (xmlTextReaderIsEmptyElement(reader) == 0) {
#if DEBUG_ENUNCIATE > 1
          printf("Unwrapping wrapper element {}nfcPaths...\n");
#endif
          //start wrapper element "{}nfcPaths"
          status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
          while (xmlTextReaderDepth(reader) > (depth + 1)) {
            if (status < 1) {
              //panic: XML read error.
#if DEBUG_ENUNCIATE
              printf("Failure to advance to next child element.\n");
#endif
              freeNs0Nfc_repository_resourceType(_nFCRepositoryResource);
              free(_nFCRepositoryResource);
              return NULL;
            }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "path", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}path of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}path of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Nfc_repository_resourceType(_nFCRepositoryResource);
          free(_nFCRepositoryResource);
          return NULL;
        }

        _nFCRepositoryResource->nfcPaths = realloc(_nFCRepositoryResource->nfcPaths, (_nFCRepositoryResource->_sizeof_nfcPaths + 1) * sizeof(xmlChar));
        memcpy(&(_nFCRepositoryResource->nfcPaths[_nFCRepositoryResource->_sizeof_nfcPaths++]), _child_accessor, sizeof(xmlChar));
        free(_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
          } // end "while in wrapper element" loop
        } //end "if empty element" clause

        if (status < 1) {
          //panic: XML read error.
#if DEBUG_ENUNCIATE
          printf("Failed to advance to end wrapper element {}nfcPaths.\n");
#endif
          freeNs0Nfc_repository_resourceType(_nFCRepositoryResource);
          free(_nFCRepositoryResource);
          return NULL;
        }
        else {
          //end wrapper element "{}nfcPaths"
          status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
        }
      } // end "if wrapper element" clause
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}nfc-repository-resource.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}nfc-repository-resource. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _nFCRepositoryResource;
}

/**
 * Writes a NFCRepositoryResource to XML.
 *
 * @param writer The XML writer.
 * @param _nFCRepositoryResource The NFCRepositoryResource to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0Nfc_repository_resourceType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_nfc_repository_resource *_nFCRepositoryResource) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;
  if (_nFCRepositoryResource->repositoryId != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "repositoryId", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}repositoryId. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}repositoryId...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_nFCRepositoryResource->repositoryId));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}repositoryId. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}repositoryId. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_nFCRepositoryResource->nfcStats != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "nfcStats", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}nfcStats. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {}nfc-stats for element {}nfcStats...\n", status);
#endif
    status = xmlTextWriterWriteNs0Nfc_statsType(writer, (_nFCRepositoryResource->nfcStats));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {}nfc-stats for element {}nfcStats. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}nfcStats. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  if (_nFCRepositoryResource->nfcPaths != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "nfcPaths", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}nfcPaths. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  for (i = 0; i < _nFCRepositoryResource->_sizeof_nfcPaths; i++) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "path", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}path. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}path...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, &(_nFCRepositoryResource->nfcPaths[i]));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}path. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}path. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  if (_nFCRepositoryResource->nfcPaths != NULL) {
    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}nfcPaths. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a NFCRepositoryResource.
 *
 * @param _nFCRepositoryResource The NFCRepositoryResource to free.
 */
static void freeNs0Nfc_repository_resourceType(struct nexus_rest_api_ns0_nfc_repository_resource *_nFCRepositoryResource) {
  int i;
  if (_nFCRepositoryResource->repositoryId != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor repositoryId of type nexus_rest_api_ns0_nfc_repository_resource...\n");
#endif
    freeXsStringType(_nFCRepositoryResource->repositoryId);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor repositoryId of type nexus_rest_api_ns0_nfc_repository_resource...\n");
#endif
    free(_nFCRepositoryResource->repositoryId);
  }
  if (_nFCRepositoryResource->nfcStats != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor nfcStats of type nexus_rest_api_ns0_nfc_repository_resource...\n");
#endif
    freeNs0Nfc_statsType(_nFCRepositoryResource->nfcStats);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor nfcStats of type nexus_rest_api_ns0_nfc_repository_resource...\n");
#endif
    free(_nFCRepositoryResource->nfcStats);
  }
  if (_nFCRepositoryResource->nfcPaths != NULL) {
    for (i = 0; i < _nFCRepositoryResource->_sizeof_nfcPaths; i++) {
#if DEBUG_ENUNCIATE > 1
      printf("Freeing accessor nfcPaths[%i] of type nexus_rest_api_ns0_nfc_repository_resource...\n", i);
#endif
      freeXsStringType(&(_nFCRepositoryResource->nfcPaths[i]));
    }
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor nfcPaths of type nexus_rest_api_ns0_nfc_repository_resource...\n");
#endif
    free(_nFCRepositoryResource->nfcPaths);
  }
}
#endif /* DEF_nexus_rest_api_ns0_nfc_repository_resource_M */
#ifndef DEF_nexus_rest_api_ns0_nfc_resource_M
#define DEF_nexus_rest_api_ns0_nfc_resource_M

/**
 * Reads a NFCResource from XML. The reader is assumed to be at the start element.
 *
 * @return the NFCResource, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_nfc_resource *xmlTextReaderReadNs0Nfc_resourceType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct nexus_rest_api_ns0_nfc_resource *_nFCResource = calloc(1, sizeof(struct nexus_rest_api_ns0_nfc_resource));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0Nfc_resourceType(_nFCResource);
        free(_nFCResource);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "nfcContents", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

        if (xmlTextReaderIsEmptyElement(reader) == 0) {
#if DEBUG_ENUNCIATE > 1
          printf("Unwrapping wrapper element {}nfcContents...\n");
#endif
          //start wrapper element "{}nfcContents"
          status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
          while (xmlTextReaderDepth(reader) > (depth + 1)) {
            if (status < 1) {
              //panic: XML read error.
#if DEBUG_ENUNCIATE
              printf("Failure to advance to next child element.\n");
#endif
              freeNs0Nfc_resourceType(_nFCResource);
              free(_nFCResource);
              return NULL;
            }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "nfc-repo-info", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}nfc-repo-info of type {}nfc-repository-resource.\n");
#endif
        _child_accessor = xmlTextReaderReadNs0Nfc_repository_resourceType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}nfc-repo-info of type {}nfc-repository-resource.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Nfc_resourceType(_nFCResource);
          free(_nFCResource);
          return NULL;
        }

        _nFCResource->nfcContents = realloc(_nFCResource->nfcContents, (_nFCResource->_sizeof_nfcContents + 1) * sizeof(struct nexus_rest_api_ns0_nfc_repository_resource));
        memcpy(&(_nFCResource->nfcContents[_nFCResource->_sizeof_nfcContents++]), _child_accessor, sizeof(struct nexus_rest_api_ns0_nfc_repository_resource));
        free(_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
          } // end "while in wrapper element" loop
        } //end "if empty element" clause

        if (status < 1) {
          //panic: XML read error.
#if DEBUG_ENUNCIATE
          printf("Failed to advance to end wrapper element {}nfcContents.\n");
#endif
          freeNs0Nfc_resourceType(_nFCResource);
          free(_nFCResource);
          return NULL;
        }
        else {
          //end wrapper element "{}nfcContents"
          status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
        }
      } // end "if wrapper element" clause
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}nfc-resource.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}nfc-resource. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _nFCResource;
}

/**
 * Writes a NFCResource to XML.
 *
 * @param writer The XML writer.
 * @param _nFCResource The NFCResource to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0Nfc_resourceType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_nfc_resource *_nFCResource) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;

  if (_nFCResource->nfcContents != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "nfcContents", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}nfcContents. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  for (i = 0; i < _nFCResource->_sizeof_nfcContents; i++) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "nfc-repo-info", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}nfc-repo-info. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {}nfc-repository-resource for element {}nfc-repo-info...\n", status);
#endif
    status = xmlTextWriterWriteNs0Nfc_repository_resourceType(writer, &(_nFCResource->nfcContents[i]));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {}nfc-repository-resource for element {}nfc-repo-info. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}nfc-repo-info. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  if (_nFCResource->nfcContents != NULL) {
    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}nfcContents. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a NFCResource.
 *
 * @param _nFCResource The NFCResource to free.
 */
static void freeNs0Nfc_resourceType(struct nexus_rest_api_ns0_nfc_resource *_nFCResource) {
  int i;
  if (_nFCResource->nfcContents != NULL) {
    for (i = 0; i < _nFCResource->_sizeof_nfcContents; i++) {
#if DEBUG_ENUNCIATE > 1
      printf("Freeing accessor nfcContents[%i] of type nexus_rest_api_ns0_nfc_resource...\n", i);
#endif
      freeNs0Nfc_repository_resourceType(&(_nFCResource->nfcContents[i]));
    }
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor nfcContents of type nexus_rest_api_ns0_nfc_resource...\n");
#endif
    free(_nFCResource->nfcContents);
  }
}
#endif /* DEF_nexus_rest_api_ns0_nfc_resource_M */
#ifndef DEF_nexus_rest_api_ns0_NFCResourceResponse_M
#define DEF_nexus_rest_api_ns0_NFCResourceResponse_M

/**
 * Reads a NFCResourceResponse element from XML. The element to be read is "nfc-info", and
 * it is assumed that the reader is pointing to the XML document (not the element).
 *
 * @param reader The XML reader.
 * @return The NFCResourceResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_NFCResourceResponse *xml_read_nexus_rest_api_ns0_NFCResourceResponse(xmlTextReaderPtr reader) {
  int status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
  return xmlTextReaderReadNs0Nfc_infoElement(reader);
}

/**
 * Writes a NFCResourceResponse to XML under element name "nfc-info".
 *
 * @param writer The XML writer.
 * @param _nFCResourceResponse The NFCResourceResponse to write.
 * @return 1 if successful, 0 otherwise.
 */
int xml_write_nexus_rest_api_ns0_NFCResourceResponse(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_NFCResourceResponse *_nFCResourceResponse) {
  return xmlTextWriterWriteNs0Nfc_infoElementNS(writer, _nFCResourceResponse, 1);
}

/**
 * Frees a NFCResourceResponse.
 *
 * @param _nFCResourceResponse The NFCResourceResponse to free.
 */
void free_nexus_rest_api_ns0_NFCResourceResponse(struct nexus_rest_api_ns0_NFCResourceResponse *_nFCResourceResponse) {
  freeNs0NFCResourceResponseType(_nFCResourceResponse);
  free(_nFCResourceResponse);
}

/**
 * Reads a NFCResourceResponse element from XML. The element to be read is "nfc-info", and
 * it is assumed that the reader is pointing to that element.
 *
 * @param reader The XML reader.
 * @return The NFCResourceResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_NFCResourceResponse *xmlTextReaderReadNs0Nfc_infoElement(xmlTextReaderPtr reader) {
  struct nexus_rest_api_ns0_NFCResourceResponse *_nFCResourceResponse = NULL;

  if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
    && xmlStrcmp(BAD_CAST "nfc-info", xmlTextReaderConstLocalName(reader)) == 0
    && xmlTextReaderConstNamespaceUri(reader) == NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Attempting to read root element {}nfc-info.\n");
#endif
    _nFCResourceResponse = xmlTextReaderReadNs0NFCResourceResponseType(reader);
  }
#if DEBUG_ENUNCIATE
  if (_nFCResourceResponse == NULL) {
    if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
      printf("attempt to read {}nfc-info failed. current element: {}%s\n",  xmlTextReaderConstLocalName(reader));
    }
    else {
      printf("attempt to read {}nfc-info failed. current element: {%s}%s\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
    }
  }
#endif

  return _nFCResourceResponse;
}

/**
 * Writes a NFCResourceResponse to XML under element name "nfc-info".
 * Does NOT write the namespace prefixes.
 *
 * @param writer The XML writer.
 * @param _nFCResourceResponse The NFCResourceResponse to write.
 * @return 1 if successful, 0 otherwise.
 */
static int xmlTextWriterWriteNs0Nfc_infoElement(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_NFCResourceResponse *_nFCResourceResponse) {
  return xmlTextWriterWriteNs0Nfc_infoElementNS(writer, _nFCResourceResponse, 0);
}

/**
 * Writes a NFCResourceResponse to XML under element name "nfc-info".
 *
 * @param writer The XML writer.
 * @param _nFCResourceResponse The NFCResourceResponse to write.
 * @param writeNamespaces Whether to write the namespace prefixes.
 * @return 1 if successful, 0 otherwise.
 */
static int xmlTextWriterWriteNs0Nfc_infoElementNS(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_NFCResourceResponse *_nFCResourceResponse, int writeNamespaces) {
  int totalBytes = 0;
  int status;

  status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "nfc-info", NULL);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to write start element {}nfc-info. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

#if DEBUG_ENUNCIATE > 1
  printf("writing type {}NFCResourceResponse for root element {}nfc-info...\n");
#endif
  status = xmlTextWriterWriteNs0NFCResourceResponseType(writer, _nFCResourceResponse);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to write type for start element {}nfc-info. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

  status = xmlTextWriterEndElement(writer);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to end element {}nfc-info. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

  return totalBytes;
}

/**
 * Frees the children of a NFCResourceResponse.
 *
 * @param _nFCResourceResponse The NFCResourceResponse whose children are to be free.
 */
static void freeNs0Nfc_infoElement(struct nexus_rest_api_ns0_NFCResourceResponse *_nFCResourceResponse) {
  freeNs0NFCResourceResponseType(_nFCResourceResponse);
}

/**
 * Reads a NFCResourceResponse from XML. The reader is assumed to be at the start element.
 *
 * @return the NFCResourceResponse, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_NFCResourceResponse *xmlTextReaderReadNs0NFCResourceResponseType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct nexus_rest_api_ns0_NFCResourceResponse *_nFCResourceResponse = calloc(1, sizeof(struct nexus_rest_api_ns0_NFCResourceResponse));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0NFCResourceResponseType(_nFCResourceResponse);
        free(_nFCResourceResponse);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "data", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}data of type {}nfc-resource.\n");
#endif
        _child_accessor = xmlTextReaderReadNs0Nfc_resourceType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}data of type {}nfc-resource.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0NFCResourceResponseType(_nFCResourceResponse);
          free(_nFCResourceResponse);
          return NULL;
        }

        _nFCResourceResponse->data = ((struct nexus_rest_api_ns0_nfc_resource*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}NFCResourceResponse.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}NFCResourceResponse. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _nFCResourceResponse;
}

/**
 * Writes a NFCResourceResponse to XML.
 *
 * @param writer The XML writer.
 * @param _nFCResourceResponse The NFCResourceResponse to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0NFCResourceResponseType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_NFCResourceResponse *_nFCResourceResponse) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;
  if (_nFCResourceResponse->data != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "data", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {}nfc-resource for element {}data...\n", status);
#endif
    status = xmlTextWriterWriteNs0Nfc_resourceType(writer, (_nFCResourceResponse->data));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {}nfc-resource for element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a NFCResourceResponse.
 *
 * @param _nFCResourceResponse The NFCResourceResponse to free.
 */
static void freeNs0NFCResourceResponseType(struct nexus_rest_api_ns0_NFCResourceResponse *_nFCResourceResponse) {
  int i;
  if (_nFCResourceResponse->data != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor data of type nexus_rest_api_ns0_NFCResourceResponse...\n");
#endif
    freeNs0Nfc_resourceType(_nFCResourceResponse->data);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor data of type nexus_rest_api_ns0_NFCResourceResponse...\n");
#endif
    free(_nFCResourceResponse->data);
  }
}
#endif /* DEF_nexus_rest_api_ns0_NFCResourceResponse_M */
#ifndef DEF_nexus_rest_api_ns0_nfc_stats_M
#define DEF_nexus_rest_api_ns0_nfc_stats_M

/**
 * Reads a NFCStats from XML. The reader is assumed to be at the start element.
 *
 * @return the NFCStats, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_nfc_stats *xmlTextReaderReadNs0Nfc_statsType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct nexus_rest_api_ns0_nfc_stats *_nFCStats = calloc(1, sizeof(struct nexus_rest_api_ns0_nfc_stats));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0Nfc_statsType(_nFCStats);
        free(_nFCStats);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "size", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}size of type {http://www.w3.org/2001/XMLSchema}long.\n");
#endif
        _child_accessor = xmlTextReaderReadXsLongType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}size of type {http://www.w3.org/2001/XMLSchema}long.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Nfc_statsType(_nFCStats);
          free(_nFCStats);
          return NULL;
        }

        _nFCStats->size = *((long*)_child_accessor);
        free(_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "hits", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}hits of type {http://www.w3.org/2001/XMLSchema}long.\n");
#endif
        _child_accessor = xmlTextReaderReadXsLongType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}hits of type {http://www.w3.org/2001/XMLSchema}long.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Nfc_statsType(_nFCStats);
          free(_nFCStats);
          return NULL;
        }

        _nFCStats->hits = *((long*)_child_accessor);
        free(_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "misses", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}misses of type {http://www.w3.org/2001/XMLSchema}long.\n");
#endif
        _child_accessor = xmlTextReaderReadXsLongType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}misses of type {http://www.w3.org/2001/XMLSchema}long.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Nfc_statsType(_nFCStats);
          free(_nFCStats);
          return NULL;
        }

        _nFCStats->misses = *((long*)_child_accessor);
        free(_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}nfc-stats.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}nfc-stats. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _nFCStats;
}

/**
 * Writes a NFCStats to XML.
 *
 * @param writer The XML writer.
 * @param _nFCStats The NFCStats to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0Nfc_statsType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_nfc_stats *_nFCStats) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;
  if (1) { //always write the primitive element.
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "size", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}size. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}long for element {}size...\n", status);
#endif
    status = xmlTextWriterWriteXsLongType(writer, &(_nFCStats->size));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}long for element {}size. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}size. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (1) { //always write the primitive element.
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "hits", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}hits. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}long for element {}hits...\n", status);
#endif
    status = xmlTextWriterWriteXsLongType(writer, &(_nFCStats->hits));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}long for element {}hits. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}hits. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (1) { //always write the primitive element.
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "misses", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}misses. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}long for element {}misses...\n", status);
#endif
    status = xmlTextWriterWriteXsLongType(writer, &(_nFCStats->misses));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}long for element {}misses. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}misses. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a NFCStats.
 *
 * @param _nFCStats The NFCStats to free.
 */
static void freeNs0Nfc_statsType(struct nexus_rest_api_ns0_nfc_stats *_nFCStats) {
  int i;
}
#endif /* DEF_nexus_rest_api_ns0_nfc_stats_M */
#ifndef DEF_nexus_rest_api_ns0_nexus_authentication_client_permissions_M
#define DEF_nexus_rest_api_ns0_nexus_authentication_client_permissions_M

/**
 * Reads a NexusAuthenticationClientPermissions from XML. The reader is assumed to be at the start element.
 *
 * @return the NexusAuthenticationClientPermissions, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_nexus_authentication_client_permissions *xmlTextReaderReadNs0Nexus_authentication_client_permissionsType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct nexus_rest_api_ns0_nexus_authentication_client_permissions *_nexusAuthenticationClientPermissions = calloc(1, sizeof(struct nexus_rest_api_ns0_nexus_authentication_client_permissions));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0Nexus_authentication_client_permissionsType(_nexusAuthenticationClientPermissions);
        free(_nexusAuthenticationClientPermissions);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "loggedInUserSource", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}loggedInUserSource of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}loggedInUserSource of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Nexus_authentication_client_permissionsType(_nexusAuthenticationClientPermissions);
          free(_nexusAuthenticationClientPermissions);
          return NULL;
        }

        _nexusAuthenticationClientPermissions->loggedInUserSource = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "permissions", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

        if (xmlTextReaderIsEmptyElement(reader) == 0) {
#if DEBUG_ENUNCIATE > 1
          printf("Unwrapping wrapper element {}permissions...\n");
#endif
          //start wrapper element "{}permissions"
          status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
          while (xmlTextReaderDepth(reader) > (depth + 1)) {
            if (status < 1) {
              //panic: XML read error.
#if DEBUG_ENUNCIATE
              printf("Failure to advance to next child element.\n");
#endif
              freeNs0Nexus_authentication_client_permissionsType(_nexusAuthenticationClientPermissions);
              free(_nexusAuthenticationClientPermissions);
              return NULL;
            }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "permission", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}permission of type {}clientPermission.\n");
#endif
        _child_accessor = xmlTextReaderReadNs0ClientPermissionType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}permission of type {}clientPermission.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Nexus_authentication_client_permissionsType(_nexusAuthenticationClientPermissions);
          free(_nexusAuthenticationClientPermissions);
          return NULL;
        }

        _nexusAuthenticationClientPermissions->permissions = realloc(_nexusAuthenticationClientPermissions->permissions, (_nexusAuthenticationClientPermissions->_sizeof_permissions + 1) * sizeof(struct nexus_rest_api_ns0_clientPermission));
        memcpy(&(_nexusAuthenticationClientPermissions->permissions[_nexusAuthenticationClientPermissions->_sizeof_permissions++]), _child_accessor, sizeof(struct nexus_rest_api_ns0_clientPermission));
        free(_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
          } // end "while in wrapper element" loop
        } //end "if empty element" clause

        if (status < 1) {
          //panic: XML read error.
#if DEBUG_ENUNCIATE
          printf("Failed to advance to end wrapper element {}permissions.\n");
#endif
          freeNs0Nexus_authentication_client_permissionsType(_nexusAuthenticationClientPermissions);
          free(_nexusAuthenticationClientPermissions);
          return NULL;
        }
        else {
          //end wrapper element "{}permissions"
          status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
        }
      } // end "if wrapper element" clause
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "loggedIn", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}loggedIn of type {http://www.w3.org/2001/XMLSchema}boolean.\n");
#endif
        _child_accessor = xmlTextReaderReadXsBooleanType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}loggedIn of type {http://www.w3.org/2001/XMLSchema}boolean.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Nexus_authentication_client_permissionsType(_nexusAuthenticationClientPermissions);
          free(_nexusAuthenticationClientPermissions);
          return NULL;
        }

        _nexusAuthenticationClientPermissions->loggedIn = *((int*)_child_accessor);
        free(_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "loggedInUsername", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}loggedInUsername of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}loggedInUsername of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Nexus_authentication_client_permissionsType(_nexusAuthenticationClientPermissions);
          free(_nexusAuthenticationClientPermissions);
          return NULL;
        }

        _nexusAuthenticationClientPermissions->loggedInUsername = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}nexus-authentication-client-permissions.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}nexus-authentication-client-permissions. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _nexusAuthenticationClientPermissions;
}

/**
 * Writes a NexusAuthenticationClientPermissions to XML.
 *
 * @param writer The XML writer.
 * @param _nexusAuthenticationClientPermissions The NexusAuthenticationClientPermissions to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0Nexus_authentication_client_permissionsType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_nexus_authentication_client_permissions *_nexusAuthenticationClientPermissions) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;
  if (_nexusAuthenticationClientPermissions->loggedInUserSource != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "loggedInUserSource", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}loggedInUserSource. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}loggedInUserSource...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_nexusAuthenticationClientPermissions->loggedInUserSource));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}loggedInUserSource. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}loggedInUserSource. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  if (_nexusAuthenticationClientPermissions->permissions != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "permissions", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}permissions. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  for (i = 0; i < _nexusAuthenticationClientPermissions->_sizeof_permissions; i++) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "permission", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}permission. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {}clientPermission for element {}permission...\n", status);
#endif
    status = xmlTextWriterWriteNs0ClientPermissionType(writer, &(_nexusAuthenticationClientPermissions->permissions[i]));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {}clientPermission for element {}permission. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}permission. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  if (_nexusAuthenticationClientPermissions->permissions != NULL) {
    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}permissions. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (1) { //always write the primitive element.
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "loggedIn", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}loggedIn. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}boolean for element {}loggedIn...\n", status);
#endif
    status = xmlTextWriterWriteXsBooleanType(writer, &(_nexusAuthenticationClientPermissions->loggedIn));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}boolean for element {}loggedIn. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}loggedIn. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_nexusAuthenticationClientPermissions->loggedInUsername != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "loggedInUsername", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}loggedInUsername. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}loggedInUsername...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_nexusAuthenticationClientPermissions->loggedInUsername));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}loggedInUsername. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}loggedInUsername. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a NexusAuthenticationClientPermissions.
 *
 * @param _nexusAuthenticationClientPermissions The NexusAuthenticationClientPermissions to free.
 */
static void freeNs0Nexus_authentication_client_permissionsType(struct nexus_rest_api_ns0_nexus_authentication_client_permissions *_nexusAuthenticationClientPermissions) {
  int i;
  if (_nexusAuthenticationClientPermissions->loggedInUserSource != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor loggedInUserSource of type nexus_rest_api_ns0_nexus_authentication_client_permissions...\n");
#endif
    freeXsStringType(_nexusAuthenticationClientPermissions->loggedInUserSource);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor loggedInUserSource of type nexus_rest_api_ns0_nexus_authentication_client_permissions...\n");
#endif
    free(_nexusAuthenticationClientPermissions->loggedInUserSource);
  }
  if (_nexusAuthenticationClientPermissions->permissions != NULL) {
    for (i = 0; i < _nexusAuthenticationClientPermissions->_sizeof_permissions; i++) {
#if DEBUG_ENUNCIATE > 1
      printf("Freeing accessor permissions[%i] of type nexus_rest_api_ns0_nexus_authentication_client_permissions...\n", i);
#endif
      freeNs0ClientPermissionType(&(_nexusAuthenticationClientPermissions->permissions[i]));
    }
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor permissions of type nexus_rest_api_ns0_nexus_authentication_client_permissions...\n");
#endif
    free(_nexusAuthenticationClientPermissions->permissions);
  }
  if (_nexusAuthenticationClientPermissions->loggedInUsername != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor loggedInUsername of type nexus_rest_api_ns0_nexus_authentication_client_permissions...\n");
#endif
    freeXsStringType(_nexusAuthenticationClientPermissions->loggedInUsername);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor loggedInUsername of type nexus_rest_api_ns0_nexus_authentication_client_permissions...\n");
#endif
    free(_nexusAuthenticationClientPermissions->loggedInUsername);
  }
}
#endif /* DEF_nexus_rest_api_ns0_nexus_authentication_client_permissions_M */
#ifndef DEF_nexus_rest_api_ns0_nexus_repository_type_list_resource_M
#define DEF_nexus_rest_api_ns0_nexus_repository_type_list_resource_M

/**
 * Reads a NexusRepositoryTypeListResource from XML. The reader is assumed to be at the start element.
 *
 * @return the NexusRepositoryTypeListResource, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_nexus_repository_type_list_resource *xmlTextReaderReadNs0Nexus_repository_type_list_resourceType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct nexus_rest_api_ns0_nexus_repository_type_list_resource *_nexusRepositoryTypeListResource = calloc(1, sizeof(struct nexus_rest_api_ns0_nexus_repository_type_list_resource));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0Nexus_repository_type_list_resourceType(_nexusRepositoryTypeListResource);
        free(_nexusRepositoryTypeListResource);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "provider", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}provider of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}provider of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Nexus_repository_type_list_resourceType(_nexusRepositoryTypeListResource);
          free(_nexusRepositoryTypeListResource);
          return NULL;
        }

        _nexusRepositoryTypeListResource->provider = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "providerRole", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}providerRole of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}providerRole of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Nexus_repository_type_list_resourceType(_nexusRepositoryTypeListResource);
          free(_nexusRepositoryTypeListResource);
          return NULL;
        }

        _nexusRepositoryTypeListResource->providerRole = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "format", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}format of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}format of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Nexus_repository_type_list_resourceType(_nexusRepositoryTypeListResource);
          free(_nexusRepositoryTypeListResource);
          return NULL;
        }

        _nexusRepositoryTypeListResource->format = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "description", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}description of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}description of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Nexus_repository_type_list_resourceType(_nexusRepositoryTypeListResource);
          free(_nexusRepositoryTypeListResource);
          return NULL;
        }

        _nexusRepositoryTypeListResource->description = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}nexus-repository-type-list-resource.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}nexus-repository-type-list-resource. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _nexusRepositoryTypeListResource;
}

/**
 * Writes a NexusRepositoryTypeListResource to XML.
 *
 * @param writer The XML writer.
 * @param _nexusRepositoryTypeListResource The NexusRepositoryTypeListResource to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0Nexus_repository_type_list_resourceType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_nexus_repository_type_list_resource *_nexusRepositoryTypeListResource) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;
  if (_nexusRepositoryTypeListResource->provider != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "provider", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}provider. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}provider...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_nexusRepositoryTypeListResource->provider));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}provider. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}provider. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_nexusRepositoryTypeListResource->providerRole != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "providerRole", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}providerRole. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}providerRole...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_nexusRepositoryTypeListResource->providerRole));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}providerRole. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}providerRole. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_nexusRepositoryTypeListResource->format != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "format", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}format. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}format...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_nexusRepositoryTypeListResource->format));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}format. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}format. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_nexusRepositoryTypeListResource->description != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "description", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}description. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}description...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_nexusRepositoryTypeListResource->description));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}description. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}description. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a NexusRepositoryTypeListResource.
 *
 * @param _nexusRepositoryTypeListResource The NexusRepositoryTypeListResource to free.
 */
static void freeNs0Nexus_repository_type_list_resourceType(struct nexus_rest_api_ns0_nexus_repository_type_list_resource *_nexusRepositoryTypeListResource) {
  int i;
  if (_nexusRepositoryTypeListResource->provider != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor provider of type nexus_rest_api_ns0_nexus_repository_type_list_resource...\n");
#endif
    freeXsStringType(_nexusRepositoryTypeListResource->provider);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor provider of type nexus_rest_api_ns0_nexus_repository_type_list_resource...\n");
#endif
    free(_nexusRepositoryTypeListResource->provider);
  }
  if (_nexusRepositoryTypeListResource->providerRole != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor providerRole of type nexus_rest_api_ns0_nexus_repository_type_list_resource...\n");
#endif
    freeXsStringType(_nexusRepositoryTypeListResource->providerRole);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor providerRole of type nexus_rest_api_ns0_nexus_repository_type_list_resource...\n");
#endif
    free(_nexusRepositoryTypeListResource->providerRole);
  }
  if (_nexusRepositoryTypeListResource->format != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor format of type nexus_rest_api_ns0_nexus_repository_type_list_resource...\n");
#endif
    freeXsStringType(_nexusRepositoryTypeListResource->format);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor format of type nexus_rest_api_ns0_nexus_repository_type_list_resource...\n");
#endif
    free(_nexusRepositoryTypeListResource->format);
  }
  if (_nexusRepositoryTypeListResource->description != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor description of type nexus_rest_api_ns0_nexus_repository_type_list_resource...\n");
#endif
    freeXsStringType(_nexusRepositoryTypeListResource->description);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor description of type nexus_rest_api_ns0_nexus_repository_type_list_resource...\n");
#endif
    free(_nexusRepositoryTypeListResource->description);
  }
}
#endif /* DEF_nexus_rest_api_ns0_nexus_repository_type_list_resource_M */
#ifndef DEF_nexus_rest_api_ns0_nexusRepositoryTypeListResourceResponse_M
#define DEF_nexus_rest_api_ns0_nexusRepositoryTypeListResourceResponse_M

/**
 * Reads a NexusRepositoryTypeListResourceResponse element from XML. The element to be read is "repositoryTypes", and
 * it is assumed that the reader is pointing to the XML document (not the element).
 *
 * @param reader The XML reader.
 * @return The NexusRepositoryTypeListResourceResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_nexusRepositoryTypeListResourceResponse *xml_read_nexus_rest_api_ns0_nexusRepositoryTypeListResourceResponse(xmlTextReaderPtr reader) {
  int status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
  return xmlTextReaderReadNs0RepositoryTypesElement(reader);
}

/**
 * Writes a NexusRepositoryTypeListResourceResponse to XML under element name "repositoryTypes".
 *
 * @param writer The XML writer.
 * @param _nexusRepositoryTypeListResourceResponse The NexusRepositoryTypeListResourceResponse to write.
 * @return 1 if successful, 0 otherwise.
 */
int xml_write_nexus_rest_api_ns0_nexusRepositoryTypeListResourceResponse(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_nexusRepositoryTypeListResourceResponse *_nexusRepositoryTypeListResourceResponse) {
  return xmlTextWriterWriteNs0RepositoryTypesElementNS(writer, _nexusRepositoryTypeListResourceResponse, 1);
}

/**
 * Frees a NexusRepositoryTypeListResourceResponse.
 *
 * @param _nexusRepositoryTypeListResourceResponse The NexusRepositoryTypeListResourceResponse to free.
 */
void free_nexus_rest_api_ns0_nexusRepositoryTypeListResourceResponse(struct nexus_rest_api_ns0_nexusRepositoryTypeListResourceResponse *_nexusRepositoryTypeListResourceResponse) {
  freeNs0NexusRepositoryTypeListResourceResponseType(_nexusRepositoryTypeListResourceResponse);
  free(_nexusRepositoryTypeListResourceResponse);
}

/**
 * Reads a NexusRepositoryTypeListResourceResponse element from XML. The element to be read is "repositoryTypes", and
 * it is assumed that the reader is pointing to that element.
 *
 * @param reader The XML reader.
 * @return The NexusRepositoryTypeListResourceResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_nexusRepositoryTypeListResourceResponse *xmlTextReaderReadNs0RepositoryTypesElement(xmlTextReaderPtr reader) {
  struct nexus_rest_api_ns0_nexusRepositoryTypeListResourceResponse *_nexusRepositoryTypeListResourceResponse = NULL;

  if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
    && xmlStrcmp(BAD_CAST "repositoryTypes", xmlTextReaderConstLocalName(reader)) == 0
    && xmlTextReaderConstNamespaceUri(reader) == NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Attempting to read root element {}repositoryTypes.\n");
#endif
    _nexusRepositoryTypeListResourceResponse = xmlTextReaderReadNs0NexusRepositoryTypeListResourceResponseType(reader);
  }
#if DEBUG_ENUNCIATE
  if (_nexusRepositoryTypeListResourceResponse == NULL) {
    if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
      printf("attempt to read {}repositoryTypes failed. current element: {}%s\n",  xmlTextReaderConstLocalName(reader));
    }
    else {
      printf("attempt to read {}repositoryTypes failed. current element: {%s}%s\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
    }
  }
#endif

  return _nexusRepositoryTypeListResourceResponse;
}

/**
 * Writes a NexusRepositoryTypeListResourceResponse to XML under element name "repositoryTypes".
 * Does NOT write the namespace prefixes.
 *
 * @param writer The XML writer.
 * @param _nexusRepositoryTypeListResourceResponse The NexusRepositoryTypeListResourceResponse to write.
 * @return 1 if successful, 0 otherwise.
 */
static int xmlTextWriterWriteNs0RepositoryTypesElement(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_nexusRepositoryTypeListResourceResponse *_nexusRepositoryTypeListResourceResponse) {
  return xmlTextWriterWriteNs0RepositoryTypesElementNS(writer, _nexusRepositoryTypeListResourceResponse, 0);
}

/**
 * Writes a NexusRepositoryTypeListResourceResponse to XML under element name "repositoryTypes".
 *
 * @param writer The XML writer.
 * @param _nexusRepositoryTypeListResourceResponse The NexusRepositoryTypeListResourceResponse to write.
 * @param writeNamespaces Whether to write the namespace prefixes.
 * @return 1 if successful, 0 otherwise.
 */
static int xmlTextWriterWriteNs0RepositoryTypesElementNS(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_nexusRepositoryTypeListResourceResponse *_nexusRepositoryTypeListResourceResponse, int writeNamespaces) {
  int totalBytes = 0;
  int status;

  status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "repositoryTypes", NULL);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to write start element {}repositoryTypes. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

#if DEBUG_ENUNCIATE > 1
  printf("writing type {}nexusRepositoryTypeListResourceResponse for root element {}repositoryTypes...\n");
#endif
  status = xmlTextWriterWriteNs0NexusRepositoryTypeListResourceResponseType(writer, _nexusRepositoryTypeListResourceResponse);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to write type for start element {}repositoryTypes. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

  status = xmlTextWriterEndElement(writer);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to end element {}repositoryTypes. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

  return totalBytes;
}

/**
 * Frees the children of a NexusRepositoryTypeListResourceResponse.
 *
 * @param _nexusRepositoryTypeListResourceResponse The NexusRepositoryTypeListResourceResponse whose children are to be free.
 */
static void freeNs0RepositoryTypesElement(struct nexus_rest_api_ns0_nexusRepositoryTypeListResourceResponse *_nexusRepositoryTypeListResourceResponse) {
  freeNs0NexusRepositoryTypeListResourceResponseType(_nexusRepositoryTypeListResourceResponse);
}

/**
 * Reads a NexusRepositoryTypeListResourceResponse from XML. The reader is assumed to be at the start element.
 *
 * @return the NexusRepositoryTypeListResourceResponse, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_nexusRepositoryTypeListResourceResponse *xmlTextReaderReadNs0NexusRepositoryTypeListResourceResponseType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct nexus_rest_api_ns0_nexusRepositoryTypeListResourceResponse *_nexusRepositoryTypeListResourceResponse = calloc(1, sizeof(struct nexus_rest_api_ns0_nexusRepositoryTypeListResourceResponse));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0NexusRepositoryTypeListResourceResponseType(_nexusRepositoryTypeListResourceResponse);
        free(_nexusRepositoryTypeListResourceResponse);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "data", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

        if (xmlTextReaderIsEmptyElement(reader) == 0) {
#if DEBUG_ENUNCIATE > 1
          printf("Unwrapping wrapper element {}data...\n");
#endif
          //start wrapper element "{}data"
          status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
          while (xmlTextReaderDepth(reader) > (depth + 1)) {
            if (status < 1) {
              //panic: XML read error.
#if DEBUG_ENUNCIATE
              printf("Failure to advance to next child element.\n");
#endif
              freeNs0NexusRepositoryTypeListResourceResponseType(_nexusRepositoryTypeListResourceResponse);
              free(_nexusRepositoryTypeListResourceResponse);
              return NULL;
            }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "repositoryType", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}repositoryType of type {}nexus-repository-type-list-resource.\n");
#endif
        _child_accessor = xmlTextReaderReadNs0Nexus_repository_type_list_resourceType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}repositoryType of type {}nexus-repository-type-list-resource.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0NexusRepositoryTypeListResourceResponseType(_nexusRepositoryTypeListResourceResponse);
          free(_nexusRepositoryTypeListResourceResponse);
          return NULL;
        }

        _nexusRepositoryTypeListResourceResponse->data = realloc(_nexusRepositoryTypeListResourceResponse->data, (_nexusRepositoryTypeListResourceResponse->_sizeof_data + 1) * sizeof(struct nexus_rest_api_ns0_nexus_repository_type_list_resource));
        memcpy(&(_nexusRepositoryTypeListResourceResponse->data[_nexusRepositoryTypeListResourceResponse->_sizeof_data++]), _child_accessor, sizeof(struct nexus_rest_api_ns0_nexus_repository_type_list_resource));
        free(_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
          } // end "while in wrapper element" loop
        } //end "if empty element" clause

        if (status < 1) {
          //panic: XML read error.
#if DEBUG_ENUNCIATE
          printf("Failed to advance to end wrapper element {}data.\n");
#endif
          freeNs0NexusRepositoryTypeListResourceResponseType(_nexusRepositoryTypeListResourceResponse);
          free(_nexusRepositoryTypeListResourceResponse);
          return NULL;
        }
        else {
          //end wrapper element "{}data"
          status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
        }
      } // end "if wrapper element" clause
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}nexusRepositoryTypeListResourceResponse.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}nexusRepositoryTypeListResourceResponse. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _nexusRepositoryTypeListResourceResponse;
}

/**
 * Writes a NexusRepositoryTypeListResourceResponse to XML.
 *
 * @param writer The XML writer.
 * @param _nexusRepositoryTypeListResourceResponse The NexusRepositoryTypeListResourceResponse to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0NexusRepositoryTypeListResourceResponseType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_nexusRepositoryTypeListResourceResponse *_nexusRepositoryTypeListResourceResponse) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;

  if (_nexusRepositoryTypeListResourceResponse->data != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "data", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  for (i = 0; i < _nexusRepositoryTypeListResourceResponse->_sizeof_data; i++) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "repositoryType", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}repositoryType. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {}nexus-repository-type-list-resource for element {}repositoryType...\n", status);
#endif
    status = xmlTextWriterWriteNs0Nexus_repository_type_list_resourceType(writer, &(_nexusRepositoryTypeListResourceResponse->data[i]));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {}nexus-repository-type-list-resource for element {}repositoryType. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}repositoryType. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  if (_nexusRepositoryTypeListResourceResponse->data != NULL) {
    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a NexusRepositoryTypeListResourceResponse.
 *
 * @param _nexusRepositoryTypeListResourceResponse The NexusRepositoryTypeListResourceResponse to free.
 */
static void freeNs0NexusRepositoryTypeListResourceResponseType(struct nexus_rest_api_ns0_nexusRepositoryTypeListResourceResponse *_nexusRepositoryTypeListResourceResponse) {
  int i;
  if (_nexusRepositoryTypeListResourceResponse->data != NULL) {
    for (i = 0; i < _nexusRepositoryTypeListResourceResponse->_sizeof_data; i++) {
#if DEBUG_ENUNCIATE > 1
      printf("Freeing accessor data[%i] of type nexus_rest_api_ns0_nexusRepositoryTypeListResourceResponse...\n", i);
#endif
      freeNs0Nexus_repository_type_list_resourceType(&(_nexusRepositoryTypeListResourceResponse->data[i]));
    }
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor data of type nexus_rest_api_ns0_nexusRepositoryTypeListResourceResponse...\n");
#endif
    free(_nexusRepositoryTypeListResourceResponse->data);
  }
}
#endif /* DEF_nexus_rest_api_ns0_nexusRepositoryTypeListResourceResponse_M */
#ifndef DEF_nexus_rest_api_ns0_nexusResponse_M
#define DEF_nexus_rest_api_ns0_nexusResponse_M

/**
 * Reads a NexusResponse from XML. The reader is assumed to be at the start element.
 *
 * @return the NexusResponse, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_nexusResponse *xmlTextReaderReadNs0NexusResponseType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct nexus_rest_api_ns0_nexusResponse *_nexusResponse = calloc(1, sizeof(struct nexus_rest_api_ns0_nexusResponse));




  return _nexusResponse;
}

/**
 * Writes a NexusResponse to XML.
 *
 * @param writer The XML writer.
 * @param _nexusResponse The NexusResponse to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0NexusResponseType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_nexusResponse *_nexusResponse) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;

  return totalBytes;
}

/**
 * Frees the elements of a NexusResponse.
 *
 * @param _nexusResponse The NexusResponse to free.
 */
static void freeNs0NexusResponseType(struct nexus_rest_api_ns0_nexusResponse *_nexusResponse) {
  int i;
}
#endif /* DEF_nexus_rest_api_ns0_nexusResponse_M */
#ifndef DEF_nexus_rest_api_ns0_plexus_component_list_resource_M
#define DEF_nexus_rest_api_ns0_plexus_component_list_resource_M

/**
 * Reads a PlexusComponentListResource from XML. The reader is assumed to be at the start element.
 *
 * @return the PlexusComponentListResource, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_plexus_component_list_resource *xmlTextReaderReadNs0Plexus_component_list_resourceType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct nexus_rest_api_ns0_plexus_component_list_resource *_plexusComponentListResource = calloc(1, sizeof(struct nexus_rest_api_ns0_plexus_component_list_resource));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0Plexus_component_list_resourceType(_plexusComponentListResource);
        free(_plexusComponentListResource);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "roleHint", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}roleHint of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}roleHint of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Plexus_component_list_resourceType(_plexusComponentListResource);
          free(_plexusComponentListResource);
          return NULL;
        }

        _plexusComponentListResource->roleHint = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "description", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}description of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}description of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Plexus_component_list_resourceType(_plexusComponentListResource);
          free(_plexusComponentListResource);
          return NULL;
        }

        _plexusComponentListResource->description = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}plexus-component-list-resource.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}plexus-component-list-resource. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _plexusComponentListResource;
}

/**
 * Writes a PlexusComponentListResource to XML.
 *
 * @param writer The XML writer.
 * @param _plexusComponentListResource The PlexusComponentListResource to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0Plexus_component_list_resourceType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_plexus_component_list_resource *_plexusComponentListResource) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;
  if (_plexusComponentListResource->roleHint != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "roleHint", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}roleHint. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}roleHint...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_plexusComponentListResource->roleHint));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}roleHint. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}roleHint. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_plexusComponentListResource->description != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "description", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}description. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}description...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_plexusComponentListResource->description));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}description. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}description. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a PlexusComponentListResource.
 *
 * @param _plexusComponentListResource The PlexusComponentListResource to free.
 */
static void freeNs0Plexus_component_list_resourceType(struct nexus_rest_api_ns0_plexus_component_list_resource *_plexusComponentListResource) {
  int i;
  if (_plexusComponentListResource->roleHint != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor roleHint of type nexus_rest_api_ns0_plexus_component_list_resource...\n");
#endif
    freeXsStringType(_plexusComponentListResource->roleHint);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor roleHint of type nexus_rest_api_ns0_plexus_component_list_resource...\n");
#endif
    free(_plexusComponentListResource->roleHint);
  }
  if (_plexusComponentListResource->description != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor description of type nexus_rest_api_ns0_plexus_component_list_resource...\n");
#endif
    freeXsStringType(_plexusComponentListResource->description);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor description of type nexus_rest_api_ns0_plexus_component_list_resource...\n");
#endif
    free(_plexusComponentListResource->description);
  }
}
#endif /* DEF_nexus_rest_api_ns0_plexus_component_list_resource_M */
#ifndef DEF_nexus_rest_api_ns0_plexusComponentListResourceResponse_M
#define DEF_nexus_rest_api_ns0_plexusComponentListResourceResponse_M

/**
 * Reads a PlexusComponentListResourceResponse element from XML. The element to be read is "components-list", and
 * it is assumed that the reader is pointing to the XML document (not the element).
 *
 * @param reader The XML reader.
 * @return The PlexusComponentListResourceResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_plexusComponentListResourceResponse *xml_read_nexus_rest_api_ns0_plexusComponentListResourceResponse(xmlTextReaderPtr reader) {
  int status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
  return xmlTextReaderReadNs0Components_listElement(reader);
}

/**
 * Writes a PlexusComponentListResourceResponse to XML under element name "components-list".
 *
 * @param writer The XML writer.
 * @param _plexusComponentListResourceResponse The PlexusComponentListResourceResponse to write.
 * @return 1 if successful, 0 otherwise.
 */
int xml_write_nexus_rest_api_ns0_plexusComponentListResourceResponse(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_plexusComponentListResourceResponse *_plexusComponentListResourceResponse) {
  return xmlTextWriterWriteNs0Components_listElementNS(writer, _plexusComponentListResourceResponse, 1);
}

/**
 * Frees a PlexusComponentListResourceResponse.
 *
 * @param _plexusComponentListResourceResponse The PlexusComponentListResourceResponse to free.
 */
void free_nexus_rest_api_ns0_plexusComponentListResourceResponse(struct nexus_rest_api_ns0_plexusComponentListResourceResponse *_plexusComponentListResourceResponse) {
  freeNs0PlexusComponentListResourceResponseType(_plexusComponentListResourceResponse);
  free(_plexusComponentListResourceResponse);
}

/**
 * Reads a PlexusComponentListResourceResponse element from XML. The element to be read is "components-list", and
 * it is assumed that the reader is pointing to that element.
 *
 * @param reader The XML reader.
 * @return The PlexusComponentListResourceResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_plexusComponentListResourceResponse *xmlTextReaderReadNs0Components_listElement(xmlTextReaderPtr reader) {
  struct nexus_rest_api_ns0_plexusComponentListResourceResponse *_plexusComponentListResourceResponse = NULL;

  if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
    && xmlStrcmp(BAD_CAST "components-list", xmlTextReaderConstLocalName(reader)) == 0
    && xmlTextReaderConstNamespaceUri(reader) == NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Attempting to read root element {}components-list.\n");
#endif
    _plexusComponentListResourceResponse = xmlTextReaderReadNs0PlexusComponentListResourceResponseType(reader);
  }
#if DEBUG_ENUNCIATE
  if (_plexusComponentListResourceResponse == NULL) {
    if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
      printf("attempt to read {}components-list failed. current element: {}%s\n",  xmlTextReaderConstLocalName(reader));
    }
    else {
      printf("attempt to read {}components-list failed. current element: {%s}%s\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
    }
  }
#endif

  return _plexusComponentListResourceResponse;
}

/**
 * Writes a PlexusComponentListResourceResponse to XML under element name "components-list".
 * Does NOT write the namespace prefixes.
 *
 * @param writer The XML writer.
 * @param _plexusComponentListResourceResponse The PlexusComponentListResourceResponse to write.
 * @return 1 if successful, 0 otherwise.
 */
static int xmlTextWriterWriteNs0Components_listElement(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_plexusComponentListResourceResponse *_plexusComponentListResourceResponse) {
  return xmlTextWriterWriteNs0Components_listElementNS(writer, _plexusComponentListResourceResponse, 0);
}

/**
 * Writes a PlexusComponentListResourceResponse to XML under element name "components-list".
 *
 * @param writer The XML writer.
 * @param _plexusComponentListResourceResponse The PlexusComponentListResourceResponse to write.
 * @param writeNamespaces Whether to write the namespace prefixes.
 * @return 1 if successful, 0 otherwise.
 */
static int xmlTextWriterWriteNs0Components_listElementNS(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_plexusComponentListResourceResponse *_plexusComponentListResourceResponse, int writeNamespaces) {
  int totalBytes = 0;
  int status;

  status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "components-list", NULL);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to write start element {}components-list. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

#if DEBUG_ENUNCIATE > 1
  printf("writing type {}plexusComponentListResourceResponse for root element {}components-list...\n");
#endif
  status = xmlTextWriterWriteNs0PlexusComponentListResourceResponseType(writer, _plexusComponentListResourceResponse);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to write type for start element {}components-list. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

  status = xmlTextWriterEndElement(writer);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to end element {}components-list. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

  return totalBytes;
}

/**
 * Frees the children of a PlexusComponentListResourceResponse.
 *
 * @param _plexusComponentListResourceResponse The PlexusComponentListResourceResponse whose children are to be free.
 */
static void freeNs0Components_listElement(struct nexus_rest_api_ns0_plexusComponentListResourceResponse *_plexusComponentListResourceResponse) {
  freeNs0PlexusComponentListResourceResponseType(_plexusComponentListResourceResponse);
}

/**
 * Reads a PlexusComponentListResourceResponse from XML. The reader is assumed to be at the start element.
 *
 * @return the PlexusComponentListResourceResponse, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_plexusComponentListResourceResponse *xmlTextReaderReadNs0PlexusComponentListResourceResponseType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct nexus_rest_api_ns0_plexusComponentListResourceResponse *_plexusComponentListResourceResponse = calloc(1, sizeof(struct nexus_rest_api_ns0_plexusComponentListResourceResponse));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0PlexusComponentListResourceResponseType(_plexusComponentListResourceResponse);
        free(_plexusComponentListResourceResponse);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "data", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

        if (xmlTextReaderIsEmptyElement(reader) == 0) {
#if DEBUG_ENUNCIATE > 1
          printf("Unwrapping wrapper element {}data...\n");
#endif
          //start wrapper element "{}data"
          status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
          while (xmlTextReaderDepth(reader) > (depth + 1)) {
            if (status < 1) {
              //panic: XML read error.
#if DEBUG_ENUNCIATE
              printf("Failure to advance to next child element.\n");
#endif
              freeNs0PlexusComponentListResourceResponseType(_plexusComponentListResourceResponse);
              free(_plexusComponentListResourceResponse);
              return NULL;
            }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "component", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}component of type {}plexus-component-list-resource.\n");
#endif
        _child_accessor = xmlTextReaderReadNs0Plexus_component_list_resourceType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}component of type {}plexus-component-list-resource.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0PlexusComponentListResourceResponseType(_plexusComponentListResourceResponse);
          free(_plexusComponentListResourceResponse);
          return NULL;
        }

        _plexusComponentListResourceResponse->data = realloc(_plexusComponentListResourceResponse->data, (_plexusComponentListResourceResponse->_sizeof_data + 1) * sizeof(struct nexus_rest_api_ns0_plexus_component_list_resource));
        memcpy(&(_plexusComponentListResourceResponse->data[_plexusComponentListResourceResponse->_sizeof_data++]), _child_accessor, sizeof(struct nexus_rest_api_ns0_plexus_component_list_resource));
        free(_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
          } // end "while in wrapper element" loop
        } //end "if empty element" clause

        if (status < 1) {
          //panic: XML read error.
#if DEBUG_ENUNCIATE
          printf("Failed to advance to end wrapper element {}data.\n");
#endif
          freeNs0PlexusComponentListResourceResponseType(_plexusComponentListResourceResponse);
          free(_plexusComponentListResourceResponse);
          return NULL;
        }
        else {
          //end wrapper element "{}data"
          status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
        }
      } // end "if wrapper element" clause
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}plexusComponentListResourceResponse.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}plexusComponentListResourceResponse. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _plexusComponentListResourceResponse;
}

/**
 * Writes a PlexusComponentListResourceResponse to XML.
 *
 * @param writer The XML writer.
 * @param _plexusComponentListResourceResponse The PlexusComponentListResourceResponse to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0PlexusComponentListResourceResponseType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_plexusComponentListResourceResponse *_plexusComponentListResourceResponse) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;

  if (_plexusComponentListResourceResponse->data != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "data", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  for (i = 0; i < _plexusComponentListResourceResponse->_sizeof_data; i++) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "component", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}component. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {}plexus-component-list-resource for element {}component...\n", status);
#endif
    status = xmlTextWriterWriteNs0Plexus_component_list_resourceType(writer, &(_plexusComponentListResourceResponse->data[i]));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {}plexus-component-list-resource for element {}component. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}component. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  if (_plexusComponentListResourceResponse->data != NULL) {
    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a PlexusComponentListResourceResponse.
 *
 * @param _plexusComponentListResourceResponse The PlexusComponentListResourceResponse to free.
 */
static void freeNs0PlexusComponentListResourceResponseType(struct nexus_rest_api_ns0_plexusComponentListResourceResponse *_plexusComponentListResourceResponse) {
  int i;
  if (_plexusComponentListResourceResponse->data != NULL) {
    for (i = 0; i < _plexusComponentListResourceResponse->_sizeof_data; i++) {
#if DEBUG_ENUNCIATE > 1
      printf("Freeing accessor data[%i] of type nexus_rest_api_ns0_plexusComponentListResourceResponse...\n", i);
#endif
      freeNs0Plexus_component_list_resourceType(&(_plexusComponentListResourceResponse->data[i]));
    }
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor data of type nexus_rest_api_ns0_plexusComponentListResourceResponse...\n");
#endif
    free(_plexusComponentListResourceResponse->data);
  }
}
#endif /* DEF_nexus_rest_api_ns0_plexusComponentListResourceResponse_M */
#ifndef DEF_nexus_rest_api_ns0_privilege_M
#define DEF_nexus_rest_api_ns0_privilege_M

/**
 * Reads a PrivilegeResource from XML. The reader is assumed to be at the start element.
 *
 * @return the PrivilegeResource, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_privilege *xmlTextReaderReadNs0PrivilegeType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct nexus_rest_api_ns0_privilege *_privilegeResource = calloc(1, sizeof(struct nexus_rest_api_ns0_privilege));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0PrivilegeType(_privilegeResource);
        free(_privilegeResource);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "name", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}name of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}name of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0PrivilegeType(_privilegeResource);
          free(_privilegeResource);
          return NULL;
        }

        _privilegeResource->name = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "type", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}type of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}type of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0PrivilegeType(_privilegeResource);
          free(_privilegeResource);
          return NULL;
        }

        _privilegeResource->type = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "description", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}description of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}description of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0PrivilegeType(_privilegeResource);
          free(_privilegeResource);
          return NULL;
        }

        _privilegeResource->description = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "methods", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

        if (xmlTextReaderIsEmptyElement(reader) == 0) {
#if DEBUG_ENUNCIATE > 1
          printf("Unwrapping wrapper element {}methods...\n");
#endif
          //start wrapper element "{}methods"
          status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
          while (xmlTextReaderDepth(reader) > (depth + 1)) {
            if (status < 1) {
              //panic: XML read error.
#if DEBUG_ENUNCIATE
              printf("Failure to advance to next child element.\n");
#endif
              freeNs0PrivilegeType(_privilegeResource);
              free(_privilegeResource);
              return NULL;
            }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "method", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}method of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}method of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0PrivilegeType(_privilegeResource);
          free(_privilegeResource);
          return NULL;
        }

        _privilegeResource->method = realloc(_privilegeResource->method, (_privilegeResource->_sizeof_method + 1) * sizeof(xmlChar));
        memcpy(&(_privilegeResource->method[_privilegeResource->_sizeof_method++]), _child_accessor, sizeof(xmlChar));
        free(_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
          } // end "while in wrapper element" loop
        } //end "if empty element" clause

        if (status < 1) {
          //panic: XML read error.
#if DEBUG_ENUNCIATE
          printf("Failed to advance to end wrapper element {}methods.\n");
#endif
          freeNs0PrivilegeType(_privilegeResource);
          free(_privilegeResource);
          return NULL;
        }
        else {
          //end wrapper element "{}methods"
          status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
        }
      } // end "if wrapper element" clause
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "repositoryTargetId", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}repositoryTargetId of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}repositoryTargetId of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0PrivilegeType(_privilegeResource);
          free(_privilegeResource);
          return NULL;
        }

        _privilegeResource->repositoryTargetId = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "repositoryId", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}repositoryId of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}repositoryId of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0PrivilegeType(_privilegeResource);
          free(_privilegeResource);
          return NULL;
        }

        _privilegeResource->repositoryId = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "repositoryGroupId", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}repositoryGroupId of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}repositoryGroupId of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0PrivilegeType(_privilegeResource);
          free(_privilegeResource);
          return NULL;
        }

        _privilegeResource->repositoryGroupId = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}privilege.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}privilege. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _privilegeResource;
}

/**
 * Writes a PrivilegeResource to XML.
 *
 * @param writer The XML writer.
 * @param _privilegeResource The PrivilegeResource to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0PrivilegeType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_privilege *_privilegeResource) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;
  if (_privilegeResource->name != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "name", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}name. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}name...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_privilegeResource->name));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}name. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}name. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_privilegeResource->type != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "type", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}type. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}type...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_privilegeResource->type));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}type. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}type. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_privilegeResource->description != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "description", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}description. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}description...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_privilegeResource->description));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}description. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}description. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  if (_privilegeResource->method != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "methods", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}methods. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  for (i = 0; i < _privilegeResource->_sizeof_method; i++) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "method", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}method. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}method...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, &(_privilegeResource->method[i]));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}method. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}method. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  if (_privilegeResource->method != NULL) {
    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}methods. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_privilegeResource->repositoryTargetId != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "repositoryTargetId", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}repositoryTargetId. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}repositoryTargetId...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_privilegeResource->repositoryTargetId));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}repositoryTargetId. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}repositoryTargetId. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_privilegeResource->repositoryId != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "repositoryId", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}repositoryId. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}repositoryId...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_privilegeResource->repositoryId));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}repositoryId. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}repositoryId. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_privilegeResource->repositoryGroupId != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "repositoryGroupId", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}repositoryGroupId. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}repositoryGroupId...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_privilegeResource->repositoryGroupId));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}repositoryGroupId. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}repositoryGroupId. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a PrivilegeResource.
 *
 * @param _privilegeResource The PrivilegeResource to free.
 */
static void freeNs0PrivilegeType(struct nexus_rest_api_ns0_privilege *_privilegeResource) {
  int i;
  if (_privilegeResource->name != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor name of type nexus_rest_api_ns0_privilege...\n");
#endif
    freeXsStringType(_privilegeResource->name);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor name of type nexus_rest_api_ns0_privilege...\n");
#endif
    free(_privilegeResource->name);
  }
  if (_privilegeResource->type != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor type of type nexus_rest_api_ns0_privilege...\n");
#endif
    freeXsStringType(_privilegeResource->type);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor type of type nexus_rest_api_ns0_privilege...\n");
#endif
    free(_privilegeResource->type);
  }
  if (_privilegeResource->description != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor description of type nexus_rest_api_ns0_privilege...\n");
#endif
    freeXsStringType(_privilegeResource->description);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor description of type nexus_rest_api_ns0_privilege...\n");
#endif
    free(_privilegeResource->description);
  }
  if (_privilegeResource->method != NULL) {
    for (i = 0; i < _privilegeResource->_sizeof_method; i++) {
#if DEBUG_ENUNCIATE > 1
      printf("Freeing accessor method[%i] of type nexus_rest_api_ns0_privilege...\n", i);
#endif
      freeXsStringType(&(_privilegeResource->method[i]));
    }
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor method of type nexus_rest_api_ns0_privilege...\n");
#endif
    free(_privilegeResource->method);
  }
  if (_privilegeResource->repositoryTargetId != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor repositoryTargetId of type nexus_rest_api_ns0_privilege...\n");
#endif
    freeXsStringType(_privilegeResource->repositoryTargetId);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor repositoryTargetId of type nexus_rest_api_ns0_privilege...\n");
#endif
    free(_privilegeResource->repositoryTargetId);
  }
  if (_privilegeResource->repositoryId != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor repositoryId of type nexus_rest_api_ns0_privilege...\n");
#endif
    freeXsStringType(_privilegeResource->repositoryId);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor repositoryId of type nexus_rest_api_ns0_privilege...\n");
#endif
    free(_privilegeResource->repositoryId);
  }
  if (_privilegeResource->repositoryGroupId != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor repositoryGroupId of type nexus_rest_api_ns0_privilege...\n");
#endif
    freeXsStringType(_privilegeResource->repositoryGroupId);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor repositoryGroupId of type nexus_rest_api_ns0_privilege...\n");
#endif
    free(_privilegeResource->repositoryGroupId);
  }
}
#endif /* DEF_nexus_rest_api_ns0_privilege_M */
#ifndef DEF_nexus_rest_api_ns0_privilegeResourceRequest_M
#define DEF_nexus_rest_api_ns0_privilegeResourceRequest_M

/**
 * Reads a PrivilegeResourceRequest element from XML. The element to be read is "privilege", and
 * it is assumed that the reader is pointing to the XML document (not the element).
 *
 * @param reader The XML reader.
 * @return The PrivilegeResourceRequest, or NULL in case of error.
 */
struct nexus_rest_api_ns0_privilegeResourceRequest *xml_read_nexus_rest_api_ns0_privilegeResourceRequest(xmlTextReaderPtr reader) {
  int status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
  return xmlTextReaderReadNs0PrivilegeElement(reader);
}

/**
 * Writes a PrivilegeResourceRequest to XML under element name "privilege".
 *
 * @param writer The XML writer.
 * @param _privilegeResourceRequest The PrivilegeResourceRequest to write.
 * @return 1 if successful, 0 otherwise.
 */
int xml_write_nexus_rest_api_ns0_privilegeResourceRequest(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_privilegeResourceRequest *_privilegeResourceRequest) {
  return xmlTextWriterWriteNs0PrivilegeElementNS(writer, _privilegeResourceRequest, 1);
}

/**
 * Frees a PrivilegeResourceRequest.
 *
 * @param _privilegeResourceRequest The PrivilegeResourceRequest to free.
 */
void free_nexus_rest_api_ns0_privilegeResourceRequest(struct nexus_rest_api_ns0_privilegeResourceRequest *_privilegeResourceRequest) {
  freeNs0PrivilegeResourceRequestType(_privilegeResourceRequest);
  free(_privilegeResourceRequest);
}

/**
 * Reads a PrivilegeResourceRequest element from XML. The element to be read is "privilege", and
 * it is assumed that the reader is pointing to that element.
 *
 * @param reader The XML reader.
 * @return The PrivilegeResourceRequest, or NULL in case of error.
 */
struct nexus_rest_api_ns0_privilegeResourceRequest *xmlTextReaderReadNs0PrivilegeElement(xmlTextReaderPtr reader) {
  struct nexus_rest_api_ns0_privilegeResourceRequest *_privilegeResourceRequest = NULL;

  if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
    && xmlStrcmp(BAD_CAST "privilege", xmlTextReaderConstLocalName(reader)) == 0
    && xmlTextReaderConstNamespaceUri(reader) == NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Attempting to read root element {}privilege.\n");
#endif
    _privilegeResourceRequest = xmlTextReaderReadNs0PrivilegeResourceRequestType(reader);
  }
#if DEBUG_ENUNCIATE
  if (_privilegeResourceRequest == NULL) {
    if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
      printf("attempt to read {}privilege failed. current element: {}%s\n",  xmlTextReaderConstLocalName(reader));
    }
    else {
      printf("attempt to read {}privilege failed. current element: {%s}%s\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
    }
  }
#endif

  return _privilegeResourceRequest;
}

/**
 * Writes a PrivilegeResourceRequest to XML under element name "privilege".
 * Does NOT write the namespace prefixes.
 *
 * @param writer The XML writer.
 * @param _privilegeResourceRequest The PrivilegeResourceRequest to write.
 * @return 1 if successful, 0 otherwise.
 */
static int xmlTextWriterWriteNs0PrivilegeElement(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_privilegeResourceRequest *_privilegeResourceRequest) {
  return xmlTextWriterWriteNs0PrivilegeElementNS(writer, _privilegeResourceRequest, 0);
}

/**
 * Writes a PrivilegeResourceRequest to XML under element name "privilege".
 *
 * @param writer The XML writer.
 * @param _privilegeResourceRequest The PrivilegeResourceRequest to write.
 * @param writeNamespaces Whether to write the namespace prefixes.
 * @return 1 if successful, 0 otherwise.
 */
static int xmlTextWriterWriteNs0PrivilegeElementNS(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_privilegeResourceRequest *_privilegeResourceRequest, int writeNamespaces) {
  int totalBytes = 0;
  int status;

  status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "privilege", NULL);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to write start element {}privilege. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

#if DEBUG_ENUNCIATE > 1
  printf("writing type {}privilegeResourceRequest for root element {}privilege...\n");
#endif
  status = xmlTextWriterWriteNs0PrivilegeResourceRequestType(writer, _privilegeResourceRequest);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to write type for start element {}privilege. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

  status = xmlTextWriterEndElement(writer);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to end element {}privilege. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

  return totalBytes;
}

/**
 * Frees the children of a PrivilegeResourceRequest.
 *
 * @param _privilegeResourceRequest The PrivilegeResourceRequest whose children are to be free.
 */
static void freeNs0PrivilegeElement(struct nexus_rest_api_ns0_privilegeResourceRequest *_privilegeResourceRequest) {
  freeNs0PrivilegeResourceRequestType(_privilegeResourceRequest);
}

/**
 * Reads a PrivilegeResourceRequest from XML. The reader is assumed to be at the start element.
 *
 * @return the PrivilegeResourceRequest, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_privilegeResourceRequest *xmlTextReaderReadNs0PrivilegeResourceRequestType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct nexus_rest_api_ns0_privilegeResourceRequest *_privilegeResourceRequest = calloc(1, sizeof(struct nexus_rest_api_ns0_privilegeResourceRequest));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0PrivilegeResourceRequestType(_privilegeResourceRequest);
        free(_privilegeResourceRequest);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "data", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}data of type {}privilege.\n");
#endif
        _child_accessor = xmlTextReaderReadNs0PrivilegeType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}data of type {}privilege.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0PrivilegeResourceRequestType(_privilegeResourceRequest);
          free(_privilegeResourceRequest);
          return NULL;
        }

        _privilegeResourceRequest->data = ((struct nexus_rest_api_ns0_privilege*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}privilegeResourceRequest.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}privilegeResourceRequest. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _privilegeResourceRequest;
}

/**
 * Writes a PrivilegeResourceRequest to XML.
 *
 * @param writer The XML writer.
 * @param _privilegeResourceRequest The PrivilegeResourceRequest to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0PrivilegeResourceRequestType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_privilegeResourceRequest *_privilegeResourceRequest) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;
  if (_privilegeResourceRequest->data != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "data", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {}privilege for element {}data...\n", status);
#endif
    status = xmlTextWriterWriteNs0PrivilegeType(writer, (_privilegeResourceRequest->data));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {}privilege for element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a PrivilegeResourceRequest.
 *
 * @param _privilegeResourceRequest The PrivilegeResourceRequest to free.
 */
static void freeNs0PrivilegeResourceRequestType(struct nexus_rest_api_ns0_privilegeResourceRequest *_privilegeResourceRequest) {
  int i;
  if (_privilegeResourceRequest->data != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor data of type nexus_rest_api_ns0_privilegeResourceRequest...\n");
#endif
    freeNs0PrivilegeType(_privilegeResourceRequest->data);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor data of type nexus_rest_api_ns0_privilegeResourceRequest...\n");
#endif
    free(_privilegeResourceRequest->data);
  }
}
#endif /* DEF_nexus_rest_api_ns0_privilegeResourceRequest_M */
#ifndef DEF_nexus_rest_api_ns0_remote_connection_settings_M
#define DEF_nexus_rest_api_ns0_remote_connection_settings_M

/**
 * Reads a RemoteConnectionSettings from XML. The reader is assumed to be at the start element.
 *
 * @return the RemoteConnectionSettings, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_remote_connection_settings *xmlTextReaderReadNs0Remote_connection_settingsType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct nexus_rest_api_ns0_remote_connection_settings *_remoteConnectionSettings = calloc(1, sizeof(struct nexus_rest_api_ns0_remote_connection_settings));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0Remote_connection_settingsType(_remoteConnectionSettings);
        free(_remoteConnectionSettings);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "connectionTimeout", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}connectionTimeout of type {http://www.w3.org/2001/XMLSchema}int.\n");
#endif
        _child_accessor = xmlTextReaderReadXsIntType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}connectionTimeout of type {http://www.w3.org/2001/XMLSchema}int.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Remote_connection_settingsType(_remoteConnectionSettings);
          free(_remoteConnectionSettings);
          return NULL;
        }

        _remoteConnectionSettings->connectionTimeout = *((int*)_child_accessor);
        free(_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "retrievalRetryCount", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}retrievalRetryCount of type {http://www.w3.org/2001/XMLSchema}int.\n");
#endif
        _child_accessor = xmlTextReaderReadXsIntType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}retrievalRetryCount of type {http://www.w3.org/2001/XMLSchema}int.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Remote_connection_settingsType(_remoteConnectionSettings);
          free(_remoteConnectionSettings);
          return NULL;
        }

        _remoteConnectionSettings->retrievalRetryCount = *((int*)_child_accessor);
        free(_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "queryString", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}queryString of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}queryString of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Remote_connection_settingsType(_remoteConnectionSettings);
          free(_remoteConnectionSettings);
          return NULL;
        }

        _remoteConnectionSettings->queryString = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "userAgentString", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}userAgentString of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}userAgentString of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Remote_connection_settingsType(_remoteConnectionSettings);
          free(_remoteConnectionSettings);
          return NULL;
        }

        _remoteConnectionSettings->userAgentString = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}remote-connection-settings.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}remote-connection-settings. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _remoteConnectionSettings;
}

/**
 * Writes a RemoteConnectionSettings to XML.
 *
 * @param writer The XML writer.
 * @param _remoteConnectionSettings The RemoteConnectionSettings to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0Remote_connection_settingsType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_remote_connection_settings *_remoteConnectionSettings) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;
  if (1) { //always write the primitive element.
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "connectionTimeout", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}connectionTimeout. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}int for element {}connectionTimeout...\n", status);
#endif
    status = xmlTextWriterWriteXsIntType(writer, &(_remoteConnectionSettings->connectionTimeout));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}int for element {}connectionTimeout. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}connectionTimeout. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (1) { //always write the primitive element.
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "retrievalRetryCount", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}retrievalRetryCount. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}int for element {}retrievalRetryCount...\n", status);
#endif
    status = xmlTextWriterWriteXsIntType(writer, &(_remoteConnectionSettings->retrievalRetryCount));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}int for element {}retrievalRetryCount. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}retrievalRetryCount. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_remoteConnectionSettings->queryString != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "queryString", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}queryString. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}queryString...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_remoteConnectionSettings->queryString));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}queryString. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}queryString. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_remoteConnectionSettings->userAgentString != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "userAgentString", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}userAgentString. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}userAgentString...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_remoteConnectionSettings->userAgentString));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}userAgentString. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}userAgentString. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a RemoteConnectionSettings.
 *
 * @param _remoteConnectionSettings The RemoteConnectionSettings to free.
 */
static void freeNs0Remote_connection_settingsType(struct nexus_rest_api_ns0_remote_connection_settings *_remoteConnectionSettings) {
  int i;
  if (_remoteConnectionSettings->queryString != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor queryString of type nexus_rest_api_ns0_remote_connection_settings...\n");
#endif
    freeXsStringType(_remoteConnectionSettings->queryString);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor queryString of type nexus_rest_api_ns0_remote_connection_settings...\n");
#endif
    free(_remoteConnectionSettings->queryString);
  }
  if (_remoteConnectionSettings->userAgentString != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor userAgentString of type nexus_rest_api_ns0_remote_connection_settings...\n");
#endif
    freeXsStringType(_remoteConnectionSettings->userAgentString);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor userAgentString of type nexus_rest_api_ns0_remote_connection_settings...\n");
#endif
    free(_remoteConnectionSettings->userAgentString);
  }
}
#endif /* DEF_nexus_rest_api_ns0_remote_connection_settings_M */
#ifndef DEF_nexus_rest_api_ns0_remote_http_proxy_settings_M
#define DEF_nexus_rest_api_ns0_remote_http_proxy_settings_M

/**
 * Reads a RemoteHttpProxySettings from XML. The reader is assumed to be at the start element.
 *
 * @return the RemoteHttpProxySettings, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_remote_http_proxy_settings *xmlTextReaderReadNs0Remote_http_proxy_settingsType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct nexus_rest_api_ns0_remote_http_proxy_settings *_remoteHttpProxySettings = calloc(1, sizeof(struct nexus_rest_api_ns0_remote_http_proxy_settings));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0Remote_http_proxy_settingsType(_remoteHttpProxySettings);
        free(_remoteHttpProxySettings);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "proxyHostname", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}proxyHostname of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}proxyHostname of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Remote_http_proxy_settingsType(_remoteHttpProxySettings);
          free(_remoteHttpProxySettings);
          return NULL;
        }

        _remoteHttpProxySettings->proxyHostname = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "proxyPort", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}proxyPort of type {http://www.w3.org/2001/XMLSchema}int.\n");
#endif
        _child_accessor = xmlTextReaderReadXsIntType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}proxyPort of type {http://www.w3.org/2001/XMLSchema}int.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Remote_http_proxy_settingsType(_remoteHttpProxySettings);
          free(_remoteHttpProxySettings);
          return NULL;
        }

        _remoteHttpProxySettings->proxyPort = *((int*)_child_accessor);
        free(_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "authentication", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}authentication of type {}authentication-settings.\n");
#endif
        _child_accessor = xmlTextReaderReadNs0Authentication_settingsType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}authentication of type {}authentication-settings.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Remote_http_proxy_settingsType(_remoteHttpProxySettings);
          free(_remoteHttpProxySettings);
          return NULL;
        }

        _remoteHttpProxySettings->authentication = ((struct nexus_rest_api_ns0_authentication_settings*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "nonProxyHosts", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}nonProxyHosts of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}nonProxyHosts of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Remote_http_proxy_settingsType(_remoteHttpProxySettings);
          free(_remoteHttpProxySettings);
          return NULL;
        }

        _remoteHttpProxySettings->nonProxyHosts = realloc(_remoteHttpProxySettings->nonProxyHosts, (_remoteHttpProxySettings->_sizeof_nonProxyHosts + 1) * sizeof(xmlChar));
        memcpy(&(_remoteHttpProxySettings->nonProxyHosts[_remoteHttpProxySettings->_sizeof_nonProxyHosts++]), _child_accessor, sizeof(xmlChar));
        free(_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}remote-http-proxy-settings.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}remote-http-proxy-settings. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _remoteHttpProxySettings;
}

/**
 * Writes a RemoteHttpProxySettings to XML.
 *
 * @param writer The XML writer.
 * @param _remoteHttpProxySettings The RemoteHttpProxySettings to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0Remote_http_proxy_settingsType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_remote_http_proxy_settings *_remoteHttpProxySettings) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;
  if (_remoteHttpProxySettings->proxyHostname != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "proxyHostname", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}proxyHostname. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}proxyHostname...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_remoteHttpProxySettings->proxyHostname));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}proxyHostname. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}proxyHostname. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (1) { //always write the primitive element.
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "proxyPort", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}proxyPort. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}int for element {}proxyPort...\n", status);
#endif
    status = xmlTextWriterWriteXsIntType(writer, &(_remoteHttpProxySettings->proxyPort));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}int for element {}proxyPort. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}proxyPort. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_remoteHttpProxySettings->authentication != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "authentication", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}authentication. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {}authentication-settings for element {}authentication...\n", status);
#endif
    status = xmlTextWriterWriteNs0Authentication_settingsType(writer, (_remoteHttpProxySettings->authentication));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {}authentication-settings for element {}authentication. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}authentication. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  for (i = 0; i < _remoteHttpProxySettings->_sizeof_nonProxyHosts; i++) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "nonProxyHosts", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}nonProxyHosts. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}nonProxyHosts...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, &(_remoteHttpProxySettings->nonProxyHosts[i]));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}nonProxyHosts. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}nonProxyHosts. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a RemoteHttpProxySettings.
 *
 * @param _remoteHttpProxySettings The RemoteHttpProxySettings to free.
 */
static void freeNs0Remote_http_proxy_settingsType(struct nexus_rest_api_ns0_remote_http_proxy_settings *_remoteHttpProxySettings) {
  int i;
  if (_remoteHttpProxySettings->proxyHostname != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor proxyHostname of type nexus_rest_api_ns0_remote_http_proxy_settings...\n");
#endif
    freeXsStringType(_remoteHttpProxySettings->proxyHostname);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor proxyHostname of type nexus_rest_api_ns0_remote_http_proxy_settings...\n");
#endif
    free(_remoteHttpProxySettings->proxyHostname);
  }
  if (_remoteHttpProxySettings->authentication != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor authentication of type nexus_rest_api_ns0_remote_http_proxy_settings...\n");
#endif
    freeNs0Authentication_settingsType(_remoteHttpProxySettings->authentication);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor authentication of type nexus_rest_api_ns0_remote_http_proxy_settings...\n");
#endif
    free(_remoteHttpProxySettings->authentication);
  }
  if (_remoteHttpProxySettings->nonProxyHosts != NULL) {
    for (i = 0; i < _remoteHttpProxySettings->_sizeof_nonProxyHosts; i++) {
#if DEBUG_ENUNCIATE > 1
      printf("Freeing accessor nonProxyHosts[%i] of type nexus_rest_api_ns0_remote_http_proxy_settings...\n", i);
#endif
      freeXsStringType(&(_remoteHttpProxySettings->nonProxyHosts[i]));
    }
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor nonProxyHosts of type nexus_rest_api_ns0_remote_http_proxy_settings...\n");
#endif
    free(_remoteHttpProxySettings->nonProxyHosts);
  }
}
#endif /* DEF_nexus_rest_api_ns0_remote_http_proxy_settings_M */
#ifndef DEF_nexus_rest_api_ns0_base_repository_M
#define DEF_nexus_rest_api_ns0_base_repository_M

/**
 * Reads a RepositoryBaseResource from XML. The reader is assumed to be at the start element.
 *
 * @return the RepositoryBaseResource, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_base_repository *xmlTextReaderReadNs0Base_repositoryType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct nexus_rest_api_ns0_base_repository *_repositoryBaseResource = calloc(1, sizeof(struct nexus_rest_api_ns0_base_repository));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0Base_repositoryType(_repositoryBaseResource);
        free(_repositoryBaseResource);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "contentResourceURI", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}contentResourceURI of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}contentResourceURI of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Base_repositoryType(_repositoryBaseResource);
          free(_repositoryBaseResource);
          return NULL;
        }

        _repositoryBaseResource->contentResourceURI = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "id", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}id of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}id of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Base_repositoryType(_repositoryBaseResource);
          free(_repositoryBaseResource);
          return NULL;
        }

        _repositoryBaseResource->id = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "name", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}name of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}name of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Base_repositoryType(_repositoryBaseResource);
          free(_repositoryBaseResource);
          return NULL;
        }

        _repositoryBaseResource->name = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "provider", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}provider of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}provider of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Base_repositoryType(_repositoryBaseResource);
          free(_repositoryBaseResource);
          return NULL;
        }

        _repositoryBaseResource->provider = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "providerRole", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}providerRole of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}providerRole of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Base_repositoryType(_repositoryBaseResource);
          free(_repositoryBaseResource);
          return NULL;
        }

        _repositoryBaseResource->providerRole = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "format", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}format of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}format of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Base_repositoryType(_repositoryBaseResource);
          free(_repositoryBaseResource);
          return NULL;
        }

        _repositoryBaseResource->format = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "repoType", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}repoType of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}repoType of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Base_repositoryType(_repositoryBaseResource);
          free(_repositoryBaseResource);
          return NULL;
        }

        _repositoryBaseResource->repoType = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "exposed", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}exposed of type {http://www.w3.org/2001/XMLSchema}boolean.\n");
#endif
        _child_accessor = xmlTextReaderReadXsBooleanType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}exposed of type {http://www.w3.org/2001/XMLSchema}boolean.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Base_repositoryType(_repositoryBaseResource);
          free(_repositoryBaseResource);
          return NULL;
        }

        _repositoryBaseResource->exposed = *((int*)_child_accessor);
        free(_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}base-repository.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}base-repository. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _repositoryBaseResource;
}

/**
 * Writes a RepositoryBaseResource to XML.
 *
 * @param writer The XML writer.
 * @param _repositoryBaseResource The RepositoryBaseResource to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0Base_repositoryType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_base_repository *_repositoryBaseResource) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;
  if (_repositoryBaseResource->contentResourceURI != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "contentResourceURI", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}contentResourceURI. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}contentResourceURI...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_repositoryBaseResource->contentResourceURI));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}contentResourceURI. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}contentResourceURI. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_repositoryBaseResource->id != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "id", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}id. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}id...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_repositoryBaseResource->id));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}id. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}id. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_repositoryBaseResource->name != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "name", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}name. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}name...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_repositoryBaseResource->name));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}name. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}name. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_repositoryBaseResource->provider != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "provider", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}provider. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}provider...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_repositoryBaseResource->provider));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}provider. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}provider. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_repositoryBaseResource->providerRole != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "providerRole", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}providerRole. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}providerRole...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_repositoryBaseResource->providerRole));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}providerRole. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}providerRole. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_repositoryBaseResource->format != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "format", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}format. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}format...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_repositoryBaseResource->format));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}format. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}format. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_repositoryBaseResource->repoType != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "repoType", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}repoType. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}repoType...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_repositoryBaseResource->repoType));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}repoType. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}repoType. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (1) { //always write the primitive element.
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "exposed", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}exposed. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}boolean for element {}exposed...\n", status);
#endif
    status = xmlTextWriterWriteXsBooleanType(writer, &(_repositoryBaseResource->exposed));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}boolean for element {}exposed. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}exposed. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a RepositoryBaseResource.
 *
 * @param _repositoryBaseResource The RepositoryBaseResource to free.
 */
static void freeNs0Base_repositoryType(struct nexus_rest_api_ns0_base_repository *_repositoryBaseResource) {
  int i;
  if (_repositoryBaseResource->contentResourceURI != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor contentResourceURI of type nexus_rest_api_ns0_base_repository...\n");
#endif
    freeXsStringType(_repositoryBaseResource->contentResourceURI);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor contentResourceURI of type nexus_rest_api_ns0_base_repository...\n");
#endif
    free(_repositoryBaseResource->contentResourceURI);
  }
  if (_repositoryBaseResource->id != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor id of type nexus_rest_api_ns0_base_repository...\n");
#endif
    freeXsStringType(_repositoryBaseResource->id);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor id of type nexus_rest_api_ns0_base_repository...\n");
#endif
    free(_repositoryBaseResource->id);
  }
  if (_repositoryBaseResource->name != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor name of type nexus_rest_api_ns0_base_repository...\n");
#endif
    freeXsStringType(_repositoryBaseResource->name);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor name of type nexus_rest_api_ns0_base_repository...\n");
#endif
    free(_repositoryBaseResource->name);
  }
  if (_repositoryBaseResource->provider != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor provider of type nexus_rest_api_ns0_base_repository...\n");
#endif
    freeXsStringType(_repositoryBaseResource->provider);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor provider of type nexus_rest_api_ns0_base_repository...\n");
#endif
    free(_repositoryBaseResource->provider);
  }
  if (_repositoryBaseResource->providerRole != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor providerRole of type nexus_rest_api_ns0_base_repository...\n");
#endif
    freeXsStringType(_repositoryBaseResource->providerRole);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor providerRole of type nexus_rest_api_ns0_base_repository...\n");
#endif
    free(_repositoryBaseResource->providerRole);
  }
  if (_repositoryBaseResource->format != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor format of type nexus_rest_api_ns0_base_repository...\n");
#endif
    freeXsStringType(_repositoryBaseResource->format);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor format of type nexus_rest_api_ns0_base_repository...\n");
#endif
    free(_repositoryBaseResource->format);
  }
  if (_repositoryBaseResource->repoType != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor repoType of type nexus_rest_api_ns0_base_repository...\n");
#endif
    freeXsStringType(_repositoryBaseResource->repoType);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor repoType of type nexus_rest_api_ns0_base_repository...\n");
#endif
    free(_repositoryBaseResource->repoType);
  }
}
#endif /* DEF_nexus_rest_api_ns0_base_repository_M */
#ifndef DEF_nexus_rest_api_ns0_repository_content_class_list_resource_M
#define DEF_nexus_rest_api_ns0_repository_content_class_list_resource_M

/**
 * Reads a RepositoryContentClassListResource from XML. The reader is assumed to be at the start element.
 *
 * @return the RepositoryContentClassListResource, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_repository_content_class_list_resource *xmlTextReaderReadNs0Repository_content_class_list_resourceType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct nexus_rest_api_ns0_repository_content_class_list_resource *_repositoryContentClassListResource = calloc(1, sizeof(struct nexus_rest_api_ns0_repository_content_class_list_resource));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0Repository_content_class_list_resourceType(_repositoryContentClassListResource);
        free(_repositoryContentClassListResource);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "contentClass", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}contentClass of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}contentClass of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Repository_content_class_list_resourceType(_repositoryContentClassListResource);
          free(_repositoryContentClassListResource);
          return NULL;
        }

        _repositoryContentClassListResource->contentClass = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "name", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}name of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}name of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Repository_content_class_list_resourceType(_repositoryContentClassListResource);
          free(_repositoryContentClassListResource);
          return NULL;
        }

        _repositoryContentClassListResource->name = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}repository-content-class-list-resource.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}repository-content-class-list-resource. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _repositoryContentClassListResource;
}

/**
 * Writes a RepositoryContentClassListResource to XML.
 *
 * @param writer The XML writer.
 * @param _repositoryContentClassListResource The RepositoryContentClassListResource to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0Repository_content_class_list_resourceType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_repository_content_class_list_resource *_repositoryContentClassListResource) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;
  if (_repositoryContentClassListResource->contentClass != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "contentClass", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}contentClass. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}contentClass...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_repositoryContentClassListResource->contentClass));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}contentClass. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}contentClass. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_repositoryContentClassListResource->name != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "name", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}name. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}name...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_repositoryContentClassListResource->name));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}name. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}name. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a RepositoryContentClassListResource.
 *
 * @param _repositoryContentClassListResource The RepositoryContentClassListResource to free.
 */
static void freeNs0Repository_content_class_list_resourceType(struct nexus_rest_api_ns0_repository_content_class_list_resource *_repositoryContentClassListResource) {
  int i;
  if (_repositoryContentClassListResource->contentClass != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor contentClass of type nexus_rest_api_ns0_repository_content_class_list_resource...\n");
#endif
    freeXsStringType(_repositoryContentClassListResource->contentClass);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor contentClass of type nexus_rest_api_ns0_repository_content_class_list_resource...\n");
#endif
    free(_repositoryContentClassListResource->contentClass);
  }
  if (_repositoryContentClassListResource->name != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor name of type nexus_rest_api_ns0_repository_content_class_list_resource...\n");
#endif
    freeXsStringType(_repositoryContentClassListResource->name);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor name of type nexus_rest_api_ns0_repository_content_class_list_resource...\n");
#endif
    free(_repositoryContentClassListResource->name);
  }
}
#endif /* DEF_nexus_rest_api_ns0_repository_content_class_list_resource_M */
#ifndef DEF_nexus_rest_api_ns0_repositoryContentClassListResourceResponse_M
#define DEF_nexus_rest_api_ns0_repositoryContentClassListResourceResponse_M

/**
 * Reads a RepositoryContentClassListResourceResponse element from XML. The element to be read is "repo-content-classes-list", and
 * it is assumed that the reader is pointing to the XML document (not the element).
 *
 * @param reader The XML reader.
 * @return The RepositoryContentClassListResourceResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_repositoryContentClassListResourceResponse *xml_read_nexus_rest_api_ns0_repositoryContentClassListResourceResponse(xmlTextReaderPtr reader) {
  int status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
  return xmlTextReaderReadNs0Repo_content_classes_listElement(reader);
}

/**
 * Writes a RepositoryContentClassListResourceResponse to XML under element name "repo-content-classes-list".
 *
 * @param writer The XML writer.
 * @param _repositoryContentClassListResourceResponse The RepositoryContentClassListResourceResponse to write.
 * @return 1 if successful, 0 otherwise.
 */
int xml_write_nexus_rest_api_ns0_repositoryContentClassListResourceResponse(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_repositoryContentClassListResourceResponse *_repositoryContentClassListResourceResponse) {
  return xmlTextWriterWriteNs0Repo_content_classes_listElementNS(writer, _repositoryContentClassListResourceResponse, 1);
}

/**
 * Frees a RepositoryContentClassListResourceResponse.
 *
 * @param _repositoryContentClassListResourceResponse The RepositoryContentClassListResourceResponse to free.
 */
void free_nexus_rest_api_ns0_repositoryContentClassListResourceResponse(struct nexus_rest_api_ns0_repositoryContentClassListResourceResponse *_repositoryContentClassListResourceResponse) {
  freeNs0RepositoryContentClassListResourceResponseType(_repositoryContentClassListResourceResponse);
  free(_repositoryContentClassListResourceResponse);
}

/**
 * Reads a RepositoryContentClassListResourceResponse element from XML. The element to be read is "repo-content-classes-list", and
 * it is assumed that the reader is pointing to that element.
 *
 * @param reader The XML reader.
 * @return The RepositoryContentClassListResourceResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_repositoryContentClassListResourceResponse *xmlTextReaderReadNs0Repo_content_classes_listElement(xmlTextReaderPtr reader) {
  struct nexus_rest_api_ns0_repositoryContentClassListResourceResponse *_repositoryContentClassListResourceResponse = NULL;

  if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
    && xmlStrcmp(BAD_CAST "repo-content-classes-list", xmlTextReaderConstLocalName(reader)) == 0
    && xmlTextReaderConstNamespaceUri(reader) == NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Attempting to read root element {}repo-content-classes-list.\n");
#endif
    _repositoryContentClassListResourceResponse = xmlTextReaderReadNs0RepositoryContentClassListResourceResponseType(reader);
  }
#if DEBUG_ENUNCIATE
  if (_repositoryContentClassListResourceResponse == NULL) {
    if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
      printf("attempt to read {}repo-content-classes-list failed. current element: {}%s\n",  xmlTextReaderConstLocalName(reader));
    }
    else {
      printf("attempt to read {}repo-content-classes-list failed. current element: {%s}%s\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
    }
  }
#endif

  return _repositoryContentClassListResourceResponse;
}

/**
 * Writes a RepositoryContentClassListResourceResponse to XML under element name "repo-content-classes-list".
 * Does NOT write the namespace prefixes.
 *
 * @param writer The XML writer.
 * @param _repositoryContentClassListResourceResponse The RepositoryContentClassListResourceResponse to write.
 * @return 1 if successful, 0 otherwise.
 */
static int xmlTextWriterWriteNs0Repo_content_classes_listElement(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_repositoryContentClassListResourceResponse *_repositoryContentClassListResourceResponse) {
  return xmlTextWriterWriteNs0Repo_content_classes_listElementNS(writer, _repositoryContentClassListResourceResponse, 0);
}

/**
 * Writes a RepositoryContentClassListResourceResponse to XML under element name "repo-content-classes-list".
 *
 * @param writer The XML writer.
 * @param _repositoryContentClassListResourceResponse The RepositoryContentClassListResourceResponse to write.
 * @param writeNamespaces Whether to write the namespace prefixes.
 * @return 1 if successful, 0 otherwise.
 */
static int xmlTextWriterWriteNs0Repo_content_classes_listElementNS(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_repositoryContentClassListResourceResponse *_repositoryContentClassListResourceResponse, int writeNamespaces) {
  int totalBytes = 0;
  int status;

  status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "repo-content-classes-list", NULL);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to write start element {}repo-content-classes-list. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

#if DEBUG_ENUNCIATE > 1
  printf("writing type {}repositoryContentClassListResourceResponse for root element {}repo-content-classes-list...\n");
#endif
  status = xmlTextWriterWriteNs0RepositoryContentClassListResourceResponseType(writer, _repositoryContentClassListResourceResponse);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to write type for start element {}repo-content-classes-list. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

  status = xmlTextWriterEndElement(writer);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to end element {}repo-content-classes-list. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

  return totalBytes;
}

/**
 * Frees the children of a RepositoryContentClassListResourceResponse.
 *
 * @param _repositoryContentClassListResourceResponse The RepositoryContentClassListResourceResponse whose children are to be free.
 */
static void freeNs0Repo_content_classes_listElement(struct nexus_rest_api_ns0_repositoryContentClassListResourceResponse *_repositoryContentClassListResourceResponse) {
  freeNs0RepositoryContentClassListResourceResponseType(_repositoryContentClassListResourceResponse);
}

/**
 * Reads a RepositoryContentClassListResourceResponse from XML. The reader is assumed to be at the start element.
 *
 * @return the RepositoryContentClassListResourceResponse, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_repositoryContentClassListResourceResponse *xmlTextReaderReadNs0RepositoryContentClassListResourceResponseType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct nexus_rest_api_ns0_repositoryContentClassListResourceResponse *_repositoryContentClassListResourceResponse = calloc(1, sizeof(struct nexus_rest_api_ns0_repositoryContentClassListResourceResponse));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0RepositoryContentClassListResourceResponseType(_repositoryContentClassListResourceResponse);
        free(_repositoryContentClassListResourceResponse);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "data", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

        if (xmlTextReaderIsEmptyElement(reader) == 0) {
#if DEBUG_ENUNCIATE > 1
          printf("Unwrapping wrapper element {}data...\n");
#endif
          //start wrapper element "{}data"
          status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
          while (xmlTextReaderDepth(reader) > (depth + 1)) {
            if (status < 1) {
              //panic: XML read error.
#if DEBUG_ENUNCIATE
              printf("Failure to advance to next child element.\n");
#endif
              freeNs0RepositoryContentClassListResourceResponseType(_repositoryContentClassListResourceResponse);
              free(_repositoryContentClassListResourceResponse);
              return NULL;
            }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "repo-content-classes-list-item", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}repo-content-classes-list-item of type {}repository-content-class-list-resource.\n");
#endif
        _child_accessor = xmlTextReaderReadNs0Repository_content_class_list_resourceType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}repo-content-classes-list-item of type {}repository-content-class-list-resource.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0RepositoryContentClassListResourceResponseType(_repositoryContentClassListResourceResponse);
          free(_repositoryContentClassListResourceResponse);
          return NULL;
        }

        _repositoryContentClassListResourceResponse->data = realloc(_repositoryContentClassListResourceResponse->data, (_repositoryContentClassListResourceResponse->_sizeof_data + 1) * sizeof(struct nexus_rest_api_ns0_repository_content_class_list_resource));
        memcpy(&(_repositoryContentClassListResourceResponse->data[_repositoryContentClassListResourceResponse->_sizeof_data++]), _child_accessor, sizeof(struct nexus_rest_api_ns0_repository_content_class_list_resource));
        free(_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
          } // end "while in wrapper element" loop
        } //end "if empty element" clause

        if (status < 1) {
          //panic: XML read error.
#if DEBUG_ENUNCIATE
          printf("Failed to advance to end wrapper element {}data.\n");
#endif
          freeNs0RepositoryContentClassListResourceResponseType(_repositoryContentClassListResourceResponse);
          free(_repositoryContentClassListResourceResponse);
          return NULL;
        }
        else {
          //end wrapper element "{}data"
          status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
        }
      } // end "if wrapper element" clause
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}repositoryContentClassListResourceResponse.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}repositoryContentClassListResourceResponse. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _repositoryContentClassListResourceResponse;
}

/**
 * Writes a RepositoryContentClassListResourceResponse to XML.
 *
 * @param writer The XML writer.
 * @param _repositoryContentClassListResourceResponse The RepositoryContentClassListResourceResponse to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0RepositoryContentClassListResourceResponseType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_repositoryContentClassListResourceResponse *_repositoryContentClassListResourceResponse) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;

  if (_repositoryContentClassListResourceResponse->data != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "data", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  for (i = 0; i < _repositoryContentClassListResourceResponse->_sizeof_data; i++) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "repo-content-classes-list-item", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}repo-content-classes-list-item. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {}repository-content-class-list-resource for element {}repo-content-classes-list-item...\n", status);
#endif
    status = xmlTextWriterWriteNs0Repository_content_class_list_resourceType(writer, &(_repositoryContentClassListResourceResponse->data[i]));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {}repository-content-class-list-resource for element {}repo-content-classes-list-item. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}repo-content-classes-list-item. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  if (_repositoryContentClassListResourceResponse->data != NULL) {
    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a RepositoryContentClassListResourceResponse.
 *
 * @param _repositoryContentClassListResourceResponse The RepositoryContentClassListResourceResponse to free.
 */
static void freeNs0RepositoryContentClassListResourceResponseType(struct nexus_rest_api_ns0_repositoryContentClassListResourceResponse *_repositoryContentClassListResourceResponse) {
  int i;
  if (_repositoryContentClassListResourceResponse->data != NULL) {
    for (i = 0; i < _repositoryContentClassListResourceResponse->_sizeof_data; i++) {
#if DEBUG_ENUNCIATE > 1
      printf("Freeing accessor data[%i] of type nexus_rest_api_ns0_repositoryContentClassListResourceResponse...\n", i);
#endif
      freeNs0Repository_content_class_list_resourceType(&(_repositoryContentClassListResourceResponse->data[i]));
    }
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor data of type nexus_rest_api_ns0_repositoryContentClassListResourceResponse...\n");
#endif
    free(_repositoryContentClassListResourceResponse->data);
  }
}
#endif /* DEF_nexus_rest_api_ns0_repositoryContentClassListResourceResponse_M */
#ifndef DEF_nexus_rest_api_ns0_repository_dependent_status_M
#define DEF_nexus_rest_api_ns0_repository_dependent_status_M

/**
 * Reads a RepositoryDependentStatusResource from XML. The reader is assumed to be at the start element.
 *
 * @return the RepositoryDependentStatusResource, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_repository_dependent_status *xmlTextReaderReadNs0Repository_dependent_statusType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct nexus_rest_api_ns0_repository_dependent_status *_repositoryDependentStatusResource = calloc(1, sizeof(struct nexus_rest_api_ns0_repository_dependent_status));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0Repository_dependent_statusType(_repositoryDependentStatusResource);
        free(_repositoryDependentStatusResource);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "id", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}id of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}id of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Repository_dependent_statusType(_repositoryDependentStatusResource);
          free(_repositoryDependentStatusResource);
          return NULL;
        }

        _repositoryDependentStatusResource->id = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "repoType", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}repoType of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}repoType of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Repository_dependent_statusType(_repositoryDependentStatusResource);
          free(_repositoryDependentStatusResource);
          return NULL;
        }

        _repositoryDependentStatusResource->repoType = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "format", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}format of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}format of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Repository_dependent_statusType(_repositoryDependentStatusResource);
          free(_repositoryDependentStatusResource);
          return NULL;
        }

        _repositoryDependentStatusResource->format = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "localStatus", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}localStatus of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}localStatus of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Repository_dependent_statusType(_repositoryDependentStatusResource);
          free(_repositoryDependentStatusResource);
          return NULL;
        }

        _repositoryDependentStatusResource->localStatus = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}repository-dependent-status.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}repository-dependent-status. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _repositoryDependentStatusResource;
}

/**
 * Writes a RepositoryDependentStatusResource to XML.
 *
 * @param writer The XML writer.
 * @param _repositoryDependentStatusResource The RepositoryDependentStatusResource to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0Repository_dependent_statusType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_repository_dependent_status *_repositoryDependentStatusResource) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;
  if (_repositoryDependentStatusResource->id != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "id", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}id. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}id...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_repositoryDependentStatusResource->id));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}id. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}id. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_repositoryDependentStatusResource->repoType != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "repoType", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}repoType. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}repoType...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_repositoryDependentStatusResource->repoType));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}repoType. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}repoType. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_repositoryDependentStatusResource->format != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "format", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}format. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}format...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_repositoryDependentStatusResource->format));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}format. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}format. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_repositoryDependentStatusResource->localStatus != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "localStatus", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}localStatus. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}localStatus...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_repositoryDependentStatusResource->localStatus));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}localStatus. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}localStatus. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a RepositoryDependentStatusResource.
 *
 * @param _repositoryDependentStatusResource The RepositoryDependentStatusResource to free.
 */
static void freeNs0Repository_dependent_statusType(struct nexus_rest_api_ns0_repository_dependent_status *_repositoryDependentStatusResource) {
  int i;
  if (_repositoryDependentStatusResource->id != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor id of type nexus_rest_api_ns0_repository_dependent_status...\n");
#endif
    freeXsStringType(_repositoryDependentStatusResource->id);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor id of type nexus_rest_api_ns0_repository_dependent_status...\n");
#endif
    free(_repositoryDependentStatusResource->id);
  }
  if (_repositoryDependentStatusResource->repoType != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor repoType of type nexus_rest_api_ns0_repository_dependent_status...\n");
#endif
    freeXsStringType(_repositoryDependentStatusResource->repoType);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor repoType of type nexus_rest_api_ns0_repository_dependent_status...\n");
#endif
    free(_repositoryDependentStatusResource->repoType);
  }
  if (_repositoryDependentStatusResource->format != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor format of type nexus_rest_api_ns0_repository_dependent_status...\n");
#endif
    freeXsStringType(_repositoryDependentStatusResource->format);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor format of type nexus_rest_api_ns0_repository_dependent_status...\n");
#endif
    free(_repositoryDependentStatusResource->format);
  }
  if (_repositoryDependentStatusResource->localStatus != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor localStatus of type nexus_rest_api_ns0_repository_dependent_status...\n");
#endif
    freeXsStringType(_repositoryDependentStatusResource->localStatus);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor localStatus of type nexus_rest_api_ns0_repository_dependent_status...\n");
#endif
    free(_repositoryDependentStatusResource->localStatus);
  }
}
#endif /* DEF_nexus_rest_api_ns0_repository_dependent_status_M */
#ifndef DEF_nexus_rest_api_ns0_repository_group_list_resource_M
#define DEF_nexus_rest_api_ns0_repository_group_list_resource_M

/**
 * Reads a RepositoryGroupListResource from XML. The reader is assumed to be at the start element.
 *
 * @return the RepositoryGroupListResource, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_repository_group_list_resource *xmlTextReaderReadNs0Repository_group_list_resourceType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct nexus_rest_api_ns0_repository_group_list_resource *_repositoryGroupListResource = calloc(1, sizeof(struct nexus_rest_api_ns0_repository_group_list_resource));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0Repository_group_list_resourceType(_repositoryGroupListResource);
        free(_repositoryGroupListResource);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "resourceURI", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}resourceURI of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}resourceURI of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Repository_group_list_resourceType(_repositoryGroupListResource);
          free(_repositoryGroupListResource);
          return NULL;
        }

        _repositoryGroupListResource->resourceURI = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "contentResourceURI", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}contentResourceURI of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}contentResourceURI of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Repository_group_list_resourceType(_repositoryGroupListResource);
          free(_repositoryGroupListResource);
          return NULL;
        }

        _repositoryGroupListResource->contentResourceURI = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "id", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}id of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}id of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Repository_group_list_resourceType(_repositoryGroupListResource);
          free(_repositoryGroupListResource);
          return NULL;
        }

        _repositoryGroupListResource->id = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "name", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}name of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}name of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Repository_group_list_resourceType(_repositoryGroupListResource);
          free(_repositoryGroupListResource);
          return NULL;
        }

        _repositoryGroupListResource->name = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "format", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}format of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}format of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Repository_group_list_resourceType(_repositoryGroupListResource);
          free(_repositoryGroupListResource);
          return NULL;
        }

        _repositoryGroupListResource->format = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "exposed", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}exposed of type {http://www.w3.org/2001/XMLSchema}boolean.\n");
#endif
        _child_accessor = xmlTextReaderReadXsBooleanType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}exposed of type {http://www.w3.org/2001/XMLSchema}boolean.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Repository_group_list_resourceType(_repositoryGroupListResource);
          free(_repositoryGroupListResource);
          return NULL;
        }

        _repositoryGroupListResource->exposed = *((int*)_child_accessor);
        free(_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}repository-group-list-resource.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}repository-group-list-resource. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _repositoryGroupListResource;
}

/**
 * Writes a RepositoryGroupListResource to XML.
 *
 * @param writer The XML writer.
 * @param _repositoryGroupListResource The RepositoryGroupListResource to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0Repository_group_list_resourceType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_repository_group_list_resource *_repositoryGroupListResource) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;
  if (_repositoryGroupListResource->resourceURI != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "resourceURI", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}resourceURI. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}resourceURI...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_repositoryGroupListResource->resourceURI));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}resourceURI. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}resourceURI. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_repositoryGroupListResource->contentResourceURI != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "contentResourceURI", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}contentResourceURI. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}contentResourceURI...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_repositoryGroupListResource->contentResourceURI));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}contentResourceURI. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}contentResourceURI. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_repositoryGroupListResource->id != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "id", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}id. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}id...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_repositoryGroupListResource->id));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}id. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}id. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_repositoryGroupListResource->name != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "name", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}name. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}name...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_repositoryGroupListResource->name));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}name. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}name. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_repositoryGroupListResource->format != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "format", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}format. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}format...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_repositoryGroupListResource->format));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}format. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}format. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (1) { //always write the primitive element.
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "exposed", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}exposed. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}boolean for element {}exposed...\n", status);
#endif
    status = xmlTextWriterWriteXsBooleanType(writer, &(_repositoryGroupListResource->exposed));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}boolean for element {}exposed. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}exposed. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a RepositoryGroupListResource.
 *
 * @param _repositoryGroupListResource The RepositoryGroupListResource to free.
 */
static void freeNs0Repository_group_list_resourceType(struct nexus_rest_api_ns0_repository_group_list_resource *_repositoryGroupListResource) {
  int i;
  if (_repositoryGroupListResource->resourceURI != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor resourceURI of type nexus_rest_api_ns0_repository_group_list_resource...\n");
#endif
    freeXsStringType(_repositoryGroupListResource->resourceURI);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor resourceURI of type nexus_rest_api_ns0_repository_group_list_resource...\n");
#endif
    free(_repositoryGroupListResource->resourceURI);
  }
  if (_repositoryGroupListResource->contentResourceURI != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor contentResourceURI of type nexus_rest_api_ns0_repository_group_list_resource...\n");
#endif
    freeXsStringType(_repositoryGroupListResource->contentResourceURI);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor contentResourceURI of type nexus_rest_api_ns0_repository_group_list_resource...\n");
#endif
    free(_repositoryGroupListResource->contentResourceURI);
  }
  if (_repositoryGroupListResource->id != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor id of type nexus_rest_api_ns0_repository_group_list_resource...\n");
#endif
    freeXsStringType(_repositoryGroupListResource->id);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor id of type nexus_rest_api_ns0_repository_group_list_resource...\n");
#endif
    free(_repositoryGroupListResource->id);
  }
  if (_repositoryGroupListResource->name != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor name of type nexus_rest_api_ns0_repository_group_list_resource...\n");
#endif
    freeXsStringType(_repositoryGroupListResource->name);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor name of type nexus_rest_api_ns0_repository_group_list_resource...\n");
#endif
    free(_repositoryGroupListResource->name);
  }
  if (_repositoryGroupListResource->format != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor format of type nexus_rest_api_ns0_repository_group_list_resource...\n");
#endif
    freeXsStringType(_repositoryGroupListResource->format);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor format of type nexus_rest_api_ns0_repository_group_list_resource...\n");
#endif
    free(_repositoryGroupListResource->format);
  }
}
#endif /* DEF_nexus_rest_api_ns0_repository_group_list_resource_M */
#ifndef DEF_nexus_rest_api_ns0_repositoryGroupListResourceResponse_M
#define DEF_nexus_rest_api_ns0_repositoryGroupListResourceResponse_M

/**
 * Reads a RepositoryGroupListResourceResponse element from XML. The element to be read is "repo-group-list", and
 * it is assumed that the reader is pointing to the XML document (not the element).
 *
 * @param reader The XML reader.
 * @return The RepositoryGroupListResourceResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_repositoryGroupListResourceResponse *xml_read_nexus_rest_api_ns0_repositoryGroupListResourceResponse(xmlTextReaderPtr reader) {
  int status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
  return xmlTextReaderReadNs0Repo_group_listElement(reader);
}

/**
 * Writes a RepositoryGroupListResourceResponse to XML under element name "repo-group-list".
 *
 * @param writer The XML writer.
 * @param _repositoryGroupListResourceResponse The RepositoryGroupListResourceResponse to write.
 * @return 1 if successful, 0 otherwise.
 */
int xml_write_nexus_rest_api_ns0_repositoryGroupListResourceResponse(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_repositoryGroupListResourceResponse *_repositoryGroupListResourceResponse) {
  return xmlTextWriterWriteNs0Repo_group_listElementNS(writer, _repositoryGroupListResourceResponse, 1);
}

/**
 * Frees a RepositoryGroupListResourceResponse.
 *
 * @param _repositoryGroupListResourceResponse The RepositoryGroupListResourceResponse to free.
 */
void free_nexus_rest_api_ns0_repositoryGroupListResourceResponse(struct nexus_rest_api_ns0_repositoryGroupListResourceResponse *_repositoryGroupListResourceResponse) {
  freeNs0RepositoryGroupListResourceResponseType(_repositoryGroupListResourceResponse);
  free(_repositoryGroupListResourceResponse);
}

/**
 * Reads a RepositoryGroupListResourceResponse element from XML. The element to be read is "repo-group-list", and
 * it is assumed that the reader is pointing to that element.
 *
 * @param reader The XML reader.
 * @return The RepositoryGroupListResourceResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_repositoryGroupListResourceResponse *xmlTextReaderReadNs0Repo_group_listElement(xmlTextReaderPtr reader) {
  struct nexus_rest_api_ns0_repositoryGroupListResourceResponse *_repositoryGroupListResourceResponse = NULL;

  if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
    && xmlStrcmp(BAD_CAST "repo-group-list", xmlTextReaderConstLocalName(reader)) == 0
    && xmlTextReaderConstNamespaceUri(reader) == NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Attempting to read root element {}repo-group-list.\n");
#endif
    _repositoryGroupListResourceResponse = xmlTextReaderReadNs0RepositoryGroupListResourceResponseType(reader);
  }
#if DEBUG_ENUNCIATE
  if (_repositoryGroupListResourceResponse == NULL) {
    if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
      printf("attempt to read {}repo-group-list failed. current element: {}%s\n",  xmlTextReaderConstLocalName(reader));
    }
    else {
      printf("attempt to read {}repo-group-list failed. current element: {%s}%s\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
    }
  }
#endif

  return _repositoryGroupListResourceResponse;
}

/**
 * Writes a RepositoryGroupListResourceResponse to XML under element name "repo-group-list".
 * Does NOT write the namespace prefixes.
 *
 * @param writer The XML writer.
 * @param _repositoryGroupListResourceResponse The RepositoryGroupListResourceResponse to write.
 * @return 1 if successful, 0 otherwise.
 */
static int xmlTextWriterWriteNs0Repo_group_listElement(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_repositoryGroupListResourceResponse *_repositoryGroupListResourceResponse) {
  return xmlTextWriterWriteNs0Repo_group_listElementNS(writer, _repositoryGroupListResourceResponse, 0);
}

/**
 * Writes a RepositoryGroupListResourceResponse to XML under element name "repo-group-list".
 *
 * @param writer The XML writer.
 * @param _repositoryGroupListResourceResponse The RepositoryGroupListResourceResponse to write.
 * @param writeNamespaces Whether to write the namespace prefixes.
 * @return 1 if successful, 0 otherwise.
 */
static int xmlTextWriterWriteNs0Repo_group_listElementNS(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_repositoryGroupListResourceResponse *_repositoryGroupListResourceResponse, int writeNamespaces) {
  int totalBytes = 0;
  int status;

  status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "repo-group-list", NULL);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to write start element {}repo-group-list. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

#if DEBUG_ENUNCIATE > 1
  printf("writing type {}repositoryGroupListResourceResponse for root element {}repo-group-list...\n");
#endif
  status = xmlTextWriterWriteNs0RepositoryGroupListResourceResponseType(writer, _repositoryGroupListResourceResponse);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to write type for start element {}repo-group-list. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

  status = xmlTextWriterEndElement(writer);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to end element {}repo-group-list. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

  return totalBytes;
}

/**
 * Frees the children of a RepositoryGroupListResourceResponse.
 *
 * @param _repositoryGroupListResourceResponse The RepositoryGroupListResourceResponse whose children are to be free.
 */
static void freeNs0Repo_group_listElement(struct nexus_rest_api_ns0_repositoryGroupListResourceResponse *_repositoryGroupListResourceResponse) {
  freeNs0RepositoryGroupListResourceResponseType(_repositoryGroupListResourceResponse);
}

/**
 * Reads a RepositoryGroupListResourceResponse from XML. The reader is assumed to be at the start element.
 *
 * @return the RepositoryGroupListResourceResponse, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_repositoryGroupListResourceResponse *xmlTextReaderReadNs0RepositoryGroupListResourceResponseType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct nexus_rest_api_ns0_repositoryGroupListResourceResponse *_repositoryGroupListResourceResponse = calloc(1, sizeof(struct nexus_rest_api_ns0_repositoryGroupListResourceResponse));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0RepositoryGroupListResourceResponseType(_repositoryGroupListResourceResponse);
        free(_repositoryGroupListResourceResponse);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "data", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

        if (xmlTextReaderIsEmptyElement(reader) == 0) {
#if DEBUG_ENUNCIATE > 1
          printf("Unwrapping wrapper element {}data...\n");
#endif
          //start wrapper element "{}data"
          status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
          while (xmlTextReaderDepth(reader) > (depth + 1)) {
            if (status < 1) {
              //panic: XML read error.
#if DEBUG_ENUNCIATE
              printf("Failure to advance to next child element.\n");
#endif
              freeNs0RepositoryGroupListResourceResponseType(_repositoryGroupListResourceResponse);
              free(_repositoryGroupListResourceResponse);
              return NULL;
            }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "repo-group-list-item", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}repo-group-list-item of type {}repository-group-list-resource.\n");
#endif
        _child_accessor = xmlTextReaderReadNs0Repository_group_list_resourceType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}repo-group-list-item of type {}repository-group-list-resource.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0RepositoryGroupListResourceResponseType(_repositoryGroupListResourceResponse);
          free(_repositoryGroupListResourceResponse);
          return NULL;
        }

        _repositoryGroupListResourceResponse->data = realloc(_repositoryGroupListResourceResponse->data, (_repositoryGroupListResourceResponse->_sizeof_data + 1) * sizeof(struct nexus_rest_api_ns0_repository_group_list_resource));
        memcpy(&(_repositoryGroupListResourceResponse->data[_repositoryGroupListResourceResponse->_sizeof_data++]), _child_accessor, sizeof(struct nexus_rest_api_ns0_repository_group_list_resource));
        free(_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
          } // end "while in wrapper element" loop
        } //end "if empty element" clause

        if (status < 1) {
          //panic: XML read error.
#if DEBUG_ENUNCIATE
          printf("Failed to advance to end wrapper element {}data.\n");
#endif
          freeNs0RepositoryGroupListResourceResponseType(_repositoryGroupListResourceResponse);
          free(_repositoryGroupListResourceResponse);
          return NULL;
        }
        else {
          //end wrapper element "{}data"
          status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
        }
      } // end "if wrapper element" clause
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}repositoryGroupListResourceResponse.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}repositoryGroupListResourceResponse. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _repositoryGroupListResourceResponse;
}

/**
 * Writes a RepositoryGroupListResourceResponse to XML.
 *
 * @param writer The XML writer.
 * @param _repositoryGroupListResourceResponse The RepositoryGroupListResourceResponse to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0RepositoryGroupListResourceResponseType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_repositoryGroupListResourceResponse *_repositoryGroupListResourceResponse) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;

  if (_repositoryGroupListResourceResponse->data != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "data", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  for (i = 0; i < _repositoryGroupListResourceResponse->_sizeof_data; i++) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "repo-group-list-item", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}repo-group-list-item. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {}repository-group-list-resource for element {}repo-group-list-item...\n", status);
#endif
    status = xmlTextWriterWriteNs0Repository_group_list_resourceType(writer, &(_repositoryGroupListResourceResponse->data[i]));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {}repository-group-list-resource for element {}repo-group-list-item. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}repo-group-list-item. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  if (_repositoryGroupListResourceResponse->data != NULL) {
    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a RepositoryGroupListResourceResponse.
 *
 * @param _repositoryGroupListResourceResponse The RepositoryGroupListResourceResponse to free.
 */
static void freeNs0RepositoryGroupListResourceResponseType(struct nexus_rest_api_ns0_repositoryGroupListResourceResponse *_repositoryGroupListResourceResponse) {
  int i;
  if (_repositoryGroupListResourceResponse->data != NULL) {
    for (i = 0; i < _repositoryGroupListResourceResponse->_sizeof_data; i++) {
#if DEBUG_ENUNCIATE > 1
      printf("Freeing accessor data[%i] of type nexus_rest_api_ns0_repositoryGroupListResourceResponse...\n", i);
#endif
      freeNs0Repository_group_list_resourceType(&(_repositoryGroupListResourceResponse->data[i]));
    }
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor data of type nexus_rest_api_ns0_repositoryGroupListResourceResponse...\n");
#endif
    free(_repositoryGroupListResourceResponse->data);
  }
}
#endif /* DEF_nexus_rest_api_ns0_repositoryGroupListResourceResponse_M */
#ifndef DEF_nexus_rest_api_ns0_repository_group_member_repository_M
#define DEF_nexus_rest_api_ns0_repository_group_member_repository_M

/**
 * Reads a RepositoryGroupMemberRepository from XML. The reader is assumed to be at the start element.
 *
 * @return the RepositoryGroupMemberRepository, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_repository_group_member_repository *xmlTextReaderReadNs0Repository_group_member_repositoryType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct nexus_rest_api_ns0_repository_group_member_repository *_repositoryGroupMemberRepository = calloc(1, sizeof(struct nexus_rest_api_ns0_repository_group_member_repository));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0Repository_group_member_repositoryType(_repositoryGroupMemberRepository);
        free(_repositoryGroupMemberRepository);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "id", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}id of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}id of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Repository_group_member_repositoryType(_repositoryGroupMemberRepository);
          free(_repositoryGroupMemberRepository);
          return NULL;
        }

        _repositoryGroupMemberRepository->id = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "name", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}name of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}name of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Repository_group_member_repositoryType(_repositoryGroupMemberRepository);
          free(_repositoryGroupMemberRepository);
          return NULL;
        }

        _repositoryGroupMemberRepository->name = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "resourceURI", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}resourceURI of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}resourceURI of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Repository_group_member_repositoryType(_repositoryGroupMemberRepository);
          free(_repositoryGroupMemberRepository);
          return NULL;
        }

        _repositoryGroupMemberRepository->resourceURI = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}repository-group-member-repository.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}repository-group-member-repository. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _repositoryGroupMemberRepository;
}

/**
 * Writes a RepositoryGroupMemberRepository to XML.
 *
 * @param writer The XML writer.
 * @param _repositoryGroupMemberRepository The RepositoryGroupMemberRepository to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0Repository_group_member_repositoryType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_repository_group_member_repository *_repositoryGroupMemberRepository) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;
  if (_repositoryGroupMemberRepository->id != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "id", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}id. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}id...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_repositoryGroupMemberRepository->id));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}id. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}id. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_repositoryGroupMemberRepository->name != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "name", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}name. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}name...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_repositoryGroupMemberRepository->name));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}name. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}name. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_repositoryGroupMemberRepository->resourceURI != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "resourceURI", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}resourceURI. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}resourceURI...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_repositoryGroupMemberRepository->resourceURI));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}resourceURI. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}resourceURI. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a RepositoryGroupMemberRepository.
 *
 * @param _repositoryGroupMemberRepository The RepositoryGroupMemberRepository to free.
 */
static void freeNs0Repository_group_member_repositoryType(struct nexus_rest_api_ns0_repository_group_member_repository *_repositoryGroupMemberRepository) {
  int i;
  if (_repositoryGroupMemberRepository->id != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor id of type nexus_rest_api_ns0_repository_group_member_repository...\n");
#endif
    freeXsStringType(_repositoryGroupMemberRepository->id);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor id of type nexus_rest_api_ns0_repository_group_member_repository...\n");
#endif
    free(_repositoryGroupMemberRepository->id);
  }
  if (_repositoryGroupMemberRepository->name != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor name of type nexus_rest_api_ns0_repository_group_member_repository...\n");
#endif
    freeXsStringType(_repositoryGroupMemberRepository->name);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor name of type nexus_rest_api_ns0_repository_group_member_repository...\n");
#endif
    free(_repositoryGroupMemberRepository->name);
  }
  if (_repositoryGroupMemberRepository->resourceURI != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor resourceURI of type nexus_rest_api_ns0_repository_group_member_repository...\n");
#endif
    freeXsStringType(_repositoryGroupMemberRepository->resourceURI);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor resourceURI of type nexus_rest_api_ns0_repository_group_member_repository...\n");
#endif
    free(_repositoryGroupMemberRepository->resourceURI);
  }
}
#endif /* DEF_nexus_rest_api_ns0_repository_group_member_repository_M */
#ifndef DEF_nexus_rest_api_ns0_repository_group_resource_M
#define DEF_nexus_rest_api_ns0_repository_group_resource_M

/**
 * Reads a RepositoryGroupResource from XML. The reader is assumed to be at the start element.
 *
 * @return the RepositoryGroupResource, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_repository_group_resource *xmlTextReaderReadNs0Repository_group_resourceType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct nexus_rest_api_ns0_repository_group_resource *_repositoryGroupResource = calloc(1, sizeof(struct nexus_rest_api_ns0_repository_group_resource));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0Repository_group_resourceType(_repositoryGroupResource);
        free(_repositoryGroupResource);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "contentResourceURI", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}contentResourceURI of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}contentResourceURI of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Repository_group_resourceType(_repositoryGroupResource);
          free(_repositoryGroupResource);
          return NULL;
        }

        _repositoryGroupResource->contentResourceURI = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "id", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}id of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}id of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Repository_group_resourceType(_repositoryGroupResource);
          free(_repositoryGroupResource);
          return NULL;
        }

        _repositoryGroupResource->id = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "name", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}name of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}name of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Repository_group_resourceType(_repositoryGroupResource);
          free(_repositoryGroupResource);
          return NULL;
        }

        _repositoryGroupResource->name = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "provider", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}provider of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}provider of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Repository_group_resourceType(_repositoryGroupResource);
          free(_repositoryGroupResource);
          return NULL;
        }

        _repositoryGroupResource->provider = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "providerRole", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}providerRole of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}providerRole of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Repository_group_resourceType(_repositoryGroupResource);
          free(_repositoryGroupResource);
          return NULL;
        }

        _repositoryGroupResource->providerRole = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "format", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}format of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}format of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Repository_group_resourceType(_repositoryGroupResource);
          free(_repositoryGroupResource);
          return NULL;
        }

        _repositoryGroupResource->format = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "repoType", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}repoType of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}repoType of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Repository_group_resourceType(_repositoryGroupResource);
          free(_repositoryGroupResource);
          return NULL;
        }

        _repositoryGroupResource->repoType = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "exposed", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}exposed of type {http://www.w3.org/2001/XMLSchema}boolean.\n");
#endif
        _child_accessor = xmlTextReaderReadXsBooleanType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}exposed of type {http://www.w3.org/2001/XMLSchema}boolean.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Repository_group_resourceType(_repositoryGroupResource);
          free(_repositoryGroupResource);
          return NULL;
        }

        _repositoryGroupResource->exposed = *((int*)_child_accessor);
        free(_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "repositories", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

        if (xmlTextReaderIsEmptyElement(reader) == 0) {
#if DEBUG_ENUNCIATE > 1
          printf("Unwrapping wrapper element {}repositories...\n");
#endif
          //start wrapper element "{}repositories"
          status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
          while (xmlTextReaderDepth(reader) > (depth + 1)) {
            if (status < 1) {
              //panic: XML read error.
#if DEBUG_ENUNCIATE
              printf("Failure to advance to next child element.\n");
#endif
              freeNs0Repository_group_resourceType(_repositoryGroupResource);
              free(_repositoryGroupResource);
              return NULL;
            }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "repo-group-member", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}repo-group-member of type {}repository-group-member-repository.\n");
#endif
        _child_accessor = xmlTextReaderReadNs0Repository_group_member_repositoryType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}repo-group-member of type {}repository-group-member-repository.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Repository_group_resourceType(_repositoryGroupResource);
          free(_repositoryGroupResource);
          return NULL;
        }

        _repositoryGroupResource->repositories = realloc(_repositoryGroupResource->repositories, (_repositoryGroupResource->_sizeof_repositories + 1) * sizeof(struct nexus_rest_api_ns0_repository_group_member_repository));
        memcpy(&(_repositoryGroupResource->repositories[_repositoryGroupResource->_sizeof_repositories++]), _child_accessor, sizeof(struct nexus_rest_api_ns0_repository_group_member_repository));
        free(_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
          } // end "while in wrapper element" loop
        } //end "if empty element" clause

        if (status < 1) {
          //panic: XML read error.
#if DEBUG_ENUNCIATE
          printf("Failed to advance to end wrapper element {}repositories.\n");
#endif
          freeNs0Repository_group_resourceType(_repositoryGroupResource);
          free(_repositoryGroupResource);
          return NULL;
        }
        else {
          //end wrapper element "{}repositories"
          status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
        }
      } // end "if wrapper element" clause
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}repository-group-resource.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}repository-group-resource. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _repositoryGroupResource;
}

/**
 * Writes a RepositoryGroupResource to XML.
 *
 * @param writer The XML writer.
 * @param _repositoryGroupResource The RepositoryGroupResource to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0Repository_group_resourceType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_repository_group_resource *_repositoryGroupResource) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;
  if (_repositoryGroupResource->contentResourceURI != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "contentResourceURI", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}contentResourceURI. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}contentResourceURI...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_repositoryGroupResource->contentResourceURI));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}contentResourceURI. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}contentResourceURI. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_repositoryGroupResource->id != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "id", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}id. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}id...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_repositoryGroupResource->id));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}id. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}id. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_repositoryGroupResource->name != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "name", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}name. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}name...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_repositoryGroupResource->name));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}name. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}name. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_repositoryGroupResource->provider != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "provider", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}provider. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}provider...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_repositoryGroupResource->provider));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}provider. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}provider. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_repositoryGroupResource->providerRole != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "providerRole", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}providerRole. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}providerRole...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_repositoryGroupResource->providerRole));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}providerRole. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}providerRole. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_repositoryGroupResource->format != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "format", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}format. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}format...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_repositoryGroupResource->format));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}format. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}format. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_repositoryGroupResource->repoType != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "repoType", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}repoType. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}repoType...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_repositoryGroupResource->repoType));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}repoType. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}repoType. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (1) { //always write the primitive element.
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "exposed", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}exposed. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}boolean for element {}exposed...\n", status);
#endif
    status = xmlTextWriterWriteXsBooleanType(writer, &(_repositoryGroupResource->exposed));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}boolean for element {}exposed. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}exposed. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  if (_repositoryGroupResource->repositories != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "repositories", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}repositories. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  for (i = 0; i < _repositoryGroupResource->_sizeof_repositories; i++) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "repo-group-member", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}repo-group-member. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {}repository-group-member-repository for element {}repo-group-member...\n", status);
#endif
    status = xmlTextWriterWriteNs0Repository_group_member_repositoryType(writer, &(_repositoryGroupResource->repositories[i]));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {}repository-group-member-repository for element {}repo-group-member. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}repo-group-member. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  if (_repositoryGroupResource->repositories != NULL) {
    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}repositories. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a RepositoryGroupResource.
 *
 * @param _repositoryGroupResource The RepositoryGroupResource to free.
 */
static void freeNs0Repository_group_resourceType(struct nexus_rest_api_ns0_repository_group_resource *_repositoryGroupResource) {
  int i;
  if (_repositoryGroupResource->contentResourceURI != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor contentResourceURI of type nexus_rest_api_ns0_repository_group_resource...\n");
#endif
    freeXsStringType(_repositoryGroupResource->contentResourceURI);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor contentResourceURI of type nexus_rest_api_ns0_repository_group_resource...\n");
#endif
    free(_repositoryGroupResource->contentResourceURI);
  }
  if (_repositoryGroupResource->id != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor id of type nexus_rest_api_ns0_repository_group_resource...\n");
#endif
    freeXsStringType(_repositoryGroupResource->id);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor id of type nexus_rest_api_ns0_repository_group_resource...\n");
#endif
    free(_repositoryGroupResource->id);
  }
  if (_repositoryGroupResource->name != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor name of type nexus_rest_api_ns0_repository_group_resource...\n");
#endif
    freeXsStringType(_repositoryGroupResource->name);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor name of type nexus_rest_api_ns0_repository_group_resource...\n");
#endif
    free(_repositoryGroupResource->name);
  }
  if (_repositoryGroupResource->provider != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor provider of type nexus_rest_api_ns0_repository_group_resource...\n");
#endif
    freeXsStringType(_repositoryGroupResource->provider);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor provider of type nexus_rest_api_ns0_repository_group_resource...\n");
#endif
    free(_repositoryGroupResource->provider);
  }
  if (_repositoryGroupResource->providerRole != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor providerRole of type nexus_rest_api_ns0_repository_group_resource...\n");
#endif
    freeXsStringType(_repositoryGroupResource->providerRole);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor providerRole of type nexus_rest_api_ns0_repository_group_resource...\n");
#endif
    free(_repositoryGroupResource->providerRole);
  }
  if (_repositoryGroupResource->format != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor format of type nexus_rest_api_ns0_repository_group_resource...\n");
#endif
    freeXsStringType(_repositoryGroupResource->format);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor format of type nexus_rest_api_ns0_repository_group_resource...\n");
#endif
    free(_repositoryGroupResource->format);
  }
  if (_repositoryGroupResource->repoType != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor repoType of type nexus_rest_api_ns0_repository_group_resource...\n");
#endif
    freeXsStringType(_repositoryGroupResource->repoType);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor repoType of type nexus_rest_api_ns0_repository_group_resource...\n");
#endif
    free(_repositoryGroupResource->repoType);
  }
  if (_repositoryGroupResource->repositories != NULL) {
    for (i = 0; i < _repositoryGroupResource->_sizeof_repositories; i++) {
#if DEBUG_ENUNCIATE > 1
      printf("Freeing accessor repositories[%i] of type nexus_rest_api_ns0_repository_group_resource...\n", i);
#endif
      freeNs0Repository_group_member_repositoryType(&(_repositoryGroupResource->repositories[i]));
    }
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor repositories of type nexus_rest_api_ns0_repository_group_resource...\n");
#endif
    free(_repositoryGroupResource->repositories);
  }
}
#endif /* DEF_nexus_rest_api_ns0_repository_group_resource_M */
#ifndef DEF_nexus_rest_api_ns0_repositoryGroupResourceResponse_M
#define DEF_nexus_rest_api_ns0_repositoryGroupResourceResponse_M

/**
 * Reads a RepositoryGroupResourceResponse element from XML. The element to be read is "repo-group", and
 * it is assumed that the reader is pointing to the XML document (not the element).
 *
 * @param reader The XML reader.
 * @return The RepositoryGroupResourceResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_repositoryGroupResourceResponse *xml_read_nexus_rest_api_ns0_repositoryGroupResourceResponse(xmlTextReaderPtr reader) {
  int status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
  return xmlTextReaderReadNs0Repo_groupElement(reader);
}

/**
 * Writes a RepositoryGroupResourceResponse to XML under element name "repo-group".
 *
 * @param writer The XML writer.
 * @param _repositoryGroupResourceResponse The RepositoryGroupResourceResponse to write.
 * @return 1 if successful, 0 otherwise.
 */
int xml_write_nexus_rest_api_ns0_repositoryGroupResourceResponse(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_repositoryGroupResourceResponse *_repositoryGroupResourceResponse) {
  return xmlTextWriterWriteNs0Repo_groupElementNS(writer, _repositoryGroupResourceResponse, 1);
}

/**
 * Frees a RepositoryGroupResourceResponse.
 *
 * @param _repositoryGroupResourceResponse The RepositoryGroupResourceResponse to free.
 */
void free_nexus_rest_api_ns0_repositoryGroupResourceResponse(struct nexus_rest_api_ns0_repositoryGroupResourceResponse *_repositoryGroupResourceResponse) {
  freeNs0RepositoryGroupResourceResponseType(_repositoryGroupResourceResponse);
  free(_repositoryGroupResourceResponse);
}

/**
 * Reads a RepositoryGroupResourceResponse element from XML. The element to be read is "repo-group", and
 * it is assumed that the reader is pointing to that element.
 *
 * @param reader The XML reader.
 * @return The RepositoryGroupResourceResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_repositoryGroupResourceResponse *xmlTextReaderReadNs0Repo_groupElement(xmlTextReaderPtr reader) {
  struct nexus_rest_api_ns0_repositoryGroupResourceResponse *_repositoryGroupResourceResponse = NULL;

  if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
    && xmlStrcmp(BAD_CAST "repo-group", xmlTextReaderConstLocalName(reader)) == 0
    && xmlTextReaderConstNamespaceUri(reader) == NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Attempting to read root element {}repo-group.\n");
#endif
    _repositoryGroupResourceResponse = xmlTextReaderReadNs0RepositoryGroupResourceResponseType(reader);
  }
#if DEBUG_ENUNCIATE
  if (_repositoryGroupResourceResponse == NULL) {
    if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
      printf("attempt to read {}repo-group failed. current element: {}%s\n",  xmlTextReaderConstLocalName(reader));
    }
    else {
      printf("attempt to read {}repo-group failed. current element: {%s}%s\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
    }
  }
#endif

  return _repositoryGroupResourceResponse;
}

/**
 * Writes a RepositoryGroupResourceResponse to XML under element name "repo-group".
 * Does NOT write the namespace prefixes.
 *
 * @param writer The XML writer.
 * @param _repositoryGroupResourceResponse The RepositoryGroupResourceResponse to write.
 * @return 1 if successful, 0 otherwise.
 */
static int xmlTextWriterWriteNs0Repo_groupElement(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_repositoryGroupResourceResponse *_repositoryGroupResourceResponse) {
  return xmlTextWriterWriteNs0Repo_groupElementNS(writer, _repositoryGroupResourceResponse, 0);
}

/**
 * Writes a RepositoryGroupResourceResponse to XML under element name "repo-group".
 *
 * @param writer The XML writer.
 * @param _repositoryGroupResourceResponse The RepositoryGroupResourceResponse to write.
 * @param writeNamespaces Whether to write the namespace prefixes.
 * @return 1 if successful, 0 otherwise.
 */
static int xmlTextWriterWriteNs0Repo_groupElementNS(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_repositoryGroupResourceResponse *_repositoryGroupResourceResponse, int writeNamespaces) {
  int totalBytes = 0;
  int status;

  status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "repo-group", NULL);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to write start element {}repo-group. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

#if DEBUG_ENUNCIATE > 1
  printf("writing type {}repositoryGroupResourceResponse for root element {}repo-group...\n");
#endif
  status = xmlTextWriterWriteNs0RepositoryGroupResourceResponseType(writer, _repositoryGroupResourceResponse);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to write type for start element {}repo-group. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

  status = xmlTextWriterEndElement(writer);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to end element {}repo-group. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

  return totalBytes;
}

/**
 * Frees the children of a RepositoryGroupResourceResponse.
 *
 * @param _repositoryGroupResourceResponse The RepositoryGroupResourceResponse whose children are to be free.
 */
static void freeNs0Repo_groupElement(struct nexus_rest_api_ns0_repositoryGroupResourceResponse *_repositoryGroupResourceResponse) {
  freeNs0RepositoryGroupResourceResponseType(_repositoryGroupResourceResponse);
}

/**
 * Reads a RepositoryGroupResourceResponse from XML. The reader is assumed to be at the start element.
 *
 * @return the RepositoryGroupResourceResponse, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_repositoryGroupResourceResponse *xmlTextReaderReadNs0RepositoryGroupResourceResponseType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct nexus_rest_api_ns0_repositoryGroupResourceResponse *_repositoryGroupResourceResponse = calloc(1, sizeof(struct nexus_rest_api_ns0_repositoryGroupResourceResponse));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0RepositoryGroupResourceResponseType(_repositoryGroupResourceResponse);
        free(_repositoryGroupResourceResponse);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "data", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}data of type {}repository-group-resource.\n");
#endif
        _child_accessor = xmlTextReaderReadNs0Repository_group_resourceType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}data of type {}repository-group-resource.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0RepositoryGroupResourceResponseType(_repositoryGroupResourceResponse);
          free(_repositoryGroupResourceResponse);
          return NULL;
        }

        _repositoryGroupResourceResponse->data = ((struct nexus_rest_api_ns0_repository_group_resource*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}repositoryGroupResourceResponse.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}repositoryGroupResourceResponse. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _repositoryGroupResourceResponse;
}

/**
 * Writes a RepositoryGroupResourceResponse to XML.
 *
 * @param writer The XML writer.
 * @param _repositoryGroupResourceResponse The RepositoryGroupResourceResponse to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0RepositoryGroupResourceResponseType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_repositoryGroupResourceResponse *_repositoryGroupResourceResponse) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;
  if (_repositoryGroupResourceResponse->data != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "data", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {}repository-group-resource for element {}data...\n", status);
#endif
    status = xmlTextWriterWriteNs0Repository_group_resourceType(writer, (_repositoryGroupResourceResponse->data));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {}repository-group-resource for element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a RepositoryGroupResourceResponse.
 *
 * @param _repositoryGroupResourceResponse The RepositoryGroupResourceResponse to free.
 */
static void freeNs0RepositoryGroupResourceResponseType(struct nexus_rest_api_ns0_repositoryGroupResourceResponse *_repositoryGroupResourceResponse) {
  int i;
  if (_repositoryGroupResourceResponse->data != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor data of type nexus_rest_api_ns0_repositoryGroupResourceResponse...\n");
#endif
    freeNs0Repository_group_resourceType(_repositoryGroupResourceResponse->data);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor data of type nexus_rest_api_ns0_repositoryGroupResourceResponse...\n");
#endif
    free(_repositoryGroupResourceResponse->data);
  }
}
#endif /* DEF_nexus_rest_api_ns0_repositoryGroupResourceResponse_M */
#ifndef DEF_nexus_rest_api_ns0_repositories_item_M
#define DEF_nexus_rest_api_ns0_repositories_item_M

/**
 * Reads a RepositoryListResource from XML. The reader is assumed to be at the start element.
 *
 * @return the RepositoryListResource, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_repositories_item *xmlTextReaderReadNs0Repositories_itemType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct nexus_rest_api_ns0_repositories_item *_repositoryListResource = calloc(1, sizeof(struct nexus_rest_api_ns0_repositories_item));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0Repositories_itemType(_repositoryListResource);
        free(_repositoryListResource);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "resourceURI", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}resourceURI of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}resourceURI of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Repositories_itemType(_repositoryListResource);
          free(_repositoryListResource);
          return NULL;
        }

        _repositoryListResource->resourceURI = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "contentResourceURI", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}contentResourceURI of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}contentResourceURI of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Repositories_itemType(_repositoryListResource);
          free(_repositoryListResource);
          return NULL;
        }

        _repositoryListResource->contentResourceURI = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "id", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}id of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}id of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Repositories_itemType(_repositoryListResource);
          free(_repositoryListResource);
          return NULL;
        }

        _repositoryListResource->id = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "name", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}name of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}name of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Repositories_itemType(_repositoryListResource);
          free(_repositoryListResource);
          return NULL;
        }

        _repositoryListResource->name = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "repoType", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}repoType of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}repoType of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Repositories_itemType(_repositoryListResource);
          free(_repositoryListResource);
          return NULL;
        }

        _repositoryListResource->repoType = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "repoPolicy", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}repoPolicy of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}repoPolicy of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Repositories_itemType(_repositoryListResource);
          free(_repositoryListResource);
          return NULL;
        }

        _repositoryListResource->repoPolicy = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "provider", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}provider of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}provider of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Repositories_itemType(_repositoryListResource);
          free(_repositoryListResource);
          return NULL;
        }

        _repositoryListResource->provider = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "providerRole", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}providerRole of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}providerRole of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Repositories_itemType(_repositoryListResource);
          free(_repositoryListResource);
          return NULL;
        }

        _repositoryListResource->providerRole = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "format", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}format of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}format of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Repositories_itemType(_repositoryListResource);
          free(_repositoryListResource);
          return NULL;
        }

        _repositoryListResource->format = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "userManaged", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}userManaged of type {http://www.w3.org/2001/XMLSchema}boolean.\n");
#endif
        _child_accessor = xmlTextReaderReadXsBooleanType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}userManaged of type {http://www.w3.org/2001/XMLSchema}boolean.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Repositories_itemType(_repositoryListResource);
          free(_repositoryListResource);
          return NULL;
        }

        _repositoryListResource->userManaged = *((int*)_child_accessor);
        free(_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "exposed", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}exposed of type {http://www.w3.org/2001/XMLSchema}boolean.\n");
#endif
        _child_accessor = xmlTextReaderReadXsBooleanType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}exposed of type {http://www.w3.org/2001/XMLSchema}boolean.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Repositories_itemType(_repositoryListResource);
          free(_repositoryListResource);
          return NULL;
        }

        _repositoryListResource->exposed = *((int*)_child_accessor);
        free(_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "effectiveLocalStorageUrl", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}effectiveLocalStorageUrl of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}effectiveLocalStorageUrl of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Repositories_itemType(_repositoryListResource);
          free(_repositoryListResource);
          return NULL;
        }

        _repositoryListResource->effectiveLocalStorageUrl = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "remoteUri", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}remoteUri of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}remoteUri of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Repositories_itemType(_repositoryListResource);
          free(_repositoryListResource);
          return NULL;
        }

        _repositoryListResource->remoteUri = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}repositories-item.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}repositories-item. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _repositoryListResource;
}

/**
 * Writes a RepositoryListResource to XML.
 *
 * @param writer The XML writer.
 * @param _repositoryListResource The RepositoryListResource to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0Repositories_itemType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_repositories_item *_repositoryListResource) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;
  if (_repositoryListResource->resourceURI != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "resourceURI", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}resourceURI. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}resourceURI...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_repositoryListResource->resourceURI));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}resourceURI. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}resourceURI. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_repositoryListResource->contentResourceURI != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "contentResourceURI", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}contentResourceURI. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}contentResourceURI...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_repositoryListResource->contentResourceURI));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}contentResourceURI. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}contentResourceURI. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_repositoryListResource->id != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "id", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}id. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}id...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_repositoryListResource->id));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}id. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}id. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_repositoryListResource->name != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "name", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}name. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}name...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_repositoryListResource->name));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}name. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}name. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_repositoryListResource->repoType != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "repoType", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}repoType. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}repoType...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_repositoryListResource->repoType));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}repoType. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}repoType. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_repositoryListResource->repoPolicy != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "repoPolicy", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}repoPolicy. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}repoPolicy...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_repositoryListResource->repoPolicy));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}repoPolicy. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}repoPolicy. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_repositoryListResource->provider != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "provider", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}provider. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}provider...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_repositoryListResource->provider));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}provider. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}provider. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_repositoryListResource->providerRole != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "providerRole", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}providerRole. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}providerRole...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_repositoryListResource->providerRole));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}providerRole. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}providerRole. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_repositoryListResource->format != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "format", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}format. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}format...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_repositoryListResource->format));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}format. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}format. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (1) { //always write the primitive element.
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "userManaged", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}userManaged. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}boolean for element {}userManaged...\n", status);
#endif
    status = xmlTextWriterWriteXsBooleanType(writer, &(_repositoryListResource->userManaged));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}boolean for element {}userManaged. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}userManaged. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (1) { //always write the primitive element.
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "exposed", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}exposed. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}boolean for element {}exposed...\n", status);
#endif
    status = xmlTextWriterWriteXsBooleanType(writer, &(_repositoryListResource->exposed));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}boolean for element {}exposed. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}exposed. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_repositoryListResource->effectiveLocalStorageUrl != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "effectiveLocalStorageUrl", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}effectiveLocalStorageUrl. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}effectiveLocalStorageUrl...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_repositoryListResource->effectiveLocalStorageUrl));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}effectiveLocalStorageUrl. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}effectiveLocalStorageUrl. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_repositoryListResource->remoteUri != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "remoteUri", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}remoteUri. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}remoteUri...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_repositoryListResource->remoteUri));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}remoteUri. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}remoteUri. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a RepositoryListResource.
 *
 * @param _repositoryListResource The RepositoryListResource to free.
 */
static void freeNs0Repositories_itemType(struct nexus_rest_api_ns0_repositories_item *_repositoryListResource) {
  int i;
  if (_repositoryListResource->resourceURI != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor resourceURI of type nexus_rest_api_ns0_repositories_item...\n");
#endif
    freeXsStringType(_repositoryListResource->resourceURI);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor resourceURI of type nexus_rest_api_ns0_repositories_item...\n");
#endif
    free(_repositoryListResource->resourceURI);
  }
  if (_repositoryListResource->contentResourceURI != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor contentResourceURI of type nexus_rest_api_ns0_repositories_item...\n");
#endif
    freeXsStringType(_repositoryListResource->contentResourceURI);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor contentResourceURI of type nexus_rest_api_ns0_repositories_item...\n");
#endif
    free(_repositoryListResource->contentResourceURI);
  }
  if (_repositoryListResource->id != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor id of type nexus_rest_api_ns0_repositories_item...\n");
#endif
    freeXsStringType(_repositoryListResource->id);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor id of type nexus_rest_api_ns0_repositories_item...\n");
#endif
    free(_repositoryListResource->id);
  }
  if (_repositoryListResource->name != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor name of type nexus_rest_api_ns0_repositories_item...\n");
#endif
    freeXsStringType(_repositoryListResource->name);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor name of type nexus_rest_api_ns0_repositories_item...\n");
#endif
    free(_repositoryListResource->name);
  }
  if (_repositoryListResource->repoType != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor repoType of type nexus_rest_api_ns0_repositories_item...\n");
#endif
    freeXsStringType(_repositoryListResource->repoType);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor repoType of type nexus_rest_api_ns0_repositories_item...\n");
#endif
    free(_repositoryListResource->repoType);
  }
  if (_repositoryListResource->repoPolicy != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor repoPolicy of type nexus_rest_api_ns0_repositories_item...\n");
#endif
    freeXsStringType(_repositoryListResource->repoPolicy);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor repoPolicy of type nexus_rest_api_ns0_repositories_item...\n");
#endif
    free(_repositoryListResource->repoPolicy);
  }
  if (_repositoryListResource->provider != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor provider of type nexus_rest_api_ns0_repositories_item...\n");
#endif
    freeXsStringType(_repositoryListResource->provider);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor provider of type nexus_rest_api_ns0_repositories_item...\n");
#endif
    free(_repositoryListResource->provider);
  }
  if (_repositoryListResource->providerRole != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor providerRole of type nexus_rest_api_ns0_repositories_item...\n");
#endif
    freeXsStringType(_repositoryListResource->providerRole);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor providerRole of type nexus_rest_api_ns0_repositories_item...\n");
#endif
    free(_repositoryListResource->providerRole);
  }
  if (_repositoryListResource->format != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor format of type nexus_rest_api_ns0_repositories_item...\n");
#endif
    freeXsStringType(_repositoryListResource->format);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor format of type nexus_rest_api_ns0_repositories_item...\n");
#endif
    free(_repositoryListResource->format);
  }
  if (_repositoryListResource->effectiveLocalStorageUrl != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor effectiveLocalStorageUrl of type nexus_rest_api_ns0_repositories_item...\n");
#endif
    freeXsStringType(_repositoryListResource->effectiveLocalStorageUrl);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor effectiveLocalStorageUrl of type nexus_rest_api_ns0_repositories_item...\n");
#endif
    free(_repositoryListResource->effectiveLocalStorageUrl);
  }
  if (_repositoryListResource->remoteUri != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor remoteUri of type nexus_rest_api_ns0_repositories_item...\n");
#endif
    freeXsStringType(_repositoryListResource->remoteUri);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor remoteUri of type nexus_rest_api_ns0_repositories_item...\n");
#endif
    free(_repositoryListResource->remoteUri);
  }
}
#endif /* DEF_nexus_rest_api_ns0_repositories_item_M */
#ifndef DEF_nexus_rest_api_ns0_repositoryListResourceResponse_M
#define DEF_nexus_rest_api_ns0_repositoryListResourceResponse_M

/**
 * Reads a RepositoryListResourceResponse element from XML. The element to be read is "repositories", and
 * it is assumed that the reader is pointing to the XML document (not the element).
 *
 * @param reader The XML reader.
 * @return The RepositoryListResourceResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_repositoryListResourceResponse *xml_read_nexus_rest_api_ns0_repositoryListResourceResponse(xmlTextReaderPtr reader) {
  int status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
  return xmlTextReaderReadNs0RepositoriesElement(reader);
}

/**
 * Writes a RepositoryListResourceResponse to XML under element name "repositories".
 *
 * @param writer The XML writer.
 * @param _repositoryListResourceResponse The RepositoryListResourceResponse to write.
 * @return 1 if successful, 0 otherwise.
 */
int xml_write_nexus_rest_api_ns0_repositoryListResourceResponse(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_repositoryListResourceResponse *_repositoryListResourceResponse) {
  return xmlTextWriterWriteNs0RepositoriesElementNS(writer, _repositoryListResourceResponse, 1);
}

/**
 * Frees a RepositoryListResourceResponse.
 *
 * @param _repositoryListResourceResponse The RepositoryListResourceResponse to free.
 */
void free_nexus_rest_api_ns0_repositoryListResourceResponse(struct nexus_rest_api_ns0_repositoryListResourceResponse *_repositoryListResourceResponse) {
  freeNs0RepositoryListResourceResponseType(_repositoryListResourceResponse);
  free(_repositoryListResourceResponse);
}

/**
 * Reads a RepositoryListResourceResponse element from XML. The element to be read is "repositories", and
 * it is assumed that the reader is pointing to that element.
 *
 * @param reader The XML reader.
 * @return The RepositoryListResourceResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_repositoryListResourceResponse *xmlTextReaderReadNs0RepositoriesElement(xmlTextReaderPtr reader) {
  struct nexus_rest_api_ns0_repositoryListResourceResponse *_repositoryListResourceResponse = NULL;

  if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
    && xmlStrcmp(BAD_CAST "repositories", xmlTextReaderConstLocalName(reader)) == 0
    && xmlTextReaderConstNamespaceUri(reader) == NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Attempting to read root element {}repositories.\n");
#endif
    _repositoryListResourceResponse = xmlTextReaderReadNs0RepositoryListResourceResponseType(reader);
  }
#if DEBUG_ENUNCIATE
  if (_repositoryListResourceResponse == NULL) {
    if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
      printf("attempt to read {}repositories failed. current element: {}%s\n",  xmlTextReaderConstLocalName(reader));
    }
    else {
      printf("attempt to read {}repositories failed. current element: {%s}%s\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
    }
  }
#endif

  return _repositoryListResourceResponse;
}

/**
 * Writes a RepositoryListResourceResponse to XML under element name "repositories".
 * Does NOT write the namespace prefixes.
 *
 * @param writer The XML writer.
 * @param _repositoryListResourceResponse The RepositoryListResourceResponse to write.
 * @return 1 if successful, 0 otherwise.
 */
static int xmlTextWriterWriteNs0RepositoriesElement(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_repositoryListResourceResponse *_repositoryListResourceResponse) {
  return xmlTextWriterWriteNs0RepositoriesElementNS(writer, _repositoryListResourceResponse, 0);
}

/**
 * Writes a RepositoryListResourceResponse to XML under element name "repositories".
 *
 * @param writer The XML writer.
 * @param _repositoryListResourceResponse The RepositoryListResourceResponse to write.
 * @param writeNamespaces Whether to write the namespace prefixes.
 * @return 1 if successful, 0 otherwise.
 */
static int xmlTextWriterWriteNs0RepositoriesElementNS(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_repositoryListResourceResponse *_repositoryListResourceResponse, int writeNamespaces) {
  int totalBytes = 0;
  int status;

  status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "repositories", NULL);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to write start element {}repositories. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

#if DEBUG_ENUNCIATE > 1
  printf("writing type {}repositoryListResourceResponse for root element {}repositories...\n");
#endif
  status = xmlTextWriterWriteNs0RepositoryListResourceResponseType(writer, _repositoryListResourceResponse);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to write type for start element {}repositories. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

  status = xmlTextWriterEndElement(writer);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to end element {}repositories. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

  return totalBytes;
}

/**
 * Frees the children of a RepositoryListResourceResponse.
 *
 * @param _repositoryListResourceResponse The RepositoryListResourceResponse whose children are to be free.
 */
static void freeNs0RepositoriesElement(struct nexus_rest_api_ns0_repositoryListResourceResponse *_repositoryListResourceResponse) {
  freeNs0RepositoryListResourceResponseType(_repositoryListResourceResponse);
}

/**
 * Reads a RepositoryListResourceResponse from XML. The reader is assumed to be at the start element.
 *
 * @return the RepositoryListResourceResponse, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_repositoryListResourceResponse *xmlTextReaderReadNs0RepositoryListResourceResponseType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct nexus_rest_api_ns0_repositoryListResourceResponse *_repositoryListResourceResponse = calloc(1, sizeof(struct nexus_rest_api_ns0_repositoryListResourceResponse));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0RepositoryListResourceResponseType(_repositoryListResourceResponse);
        free(_repositoryListResourceResponse);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "data", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

        if (xmlTextReaderIsEmptyElement(reader) == 0) {
#if DEBUG_ENUNCIATE > 1
          printf("Unwrapping wrapper element {}data...\n");
#endif
          //start wrapper element "{}data"
          status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
          while (xmlTextReaderDepth(reader) > (depth + 1)) {
            if (status < 1) {
              //panic: XML read error.
#if DEBUG_ENUNCIATE
              printf("Failure to advance to next child element.\n");
#endif
              freeNs0RepositoryListResourceResponseType(_repositoryListResourceResponse);
              free(_repositoryListResourceResponse);
              return NULL;
            }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "repositories-item", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}repositories-item of type {}repositories-item.\n");
#endif
        _child_accessor = xmlTextReaderReadNs0Repositories_itemType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}repositories-item of type {}repositories-item.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0RepositoryListResourceResponseType(_repositoryListResourceResponse);
          free(_repositoryListResourceResponse);
          return NULL;
        }

        _repositoryListResourceResponse->data = realloc(_repositoryListResourceResponse->data, (_repositoryListResourceResponse->_sizeof_data + 1) * sizeof(struct nexus_rest_api_ns0_repositories_item));
        memcpy(&(_repositoryListResourceResponse->data[_repositoryListResourceResponse->_sizeof_data++]), _child_accessor, sizeof(struct nexus_rest_api_ns0_repositories_item));
        free(_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
          } // end "while in wrapper element" loop
        } //end "if empty element" clause

        if (status < 1) {
          //panic: XML read error.
#if DEBUG_ENUNCIATE
          printf("Failed to advance to end wrapper element {}data.\n");
#endif
          freeNs0RepositoryListResourceResponseType(_repositoryListResourceResponse);
          free(_repositoryListResourceResponse);
          return NULL;
        }
        else {
          //end wrapper element "{}data"
          status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
        }
      } // end "if wrapper element" clause
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}repositoryListResourceResponse.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}repositoryListResourceResponse. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _repositoryListResourceResponse;
}

/**
 * Writes a RepositoryListResourceResponse to XML.
 *
 * @param writer The XML writer.
 * @param _repositoryListResourceResponse The RepositoryListResourceResponse to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0RepositoryListResourceResponseType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_repositoryListResourceResponse *_repositoryListResourceResponse) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;

  if (_repositoryListResourceResponse->data != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "data", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  for (i = 0; i < _repositoryListResourceResponse->_sizeof_data; i++) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "repositories-item", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}repositories-item. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {}repositories-item for element {}repositories-item...\n", status);
#endif
    status = xmlTextWriterWriteNs0Repositories_itemType(writer, &(_repositoryListResourceResponse->data[i]));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {}repositories-item for element {}repositories-item. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}repositories-item. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  if (_repositoryListResourceResponse->data != NULL) {
    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a RepositoryListResourceResponse.
 *
 * @param _repositoryListResourceResponse The RepositoryListResourceResponse to free.
 */
static void freeNs0RepositoryListResourceResponseType(struct nexus_rest_api_ns0_repositoryListResourceResponse *_repositoryListResourceResponse) {
  int i;
  if (_repositoryListResourceResponse->data != NULL) {
    for (i = 0; i < _repositoryListResourceResponse->_sizeof_data; i++) {
#if DEBUG_ENUNCIATE > 1
      printf("Freeing accessor data[%i] of type nexus_rest_api_ns0_repositoryListResourceResponse...\n", i);
#endif
      freeNs0Repositories_itemType(&(_repositoryListResourceResponse->data[i]));
    }
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor data of type nexus_rest_api_ns0_repositoryListResourceResponse...\n");
#endif
    free(_repositoryListResourceResponse->data);
  }
}
#endif /* DEF_nexus_rest_api_ns0_repositoryListResourceResponse_M */
#ifndef DEF_nexus_rest_api_ns0_repository_meta_resource_M
#define DEF_nexus_rest_api_ns0_repository_meta_resource_M

/**
 * Reads a RepositoryMetaResource from XML. The reader is assumed to be at the start element.
 *
 * @return the RepositoryMetaResource, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_repository_meta_resource *xmlTextReaderReadNs0Repository_meta_resourceType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct nexus_rest_api_ns0_repository_meta_resource *_repositoryMetaResource = calloc(1, sizeof(struct nexus_rest_api_ns0_repository_meta_resource));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0Repository_meta_resourceType(_repositoryMetaResource);
        free(_repositoryMetaResource);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "id", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}id of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}id of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Repository_meta_resourceType(_repositoryMetaResource);
          free(_repositoryMetaResource);
          return NULL;
        }

        _repositoryMetaResource->id = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "repoType", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}repoType of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}repoType of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Repository_meta_resourceType(_repositoryMetaResource);
          free(_repositoryMetaResource);
          return NULL;
        }

        _repositoryMetaResource->repoType = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "format", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}format of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}format of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Repository_meta_resourceType(_repositoryMetaResource);
          free(_repositoryMetaResource);
          return NULL;
        }

        _repositoryMetaResource->format = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "sizeOnDisk", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}sizeOnDisk of type {http://www.w3.org/2001/XMLSchema}long.\n");
#endif
        _child_accessor = xmlTextReaderReadXsLongType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}sizeOnDisk of type {http://www.w3.org/2001/XMLSchema}long.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Repository_meta_resourceType(_repositoryMetaResource);
          free(_repositoryMetaResource);
          return NULL;
        }

        _repositoryMetaResource->sizeOnDisk = *((long*)_child_accessor);
        free(_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "freeSpaceOnDisk", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}freeSpaceOnDisk of type {http://www.w3.org/2001/XMLSchema}long.\n");
#endif
        _child_accessor = xmlTextReaderReadXsLongType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}freeSpaceOnDisk of type {http://www.w3.org/2001/XMLSchema}long.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Repository_meta_resourceType(_repositoryMetaResource);
          free(_repositoryMetaResource);
          return NULL;
        }

        _repositoryMetaResource->freeSpaceOnDisk = *((long*)_child_accessor);
        free(_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "fileCountInRepository", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}fileCountInRepository of type {http://www.w3.org/2001/XMLSchema}long.\n");
#endif
        _child_accessor = xmlTextReaderReadXsLongType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}fileCountInRepository of type {http://www.w3.org/2001/XMLSchema}long.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Repository_meta_resourceType(_repositoryMetaResource);
          free(_repositoryMetaResource);
          return NULL;
        }

        _repositoryMetaResource->fileCountInRepository = *((long*)_child_accessor);
        free(_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "notFoundCacheSize", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}notFoundCacheSize of type {http://www.w3.org/2001/XMLSchema}long.\n");
#endif
        _child_accessor = xmlTextReaderReadXsLongType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}notFoundCacheSize of type {http://www.w3.org/2001/XMLSchema}long.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Repository_meta_resourceType(_repositoryMetaResource);
          free(_repositoryMetaResource);
          return NULL;
        }

        _repositoryMetaResource->notFoundCacheSize = *((long*)_child_accessor);
        free(_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "notFoundCacheHits", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}notFoundCacheHits of type {http://www.w3.org/2001/XMLSchema}long.\n");
#endif
        _child_accessor = xmlTextReaderReadXsLongType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}notFoundCacheHits of type {http://www.w3.org/2001/XMLSchema}long.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Repository_meta_resourceType(_repositoryMetaResource);
          free(_repositoryMetaResource);
          return NULL;
        }

        _repositoryMetaResource->notFoundCacheHits = *((long*)_child_accessor);
        free(_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "notFoundCacheMisses", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}notFoundCacheMisses of type {http://www.w3.org/2001/XMLSchema}long.\n");
#endif
        _child_accessor = xmlTextReaderReadXsLongType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}notFoundCacheMisses of type {http://www.w3.org/2001/XMLSchema}long.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Repository_meta_resourceType(_repositoryMetaResource);
          free(_repositoryMetaResource);
          return NULL;
        }

        _repositoryMetaResource->notFoundCacheMisses = *((long*)_child_accessor);
        free(_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "localStorageErrorsCount", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}localStorageErrorsCount of type {http://www.w3.org/2001/XMLSchema}int.\n");
#endif
        _child_accessor = xmlTextReaderReadXsIntType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}localStorageErrorsCount of type {http://www.w3.org/2001/XMLSchema}int.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Repository_meta_resourceType(_repositoryMetaResource);
          free(_repositoryMetaResource);
          return NULL;
        }

        _repositoryMetaResource->localStorageErrorsCount = *((int*)_child_accessor);
        free(_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "remoteStorageErrorsCount", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}remoteStorageErrorsCount of type {http://www.w3.org/2001/XMLSchema}int.\n");
#endif
        _child_accessor = xmlTextReaderReadXsIntType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}remoteStorageErrorsCount of type {http://www.w3.org/2001/XMLSchema}int.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Repository_meta_resourceType(_repositoryMetaResource);
          free(_repositoryMetaResource);
          return NULL;
        }

        _repositoryMetaResource->remoteStorageErrorsCount = *((int*)_child_accessor);
        free(_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "groups", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

        if (xmlTextReaderIsEmptyElement(reader) == 0) {
#if DEBUG_ENUNCIATE > 1
          printf("Unwrapping wrapper element {}groups...\n");
#endif
          //start wrapper element "{}groups"
          status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
          while (xmlTextReaderDepth(reader) > (depth + 1)) {
            if (status < 1) {
              //panic: XML read error.
#if DEBUG_ENUNCIATE
              printf("Failure to advance to next child element.\n");
#endif
              freeNs0Repository_meta_resourceType(_repositoryMetaResource);
              free(_repositoryMetaResource);
              return NULL;
            }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "string", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}string of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}string of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Repository_meta_resourceType(_repositoryMetaResource);
          free(_repositoryMetaResource);
          return NULL;
        }

        _repositoryMetaResource->groups = realloc(_repositoryMetaResource->groups, (_repositoryMetaResource->_sizeof_groups + 1) * sizeof(xmlChar));
        memcpy(&(_repositoryMetaResource->groups[_repositoryMetaResource->_sizeof_groups++]), _child_accessor, sizeof(xmlChar));
        free(_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
          } // end "while in wrapper element" loop
        } //end "if empty element" clause

        if (status < 1) {
          //panic: XML read error.
#if DEBUG_ENUNCIATE
          printf("Failed to advance to end wrapper element {}groups.\n");
#endif
          freeNs0Repository_meta_resourceType(_repositoryMetaResource);
          free(_repositoryMetaResource);
          return NULL;
        }
        else {
          //end wrapper element "{}groups"
          status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
        }
      } // end "if wrapper element" clause
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}repository-meta-resource.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}repository-meta-resource. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _repositoryMetaResource;
}

/**
 * Writes a RepositoryMetaResource to XML.
 *
 * @param writer The XML writer.
 * @param _repositoryMetaResource The RepositoryMetaResource to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0Repository_meta_resourceType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_repository_meta_resource *_repositoryMetaResource) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;
  if (_repositoryMetaResource->id != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "id", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}id. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}id...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_repositoryMetaResource->id));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}id. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}id. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_repositoryMetaResource->repoType != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "repoType", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}repoType. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}repoType...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_repositoryMetaResource->repoType));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}repoType. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}repoType. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_repositoryMetaResource->format != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "format", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}format. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}format...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_repositoryMetaResource->format));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}format. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}format. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (1) { //always write the primitive element.
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "sizeOnDisk", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}sizeOnDisk. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}long for element {}sizeOnDisk...\n", status);
#endif
    status = xmlTextWriterWriteXsLongType(writer, &(_repositoryMetaResource->sizeOnDisk));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}long for element {}sizeOnDisk. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}sizeOnDisk. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (1) { //always write the primitive element.
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "freeSpaceOnDisk", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}freeSpaceOnDisk. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}long for element {}freeSpaceOnDisk...\n", status);
#endif
    status = xmlTextWriterWriteXsLongType(writer, &(_repositoryMetaResource->freeSpaceOnDisk));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}long for element {}freeSpaceOnDisk. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}freeSpaceOnDisk. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (1) { //always write the primitive element.
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "fileCountInRepository", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}fileCountInRepository. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}long for element {}fileCountInRepository...\n", status);
#endif
    status = xmlTextWriterWriteXsLongType(writer, &(_repositoryMetaResource->fileCountInRepository));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}long for element {}fileCountInRepository. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}fileCountInRepository. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (1) { //always write the primitive element.
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "notFoundCacheSize", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}notFoundCacheSize. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}long for element {}notFoundCacheSize...\n", status);
#endif
    status = xmlTextWriterWriteXsLongType(writer, &(_repositoryMetaResource->notFoundCacheSize));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}long for element {}notFoundCacheSize. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}notFoundCacheSize. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (1) { //always write the primitive element.
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "notFoundCacheHits", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}notFoundCacheHits. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}long for element {}notFoundCacheHits...\n", status);
#endif
    status = xmlTextWriterWriteXsLongType(writer, &(_repositoryMetaResource->notFoundCacheHits));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}long for element {}notFoundCacheHits. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}notFoundCacheHits. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (1) { //always write the primitive element.
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "notFoundCacheMisses", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}notFoundCacheMisses. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}long for element {}notFoundCacheMisses...\n", status);
#endif
    status = xmlTextWriterWriteXsLongType(writer, &(_repositoryMetaResource->notFoundCacheMisses));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}long for element {}notFoundCacheMisses. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}notFoundCacheMisses. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (1) { //always write the primitive element.
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "localStorageErrorsCount", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}localStorageErrorsCount. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}int for element {}localStorageErrorsCount...\n", status);
#endif
    status = xmlTextWriterWriteXsIntType(writer, &(_repositoryMetaResource->localStorageErrorsCount));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}int for element {}localStorageErrorsCount. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}localStorageErrorsCount. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (1) { //always write the primitive element.
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "remoteStorageErrorsCount", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}remoteStorageErrorsCount. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}int for element {}remoteStorageErrorsCount...\n", status);
#endif
    status = xmlTextWriterWriteXsIntType(writer, &(_repositoryMetaResource->remoteStorageErrorsCount));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}int for element {}remoteStorageErrorsCount. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}remoteStorageErrorsCount. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  if (_repositoryMetaResource->groups != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "groups", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}groups. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  for (i = 0; i < _repositoryMetaResource->_sizeof_groups; i++) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "string", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}string. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}string...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, &(_repositoryMetaResource->groups[i]));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}string. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}string. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  if (_repositoryMetaResource->groups != NULL) {
    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}groups. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a RepositoryMetaResource.
 *
 * @param _repositoryMetaResource The RepositoryMetaResource to free.
 */
static void freeNs0Repository_meta_resourceType(struct nexus_rest_api_ns0_repository_meta_resource *_repositoryMetaResource) {
  int i;
  if (_repositoryMetaResource->id != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor id of type nexus_rest_api_ns0_repository_meta_resource...\n");
#endif
    freeXsStringType(_repositoryMetaResource->id);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor id of type nexus_rest_api_ns0_repository_meta_resource...\n");
#endif
    free(_repositoryMetaResource->id);
  }
  if (_repositoryMetaResource->repoType != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor repoType of type nexus_rest_api_ns0_repository_meta_resource...\n");
#endif
    freeXsStringType(_repositoryMetaResource->repoType);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor repoType of type nexus_rest_api_ns0_repository_meta_resource...\n");
#endif
    free(_repositoryMetaResource->repoType);
  }
  if (_repositoryMetaResource->format != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor format of type nexus_rest_api_ns0_repository_meta_resource...\n");
#endif
    freeXsStringType(_repositoryMetaResource->format);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor format of type nexus_rest_api_ns0_repository_meta_resource...\n");
#endif
    free(_repositoryMetaResource->format);
  }
  if (_repositoryMetaResource->groups != NULL) {
    for (i = 0; i < _repositoryMetaResource->_sizeof_groups; i++) {
#if DEBUG_ENUNCIATE > 1
      printf("Freeing accessor groups[%i] of type nexus_rest_api_ns0_repository_meta_resource...\n", i);
#endif
      freeXsStringType(&(_repositoryMetaResource->groups[i]));
    }
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor groups of type nexus_rest_api_ns0_repository_meta_resource...\n");
#endif
    free(_repositoryMetaResource->groups);
  }
}
#endif /* DEF_nexus_rest_api_ns0_repository_meta_resource_M */
#ifndef DEF_nexus_rest_api_ns0_repositoryMetaResourceResponse_M
#define DEF_nexus_rest_api_ns0_repositoryMetaResourceResponse_M

/**
 * Reads a RepositoryMetaResourceResponse element from XML. The element to be read is "repository-meta-data", and
 * it is assumed that the reader is pointing to the XML document (not the element).
 *
 * @param reader The XML reader.
 * @return The RepositoryMetaResourceResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_repositoryMetaResourceResponse *xml_read_nexus_rest_api_ns0_repositoryMetaResourceResponse(xmlTextReaderPtr reader) {
  int status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
  return xmlTextReaderReadNs0Repository_meta_dataElement(reader);
}

/**
 * Writes a RepositoryMetaResourceResponse to XML under element name "repository-meta-data".
 *
 * @param writer The XML writer.
 * @param _repositoryMetaResourceResponse The RepositoryMetaResourceResponse to write.
 * @return 1 if successful, 0 otherwise.
 */
int xml_write_nexus_rest_api_ns0_repositoryMetaResourceResponse(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_repositoryMetaResourceResponse *_repositoryMetaResourceResponse) {
  return xmlTextWriterWriteNs0Repository_meta_dataElementNS(writer, _repositoryMetaResourceResponse, 1);
}

/**
 * Frees a RepositoryMetaResourceResponse.
 *
 * @param _repositoryMetaResourceResponse The RepositoryMetaResourceResponse to free.
 */
void free_nexus_rest_api_ns0_repositoryMetaResourceResponse(struct nexus_rest_api_ns0_repositoryMetaResourceResponse *_repositoryMetaResourceResponse) {
  freeNs0RepositoryMetaResourceResponseType(_repositoryMetaResourceResponse);
  free(_repositoryMetaResourceResponse);
}

/**
 * Reads a RepositoryMetaResourceResponse element from XML. The element to be read is "repository-meta-data", and
 * it is assumed that the reader is pointing to that element.
 *
 * @param reader The XML reader.
 * @return The RepositoryMetaResourceResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_repositoryMetaResourceResponse *xmlTextReaderReadNs0Repository_meta_dataElement(xmlTextReaderPtr reader) {
  struct nexus_rest_api_ns0_repositoryMetaResourceResponse *_repositoryMetaResourceResponse = NULL;

  if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
    && xmlStrcmp(BAD_CAST "repository-meta-data", xmlTextReaderConstLocalName(reader)) == 0
    && xmlTextReaderConstNamespaceUri(reader) == NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Attempting to read root element {}repository-meta-data.\n");
#endif
    _repositoryMetaResourceResponse = xmlTextReaderReadNs0RepositoryMetaResourceResponseType(reader);
  }
#if DEBUG_ENUNCIATE
  if (_repositoryMetaResourceResponse == NULL) {
    if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
      printf("attempt to read {}repository-meta-data failed. current element: {}%s\n",  xmlTextReaderConstLocalName(reader));
    }
    else {
      printf("attempt to read {}repository-meta-data failed. current element: {%s}%s\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
    }
  }
#endif

  return _repositoryMetaResourceResponse;
}

/**
 * Writes a RepositoryMetaResourceResponse to XML under element name "repository-meta-data".
 * Does NOT write the namespace prefixes.
 *
 * @param writer The XML writer.
 * @param _repositoryMetaResourceResponse The RepositoryMetaResourceResponse to write.
 * @return 1 if successful, 0 otherwise.
 */
static int xmlTextWriterWriteNs0Repository_meta_dataElement(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_repositoryMetaResourceResponse *_repositoryMetaResourceResponse) {
  return xmlTextWriterWriteNs0Repository_meta_dataElementNS(writer, _repositoryMetaResourceResponse, 0);
}

/**
 * Writes a RepositoryMetaResourceResponse to XML under element name "repository-meta-data".
 *
 * @param writer The XML writer.
 * @param _repositoryMetaResourceResponse The RepositoryMetaResourceResponse to write.
 * @param writeNamespaces Whether to write the namespace prefixes.
 * @return 1 if successful, 0 otherwise.
 */
static int xmlTextWriterWriteNs0Repository_meta_dataElementNS(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_repositoryMetaResourceResponse *_repositoryMetaResourceResponse, int writeNamespaces) {
  int totalBytes = 0;
  int status;

  status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "repository-meta-data", NULL);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to write start element {}repository-meta-data. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

#if DEBUG_ENUNCIATE > 1
  printf("writing type {}repositoryMetaResourceResponse for root element {}repository-meta-data...\n");
#endif
  status = xmlTextWriterWriteNs0RepositoryMetaResourceResponseType(writer, _repositoryMetaResourceResponse);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to write type for start element {}repository-meta-data. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

  status = xmlTextWriterEndElement(writer);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to end element {}repository-meta-data. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

  return totalBytes;
}

/**
 * Frees the children of a RepositoryMetaResourceResponse.
 *
 * @param _repositoryMetaResourceResponse The RepositoryMetaResourceResponse whose children are to be free.
 */
static void freeNs0Repository_meta_dataElement(struct nexus_rest_api_ns0_repositoryMetaResourceResponse *_repositoryMetaResourceResponse) {
  freeNs0RepositoryMetaResourceResponseType(_repositoryMetaResourceResponse);
}

/**
 * Reads a RepositoryMetaResourceResponse from XML. The reader is assumed to be at the start element.
 *
 * @return the RepositoryMetaResourceResponse, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_repositoryMetaResourceResponse *xmlTextReaderReadNs0RepositoryMetaResourceResponseType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct nexus_rest_api_ns0_repositoryMetaResourceResponse *_repositoryMetaResourceResponse = calloc(1, sizeof(struct nexus_rest_api_ns0_repositoryMetaResourceResponse));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0RepositoryMetaResourceResponseType(_repositoryMetaResourceResponse);
        free(_repositoryMetaResourceResponse);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "data", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}data of type {}repository-meta-resource.\n");
#endif
        _child_accessor = xmlTextReaderReadNs0Repository_meta_resourceType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}data of type {}repository-meta-resource.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0RepositoryMetaResourceResponseType(_repositoryMetaResourceResponse);
          free(_repositoryMetaResourceResponse);
          return NULL;
        }

        _repositoryMetaResourceResponse->data = ((struct nexus_rest_api_ns0_repository_meta_resource*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}repositoryMetaResourceResponse.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}repositoryMetaResourceResponse. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _repositoryMetaResourceResponse;
}

/**
 * Writes a RepositoryMetaResourceResponse to XML.
 *
 * @param writer The XML writer.
 * @param _repositoryMetaResourceResponse The RepositoryMetaResourceResponse to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0RepositoryMetaResourceResponseType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_repositoryMetaResourceResponse *_repositoryMetaResourceResponse) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;
  if (_repositoryMetaResourceResponse->data != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "data", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {}repository-meta-resource for element {}data...\n", status);
#endif
    status = xmlTextWriterWriteNs0Repository_meta_resourceType(writer, (_repositoryMetaResourceResponse->data));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {}repository-meta-resource for element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a RepositoryMetaResourceResponse.
 *
 * @param _repositoryMetaResourceResponse The RepositoryMetaResourceResponse to free.
 */
static void freeNs0RepositoryMetaResourceResponseType(struct nexus_rest_api_ns0_repositoryMetaResourceResponse *_repositoryMetaResourceResponse) {
  int i;
  if (_repositoryMetaResourceResponse->data != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor data of type nexus_rest_api_ns0_repositoryMetaResourceResponse...\n");
#endif
    freeNs0Repository_meta_resourceType(_repositoryMetaResourceResponse->data);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor data of type nexus_rest_api_ns0_repositoryMetaResourceResponse...\n");
#endif
    free(_repositoryMetaResourceResponse->data);
  }
}
#endif /* DEF_nexus_rest_api_ns0_repositoryMetaResourceResponse_M */
#ifndef DEF_nexus_rest_api_ns0_repositoryResourceResponse_M
#define DEF_nexus_rest_api_ns0_repositoryResourceResponse_M

/**
 * Reads a RepositoryResourceResponse element from XML. The element to be read is "repository", and
 * it is assumed that the reader is pointing to the XML document (not the element).
 *
 * @param reader The XML reader.
 * @return The RepositoryResourceResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_repositoryResourceResponse *xml_read_nexus_rest_api_ns0_repositoryResourceResponse(xmlTextReaderPtr reader) {
  int status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
  return xmlTextReaderReadNs0RepositoryElement(reader);
}

/**
 * Writes a RepositoryResourceResponse to XML under element name "repository".
 *
 * @param writer The XML writer.
 * @param _repositoryResourceResponse The RepositoryResourceResponse to write.
 * @return 1 if successful, 0 otherwise.
 */
int xml_write_nexus_rest_api_ns0_repositoryResourceResponse(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_repositoryResourceResponse *_repositoryResourceResponse) {
  return xmlTextWriterWriteNs0RepositoryElementNS(writer, _repositoryResourceResponse, 1);
}

/**
 * Frees a RepositoryResourceResponse.
 *
 * @param _repositoryResourceResponse The RepositoryResourceResponse to free.
 */
void free_nexus_rest_api_ns0_repositoryResourceResponse(struct nexus_rest_api_ns0_repositoryResourceResponse *_repositoryResourceResponse) {
  freeNs0RepositoryResourceResponseType(_repositoryResourceResponse);
  free(_repositoryResourceResponse);
}

/**
 * Reads a RepositoryResourceResponse element from XML. The element to be read is "repository", and
 * it is assumed that the reader is pointing to that element.
 *
 * @param reader The XML reader.
 * @return The RepositoryResourceResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_repositoryResourceResponse *xmlTextReaderReadNs0RepositoryElement(xmlTextReaderPtr reader) {
  struct nexus_rest_api_ns0_repositoryResourceResponse *_repositoryResourceResponse = NULL;

  if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
    && xmlStrcmp(BAD_CAST "repository", xmlTextReaderConstLocalName(reader)) == 0
    && xmlTextReaderConstNamespaceUri(reader) == NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Attempting to read root element {}repository.\n");
#endif
    _repositoryResourceResponse = xmlTextReaderReadNs0RepositoryResourceResponseType(reader);
  }
#if DEBUG_ENUNCIATE
  if (_repositoryResourceResponse == NULL) {
    if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
      printf("attempt to read {}repository failed. current element: {}%s\n",  xmlTextReaderConstLocalName(reader));
    }
    else {
      printf("attempt to read {}repository failed. current element: {%s}%s\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
    }
  }
#endif

  return _repositoryResourceResponse;
}

/**
 * Writes a RepositoryResourceResponse to XML under element name "repository".
 * Does NOT write the namespace prefixes.
 *
 * @param writer The XML writer.
 * @param _repositoryResourceResponse The RepositoryResourceResponse to write.
 * @return 1 if successful, 0 otherwise.
 */
static int xmlTextWriterWriteNs0RepositoryElement(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_repositoryResourceResponse *_repositoryResourceResponse) {
  return xmlTextWriterWriteNs0RepositoryElementNS(writer, _repositoryResourceResponse, 0);
}

/**
 * Writes a RepositoryResourceResponse to XML under element name "repository".
 *
 * @param writer The XML writer.
 * @param _repositoryResourceResponse The RepositoryResourceResponse to write.
 * @param writeNamespaces Whether to write the namespace prefixes.
 * @return 1 if successful, 0 otherwise.
 */
static int xmlTextWriterWriteNs0RepositoryElementNS(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_repositoryResourceResponse *_repositoryResourceResponse, int writeNamespaces) {
  int totalBytes = 0;
  int status;

  status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "repository", NULL);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to write start element {}repository. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

#if DEBUG_ENUNCIATE > 1
  printf("writing type {}repositoryResourceResponse for root element {}repository...\n");
#endif
  status = xmlTextWriterWriteNs0RepositoryResourceResponseType(writer, _repositoryResourceResponse);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to write type for start element {}repository. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

  status = xmlTextWriterEndElement(writer);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to end element {}repository. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

  return totalBytes;
}

/**
 * Frees the children of a RepositoryResourceResponse.
 *
 * @param _repositoryResourceResponse The RepositoryResourceResponse whose children are to be free.
 */
static void freeNs0RepositoryElement(struct nexus_rest_api_ns0_repositoryResourceResponse *_repositoryResourceResponse) {
  freeNs0RepositoryResourceResponseType(_repositoryResourceResponse);
}

/**
 * Reads a RepositoryResourceResponse from XML. The reader is assumed to be at the start element.
 *
 * @return the RepositoryResourceResponse, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_repositoryResourceResponse *xmlTextReaderReadNs0RepositoryResourceResponseType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct nexus_rest_api_ns0_repositoryResourceResponse *_repositoryResourceResponse = calloc(1, sizeof(struct nexus_rest_api_ns0_repositoryResourceResponse));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0RepositoryResourceResponseType(_repositoryResourceResponse);
        free(_repositoryResourceResponse);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "data", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}data of type {}base-repository.\n");
#endif
        _child_accessor = xmlTextReaderReadNs0Base_repositoryType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}data of type {}base-repository.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0RepositoryResourceResponseType(_repositoryResourceResponse);
          free(_repositoryResourceResponse);
          return NULL;
        }

        _repositoryResourceResponse->data = ((struct nexus_rest_api_ns0_base_repository*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}repositoryResourceResponse.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}repositoryResourceResponse. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _repositoryResourceResponse;
}

/**
 * Writes a RepositoryResourceResponse to XML.
 *
 * @param writer The XML writer.
 * @param _repositoryResourceResponse The RepositoryResourceResponse to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0RepositoryResourceResponseType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_repositoryResourceResponse *_repositoryResourceResponse) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;
  if (_repositoryResourceResponse->data != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "data", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {}base-repository for element {}data...\n", status);
#endif
    status = xmlTextWriterWriteNs0Base_repositoryType(writer, (_repositoryResourceResponse->data));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {}base-repository for element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a RepositoryResourceResponse.
 *
 * @param _repositoryResourceResponse The RepositoryResourceResponse to free.
 */
static void freeNs0RepositoryResourceResponseType(struct nexus_rest_api_ns0_repositoryResourceResponse *_repositoryResourceResponse) {
  int i;
  if (_repositoryResourceResponse->data != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor data of type nexus_rest_api_ns0_repositoryResourceResponse...\n");
#endif
    freeNs0Base_repositoryType(_repositoryResourceResponse->data);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor data of type nexus_rest_api_ns0_repositoryResourceResponse...\n");
#endif
    free(_repositoryResourceResponse->data);
  }
}
#endif /* DEF_nexus_rest_api_ns0_repositoryResourceResponse_M */
#ifndef DEF_nexus_rest_api_ns0_repository_route_list_resource_M
#define DEF_nexus_rest_api_ns0_repository_route_list_resource_M

/**
 * Reads a RepositoryRouteListResource from XML. The reader is assumed to be at the start element.
 *
 * @return the RepositoryRouteListResource, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_repository_route_list_resource *xmlTextReaderReadNs0Repository_route_list_resourceType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct nexus_rest_api_ns0_repository_route_list_resource *_repositoryRouteListResource = calloc(1, sizeof(struct nexus_rest_api_ns0_repository_route_list_resource));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0Repository_route_list_resourceType(_repositoryRouteListResource);
        free(_repositoryRouteListResource);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "resourceURI", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}resourceURI of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}resourceURI of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Repository_route_list_resourceType(_repositoryRouteListResource);
          free(_repositoryRouteListResource);
          return NULL;
        }

        _repositoryRouteListResource->resourceURI = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "groupId", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}groupId of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}groupId of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Repository_route_list_resourceType(_repositoryRouteListResource);
          free(_repositoryRouteListResource);
          return NULL;
        }

        _repositoryRouteListResource->groupId = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "ruleType", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}ruleType of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}ruleType of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Repository_route_list_resourceType(_repositoryRouteListResource);
          free(_repositoryRouteListResource);
          return NULL;
        }

        _repositoryRouteListResource->ruleType = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "pattern", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}pattern of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}pattern of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Repository_route_list_resourceType(_repositoryRouteListResource);
          free(_repositoryRouteListResource);
          return NULL;
        }

        _repositoryRouteListResource->pattern = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "repositories", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

        if (xmlTextReaderIsEmptyElement(reader) == 0) {
#if DEBUG_ENUNCIATE > 1
          printf("Unwrapping wrapper element {}repositories...\n");
#endif
          //start wrapper element "{}repositories"
          status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
          while (xmlTextReaderDepth(reader) > (depth + 1)) {
            if (status < 1) {
              //panic: XML read error.
#if DEBUG_ENUNCIATE
              printf("Failure to advance to next child element.\n");
#endif
              freeNs0Repository_route_list_resourceType(_repositoryRouteListResource);
              free(_repositoryRouteListResource);
              return NULL;
            }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "repo-routes-member", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}repo-routes-member of type {}repository-route-member-repo.\n");
#endif
        _child_accessor = xmlTextReaderReadNs0Repository_route_member_repoType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}repo-routes-member of type {}repository-route-member-repo.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Repository_route_list_resourceType(_repositoryRouteListResource);
          free(_repositoryRouteListResource);
          return NULL;
        }

        _repositoryRouteListResource->repositories = realloc(_repositoryRouteListResource->repositories, (_repositoryRouteListResource->_sizeof_repositories + 1) * sizeof(struct nexus_rest_api_ns0_repository_route_member_repo));
        memcpy(&(_repositoryRouteListResource->repositories[_repositoryRouteListResource->_sizeof_repositories++]), _child_accessor, sizeof(struct nexus_rest_api_ns0_repository_route_member_repo));
        free(_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
          } // end "while in wrapper element" loop
        } //end "if empty element" clause

        if (status < 1) {
          //panic: XML read error.
#if DEBUG_ENUNCIATE
          printf("Failed to advance to end wrapper element {}repositories.\n");
#endif
          freeNs0Repository_route_list_resourceType(_repositoryRouteListResource);
          free(_repositoryRouteListResource);
          return NULL;
        }
        else {
          //end wrapper element "{}repositories"
          status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
        }
      } // end "if wrapper element" clause
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}repository-route-list-resource.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}repository-route-list-resource. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _repositoryRouteListResource;
}

/**
 * Writes a RepositoryRouteListResource to XML.
 *
 * @param writer The XML writer.
 * @param _repositoryRouteListResource The RepositoryRouteListResource to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0Repository_route_list_resourceType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_repository_route_list_resource *_repositoryRouteListResource) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;
  if (_repositoryRouteListResource->resourceURI != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "resourceURI", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}resourceURI. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}resourceURI...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_repositoryRouteListResource->resourceURI));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}resourceURI. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}resourceURI. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_repositoryRouteListResource->groupId != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "groupId", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}groupId. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}groupId...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_repositoryRouteListResource->groupId));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}groupId. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}groupId. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_repositoryRouteListResource->ruleType != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "ruleType", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}ruleType. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}ruleType...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_repositoryRouteListResource->ruleType));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}ruleType. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}ruleType. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_repositoryRouteListResource->pattern != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "pattern", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}pattern. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}pattern...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_repositoryRouteListResource->pattern));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}pattern. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}pattern. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  if (_repositoryRouteListResource->repositories != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "repositories", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}repositories. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  for (i = 0; i < _repositoryRouteListResource->_sizeof_repositories; i++) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "repo-routes-member", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}repo-routes-member. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {}repository-route-member-repo for element {}repo-routes-member...\n", status);
#endif
    status = xmlTextWriterWriteNs0Repository_route_member_repoType(writer, &(_repositoryRouteListResource->repositories[i]));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {}repository-route-member-repo for element {}repo-routes-member. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}repo-routes-member. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  if (_repositoryRouteListResource->repositories != NULL) {
    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}repositories. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a RepositoryRouteListResource.
 *
 * @param _repositoryRouteListResource The RepositoryRouteListResource to free.
 */
static void freeNs0Repository_route_list_resourceType(struct nexus_rest_api_ns0_repository_route_list_resource *_repositoryRouteListResource) {
  int i;
  if (_repositoryRouteListResource->resourceURI != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor resourceURI of type nexus_rest_api_ns0_repository_route_list_resource...\n");
#endif
    freeXsStringType(_repositoryRouteListResource->resourceURI);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor resourceURI of type nexus_rest_api_ns0_repository_route_list_resource...\n");
#endif
    free(_repositoryRouteListResource->resourceURI);
  }
  if (_repositoryRouteListResource->groupId != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor groupId of type nexus_rest_api_ns0_repository_route_list_resource...\n");
#endif
    freeXsStringType(_repositoryRouteListResource->groupId);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor groupId of type nexus_rest_api_ns0_repository_route_list_resource...\n");
#endif
    free(_repositoryRouteListResource->groupId);
  }
  if (_repositoryRouteListResource->ruleType != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor ruleType of type nexus_rest_api_ns0_repository_route_list_resource...\n");
#endif
    freeXsStringType(_repositoryRouteListResource->ruleType);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor ruleType of type nexus_rest_api_ns0_repository_route_list_resource...\n");
#endif
    free(_repositoryRouteListResource->ruleType);
  }
  if (_repositoryRouteListResource->pattern != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor pattern of type nexus_rest_api_ns0_repository_route_list_resource...\n");
#endif
    freeXsStringType(_repositoryRouteListResource->pattern);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor pattern of type nexus_rest_api_ns0_repository_route_list_resource...\n");
#endif
    free(_repositoryRouteListResource->pattern);
  }
  if (_repositoryRouteListResource->repositories != NULL) {
    for (i = 0; i < _repositoryRouteListResource->_sizeof_repositories; i++) {
#if DEBUG_ENUNCIATE > 1
      printf("Freeing accessor repositories[%i] of type nexus_rest_api_ns0_repository_route_list_resource...\n", i);
#endif
      freeNs0Repository_route_member_repoType(&(_repositoryRouteListResource->repositories[i]));
    }
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor repositories of type nexus_rest_api_ns0_repository_route_list_resource...\n");
#endif
    free(_repositoryRouteListResource->repositories);
  }
}
#endif /* DEF_nexus_rest_api_ns0_repository_route_list_resource_M */
#ifndef DEF_nexus_rest_api_ns0_repositoryRouteListResourceResponse_M
#define DEF_nexus_rest_api_ns0_repositoryRouteListResourceResponse_M

/**
 * Reads a RepositoryRouteListResourceResponse element from XML. The element to be read is "repo-routes-list", and
 * it is assumed that the reader is pointing to the XML document (not the element).
 *
 * @param reader The XML reader.
 * @return The RepositoryRouteListResourceResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_repositoryRouteListResourceResponse *xml_read_nexus_rest_api_ns0_repositoryRouteListResourceResponse(xmlTextReaderPtr reader) {
  int status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
  return xmlTextReaderReadNs0Repo_routes_listElement(reader);
}

/**
 * Writes a RepositoryRouteListResourceResponse to XML under element name "repo-routes-list".
 *
 * @param writer The XML writer.
 * @param _repositoryRouteListResourceResponse The RepositoryRouteListResourceResponse to write.
 * @return 1 if successful, 0 otherwise.
 */
int xml_write_nexus_rest_api_ns0_repositoryRouteListResourceResponse(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_repositoryRouteListResourceResponse *_repositoryRouteListResourceResponse) {
  return xmlTextWriterWriteNs0Repo_routes_listElementNS(writer, _repositoryRouteListResourceResponse, 1);
}

/**
 * Frees a RepositoryRouteListResourceResponse.
 *
 * @param _repositoryRouteListResourceResponse The RepositoryRouteListResourceResponse to free.
 */
void free_nexus_rest_api_ns0_repositoryRouteListResourceResponse(struct nexus_rest_api_ns0_repositoryRouteListResourceResponse *_repositoryRouteListResourceResponse) {
  freeNs0RepositoryRouteListResourceResponseType(_repositoryRouteListResourceResponse);
  free(_repositoryRouteListResourceResponse);
}

/**
 * Reads a RepositoryRouteListResourceResponse element from XML. The element to be read is "repo-routes-list", and
 * it is assumed that the reader is pointing to that element.
 *
 * @param reader The XML reader.
 * @return The RepositoryRouteListResourceResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_repositoryRouteListResourceResponse *xmlTextReaderReadNs0Repo_routes_listElement(xmlTextReaderPtr reader) {
  struct nexus_rest_api_ns0_repositoryRouteListResourceResponse *_repositoryRouteListResourceResponse = NULL;

  if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
    && xmlStrcmp(BAD_CAST "repo-routes-list", xmlTextReaderConstLocalName(reader)) == 0
    && xmlTextReaderConstNamespaceUri(reader) == NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Attempting to read root element {}repo-routes-list.\n");
#endif
    _repositoryRouteListResourceResponse = xmlTextReaderReadNs0RepositoryRouteListResourceResponseType(reader);
  }
#if DEBUG_ENUNCIATE
  if (_repositoryRouteListResourceResponse == NULL) {
    if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
      printf("attempt to read {}repo-routes-list failed. current element: {}%s\n",  xmlTextReaderConstLocalName(reader));
    }
    else {
      printf("attempt to read {}repo-routes-list failed. current element: {%s}%s\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
    }
  }
#endif

  return _repositoryRouteListResourceResponse;
}

/**
 * Writes a RepositoryRouteListResourceResponse to XML under element name "repo-routes-list".
 * Does NOT write the namespace prefixes.
 *
 * @param writer The XML writer.
 * @param _repositoryRouteListResourceResponse The RepositoryRouteListResourceResponse to write.
 * @return 1 if successful, 0 otherwise.
 */
static int xmlTextWriterWriteNs0Repo_routes_listElement(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_repositoryRouteListResourceResponse *_repositoryRouteListResourceResponse) {
  return xmlTextWriterWriteNs0Repo_routes_listElementNS(writer, _repositoryRouteListResourceResponse, 0);
}

/**
 * Writes a RepositoryRouteListResourceResponse to XML under element name "repo-routes-list".
 *
 * @param writer The XML writer.
 * @param _repositoryRouteListResourceResponse The RepositoryRouteListResourceResponse to write.
 * @param writeNamespaces Whether to write the namespace prefixes.
 * @return 1 if successful, 0 otherwise.
 */
static int xmlTextWriterWriteNs0Repo_routes_listElementNS(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_repositoryRouteListResourceResponse *_repositoryRouteListResourceResponse, int writeNamespaces) {
  int totalBytes = 0;
  int status;

  status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "repo-routes-list", NULL);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to write start element {}repo-routes-list. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

#if DEBUG_ENUNCIATE > 1
  printf("writing type {}repositoryRouteListResourceResponse for root element {}repo-routes-list...\n");
#endif
  status = xmlTextWriterWriteNs0RepositoryRouteListResourceResponseType(writer, _repositoryRouteListResourceResponse);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to write type for start element {}repo-routes-list. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

  status = xmlTextWriterEndElement(writer);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to end element {}repo-routes-list. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

  return totalBytes;
}

/**
 * Frees the children of a RepositoryRouteListResourceResponse.
 *
 * @param _repositoryRouteListResourceResponse The RepositoryRouteListResourceResponse whose children are to be free.
 */
static void freeNs0Repo_routes_listElement(struct nexus_rest_api_ns0_repositoryRouteListResourceResponse *_repositoryRouteListResourceResponse) {
  freeNs0RepositoryRouteListResourceResponseType(_repositoryRouteListResourceResponse);
}

/**
 * Reads a RepositoryRouteListResourceResponse from XML. The reader is assumed to be at the start element.
 *
 * @return the RepositoryRouteListResourceResponse, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_repositoryRouteListResourceResponse *xmlTextReaderReadNs0RepositoryRouteListResourceResponseType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct nexus_rest_api_ns0_repositoryRouteListResourceResponse *_repositoryRouteListResourceResponse = calloc(1, sizeof(struct nexus_rest_api_ns0_repositoryRouteListResourceResponse));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0RepositoryRouteListResourceResponseType(_repositoryRouteListResourceResponse);
        free(_repositoryRouteListResourceResponse);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "data", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

        if (xmlTextReaderIsEmptyElement(reader) == 0) {
#if DEBUG_ENUNCIATE > 1
          printf("Unwrapping wrapper element {}data...\n");
#endif
          //start wrapper element "{}data"
          status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
          while (xmlTextReaderDepth(reader) > (depth + 1)) {
            if (status < 1) {
              //panic: XML read error.
#if DEBUG_ENUNCIATE
              printf("Failure to advance to next child element.\n");
#endif
              freeNs0RepositoryRouteListResourceResponseType(_repositoryRouteListResourceResponse);
              free(_repositoryRouteListResourceResponse);
              return NULL;
            }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "repo-routes-list-item", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}repo-routes-list-item of type {}repository-route-list-resource.\n");
#endif
        _child_accessor = xmlTextReaderReadNs0Repository_route_list_resourceType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}repo-routes-list-item of type {}repository-route-list-resource.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0RepositoryRouteListResourceResponseType(_repositoryRouteListResourceResponse);
          free(_repositoryRouteListResourceResponse);
          return NULL;
        }

        _repositoryRouteListResourceResponse->data = realloc(_repositoryRouteListResourceResponse->data, (_repositoryRouteListResourceResponse->_sizeof_data + 1) * sizeof(struct nexus_rest_api_ns0_repository_route_list_resource));
        memcpy(&(_repositoryRouteListResourceResponse->data[_repositoryRouteListResourceResponse->_sizeof_data++]), _child_accessor, sizeof(struct nexus_rest_api_ns0_repository_route_list_resource));
        free(_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
          } // end "while in wrapper element" loop
        } //end "if empty element" clause

        if (status < 1) {
          //panic: XML read error.
#if DEBUG_ENUNCIATE
          printf("Failed to advance to end wrapper element {}data.\n");
#endif
          freeNs0RepositoryRouteListResourceResponseType(_repositoryRouteListResourceResponse);
          free(_repositoryRouteListResourceResponse);
          return NULL;
        }
        else {
          //end wrapper element "{}data"
          status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
        }
      } // end "if wrapper element" clause
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}repositoryRouteListResourceResponse.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}repositoryRouteListResourceResponse. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _repositoryRouteListResourceResponse;
}

/**
 * Writes a RepositoryRouteListResourceResponse to XML.
 *
 * @param writer The XML writer.
 * @param _repositoryRouteListResourceResponse The RepositoryRouteListResourceResponse to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0RepositoryRouteListResourceResponseType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_repositoryRouteListResourceResponse *_repositoryRouteListResourceResponse) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;

  if (_repositoryRouteListResourceResponse->data != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "data", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  for (i = 0; i < _repositoryRouteListResourceResponse->_sizeof_data; i++) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "repo-routes-list-item", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}repo-routes-list-item. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {}repository-route-list-resource for element {}repo-routes-list-item...\n", status);
#endif
    status = xmlTextWriterWriteNs0Repository_route_list_resourceType(writer, &(_repositoryRouteListResourceResponse->data[i]));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {}repository-route-list-resource for element {}repo-routes-list-item. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}repo-routes-list-item. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  if (_repositoryRouteListResourceResponse->data != NULL) {
    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a RepositoryRouteListResourceResponse.
 *
 * @param _repositoryRouteListResourceResponse The RepositoryRouteListResourceResponse to free.
 */
static void freeNs0RepositoryRouteListResourceResponseType(struct nexus_rest_api_ns0_repositoryRouteListResourceResponse *_repositoryRouteListResourceResponse) {
  int i;
  if (_repositoryRouteListResourceResponse->data != NULL) {
    for (i = 0; i < _repositoryRouteListResourceResponse->_sizeof_data; i++) {
#if DEBUG_ENUNCIATE > 1
      printf("Freeing accessor data[%i] of type nexus_rest_api_ns0_repositoryRouteListResourceResponse...\n", i);
#endif
      freeNs0Repository_route_list_resourceType(&(_repositoryRouteListResourceResponse->data[i]));
    }
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor data of type nexus_rest_api_ns0_repositoryRouteListResourceResponse...\n");
#endif
    free(_repositoryRouteListResourceResponse->data);
  }
}
#endif /* DEF_nexus_rest_api_ns0_repositoryRouteListResourceResponse_M */
#ifndef DEF_nexus_rest_api_ns0_repository_route_member_repo_M
#define DEF_nexus_rest_api_ns0_repository_route_member_repo_M

/**
 * Reads a RepositoryRouteMemberRepository from XML. The reader is assumed to be at the start element.
 *
 * @return the RepositoryRouteMemberRepository, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_repository_route_member_repo *xmlTextReaderReadNs0Repository_route_member_repoType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct nexus_rest_api_ns0_repository_route_member_repo *_repositoryRouteMemberRepository = calloc(1, sizeof(struct nexus_rest_api_ns0_repository_route_member_repo));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0Repository_route_member_repoType(_repositoryRouteMemberRepository);
        free(_repositoryRouteMemberRepository);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "id", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}id of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}id of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Repository_route_member_repoType(_repositoryRouteMemberRepository);
          free(_repositoryRouteMemberRepository);
          return NULL;
        }

        _repositoryRouteMemberRepository->id = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "name", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}name of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}name of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Repository_route_member_repoType(_repositoryRouteMemberRepository);
          free(_repositoryRouteMemberRepository);
          return NULL;
        }

        _repositoryRouteMemberRepository->name = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "resourceURI", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}resourceURI of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}resourceURI of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Repository_route_member_repoType(_repositoryRouteMemberRepository);
          free(_repositoryRouteMemberRepository);
          return NULL;
        }

        _repositoryRouteMemberRepository->resourceURI = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}repository-route-member-repo.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}repository-route-member-repo. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _repositoryRouteMemberRepository;
}

/**
 * Writes a RepositoryRouteMemberRepository to XML.
 *
 * @param writer The XML writer.
 * @param _repositoryRouteMemberRepository The RepositoryRouteMemberRepository to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0Repository_route_member_repoType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_repository_route_member_repo *_repositoryRouteMemberRepository) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;
  if (_repositoryRouteMemberRepository->id != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "id", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}id. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}id...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_repositoryRouteMemberRepository->id));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}id. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}id. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_repositoryRouteMemberRepository->name != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "name", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}name. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}name...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_repositoryRouteMemberRepository->name));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}name. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}name. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_repositoryRouteMemberRepository->resourceURI != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "resourceURI", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}resourceURI. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}resourceURI...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_repositoryRouteMemberRepository->resourceURI));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}resourceURI. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}resourceURI. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a RepositoryRouteMemberRepository.
 *
 * @param _repositoryRouteMemberRepository The RepositoryRouteMemberRepository to free.
 */
static void freeNs0Repository_route_member_repoType(struct nexus_rest_api_ns0_repository_route_member_repo *_repositoryRouteMemberRepository) {
  int i;
  if (_repositoryRouteMemberRepository->id != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor id of type nexus_rest_api_ns0_repository_route_member_repo...\n");
#endif
    freeXsStringType(_repositoryRouteMemberRepository->id);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor id of type nexus_rest_api_ns0_repository_route_member_repo...\n");
#endif
    free(_repositoryRouteMemberRepository->id);
  }
  if (_repositoryRouteMemberRepository->name != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor name of type nexus_rest_api_ns0_repository_route_member_repo...\n");
#endif
    freeXsStringType(_repositoryRouteMemberRepository->name);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor name of type nexus_rest_api_ns0_repository_route_member_repo...\n");
#endif
    free(_repositoryRouteMemberRepository->name);
  }
  if (_repositoryRouteMemberRepository->resourceURI != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor resourceURI of type nexus_rest_api_ns0_repository_route_member_repo...\n");
#endif
    freeXsStringType(_repositoryRouteMemberRepository->resourceURI);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor resourceURI of type nexus_rest_api_ns0_repository_route_member_repo...\n");
#endif
    free(_repositoryRouteMemberRepository->resourceURI);
  }
}
#endif /* DEF_nexus_rest_api_ns0_repository_route_member_repo_M */
#ifndef DEF_nexus_rest_api_ns0_repository_route_resource_M
#define DEF_nexus_rest_api_ns0_repository_route_resource_M

/**
 * Reads a RepositoryRouteResource from XML. The reader is assumed to be at the start element.
 *
 * @return the RepositoryRouteResource, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_repository_route_resource *xmlTextReaderReadNs0Repository_route_resourceType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct nexus_rest_api_ns0_repository_route_resource *_repositoryRouteResource = calloc(1, sizeof(struct nexus_rest_api_ns0_repository_route_resource));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0Repository_route_resourceType(_repositoryRouteResource);
        free(_repositoryRouteResource);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "id", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}id of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}id of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Repository_route_resourceType(_repositoryRouteResource);
          free(_repositoryRouteResource);
          return NULL;
        }

        _repositoryRouteResource->id = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "groupId", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}groupId of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}groupId of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Repository_route_resourceType(_repositoryRouteResource);
          free(_repositoryRouteResource);
          return NULL;
        }

        _repositoryRouteResource->groupId = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "ruleType", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}ruleType of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}ruleType of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Repository_route_resourceType(_repositoryRouteResource);
          free(_repositoryRouteResource);
          return NULL;
        }

        _repositoryRouteResource->ruleType = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "pattern", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}pattern of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}pattern of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Repository_route_resourceType(_repositoryRouteResource);
          free(_repositoryRouteResource);
          return NULL;
        }

        _repositoryRouteResource->pattern = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "repositories", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

        if (xmlTextReaderIsEmptyElement(reader) == 0) {
#if DEBUG_ENUNCIATE > 1
          printf("Unwrapping wrapper element {}repositories...\n");
#endif
          //start wrapper element "{}repositories"
          status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
          while (xmlTextReaderDepth(reader) > (depth + 1)) {
            if (status < 1) {
              //panic: XML read error.
#if DEBUG_ENUNCIATE
              printf("Failure to advance to next child element.\n");
#endif
              freeNs0Repository_route_resourceType(_repositoryRouteResource);
              free(_repositoryRouteResource);
              return NULL;
            }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "repository", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}repository of type {}repository-route-member-repo.\n");
#endif
        _child_accessor = xmlTextReaderReadNs0Repository_route_member_repoType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}repository of type {}repository-route-member-repo.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Repository_route_resourceType(_repositoryRouteResource);
          free(_repositoryRouteResource);
          return NULL;
        }

        _repositoryRouteResource->repositories = realloc(_repositoryRouteResource->repositories, (_repositoryRouteResource->_sizeof_repositories + 1) * sizeof(struct nexus_rest_api_ns0_repository_route_member_repo));
        memcpy(&(_repositoryRouteResource->repositories[_repositoryRouteResource->_sizeof_repositories++]), _child_accessor, sizeof(struct nexus_rest_api_ns0_repository_route_member_repo));
        free(_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
          } // end "while in wrapper element" loop
        } //end "if empty element" clause

        if (status < 1) {
          //panic: XML read error.
#if DEBUG_ENUNCIATE
          printf("Failed to advance to end wrapper element {}repositories.\n");
#endif
          freeNs0Repository_route_resourceType(_repositoryRouteResource);
          free(_repositoryRouteResource);
          return NULL;
        }
        else {
          //end wrapper element "{}repositories"
          status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
        }
      } // end "if wrapper element" clause
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}repository-route-resource.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}repository-route-resource. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _repositoryRouteResource;
}

/**
 * Writes a RepositoryRouteResource to XML.
 *
 * @param writer The XML writer.
 * @param _repositoryRouteResource The RepositoryRouteResource to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0Repository_route_resourceType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_repository_route_resource *_repositoryRouteResource) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;
  if (_repositoryRouteResource->id != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "id", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}id. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}id...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_repositoryRouteResource->id));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}id. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}id. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_repositoryRouteResource->groupId != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "groupId", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}groupId. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}groupId...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_repositoryRouteResource->groupId));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}groupId. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}groupId. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_repositoryRouteResource->ruleType != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "ruleType", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}ruleType. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}ruleType...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_repositoryRouteResource->ruleType));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}ruleType. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}ruleType. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_repositoryRouteResource->pattern != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "pattern", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}pattern. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}pattern...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_repositoryRouteResource->pattern));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}pattern. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}pattern. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  if (_repositoryRouteResource->repositories != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "repositories", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}repositories. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  for (i = 0; i < _repositoryRouteResource->_sizeof_repositories; i++) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "repository", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}repository. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {}repository-route-member-repo for element {}repository...\n", status);
#endif
    status = xmlTextWriterWriteNs0Repository_route_member_repoType(writer, &(_repositoryRouteResource->repositories[i]));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {}repository-route-member-repo for element {}repository. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}repository. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  if (_repositoryRouteResource->repositories != NULL) {
    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}repositories. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a RepositoryRouteResource.
 *
 * @param _repositoryRouteResource The RepositoryRouteResource to free.
 */
static void freeNs0Repository_route_resourceType(struct nexus_rest_api_ns0_repository_route_resource *_repositoryRouteResource) {
  int i;
  if (_repositoryRouteResource->id != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor id of type nexus_rest_api_ns0_repository_route_resource...\n");
#endif
    freeXsStringType(_repositoryRouteResource->id);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor id of type nexus_rest_api_ns0_repository_route_resource...\n");
#endif
    free(_repositoryRouteResource->id);
  }
  if (_repositoryRouteResource->groupId != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor groupId of type nexus_rest_api_ns0_repository_route_resource...\n");
#endif
    freeXsStringType(_repositoryRouteResource->groupId);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor groupId of type nexus_rest_api_ns0_repository_route_resource...\n");
#endif
    free(_repositoryRouteResource->groupId);
  }
  if (_repositoryRouteResource->ruleType != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor ruleType of type nexus_rest_api_ns0_repository_route_resource...\n");
#endif
    freeXsStringType(_repositoryRouteResource->ruleType);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor ruleType of type nexus_rest_api_ns0_repository_route_resource...\n");
#endif
    free(_repositoryRouteResource->ruleType);
  }
  if (_repositoryRouteResource->pattern != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor pattern of type nexus_rest_api_ns0_repository_route_resource...\n");
#endif
    freeXsStringType(_repositoryRouteResource->pattern);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor pattern of type nexus_rest_api_ns0_repository_route_resource...\n");
#endif
    free(_repositoryRouteResource->pattern);
  }
  if (_repositoryRouteResource->repositories != NULL) {
    for (i = 0; i < _repositoryRouteResource->_sizeof_repositories; i++) {
#if DEBUG_ENUNCIATE > 1
      printf("Freeing accessor repositories[%i] of type nexus_rest_api_ns0_repository_route_resource...\n", i);
#endif
      freeNs0Repository_route_member_repoType(&(_repositoryRouteResource->repositories[i]));
    }
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor repositories of type nexus_rest_api_ns0_repository_route_resource...\n");
#endif
    free(_repositoryRouteResource->repositories);
  }
}
#endif /* DEF_nexus_rest_api_ns0_repository_route_resource_M */
#ifndef DEF_nexus_rest_api_ns0_repositoryRouteResourceResponse_M
#define DEF_nexus_rest_api_ns0_repositoryRouteResourceResponse_M

/**
 * Reads a RepositoryRouteResourceResponse element from XML. The element to be read is "repo-route", and
 * it is assumed that the reader is pointing to the XML document (not the element).
 *
 * @param reader The XML reader.
 * @return The RepositoryRouteResourceResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_repositoryRouteResourceResponse *xml_read_nexus_rest_api_ns0_repositoryRouteResourceResponse(xmlTextReaderPtr reader) {
  int status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
  return xmlTextReaderReadNs0Repo_routeElement(reader);
}

/**
 * Writes a RepositoryRouteResourceResponse to XML under element name "repo-route".
 *
 * @param writer The XML writer.
 * @param _repositoryRouteResourceResponse The RepositoryRouteResourceResponse to write.
 * @return 1 if successful, 0 otherwise.
 */
int xml_write_nexus_rest_api_ns0_repositoryRouteResourceResponse(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_repositoryRouteResourceResponse *_repositoryRouteResourceResponse) {
  return xmlTextWriterWriteNs0Repo_routeElementNS(writer, _repositoryRouteResourceResponse, 1);
}

/**
 * Frees a RepositoryRouteResourceResponse.
 *
 * @param _repositoryRouteResourceResponse The RepositoryRouteResourceResponse to free.
 */
void free_nexus_rest_api_ns0_repositoryRouteResourceResponse(struct nexus_rest_api_ns0_repositoryRouteResourceResponse *_repositoryRouteResourceResponse) {
  freeNs0RepositoryRouteResourceResponseType(_repositoryRouteResourceResponse);
  free(_repositoryRouteResourceResponse);
}

/**
 * Reads a RepositoryRouteResourceResponse element from XML. The element to be read is "repo-route", and
 * it is assumed that the reader is pointing to that element.
 *
 * @param reader The XML reader.
 * @return The RepositoryRouteResourceResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_repositoryRouteResourceResponse *xmlTextReaderReadNs0Repo_routeElement(xmlTextReaderPtr reader) {
  struct nexus_rest_api_ns0_repositoryRouteResourceResponse *_repositoryRouteResourceResponse = NULL;

  if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
    && xmlStrcmp(BAD_CAST "repo-route", xmlTextReaderConstLocalName(reader)) == 0
    && xmlTextReaderConstNamespaceUri(reader) == NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Attempting to read root element {}repo-route.\n");
#endif
    _repositoryRouteResourceResponse = xmlTextReaderReadNs0RepositoryRouteResourceResponseType(reader);
  }
#if DEBUG_ENUNCIATE
  if (_repositoryRouteResourceResponse == NULL) {
    if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
      printf("attempt to read {}repo-route failed. current element: {}%s\n",  xmlTextReaderConstLocalName(reader));
    }
    else {
      printf("attempt to read {}repo-route failed. current element: {%s}%s\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
    }
  }
#endif

  return _repositoryRouteResourceResponse;
}

/**
 * Writes a RepositoryRouteResourceResponse to XML under element name "repo-route".
 * Does NOT write the namespace prefixes.
 *
 * @param writer The XML writer.
 * @param _repositoryRouteResourceResponse The RepositoryRouteResourceResponse to write.
 * @return 1 if successful, 0 otherwise.
 */
static int xmlTextWriterWriteNs0Repo_routeElement(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_repositoryRouteResourceResponse *_repositoryRouteResourceResponse) {
  return xmlTextWriterWriteNs0Repo_routeElementNS(writer, _repositoryRouteResourceResponse, 0);
}

/**
 * Writes a RepositoryRouteResourceResponse to XML under element name "repo-route".
 *
 * @param writer The XML writer.
 * @param _repositoryRouteResourceResponse The RepositoryRouteResourceResponse to write.
 * @param writeNamespaces Whether to write the namespace prefixes.
 * @return 1 if successful, 0 otherwise.
 */
static int xmlTextWriterWriteNs0Repo_routeElementNS(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_repositoryRouteResourceResponse *_repositoryRouteResourceResponse, int writeNamespaces) {
  int totalBytes = 0;
  int status;

  status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "repo-route", NULL);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to write start element {}repo-route. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

#if DEBUG_ENUNCIATE > 1
  printf("writing type {}repositoryRouteResourceResponse for root element {}repo-route...\n");
#endif
  status = xmlTextWriterWriteNs0RepositoryRouteResourceResponseType(writer, _repositoryRouteResourceResponse);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to write type for start element {}repo-route. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

  status = xmlTextWriterEndElement(writer);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to end element {}repo-route. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

  return totalBytes;
}

/**
 * Frees the children of a RepositoryRouteResourceResponse.
 *
 * @param _repositoryRouteResourceResponse The RepositoryRouteResourceResponse whose children are to be free.
 */
static void freeNs0Repo_routeElement(struct nexus_rest_api_ns0_repositoryRouteResourceResponse *_repositoryRouteResourceResponse) {
  freeNs0RepositoryRouteResourceResponseType(_repositoryRouteResourceResponse);
}

/**
 * Reads a RepositoryRouteResourceResponse from XML. The reader is assumed to be at the start element.
 *
 * @return the RepositoryRouteResourceResponse, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_repositoryRouteResourceResponse *xmlTextReaderReadNs0RepositoryRouteResourceResponseType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct nexus_rest_api_ns0_repositoryRouteResourceResponse *_repositoryRouteResourceResponse = calloc(1, sizeof(struct nexus_rest_api_ns0_repositoryRouteResourceResponse));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0RepositoryRouteResourceResponseType(_repositoryRouteResourceResponse);
        free(_repositoryRouteResourceResponse);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "data", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}data of type {}repository-route-resource.\n");
#endif
        _child_accessor = xmlTextReaderReadNs0Repository_route_resourceType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}data of type {}repository-route-resource.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0RepositoryRouteResourceResponseType(_repositoryRouteResourceResponse);
          free(_repositoryRouteResourceResponse);
          return NULL;
        }

        _repositoryRouteResourceResponse->data = ((struct nexus_rest_api_ns0_repository_route_resource*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}repositoryRouteResourceResponse.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}repositoryRouteResourceResponse. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _repositoryRouteResourceResponse;
}

/**
 * Writes a RepositoryRouteResourceResponse to XML.
 *
 * @param writer The XML writer.
 * @param _repositoryRouteResourceResponse The RepositoryRouteResourceResponse to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0RepositoryRouteResourceResponseType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_repositoryRouteResourceResponse *_repositoryRouteResourceResponse) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;
  if (_repositoryRouteResourceResponse->data != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "data", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {}repository-route-resource for element {}data...\n", status);
#endif
    status = xmlTextWriterWriteNs0Repository_route_resourceType(writer, (_repositoryRouteResourceResponse->data));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {}repository-route-resource for element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a RepositoryRouteResourceResponse.
 *
 * @param _repositoryRouteResourceResponse The RepositoryRouteResourceResponse to free.
 */
static void freeNs0RepositoryRouteResourceResponseType(struct nexus_rest_api_ns0_repositoryRouteResourceResponse *_repositoryRouteResourceResponse) {
  int i;
  if (_repositoryRouteResourceResponse->data != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor data of type nexus_rest_api_ns0_repositoryRouteResourceResponse...\n");
#endif
    freeNs0Repository_route_resourceType(_repositoryRouteResourceResponse->data);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor data of type nexus_rest_api_ns0_repositoryRouteResourceResponse...\n");
#endif
    free(_repositoryRouteResourceResponse->data);
  }
}
#endif /* DEF_nexus_rest_api_ns0_repositoryRouteResourceResponse_M */
#ifndef DEF_nexus_rest_api_ns0_repository_status_list_item_M
#define DEF_nexus_rest_api_ns0_repository_status_list_item_M

/**
 * Reads a RepositoryStatusListResource from XML. The reader is assumed to be at the start element.
 *
 * @return the RepositoryStatusListResource, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_repository_status_list_item *xmlTextReaderReadNs0Repository_status_list_itemType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct nexus_rest_api_ns0_repository_status_list_item *_repositoryStatusListResource = calloc(1, sizeof(struct nexus_rest_api_ns0_repository_status_list_item));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0Repository_status_list_itemType(_repositoryStatusListResource);
        free(_repositoryStatusListResource);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "resourceURI", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}resourceURI of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}resourceURI of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Repository_status_list_itemType(_repositoryStatusListResource);
          free(_repositoryStatusListResource);
          return NULL;
        }

        _repositoryStatusListResource->resourceURI = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "id", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}id of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}id of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Repository_status_list_itemType(_repositoryStatusListResource);
          free(_repositoryStatusListResource);
          return NULL;
        }

        _repositoryStatusListResource->id = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "name", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}name of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}name of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Repository_status_list_itemType(_repositoryStatusListResource);
          free(_repositoryStatusListResource);
          return NULL;
        }

        _repositoryStatusListResource->name = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "repoType", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}repoType of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}repoType of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Repository_status_list_itemType(_repositoryStatusListResource);
          free(_repositoryStatusListResource);
          return NULL;
        }

        _repositoryStatusListResource->repoType = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "repoPolicy", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}repoPolicy of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}repoPolicy of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Repository_status_list_itemType(_repositoryStatusListResource);
          free(_repositoryStatusListResource);
          return NULL;
        }

        _repositoryStatusListResource->repoPolicy = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "format", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}format of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}format of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Repository_status_list_itemType(_repositoryStatusListResource);
          free(_repositoryStatusListResource);
          return NULL;
        }

        _repositoryStatusListResource->format = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "status", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}status of type {}repository-status.\n");
#endif
        _child_accessor = xmlTextReaderReadNs0Repository_statusType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}status of type {}repository-status.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Repository_status_list_itemType(_repositoryStatusListResource);
          free(_repositoryStatusListResource);
          return NULL;
        }

        _repositoryStatusListResource->status = ((struct nexus_rest_api_ns0_repository_status*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}repository-status-list-item.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}repository-status-list-item. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _repositoryStatusListResource;
}

/**
 * Writes a RepositoryStatusListResource to XML.
 *
 * @param writer The XML writer.
 * @param _repositoryStatusListResource The RepositoryStatusListResource to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0Repository_status_list_itemType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_repository_status_list_item *_repositoryStatusListResource) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;
  if (_repositoryStatusListResource->resourceURI != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "resourceURI", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}resourceURI. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}resourceURI...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_repositoryStatusListResource->resourceURI));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}resourceURI. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}resourceURI. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_repositoryStatusListResource->id != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "id", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}id. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}id...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_repositoryStatusListResource->id));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}id. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}id. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_repositoryStatusListResource->name != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "name", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}name. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}name...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_repositoryStatusListResource->name));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}name. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}name. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_repositoryStatusListResource->repoType != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "repoType", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}repoType. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}repoType...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_repositoryStatusListResource->repoType));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}repoType. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}repoType. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_repositoryStatusListResource->repoPolicy != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "repoPolicy", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}repoPolicy. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}repoPolicy...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_repositoryStatusListResource->repoPolicy));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}repoPolicy. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}repoPolicy. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_repositoryStatusListResource->format != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "format", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}format. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}format...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_repositoryStatusListResource->format));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}format. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}format. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_repositoryStatusListResource->status != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "status", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}status. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {}repository-status for element {}status...\n", status);
#endif
    status = xmlTextWriterWriteNs0Repository_statusType(writer, (_repositoryStatusListResource->status));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {}repository-status for element {}status. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}status. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a RepositoryStatusListResource.
 *
 * @param _repositoryStatusListResource The RepositoryStatusListResource to free.
 */
static void freeNs0Repository_status_list_itemType(struct nexus_rest_api_ns0_repository_status_list_item *_repositoryStatusListResource) {
  int i;
  if (_repositoryStatusListResource->resourceURI != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor resourceURI of type nexus_rest_api_ns0_repository_status_list_item...\n");
#endif
    freeXsStringType(_repositoryStatusListResource->resourceURI);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor resourceURI of type nexus_rest_api_ns0_repository_status_list_item...\n");
#endif
    free(_repositoryStatusListResource->resourceURI);
  }
  if (_repositoryStatusListResource->id != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor id of type nexus_rest_api_ns0_repository_status_list_item...\n");
#endif
    freeXsStringType(_repositoryStatusListResource->id);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor id of type nexus_rest_api_ns0_repository_status_list_item...\n");
#endif
    free(_repositoryStatusListResource->id);
  }
  if (_repositoryStatusListResource->name != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor name of type nexus_rest_api_ns0_repository_status_list_item...\n");
#endif
    freeXsStringType(_repositoryStatusListResource->name);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor name of type nexus_rest_api_ns0_repository_status_list_item...\n");
#endif
    free(_repositoryStatusListResource->name);
  }
  if (_repositoryStatusListResource->repoType != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor repoType of type nexus_rest_api_ns0_repository_status_list_item...\n");
#endif
    freeXsStringType(_repositoryStatusListResource->repoType);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor repoType of type nexus_rest_api_ns0_repository_status_list_item...\n");
#endif
    free(_repositoryStatusListResource->repoType);
  }
  if (_repositoryStatusListResource->repoPolicy != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor repoPolicy of type nexus_rest_api_ns0_repository_status_list_item...\n");
#endif
    freeXsStringType(_repositoryStatusListResource->repoPolicy);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor repoPolicy of type nexus_rest_api_ns0_repository_status_list_item...\n");
#endif
    free(_repositoryStatusListResource->repoPolicy);
  }
  if (_repositoryStatusListResource->format != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor format of type nexus_rest_api_ns0_repository_status_list_item...\n");
#endif
    freeXsStringType(_repositoryStatusListResource->format);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor format of type nexus_rest_api_ns0_repository_status_list_item...\n");
#endif
    free(_repositoryStatusListResource->format);
  }
  if (_repositoryStatusListResource->status != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor status of type nexus_rest_api_ns0_repository_status_list_item...\n");
#endif
    freeNs0Repository_statusType(_repositoryStatusListResource->status);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor status of type nexus_rest_api_ns0_repository_status_list_item...\n");
#endif
    free(_repositoryStatusListResource->status);
  }
}
#endif /* DEF_nexus_rest_api_ns0_repository_status_list_item_M */
#ifndef DEF_nexus_rest_api_ns0_repositoryStatusListResourceResponse_M
#define DEF_nexus_rest_api_ns0_repositoryStatusListResourceResponse_M

/**
 * Reads a RepositoryStatusListResourceResponse element from XML. The element to be read is "repository-status-list", and
 * it is assumed that the reader is pointing to the XML document (not the element).
 *
 * @param reader The XML reader.
 * @return The RepositoryStatusListResourceResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_repositoryStatusListResourceResponse *xml_read_nexus_rest_api_ns0_repositoryStatusListResourceResponse(xmlTextReaderPtr reader) {
  int status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
  return xmlTextReaderReadNs0Repository_status_listElement(reader);
}

/**
 * Writes a RepositoryStatusListResourceResponse to XML under element name "repository-status-list".
 *
 * @param writer The XML writer.
 * @param _repositoryStatusListResourceResponse The RepositoryStatusListResourceResponse to write.
 * @return 1 if successful, 0 otherwise.
 */
int xml_write_nexus_rest_api_ns0_repositoryStatusListResourceResponse(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_repositoryStatusListResourceResponse *_repositoryStatusListResourceResponse) {
  return xmlTextWriterWriteNs0Repository_status_listElementNS(writer, _repositoryStatusListResourceResponse, 1);
}

/**
 * Frees a RepositoryStatusListResourceResponse.
 *
 * @param _repositoryStatusListResourceResponse The RepositoryStatusListResourceResponse to free.
 */
void free_nexus_rest_api_ns0_repositoryStatusListResourceResponse(struct nexus_rest_api_ns0_repositoryStatusListResourceResponse *_repositoryStatusListResourceResponse) {
  freeNs0RepositoryStatusListResourceResponseType(_repositoryStatusListResourceResponse);
  free(_repositoryStatusListResourceResponse);
}

/**
 * Reads a RepositoryStatusListResourceResponse element from XML. The element to be read is "repository-status-list", and
 * it is assumed that the reader is pointing to that element.
 *
 * @param reader The XML reader.
 * @return The RepositoryStatusListResourceResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_repositoryStatusListResourceResponse *xmlTextReaderReadNs0Repository_status_listElement(xmlTextReaderPtr reader) {
  struct nexus_rest_api_ns0_repositoryStatusListResourceResponse *_repositoryStatusListResourceResponse = NULL;

  if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
    && xmlStrcmp(BAD_CAST "repository-status-list", xmlTextReaderConstLocalName(reader)) == 0
    && xmlTextReaderConstNamespaceUri(reader) == NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Attempting to read root element {}repository-status-list.\n");
#endif
    _repositoryStatusListResourceResponse = xmlTextReaderReadNs0RepositoryStatusListResourceResponseType(reader);
  }
#if DEBUG_ENUNCIATE
  if (_repositoryStatusListResourceResponse == NULL) {
    if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
      printf("attempt to read {}repository-status-list failed. current element: {}%s\n",  xmlTextReaderConstLocalName(reader));
    }
    else {
      printf("attempt to read {}repository-status-list failed. current element: {%s}%s\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
    }
  }
#endif

  return _repositoryStatusListResourceResponse;
}

/**
 * Writes a RepositoryStatusListResourceResponse to XML under element name "repository-status-list".
 * Does NOT write the namespace prefixes.
 *
 * @param writer The XML writer.
 * @param _repositoryStatusListResourceResponse The RepositoryStatusListResourceResponse to write.
 * @return 1 if successful, 0 otherwise.
 */
static int xmlTextWriterWriteNs0Repository_status_listElement(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_repositoryStatusListResourceResponse *_repositoryStatusListResourceResponse) {
  return xmlTextWriterWriteNs0Repository_status_listElementNS(writer, _repositoryStatusListResourceResponse, 0);
}

/**
 * Writes a RepositoryStatusListResourceResponse to XML under element name "repository-status-list".
 *
 * @param writer The XML writer.
 * @param _repositoryStatusListResourceResponse The RepositoryStatusListResourceResponse to write.
 * @param writeNamespaces Whether to write the namespace prefixes.
 * @return 1 if successful, 0 otherwise.
 */
static int xmlTextWriterWriteNs0Repository_status_listElementNS(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_repositoryStatusListResourceResponse *_repositoryStatusListResourceResponse, int writeNamespaces) {
  int totalBytes = 0;
  int status;

  status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "repository-status-list", NULL);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to write start element {}repository-status-list. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

#if DEBUG_ENUNCIATE > 1
  printf("writing type {}repositoryStatusListResourceResponse for root element {}repository-status-list...\n");
#endif
  status = xmlTextWriterWriteNs0RepositoryStatusListResourceResponseType(writer, _repositoryStatusListResourceResponse);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to write type for start element {}repository-status-list. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

  status = xmlTextWriterEndElement(writer);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to end element {}repository-status-list. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

  return totalBytes;
}

/**
 * Frees the children of a RepositoryStatusListResourceResponse.
 *
 * @param _repositoryStatusListResourceResponse The RepositoryStatusListResourceResponse whose children are to be free.
 */
static void freeNs0Repository_status_listElement(struct nexus_rest_api_ns0_repositoryStatusListResourceResponse *_repositoryStatusListResourceResponse) {
  freeNs0RepositoryStatusListResourceResponseType(_repositoryStatusListResourceResponse);
}

/**
 * Reads a RepositoryStatusListResourceResponse from XML. The reader is assumed to be at the start element.
 *
 * @return the RepositoryStatusListResourceResponse, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_repositoryStatusListResourceResponse *xmlTextReaderReadNs0RepositoryStatusListResourceResponseType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct nexus_rest_api_ns0_repositoryStatusListResourceResponse *_repositoryStatusListResourceResponse = calloc(1, sizeof(struct nexus_rest_api_ns0_repositoryStatusListResourceResponse));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0RepositoryStatusListResourceResponseType(_repositoryStatusListResourceResponse);
        free(_repositoryStatusListResourceResponse);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "data", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

        if (xmlTextReaderIsEmptyElement(reader) == 0) {
#if DEBUG_ENUNCIATE > 1
          printf("Unwrapping wrapper element {}data...\n");
#endif
          //start wrapper element "{}data"
          status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
          while (xmlTextReaderDepth(reader) > (depth + 1)) {
            if (status < 1) {
              //panic: XML read error.
#if DEBUG_ENUNCIATE
              printf("Failure to advance to next child element.\n");
#endif
              freeNs0RepositoryStatusListResourceResponseType(_repositoryStatusListResourceResponse);
              free(_repositoryStatusListResourceResponse);
              return NULL;
            }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "repository-status-list-item", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}repository-status-list-item of type {}repository-status-list-item.\n");
#endif
        _child_accessor = xmlTextReaderReadNs0Repository_status_list_itemType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}repository-status-list-item of type {}repository-status-list-item.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0RepositoryStatusListResourceResponseType(_repositoryStatusListResourceResponse);
          free(_repositoryStatusListResourceResponse);
          return NULL;
        }

        _repositoryStatusListResourceResponse->data = realloc(_repositoryStatusListResourceResponse->data, (_repositoryStatusListResourceResponse->_sizeof_data + 1) * sizeof(struct nexus_rest_api_ns0_repository_status_list_item));
        memcpy(&(_repositoryStatusListResourceResponse->data[_repositoryStatusListResourceResponse->_sizeof_data++]), _child_accessor, sizeof(struct nexus_rest_api_ns0_repository_status_list_item));
        free(_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
          } // end "while in wrapper element" loop
        } //end "if empty element" clause

        if (status < 1) {
          //panic: XML read error.
#if DEBUG_ENUNCIATE
          printf("Failed to advance to end wrapper element {}data.\n");
#endif
          freeNs0RepositoryStatusListResourceResponseType(_repositoryStatusListResourceResponse);
          free(_repositoryStatusListResourceResponse);
          return NULL;
        }
        else {
          //end wrapper element "{}data"
          status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
        }
      } // end "if wrapper element" clause
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}repositoryStatusListResourceResponse.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}repositoryStatusListResourceResponse. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _repositoryStatusListResourceResponse;
}

/**
 * Writes a RepositoryStatusListResourceResponse to XML.
 *
 * @param writer The XML writer.
 * @param _repositoryStatusListResourceResponse The RepositoryStatusListResourceResponse to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0RepositoryStatusListResourceResponseType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_repositoryStatusListResourceResponse *_repositoryStatusListResourceResponse) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;

  if (_repositoryStatusListResourceResponse->data != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "data", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  for (i = 0; i < _repositoryStatusListResourceResponse->_sizeof_data; i++) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "repository-status-list-item", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}repository-status-list-item. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {}repository-status-list-item for element {}repository-status-list-item...\n", status);
#endif
    status = xmlTextWriterWriteNs0Repository_status_list_itemType(writer, &(_repositoryStatusListResourceResponse->data[i]));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {}repository-status-list-item for element {}repository-status-list-item. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}repository-status-list-item. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  if (_repositoryStatusListResourceResponse->data != NULL) {
    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a RepositoryStatusListResourceResponse.
 *
 * @param _repositoryStatusListResourceResponse The RepositoryStatusListResourceResponse to free.
 */
static void freeNs0RepositoryStatusListResourceResponseType(struct nexus_rest_api_ns0_repositoryStatusListResourceResponse *_repositoryStatusListResourceResponse) {
  int i;
  if (_repositoryStatusListResourceResponse->data != NULL) {
    for (i = 0; i < _repositoryStatusListResourceResponse->_sizeof_data; i++) {
#if DEBUG_ENUNCIATE > 1
      printf("Freeing accessor data[%i] of type nexus_rest_api_ns0_repositoryStatusListResourceResponse...\n", i);
#endif
      freeNs0Repository_status_list_itemType(&(_repositoryStatusListResourceResponse->data[i]));
    }
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor data of type nexus_rest_api_ns0_repositoryStatusListResourceResponse...\n");
#endif
    free(_repositoryStatusListResourceResponse->data);
  }
}
#endif /* DEF_nexus_rest_api_ns0_repositoryStatusListResourceResponse_M */
#ifndef DEF_nexus_rest_api_ns0_repository_status_M
#define DEF_nexus_rest_api_ns0_repository_status_M

/**
 * Reads a RepositoryStatusResource from XML. The reader is assumed to be at the start element.
 *
 * @return the RepositoryStatusResource, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_repository_status *xmlTextReaderReadNs0Repository_statusType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct nexus_rest_api_ns0_repository_status *_repositoryStatusResource = calloc(1, sizeof(struct nexus_rest_api_ns0_repository_status));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0Repository_statusType(_repositoryStatusResource);
        free(_repositoryStatusResource);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "id", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}id of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}id of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Repository_statusType(_repositoryStatusResource);
          free(_repositoryStatusResource);
          return NULL;
        }

        _repositoryStatusResource->id = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "repoType", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}repoType of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}repoType of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Repository_statusType(_repositoryStatusResource);
          free(_repositoryStatusResource);
          return NULL;
        }

        _repositoryStatusResource->repoType = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "format", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}format of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}format of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Repository_statusType(_repositoryStatusResource);
          free(_repositoryStatusResource);
          return NULL;
        }

        _repositoryStatusResource->format = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "localStatus", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}localStatus of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}localStatus of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Repository_statusType(_repositoryStatusResource);
          free(_repositoryStatusResource);
          return NULL;
        }

        _repositoryStatusResource->localStatus = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "remoteStatus", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}remoteStatus of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}remoteStatus of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Repository_statusType(_repositoryStatusResource);
          free(_repositoryStatusResource);
          return NULL;
        }

        _repositoryStatusResource->remoteStatus = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "proxyMode", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}proxyMode of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}proxyMode of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Repository_statusType(_repositoryStatusResource);
          free(_repositoryStatusResource);
          return NULL;
        }

        _repositoryStatusResource->proxyMode = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "dependentRepos", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

        if (xmlTextReaderIsEmptyElement(reader) == 0) {
#if DEBUG_ENUNCIATE > 1
          printf("Unwrapping wrapper element {}dependentRepos...\n");
#endif
          //start wrapper element "{}dependentRepos"
          status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
          while (xmlTextReaderDepth(reader) > (depth + 1)) {
            if (status < 1) {
              //panic: XML read error.
#if DEBUG_ENUNCIATE
              printf("Failure to advance to next child element.\n");
#endif
              freeNs0Repository_statusType(_repositoryStatusResource);
              free(_repositoryStatusResource);
              return NULL;
            }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "dependentRepoItem", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}dependentRepoItem of type {}repository-dependent-status.\n");
#endif
        _child_accessor = xmlTextReaderReadNs0Repository_dependent_statusType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}dependentRepoItem of type {}repository-dependent-status.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Repository_statusType(_repositoryStatusResource);
          free(_repositoryStatusResource);
          return NULL;
        }

        _repositoryStatusResource->dependentRepos = realloc(_repositoryStatusResource->dependentRepos, (_repositoryStatusResource->_sizeof_dependentRepos + 1) * sizeof(struct nexus_rest_api_ns0_repository_dependent_status));
        memcpy(&(_repositoryStatusResource->dependentRepos[_repositoryStatusResource->_sizeof_dependentRepos++]), _child_accessor, sizeof(struct nexus_rest_api_ns0_repository_dependent_status));
        free(_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
          } // end "while in wrapper element" loop
        } //end "if empty element" clause

        if (status < 1) {
          //panic: XML read error.
#if DEBUG_ENUNCIATE
          printf("Failed to advance to end wrapper element {}dependentRepos.\n");
#endif
          freeNs0Repository_statusType(_repositoryStatusResource);
          free(_repositoryStatusResource);
          return NULL;
        }
        else {
          //end wrapper element "{}dependentRepos"
          status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
        }
      } // end "if wrapper element" clause
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}repository-status.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}repository-status. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _repositoryStatusResource;
}

/**
 * Writes a RepositoryStatusResource to XML.
 *
 * @param writer The XML writer.
 * @param _repositoryStatusResource The RepositoryStatusResource to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0Repository_statusType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_repository_status *_repositoryStatusResource) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;
  if (_repositoryStatusResource->id != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "id", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}id. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}id...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_repositoryStatusResource->id));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}id. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}id. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_repositoryStatusResource->repoType != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "repoType", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}repoType. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}repoType...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_repositoryStatusResource->repoType));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}repoType. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}repoType. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_repositoryStatusResource->format != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "format", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}format. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}format...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_repositoryStatusResource->format));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}format. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}format. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_repositoryStatusResource->localStatus != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "localStatus", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}localStatus. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}localStatus...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_repositoryStatusResource->localStatus));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}localStatus. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}localStatus. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_repositoryStatusResource->remoteStatus != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "remoteStatus", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}remoteStatus. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}remoteStatus...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_repositoryStatusResource->remoteStatus));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}remoteStatus. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}remoteStatus. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_repositoryStatusResource->proxyMode != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "proxyMode", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}proxyMode. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}proxyMode...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_repositoryStatusResource->proxyMode));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}proxyMode. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}proxyMode. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  if (_repositoryStatusResource->dependentRepos != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "dependentRepos", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}dependentRepos. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  for (i = 0; i < _repositoryStatusResource->_sizeof_dependentRepos; i++) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "dependentRepoItem", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}dependentRepoItem. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {}repository-dependent-status for element {}dependentRepoItem...\n", status);
#endif
    status = xmlTextWriterWriteNs0Repository_dependent_statusType(writer, &(_repositoryStatusResource->dependentRepos[i]));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {}repository-dependent-status for element {}dependentRepoItem. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}dependentRepoItem. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  if (_repositoryStatusResource->dependentRepos != NULL) {
    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}dependentRepos. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a RepositoryStatusResource.
 *
 * @param _repositoryStatusResource The RepositoryStatusResource to free.
 */
static void freeNs0Repository_statusType(struct nexus_rest_api_ns0_repository_status *_repositoryStatusResource) {
  int i;
  if (_repositoryStatusResource->id != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor id of type nexus_rest_api_ns0_repository_status...\n");
#endif
    freeXsStringType(_repositoryStatusResource->id);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor id of type nexus_rest_api_ns0_repository_status...\n");
#endif
    free(_repositoryStatusResource->id);
  }
  if (_repositoryStatusResource->repoType != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor repoType of type nexus_rest_api_ns0_repository_status...\n");
#endif
    freeXsStringType(_repositoryStatusResource->repoType);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor repoType of type nexus_rest_api_ns0_repository_status...\n");
#endif
    free(_repositoryStatusResource->repoType);
  }
  if (_repositoryStatusResource->format != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor format of type nexus_rest_api_ns0_repository_status...\n");
#endif
    freeXsStringType(_repositoryStatusResource->format);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor format of type nexus_rest_api_ns0_repository_status...\n");
#endif
    free(_repositoryStatusResource->format);
  }
  if (_repositoryStatusResource->localStatus != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor localStatus of type nexus_rest_api_ns0_repository_status...\n");
#endif
    freeXsStringType(_repositoryStatusResource->localStatus);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor localStatus of type nexus_rest_api_ns0_repository_status...\n");
#endif
    free(_repositoryStatusResource->localStatus);
  }
  if (_repositoryStatusResource->remoteStatus != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor remoteStatus of type nexus_rest_api_ns0_repository_status...\n");
#endif
    freeXsStringType(_repositoryStatusResource->remoteStatus);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor remoteStatus of type nexus_rest_api_ns0_repository_status...\n");
#endif
    free(_repositoryStatusResource->remoteStatus);
  }
  if (_repositoryStatusResource->proxyMode != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor proxyMode of type nexus_rest_api_ns0_repository_status...\n");
#endif
    freeXsStringType(_repositoryStatusResource->proxyMode);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor proxyMode of type nexus_rest_api_ns0_repository_status...\n");
#endif
    free(_repositoryStatusResource->proxyMode);
  }
  if (_repositoryStatusResource->dependentRepos != NULL) {
    for (i = 0; i < _repositoryStatusResource->_sizeof_dependentRepos; i++) {
#if DEBUG_ENUNCIATE > 1
      printf("Freeing accessor dependentRepos[%i] of type nexus_rest_api_ns0_repository_status...\n", i);
#endif
      freeNs0Repository_dependent_statusType(&(_repositoryStatusResource->dependentRepos[i]));
    }
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor dependentRepos of type nexus_rest_api_ns0_repository_status...\n");
#endif
    free(_repositoryStatusResource->dependentRepos);
  }
}
#endif /* DEF_nexus_rest_api_ns0_repository_status_M */
#ifndef DEF_nexus_rest_api_ns0_repositoryStatusResourceResponse_M
#define DEF_nexus_rest_api_ns0_repositoryStatusResourceResponse_M

/**
 * Reads a RepositoryStatusResourceResponse element from XML. The element to be read is "repository-status", and
 * it is assumed that the reader is pointing to the XML document (not the element).
 *
 * @param reader The XML reader.
 * @return The RepositoryStatusResourceResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_repositoryStatusResourceResponse *xml_read_nexus_rest_api_ns0_repositoryStatusResourceResponse(xmlTextReaderPtr reader) {
  int status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
  return xmlTextReaderReadNs0Repository_statusElement(reader);
}

/**
 * Writes a RepositoryStatusResourceResponse to XML under element name "repository-status".
 *
 * @param writer The XML writer.
 * @param _repositoryStatusResourceResponse The RepositoryStatusResourceResponse to write.
 * @return 1 if successful, 0 otherwise.
 */
int xml_write_nexus_rest_api_ns0_repositoryStatusResourceResponse(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_repositoryStatusResourceResponse *_repositoryStatusResourceResponse) {
  return xmlTextWriterWriteNs0Repository_statusElementNS(writer, _repositoryStatusResourceResponse, 1);
}

/**
 * Frees a RepositoryStatusResourceResponse.
 *
 * @param _repositoryStatusResourceResponse The RepositoryStatusResourceResponse to free.
 */
void free_nexus_rest_api_ns0_repositoryStatusResourceResponse(struct nexus_rest_api_ns0_repositoryStatusResourceResponse *_repositoryStatusResourceResponse) {
  freeNs0RepositoryStatusResourceResponseType(_repositoryStatusResourceResponse);
  free(_repositoryStatusResourceResponse);
}

/**
 * Reads a RepositoryStatusResourceResponse element from XML. The element to be read is "repository-status", and
 * it is assumed that the reader is pointing to that element.
 *
 * @param reader The XML reader.
 * @return The RepositoryStatusResourceResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_repositoryStatusResourceResponse *xmlTextReaderReadNs0Repository_statusElement(xmlTextReaderPtr reader) {
  struct nexus_rest_api_ns0_repositoryStatusResourceResponse *_repositoryStatusResourceResponse = NULL;

  if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
    && xmlStrcmp(BAD_CAST "repository-status", xmlTextReaderConstLocalName(reader)) == 0
    && xmlTextReaderConstNamespaceUri(reader) == NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Attempting to read root element {}repository-status.\n");
#endif
    _repositoryStatusResourceResponse = xmlTextReaderReadNs0RepositoryStatusResourceResponseType(reader);
  }
#if DEBUG_ENUNCIATE
  if (_repositoryStatusResourceResponse == NULL) {
    if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
      printf("attempt to read {}repository-status failed. current element: {}%s\n",  xmlTextReaderConstLocalName(reader));
    }
    else {
      printf("attempt to read {}repository-status failed. current element: {%s}%s\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
    }
  }
#endif

  return _repositoryStatusResourceResponse;
}

/**
 * Writes a RepositoryStatusResourceResponse to XML under element name "repository-status".
 * Does NOT write the namespace prefixes.
 *
 * @param writer The XML writer.
 * @param _repositoryStatusResourceResponse The RepositoryStatusResourceResponse to write.
 * @return 1 if successful, 0 otherwise.
 */
static int xmlTextWriterWriteNs0Repository_statusElement(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_repositoryStatusResourceResponse *_repositoryStatusResourceResponse) {
  return xmlTextWriterWriteNs0Repository_statusElementNS(writer, _repositoryStatusResourceResponse, 0);
}

/**
 * Writes a RepositoryStatusResourceResponse to XML under element name "repository-status".
 *
 * @param writer The XML writer.
 * @param _repositoryStatusResourceResponse The RepositoryStatusResourceResponse to write.
 * @param writeNamespaces Whether to write the namespace prefixes.
 * @return 1 if successful, 0 otherwise.
 */
static int xmlTextWriterWriteNs0Repository_statusElementNS(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_repositoryStatusResourceResponse *_repositoryStatusResourceResponse, int writeNamespaces) {
  int totalBytes = 0;
  int status;

  status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "repository-status", NULL);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to write start element {}repository-status. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

#if DEBUG_ENUNCIATE > 1
  printf("writing type {}repositoryStatusResourceResponse for root element {}repository-status...\n");
#endif
  status = xmlTextWriterWriteNs0RepositoryStatusResourceResponseType(writer, _repositoryStatusResourceResponse);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to write type for start element {}repository-status. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

  status = xmlTextWriterEndElement(writer);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to end element {}repository-status. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

  return totalBytes;
}

/**
 * Frees the children of a RepositoryStatusResourceResponse.
 *
 * @param _repositoryStatusResourceResponse The RepositoryStatusResourceResponse whose children are to be free.
 */
static void freeNs0Repository_statusElement(struct nexus_rest_api_ns0_repositoryStatusResourceResponse *_repositoryStatusResourceResponse) {
  freeNs0RepositoryStatusResourceResponseType(_repositoryStatusResourceResponse);
}

/**
 * Reads a RepositoryStatusResourceResponse from XML. The reader is assumed to be at the start element.
 *
 * @return the RepositoryStatusResourceResponse, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_repositoryStatusResourceResponse *xmlTextReaderReadNs0RepositoryStatusResourceResponseType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct nexus_rest_api_ns0_repositoryStatusResourceResponse *_repositoryStatusResourceResponse = calloc(1, sizeof(struct nexus_rest_api_ns0_repositoryStatusResourceResponse));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0RepositoryStatusResourceResponseType(_repositoryStatusResourceResponse);
        free(_repositoryStatusResourceResponse);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "data", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}data of type {}repository-status.\n");
#endif
        _child_accessor = xmlTextReaderReadNs0Repository_statusType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}data of type {}repository-status.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0RepositoryStatusResourceResponseType(_repositoryStatusResourceResponse);
          free(_repositoryStatusResourceResponse);
          return NULL;
        }

        _repositoryStatusResourceResponse->data = ((struct nexus_rest_api_ns0_repository_status*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}repositoryStatusResourceResponse.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}repositoryStatusResourceResponse. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _repositoryStatusResourceResponse;
}

/**
 * Writes a RepositoryStatusResourceResponse to XML.
 *
 * @param writer The XML writer.
 * @param _repositoryStatusResourceResponse The RepositoryStatusResourceResponse to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0RepositoryStatusResourceResponseType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_repositoryStatusResourceResponse *_repositoryStatusResourceResponse) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;
  if (_repositoryStatusResourceResponse->data != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "data", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {}repository-status for element {}data...\n", status);
#endif
    status = xmlTextWriterWriteNs0Repository_statusType(writer, (_repositoryStatusResourceResponse->data));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {}repository-status for element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a RepositoryStatusResourceResponse.
 *
 * @param _repositoryStatusResourceResponse The RepositoryStatusResourceResponse to free.
 */
static void freeNs0RepositoryStatusResourceResponseType(struct nexus_rest_api_ns0_repositoryStatusResourceResponse *_repositoryStatusResourceResponse) {
  int i;
  if (_repositoryStatusResourceResponse->data != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor data of type nexus_rest_api_ns0_repositoryStatusResourceResponse...\n");
#endif
    freeNs0Repository_statusType(_repositoryStatusResourceResponse->data);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor data of type nexus_rest_api_ns0_repositoryStatusResourceResponse...\n");
#endif
    free(_repositoryStatusResourceResponse->data);
  }
}
#endif /* DEF_nexus_rest_api_ns0_repositoryStatusResourceResponse_M */
#ifndef DEF_nexus_rest_api_ns0_repository_target_list_resource_M
#define DEF_nexus_rest_api_ns0_repository_target_list_resource_M

/**
 * Reads a RepositoryTargetListResource from XML. The reader is assumed to be at the start element.
 *
 * @return the RepositoryTargetListResource, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_repository_target_list_resource *xmlTextReaderReadNs0Repository_target_list_resourceType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct nexus_rest_api_ns0_repository_target_list_resource *_repositoryTargetListResource = calloc(1, sizeof(struct nexus_rest_api_ns0_repository_target_list_resource));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0Repository_target_list_resourceType(_repositoryTargetListResource);
        free(_repositoryTargetListResource);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "resourceURI", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}resourceURI of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}resourceURI of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Repository_target_list_resourceType(_repositoryTargetListResource);
          free(_repositoryTargetListResource);
          return NULL;
        }

        _repositoryTargetListResource->resourceURI = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "id", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}id of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}id of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Repository_target_list_resourceType(_repositoryTargetListResource);
          free(_repositoryTargetListResource);
          return NULL;
        }

        _repositoryTargetListResource->id = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "name", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}name of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}name of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Repository_target_list_resourceType(_repositoryTargetListResource);
          free(_repositoryTargetListResource);
          return NULL;
        }

        _repositoryTargetListResource->name = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "contentClass", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}contentClass of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}contentClass of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Repository_target_list_resourceType(_repositoryTargetListResource);
          free(_repositoryTargetListResource);
          return NULL;
        }

        _repositoryTargetListResource->contentClass = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}repository-target-list-resource.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}repository-target-list-resource. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _repositoryTargetListResource;
}

/**
 * Writes a RepositoryTargetListResource to XML.
 *
 * @param writer The XML writer.
 * @param _repositoryTargetListResource The RepositoryTargetListResource to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0Repository_target_list_resourceType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_repository_target_list_resource *_repositoryTargetListResource) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;
  if (_repositoryTargetListResource->resourceURI != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "resourceURI", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}resourceURI. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}resourceURI...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_repositoryTargetListResource->resourceURI));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}resourceURI. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}resourceURI. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_repositoryTargetListResource->id != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "id", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}id. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}id...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_repositoryTargetListResource->id));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}id. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}id. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_repositoryTargetListResource->name != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "name", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}name. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}name...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_repositoryTargetListResource->name));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}name. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}name. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_repositoryTargetListResource->contentClass != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "contentClass", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}contentClass. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}contentClass...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_repositoryTargetListResource->contentClass));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}contentClass. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}contentClass. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a RepositoryTargetListResource.
 *
 * @param _repositoryTargetListResource The RepositoryTargetListResource to free.
 */
static void freeNs0Repository_target_list_resourceType(struct nexus_rest_api_ns0_repository_target_list_resource *_repositoryTargetListResource) {
  int i;
  if (_repositoryTargetListResource->resourceURI != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor resourceURI of type nexus_rest_api_ns0_repository_target_list_resource...\n");
#endif
    freeXsStringType(_repositoryTargetListResource->resourceURI);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor resourceURI of type nexus_rest_api_ns0_repository_target_list_resource...\n");
#endif
    free(_repositoryTargetListResource->resourceURI);
  }
  if (_repositoryTargetListResource->id != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor id of type nexus_rest_api_ns0_repository_target_list_resource...\n");
#endif
    freeXsStringType(_repositoryTargetListResource->id);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor id of type nexus_rest_api_ns0_repository_target_list_resource...\n");
#endif
    free(_repositoryTargetListResource->id);
  }
  if (_repositoryTargetListResource->name != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor name of type nexus_rest_api_ns0_repository_target_list_resource...\n");
#endif
    freeXsStringType(_repositoryTargetListResource->name);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor name of type nexus_rest_api_ns0_repository_target_list_resource...\n");
#endif
    free(_repositoryTargetListResource->name);
  }
  if (_repositoryTargetListResource->contentClass != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor contentClass of type nexus_rest_api_ns0_repository_target_list_resource...\n");
#endif
    freeXsStringType(_repositoryTargetListResource->contentClass);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor contentClass of type nexus_rest_api_ns0_repository_target_list_resource...\n");
#endif
    free(_repositoryTargetListResource->contentClass);
  }
}
#endif /* DEF_nexus_rest_api_ns0_repository_target_list_resource_M */
#ifndef DEF_nexus_rest_api_ns0_repositoryTargetListResourceResponse_M
#define DEF_nexus_rest_api_ns0_repositoryTargetListResourceResponse_M

/**
 * Reads a RepositoryTargetListResourceResponse element from XML. The element to be read is "repo-targets-list", and
 * it is assumed that the reader is pointing to the XML document (not the element).
 *
 * @param reader The XML reader.
 * @return The RepositoryTargetListResourceResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_repositoryTargetListResourceResponse *xml_read_nexus_rest_api_ns0_repositoryTargetListResourceResponse(xmlTextReaderPtr reader) {
  int status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
  return xmlTextReaderReadNs0Repo_targets_listElement(reader);
}

/**
 * Writes a RepositoryTargetListResourceResponse to XML under element name "repo-targets-list".
 *
 * @param writer The XML writer.
 * @param _repositoryTargetListResourceResponse The RepositoryTargetListResourceResponse to write.
 * @return 1 if successful, 0 otherwise.
 */
int xml_write_nexus_rest_api_ns0_repositoryTargetListResourceResponse(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_repositoryTargetListResourceResponse *_repositoryTargetListResourceResponse) {
  return xmlTextWriterWriteNs0Repo_targets_listElementNS(writer, _repositoryTargetListResourceResponse, 1);
}

/**
 * Frees a RepositoryTargetListResourceResponse.
 *
 * @param _repositoryTargetListResourceResponse The RepositoryTargetListResourceResponse to free.
 */
void free_nexus_rest_api_ns0_repositoryTargetListResourceResponse(struct nexus_rest_api_ns0_repositoryTargetListResourceResponse *_repositoryTargetListResourceResponse) {
  freeNs0RepositoryTargetListResourceResponseType(_repositoryTargetListResourceResponse);
  free(_repositoryTargetListResourceResponse);
}

/**
 * Reads a RepositoryTargetListResourceResponse element from XML. The element to be read is "repo-targets-list", and
 * it is assumed that the reader is pointing to that element.
 *
 * @param reader The XML reader.
 * @return The RepositoryTargetListResourceResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_repositoryTargetListResourceResponse *xmlTextReaderReadNs0Repo_targets_listElement(xmlTextReaderPtr reader) {
  struct nexus_rest_api_ns0_repositoryTargetListResourceResponse *_repositoryTargetListResourceResponse = NULL;

  if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
    && xmlStrcmp(BAD_CAST "repo-targets-list", xmlTextReaderConstLocalName(reader)) == 0
    && xmlTextReaderConstNamespaceUri(reader) == NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Attempting to read root element {}repo-targets-list.\n");
#endif
    _repositoryTargetListResourceResponse = xmlTextReaderReadNs0RepositoryTargetListResourceResponseType(reader);
  }
#if DEBUG_ENUNCIATE
  if (_repositoryTargetListResourceResponse == NULL) {
    if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
      printf("attempt to read {}repo-targets-list failed. current element: {}%s\n",  xmlTextReaderConstLocalName(reader));
    }
    else {
      printf("attempt to read {}repo-targets-list failed. current element: {%s}%s\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
    }
  }
#endif

  return _repositoryTargetListResourceResponse;
}

/**
 * Writes a RepositoryTargetListResourceResponse to XML under element name "repo-targets-list".
 * Does NOT write the namespace prefixes.
 *
 * @param writer The XML writer.
 * @param _repositoryTargetListResourceResponse The RepositoryTargetListResourceResponse to write.
 * @return 1 if successful, 0 otherwise.
 */
static int xmlTextWriterWriteNs0Repo_targets_listElement(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_repositoryTargetListResourceResponse *_repositoryTargetListResourceResponse) {
  return xmlTextWriterWriteNs0Repo_targets_listElementNS(writer, _repositoryTargetListResourceResponse, 0);
}

/**
 * Writes a RepositoryTargetListResourceResponse to XML under element name "repo-targets-list".
 *
 * @param writer The XML writer.
 * @param _repositoryTargetListResourceResponse The RepositoryTargetListResourceResponse to write.
 * @param writeNamespaces Whether to write the namespace prefixes.
 * @return 1 if successful, 0 otherwise.
 */
static int xmlTextWriterWriteNs0Repo_targets_listElementNS(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_repositoryTargetListResourceResponse *_repositoryTargetListResourceResponse, int writeNamespaces) {
  int totalBytes = 0;
  int status;

  status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "repo-targets-list", NULL);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to write start element {}repo-targets-list. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

#if DEBUG_ENUNCIATE > 1
  printf("writing type {}repositoryTargetListResourceResponse for root element {}repo-targets-list...\n");
#endif
  status = xmlTextWriterWriteNs0RepositoryTargetListResourceResponseType(writer, _repositoryTargetListResourceResponse);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to write type for start element {}repo-targets-list. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

  status = xmlTextWriterEndElement(writer);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to end element {}repo-targets-list. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

  return totalBytes;
}

/**
 * Frees the children of a RepositoryTargetListResourceResponse.
 *
 * @param _repositoryTargetListResourceResponse The RepositoryTargetListResourceResponse whose children are to be free.
 */
static void freeNs0Repo_targets_listElement(struct nexus_rest_api_ns0_repositoryTargetListResourceResponse *_repositoryTargetListResourceResponse) {
  freeNs0RepositoryTargetListResourceResponseType(_repositoryTargetListResourceResponse);
}

/**
 * Reads a RepositoryTargetListResourceResponse from XML. The reader is assumed to be at the start element.
 *
 * @return the RepositoryTargetListResourceResponse, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_repositoryTargetListResourceResponse *xmlTextReaderReadNs0RepositoryTargetListResourceResponseType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct nexus_rest_api_ns0_repositoryTargetListResourceResponse *_repositoryTargetListResourceResponse = calloc(1, sizeof(struct nexus_rest_api_ns0_repositoryTargetListResourceResponse));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0RepositoryTargetListResourceResponseType(_repositoryTargetListResourceResponse);
        free(_repositoryTargetListResourceResponse);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "data", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

        if (xmlTextReaderIsEmptyElement(reader) == 0) {
#if DEBUG_ENUNCIATE > 1
          printf("Unwrapping wrapper element {}data...\n");
#endif
          //start wrapper element "{}data"
          status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
          while (xmlTextReaderDepth(reader) > (depth + 1)) {
            if (status < 1) {
              //panic: XML read error.
#if DEBUG_ENUNCIATE
              printf("Failure to advance to next child element.\n");
#endif
              freeNs0RepositoryTargetListResourceResponseType(_repositoryTargetListResourceResponse);
              free(_repositoryTargetListResourceResponse);
              return NULL;
            }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "repo-targets-list-item", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}repo-targets-list-item of type {}repository-target-list-resource.\n");
#endif
        _child_accessor = xmlTextReaderReadNs0Repository_target_list_resourceType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}repo-targets-list-item of type {}repository-target-list-resource.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0RepositoryTargetListResourceResponseType(_repositoryTargetListResourceResponse);
          free(_repositoryTargetListResourceResponse);
          return NULL;
        }

        _repositoryTargetListResourceResponse->data = realloc(_repositoryTargetListResourceResponse->data, (_repositoryTargetListResourceResponse->_sizeof_data + 1) * sizeof(struct nexus_rest_api_ns0_repository_target_list_resource));
        memcpy(&(_repositoryTargetListResourceResponse->data[_repositoryTargetListResourceResponse->_sizeof_data++]), _child_accessor, sizeof(struct nexus_rest_api_ns0_repository_target_list_resource));
        free(_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
          } // end "while in wrapper element" loop
        } //end "if empty element" clause

        if (status < 1) {
          //panic: XML read error.
#if DEBUG_ENUNCIATE
          printf("Failed to advance to end wrapper element {}data.\n");
#endif
          freeNs0RepositoryTargetListResourceResponseType(_repositoryTargetListResourceResponse);
          free(_repositoryTargetListResourceResponse);
          return NULL;
        }
        else {
          //end wrapper element "{}data"
          status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
        }
      } // end "if wrapper element" clause
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}repositoryTargetListResourceResponse.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}repositoryTargetListResourceResponse. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _repositoryTargetListResourceResponse;
}

/**
 * Writes a RepositoryTargetListResourceResponse to XML.
 *
 * @param writer The XML writer.
 * @param _repositoryTargetListResourceResponse The RepositoryTargetListResourceResponse to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0RepositoryTargetListResourceResponseType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_repositoryTargetListResourceResponse *_repositoryTargetListResourceResponse) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;

  if (_repositoryTargetListResourceResponse->data != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "data", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  for (i = 0; i < _repositoryTargetListResourceResponse->_sizeof_data; i++) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "repo-targets-list-item", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}repo-targets-list-item. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {}repository-target-list-resource for element {}repo-targets-list-item...\n", status);
#endif
    status = xmlTextWriterWriteNs0Repository_target_list_resourceType(writer, &(_repositoryTargetListResourceResponse->data[i]));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {}repository-target-list-resource for element {}repo-targets-list-item. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}repo-targets-list-item. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  if (_repositoryTargetListResourceResponse->data != NULL) {
    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a RepositoryTargetListResourceResponse.
 *
 * @param _repositoryTargetListResourceResponse The RepositoryTargetListResourceResponse to free.
 */
static void freeNs0RepositoryTargetListResourceResponseType(struct nexus_rest_api_ns0_repositoryTargetListResourceResponse *_repositoryTargetListResourceResponse) {
  int i;
  if (_repositoryTargetListResourceResponse->data != NULL) {
    for (i = 0; i < _repositoryTargetListResourceResponse->_sizeof_data; i++) {
#if DEBUG_ENUNCIATE > 1
      printf("Freeing accessor data[%i] of type nexus_rest_api_ns0_repositoryTargetListResourceResponse...\n", i);
#endif
      freeNs0Repository_target_list_resourceType(&(_repositoryTargetListResourceResponse->data[i]));
    }
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor data of type nexus_rest_api_ns0_repositoryTargetListResourceResponse...\n");
#endif
    free(_repositoryTargetListResourceResponse->data);
  }
}
#endif /* DEF_nexus_rest_api_ns0_repositoryTargetListResourceResponse_M */
#ifndef DEF_nexus_rest_api_ns0_repository_target_resource_M
#define DEF_nexus_rest_api_ns0_repository_target_resource_M

/**
 * Reads a RepositoryTargetResource from XML. The reader is assumed to be at the start element.
 *
 * @return the RepositoryTargetResource, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_repository_target_resource *xmlTextReaderReadNs0Repository_target_resourceType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct nexus_rest_api_ns0_repository_target_resource *_repositoryTargetResource = calloc(1, sizeof(struct nexus_rest_api_ns0_repository_target_resource));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0Repository_target_resourceType(_repositoryTargetResource);
        free(_repositoryTargetResource);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "resourceURI", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}resourceURI of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}resourceURI of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Repository_target_resourceType(_repositoryTargetResource);
          free(_repositoryTargetResource);
          return NULL;
        }

        _repositoryTargetResource->resourceURI = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "id", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}id of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}id of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Repository_target_resourceType(_repositoryTargetResource);
          free(_repositoryTargetResource);
          return NULL;
        }

        _repositoryTargetResource->id = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "name", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}name of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}name of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Repository_target_resourceType(_repositoryTargetResource);
          free(_repositoryTargetResource);
          return NULL;
        }

        _repositoryTargetResource->name = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "contentClass", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}contentClass of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}contentClass of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Repository_target_resourceType(_repositoryTargetResource);
          free(_repositoryTargetResource);
          return NULL;
        }

        _repositoryTargetResource->contentClass = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "patterns", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

        if (xmlTextReaderIsEmptyElement(reader) == 0) {
#if DEBUG_ENUNCIATE > 1
          printf("Unwrapping wrapper element {}patterns...\n");
#endif
          //start wrapper element "{}patterns"
          status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
          while (xmlTextReaderDepth(reader) > (depth + 1)) {
            if (status < 1) {
              //panic: XML read error.
#if DEBUG_ENUNCIATE
              printf("Failure to advance to next child element.\n");
#endif
              freeNs0Repository_target_resourceType(_repositoryTargetResource);
              free(_repositoryTargetResource);
              return NULL;
            }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "pattern", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}pattern of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}pattern of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Repository_target_resourceType(_repositoryTargetResource);
          free(_repositoryTargetResource);
          return NULL;
        }

        _repositoryTargetResource->patterns = realloc(_repositoryTargetResource->patterns, (_repositoryTargetResource->_sizeof_patterns + 1) * sizeof(xmlChar));
        memcpy(&(_repositoryTargetResource->patterns[_repositoryTargetResource->_sizeof_patterns++]), _child_accessor, sizeof(xmlChar));
        free(_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
          } // end "while in wrapper element" loop
        } //end "if empty element" clause

        if (status < 1) {
          //panic: XML read error.
#if DEBUG_ENUNCIATE
          printf("Failed to advance to end wrapper element {}patterns.\n");
#endif
          freeNs0Repository_target_resourceType(_repositoryTargetResource);
          free(_repositoryTargetResource);
          return NULL;
        }
        else {
          //end wrapper element "{}patterns"
          status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
        }
      } // end "if wrapper element" clause
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}repository-target-resource.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}repository-target-resource. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _repositoryTargetResource;
}

/**
 * Writes a RepositoryTargetResource to XML.
 *
 * @param writer The XML writer.
 * @param _repositoryTargetResource The RepositoryTargetResource to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0Repository_target_resourceType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_repository_target_resource *_repositoryTargetResource) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;
  if (_repositoryTargetResource->resourceURI != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "resourceURI", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}resourceURI. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}resourceURI...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_repositoryTargetResource->resourceURI));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}resourceURI. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}resourceURI. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_repositoryTargetResource->id != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "id", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}id. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}id...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_repositoryTargetResource->id));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}id. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}id. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_repositoryTargetResource->name != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "name", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}name. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}name...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_repositoryTargetResource->name));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}name. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}name. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_repositoryTargetResource->contentClass != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "contentClass", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}contentClass. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}contentClass...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_repositoryTargetResource->contentClass));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}contentClass. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}contentClass. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  if (_repositoryTargetResource->patterns != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "patterns", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}patterns. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  for (i = 0; i < _repositoryTargetResource->_sizeof_patterns; i++) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "pattern", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}pattern. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}pattern...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, &(_repositoryTargetResource->patterns[i]));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}pattern. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}pattern. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  if (_repositoryTargetResource->patterns != NULL) {
    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}patterns. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a RepositoryTargetResource.
 *
 * @param _repositoryTargetResource The RepositoryTargetResource to free.
 */
static void freeNs0Repository_target_resourceType(struct nexus_rest_api_ns0_repository_target_resource *_repositoryTargetResource) {
  int i;
  if (_repositoryTargetResource->resourceURI != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor resourceURI of type nexus_rest_api_ns0_repository_target_resource...\n");
#endif
    freeXsStringType(_repositoryTargetResource->resourceURI);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor resourceURI of type nexus_rest_api_ns0_repository_target_resource...\n");
#endif
    free(_repositoryTargetResource->resourceURI);
  }
  if (_repositoryTargetResource->id != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor id of type nexus_rest_api_ns0_repository_target_resource...\n");
#endif
    freeXsStringType(_repositoryTargetResource->id);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor id of type nexus_rest_api_ns0_repository_target_resource...\n");
#endif
    free(_repositoryTargetResource->id);
  }
  if (_repositoryTargetResource->name != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor name of type nexus_rest_api_ns0_repository_target_resource...\n");
#endif
    freeXsStringType(_repositoryTargetResource->name);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor name of type nexus_rest_api_ns0_repository_target_resource...\n");
#endif
    free(_repositoryTargetResource->name);
  }
  if (_repositoryTargetResource->contentClass != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor contentClass of type nexus_rest_api_ns0_repository_target_resource...\n");
#endif
    freeXsStringType(_repositoryTargetResource->contentClass);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor contentClass of type nexus_rest_api_ns0_repository_target_resource...\n");
#endif
    free(_repositoryTargetResource->contentClass);
  }
  if (_repositoryTargetResource->patterns != NULL) {
    for (i = 0; i < _repositoryTargetResource->_sizeof_patterns; i++) {
#if DEBUG_ENUNCIATE > 1
      printf("Freeing accessor patterns[%i] of type nexus_rest_api_ns0_repository_target_resource...\n", i);
#endif
      freeXsStringType(&(_repositoryTargetResource->patterns[i]));
    }
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor patterns of type nexus_rest_api_ns0_repository_target_resource...\n");
#endif
    free(_repositoryTargetResource->patterns);
  }
}
#endif /* DEF_nexus_rest_api_ns0_repository_target_resource_M */
#ifndef DEF_nexus_rest_api_ns0_repositoryTargetResourceResponse_M
#define DEF_nexus_rest_api_ns0_repositoryTargetResourceResponse_M

/**
 * Reads a RepositoryTargetResourceResponse element from XML. The element to be read is "repo-target", and
 * it is assumed that the reader is pointing to the XML document (not the element).
 *
 * @param reader The XML reader.
 * @return The RepositoryTargetResourceResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_repositoryTargetResourceResponse *xml_read_nexus_rest_api_ns0_repositoryTargetResourceResponse(xmlTextReaderPtr reader) {
  int status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
  return xmlTextReaderReadNs0Repo_targetElement(reader);
}

/**
 * Writes a RepositoryTargetResourceResponse to XML under element name "repo-target".
 *
 * @param writer The XML writer.
 * @param _repositoryTargetResourceResponse The RepositoryTargetResourceResponse to write.
 * @return 1 if successful, 0 otherwise.
 */
int xml_write_nexus_rest_api_ns0_repositoryTargetResourceResponse(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_repositoryTargetResourceResponse *_repositoryTargetResourceResponse) {
  return xmlTextWriterWriteNs0Repo_targetElementNS(writer, _repositoryTargetResourceResponse, 1);
}

/**
 * Frees a RepositoryTargetResourceResponse.
 *
 * @param _repositoryTargetResourceResponse The RepositoryTargetResourceResponse to free.
 */
void free_nexus_rest_api_ns0_repositoryTargetResourceResponse(struct nexus_rest_api_ns0_repositoryTargetResourceResponse *_repositoryTargetResourceResponse) {
  freeNs0RepositoryTargetResourceResponseType(_repositoryTargetResourceResponse);
  free(_repositoryTargetResourceResponse);
}

/**
 * Reads a RepositoryTargetResourceResponse element from XML. The element to be read is "repo-target", and
 * it is assumed that the reader is pointing to that element.
 *
 * @param reader The XML reader.
 * @return The RepositoryTargetResourceResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_repositoryTargetResourceResponse *xmlTextReaderReadNs0Repo_targetElement(xmlTextReaderPtr reader) {
  struct nexus_rest_api_ns0_repositoryTargetResourceResponse *_repositoryTargetResourceResponse = NULL;

  if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
    && xmlStrcmp(BAD_CAST "repo-target", xmlTextReaderConstLocalName(reader)) == 0
    && xmlTextReaderConstNamespaceUri(reader) == NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Attempting to read root element {}repo-target.\n");
#endif
    _repositoryTargetResourceResponse = xmlTextReaderReadNs0RepositoryTargetResourceResponseType(reader);
  }
#if DEBUG_ENUNCIATE
  if (_repositoryTargetResourceResponse == NULL) {
    if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
      printf("attempt to read {}repo-target failed. current element: {}%s\n",  xmlTextReaderConstLocalName(reader));
    }
    else {
      printf("attempt to read {}repo-target failed. current element: {%s}%s\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
    }
  }
#endif

  return _repositoryTargetResourceResponse;
}

/**
 * Writes a RepositoryTargetResourceResponse to XML under element name "repo-target".
 * Does NOT write the namespace prefixes.
 *
 * @param writer The XML writer.
 * @param _repositoryTargetResourceResponse The RepositoryTargetResourceResponse to write.
 * @return 1 if successful, 0 otherwise.
 */
static int xmlTextWriterWriteNs0Repo_targetElement(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_repositoryTargetResourceResponse *_repositoryTargetResourceResponse) {
  return xmlTextWriterWriteNs0Repo_targetElementNS(writer, _repositoryTargetResourceResponse, 0);
}

/**
 * Writes a RepositoryTargetResourceResponse to XML under element name "repo-target".
 *
 * @param writer The XML writer.
 * @param _repositoryTargetResourceResponse The RepositoryTargetResourceResponse to write.
 * @param writeNamespaces Whether to write the namespace prefixes.
 * @return 1 if successful, 0 otherwise.
 */
static int xmlTextWriterWriteNs0Repo_targetElementNS(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_repositoryTargetResourceResponse *_repositoryTargetResourceResponse, int writeNamespaces) {
  int totalBytes = 0;
  int status;

  status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "repo-target", NULL);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to write start element {}repo-target. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

#if DEBUG_ENUNCIATE > 1
  printf("writing type {}repositoryTargetResourceResponse for root element {}repo-target...\n");
#endif
  status = xmlTextWriterWriteNs0RepositoryTargetResourceResponseType(writer, _repositoryTargetResourceResponse);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to write type for start element {}repo-target. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

  status = xmlTextWriterEndElement(writer);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to end element {}repo-target. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

  return totalBytes;
}

/**
 * Frees the children of a RepositoryTargetResourceResponse.
 *
 * @param _repositoryTargetResourceResponse The RepositoryTargetResourceResponse whose children are to be free.
 */
static void freeNs0Repo_targetElement(struct nexus_rest_api_ns0_repositoryTargetResourceResponse *_repositoryTargetResourceResponse) {
  freeNs0RepositoryTargetResourceResponseType(_repositoryTargetResourceResponse);
}

/**
 * Reads a RepositoryTargetResourceResponse from XML. The reader is assumed to be at the start element.
 *
 * @return the RepositoryTargetResourceResponse, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_repositoryTargetResourceResponse *xmlTextReaderReadNs0RepositoryTargetResourceResponseType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct nexus_rest_api_ns0_repositoryTargetResourceResponse *_repositoryTargetResourceResponse = calloc(1, sizeof(struct nexus_rest_api_ns0_repositoryTargetResourceResponse));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0RepositoryTargetResourceResponseType(_repositoryTargetResourceResponse);
        free(_repositoryTargetResourceResponse);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "data", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}data of type {}repository-target-resource.\n");
#endif
        _child_accessor = xmlTextReaderReadNs0Repository_target_resourceType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}data of type {}repository-target-resource.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0RepositoryTargetResourceResponseType(_repositoryTargetResourceResponse);
          free(_repositoryTargetResourceResponse);
          return NULL;
        }

        _repositoryTargetResourceResponse->data = ((struct nexus_rest_api_ns0_repository_target_resource*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}repositoryTargetResourceResponse.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}repositoryTargetResourceResponse. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _repositoryTargetResourceResponse;
}

/**
 * Writes a RepositoryTargetResourceResponse to XML.
 *
 * @param writer The XML writer.
 * @param _repositoryTargetResourceResponse The RepositoryTargetResourceResponse to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0RepositoryTargetResourceResponseType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_repositoryTargetResourceResponse *_repositoryTargetResourceResponse) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;
  if (_repositoryTargetResourceResponse->data != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "data", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {}repository-target-resource for element {}data...\n", status);
#endif
    status = xmlTextWriterWriteNs0Repository_target_resourceType(writer, (_repositoryTargetResourceResponse->data));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {}repository-target-resource for element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a RepositoryTargetResourceResponse.
 *
 * @param _repositoryTargetResourceResponse The RepositoryTargetResourceResponse to free.
 */
static void freeNs0RepositoryTargetResourceResponseType(struct nexus_rest_api_ns0_repositoryTargetResourceResponse *_repositoryTargetResourceResponse) {
  int i;
  if (_repositoryTargetResourceResponse->data != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor data of type nexus_rest_api_ns0_repositoryTargetResourceResponse...\n");
#endif
    freeNs0Repository_target_resourceType(_repositoryTargetResourceResponse->data);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor data of type nexus_rest_api_ns0_repositoryTargetResourceResponse...\n");
#endif
    free(_repositoryTargetResourceResponse->data);
  }
}
#endif /* DEF_nexus_rest_api_ns0_repositoryTargetResourceResponse_M */
#ifndef DEF_nexus_rest_api_ns0_rest_api_settings_M
#define DEF_nexus_rest_api_ns0_rest_api_settings_M

/**
 * Reads a RestApiSettings from XML. The reader is assumed to be at the start element.
 *
 * @return the RestApiSettings, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_rest_api_settings *xmlTextReaderReadNs0Rest_api_settingsType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct nexus_rest_api_ns0_rest_api_settings *_restApiSettings = calloc(1, sizeof(struct nexus_rest_api_ns0_rest_api_settings));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0Rest_api_settingsType(_restApiSettings);
        free(_restApiSettings);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "forceBaseUrl", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}forceBaseUrl of type {http://www.w3.org/2001/XMLSchema}boolean.\n");
#endif
        _child_accessor = xmlTextReaderReadXsBooleanType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}forceBaseUrl of type {http://www.w3.org/2001/XMLSchema}boolean.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Rest_api_settingsType(_restApiSettings);
          free(_restApiSettings);
          return NULL;
        }

        _restApiSettings->forceBaseUrl = *((int*)_child_accessor);
        free(_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "baseUrl", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}baseUrl of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}baseUrl of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Rest_api_settingsType(_restApiSettings);
          free(_restApiSettings);
          return NULL;
        }

        _restApiSettings->baseUrl = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}rest-api-settings.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}rest-api-settings. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _restApiSettings;
}

/**
 * Writes a RestApiSettings to XML.
 *
 * @param writer The XML writer.
 * @param _restApiSettings The RestApiSettings to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0Rest_api_settingsType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_rest_api_settings *_restApiSettings) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;
  if (1) { //always write the primitive element.
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "forceBaseUrl", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}forceBaseUrl. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}boolean for element {}forceBaseUrl...\n", status);
#endif
    status = xmlTextWriterWriteXsBooleanType(writer, &(_restApiSettings->forceBaseUrl));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}boolean for element {}forceBaseUrl. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}forceBaseUrl. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_restApiSettings->baseUrl != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "baseUrl", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}baseUrl. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}baseUrl...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_restApiSettings->baseUrl));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}baseUrl. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}baseUrl. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a RestApiSettings.
 *
 * @param _restApiSettings The RestApiSettings to free.
 */
static void freeNs0Rest_api_settingsType(struct nexus_rest_api_ns0_rest_api_settings *_restApiSettings) {
  int i;
  if (_restApiSettings->baseUrl != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor baseUrl of type nexus_rest_api_ns0_rest_api_settings...\n");
#endif
    freeXsStringType(_restApiSettings->baseUrl);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor baseUrl of type nexus_rest_api_ns0_rest_api_settings...\n");
#endif
    free(_restApiSettings->baseUrl);
  }
}
#endif /* DEF_nexus_rest_api_ns0_rest_api_settings_M */
#ifndef DEF_nexus_rest_api_ns0_scheduled_service_base_resource_M
#define DEF_nexus_rest_api_ns0_scheduled_service_base_resource_M

/**
 * Reads a ScheduledServiceBaseResource from XML. The reader is assumed to be at the start element.
 *
 * @return the ScheduledServiceBaseResource, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_scheduled_service_base_resource *xmlTextReaderReadNs0Scheduled_service_base_resourceType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct nexus_rest_api_ns0_scheduled_service_base_resource *_scheduledServiceBaseResource = calloc(1, sizeof(struct nexus_rest_api_ns0_scheduled_service_base_resource));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0Scheduled_service_base_resourceType(_scheduledServiceBaseResource);
        free(_scheduledServiceBaseResource);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "id", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}id of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}id of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Scheduled_service_base_resourceType(_scheduledServiceBaseResource);
          free(_scheduledServiceBaseResource);
          return NULL;
        }

        _scheduledServiceBaseResource->id = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "name", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}name of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}name of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Scheduled_service_base_resourceType(_scheduledServiceBaseResource);
          free(_scheduledServiceBaseResource);
          return NULL;
        }

        _scheduledServiceBaseResource->name = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "enabled", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}enabled of type {http://www.w3.org/2001/XMLSchema}boolean.\n");
#endif
        _child_accessor = xmlTextReaderReadXsBooleanType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}enabled of type {http://www.w3.org/2001/XMLSchema}boolean.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Scheduled_service_base_resourceType(_scheduledServiceBaseResource);
          free(_scheduledServiceBaseResource);
          return NULL;
        }

        _scheduledServiceBaseResource->enabled = *((int*)_child_accessor);
        free(_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "typeId", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}typeId of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}typeId of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Scheduled_service_base_resourceType(_scheduledServiceBaseResource);
          free(_scheduledServiceBaseResource);
          return NULL;
        }

        _scheduledServiceBaseResource->typeId = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "alertEmail", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}alertEmail of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}alertEmail of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Scheduled_service_base_resourceType(_scheduledServiceBaseResource);
          free(_scheduledServiceBaseResource);
          return NULL;
        }

        _scheduledServiceBaseResource->alertEmail = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "schedule", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}schedule of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}schedule of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Scheduled_service_base_resourceType(_scheduledServiceBaseResource);
          free(_scheduledServiceBaseResource);
          return NULL;
        }

        _scheduledServiceBaseResource->schedule = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "properties", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

        if (xmlTextReaderIsEmptyElement(reader) == 0) {
#if DEBUG_ENUNCIATE > 1
          printf("Unwrapping wrapper element {}properties...\n");
#endif
          //start wrapper element "{}properties"
          status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
          while (xmlTextReaderDepth(reader) > (depth + 1)) {
            if (status < 1) {
              //panic: XML read error.
#if DEBUG_ENUNCIATE
              printf("Failure to advance to next child element.\n");
#endif
              freeNs0Scheduled_service_base_resourceType(_scheduledServiceBaseResource);
              free(_scheduledServiceBaseResource);
              return NULL;
            }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "scheduled-task-property", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}scheduled-task-property of type {}scheduled-service-property-resource.\n");
#endif
        _child_accessor = xmlTextReaderReadNs0Scheduled_service_property_resourceType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}scheduled-task-property of type {}scheduled-service-property-resource.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Scheduled_service_base_resourceType(_scheduledServiceBaseResource);
          free(_scheduledServiceBaseResource);
          return NULL;
        }

        _scheduledServiceBaseResource->properties = realloc(_scheduledServiceBaseResource->properties, (_scheduledServiceBaseResource->_sizeof_properties + 1) * sizeof(struct nexus_rest_api_ns0_scheduled_service_property_resource));
        memcpy(&(_scheduledServiceBaseResource->properties[_scheduledServiceBaseResource->_sizeof_properties++]), _child_accessor, sizeof(struct nexus_rest_api_ns0_scheduled_service_property_resource));
        free(_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
          } // end "while in wrapper element" loop
        } //end "if empty element" clause

        if (status < 1) {
          //panic: XML read error.
#if DEBUG_ENUNCIATE
          printf("Failed to advance to end wrapper element {}properties.\n");
#endif
          freeNs0Scheduled_service_base_resourceType(_scheduledServiceBaseResource);
          free(_scheduledServiceBaseResource);
          return NULL;
        }
        else {
          //end wrapper element "{}properties"
          status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
        }
      } // end "if wrapper element" clause
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}scheduled-service-base-resource.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}scheduled-service-base-resource. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _scheduledServiceBaseResource;
}

/**
 * Writes a ScheduledServiceBaseResource to XML.
 *
 * @param writer The XML writer.
 * @param _scheduledServiceBaseResource The ScheduledServiceBaseResource to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0Scheduled_service_base_resourceType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_scheduled_service_base_resource *_scheduledServiceBaseResource) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;
  if (_scheduledServiceBaseResource->id != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "id", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}id. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}id...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_scheduledServiceBaseResource->id));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}id. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}id. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_scheduledServiceBaseResource->name != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "name", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}name. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}name...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_scheduledServiceBaseResource->name));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}name. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}name. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (1) { //always write the primitive element.
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "enabled", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}enabled. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}boolean for element {}enabled...\n", status);
#endif
    status = xmlTextWriterWriteXsBooleanType(writer, &(_scheduledServiceBaseResource->enabled));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}boolean for element {}enabled. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}enabled. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_scheduledServiceBaseResource->typeId != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "typeId", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}typeId. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}typeId...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_scheduledServiceBaseResource->typeId));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}typeId. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}typeId. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_scheduledServiceBaseResource->alertEmail != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "alertEmail", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}alertEmail. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}alertEmail...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_scheduledServiceBaseResource->alertEmail));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}alertEmail. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}alertEmail. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_scheduledServiceBaseResource->schedule != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "schedule", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}schedule. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}schedule...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_scheduledServiceBaseResource->schedule));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}schedule. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}schedule. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  if (_scheduledServiceBaseResource->properties != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "properties", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}properties. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  for (i = 0; i < _scheduledServiceBaseResource->_sizeof_properties; i++) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "scheduled-task-property", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}scheduled-task-property. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {}scheduled-service-property-resource for element {}scheduled-task-property...\n", status);
#endif
    status = xmlTextWriterWriteNs0Scheduled_service_property_resourceType(writer, &(_scheduledServiceBaseResource->properties[i]));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {}scheduled-service-property-resource for element {}scheduled-task-property. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}scheduled-task-property. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  if (_scheduledServiceBaseResource->properties != NULL) {
    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}properties. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a ScheduledServiceBaseResource.
 *
 * @param _scheduledServiceBaseResource The ScheduledServiceBaseResource to free.
 */
static void freeNs0Scheduled_service_base_resourceType(struct nexus_rest_api_ns0_scheduled_service_base_resource *_scheduledServiceBaseResource) {
  int i;
  if (_scheduledServiceBaseResource->id != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor id of type nexus_rest_api_ns0_scheduled_service_base_resource...\n");
#endif
    freeXsStringType(_scheduledServiceBaseResource->id);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor id of type nexus_rest_api_ns0_scheduled_service_base_resource...\n");
#endif
    free(_scheduledServiceBaseResource->id);
  }
  if (_scheduledServiceBaseResource->name != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor name of type nexus_rest_api_ns0_scheduled_service_base_resource...\n");
#endif
    freeXsStringType(_scheduledServiceBaseResource->name);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor name of type nexus_rest_api_ns0_scheduled_service_base_resource...\n");
#endif
    free(_scheduledServiceBaseResource->name);
  }
  if (_scheduledServiceBaseResource->typeId != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor typeId of type nexus_rest_api_ns0_scheduled_service_base_resource...\n");
#endif
    freeXsStringType(_scheduledServiceBaseResource->typeId);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor typeId of type nexus_rest_api_ns0_scheduled_service_base_resource...\n");
#endif
    free(_scheduledServiceBaseResource->typeId);
  }
  if (_scheduledServiceBaseResource->alertEmail != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor alertEmail of type nexus_rest_api_ns0_scheduled_service_base_resource...\n");
#endif
    freeXsStringType(_scheduledServiceBaseResource->alertEmail);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor alertEmail of type nexus_rest_api_ns0_scheduled_service_base_resource...\n");
#endif
    free(_scheduledServiceBaseResource->alertEmail);
  }
  if (_scheduledServiceBaseResource->schedule != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor schedule of type nexus_rest_api_ns0_scheduled_service_base_resource...\n");
#endif
    freeXsStringType(_scheduledServiceBaseResource->schedule);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor schedule of type nexus_rest_api_ns0_scheduled_service_base_resource...\n");
#endif
    free(_scheduledServiceBaseResource->schedule);
  }
  if (_scheduledServiceBaseResource->properties != NULL) {
    for (i = 0; i < _scheduledServiceBaseResource->_sizeof_properties; i++) {
#if DEBUG_ENUNCIATE > 1
      printf("Freeing accessor properties[%i] of type nexus_rest_api_ns0_scheduled_service_base_resource...\n", i);
#endif
      freeNs0Scheduled_service_property_resourceType(&(_scheduledServiceBaseResource->properties[i]));
    }
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor properties of type nexus_rest_api_ns0_scheduled_service_base_resource...\n");
#endif
    free(_scheduledServiceBaseResource->properties);
  }
}
#endif /* DEF_nexus_rest_api_ns0_scheduled_service_base_resource_M */
#ifndef DEF_nexus_rest_api_ns0_scheduled_service_list_resource_M
#define DEF_nexus_rest_api_ns0_scheduled_service_list_resource_M

/**
 * Reads a ScheduledServiceListResource from XML. The reader is assumed to be at the start element.
 *
 * @return the ScheduledServiceListResource, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_scheduled_service_list_resource *xmlTextReaderReadNs0Scheduled_service_list_resourceType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct nexus_rest_api_ns0_scheduled_service_list_resource *_scheduledServiceListResource = calloc(1, sizeof(struct nexus_rest_api_ns0_scheduled_service_list_resource));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0Scheduled_service_list_resourceType(_scheduledServiceListResource);
        free(_scheduledServiceListResource);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "resourceURI", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}resourceURI of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}resourceURI of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Scheduled_service_list_resourceType(_scheduledServiceListResource);
          free(_scheduledServiceListResource);
          return NULL;
        }

        _scheduledServiceListResource->resourceURI = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "id", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}id of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}id of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Scheduled_service_list_resourceType(_scheduledServiceListResource);
          free(_scheduledServiceListResource);
          return NULL;
        }

        _scheduledServiceListResource->id = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "enabled", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}enabled of type {http://www.w3.org/2001/XMLSchema}boolean.\n");
#endif
        _child_accessor = xmlTextReaderReadXsBooleanType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}enabled of type {http://www.w3.org/2001/XMLSchema}boolean.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Scheduled_service_list_resourceType(_scheduledServiceListResource);
          free(_scheduledServiceListResource);
          return NULL;
        }

        _scheduledServiceListResource->enabled = *((int*)_child_accessor);
        free(_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "name", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}name of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}name of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Scheduled_service_list_resourceType(_scheduledServiceListResource);
          free(_scheduledServiceListResource);
          return NULL;
        }

        _scheduledServiceListResource->name = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "typeId", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}typeId of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}typeId of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Scheduled_service_list_resourceType(_scheduledServiceListResource);
          free(_scheduledServiceListResource);
          return NULL;
        }

        _scheduledServiceListResource->typeId = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "typeName", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}typeName of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}typeName of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Scheduled_service_list_resourceType(_scheduledServiceListResource);
          free(_scheduledServiceListResource);
          return NULL;
        }

        _scheduledServiceListResource->typeName = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "status", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}status of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}status of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Scheduled_service_list_resourceType(_scheduledServiceListResource);
          free(_scheduledServiceListResource);
          return NULL;
        }

        _scheduledServiceListResource->status = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "schedule", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}schedule of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}schedule of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Scheduled_service_list_resourceType(_scheduledServiceListResource);
          free(_scheduledServiceListResource);
          return NULL;
        }

        _scheduledServiceListResource->schedule = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "nextRunTime", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}nextRunTime of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}nextRunTime of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Scheduled_service_list_resourceType(_scheduledServiceListResource);
          free(_scheduledServiceListResource);
          return NULL;
        }

        _scheduledServiceListResource->nextRunTime = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "lastRunTime", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}lastRunTime of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}lastRunTime of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Scheduled_service_list_resourceType(_scheduledServiceListResource);
          free(_scheduledServiceListResource);
          return NULL;
        }

        _scheduledServiceListResource->lastRunTime = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "lastRunResult", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}lastRunResult of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}lastRunResult of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Scheduled_service_list_resourceType(_scheduledServiceListResource);
          free(_scheduledServiceListResource);
          return NULL;
        }

        _scheduledServiceListResource->lastRunResult = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "created", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}created of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}created of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Scheduled_service_list_resourceType(_scheduledServiceListResource);
          free(_scheduledServiceListResource);
          return NULL;
        }

        _scheduledServiceListResource->created = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}scheduled-service-list-resource.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}scheduled-service-list-resource. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _scheduledServiceListResource;
}

/**
 * Writes a ScheduledServiceListResource to XML.
 *
 * @param writer The XML writer.
 * @param _scheduledServiceListResource The ScheduledServiceListResource to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0Scheduled_service_list_resourceType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_scheduled_service_list_resource *_scheduledServiceListResource) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;
  if (_scheduledServiceListResource->resourceURI != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "resourceURI", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}resourceURI. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}resourceURI...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_scheduledServiceListResource->resourceURI));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}resourceURI. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}resourceURI. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_scheduledServiceListResource->id != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "id", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}id. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}id...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_scheduledServiceListResource->id));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}id. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}id. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (1) { //always write the primitive element.
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "enabled", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}enabled. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}boolean for element {}enabled...\n", status);
#endif
    status = xmlTextWriterWriteXsBooleanType(writer, &(_scheduledServiceListResource->enabled));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}boolean for element {}enabled. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}enabled. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_scheduledServiceListResource->name != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "name", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}name. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}name...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_scheduledServiceListResource->name));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}name. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}name. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_scheduledServiceListResource->typeId != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "typeId", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}typeId. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}typeId...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_scheduledServiceListResource->typeId));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}typeId. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}typeId. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_scheduledServiceListResource->typeName != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "typeName", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}typeName. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}typeName...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_scheduledServiceListResource->typeName));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}typeName. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}typeName. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_scheduledServiceListResource->status != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "status", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}status. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}status...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_scheduledServiceListResource->status));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}status. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}status. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_scheduledServiceListResource->schedule != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "schedule", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}schedule. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}schedule...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_scheduledServiceListResource->schedule));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}schedule. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}schedule. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_scheduledServiceListResource->nextRunTime != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "nextRunTime", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}nextRunTime. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}nextRunTime...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_scheduledServiceListResource->nextRunTime));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}nextRunTime. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}nextRunTime. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_scheduledServiceListResource->lastRunTime != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "lastRunTime", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}lastRunTime. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}lastRunTime...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_scheduledServiceListResource->lastRunTime));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}lastRunTime. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}lastRunTime. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_scheduledServiceListResource->lastRunResult != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "lastRunResult", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}lastRunResult. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}lastRunResult...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_scheduledServiceListResource->lastRunResult));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}lastRunResult. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}lastRunResult. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_scheduledServiceListResource->created != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "created", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}created. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}created...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_scheduledServiceListResource->created));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}created. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}created. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a ScheduledServiceListResource.
 *
 * @param _scheduledServiceListResource The ScheduledServiceListResource to free.
 */
static void freeNs0Scheduled_service_list_resourceType(struct nexus_rest_api_ns0_scheduled_service_list_resource *_scheduledServiceListResource) {
  int i;
  if (_scheduledServiceListResource->resourceURI != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor resourceURI of type nexus_rest_api_ns0_scheduled_service_list_resource...\n");
#endif
    freeXsStringType(_scheduledServiceListResource->resourceURI);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor resourceURI of type nexus_rest_api_ns0_scheduled_service_list_resource...\n");
#endif
    free(_scheduledServiceListResource->resourceURI);
  }
  if (_scheduledServiceListResource->id != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor id of type nexus_rest_api_ns0_scheduled_service_list_resource...\n");
#endif
    freeXsStringType(_scheduledServiceListResource->id);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor id of type nexus_rest_api_ns0_scheduled_service_list_resource...\n");
#endif
    free(_scheduledServiceListResource->id);
  }
  if (_scheduledServiceListResource->name != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor name of type nexus_rest_api_ns0_scheduled_service_list_resource...\n");
#endif
    freeXsStringType(_scheduledServiceListResource->name);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor name of type nexus_rest_api_ns0_scheduled_service_list_resource...\n");
#endif
    free(_scheduledServiceListResource->name);
  }
  if (_scheduledServiceListResource->typeId != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor typeId of type nexus_rest_api_ns0_scheduled_service_list_resource...\n");
#endif
    freeXsStringType(_scheduledServiceListResource->typeId);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor typeId of type nexus_rest_api_ns0_scheduled_service_list_resource...\n");
#endif
    free(_scheduledServiceListResource->typeId);
  }
  if (_scheduledServiceListResource->typeName != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor typeName of type nexus_rest_api_ns0_scheduled_service_list_resource...\n");
#endif
    freeXsStringType(_scheduledServiceListResource->typeName);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor typeName of type nexus_rest_api_ns0_scheduled_service_list_resource...\n");
#endif
    free(_scheduledServiceListResource->typeName);
  }
  if (_scheduledServiceListResource->status != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor status of type nexus_rest_api_ns0_scheduled_service_list_resource...\n");
#endif
    freeXsStringType(_scheduledServiceListResource->status);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor status of type nexus_rest_api_ns0_scheduled_service_list_resource...\n");
#endif
    free(_scheduledServiceListResource->status);
  }
  if (_scheduledServiceListResource->schedule != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor schedule of type nexus_rest_api_ns0_scheduled_service_list_resource...\n");
#endif
    freeXsStringType(_scheduledServiceListResource->schedule);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor schedule of type nexus_rest_api_ns0_scheduled_service_list_resource...\n");
#endif
    free(_scheduledServiceListResource->schedule);
  }
  if (_scheduledServiceListResource->nextRunTime != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor nextRunTime of type nexus_rest_api_ns0_scheduled_service_list_resource...\n");
#endif
    freeXsStringType(_scheduledServiceListResource->nextRunTime);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor nextRunTime of type nexus_rest_api_ns0_scheduled_service_list_resource...\n");
#endif
    free(_scheduledServiceListResource->nextRunTime);
  }
  if (_scheduledServiceListResource->lastRunTime != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor lastRunTime of type nexus_rest_api_ns0_scheduled_service_list_resource...\n");
#endif
    freeXsStringType(_scheduledServiceListResource->lastRunTime);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor lastRunTime of type nexus_rest_api_ns0_scheduled_service_list_resource...\n");
#endif
    free(_scheduledServiceListResource->lastRunTime);
  }
  if (_scheduledServiceListResource->lastRunResult != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor lastRunResult of type nexus_rest_api_ns0_scheduled_service_list_resource...\n");
#endif
    freeXsStringType(_scheduledServiceListResource->lastRunResult);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor lastRunResult of type nexus_rest_api_ns0_scheduled_service_list_resource...\n");
#endif
    free(_scheduledServiceListResource->lastRunResult);
  }
  if (_scheduledServiceListResource->created != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor created of type nexus_rest_api_ns0_scheduled_service_list_resource...\n");
#endif
    freeXsStringType(_scheduledServiceListResource->created);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor created of type nexus_rest_api_ns0_scheduled_service_list_resource...\n");
#endif
    free(_scheduledServiceListResource->created);
  }
}
#endif /* DEF_nexus_rest_api_ns0_scheduled_service_list_resource_M */
#ifndef DEF_nexus_rest_api_ns0_scheduledServiceListResourceResponse_M
#define DEF_nexus_rest_api_ns0_scheduledServiceListResourceResponse_M

/**
 * Reads a ScheduledServiceListResourceResponse element from XML. The element to be read is "schedules-list", and
 * it is assumed that the reader is pointing to the XML document (not the element).
 *
 * @param reader The XML reader.
 * @return The ScheduledServiceListResourceResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_scheduledServiceListResourceResponse *xml_read_nexus_rest_api_ns0_scheduledServiceListResourceResponse(xmlTextReaderPtr reader) {
  int status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
  return xmlTextReaderReadNs0Schedules_listElement(reader);
}

/**
 * Writes a ScheduledServiceListResourceResponse to XML under element name "schedules-list".
 *
 * @param writer The XML writer.
 * @param _scheduledServiceListResourceResponse The ScheduledServiceListResourceResponse to write.
 * @return 1 if successful, 0 otherwise.
 */
int xml_write_nexus_rest_api_ns0_scheduledServiceListResourceResponse(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_scheduledServiceListResourceResponse *_scheduledServiceListResourceResponse) {
  return xmlTextWriterWriteNs0Schedules_listElementNS(writer, _scheduledServiceListResourceResponse, 1);
}

/**
 * Frees a ScheduledServiceListResourceResponse.
 *
 * @param _scheduledServiceListResourceResponse The ScheduledServiceListResourceResponse to free.
 */
void free_nexus_rest_api_ns0_scheduledServiceListResourceResponse(struct nexus_rest_api_ns0_scheduledServiceListResourceResponse *_scheduledServiceListResourceResponse) {
  freeNs0ScheduledServiceListResourceResponseType(_scheduledServiceListResourceResponse);
  free(_scheduledServiceListResourceResponse);
}

/**
 * Reads a ScheduledServiceListResourceResponse element from XML. The element to be read is "schedules-list", and
 * it is assumed that the reader is pointing to that element.
 *
 * @param reader The XML reader.
 * @return The ScheduledServiceListResourceResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_scheduledServiceListResourceResponse *xmlTextReaderReadNs0Schedules_listElement(xmlTextReaderPtr reader) {
  struct nexus_rest_api_ns0_scheduledServiceListResourceResponse *_scheduledServiceListResourceResponse = NULL;

  if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
    && xmlStrcmp(BAD_CAST "schedules-list", xmlTextReaderConstLocalName(reader)) == 0
    && xmlTextReaderConstNamespaceUri(reader) == NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Attempting to read root element {}schedules-list.\n");
#endif
    _scheduledServiceListResourceResponse = xmlTextReaderReadNs0ScheduledServiceListResourceResponseType(reader);
  }
#if DEBUG_ENUNCIATE
  if (_scheduledServiceListResourceResponse == NULL) {
    if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
      printf("attempt to read {}schedules-list failed. current element: {}%s\n",  xmlTextReaderConstLocalName(reader));
    }
    else {
      printf("attempt to read {}schedules-list failed. current element: {%s}%s\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
    }
  }
#endif

  return _scheduledServiceListResourceResponse;
}

/**
 * Writes a ScheduledServiceListResourceResponse to XML under element name "schedules-list".
 * Does NOT write the namespace prefixes.
 *
 * @param writer The XML writer.
 * @param _scheduledServiceListResourceResponse The ScheduledServiceListResourceResponse to write.
 * @return 1 if successful, 0 otherwise.
 */
static int xmlTextWriterWriteNs0Schedules_listElement(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_scheduledServiceListResourceResponse *_scheduledServiceListResourceResponse) {
  return xmlTextWriterWriteNs0Schedules_listElementNS(writer, _scheduledServiceListResourceResponse, 0);
}

/**
 * Writes a ScheduledServiceListResourceResponse to XML under element name "schedules-list".
 *
 * @param writer The XML writer.
 * @param _scheduledServiceListResourceResponse The ScheduledServiceListResourceResponse to write.
 * @param writeNamespaces Whether to write the namespace prefixes.
 * @return 1 if successful, 0 otherwise.
 */
static int xmlTextWriterWriteNs0Schedules_listElementNS(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_scheduledServiceListResourceResponse *_scheduledServiceListResourceResponse, int writeNamespaces) {
  int totalBytes = 0;
  int status;

  status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "schedules-list", NULL);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to write start element {}schedules-list. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

#if DEBUG_ENUNCIATE > 1
  printf("writing type {}scheduledServiceListResourceResponse for root element {}schedules-list...\n");
#endif
  status = xmlTextWriterWriteNs0ScheduledServiceListResourceResponseType(writer, _scheduledServiceListResourceResponse);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to write type for start element {}schedules-list. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

  status = xmlTextWriterEndElement(writer);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to end element {}schedules-list. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

  return totalBytes;
}

/**
 * Frees the children of a ScheduledServiceListResourceResponse.
 *
 * @param _scheduledServiceListResourceResponse The ScheduledServiceListResourceResponse whose children are to be free.
 */
static void freeNs0Schedules_listElement(struct nexus_rest_api_ns0_scheduledServiceListResourceResponse *_scheduledServiceListResourceResponse) {
  freeNs0ScheduledServiceListResourceResponseType(_scheduledServiceListResourceResponse);
}

/**
 * Reads a ScheduledServiceListResourceResponse from XML. The reader is assumed to be at the start element.
 *
 * @return the ScheduledServiceListResourceResponse, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_scheduledServiceListResourceResponse *xmlTextReaderReadNs0ScheduledServiceListResourceResponseType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct nexus_rest_api_ns0_scheduledServiceListResourceResponse *_scheduledServiceListResourceResponse = calloc(1, sizeof(struct nexus_rest_api_ns0_scheduledServiceListResourceResponse));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0ScheduledServiceListResourceResponseType(_scheduledServiceListResourceResponse);
        free(_scheduledServiceListResourceResponse);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "data", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

        if (xmlTextReaderIsEmptyElement(reader) == 0) {
#if DEBUG_ENUNCIATE > 1
          printf("Unwrapping wrapper element {}data...\n");
#endif
          //start wrapper element "{}data"
          status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
          while (xmlTextReaderDepth(reader) > (depth + 1)) {
            if (status < 1) {
              //panic: XML read error.
#if DEBUG_ENUNCIATE
              printf("Failure to advance to next child element.\n");
#endif
              freeNs0ScheduledServiceListResourceResponseType(_scheduledServiceListResourceResponse);
              free(_scheduledServiceListResourceResponse);
              return NULL;
            }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "schedules-list-item", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}schedules-list-item of type {}scheduled-service-list-resource.\n");
#endif
        _child_accessor = xmlTextReaderReadNs0Scheduled_service_list_resourceType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}schedules-list-item of type {}scheduled-service-list-resource.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0ScheduledServiceListResourceResponseType(_scheduledServiceListResourceResponse);
          free(_scheduledServiceListResourceResponse);
          return NULL;
        }

        _scheduledServiceListResourceResponse->data = realloc(_scheduledServiceListResourceResponse->data, (_scheduledServiceListResourceResponse->_sizeof_data + 1) * sizeof(struct nexus_rest_api_ns0_scheduled_service_list_resource));
        memcpy(&(_scheduledServiceListResourceResponse->data[_scheduledServiceListResourceResponse->_sizeof_data++]), _child_accessor, sizeof(struct nexus_rest_api_ns0_scheduled_service_list_resource));
        free(_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
          } // end "while in wrapper element" loop
        } //end "if empty element" clause

        if (status < 1) {
          //panic: XML read error.
#if DEBUG_ENUNCIATE
          printf("Failed to advance to end wrapper element {}data.\n");
#endif
          freeNs0ScheduledServiceListResourceResponseType(_scheduledServiceListResourceResponse);
          free(_scheduledServiceListResourceResponse);
          return NULL;
        }
        else {
          //end wrapper element "{}data"
          status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
        }
      } // end "if wrapper element" clause
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}scheduledServiceListResourceResponse.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}scheduledServiceListResourceResponse. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _scheduledServiceListResourceResponse;
}

/**
 * Writes a ScheduledServiceListResourceResponse to XML.
 *
 * @param writer The XML writer.
 * @param _scheduledServiceListResourceResponse The ScheduledServiceListResourceResponse to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0ScheduledServiceListResourceResponseType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_scheduledServiceListResourceResponse *_scheduledServiceListResourceResponse) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;

  if (_scheduledServiceListResourceResponse->data != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "data", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  for (i = 0; i < _scheduledServiceListResourceResponse->_sizeof_data; i++) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "schedules-list-item", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}schedules-list-item. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {}scheduled-service-list-resource for element {}schedules-list-item...\n", status);
#endif
    status = xmlTextWriterWriteNs0Scheduled_service_list_resourceType(writer, &(_scheduledServiceListResourceResponse->data[i]));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {}scheduled-service-list-resource for element {}schedules-list-item. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}schedules-list-item. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  if (_scheduledServiceListResourceResponse->data != NULL) {
    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a ScheduledServiceListResourceResponse.
 *
 * @param _scheduledServiceListResourceResponse The ScheduledServiceListResourceResponse to free.
 */
static void freeNs0ScheduledServiceListResourceResponseType(struct nexus_rest_api_ns0_scheduledServiceListResourceResponse *_scheduledServiceListResourceResponse) {
  int i;
  if (_scheduledServiceListResourceResponse->data != NULL) {
    for (i = 0; i < _scheduledServiceListResourceResponse->_sizeof_data; i++) {
#if DEBUG_ENUNCIATE > 1
      printf("Freeing accessor data[%i] of type nexus_rest_api_ns0_scheduledServiceListResourceResponse...\n", i);
#endif
      freeNs0Scheduled_service_list_resourceType(&(_scheduledServiceListResourceResponse->data[i]));
    }
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor data of type nexus_rest_api_ns0_scheduledServiceListResourceResponse...\n");
#endif
    free(_scheduledServiceListResourceResponse->data);
  }
}
#endif /* DEF_nexus_rest_api_ns0_scheduledServiceListResourceResponse_M */
#ifndef DEF_nexus_rest_api_ns0_scheduled_service_property_resource_M
#define DEF_nexus_rest_api_ns0_scheduled_service_property_resource_M

/**
 * Reads a ScheduledServicePropertyResource from XML. The reader is assumed to be at the start element.
 *
 * @return the ScheduledServicePropertyResource, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_scheduled_service_property_resource *xmlTextReaderReadNs0Scheduled_service_property_resourceType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct nexus_rest_api_ns0_scheduled_service_property_resource *_scheduledServicePropertyResource = calloc(1, sizeof(struct nexus_rest_api_ns0_scheduled_service_property_resource));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0Scheduled_service_property_resourceType(_scheduledServicePropertyResource);
        free(_scheduledServicePropertyResource);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "id", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}id of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}id of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Scheduled_service_property_resourceType(_scheduledServicePropertyResource);
          free(_scheduledServicePropertyResource);
          return NULL;
        }

        _scheduledServicePropertyResource->id = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "value", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}value of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}value of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Scheduled_service_property_resourceType(_scheduledServicePropertyResource);
          free(_scheduledServicePropertyResource);
          return NULL;
        }

        _scheduledServicePropertyResource->value = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}scheduled-service-property-resource.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}scheduled-service-property-resource. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _scheduledServicePropertyResource;
}

/**
 * Writes a ScheduledServicePropertyResource to XML.
 *
 * @param writer The XML writer.
 * @param _scheduledServicePropertyResource The ScheduledServicePropertyResource to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0Scheduled_service_property_resourceType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_scheduled_service_property_resource *_scheduledServicePropertyResource) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;
  if (_scheduledServicePropertyResource->id != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "id", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}id. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}id...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_scheduledServicePropertyResource->id));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}id. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}id. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_scheduledServicePropertyResource->value != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "value", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}value. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}value...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_scheduledServicePropertyResource->value));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}value. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}value. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a ScheduledServicePropertyResource.
 *
 * @param _scheduledServicePropertyResource The ScheduledServicePropertyResource to free.
 */
static void freeNs0Scheduled_service_property_resourceType(struct nexus_rest_api_ns0_scheduled_service_property_resource *_scheduledServicePropertyResource) {
  int i;
  if (_scheduledServicePropertyResource->id != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor id of type nexus_rest_api_ns0_scheduled_service_property_resource...\n");
#endif
    freeXsStringType(_scheduledServicePropertyResource->id);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor id of type nexus_rest_api_ns0_scheduled_service_property_resource...\n");
#endif
    free(_scheduledServicePropertyResource->id);
  }
  if (_scheduledServicePropertyResource->value != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor value of type nexus_rest_api_ns0_scheduled_service_property_resource...\n");
#endif
    freeXsStringType(_scheduledServicePropertyResource->value);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor value of type nexus_rest_api_ns0_scheduled_service_property_resource...\n");
#endif
    free(_scheduledServicePropertyResource->value);
  }
}
#endif /* DEF_nexus_rest_api_ns0_scheduled_service_property_resource_M */
#ifndef DEF_nexus_rest_api_ns0_scheduledServiceResourceResponse_M
#define DEF_nexus_rest_api_ns0_scheduledServiceResourceResponse_M

/**
 * Reads a ScheduledServiceResourceResponse element from XML. The element to be read is "scheduled-task", and
 * it is assumed that the reader is pointing to the XML document (not the element).
 *
 * @param reader The XML reader.
 * @return The ScheduledServiceResourceResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_scheduledServiceResourceResponse *xml_read_nexus_rest_api_ns0_scheduledServiceResourceResponse(xmlTextReaderPtr reader) {
  int status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
  return xmlTextReaderReadNs0Scheduled_taskElement(reader);
}

/**
 * Writes a ScheduledServiceResourceResponse to XML under element name "scheduled-task".
 *
 * @param writer The XML writer.
 * @param _scheduledServiceResourceResponse The ScheduledServiceResourceResponse to write.
 * @return 1 if successful, 0 otherwise.
 */
int xml_write_nexus_rest_api_ns0_scheduledServiceResourceResponse(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_scheduledServiceResourceResponse *_scheduledServiceResourceResponse) {
  return xmlTextWriterWriteNs0Scheduled_taskElementNS(writer, _scheduledServiceResourceResponse, 1);
}

/**
 * Frees a ScheduledServiceResourceResponse.
 *
 * @param _scheduledServiceResourceResponse The ScheduledServiceResourceResponse to free.
 */
void free_nexus_rest_api_ns0_scheduledServiceResourceResponse(struct nexus_rest_api_ns0_scheduledServiceResourceResponse *_scheduledServiceResourceResponse) {
  freeNs0ScheduledServiceResourceResponseType(_scheduledServiceResourceResponse);
  free(_scheduledServiceResourceResponse);
}

/**
 * Reads a ScheduledServiceResourceResponse element from XML. The element to be read is "scheduled-task", and
 * it is assumed that the reader is pointing to that element.
 *
 * @param reader The XML reader.
 * @return The ScheduledServiceResourceResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_scheduledServiceResourceResponse *xmlTextReaderReadNs0Scheduled_taskElement(xmlTextReaderPtr reader) {
  struct nexus_rest_api_ns0_scheduledServiceResourceResponse *_scheduledServiceResourceResponse = NULL;

  if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
    && xmlStrcmp(BAD_CAST "scheduled-task", xmlTextReaderConstLocalName(reader)) == 0
    && xmlTextReaderConstNamespaceUri(reader) == NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Attempting to read root element {}scheduled-task.\n");
#endif
    _scheduledServiceResourceResponse = xmlTextReaderReadNs0ScheduledServiceResourceResponseType(reader);
  }
#if DEBUG_ENUNCIATE
  if (_scheduledServiceResourceResponse == NULL) {
    if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
      printf("attempt to read {}scheduled-task failed. current element: {}%s\n",  xmlTextReaderConstLocalName(reader));
    }
    else {
      printf("attempt to read {}scheduled-task failed. current element: {%s}%s\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
    }
  }
#endif

  return _scheduledServiceResourceResponse;
}

/**
 * Writes a ScheduledServiceResourceResponse to XML under element name "scheduled-task".
 * Does NOT write the namespace prefixes.
 *
 * @param writer The XML writer.
 * @param _scheduledServiceResourceResponse The ScheduledServiceResourceResponse to write.
 * @return 1 if successful, 0 otherwise.
 */
static int xmlTextWriterWriteNs0Scheduled_taskElement(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_scheduledServiceResourceResponse *_scheduledServiceResourceResponse) {
  return xmlTextWriterWriteNs0Scheduled_taskElementNS(writer, _scheduledServiceResourceResponse, 0);
}

/**
 * Writes a ScheduledServiceResourceResponse to XML under element name "scheduled-task".
 *
 * @param writer The XML writer.
 * @param _scheduledServiceResourceResponse The ScheduledServiceResourceResponse to write.
 * @param writeNamespaces Whether to write the namespace prefixes.
 * @return 1 if successful, 0 otherwise.
 */
static int xmlTextWriterWriteNs0Scheduled_taskElementNS(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_scheduledServiceResourceResponse *_scheduledServiceResourceResponse, int writeNamespaces) {
  int totalBytes = 0;
  int status;

  status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "scheduled-task", NULL);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to write start element {}scheduled-task. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

#if DEBUG_ENUNCIATE > 1
  printf("writing type {}scheduledServiceResourceResponse for root element {}scheduled-task...\n");
#endif
  status = xmlTextWriterWriteNs0ScheduledServiceResourceResponseType(writer, _scheduledServiceResourceResponse);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to write type for start element {}scheduled-task. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

  status = xmlTextWriterEndElement(writer);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to end element {}scheduled-task. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

  return totalBytes;
}

/**
 * Frees the children of a ScheduledServiceResourceResponse.
 *
 * @param _scheduledServiceResourceResponse The ScheduledServiceResourceResponse whose children are to be free.
 */
static void freeNs0Scheduled_taskElement(struct nexus_rest_api_ns0_scheduledServiceResourceResponse *_scheduledServiceResourceResponse) {
  freeNs0ScheduledServiceResourceResponseType(_scheduledServiceResourceResponse);
}

/**
 * Reads a ScheduledServiceResourceResponse from XML. The reader is assumed to be at the start element.
 *
 * @return the ScheduledServiceResourceResponse, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_scheduledServiceResourceResponse *xmlTextReaderReadNs0ScheduledServiceResourceResponseType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct nexus_rest_api_ns0_scheduledServiceResourceResponse *_scheduledServiceResourceResponse = calloc(1, sizeof(struct nexus_rest_api_ns0_scheduledServiceResourceResponse));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0ScheduledServiceResourceResponseType(_scheduledServiceResourceResponse);
        free(_scheduledServiceResourceResponse);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "data", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}data of type {}scheduled-service-base-resource.\n");
#endif
        _child_accessor = xmlTextReaderReadNs0Scheduled_service_base_resourceType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}data of type {}scheduled-service-base-resource.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0ScheduledServiceResourceResponseType(_scheduledServiceResourceResponse);
          free(_scheduledServiceResourceResponse);
          return NULL;
        }

        _scheduledServiceResourceResponse->data = ((struct nexus_rest_api_ns0_scheduled_service_base_resource*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}scheduledServiceResourceResponse.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}scheduledServiceResourceResponse. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _scheduledServiceResourceResponse;
}

/**
 * Writes a ScheduledServiceResourceResponse to XML.
 *
 * @param writer The XML writer.
 * @param _scheduledServiceResourceResponse The ScheduledServiceResourceResponse to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0ScheduledServiceResourceResponseType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_scheduledServiceResourceResponse *_scheduledServiceResourceResponse) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;
  if (_scheduledServiceResourceResponse->data != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "data", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {}scheduled-service-base-resource for element {}data...\n", status);
#endif
    status = xmlTextWriterWriteNs0Scheduled_service_base_resourceType(writer, (_scheduledServiceResourceResponse->data));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {}scheduled-service-base-resource for element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a ScheduledServiceResourceResponse.
 *
 * @param _scheduledServiceResourceResponse The ScheduledServiceResourceResponse to free.
 */
static void freeNs0ScheduledServiceResourceResponseType(struct nexus_rest_api_ns0_scheduledServiceResourceResponse *_scheduledServiceResourceResponse) {
  int i;
  if (_scheduledServiceResourceResponse->data != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor data of type nexus_rest_api_ns0_scheduledServiceResourceResponse...\n");
#endif
    freeNs0Scheduled_service_base_resourceType(_scheduledServiceResourceResponse->data);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor data of type nexus_rest_api_ns0_scheduledServiceResourceResponse...\n");
#endif
    free(_scheduledServiceResourceResponse->data);
  }
}
#endif /* DEF_nexus_rest_api_ns0_scheduledServiceResourceResponse_M */
#ifndef DEF_nexus_rest_api_ns0_scheduled_service_resource_status_M
#define DEF_nexus_rest_api_ns0_scheduled_service_resource_status_M

/**
 * Reads a ScheduledServiceResourceStatus from XML. The reader is assumed to be at the start element.
 *
 * @return the ScheduledServiceResourceStatus, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_scheduled_service_resource_status *xmlTextReaderReadNs0Scheduled_service_resource_statusType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct nexus_rest_api_ns0_scheduled_service_resource_status *_scheduledServiceResourceStatus = calloc(1, sizeof(struct nexus_rest_api_ns0_scheduled_service_resource_status));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0Scheduled_service_resource_statusType(_scheduledServiceResourceStatus);
        free(_scheduledServiceResourceStatus);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "resource", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}resource of type {}scheduled-service-base-resource.\n");
#endif
        _child_accessor = xmlTextReaderReadNs0Scheduled_service_base_resourceType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}resource of type {}scheduled-service-base-resource.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Scheduled_service_resource_statusType(_scheduledServiceResourceStatus);
          free(_scheduledServiceResourceStatus);
          return NULL;
        }

        _scheduledServiceResourceStatus->resource = ((struct nexus_rest_api_ns0_scheduled_service_base_resource*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "resourceURI", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}resourceURI of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}resourceURI of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Scheduled_service_resource_statusType(_scheduledServiceResourceStatus);
          free(_scheduledServiceResourceStatus);
          return NULL;
        }

        _scheduledServiceResourceStatus->resourceURI = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "status", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}status of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}status of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Scheduled_service_resource_statusType(_scheduledServiceResourceStatus);
          free(_scheduledServiceResourceStatus);
          return NULL;
        }

        _scheduledServiceResourceStatus->status = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "nextRunTime", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}nextRunTime of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}nextRunTime of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Scheduled_service_resource_statusType(_scheduledServiceResourceStatus);
          free(_scheduledServiceResourceStatus);
          return NULL;
        }

        _scheduledServiceResourceStatus->nextRunTime = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "lastRunTime", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}lastRunTime of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}lastRunTime of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Scheduled_service_resource_statusType(_scheduledServiceResourceStatus);
          free(_scheduledServiceResourceStatus);
          return NULL;
        }

        _scheduledServiceResourceStatus->lastRunTime = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "lastRunResult", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}lastRunResult of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}lastRunResult of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Scheduled_service_resource_statusType(_scheduledServiceResourceStatus);
          free(_scheduledServiceResourceStatus);
          return NULL;
        }

        _scheduledServiceResourceStatus->lastRunResult = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "created", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}created of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}created of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Scheduled_service_resource_statusType(_scheduledServiceResourceStatus);
          free(_scheduledServiceResourceStatus);
          return NULL;
        }

        _scheduledServiceResourceStatus->created = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}scheduled-service-resource-status.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}scheduled-service-resource-status. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _scheduledServiceResourceStatus;
}

/**
 * Writes a ScheduledServiceResourceStatus to XML.
 *
 * @param writer The XML writer.
 * @param _scheduledServiceResourceStatus The ScheduledServiceResourceStatus to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0Scheduled_service_resource_statusType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_scheduled_service_resource_status *_scheduledServiceResourceStatus) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;
  if (_scheduledServiceResourceStatus->resource != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "resource", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}resource. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {}scheduled-service-base-resource for element {}resource...\n", status);
#endif
    status = xmlTextWriterWriteNs0Scheduled_service_base_resourceType(writer, (_scheduledServiceResourceStatus->resource));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {}scheduled-service-base-resource for element {}resource. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}resource. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_scheduledServiceResourceStatus->resourceURI != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "resourceURI", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}resourceURI. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}resourceURI...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_scheduledServiceResourceStatus->resourceURI));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}resourceURI. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}resourceURI. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_scheduledServiceResourceStatus->status != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "status", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}status. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}status...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_scheduledServiceResourceStatus->status));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}status. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}status. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_scheduledServiceResourceStatus->nextRunTime != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "nextRunTime", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}nextRunTime. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}nextRunTime...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_scheduledServiceResourceStatus->nextRunTime));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}nextRunTime. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}nextRunTime. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_scheduledServiceResourceStatus->lastRunTime != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "lastRunTime", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}lastRunTime. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}lastRunTime...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_scheduledServiceResourceStatus->lastRunTime));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}lastRunTime. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}lastRunTime. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_scheduledServiceResourceStatus->lastRunResult != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "lastRunResult", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}lastRunResult. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}lastRunResult...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_scheduledServiceResourceStatus->lastRunResult));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}lastRunResult. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}lastRunResult. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_scheduledServiceResourceStatus->created != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "created", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}created. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}created...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_scheduledServiceResourceStatus->created));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}created. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}created. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a ScheduledServiceResourceStatus.
 *
 * @param _scheduledServiceResourceStatus The ScheduledServiceResourceStatus to free.
 */
static void freeNs0Scheduled_service_resource_statusType(struct nexus_rest_api_ns0_scheduled_service_resource_status *_scheduledServiceResourceStatus) {
  int i;
  if (_scheduledServiceResourceStatus->resource != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor resource of type nexus_rest_api_ns0_scheduled_service_resource_status...\n");
#endif
    freeNs0Scheduled_service_base_resourceType(_scheduledServiceResourceStatus->resource);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor resource of type nexus_rest_api_ns0_scheduled_service_resource_status...\n");
#endif
    free(_scheduledServiceResourceStatus->resource);
  }
  if (_scheduledServiceResourceStatus->resourceURI != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor resourceURI of type nexus_rest_api_ns0_scheduled_service_resource_status...\n");
#endif
    freeXsStringType(_scheduledServiceResourceStatus->resourceURI);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor resourceURI of type nexus_rest_api_ns0_scheduled_service_resource_status...\n");
#endif
    free(_scheduledServiceResourceStatus->resourceURI);
  }
  if (_scheduledServiceResourceStatus->status != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor status of type nexus_rest_api_ns0_scheduled_service_resource_status...\n");
#endif
    freeXsStringType(_scheduledServiceResourceStatus->status);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor status of type nexus_rest_api_ns0_scheduled_service_resource_status...\n");
#endif
    free(_scheduledServiceResourceStatus->status);
  }
  if (_scheduledServiceResourceStatus->nextRunTime != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor nextRunTime of type nexus_rest_api_ns0_scheduled_service_resource_status...\n");
#endif
    freeXsStringType(_scheduledServiceResourceStatus->nextRunTime);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor nextRunTime of type nexus_rest_api_ns0_scheduled_service_resource_status...\n");
#endif
    free(_scheduledServiceResourceStatus->nextRunTime);
  }
  if (_scheduledServiceResourceStatus->lastRunTime != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor lastRunTime of type nexus_rest_api_ns0_scheduled_service_resource_status...\n");
#endif
    freeXsStringType(_scheduledServiceResourceStatus->lastRunTime);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor lastRunTime of type nexus_rest_api_ns0_scheduled_service_resource_status...\n");
#endif
    free(_scheduledServiceResourceStatus->lastRunTime);
  }
  if (_scheduledServiceResourceStatus->lastRunResult != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor lastRunResult of type nexus_rest_api_ns0_scheduled_service_resource_status...\n");
#endif
    freeXsStringType(_scheduledServiceResourceStatus->lastRunResult);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor lastRunResult of type nexus_rest_api_ns0_scheduled_service_resource_status...\n");
#endif
    free(_scheduledServiceResourceStatus->lastRunResult);
  }
  if (_scheduledServiceResourceStatus->created != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor created of type nexus_rest_api_ns0_scheduled_service_resource_status...\n");
#endif
    freeXsStringType(_scheduledServiceResourceStatus->created);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor created of type nexus_rest_api_ns0_scheduled_service_resource_status...\n");
#endif
    free(_scheduledServiceResourceStatus->created);
  }
}
#endif /* DEF_nexus_rest_api_ns0_scheduled_service_resource_status_M */
#ifndef DEF_nexus_rest_api_ns0_scheduledServiceResourceStatusResponse_M
#define DEF_nexus_rest_api_ns0_scheduledServiceResourceStatusResponse_M

/**
 * Reads a ScheduledServiceResourceStatusResponse element from XML. The element to be read is "schedule-service-status", and
 * it is assumed that the reader is pointing to the XML document (not the element).
 *
 * @param reader The XML reader.
 * @return The ScheduledServiceResourceStatusResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_scheduledServiceResourceStatusResponse *xml_read_nexus_rest_api_ns0_scheduledServiceResourceStatusResponse(xmlTextReaderPtr reader) {
  int status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
  return xmlTextReaderReadNs0Schedule_service_statusElement(reader);
}

/**
 * Writes a ScheduledServiceResourceStatusResponse to XML under element name "schedule-service-status".
 *
 * @param writer The XML writer.
 * @param _scheduledServiceResourceStatusResponse The ScheduledServiceResourceStatusResponse to write.
 * @return 1 if successful, 0 otherwise.
 */
int xml_write_nexus_rest_api_ns0_scheduledServiceResourceStatusResponse(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_scheduledServiceResourceStatusResponse *_scheduledServiceResourceStatusResponse) {
  return xmlTextWriterWriteNs0Schedule_service_statusElementNS(writer, _scheduledServiceResourceStatusResponse, 1);
}

/**
 * Frees a ScheduledServiceResourceStatusResponse.
 *
 * @param _scheduledServiceResourceStatusResponse The ScheduledServiceResourceStatusResponse to free.
 */
void free_nexus_rest_api_ns0_scheduledServiceResourceStatusResponse(struct nexus_rest_api_ns0_scheduledServiceResourceStatusResponse *_scheduledServiceResourceStatusResponse) {
  freeNs0ScheduledServiceResourceStatusResponseType(_scheduledServiceResourceStatusResponse);
  free(_scheduledServiceResourceStatusResponse);
}

/**
 * Reads a ScheduledServiceResourceStatusResponse element from XML. The element to be read is "schedule-service-status", and
 * it is assumed that the reader is pointing to that element.
 *
 * @param reader The XML reader.
 * @return The ScheduledServiceResourceStatusResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_scheduledServiceResourceStatusResponse *xmlTextReaderReadNs0Schedule_service_statusElement(xmlTextReaderPtr reader) {
  struct nexus_rest_api_ns0_scheduledServiceResourceStatusResponse *_scheduledServiceResourceStatusResponse = NULL;

  if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
    && xmlStrcmp(BAD_CAST "schedule-service-status", xmlTextReaderConstLocalName(reader)) == 0
    && xmlTextReaderConstNamespaceUri(reader) == NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Attempting to read root element {}schedule-service-status.\n");
#endif
    _scheduledServiceResourceStatusResponse = xmlTextReaderReadNs0ScheduledServiceResourceStatusResponseType(reader);
  }
#if DEBUG_ENUNCIATE
  if (_scheduledServiceResourceStatusResponse == NULL) {
    if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
      printf("attempt to read {}schedule-service-status failed. current element: {}%s\n",  xmlTextReaderConstLocalName(reader));
    }
    else {
      printf("attempt to read {}schedule-service-status failed. current element: {%s}%s\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
    }
  }
#endif

  return _scheduledServiceResourceStatusResponse;
}

/**
 * Writes a ScheduledServiceResourceStatusResponse to XML under element name "schedule-service-status".
 * Does NOT write the namespace prefixes.
 *
 * @param writer The XML writer.
 * @param _scheduledServiceResourceStatusResponse The ScheduledServiceResourceStatusResponse to write.
 * @return 1 if successful, 0 otherwise.
 */
static int xmlTextWriterWriteNs0Schedule_service_statusElement(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_scheduledServiceResourceStatusResponse *_scheduledServiceResourceStatusResponse) {
  return xmlTextWriterWriteNs0Schedule_service_statusElementNS(writer, _scheduledServiceResourceStatusResponse, 0);
}

/**
 * Writes a ScheduledServiceResourceStatusResponse to XML under element name "schedule-service-status".
 *
 * @param writer The XML writer.
 * @param _scheduledServiceResourceStatusResponse The ScheduledServiceResourceStatusResponse to write.
 * @param writeNamespaces Whether to write the namespace prefixes.
 * @return 1 if successful, 0 otherwise.
 */
static int xmlTextWriterWriteNs0Schedule_service_statusElementNS(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_scheduledServiceResourceStatusResponse *_scheduledServiceResourceStatusResponse, int writeNamespaces) {
  int totalBytes = 0;
  int status;

  status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "schedule-service-status", NULL);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to write start element {}schedule-service-status. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

#if DEBUG_ENUNCIATE > 1
  printf("writing type {}scheduledServiceResourceStatusResponse for root element {}schedule-service-status...\n");
#endif
  status = xmlTextWriterWriteNs0ScheduledServiceResourceStatusResponseType(writer, _scheduledServiceResourceStatusResponse);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to write type for start element {}schedule-service-status. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

  status = xmlTextWriterEndElement(writer);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to end element {}schedule-service-status. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

  return totalBytes;
}

/**
 * Frees the children of a ScheduledServiceResourceStatusResponse.
 *
 * @param _scheduledServiceResourceStatusResponse The ScheduledServiceResourceStatusResponse whose children are to be free.
 */
static void freeNs0Schedule_service_statusElement(struct nexus_rest_api_ns0_scheduledServiceResourceStatusResponse *_scheduledServiceResourceStatusResponse) {
  freeNs0ScheduledServiceResourceStatusResponseType(_scheduledServiceResourceStatusResponse);
}

/**
 * Reads a ScheduledServiceResourceStatusResponse from XML. The reader is assumed to be at the start element.
 *
 * @return the ScheduledServiceResourceStatusResponse, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_scheduledServiceResourceStatusResponse *xmlTextReaderReadNs0ScheduledServiceResourceStatusResponseType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct nexus_rest_api_ns0_scheduledServiceResourceStatusResponse *_scheduledServiceResourceStatusResponse = calloc(1, sizeof(struct nexus_rest_api_ns0_scheduledServiceResourceStatusResponse));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0ScheduledServiceResourceStatusResponseType(_scheduledServiceResourceStatusResponse);
        free(_scheduledServiceResourceStatusResponse);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "data", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}data of type {}scheduled-service-resource-status.\n");
#endif
        _child_accessor = xmlTextReaderReadNs0Scheduled_service_resource_statusType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}data of type {}scheduled-service-resource-status.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0ScheduledServiceResourceStatusResponseType(_scheduledServiceResourceStatusResponse);
          free(_scheduledServiceResourceStatusResponse);
          return NULL;
        }

        _scheduledServiceResourceStatusResponse->data = ((struct nexus_rest_api_ns0_scheduled_service_resource_status*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}scheduledServiceResourceStatusResponse.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}scheduledServiceResourceStatusResponse. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _scheduledServiceResourceStatusResponse;
}

/**
 * Writes a ScheduledServiceResourceStatusResponse to XML.
 *
 * @param writer The XML writer.
 * @param _scheduledServiceResourceStatusResponse The ScheduledServiceResourceStatusResponse to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0ScheduledServiceResourceStatusResponseType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_scheduledServiceResourceStatusResponse *_scheduledServiceResourceStatusResponse) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;
  if (_scheduledServiceResourceStatusResponse->data != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "data", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {}scheduled-service-resource-status for element {}data...\n", status);
#endif
    status = xmlTextWriterWriteNs0Scheduled_service_resource_statusType(writer, (_scheduledServiceResourceStatusResponse->data));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {}scheduled-service-resource-status for element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a ScheduledServiceResourceStatusResponse.
 *
 * @param _scheduledServiceResourceStatusResponse The ScheduledServiceResourceStatusResponse to free.
 */
static void freeNs0ScheduledServiceResourceStatusResponseType(struct nexus_rest_api_ns0_scheduledServiceResourceStatusResponse *_scheduledServiceResourceStatusResponse) {
  int i;
  if (_scheduledServiceResourceStatusResponse->data != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor data of type nexus_rest_api_ns0_scheduledServiceResourceStatusResponse...\n");
#endif
    freeNs0Scheduled_service_resource_statusType(_scheduledServiceResourceStatusResponse->data);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor data of type nexus_rest_api_ns0_scheduledServiceResourceStatusResponse...\n");
#endif
    free(_scheduledServiceResourceStatusResponse->data);
  }
}
#endif /* DEF_nexus_rest_api_ns0_scheduledServiceResourceStatusResponse_M */
#ifndef DEF_nexus_rest_api_ns0_scheduled_service_type_property_resource_M
#define DEF_nexus_rest_api_ns0_scheduled_service_type_property_resource_M

/**
 * Reads a ScheduledServiceTypePropertyResource from XML. The reader is assumed to be at the start element.
 *
 * @return the ScheduledServiceTypePropertyResource, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_scheduled_service_type_property_resource *xmlTextReaderReadNs0Scheduled_service_type_property_resourceType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct nexus_rest_api_ns0_scheduled_service_type_property_resource *_scheduledServiceTypePropertyResource = calloc(1, sizeof(struct nexus_rest_api_ns0_scheduled_service_type_property_resource));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0Scheduled_service_type_property_resourceType(_scheduledServiceTypePropertyResource);
        free(_scheduledServiceTypePropertyResource);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "id", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}id of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}id of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Scheduled_service_type_property_resourceType(_scheduledServiceTypePropertyResource);
          free(_scheduledServiceTypePropertyResource);
          return NULL;
        }

        _scheduledServiceTypePropertyResource->id = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "name", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}name of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}name of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Scheduled_service_type_property_resourceType(_scheduledServiceTypePropertyResource);
          free(_scheduledServiceTypePropertyResource);
          return NULL;
        }

        _scheduledServiceTypePropertyResource->name = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "type", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}type of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}type of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Scheduled_service_type_property_resourceType(_scheduledServiceTypePropertyResource);
          free(_scheduledServiceTypePropertyResource);
          return NULL;
        }

        _scheduledServiceTypePropertyResource->type = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "helpText", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}helpText of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}helpText of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Scheduled_service_type_property_resourceType(_scheduledServiceTypePropertyResource);
          free(_scheduledServiceTypePropertyResource);
          return NULL;
        }

        _scheduledServiceTypePropertyResource->helpText = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "required", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}required of type {http://www.w3.org/2001/XMLSchema}boolean.\n");
#endif
        _child_accessor = xmlTextReaderReadXsBooleanType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}required of type {http://www.w3.org/2001/XMLSchema}boolean.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Scheduled_service_type_property_resourceType(_scheduledServiceTypePropertyResource);
          free(_scheduledServiceTypePropertyResource);
          return NULL;
        }

        _scheduledServiceTypePropertyResource->required = *((int*)_child_accessor);
        free(_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "regexValidation", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}regexValidation of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}regexValidation of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Scheduled_service_type_property_resourceType(_scheduledServiceTypePropertyResource);
          free(_scheduledServiceTypePropertyResource);
          return NULL;
        }

        _scheduledServiceTypePropertyResource->regexValidation = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}scheduled-service-type-property-resource.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}scheduled-service-type-property-resource. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _scheduledServiceTypePropertyResource;
}

/**
 * Writes a ScheduledServiceTypePropertyResource to XML.
 *
 * @param writer The XML writer.
 * @param _scheduledServiceTypePropertyResource The ScheduledServiceTypePropertyResource to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0Scheduled_service_type_property_resourceType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_scheduled_service_type_property_resource *_scheduledServiceTypePropertyResource) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;
  if (_scheduledServiceTypePropertyResource->id != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "id", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}id. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}id...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_scheduledServiceTypePropertyResource->id));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}id. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}id. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_scheduledServiceTypePropertyResource->name != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "name", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}name. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}name...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_scheduledServiceTypePropertyResource->name));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}name. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}name. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_scheduledServiceTypePropertyResource->type != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "type", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}type. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}type...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_scheduledServiceTypePropertyResource->type));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}type. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}type. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_scheduledServiceTypePropertyResource->helpText != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "helpText", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}helpText. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}helpText...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_scheduledServiceTypePropertyResource->helpText));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}helpText. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}helpText. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (1) { //always write the primitive element.
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "required", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}required. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}boolean for element {}required...\n", status);
#endif
    status = xmlTextWriterWriteXsBooleanType(writer, &(_scheduledServiceTypePropertyResource->required));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}boolean for element {}required. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}required. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_scheduledServiceTypePropertyResource->regexValidation != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "regexValidation", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}regexValidation. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}regexValidation...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_scheduledServiceTypePropertyResource->regexValidation));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}regexValidation. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}regexValidation. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a ScheduledServiceTypePropertyResource.
 *
 * @param _scheduledServiceTypePropertyResource The ScheduledServiceTypePropertyResource to free.
 */
static void freeNs0Scheduled_service_type_property_resourceType(struct nexus_rest_api_ns0_scheduled_service_type_property_resource *_scheduledServiceTypePropertyResource) {
  int i;
  if (_scheduledServiceTypePropertyResource->id != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor id of type nexus_rest_api_ns0_scheduled_service_type_property_resource...\n");
#endif
    freeXsStringType(_scheduledServiceTypePropertyResource->id);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor id of type nexus_rest_api_ns0_scheduled_service_type_property_resource...\n");
#endif
    free(_scheduledServiceTypePropertyResource->id);
  }
  if (_scheduledServiceTypePropertyResource->name != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor name of type nexus_rest_api_ns0_scheduled_service_type_property_resource...\n");
#endif
    freeXsStringType(_scheduledServiceTypePropertyResource->name);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor name of type nexus_rest_api_ns0_scheduled_service_type_property_resource...\n");
#endif
    free(_scheduledServiceTypePropertyResource->name);
  }
  if (_scheduledServiceTypePropertyResource->type != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor type of type nexus_rest_api_ns0_scheduled_service_type_property_resource...\n");
#endif
    freeXsStringType(_scheduledServiceTypePropertyResource->type);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor type of type nexus_rest_api_ns0_scheduled_service_type_property_resource...\n");
#endif
    free(_scheduledServiceTypePropertyResource->type);
  }
  if (_scheduledServiceTypePropertyResource->helpText != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor helpText of type nexus_rest_api_ns0_scheduled_service_type_property_resource...\n");
#endif
    freeXsStringType(_scheduledServiceTypePropertyResource->helpText);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor helpText of type nexus_rest_api_ns0_scheduled_service_type_property_resource...\n");
#endif
    free(_scheduledServiceTypePropertyResource->helpText);
  }
  if (_scheduledServiceTypePropertyResource->regexValidation != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor regexValidation of type nexus_rest_api_ns0_scheduled_service_type_property_resource...\n");
#endif
    freeXsStringType(_scheduledServiceTypePropertyResource->regexValidation);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor regexValidation of type nexus_rest_api_ns0_scheduled_service_type_property_resource...\n");
#endif
    free(_scheduledServiceTypePropertyResource->regexValidation);
  }
}
#endif /* DEF_nexus_rest_api_ns0_scheduled_service_type_property_resource_M */
#ifndef DEF_nexus_rest_api_ns0_scheduled_service_type_resource_M
#define DEF_nexus_rest_api_ns0_scheduled_service_type_resource_M

/**
 * Reads a ScheduledServiceTypeResource from XML. The reader is assumed to be at the start element.
 *
 * @return the ScheduledServiceTypeResource, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_scheduled_service_type_resource *xmlTextReaderReadNs0Scheduled_service_type_resourceType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct nexus_rest_api_ns0_scheduled_service_type_resource *_scheduledServiceTypeResource = calloc(1, sizeof(struct nexus_rest_api_ns0_scheduled_service_type_resource));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0Scheduled_service_type_resourceType(_scheduledServiceTypeResource);
        free(_scheduledServiceTypeResource);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "id", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}id of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}id of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Scheduled_service_type_resourceType(_scheduledServiceTypeResource);
          free(_scheduledServiceTypeResource);
          return NULL;
        }

        _scheduledServiceTypeResource->id = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "name", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}name of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}name of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Scheduled_service_type_resourceType(_scheduledServiceTypeResource);
          free(_scheduledServiceTypeResource);
          return NULL;
        }

        _scheduledServiceTypeResource->name = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "properties", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

        if (xmlTextReaderIsEmptyElement(reader) == 0) {
#if DEBUG_ENUNCIATE > 1
          printf("Unwrapping wrapper element {}properties...\n");
#endif
          //start wrapper element "{}properties"
          status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
          while (xmlTextReaderDepth(reader) > (depth + 1)) {
            if (status < 1) {
              //panic: XML read error.
#if DEBUG_ENUNCIATE
              printf("Failure to advance to next child element.\n");
#endif
              freeNs0Scheduled_service_type_resourceType(_scheduledServiceTypeResource);
              free(_scheduledServiceTypeResource);
              return NULL;
            }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "scheduled-task-property", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}scheduled-task-property of type {}scheduled-service-type-property-resource.\n");
#endif
        _child_accessor = xmlTextReaderReadNs0Scheduled_service_type_property_resourceType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}scheduled-task-property of type {}scheduled-service-type-property-resource.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Scheduled_service_type_resourceType(_scheduledServiceTypeResource);
          free(_scheduledServiceTypeResource);
          return NULL;
        }

        _scheduledServiceTypeResource->properties = realloc(_scheduledServiceTypeResource->properties, (_scheduledServiceTypeResource->_sizeof_properties + 1) * sizeof(struct nexus_rest_api_ns0_scheduled_service_type_property_resource));
        memcpy(&(_scheduledServiceTypeResource->properties[_scheduledServiceTypeResource->_sizeof_properties++]), _child_accessor, sizeof(struct nexus_rest_api_ns0_scheduled_service_type_property_resource));
        free(_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
          } // end "while in wrapper element" loop
        } //end "if empty element" clause

        if (status < 1) {
          //panic: XML read error.
#if DEBUG_ENUNCIATE
          printf("Failed to advance to end wrapper element {}properties.\n");
#endif
          freeNs0Scheduled_service_type_resourceType(_scheduledServiceTypeResource);
          free(_scheduledServiceTypeResource);
          return NULL;
        }
        else {
          //end wrapper element "{}properties"
          status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
        }
      } // end "if wrapper element" clause
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}scheduled-service-type-resource.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}scheduled-service-type-resource. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _scheduledServiceTypeResource;
}

/**
 * Writes a ScheduledServiceTypeResource to XML.
 *
 * @param writer The XML writer.
 * @param _scheduledServiceTypeResource The ScheduledServiceTypeResource to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0Scheduled_service_type_resourceType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_scheduled_service_type_resource *_scheduledServiceTypeResource) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;
  if (_scheduledServiceTypeResource->id != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "id", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}id. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}id...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_scheduledServiceTypeResource->id));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}id. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}id. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_scheduledServiceTypeResource->name != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "name", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}name. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}name...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_scheduledServiceTypeResource->name));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}name. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}name. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  if (_scheduledServiceTypeResource->properties != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "properties", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}properties. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  for (i = 0; i < _scheduledServiceTypeResource->_sizeof_properties; i++) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "scheduled-task-property", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}scheduled-task-property. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {}scheduled-service-type-property-resource for element {}scheduled-task-property...\n", status);
#endif
    status = xmlTextWriterWriteNs0Scheduled_service_type_property_resourceType(writer, &(_scheduledServiceTypeResource->properties[i]));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {}scheduled-service-type-property-resource for element {}scheduled-task-property. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}scheduled-task-property. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  if (_scheduledServiceTypeResource->properties != NULL) {
    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}properties. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a ScheduledServiceTypeResource.
 *
 * @param _scheduledServiceTypeResource The ScheduledServiceTypeResource to free.
 */
static void freeNs0Scheduled_service_type_resourceType(struct nexus_rest_api_ns0_scheduled_service_type_resource *_scheduledServiceTypeResource) {
  int i;
  if (_scheduledServiceTypeResource->id != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor id of type nexus_rest_api_ns0_scheduled_service_type_resource...\n");
#endif
    freeXsStringType(_scheduledServiceTypeResource->id);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor id of type nexus_rest_api_ns0_scheduled_service_type_resource...\n");
#endif
    free(_scheduledServiceTypeResource->id);
  }
  if (_scheduledServiceTypeResource->name != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor name of type nexus_rest_api_ns0_scheduled_service_type_resource...\n");
#endif
    freeXsStringType(_scheduledServiceTypeResource->name);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor name of type nexus_rest_api_ns0_scheduled_service_type_resource...\n");
#endif
    free(_scheduledServiceTypeResource->name);
  }
  if (_scheduledServiceTypeResource->properties != NULL) {
    for (i = 0; i < _scheduledServiceTypeResource->_sizeof_properties; i++) {
#if DEBUG_ENUNCIATE > 1
      printf("Freeing accessor properties[%i] of type nexus_rest_api_ns0_scheduled_service_type_resource...\n", i);
#endif
      freeNs0Scheduled_service_type_property_resourceType(&(_scheduledServiceTypeResource->properties[i]));
    }
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor properties of type nexus_rest_api_ns0_scheduled_service_type_resource...\n");
#endif
    free(_scheduledServiceTypeResource->properties);
  }
}
#endif /* DEF_nexus_rest_api_ns0_scheduled_service_type_resource_M */
#ifndef DEF_nexus_rest_api_ns0_scheduledServiceTypeResourceResponse_M
#define DEF_nexus_rest_api_ns0_scheduledServiceTypeResourceResponse_M

/**
 * Reads a ScheduledServiceTypeResourceResponse element from XML. The element to be read is "schedule-types", and
 * it is assumed that the reader is pointing to the XML document (not the element).
 *
 * @param reader The XML reader.
 * @return The ScheduledServiceTypeResourceResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_scheduledServiceTypeResourceResponse *xml_read_nexus_rest_api_ns0_scheduledServiceTypeResourceResponse(xmlTextReaderPtr reader) {
  int status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
  return xmlTextReaderReadNs0Schedule_typesElement(reader);
}

/**
 * Writes a ScheduledServiceTypeResourceResponse to XML under element name "schedule-types".
 *
 * @param writer The XML writer.
 * @param _scheduledServiceTypeResourceResponse The ScheduledServiceTypeResourceResponse to write.
 * @return 1 if successful, 0 otherwise.
 */
int xml_write_nexus_rest_api_ns0_scheduledServiceTypeResourceResponse(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_scheduledServiceTypeResourceResponse *_scheduledServiceTypeResourceResponse) {
  return xmlTextWriterWriteNs0Schedule_typesElementNS(writer, _scheduledServiceTypeResourceResponse, 1);
}

/**
 * Frees a ScheduledServiceTypeResourceResponse.
 *
 * @param _scheduledServiceTypeResourceResponse The ScheduledServiceTypeResourceResponse to free.
 */
void free_nexus_rest_api_ns0_scheduledServiceTypeResourceResponse(struct nexus_rest_api_ns0_scheduledServiceTypeResourceResponse *_scheduledServiceTypeResourceResponse) {
  freeNs0ScheduledServiceTypeResourceResponseType(_scheduledServiceTypeResourceResponse);
  free(_scheduledServiceTypeResourceResponse);
}

/**
 * Reads a ScheduledServiceTypeResourceResponse element from XML. The element to be read is "schedule-types", and
 * it is assumed that the reader is pointing to that element.
 *
 * @param reader The XML reader.
 * @return The ScheduledServiceTypeResourceResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_scheduledServiceTypeResourceResponse *xmlTextReaderReadNs0Schedule_typesElement(xmlTextReaderPtr reader) {
  struct nexus_rest_api_ns0_scheduledServiceTypeResourceResponse *_scheduledServiceTypeResourceResponse = NULL;

  if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
    && xmlStrcmp(BAD_CAST "schedule-types", xmlTextReaderConstLocalName(reader)) == 0
    && xmlTextReaderConstNamespaceUri(reader) == NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Attempting to read root element {}schedule-types.\n");
#endif
    _scheduledServiceTypeResourceResponse = xmlTextReaderReadNs0ScheduledServiceTypeResourceResponseType(reader);
  }
#if DEBUG_ENUNCIATE
  if (_scheduledServiceTypeResourceResponse == NULL) {
    if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
      printf("attempt to read {}schedule-types failed. current element: {}%s\n",  xmlTextReaderConstLocalName(reader));
    }
    else {
      printf("attempt to read {}schedule-types failed. current element: {%s}%s\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
    }
  }
#endif

  return _scheduledServiceTypeResourceResponse;
}

/**
 * Writes a ScheduledServiceTypeResourceResponse to XML under element name "schedule-types".
 * Does NOT write the namespace prefixes.
 *
 * @param writer The XML writer.
 * @param _scheduledServiceTypeResourceResponse The ScheduledServiceTypeResourceResponse to write.
 * @return 1 if successful, 0 otherwise.
 */
static int xmlTextWriterWriteNs0Schedule_typesElement(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_scheduledServiceTypeResourceResponse *_scheduledServiceTypeResourceResponse) {
  return xmlTextWriterWriteNs0Schedule_typesElementNS(writer, _scheduledServiceTypeResourceResponse, 0);
}

/**
 * Writes a ScheduledServiceTypeResourceResponse to XML under element name "schedule-types".
 *
 * @param writer The XML writer.
 * @param _scheduledServiceTypeResourceResponse The ScheduledServiceTypeResourceResponse to write.
 * @param writeNamespaces Whether to write the namespace prefixes.
 * @return 1 if successful, 0 otherwise.
 */
static int xmlTextWriterWriteNs0Schedule_typesElementNS(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_scheduledServiceTypeResourceResponse *_scheduledServiceTypeResourceResponse, int writeNamespaces) {
  int totalBytes = 0;
  int status;

  status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "schedule-types", NULL);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to write start element {}schedule-types. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

#if DEBUG_ENUNCIATE > 1
  printf("writing type {}scheduledServiceTypeResourceResponse for root element {}schedule-types...\n");
#endif
  status = xmlTextWriterWriteNs0ScheduledServiceTypeResourceResponseType(writer, _scheduledServiceTypeResourceResponse);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to write type for start element {}schedule-types. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

  status = xmlTextWriterEndElement(writer);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to end element {}schedule-types. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

  return totalBytes;
}

/**
 * Frees the children of a ScheduledServiceTypeResourceResponse.
 *
 * @param _scheduledServiceTypeResourceResponse The ScheduledServiceTypeResourceResponse whose children are to be free.
 */
static void freeNs0Schedule_typesElement(struct nexus_rest_api_ns0_scheduledServiceTypeResourceResponse *_scheduledServiceTypeResourceResponse) {
  freeNs0ScheduledServiceTypeResourceResponseType(_scheduledServiceTypeResourceResponse);
}

/**
 * Reads a ScheduledServiceTypeResourceResponse from XML. The reader is assumed to be at the start element.
 *
 * @return the ScheduledServiceTypeResourceResponse, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_scheduledServiceTypeResourceResponse *xmlTextReaderReadNs0ScheduledServiceTypeResourceResponseType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct nexus_rest_api_ns0_scheduledServiceTypeResourceResponse *_scheduledServiceTypeResourceResponse = calloc(1, sizeof(struct nexus_rest_api_ns0_scheduledServiceTypeResourceResponse));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0ScheduledServiceTypeResourceResponseType(_scheduledServiceTypeResourceResponse);
        free(_scheduledServiceTypeResourceResponse);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "data", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

        if (xmlTextReaderIsEmptyElement(reader) == 0) {
#if DEBUG_ENUNCIATE > 1
          printf("Unwrapping wrapper element {}data...\n");
#endif
          //start wrapper element "{}data"
          status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
          while (xmlTextReaderDepth(reader) > (depth + 1)) {
            if (status < 1) {
              //panic: XML read error.
#if DEBUG_ENUNCIATE
              printf("Failure to advance to next child element.\n");
#endif
              freeNs0ScheduledServiceTypeResourceResponseType(_scheduledServiceTypeResourceResponse);
              free(_scheduledServiceTypeResourceResponse);
              return NULL;
            }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "schedule-type", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}schedule-type of type {}scheduled-service-type-resource.\n");
#endif
        _child_accessor = xmlTextReaderReadNs0Scheduled_service_type_resourceType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}schedule-type of type {}scheduled-service-type-resource.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0ScheduledServiceTypeResourceResponseType(_scheduledServiceTypeResourceResponse);
          free(_scheduledServiceTypeResourceResponse);
          return NULL;
        }

        _scheduledServiceTypeResourceResponse->data = realloc(_scheduledServiceTypeResourceResponse->data, (_scheduledServiceTypeResourceResponse->_sizeof_data + 1) * sizeof(struct nexus_rest_api_ns0_scheduled_service_type_resource));
        memcpy(&(_scheduledServiceTypeResourceResponse->data[_scheduledServiceTypeResourceResponse->_sizeof_data++]), _child_accessor, sizeof(struct nexus_rest_api_ns0_scheduled_service_type_resource));
        free(_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
          } // end "while in wrapper element" loop
        } //end "if empty element" clause

        if (status < 1) {
          //panic: XML read error.
#if DEBUG_ENUNCIATE
          printf("Failed to advance to end wrapper element {}data.\n");
#endif
          freeNs0ScheduledServiceTypeResourceResponseType(_scheduledServiceTypeResourceResponse);
          free(_scheduledServiceTypeResourceResponse);
          return NULL;
        }
        else {
          //end wrapper element "{}data"
          status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
        }
      } // end "if wrapper element" clause
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}scheduledServiceTypeResourceResponse.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}scheduledServiceTypeResourceResponse. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _scheduledServiceTypeResourceResponse;
}

/**
 * Writes a ScheduledServiceTypeResourceResponse to XML.
 *
 * @param writer The XML writer.
 * @param _scheduledServiceTypeResourceResponse The ScheduledServiceTypeResourceResponse to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0ScheduledServiceTypeResourceResponseType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_scheduledServiceTypeResourceResponse *_scheduledServiceTypeResourceResponse) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;

  if (_scheduledServiceTypeResourceResponse->data != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "data", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  for (i = 0; i < _scheduledServiceTypeResourceResponse->_sizeof_data; i++) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "schedule-type", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}schedule-type. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {}scheduled-service-type-resource for element {}schedule-type...\n", status);
#endif
    status = xmlTextWriterWriteNs0Scheduled_service_type_resourceType(writer, &(_scheduledServiceTypeResourceResponse->data[i]));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {}scheduled-service-type-resource for element {}schedule-type. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}schedule-type. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  if (_scheduledServiceTypeResourceResponse->data != NULL) {
    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a ScheduledServiceTypeResourceResponse.
 *
 * @param _scheduledServiceTypeResourceResponse The ScheduledServiceTypeResourceResponse to free.
 */
static void freeNs0ScheduledServiceTypeResourceResponseType(struct nexus_rest_api_ns0_scheduledServiceTypeResourceResponse *_scheduledServiceTypeResourceResponse) {
  int i;
  if (_scheduledServiceTypeResourceResponse->data != NULL) {
    for (i = 0; i < _scheduledServiceTypeResourceResponse->_sizeof_data; i++) {
#if DEBUG_ENUNCIATE > 1
      printf("Freeing accessor data[%i] of type nexus_rest_api_ns0_scheduledServiceTypeResourceResponse...\n", i);
#endif
      freeNs0Scheduled_service_type_resourceType(&(_scheduledServiceTypeResourceResponse->data[i]));
    }
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor data of type nexus_rest_api_ns0_scheduledServiceTypeResourceResponse...\n");
#endif
    free(_scheduledServiceTypeResourceResponse->data);
  }
}
#endif /* DEF_nexus_rest_api_ns0_scheduledServiceTypeResourceResponse_M */
#ifndef DEF_nexus_rest_api_ns0_smtp_settings_M
#define DEF_nexus_rest_api_ns0_smtp_settings_M

/**
 * Reads a SmtpSettings from XML. The reader is assumed to be at the start element.
 *
 * @return the SmtpSettings, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_smtp_settings *xmlTextReaderReadNs0Smtp_settingsType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct nexus_rest_api_ns0_smtp_settings *_smtpSettings = calloc(1, sizeof(struct nexus_rest_api_ns0_smtp_settings));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0Smtp_settingsType(_smtpSettings);
        free(_smtpSettings);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "host", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}host of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}host of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Smtp_settingsType(_smtpSettings);
          free(_smtpSettings);
          return NULL;
        }

        _smtpSettings->host = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "port", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}port of type {http://www.w3.org/2001/XMLSchema}int.\n");
#endif
        _child_accessor = xmlTextReaderReadXsIntType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}port of type {http://www.w3.org/2001/XMLSchema}int.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Smtp_settingsType(_smtpSettings);
          free(_smtpSettings);
          return NULL;
        }

        _smtpSettings->port = *((int*)_child_accessor);
        free(_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "username", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}username of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}username of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Smtp_settingsType(_smtpSettings);
          free(_smtpSettings);
          return NULL;
        }

        _smtpSettings->username = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "password", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}password of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}password of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Smtp_settingsType(_smtpSettings);
          free(_smtpSettings);
          return NULL;
        }

        _smtpSettings->password = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "systemEmailAddress", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}systemEmailAddress of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}systemEmailAddress of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Smtp_settingsType(_smtpSettings);
          free(_smtpSettings);
          return NULL;
        }

        _smtpSettings->systemEmailAddress = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "sslEnabled", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}sslEnabled of type {http://www.w3.org/2001/XMLSchema}boolean.\n");
#endif
        _child_accessor = xmlTextReaderReadXsBooleanType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}sslEnabled of type {http://www.w3.org/2001/XMLSchema}boolean.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Smtp_settingsType(_smtpSettings);
          free(_smtpSettings);
          return NULL;
        }

        _smtpSettings->sslEnabled = *((int*)_child_accessor);
        free(_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "tlsEnabled", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}tlsEnabled of type {http://www.w3.org/2001/XMLSchema}boolean.\n");
#endif
        _child_accessor = xmlTextReaderReadXsBooleanType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}tlsEnabled of type {http://www.w3.org/2001/XMLSchema}boolean.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Smtp_settingsType(_smtpSettings);
          free(_smtpSettings);
          return NULL;
        }

        _smtpSettings->tlsEnabled = *((int*)_child_accessor);
        free(_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}smtp-settings.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}smtp-settings. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _smtpSettings;
}

/**
 * Writes a SmtpSettings to XML.
 *
 * @param writer The XML writer.
 * @param _smtpSettings The SmtpSettings to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0Smtp_settingsType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_smtp_settings *_smtpSettings) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;
  if (_smtpSettings->host != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "host", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}host. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}host...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_smtpSettings->host));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}host. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}host. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (1) { //always write the primitive element.
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "port", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}port. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}int for element {}port...\n", status);
#endif
    status = xmlTextWriterWriteXsIntType(writer, &(_smtpSettings->port));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}int for element {}port. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}port. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_smtpSettings->username != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "username", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}username. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}username...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_smtpSettings->username));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}username. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}username. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_smtpSettings->password != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "password", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}password. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}password...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_smtpSettings->password));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}password. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}password. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_smtpSettings->systemEmailAddress != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "systemEmailAddress", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}systemEmailAddress. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}systemEmailAddress...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_smtpSettings->systemEmailAddress));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}systemEmailAddress. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}systemEmailAddress. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (1) { //always write the primitive element.
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "sslEnabled", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}sslEnabled. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}boolean for element {}sslEnabled...\n", status);
#endif
    status = xmlTextWriterWriteXsBooleanType(writer, &(_smtpSettings->sslEnabled));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}boolean for element {}sslEnabled. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}sslEnabled. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (1) { //always write the primitive element.
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "tlsEnabled", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}tlsEnabled. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}boolean for element {}tlsEnabled...\n", status);
#endif
    status = xmlTextWriterWriteXsBooleanType(writer, &(_smtpSettings->tlsEnabled));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}boolean for element {}tlsEnabled. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}tlsEnabled. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a SmtpSettings.
 *
 * @param _smtpSettings The SmtpSettings to free.
 */
static void freeNs0Smtp_settingsType(struct nexus_rest_api_ns0_smtp_settings *_smtpSettings) {
  int i;
  if (_smtpSettings->host != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor host of type nexus_rest_api_ns0_smtp_settings...\n");
#endif
    freeXsStringType(_smtpSettings->host);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor host of type nexus_rest_api_ns0_smtp_settings...\n");
#endif
    free(_smtpSettings->host);
  }
  if (_smtpSettings->username != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor username of type nexus_rest_api_ns0_smtp_settings...\n");
#endif
    freeXsStringType(_smtpSettings->username);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor username of type nexus_rest_api_ns0_smtp_settings...\n");
#endif
    free(_smtpSettings->username);
  }
  if (_smtpSettings->password != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor password of type nexus_rest_api_ns0_smtp_settings...\n");
#endif
    freeXsStringType(_smtpSettings->password);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor password of type nexus_rest_api_ns0_smtp_settings...\n");
#endif
    free(_smtpSettings->password);
  }
  if (_smtpSettings->systemEmailAddress != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor systemEmailAddress of type nexus_rest_api_ns0_smtp_settings...\n");
#endif
    freeXsStringType(_smtpSettings->systemEmailAddress);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor systemEmailAddress of type nexus_rest_api_ns0_smtp_settings...\n");
#endif
    free(_smtpSettings->systemEmailAddress);
  }
}
#endif /* DEF_nexus_rest_api_ns0_smtp_settings_M */
#ifndef DEF_nexus_rest_api_ns0_smtp_settings_resource_M
#define DEF_nexus_rest_api_ns0_smtp_settings_resource_M

/**
 * Reads a SmtpSettingsResource from XML. The reader is assumed to be at the start element.
 *
 * @return the SmtpSettingsResource, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_smtp_settings_resource *xmlTextReaderReadNs0Smtp_settings_resourceType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct nexus_rest_api_ns0_smtp_settings_resource *_smtpSettingsResource = calloc(1, sizeof(struct nexus_rest_api_ns0_smtp_settings_resource));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0Smtp_settings_resourceType(_smtpSettingsResource);
        free(_smtpSettingsResource);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "testEmail", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}testEmail of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}testEmail of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Smtp_settings_resourceType(_smtpSettingsResource);
          free(_smtpSettingsResource);
          return NULL;
        }

        _smtpSettingsResource->testEmail = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "host", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}host of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}host of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Smtp_settings_resourceType(_smtpSettingsResource);
          free(_smtpSettingsResource);
          return NULL;
        }

        _smtpSettingsResource->host = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "port", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}port of type {http://www.w3.org/2001/XMLSchema}int.\n");
#endif
        _child_accessor = xmlTextReaderReadXsIntType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}port of type {http://www.w3.org/2001/XMLSchema}int.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Smtp_settings_resourceType(_smtpSettingsResource);
          free(_smtpSettingsResource);
          return NULL;
        }

        _smtpSettingsResource->port = *((int*)_child_accessor);
        free(_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "username", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}username of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}username of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Smtp_settings_resourceType(_smtpSettingsResource);
          free(_smtpSettingsResource);
          return NULL;
        }

        _smtpSettingsResource->username = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "password", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}password of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}password of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Smtp_settings_resourceType(_smtpSettingsResource);
          free(_smtpSettingsResource);
          return NULL;
        }

        _smtpSettingsResource->password = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "systemEmailAddress", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}systemEmailAddress of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}systemEmailAddress of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Smtp_settings_resourceType(_smtpSettingsResource);
          free(_smtpSettingsResource);
          return NULL;
        }

        _smtpSettingsResource->systemEmailAddress = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "sslEnabled", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}sslEnabled of type {http://www.w3.org/2001/XMLSchema}boolean.\n");
#endif
        _child_accessor = xmlTextReaderReadXsBooleanType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}sslEnabled of type {http://www.w3.org/2001/XMLSchema}boolean.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Smtp_settings_resourceType(_smtpSettingsResource);
          free(_smtpSettingsResource);
          return NULL;
        }

        _smtpSettingsResource->sslEnabled = *((int*)_child_accessor);
        free(_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "tlsEnabled", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}tlsEnabled of type {http://www.w3.org/2001/XMLSchema}boolean.\n");
#endif
        _child_accessor = xmlTextReaderReadXsBooleanType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}tlsEnabled of type {http://www.w3.org/2001/XMLSchema}boolean.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Smtp_settings_resourceType(_smtpSettingsResource);
          free(_smtpSettingsResource);
          return NULL;
        }

        _smtpSettingsResource->tlsEnabled = *((int*)_child_accessor);
        free(_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}smtp-settings-resource.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}smtp-settings-resource. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _smtpSettingsResource;
}

/**
 * Writes a SmtpSettingsResource to XML.
 *
 * @param writer The XML writer.
 * @param _smtpSettingsResource The SmtpSettingsResource to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0Smtp_settings_resourceType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_smtp_settings_resource *_smtpSettingsResource) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;
  if (_smtpSettingsResource->testEmail != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "testEmail", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}testEmail. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}testEmail...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_smtpSettingsResource->testEmail));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}testEmail. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}testEmail. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_smtpSettingsResource->host != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "host", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}host. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}host...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_smtpSettingsResource->host));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}host. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}host. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (1) { //always write the primitive element.
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "port", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}port. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}int for element {}port...\n", status);
#endif
    status = xmlTextWriterWriteXsIntType(writer, &(_smtpSettingsResource->port));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}int for element {}port. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}port. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_smtpSettingsResource->username != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "username", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}username. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}username...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_smtpSettingsResource->username));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}username. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}username. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_smtpSettingsResource->password != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "password", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}password. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}password...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_smtpSettingsResource->password));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}password. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}password. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_smtpSettingsResource->systemEmailAddress != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "systemEmailAddress", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}systemEmailAddress. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}systemEmailAddress...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_smtpSettingsResource->systemEmailAddress));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}systemEmailAddress. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}systemEmailAddress. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (1) { //always write the primitive element.
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "sslEnabled", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}sslEnabled. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}boolean for element {}sslEnabled...\n", status);
#endif
    status = xmlTextWriterWriteXsBooleanType(writer, &(_smtpSettingsResource->sslEnabled));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}boolean for element {}sslEnabled. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}sslEnabled. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (1) { //always write the primitive element.
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "tlsEnabled", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}tlsEnabled. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}boolean for element {}tlsEnabled...\n", status);
#endif
    status = xmlTextWriterWriteXsBooleanType(writer, &(_smtpSettingsResource->tlsEnabled));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}boolean for element {}tlsEnabled. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}tlsEnabled. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a SmtpSettingsResource.
 *
 * @param _smtpSettingsResource The SmtpSettingsResource to free.
 */
static void freeNs0Smtp_settings_resourceType(struct nexus_rest_api_ns0_smtp_settings_resource *_smtpSettingsResource) {
  int i;
  if (_smtpSettingsResource->testEmail != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor testEmail of type nexus_rest_api_ns0_smtp_settings_resource...\n");
#endif
    freeXsStringType(_smtpSettingsResource->testEmail);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor testEmail of type nexus_rest_api_ns0_smtp_settings_resource...\n");
#endif
    free(_smtpSettingsResource->testEmail);
  }
  if (_smtpSettingsResource->host != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor host of type nexus_rest_api_ns0_smtp_settings_resource...\n");
#endif
    freeXsStringType(_smtpSettingsResource->host);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor host of type nexus_rest_api_ns0_smtp_settings_resource...\n");
#endif
    free(_smtpSettingsResource->host);
  }
  if (_smtpSettingsResource->username != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor username of type nexus_rest_api_ns0_smtp_settings_resource...\n");
#endif
    freeXsStringType(_smtpSettingsResource->username);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor username of type nexus_rest_api_ns0_smtp_settings_resource...\n");
#endif
    free(_smtpSettingsResource->username);
  }
  if (_smtpSettingsResource->password != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor password of type nexus_rest_api_ns0_smtp_settings_resource...\n");
#endif
    freeXsStringType(_smtpSettingsResource->password);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor password of type nexus_rest_api_ns0_smtp_settings_resource...\n");
#endif
    free(_smtpSettingsResource->password);
  }
  if (_smtpSettingsResource->systemEmailAddress != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor systemEmailAddress of type nexus_rest_api_ns0_smtp_settings_resource...\n");
#endif
    freeXsStringType(_smtpSettingsResource->systemEmailAddress);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor systemEmailAddress of type nexus_rest_api_ns0_smtp_settings_resource...\n");
#endif
    free(_smtpSettingsResource->systemEmailAddress);
  }
}
#endif /* DEF_nexus_rest_api_ns0_smtp_settings_resource_M */
#ifndef DEF_nexus_rest_api_ns0_smtpSettingsResourceRequest_M
#define DEF_nexus_rest_api_ns0_smtpSettingsResourceRequest_M

/**
 * Reads a SmtpSettingsResourceRequest element from XML. The element to be read is "smtp-settings-request", and
 * it is assumed that the reader is pointing to the XML document (not the element).
 *
 * @param reader The XML reader.
 * @return The SmtpSettingsResourceRequest, or NULL in case of error.
 */
struct nexus_rest_api_ns0_smtpSettingsResourceRequest *xml_read_nexus_rest_api_ns0_smtpSettingsResourceRequest(xmlTextReaderPtr reader) {
  int status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
  return xmlTextReaderReadNs0Smtp_settings_requestElement(reader);
}

/**
 * Writes a SmtpSettingsResourceRequest to XML under element name "smtp-settings-request".
 *
 * @param writer The XML writer.
 * @param _smtpSettingsResourceRequest The SmtpSettingsResourceRequest to write.
 * @return 1 if successful, 0 otherwise.
 */
int xml_write_nexus_rest_api_ns0_smtpSettingsResourceRequest(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_smtpSettingsResourceRequest *_smtpSettingsResourceRequest) {
  return xmlTextWriterWriteNs0Smtp_settings_requestElementNS(writer, _smtpSettingsResourceRequest, 1);
}

/**
 * Frees a SmtpSettingsResourceRequest.
 *
 * @param _smtpSettingsResourceRequest The SmtpSettingsResourceRequest to free.
 */
void free_nexus_rest_api_ns0_smtpSettingsResourceRequest(struct nexus_rest_api_ns0_smtpSettingsResourceRequest *_smtpSettingsResourceRequest) {
  freeNs0SmtpSettingsResourceRequestType(_smtpSettingsResourceRequest);
  free(_smtpSettingsResourceRequest);
}

/**
 * Reads a SmtpSettingsResourceRequest element from XML. The element to be read is "smtp-settings-request", and
 * it is assumed that the reader is pointing to that element.
 *
 * @param reader The XML reader.
 * @return The SmtpSettingsResourceRequest, or NULL in case of error.
 */
struct nexus_rest_api_ns0_smtpSettingsResourceRequest *xmlTextReaderReadNs0Smtp_settings_requestElement(xmlTextReaderPtr reader) {
  struct nexus_rest_api_ns0_smtpSettingsResourceRequest *_smtpSettingsResourceRequest = NULL;

  if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
    && xmlStrcmp(BAD_CAST "smtp-settings-request", xmlTextReaderConstLocalName(reader)) == 0
    && xmlTextReaderConstNamespaceUri(reader) == NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Attempting to read root element {}smtp-settings-request.\n");
#endif
    _smtpSettingsResourceRequest = xmlTextReaderReadNs0SmtpSettingsResourceRequestType(reader);
  }
#if DEBUG_ENUNCIATE
  if (_smtpSettingsResourceRequest == NULL) {
    if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
      printf("attempt to read {}smtp-settings-request failed. current element: {}%s\n",  xmlTextReaderConstLocalName(reader));
    }
    else {
      printf("attempt to read {}smtp-settings-request failed. current element: {%s}%s\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
    }
  }
#endif

  return _smtpSettingsResourceRequest;
}

/**
 * Writes a SmtpSettingsResourceRequest to XML under element name "smtp-settings-request".
 * Does NOT write the namespace prefixes.
 *
 * @param writer The XML writer.
 * @param _smtpSettingsResourceRequest The SmtpSettingsResourceRequest to write.
 * @return 1 if successful, 0 otherwise.
 */
static int xmlTextWriterWriteNs0Smtp_settings_requestElement(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_smtpSettingsResourceRequest *_smtpSettingsResourceRequest) {
  return xmlTextWriterWriteNs0Smtp_settings_requestElementNS(writer, _smtpSettingsResourceRequest, 0);
}

/**
 * Writes a SmtpSettingsResourceRequest to XML under element name "smtp-settings-request".
 *
 * @param writer The XML writer.
 * @param _smtpSettingsResourceRequest The SmtpSettingsResourceRequest to write.
 * @param writeNamespaces Whether to write the namespace prefixes.
 * @return 1 if successful, 0 otherwise.
 */
static int xmlTextWriterWriteNs0Smtp_settings_requestElementNS(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_smtpSettingsResourceRequest *_smtpSettingsResourceRequest, int writeNamespaces) {
  int totalBytes = 0;
  int status;

  status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "smtp-settings-request", NULL);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to write start element {}smtp-settings-request. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

#if DEBUG_ENUNCIATE > 1
  printf("writing type {}smtpSettingsResourceRequest for root element {}smtp-settings-request...\n");
#endif
  status = xmlTextWriterWriteNs0SmtpSettingsResourceRequestType(writer, _smtpSettingsResourceRequest);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to write type for start element {}smtp-settings-request. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

  status = xmlTextWriterEndElement(writer);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to end element {}smtp-settings-request. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

  return totalBytes;
}

/**
 * Frees the children of a SmtpSettingsResourceRequest.
 *
 * @param _smtpSettingsResourceRequest The SmtpSettingsResourceRequest whose children are to be free.
 */
static void freeNs0Smtp_settings_requestElement(struct nexus_rest_api_ns0_smtpSettingsResourceRequest *_smtpSettingsResourceRequest) {
  freeNs0SmtpSettingsResourceRequestType(_smtpSettingsResourceRequest);
}

/**
 * Reads a SmtpSettingsResourceRequest from XML. The reader is assumed to be at the start element.
 *
 * @return the SmtpSettingsResourceRequest, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_smtpSettingsResourceRequest *xmlTextReaderReadNs0SmtpSettingsResourceRequestType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct nexus_rest_api_ns0_smtpSettingsResourceRequest *_smtpSettingsResourceRequest = calloc(1, sizeof(struct nexus_rest_api_ns0_smtpSettingsResourceRequest));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0SmtpSettingsResourceRequestType(_smtpSettingsResourceRequest);
        free(_smtpSettingsResourceRequest);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "data", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}data of type {}smtp-settings-resource.\n");
#endif
        _child_accessor = xmlTextReaderReadNs0Smtp_settings_resourceType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}data of type {}smtp-settings-resource.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0SmtpSettingsResourceRequestType(_smtpSettingsResourceRequest);
          free(_smtpSettingsResourceRequest);
          return NULL;
        }

        _smtpSettingsResourceRequest->data = ((struct nexus_rest_api_ns0_smtp_settings_resource*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}smtpSettingsResourceRequest.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}smtpSettingsResourceRequest. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _smtpSettingsResourceRequest;
}

/**
 * Writes a SmtpSettingsResourceRequest to XML.
 *
 * @param writer The XML writer.
 * @param _smtpSettingsResourceRequest The SmtpSettingsResourceRequest to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0SmtpSettingsResourceRequestType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_smtpSettingsResourceRequest *_smtpSettingsResourceRequest) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;
  if (_smtpSettingsResourceRequest->data != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "data", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {}smtp-settings-resource for element {}data...\n", status);
#endif
    status = xmlTextWriterWriteNs0Smtp_settings_resourceType(writer, (_smtpSettingsResourceRequest->data));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {}smtp-settings-resource for element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a SmtpSettingsResourceRequest.
 *
 * @param _smtpSettingsResourceRequest The SmtpSettingsResourceRequest to free.
 */
static void freeNs0SmtpSettingsResourceRequestType(struct nexus_rest_api_ns0_smtpSettingsResourceRequest *_smtpSettingsResourceRequest) {
  int i;
  if (_smtpSettingsResourceRequest->data != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor data of type nexus_rest_api_ns0_smtpSettingsResourceRequest...\n");
#endif
    freeNs0Smtp_settings_resourceType(_smtpSettingsResourceRequest->data);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor data of type nexus_rest_api_ns0_smtpSettingsResourceRequest...\n");
#endif
    free(_smtpSettingsResourceRequest->data);
  }
}
#endif /* DEF_nexus_rest_api_ns0_smtpSettingsResourceRequest_M */
#ifndef DEF_nexus_rest_api_ns0_status_configuration_validation_response_M
#define DEF_nexus_rest_api_ns0_status_configuration_validation_response_M

/**
 * Reads a StatusConfigurationValidationResponse from XML. The reader is assumed to be at the start element.
 *
 * @return the StatusConfigurationValidationResponse, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_status_configuration_validation_response *xmlTextReaderReadNs0Status_configuration_validation_responseType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct nexus_rest_api_ns0_status_configuration_validation_response *_statusConfigurationValidationResponse = calloc(1, sizeof(struct nexus_rest_api_ns0_status_configuration_validation_response));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0Status_configuration_validation_responseType(_statusConfigurationValidationResponse);
        free(_statusConfigurationValidationResponse);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "valid", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}valid of type {http://www.w3.org/2001/XMLSchema}boolean.\n");
#endif
        _child_accessor = xmlTextReaderReadXsBooleanType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}valid of type {http://www.w3.org/2001/XMLSchema}boolean.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Status_configuration_validation_responseType(_statusConfigurationValidationResponse);
          free(_statusConfigurationValidationResponse);
          return NULL;
        }

        _statusConfigurationValidationResponse->valid = *((int*)_child_accessor);
        free(_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "modified", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}modified of type {http://www.w3.org/2001/XMLSchema}boolean.\n");
#endif
        _child_accessor = xmlTextReaderReadXsBooleanType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}modified of type {http://www.w3.org/2001/XMLSchema}boolean.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Status_configuration_validation_responseType(_statusConfigurationValidationResponse);
          free(_statusConfigurationValidationResponse);
          return NULL;
        }

        _statusConfigurationValidationResponse->modified = *((int*)_child_accessor);
        free(_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "validationErrors", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

        if (xmlTextReaderIsEmptyElement(reader) == 0) {
#if DEBUG_ENUNCIATE > 1
          printf("Unwrapping wrapper element {}validationErrors...\n");
#endif
          //start wrapper element "{}validationErrors"
          status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
          while (xmlTextReaderDepth(reader) > (depth + 1)) {
            if (status < 1) {
              //panic: XML read error.
#if DEBUG_ENUNCIATE
              printf("Failure to advance to next child element.\n");
#endif
              freeNs0Status_configuration_validation_responseType(_statusConfigurationValidationResponse);
              free(_statusConfigurationValidationResponse);
              return NULL;
            }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "error", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}error of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}error of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Status_configuration_validation_responseType(_statusConfigurationValidationResponse);
          free(_statusConfigurationValidationResponse);
          return NULL;
        }

        _statusConfigurationValidationResponse->validationErrors = realloc(_statusConfigurationValidationResponse->validationErrors, (_statusConfigurationValidationResponse->_sizeof_validationErrors + 1) * sizeof(xmlChar));
        memcpy(&(_statusConfigurationValidationResponse->validationErrors[_statusConfigurationValidationResponse->_sizeof_validationErrors++]), _child_accessor, sizeof(xmlChar));
        free(_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
          } // end "while in wrapper element" loop
        } //end "if empty element" clause

        if (status < 1) {
          //panic: XML read error.
#if DEBUG_ENUNCIATE
          printf("Failed to advance to end wrapper element {}validationErrors.\n");
#endif
          freeNs0Status_configuration_validation_responseType(_statusConfigurationValidationResponse);
          free(_statusConfigurationValidationResponse);
          return NULL;
        }
        else {
          //end wrapper element "{}validationErrors"
          status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
        }
      } // end "if wrapper element" clause
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "validationWarnings", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

        if (xmlTextReaderIsEmptyElement(reader) == 0) {
#if DEBUG_ENUNCIATE > 1
          printf("Unwrapping wrapper element {}validationWarnings...\n");
#endif
          //start wrapper element "{}validationWarnings"
          status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
          while (xmlTextReaderDepth(reader) > (depth + 1)) {
            if (status < 1) {
              //panic: XML read error.
#if DEBUG_ENUNCIATE
              printf("Failure to advance to next child element.\n");
#endif
              freeNs0Status_configuration_validation_responseType(_statusConfigurationValidationResponse);
              free(_statusConfigurationValidationResponse);
              return NULL;
            }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "warning", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}warning of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}warning of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Status_configuration_validation_responseType(_statusConfigurationValidationResponse);
          free(_statusConfigurationValidationResponse);
          return NULL;
        }

        _statusConfigurationValidationResponse->validationWarnings = realloc(_statusConfigurationValidationResponse->validationWarnings, (_statusConfigurationValidationResponse->_sizeof_validationWarnings + 1) * sizeof(xmlChar));
        memcpy(&(_statusConfigurationValidationResponse->validationWarnings[_statusConfigurationValidationResponse->_sizeof_validationWarnings++]), _child_accessor, sizeof(xmlChar));
        free(_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
          } // end "while in wrapper element" loop
        } //end "if empty element" clause

        if (status < 1) {
          //panic: XML read error.
#if DEBUG_ENUNCIATE
          printf("Failed to advance to end wrapper element {}validationWarnings.\n");
#endif
          freeNs0Status_configuration_validation_responseType(_statusConfigurationValidationResponse);
          free(_statusConfigurationValidationResponse);
          return NULL;
        }
        else {
          //end wrapper element "{}validationWarnings"
          status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
        }
      } // end "if wrapper element" clause
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}status-configuration-validation-response.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}status-configuration-validation-response. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _statusConfigurationValidationResponse;
}

/**
 * Writes a StatusConfigurationValidationResponse to XML.
 *
 * @param writer The XML writer.
 * @param _statusConfigurationValidationResponse The StatusConfigurationValidationResponse to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0Status_configuration_validation_responseType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_status_configuration_validation_response *_statusConfigurationValidationResponse) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;
  if (1) { //always write the primitive element.
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "valid", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}valid. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}boolean for element {}valid...\n", status);
#endif
    status = xmlTextWriterWriteXsBooleanType(writer, &(_statusConfigurationValidationResponse->valid));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}boolean for element {}valid. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}valid. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (1) { //always write the primitive element.
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "modified", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}modified. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}boolean for element {}modified...\n", status);
#endif
    status = xmlTextWriterWriteXsBooleanType(writer, &(_statusConfigurationValidationResponse->modified));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}boolean for element {}modified. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}modified. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  if (_statusConfigurationValidationResponse->validationErrors != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "validationErrors", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}validationErrors. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  for (i = 0; i < _statusConfigurationValidationResponse->_sizeof_validationErrors; i++) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "error", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}error. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}error...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, &(_statusConfigurationValidationResponse->validationErrors[i]));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}error. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}error. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  if (_statusConfigurationValidationResponse->validationErrors != NULL) {
    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}validationErrors. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  if (_statusConfigurationValidationResponse->validationWarnings != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "validationWarnings", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}validationWarnings. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  for (i = 0; i < _statusConfigurationValidationResponse->_sizeof_validationWarnings; i++) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "warning", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}warning. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}warning...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, &(_statusConfigurationValidationResponse->validationWarnings[i]));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}warning. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}warning. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  if (_statusConfigurationValidationResponse->validationWarnings != NULL) {
    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}validationWarnings. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a StatusConfigurationValidationResponse.
 *
 * @param _statusConfigurationValidationResponse The StatusConfigurationValidationResponse to free.
 */
static void freeNs0Status_configuration_validation_responseType(struct nexus_rest_api_ns0_status_configuration_validation_response *_statusConfigurationValidationResponse) {
  int i;
  if (_statusConfigurationValidationResponse->validationErrors != NULL) {
    for (i = 0; i < _statusConfigurationValidationResponse->_sizeof_validationErrors; i++) {
#if DEBUG_ENUNCIATE > 1
      printf("Freeing accessor validationErrors[%i] of type nexus_rest_api_ns0_status_configuration_validation_response...\n", i);
#endif
      freeXsStringType(&(_statusConfigurationValidationResponse->validationErrors[i]));
    }
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor validationErrors of type nexus_rest_api_ns0_status_configuration_validation_response...\n");
#endif
    free(_statusConfigurationValidationResponse->validationErrors);
  }
  if (_statusConfigurationValidationResponse->validationWarnings != NULL) {
    for (i = 0; i < _statusConfigurationValidationResponse->_sizeof_validationWarnings; i++) {
#if DEBUG_ENUNCIATE > 1
      printf("Freeing accessor validationWarnings[%i] of type nexus_rest_api_ns0_status_configuration_validation_response...\n", i);
#endif
      freeXsStringType(&(_statusConfigurationValidationResponse->validationWarnings[i]));
    }
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor validationWarnings of type nexus_rest_api_ns0_status_configuration_validation_response...\n");
#endif
    free(_statusConfigurationValidationResponse->validationWarnings);
  }
}
#endif /* DEF_nexus_rest_api_ns0_status_configuration_validation_response_M */
#ifndef DEF_nexus_rest_api_ns0_status_resource_M
#define DEF_nexus_rest_api_ns0_status_resource_M

/**
 * Reads a StatusResource from XML. The reader is assumed to be at the start element.
 *
 * @return the StatusResource, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_status_resource *xmlTextReaderReadNs0Status_resourceType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct nexus_rest_api_ns0_status_resource *_statusResource = calloc(1, sizeof(struct nexus_rest_api_ns0_status_resource));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0Status_resourceType(_statusResource);
        free(_statusResource);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "appName", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}appName of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}appName of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Status_resourceType(_statusResource);
          free(_statusResource);
          return NULL;
        }

        _statusResource->appName = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "formattedAppName", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}formattedAppName of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}formattedAppName of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Status_resourceType(_statusResource);
          free(_statusResource);
          return NULL;
        }

        _statusResource->formattedAppName = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "version", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}version of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}version of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Status_resourceType(_statusResource);
          free(_statusResource);
          return NULL;
        }

        _statusResource->version = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "apiVersion", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}apiVersion of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}apiVersion of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Status_resourceType(_statusResource);
          free(_statusResource);
          return NULL;
        }

        _statusResource->apiVersion = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "editionLong", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}editionLong of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}editionLong of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Status_resourceType(_statusResource);
          free(_statusResource);
          return NULL;
        }

        _statusResource->editionLong = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "editionShort", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}editionShort of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}editionShort of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Status_resourceType(_statusResource);
          free(_statusResource);
          return NULL;
        }

        _statusResource->editionShort = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "state", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}state of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}state of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Status_resourceType(_statusResource);
          free(_statusResource);
          return NULL;
        }

        _statusResource->state = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "operationMode", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}operationMode of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}operationMode of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Status_resourceType(_statusResource);
          free(_statusResource);
          return NULL;
        }

        _statusResource->operationMode = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "initializedAt", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}initializedAt of type {http://www.w3.org/2001/XMLSchema}dateTime.\n");
#endif
        _child_accessor = xmlTextReaderReadXsDateTimeType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}initializedAt of type {http://www.w3.org/2001/XMLSchema}dateTime.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Status_resourceType(_statusResource);
          free(_statusResource);
          return NULL;
        }

        _statusResource->initializedAt = ((struct tm*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "startedAt", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}startedAt of type {http://www.w3.org/2001/XMLSchema}dateTime.\n");
#endif
        _child_accessor = xmlTextReaderReadXsDateTimeType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}startedAt of type {http://www.w3.org/2001/XMLSchema}dateTime.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Status_resourceType(_statusResource);
          free(_statusResource);
          return NULL;
        }

        _statusResource->startedAt = ((struct tm*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "lastConfigChange", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}lastConfigChange of type {http://www.w3.org/2001/XMLSchema}dateTime.\n");
#endif
        _child_accessor = xmlTextReaderReadXsDateTimeType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}lastConfigChange of type {http://www.w3.org/2001/XMLSchema}dateTime.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Status_resourceType(_statusResource);
          free(_statusResource);
          return NULL;
        }

        _statusResource->lastConfigChange = ((struct tm*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "firstStart", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}firstStart of type {http://www.w3.org/2001/XMLSchema}boolean.\n");
#endif
        _child_accessor = xmlTextReaderReadXsBooleanType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}firstStart of type {http://www.w3.org/2001/XMLSchema}boolean.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Status_resourceType(_statusResource);
          free(_statusResource);
          return NULL;
        }

        _statusResource->firstStart = *((int*)_child_accessor);
        free(_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "instanceUpgraded", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}instanceUpgraded of type {http://www.w3.org/2001/XMLSchema}boolean.\n");
#endif
        _child_accessor = xmlTextReaderReadXsBooleanType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}instanceUpgraded of type {http://www.w3.org/2001/XMLSchema}boolean.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Status_resourceType(_statusResource);
          free(_statusResource);
          return NULL;
        }

        _statusResource->instanceUpgraded = *((int*)_child_accessor);
        free(_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "configurationUpgraded", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}configurationUpgraded of type {http://www.w3.org/2001/XMLSchema}boolean.\n");
#endif
        _child_accessor = xmlTextReaderReadXsBooleanType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}configurationUpgraded of type {http://www.w3.org/2001/XMLSchema}boolean.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Status_resourceType(_statusResource);
          free(_statusResource);
          return NULL;
        }

        _statusResource->configurationUpgraded = *((int*)_child_accessor);
        free(_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "configurationValidationResponse", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}configurationValidationResponse of type {}status-configuration-validation-response.\n");
#endif
        _child_accessor = xmlTextReaderReadNs0Status_configuration_validation_responseType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}configurationValidationResponse of type {}status-configuration-validation-response.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Status_resourceType(_statusResource);
          free(_statusResource);
          return NULL;
        }

        _statusResource->configurationValidationResponse = ((struct nexus_rest_api_ns0_status_configuration_validation_response*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "errorCause", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}errorCause of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}errorCause of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Status_resourceType(_statusResource);
          free(_statusResource);
          return NULL;
        }

        _statusResource->errorCause = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "clientPermissions", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}clientPermissions of type {}nexus-authentication-client-permissions.\n");
#endif
        _child_accessor = xmlTextReaderReadNs0Nexus_authentication_client_permissionsType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}clientPermissions of type {}nexus-authentication-client-permissions.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Status_resourceType(_statusResource);
          free(_statusResource);
          return NULL;
        }

        _statusResource->clientPermissions = ((struct nexus_rest_api_ns0_nexus_authentication_client_permissions*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "baseUrl", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}baseUrl of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}baseUrl of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Status_resourceType(_statusResource);
          free(_statusResource);
          return NULL;
        }

        _statusResource->baseUrl = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}status-resource.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}status-resource. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _statusResource;
}

/**
 * Writes a StatusResource to XML.
 *
 * @param writer The XML writer.
 * @param _statusResource The StatusResource to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0Status_resourceType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_status_resource *_statusResource) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;
  if (_statusResource->appName != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "appName", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}appName. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}appName...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_statusResource->appName));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}appName. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}appName. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_statusResource->formattedAppName != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "formattedAppName", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}formattedAppName. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}formattedAppName...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_statusResource->formattedAppName));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}formattedAppName. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}formattedAppName. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_statusResource->version != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "version", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}version. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}version...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_statusResource->version));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}version. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}version. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_statusResource->apiVersion != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "apiVersion", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}apiVersion. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}apiVersion...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_statusResource->apiVersion));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}apiVersion. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}apiVersion. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_statusResource->editionLong != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "editionLong", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}editionLong. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}editionLong...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_statusResource->editionLong));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}editionLong. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}editionLong. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_statusResource->editionShort != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "editionShort", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}editionShort. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}editionShort...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_statusResource->editionShort));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}editionShort. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}editionShort. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_statusResource->state != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "state", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}state. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}state...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_statusResource->state));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}state. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}state. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_statusResource->operationMode != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "operationMode", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}operationMode. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}operationMode...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_statusResource->operationMode));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}operationMode. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}operationMode. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_statusResource->initializedAt != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "initializedAt", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}initializedAt. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}dateTime for element {}initializedAt...\n", status);
#endif
    status = xmlTextWriterWriteXsDateTimeType(writer, (_statusResource->initializedAt));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}dateTime for element {}initializedAt. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}initializedAt. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_statusResource->startedAt != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "startedAt", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}startedAt. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}dateTime for element {}startedAt...\n", status);
#endif
    status = xmlTextWriterWriteXsDateTimeType(writer, (_statusResource->startedAt));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}dateTime for element {}startedAt. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}startedAt. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_statusResource->lastConfigChange != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "lastConfigChange", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}lastConfigChange. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}dateTime for element {}lastConfigChange...\n", status);
#endif
    status = xmlTextWriterWriteXsDateTimeType(writer, (_statusResource->lastConfigChange));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}dateTime for element {}lastConfigChange. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}lastConfigChange. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (1) { //always write the primitive element.
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "firstStart", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}firstStart. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}boolean for element {}firstStart...\n", status);
#endif
    status = xmlTextWriterWriteXsBooleanType(writer, &(_statusResource->firstStart));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}boolean for element {}firstStart. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}firstStart. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (1) { //always write the primitive element.
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "instanceUpgraded", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}instanceUpgraded. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}boolean for element {}instanceUpgraded...\n", status);
#endif
    status = xmlTextWriterWriteXsBooleanType(writer, &(_statusResource->instanceUpgraded));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}boolean for element {}instanceUpgraded. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}instanceUpgraded. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (1) { //always write the primitive element.
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "configurationUpgraded", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}configurationUpgraded. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}boolean for element {}configurationUpgraded...\n", status);
#endif
    status = xmlTextWriterWriteXsBooleanType(writer, &(_statusResource->configurationUpgraded));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}boolean for element {}configurationUpgraded. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}configurationUpgraded. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_statusResource->configurationValidationResponse != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "configurationValidationResponse", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}configurationValidationResponse. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {}status-configuration-validation-response for element {}configurationValidationResponse...\n", status);
#endif
    status = xmlTextWriterWriteNs0Status_configuration_validation_responseType(writer, (_statusResource->configurationValidationResponse));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {}status-configuration-validation-response for element {}configurationValidationResponse. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}configurationValidationResponse. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_statusResource->errorCause != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "errorCause", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}errorCause. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}errorCause...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_statusResource->errorCause));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}errorCause. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}errorCause. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_statusResource->clientPermissions != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "clientPermissions", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}clientPermissions. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {}nexus-authentication-client-permissions for element {}clientPermissions...\n", status);
#endif
    status = xmlTextWriterWriteNs0Nexus_authentication_client_permissionsType(writer, (_statusResource->clientPermissions));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {}nexus-authentication-client-permissions for element {}clientPermissions. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}clientPermissions. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_statusResource->baseUrl != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "baseUrl", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}baseUrl. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}baseUrl...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_statusResource->baseUrl));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}baseUrl. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}baseUrl. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a StatusResource.
 *
 * @param _statusResource The StatusResource to free.
 */
static void freeNs0Status_resourceType(struct nexus_rest_api_ns0_status_resource *_statusResource) {
  int i;
  if (_statusResource->appName != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor appName of type nexus_rest_api_ns0_status_resource...\n");
#endif
    freeXsStringType(_statusResource->appName);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor appName of type nexus_rest_api_ns0_status_resource...\n");
#endif
    free(_statusResource->appName);
  }
  if (_statusResource->formattedAppName != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor formattedAppName of type nexus_rest_api_ns0_status_resource...\n");
#endif
    freeXsStringType(_statusResource->formattedAppName);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor formattedAppName of type nexus_rest_api_ns0_status_resource...\n");
#endif
    free(_statusResource->formattedAppName);
  }
  if (_statusResource->version != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor version of type nexus_rest_api_ns0_status_resource...\n");
#endif
    freeXsStringType(_statusResource->version);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor version of type nexus_rest_api_ns0_status_resource...\n");
#endif
    free(_statusResource->version);
  }
  if (_statusResource->apiVersion != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor apiVersion of type nexus_rest_api_ns0_status_resource...\n");
#endif
    freeXsStringType(_statusResource->apiVersion);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor apiVersion of type nexus_rest_api_ns0_status_resource...\n");
#endif
    free(_statusResource->apiVersion);
  }
  if (_statusResource->editionLong != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor editionLong of type nexus_rest_api_ns0_status_resource...\n");
#endif
    freeXsStringType(_statusResource->editionLong);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor editionLong of type nexus_rest_api_ns0_status_resource...\n");
#endif
    free(_statusResource->editionLong);
  }
  if (_statusResource->editionShort != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor editionShort of type nexus_rest_api_ns0_status_resource...\n");
#endif
    freeXsStringType(_statusResource->editionShort);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor editionShort of type nexus_rest_api_ns0_status_resource...\n");
#endif
    free(_statusResource->editionShort);
  }
  if (_statusResource->state != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor state of type nexus_rest_api_ns0_status_resource...\n");
#endif
    freeXsStringType(_statusResource->state);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor state of type nexus_rest_api_ns0_status_resource...\n");
#endif
    free(_statusResource->state);
  }
  if (_statusResource->operationMode != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor operationMode of type nexus_rest_api_ns0_status_resource...\n");
#endif
    freeXsStringType(_statusResource->operationMode);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor operationMode of type nexus_rest_api_ns0_status_resource...\n");
#endif
    free(_statusResource->operationMode);
  }
  if (_statusResource->initializedAt != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor initializedAt of type nexus_rest_api_ns0_status_resource...\n");
#endif
    freeXsDateTimeType(_statusResource->initializedAt);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor initializedAt of type nexus_rest_api_ns0_status_resource...\n");
#endif
    free(_statusResource->initializedAt);
  }
  if (_statusResource->startedAt != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor startedAt of type nexus_rest_api_ns0_status_resource...\n");
#endif
    freeXsDateTimeType(_statusResource->startedAt);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor startedAt of type nexus_rest_api_ns0_status_resource...\n");
#endif
    free(_statusResource->startedAt);
  }
  if (_statusResource->lastConfigChange != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor lastConfigChange of type nexus_rest_api_ns0_status_resource...\n");
#endif
    freeXsDateTimeType(_statusResource->lastConfigChange);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor lastConfigChange of type nexus_rest_api_ns0_status_resource...\n");
#endif
    free(_statusResource->lastConfigChange);
  }
  if (_statusResource->configurationValidationResponse != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor configurationValidationResponse of type nexus_rest_api_ns0_status_resource...\n");
#endif
    freeNs0Status_configuration_validation_responseType(_statusResource->configurationValidationResponse);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor configurationValidationResponse of type nexus_rest_api_ns0_status_resource...\n");
#endif
    free(_statusResource->configurationValidationResponse);
  }
  if (_statusResource->errorCause != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor errorCause of type nexus_rest_api_ns0_status_resource...\n");
#endif
    freeXsStringType(_statusResource->errorCause);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor errorCause of type nexus_rest_api_ns0_status_resource...\n");
#endif
    free(_statusResource->errorCause);
  }
  if (_statusResource->clientPermissions != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor clientPermissions of type nexus_rest_api_ns0_status_resource...\n");
#endif
    freeNs0Nexus_authentication_client_permissionsType(_statusResource->clientPermissions);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor clientPermissions of type nexus_rest_api_ns0_status_resource...\n");
#endif
    free(_statusResource->clientPermissions);
  }
  if (_statusResource->baseUrl != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor baseUrl of type nexus_rest_api_ns0_status_resource...\n");
#endif
    freeXsStringType(_statusResource->baseUrl);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor baseUrl of type nexus_rest_api_ns0_status_resource...\n");
#endif
    free(_statusResource->baseUrl);
  }
}
#endif /* DEF_nexus_rest_api_ns0_status_resource_M */
#ifndef DEF_nexus_rest_api_ns0_statusResourceResponse_M
#define DEF_nexus_rest_api_ns0_statusResourceResponse_M

/**
 * Reads a StatusResourceResponse element from XML. The element to be read is "status", and
 * it is assumed that the reader is pointing to the XML document (not the element).
 *
 * @param reader The XML reader.
 * @return The StatusResourceResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_statusResourceResponse *xml_read_nexus_rest_api_ns0_statusResourceResponse(xmlTextReaderPtr reader) {
  int status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
  return xmlTextReaderReadNs0StatusElement(reader);
}

/**
 * Writes a StatusResourceResponse to XML under element name "status".
 *
 * @param writer The XML writer.
 * @param _statusResourceResponse The StatusResourceResponse to write.
 * @return 1 if successful, 0 otherwise.
 */
int xml_write_nexus_rest_api_ns0_statusResourceResponse(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_statusResourceResponse *_statusResourceResponse) {
  return xmlTextWriterWriteNs0StatusElementNS(writer, _statusResourceResponse, 1);
}

/**
 * Frees a StatusResourceResponse.
 *
 * @param _statusResourceResponse The StatusResourceResponse to free.
 */
void free_nexus_rest_api_ns0_statusResourceResponse(struct nexus_rest_api_ns0_statusResourceResponse *_statusResourceResponse) {
  freeNs0StatusResourceResponseType(_statusResourceResponse);
  free(_statusResourceResponse);
}

/**
 * Reads a StatusResourceResponse element from XML. The element to be read is "status", and
 * it is assumed that the reader is pointing to that element.
 *
 * @param reader The XML reader.
 * @return The StatusResourceResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_statusResourceResponse *xmlTextReaderReadNs0StatusElement(xmlTextReaderPtr reader) {
  struct nexus_rest_api_ns0_statusResourceResponse *_statusResourceResponse = NULL;

  if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
    && xmlStrcmp(BAD_CAST "status", xmlTextReaderConstLocalName(reader)) == 0
    && xmlTextReaderConstNamespaceUri(reader) == NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Attempting to read root element {}status.\n");
#endif
    _statusResourceResponse = xmlTextReaderReadNs0StatusResourceResponseType(reader);
  }
#if DEBUG_ENUNCIATE
  if (_statusResourceResponse == NULL) {
    if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
      printf("attempt to read {}status failed. current element: {}%s\n",  xmlTextReaderConstLocalName(reader));
    }
    else {
      printf("attempt to read {}status failed. current element: {%s}%s\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
    }
  }
#endif

  return _statusResourceResponse;
}

/**
 * Writes a StatusResourceResponse to XML under element name "status".
 * Does NOT write the namespace prefixes.
 *
 * @param writer The XML writer.
 * @param _statusResourceResponse The StatusResourceResponse to write.
 * @return 1 if successful, 0 otherwise.
 */
static int xmlTextWriterWriteNs0StatusElement(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_statusResourceResponse *_statusResourceResponse) {
  return xmlTextWriterWriteNs0StatusElementNS(writer, _statusResourceResponse, 0);
}

/**
 * Writes a StatusResourceResponse to XML under element name "status".
 *
 * @param writer The XML writer.
 * @param _statusResourceResponse The StatusResourceResponse to write.
 * @param writeNamespaces Whether to write the namespace prefixes.
 * @return 1 if successful, 0 otherwise.
 */
static int xmlTextWriterWriteNs0StatusElementNS(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_statusResourceResponse *_statusResourceResponse, int writeNamespaces) {
  int totalBytes = 0;
  int status;

  status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "status", NULL);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to write start element {}status. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

#if DEBUG_ENUNCIATE > 1
  printf("writing type {}statusResourceResponse for root element {}status...\n");
#endif
  status = xmlTextWriterWriteNs0StatusResourceResponseType(writer, _statusResourceResponse);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to write type for start element {}status. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

  status = xmlTextWriterEndElement(writer);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to end element {}status. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

  return totalBytes;
}

/**
 * Frees the children of a StatusResourceResponse.
 *
 * @param _statusResourceResponse The StatusResourceResponse whose children are to be free.
 */
static void freeNs0StatusElement(struct nexus_rest_api_ns0_statusResourceResponse *_statusResourceResponse) {
  freeNs0StatusResourceResponseType(_statusResourceResponse);
}

/**
 * Reads a StatusResourceResponse from XML. The reader is assumed to be at the start element.
 *
 * @return the StatusResourceResponse, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_statusResourceResponse *xmlTextReaderReadNs0StatusResourceResponseType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct nexus_rest_api_ns0_statusResourceResponse *_statusResourceResponse = calloc(1, sizeof(struct nexus_rest_api_ns0_statusResourceResponse));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0StatusResourceResponseType(_statusResourceResponse);
        free(_statusResourceResponse);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "data", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}data of type {}status-resource.\n");
#endif
        _child_accessor = xmlTextReaderReadNs0Status_resourceType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}data of type {}status-resource.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0StatusResourceResponseType(_statusResourceResponse);
          free(_statusResourceResponse);
          return NULL;
        }

        _statusResourceResponse->data = ((struct nexus_rest_api_ns0_status_resource*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}statusResourceResponse.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}statusResourceResponse. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _statusResourceResponse;
}

/**
 * Writes a StatusResourceResponse to XML.
 *
 * @param writer The XML writer.
 * @param _statusResourceResponse The StatusResourceResponse to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0StatusResourceResponseType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_statusResourceResponse *_statusResourceResponse) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;
  if (_statusResourceResponse->data != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "data", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {}status-resource for element {}data...\n", status);
#endif
    status = xmlTextWriterWriteNs0Status_resourceType(writer, (_statusResourceResponse->data));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {}status-resource for element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a StatusResourceResponse.
 *
 * @param _statusResourceResponse The StatusResourceResponse to free.
 */
static void freeNs0StatusResourceResponseType(struct nexus_rest_api_ns0_statusResourceResponse *_statusResourceResponse) {
  int i;
  if (_statusResourceResponse->data != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor data of type nexus_rest_api_ns0_statusResourceResponse...\n");
#endif
    freeNs0Status_resourceType(_statusResourceResponse->data);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor data of type nexus_rest_api_ns0_statusResourceResponse...\n");
#endif
    free(_statusResourceResponse->data);
  }
}
#endif /* DEF_nexus_rest_api_ns0_statusResourceResponse_M */
#ifndef DEF_nexus_rest_api_ns0_system_notification_settings_M
#define DEF_nexus_rest_api_ns0_system_notification_settings_M

/**
 * Reads a SystemNotificationSettings from XML. The reader is assumed to be at the start element.
 *
 * @return the SystemNotificationSettings, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_system_notification_settings *xmlTextReaderReadNs0System_notification_settingsType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct nexus_rest_api_ns0_system_notification_settings *_systemNotificationSettings = calloc(1, sizeof(struct nexus_rest_api_ns0_system_notification_settings));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0System_notification_settingsType(_systemNotificationSettings);
        free(_systemNotificationSettings);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "enabled", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}enabled of type {http://www.w3.org/2001/XMLSchema}boolean.\n");
#endif
        _child_accessor = xmlTextReaderReadXsBooleanType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}enabled of type {http://www.w3.org/2001/XMLSchema}boolean.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0System_notification_settingsType(_systemNotificationSettings);
          free(_systemNotificationSettings);
          return NULL;
        }

        _systemNotificationSettings->enabled = *((int*)_child_accessor);
        free(_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "emailAddresses", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}emailAddresses of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}emailAddresses of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0System_notification_settingsType(_systemNotificationSettings);
          free(_systemNotificationSettings);
          return NULL;
        }

        _systemNotificationSettings->emailAddresses = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "roles", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}roles of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}roles of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0System_notification_settingsType(_systemNotificationSettings);
          free(_systemNotificationSettings);
          return NULL;
        }

        _systemNotificationSettings->roles = realloc(_systemNotificationSettings->roles, (_systemNotificationSettings->_sizeof_roles + 1) * sizeof(xmlChar));
        memcpy(&(_systemNotificationSettings->roles[_systemNotificationSettings->_sizeof_roles++]), _child_accessor, sizeof(xmlChar));
        free(_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}system-notification-settings.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}system-notification-settings. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _systemNotificationSettings;
}

/**
 * Writes a SystemNotificationSettings to XML.
 *
 * @param writer The XML writer.
 * @param _systemNotificationSettings The SystemNotificationSettings to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0System_notification_settingsType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_system_notification_settings *_systemNotificationSettings) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;
  if (1) { //always write the primitive element.
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "enabled", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}enabled. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}boolean for element {}enabled...\n", status);
#endif
    status = xmlTextWriterWriteXsBooleanType(writer, &(_systemNotificationSettings->enabled));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}boolean for element {}enabled. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}enabled. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_systemNotificationSettings->emailAddresses != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "emailAddresses", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}emailAddresses. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}emailAddresses...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_systemNotificationSettings->emailAddresses));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}emailAddresses. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}emailAddresses. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  for (i = 0; i < _systemNotificationSettings->_sizeof_roles; i++) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "roles", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}roles. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}roles...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, &(_systemNotificationSettings->roles[i]));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}roles. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}roles. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a SystemNotificationSettings.
 *
 * @param _systemNotificationSettings The SystemNotificationSettings to free.
 */
static void freeNs0System_notification_settingsType(struct nexus_rest_api_ns0_system_notification_settings *_systemNotificationSettings) {
  int i;
  if (_systemNotificationSettings->emailAddresses != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor emailAddresses of type nexus_rest_api_ns0_system_notification_settings...\n");
#endif
    freeXsStringType(_systemNotificationSettings->emailAddresses);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor emailAddresses of type nexus_rest_api_ns0_system_notification_settings...\n");
#endif
    free(_systemNotificationSettings->emailAddresses);
  }
  if (_systemNotificationSettings->roles != NULL) {
    for (i = 0; i < _systemNotificationSettings->_sizeof_roles; i++) {
#if DEBUG_ENUNCIATE > 1
      printf("Freeing accessor roles[%i] of type nexus_rest_api_ns0_system_notification_settings...\n", i);
#endif
      freeXsStringType(&(_systemNotificationSettings->roles[i]));
    }
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor roles of type nexus_rest_api_ns0_system_notification_settings...\n");
#endif
    free(_systemNotificationSettings->roles);
  }
}
#endif /* DEF_nexus_rest_api_ns0_system_notification_settings_M */
#ifndef DEF_nexus_rest_api_ns0_wastebasket_resource_M
#define DEF_nexus_rest_api_ns0_wastebasket_resource_M

/**
 * Reads a WastebasketResource from XML. The reader is assumed to be at the start element.
 *
 * @return the WastebasketResource, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_wastebasket_resource *xmlTextReaderReadNs0Wastebasket_resourceType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct nexus_rest_api_ns0_wastebasket_resource *_wastebasketResource = calloc(1, sizeof(struct nexus_rest_api_ns0_wastebasket_resource));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0Wastebasket_resourceType(_wastebasketResource);
        free(_wastebasketResource);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "size", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}size of type {http://www.w3.org/2001/XMLSchema}long.\n");
#endif
        _child_accessor = xmlTextReaderReadXsLongType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}size of type {http://www.w3.org/2001/XMLSchema}long.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Wastebasket_resourceType(_wastebasketResource);
          free(_wastebasketResource);
          return NULL;
        }

        _wastebasketResource->size = *((long*)_child_accessor);
        free(_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "itemCount", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}itemCount of type {http://www.w3.org/2001/XMLSchema}long.\n");
#endif
        _child_accessor = xmlTextReaderReadXsLongType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}itemCount of type {http://www.w3.org/2001/XMLSchema}long.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0Wastebasket_resourceType(_wastebasketResource);
          free(_wastebasketResource);
          return NULL;
        }

        _wastebasketResource->itemCount = *((long*)_child_accessor);
        free(_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}wastebasket-resource.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}wastebasket-resource. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _wastebasketResource;
}

/**
 * Writes a WastebasketResource to XML.
 *
 * @param writer The XML writer.
 * @param _wastebasketResource The WastebasketResource to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0Wastebasket_resourceType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_wastebasket_resource *_wastebasketResource) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;
  if (1) { //always write the primitive element.
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "size", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}size. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}long for element {}size...\n", status);
#endif
    status = xmlTextWriterWriteXsLongType(writer, &(_wastebasketResource->size));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}long for element {}size. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}size. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (1) { //always write the primitive element.
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "itemCount", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}itemCount. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}long for element {}itemCount...\n", status);
#endif
    status = xmlTextWriterWriteXsLongType(writer, &(_wastebasketResource->itemCount));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}long for element {}itemCount. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}itemCount. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a WastebasketResource.
 *
 * @param _wastebasketResource The WastebasketResource to free.
 */
static void freeNs0Wastebasket_resourceType(struct nexus_rest_api_ns0_wastebasket_resource *_wastebasketResource) {
  int i;
}
#endif /* DEF_nexus_rest_api_ns0_wastebasket_resource_M */
#ifndef DEF_nexus_rest_api_ns0_wastebasketResourceResponse_M
#define DEF_nexus_rest_api_ns0_wastebasketResourceResponse_M

/**
 * Reads a WastebasketResourceResponse element from XML. The element to be read is "wastebasket", and
 * it is assumed that the reader is pointing to the XML document (not the element).
 *
 * @param reader The XML reader.
 * @return The WastebasketResourceResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_wastebasketResourceResponse *xml_read_nexus_rest_api_ns0_wastebasketResourceResponse(xmlTextReaderPtr reader) {
  int status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
  return xmlTextReaderReadNs0WastebasketElement(reader);
}

/**
 * Writes a WastebasketResourceResponse to XML under element name "wastebasket".
 *
 * @param writer The XML writer.
 * @param _wastebasketResourceResponse The WastebasketResourceResponse to write.
 * @return 1 if successful, 0 otherwise.
 */
int xml_write_nexus_rest_api_ns0_wastebasketResourceResponse(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_wastebasketResourceResponse *_wastebasketResourceResponse) {
  return xmlTextWriterWriteNs0WastebasketElementNS(writer, _wastebasketResourceResponse, 1);
}

/**
 * Frees a WastebasketResourceResponse.
 *
 * @param _wastebasketResourceResponse The WastebasketResourceResponse to free.
 */
void free_nexus_rest_api_ns0_wastebasketResourceResponse(struct nexus_rest_api_ns0_wastebasketResourceResponse *_wastebasketResourceResponse) {
  freeNs0WastebasketResourceResponseType(_wastebasketResourceResponse);
  free(_wastebasketResourceResponse);
}

/**
 * Reads a WastebasketResourceResponse element from XML. The element to be read is "wastebasket", and
 * it is assumed that the reader is pointing to that element.
 *
 * @param reader The XML reader.
 * @return The WastebasketResourceResponse, or NULL in case of error.
 */
struct nexus_rest_api_ns0_wastebasketResourceResponse *xmlTextReaderReadNs0WastebasketElement(xmlTextReaderPtr reader) {
  struct nexus_rest_api_ns0_wastebasketResourceResponse *_wastebasketResourceResponse = NULL;

  if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
    && xmlStrcmp(BAD_CAST "wastebasket", xmlTextReaderConstLocalName(reader)) == 0
    && xmlTextReaderConstNamespaceUri(reader) == NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Attempting to read root element {}wastebasket.\n");
#endif
    _wastebasketResourceResponse = xmlTextReaderReadNs0WastebasketResourceResponseType(reader);
  }
#if DEBUG_ENUNCIATE
  if (_wastebasketResourceResponse == NULL) {
    if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
      printf("attempt to read {}wastebasket failed. current element: {}%s\n",  xmlTextReaderConstLocalName(reader));
    }
    else {
      printf("attempt to read {}wastebasket failed. current element: {%s}%s\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
    }
  }
#endif

  return _wastebasketResourceResponse;
}

/**
 * Writes a WastebasketResourceResponse to XML under element name "wastebasket".
 * Does NOT write the namespace prefixes.
 *
 * @param writer The XML writer.
 * @param _wastebasketResourceResponse The WastebasketResourceResponse to write.
 * @return 1 if successful, 0 otherwise.
 */
static int xmlTextWriterWriteNs0WastebasketElement(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_wastebasketResourceResponse *_wastebasketResourceResponse) {
  return xmlTextWriterWriteNs0WastebasketElementNS(writer, _wastebasketResourceResponse, 0);
}

/**
 * Writes a WastebasketResourceResponse to XML under element name "wastebasket".
 *
 * @param writer The XML writer.
 * @param _wastebasketResourceResponse The WastebasketResourceResponse to write.
 * @param writeNamespaces Whether to write the namespace prefixes.
 * @return 1 if successful, 0 otherwise.
 */
static int xmlTextWriterWriteNs0WastebasketElementNS(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_wastebasketResourceResponse *_wastebasketResourceResponse, int writeNamespaces) {
  int totalBytes = 0;
  int status;

  status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "wastebasket", NULL);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to write start element {}wastebasket. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

#if DEBUG_ENUNCIATE > 1
  printf("writing type {}wastebasketResourceResponse for root element {}wastebasket...\n");
#endif
  status = xmlTextWriterWriteNs0WastebasketResourceResponseType(writer, _wastebasketResourceResponse);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to write type for start element {}wastebasket. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

  status = xmlTextWriterEndElement(writer);
  if (status < 0) {
#if DEBUG_ENUNCIATE
    printf("unable to end element {}wastebasket. status: %i\n", status);
#endif
    return status;
  }
  totalBytes += status;

  return totalBytes;
}

/**
 * Frees the children of a WastebasketResourceResponse.
 *
 * @param _wastebasketResourceResponse The WastebasketResourceResponse whose children are to be free.
 */
static void freeNs0WastebasketElement(struct nexus_rest_api_ns0_wastebasketResourceResponse *_wastebasketResourceResponse) {
  freeNs0WastebasketResourceResponseType(_wastebasketResourceResponse);
}

/**
 * Reads a WastebasketResourceResponse from XML. The reader is assumed to be at the start element.
 *
 * @return the WastebasketResourceResponse, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_wastebasketResourceResponse *xmlTextReaderReadNs0WastebasketResourceResponseType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct nexus_rest_api_ns0_wastebasketResourceResponse *_wastebasketResourceResponse = calloc(1, sizeof(struct nexus_rest_api_ns0_wastebasketResourceResponse));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0WastebasketResourceResponseType(_wastebasketResourceResponse);
        free(_wastebasketResourceResponse);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "data", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}data of type {}wastebasket-resource.\n");
#endif
        _child_accessor = xmlTextReaderReadNs0Wastebasket_resourceType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}data of type {}wastebasket-resource.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0WastebasketResourceResponseType(_wastebasketResourceResponse);
          free(_wastebasketResourceResponse);
          return NULL;
        }

        _wastebasketResourceResponse->data = ((struct nexus_rest_api_ns0_wastebasket_resource*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}wastebasketResourceResponse.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}wastebasketResourceResponse. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _wastebasketResourceResponse;
}

/**
 * Writes a WastebasketResourceResponse to XML.
 *
 * @param writer The XML writer.
 * @param _wastebasketResourceResponse The WastebasketResourceResponse to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0WastebasketResourceResponseType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_wastebasketResourceResponse *_wastebasketResourceResponse) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;
  if (_wastebasketResourceResponse->data != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "data", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {}wastebasket-resource for element {}data...\n", status);
#endif
    status = xmlTextWriterWriteNs0Wastebasket_resourceType(writer, (_wastebasketResourceResponse->data));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {}wastebasket-resource for element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}data. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a WastebasketResourceResponse.
 *
 * @param _wastebasketResourceResponse The WastebasketResourceResponse to free.
 */
static void freeNs0WastebasketResourceResponseType(struct nexus_rest_api_ns0_wastebasketResourceResponse *_wastebasketResourceResponse) {
  int i;
  if (_wastebasketResourceResponse->data != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor data of type nexus_rest_api_ns0_wastebasketResourceResponse...\n");
#endif
    freeNs0Wastebasket_resourceType(_wastebasketResourceResponse->data);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor data of type nexus_rest_api_ns0_wastebasketResourceResponse...\n");
#endif
    free(_wastebasketResourceResponse->data);
  }
}
#endif /* DEF_nexus_rest_api_ns0_wastebasketResourceResponse_M */
#ifndef DEF_nexus_rest_api_ns0_authenticationClientPermissions_M
#define DEF_nexus_rest_api_ns0_authenticationClientPermissions_M

/**
 * Reads a AuthenticationClientPermissions from XML. The reader is assumed to be at the start element.
 *
 * @return the AuthenticationClientPermissions, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_authenticationClientPermissions *xmlTextReaderReadNs0AuthenticationClientPermissionsType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct nexus_rest_api_ns0_authenticationClientPermissions *_authenticationClientPermissions = calloc(1, sizeof(struct nexus_rest_api_ns0_authenticationClientPermissions));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0AuthenticationClientPermissionsType(_authenticationClientPermissions);
        free(_authenticationClientPermissions);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "loggedInUserSource", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}loggedInUserSource of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}loggedInUserSource of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0AuthenticationClientPermissionsType(_authenticationClientPermissions);
          free(_authenticationClientPermissions);
          return NULL;
        }

        _authenticationClientPermissions->loggedInUserSource = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "permissions", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

        if (xmlTextReaderIsEmptyElement(reader) == 0) {
#if DEBUG_ENUNCIATE > 1
          printf("Unwrapping wrapper element {}permissions...\n");
#endif
          //start wrapper element "{}permissions"
          status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
          while (xmlTextReaderDepth(reader) > (depth + 1)) {
            if (status < 1) {
              //panic: XML read error.
#if DEBUG_ENUNCIATE
              printf("Failure to advance to next child element.\n");
#endif
              freeNs0AuthenticationClientPermissionsType(_authenticationClientPermissions);
              free(_authenticationClientPermissions);
              return NULL;
            }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "permission", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}permission of type {}clientPermission.\n");
#endif
        _child_accessor = xmlTextReaderReadNs0ClientPermissionType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}permission of type {}clientPermission.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0AuthenticationClientPermissionsType(_authenticationClientPermissions);
          free(_authenticationClientPermissions);
          return NULL;
        }

        _authenticationClientPermissions->permissions = realloc(_authenticationClientPermissions->permissions, (_authenticationClientPermissions->_sizeof_permissions + 1) * sizeof(struct nexus_rest_api_ns0_clientPermission));
        memcpy(&(_authenticationClientPermissions->permissions[_authenticationClientPermissions->_sizeof_permissions++]), _child_accessor, sizeof(struct nexus_rest_api_ns0_clientPermission));
        free(_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
          } // end "while in wrapper element" loop
        } //end "if empty element" clause

        if (status < 1) {
          //panic: XML read error.
#if DEBUG_ENUNCIATE
          printf("Failed to advance to end wrapper element {}permissions.\n");
#endif
          freeNs0AuthenticationClientPermissionsType(_authenticationClientPermissions);
          free(_authenticationClientPermissions);
          return NULL;
        }
        else {
          //end wrapper element "{}permissions"
          status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
        }
      } // end "if wrapper element" clause
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "loggedIn", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}loggedIn of type {http://www.w3.org/2001/XMLSchema}boolean.\n");
#endif
        _child_accessor = xmlTextReaderReadXsBooleanType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}loggedIn of type {http://www.w3.org/2001/XMLSchema}boolean.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0AuthenticationClientPermissionsType(_authenticationClientPermissions);
          free(_authenticationClientPermissions);
          return NULL;
        }

        _authenticationClientPermissions->loggedIn = *((int*)_child_accessor);
        free(_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "loggedInUsername", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}loggedInUsername of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}loggedInUsername of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0AuthenticationClientPermissionsType(_authenticationClientPermissions);
          free(_authenticationClientPermissions);
          return NULL;
        }

        _authenticationClientPermissions->loggedInUsername = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}authenticationClientPermissions.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}authenticationClientPermissions. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _authenticationClientPermissions;
}

/**
 * Writes a AuthenticationClientPermissions to XML.
 *
 * @param writer The XML writer.
 * @param _authenticationClientPermissions The AuthenticationClientPermissions to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0AuthenticationClientPermissionsType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_authenticationClientPermissions *_authenticationClientPermissions) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;
  if (_authenticationClientPermissions->loggedInUserSource != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "loggedInUserSource", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}loggedInUserSource. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}loggedInUserSource...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_authenticationClientPermissions->loggedInUserSource));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}loggedInUserSource. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}loggedInUserSource. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  if (_authenticationClientPermissions->permissions != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "permissions", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}permissions. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  for (i = 0; i < _authenticationClientPermissions->_sizeof_permissions; i++) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "permission", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}permission. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {}clientPermission for element {}permission...\n", status);
#endif
    status = xmlTextWriterWriteNs0ClientPermissionType(writer, &(_authenticationClientPermissions->permissions[i]));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {}clientPermission for element {}permission. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}permission. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  if (_authenticationClientPermissions->permissions != NULL) {
    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}permissions. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (1) { //always write the primitive element.
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "loggedIn", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}loggedIn. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}boolean for element {}loggedIn...\n", status);
#endif
    status = xmlTextWriterWriteXsBooleanType(writer, &(_authenticationClientPermissions->loggedIn));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}boolean for element {}loggedIn. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}loggedIn. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (_authenticationClientPermissions->loggedInUsername != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "loggedInUsername", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}loggedInUsername. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}loggedInUsername...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_authenticationClientPermissions->loggedInUsername));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}loggedInUsername. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}loggedInUsername. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a AuthenticationClientPermissions.
 *
 * @param _authenticationClientPermissions The AuthenticationClientPermissions to free.
 */
static void freeNs0AuthenticationClientPermissionsType(struct nexus_rest_api_ns0_authenticationClientPermissions *_authenticationClientPermissions) {
  int i;
  if (_authenticationClientPermissions->loggedInUserSource != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor loggedInUserSource of type nexus_rest_api_ns0_authenticationClientPermissions...\n");
#endif
    freeXsStringType(_authenticationClientPermissions->loggedInUserSource);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor loggedInUserSource of type nexus_rest_api_ns0_authenticationClientPermissions...\n");
#endif
    free(_authenticationClientPermissions->loggedInUserSource);
  }
  if (_authenticationClientPermissions->permissions != NULL) {
    for (i = 0; i < _authenticationClientPermissions->_sizeof_permissions; i++) {
#if DEBUG_ENUNCIATE > 1
      printf("Freeing accessor permissions[%i] of type nexus_rest_api_ns0_authenticationClientPermissions...\n", i);
#endif
      freeNs0ClientPermissionType(&(_authenticationClientPermissions->permissions[i]));
    }
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor permissions of type nexus_rest_api_ns0_authenticationClientPermissions...\n");
#endif
    free(_authenticationClientPermissions->permissions);
  }
  if (_authenticationClientPermissions->loggedInUsername != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor loggedInUsername of type nexus_rest_api_ns0_authenticationClientPermissions...\n");
#endif
    freeXsStringType(_authenticationClientPermissions->loggedInUsername);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor loggedInUsername of type nexus_rest_api_ns0_authenticationClientPermissions...\n");
#endif
    free(_authenticationClientPermissions->loggedInUsername);
  }
}
#endif /* DEF_nexus_rest_api_ns0_authenticationClientPermissions_M */
#ifndef DEF_nexus_rest_api_ns0_clientPermission_M
#define DEF_nexus_rest_api_ns0_clientPermission_M

/**
 * Reads a ClientPermission from XML. The reader is assumed to be at the start element.
 *
 * @return the ClientPermission, or NULL in case of error.
 */
static struct nexus_rest_api_ns0_clientPermission *xmlTextReaderReadNs0ClientPermissionType(xmlTextReaderPtr reader) {
  int status, depth;
  void *_child_accessor;
  struct nexus_rest_api_ns0_clientPermission *_clientPermission = calloc(1, sizeof(struct nexus_rest_api_ns0_clientPermission));



  if (xmlTextReaderIsEmptyElement(reader) == 0) {
    depth = xmlTextReaderDepth(reader);//track the depth.
    status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);

    while (xmlTextReaderDepth(reader) > depth) {
      if (status < 1) {
        //panic: XML read error.
#if DEBUG_ENUNCIATE
        printf("Failure to advance to next child element.\n");
#endif
        freeNs0ClientPermissionType(_clientPermission);
        free(_clientPermission);
        return NULL;
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "id", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}id of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
        _child_accessor = xmlTextReaderReadXsStringType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}id of type {http://www.w3.org/2001/XMLSchema}string.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0ClientPermissionType(_clientPermission);
          free(_clientPermission);
          return NULL;
        }

        _clientPermission->id = ((xmlChar*)_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_ELEMENT
        && xmlStrcmp(BAD_CAST "value", xmlTextReaderConstLocalName(reader)) == 0
        && xmlTextReaderConstNamespaceUri(reader) == NULL) {

#if DEBUG_ENUNCIATE > 1
        printf("Attempting to read choice {}value of type {http://www.w3.org/2001/XMLSchema}int.\n");
#endif
        _child_accessor = xmlTextReaderReadXsIntType(reader);
        if (_child_accessor == NULL) {
#if DEBUG_ENUNCIATE
          printf("Failed to read choice {}value of type {http://www.w3.org/2001/XMLSchema}int.\n");
#endif
          //panic: unable to read the child element for some reason.
          freeNs0ClientPermissionType(_clientPermission);
          free(_clientPermission);
          return NULL;
        }

        _clientPermission->value = *((int*)_child_accessor);
        free(_child_accessor);
        status = xmlTextReaderAdvanceToNextStartOrEndElement(reader);
      }
      else {
#if DEBUG_ENUNCIATE > 1
        if (xmlTextReaderConstNamespaceUri(reader) == NULL) {
          printf("unknown child element {}%s for type {}clientPermission.  Skipping...\n",  xmlTextReaderConstLocalName(reader));
        }
        else {
          printf("unknown child element {%s}%s for type {}clientPermission. Skipping...\n", xmlTextReaderConstNamespaceUri(reader), xmlTextReaderConstLocalName(reader));
        }
#endif
        status = xmlTextReaderSkipElement(reader);
      }
    }
  }

  return _clientPermission;
}

/**
 * Writes a ClientPermission to XML.
 *
 * @param writer The XML writer.
 * @param _clientPermission The ClientPermission to write.
 * @return The total bytes written, or -1 on error;
 */
static int xmlTextWriterWriteNs0ClientPermissionType(xmlTextWriterPtr writer, struct nexus_rest_api_ns0_clientPermission *_clientPermission) {
  int status, totalBytes = 0, i;
  xmlChar *binaryData;
  if (_clientPermission->id != NULL) {
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "id", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}id. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}string for element {}id...\n", status);
#endif
    status = xmlTextWriterWriteXsStringType(writer, (_clientPermission->id));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}string for element {}id. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}id. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }
  if (1) { //always write the primitive element.
    status = xmlTextWriterStartElementNS(writer, NULL, BAD_CAST "value", NULL);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write start element {}value. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

#if DEBUG_ENUNCIATE > 1
    printf("writing type {http://www.w3.org/2001/XMLSchema}int for element {}value...\n", status);
#endif
    status = xmlTextWriterWriteXsIntType(writer, &(_clientPermission->value));
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write type {http://www.w3.org/2001/XMLSchema}int for element {}value. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;

    status = xmlTextWriterEndElement(writer);
    if (status < 0) {
#if DEBUG_ENUNCIATE
      printf("Failed to write end element {}value. status: %i\n", status);
#endif
      return status;
    }
    totalBytes += status;
  }

  return totalBytes;
}

/**
 * Frees the elements of a ClientPermission.
 *
 * @param _clientPermission The ClientPermission to free.
 */
static void freeNs0ClientPermissionType(struct nexus_rest_api_ns0_clientPermission *_clientPermission) {
  int i;
  if (_clientPermission->id != NULL) {
#if DEBUG_ENUNCIATE > 1
    printf("Freeing type of accessor id of type nexus_rest_api_ns0_clientPermission...\n");
#endif
    freeXsStringType(_clientPermission->id);
#if DEBUG_ENUNCIATE > 1
    printf("Freeing accessor id of type nexus_rest_api_ns0_clientPermission...\n");
#endif
    free(_clientPermission->id);
  }
}
#endif /* DEF_nexus_rest_api_ns0_clientPermission_M */
